(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.Self_COMMON_DATA () boogieU)
(declare-fun T.InterruptObject_COMMON_DATA () boogieU)
(declare-fun T.InterruptSpinLock_COMMON_DATA () boogieU)
(declare-fun T.TopOfStack_COMMON_DATA () boogieU)
(declare-fun T.PDO_COMMON_DATA () boogieU)
(declare-fun T.RemoveLock_COMMON_DATA () boogieU)
(declare-fun T.OutstandingPowerIrp_COMMON_DATA () boogieU)
(declare-fun T.PowerState_COMMON_DATA () boogieU)
(declare-fun T.SystemState_COMMON_DATA () boogieU)
(declare-fun T.ShutdownType_COMMON_DATA () boogieU)
(declare-fun T.InputCount_COMMON_DATA () boogieU)
(declare-fun T.EnableCount_COMMON_DATA () boogieU)
(declare-fun T.DataConsumptionTimer_COMMON_DATA () boogieU)
(declare-fun T.RetriesExceededDpc_COMMON_DATA () boogieU)
(declare-fun T.ErrorLogDpc_COMMON_DATA () boogieU)
(declare-fun T.TimeOutDpc_COMMON_DATA () boogieU)
(declare-fun T.ResetDpc_COMMON_DATA () boogieU)
(declare-fun T.SequenceNumber_COMMON_DATA () boogieU)
(declare-fun T.ConnectData_COMMON_DATA () boogieU)
(declare-fun T.WmiLibInfo_COMMON_DATA () boogieU)
(declare-fun T.CurrentOutput_COMMON_DATA () boogieU)
(declare-fun T.InterruptDescriptor_COMMON_DATA () boogieU)
(declare-fun T.PnpDeviceState_COMMON_DATA () boogieU)
(declare-fun T.ResendCount_COMMON_DATA () boogieU)
(declare-fun T.OkayToLogOverflow_COMMON_DATA () boogieU)
(declare-fun T.Initialized_COMMON_DATA () boogieU)
(declare-fun T.IsIsrActivated_COMMON_DATA () boogieU)
(declare-fun T.IsKeyboard_COMMON_DATA () boogieU)
(declare-fun T.Started_COMMON_DATA () boogieU)
(declare-fun T.Guid_WMIGUIDREGINFO () boogieU)
(declare-fun T.InstanceCount_WMIGUIDREGINFO () boogieU)
(declare-fun T.Flags_WMIGUIDREGINFO () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.ClassDeviceObject__CONNECT_DATA () boogieU)
(declare-fun T.ClassService__CONNECT_DATA () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_7b44c46c__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_f13e195c__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.Item__I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T.MakeCode__I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T.Irp__I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Common__IO_REMOVE_LOCK () boogieU)
(declare-fun T.Removed__IO_REMOVE_LOCK_COMMON_BLOCK () boogieU)
(declare-fun T.Reserved__IO_REMOVE_LOCK_COMMON_BLOCK () boogieU)
(declare-fun T.IoCount__IO_REMOVE_LOCK_COMMON_BLOCK () boogieU)
(declare-fun T.RemoveEvent__IO_REMOVE_LOCK_COMMON_BLOCK () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_ab1173de__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.WorkItem__IO_WORKITEM () boogieU)
(declare-fun T.Routine__IO_WORKITEM () boogieU)
(declare-fun T.IoObject__IO_WORKITEM () boogieU)
(declare-fun T.Context__IO_WORKITEM () boogieU)
(declare-fun T.Type__IO_WORKITEM () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.KeyboardIdentifier__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.KeyboardMode__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.NumberOfFunctionKeys__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.NumberOfIndicators__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.NumberOfKeysTotal__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.InputDataQueueLength__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.KeyRepeatMinimum__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.KeyRepeatMaximum__KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T.Type__KEYBOARD_ID () boogieU)
(declare-fun T.Subtype__KEYBOARD_ID () boogieU)
(declare-fun T.Type__KEYBOARD_ID_EX () boogieU)
(declare-fun T.Subtype__KEYBOARD_ID_EX () boogieU)
(declare-fun T.UnitId__KEYBOARD_INDICATOR_PARAMETERS () boogieU)
(declare-fun T.LedFlags__KEYBOARD_INDICATOR_PARAMETERS () boogieU)
(declare-fun T.UnitId__KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.MakeCode__KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.Flags__KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.Reserved__KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.ExtraInformation__KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.UnitId__KEYBOARD_TYPEMATIC_PARAMETERS () boogieU)
(declare-fun T.Rate__KEYBOARD_TYPEMATIC_PARAMETERS () boogieU)
(declare-fun T.Delay__KEYBOARD_TYPEMATIC_PARAMETERS () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.Header__KTIMER () boogieU)
(declare-fun T.DueTime__KTIMER () boogieU)
(declare-fun T.TimerListEntry__KTIMER () boogieU)
(declare-fun T.Dpc__KTIMER () boogieU)
(declare-fun T.Period__KTIMER () boogieU)
(declare-fun T.__unnamed_8_544b88f4__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.Bytes__OUTPUT_PACKET () boogieU)
(declare-fun T.CurrentByte__OUTPUT_PACKET () boogieU)
(declare-fun T.ByteCount__OUTPUT_PACKET () boogieU)
(declare-fun T.State__OUTPUT_PACKET () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_1c47e29a__OWNER_ENTRY () boogieU)
(declare-fun T.COMMON_DATA__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.PowerCaps__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.PowerEvent__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CurrentScanCode__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.LastScanCode__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.SysButtonEventIrp__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.SysButtonEventDpc__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.SysButtonSpinLock__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.SysButtonInterfaceName__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyboardAttributes__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyboardIdentifierEx__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyRepeatCurrent__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyboardIndicators__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyboardIsrDpc__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.KeyboardIsrDpcRetry__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DpcInterlockKeyboard__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.InputData__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DataIn__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DataOut__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DataEnd__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CurrentInput__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CurrentScanState__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.InitializationHookCallback__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.IsrHookCallback__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.HookContext__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CrashFlags__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CurrentCrashFlags__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CrashScanCode__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.CrashScanCode2__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.FailedReset__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DebugEnableFlags__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DebugEnableScanCode__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.DebugEnableScanCode2__PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.__unnamed_8_baf71367__ULARGE_INTEGER () boogieU)
(declare-fun T.u__ULARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__ULARGE_INTEGER () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.GuidCount__WMILIB_CONTEXT () boogieU)
(declare-fun T.GuidList__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiRegInfo__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataItem__WMILIB_CONTEXT () boogieU)
(declare-fun T.ExecuteWmiMethod__WMILIB_CONTEXT () boogieU)
(declare-fun T.WmiFunctionControl__WMILIB_CONTEXT () boogieU)
(declare-fun T.List__WORK_QUEUE_ITEM () boogieU)
(declare-fun T.WorkerRoutine__WORK_QUEUE_ITEM () boogieU)
(declare-fun T.Parameter__WORK_QUEUE_ITEM () boogieU)
(declare-fun T.Priority___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved1___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved2___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Data___unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.Reserved___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.MessageCount___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Vector___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Affinity___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Start___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Length___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Reserved___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e () boogieU)
(declare-fun T.Start___unnamed_12_33a88444 () boogieU)
(declare-fun T.Length48___unnamed_12_33a88444 () boogieU)
(declare-fun T.Start___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.Length___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.ListEntry___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.Level___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Vector___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Affinity___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Generic___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Port___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Interrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Dma___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_9a27b966 () boogieU)
(declare-fun T.BusNumber___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory40___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory48___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory64___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Raw___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Translated___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Data___unnamed_12_a967ef4a () boogieU)
(declare-fun T.Start___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Length64___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Start___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Length___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Start___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Length___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Start___unnamed_12_df63118d () boogieU)
(declare-fun T.Length40___unnamed_12_df63118d () boogieU)
(declare-fun T.Level___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Vector___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Affinity___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Channel___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Port___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Reserved1___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.DataSize___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved1___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved2___unnamed_12_f354d203 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Size___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Version___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Interface___unnamed_16_2ab145ec () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Length___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.Reserved___unnamed_16_30f1d328 () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_c774559b___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.Length___unnamed_16_3a584a7c () boogieU)
(declare-fun T.Key___unnamed_16_3a584a7c () boogieU)
(declare-fun T.ByteOffset___unnamed_16_3a584a7c () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.FsControlCode___unnamed_16_3dec08db () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_3dec08db () boogieU)
(declare-fun T.Create___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Read___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Write___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.LockControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetSecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.MountVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Scsi___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryInterface___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_57edbc3a () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetLock___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryId___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_57edbc3a () boogieU)
(declare-fun T.UsageNotification___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WaitWake___unnamed_16_57edbc3a () boogieU)
(declare-fun T.PowerSequence___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Power___unnamed_16_57edbc3a () boogieU)
(declare-fun T.StartDevice___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WMI___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Others___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Argument1___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument2___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument3___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument4___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.ProviderId___unnamed_16_66abee0d () boogieU)
(declare-fun T.DataPath___unnamed_16_66abee0d () boogieU)
(declare-fun T.BufferSize___unnamed_16_66abee0d () boogieU)
(declare-fun T.Buffer___unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Type___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.State___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.ShutdownType___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Length___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaList___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaListLength___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaIndex___unnamed_16_834e30a3 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_83707d7f () boogieU)
(declare-fun T.Buffer___unnamed_16_83707d7f () boogieU)
(declare-fun T.Offset___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_94922103 () boogieU)
(declare-fun T.Key___unnamed_16_94922103 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_94922103 () boogieU)
(declare-fun T.Length___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.StartSid___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidList___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidListLength___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.Length___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileName___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileIndex___unnamed_16_a71f10bf () boogieU)
(declare-fun T.SecurityContext___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Options___unnamed_16_af2c1884 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_af2c1884 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_af2c1884 () boogieU)
(declare-fun T.EaLength___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Length___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileObject___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.DriverContext___unnamed_16_c774559b () boogieU)
(declare-fun T.Length___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Key___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Abandoned___unnamed_1_4258582a () boogieU)
(declare-fun T.Absolute___unnamed_1_4258582a () boogieU)
(declare-fun T.NpxIrql___unnamed_1_4258582a () boogieU)
(declare-fun T.Signalling___unnamed_1_4258582a () boogieU)
(declare-fun T.Lock___unnamed_1_4f5916b9 () boogieU)
(declare-fun T.Size___unnamed_1_923f487b () boogieU)
(declare-fun T.Hand___unnamed_1_923f487b () boogieU)
(declare-fun T.Inserted___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DebugActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DpcActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.MinimumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.Length___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Alignment___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Length64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Alignment64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Port___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Interrupt___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Dma___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Generic___unnamed_24_87fb9019 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_87fb9019 () boogieU)
(declare-fun T.BusNumber___unnamed_24_87fb9019 () boogieU)
(declare-fun T.ConfigData___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory40___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory48___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory64___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Length40___unnamed_24_af527a47 () boogieU)
(declare-fun T.Alignment40___unnamed_24_af527a47 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.Length___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Alignment___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Length___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Alignment___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Length48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.Alignment48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_1d659b1d () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_1d659b1d () boogieU)
(declare-fun T.ListEntry___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.Wcb___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a () boogieU)
(declare-fun T.Thread___unnamed_40_ebf2206a () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_ebf2206a () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.Overlay___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.Apc___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.CompletionKey___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.IdType___unnamed_4_04fc9c34 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_082ca2fa () boogieU)
(declare-fun T.Type___unnamed_4_142d6b52 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_1c47e29a () boogieU)
(declare-fun T.TableSize___unnamed_4_1c47e29a () boogieU)
(declare-fun T.MasterIrp___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.IrpCount___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d___unnamed_4_4d53984e () boogieU)
(declare-fun T.ClusterCount___unnamed_4_4d53984e () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_4d53984e () boogieU)
(declare-fun T.Length___unnamed_4_522a02ae () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.PacketType___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.Length___unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_f14caa62___unnamed_4_7b44c46c () boogieU)
(declare-fun T.Lock___unnamed_4_7b44c46c () boogieU)
(declare-fun T.PowerState___unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_a8006df8 () boogieU)
(declare-fun T.Status___unnamed_4_ab1173de () boogieU)
(declare-fun T.Pointer___unnamed_4_ab1173de () boogieU)
(declare-fun T.Srb___unnamed_4_b2e59cbb () boogieU)
(declare-fun T.SystemContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.Capabilities___unnamed_4_c62ef092 () boogieU)
(declare-fun T.Reserved1___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.Reserved2___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_cedfeccd () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_cedfeccd () boogieU)
(declare-fun T.Address___unnamed_4_f13e195c () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_f13e195c () boogieU)
(declare-fun T.Type___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_4258582a___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_923f487b___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f18e264a () boogieU)
(declare-fun T.Length___unnamed_8_06a6de28 () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_06a6de28 () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_219179d3 () boogieU)
(declare-fun T.LocaleId___unnamed_8_219179d3 () boogieU)
(declare-fun T.InPath___unnamed_8_380551ca () boogieU)
(declare-fun T.Reserved___unnamed_8_380551ca () boogieU)
(declare-fun T.Type___unnamed_8_380551ca () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.Length___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_45a58840 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_45a58840 () boogieU)
(declare-fun T.LowPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.HighPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.Length___unnamed_8_5d23cded () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_5d23cded () boogieU)
(declare-fun T.LowPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.HighPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_655e974a () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_655e974a () boogieU)
(declare-fun T.Vpb___unnamed_8_a4174c52 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_a4174c52 () boogieU)
(declare-fun T.LowPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.HighPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.Length___unnamed_8_b3031d0e () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_b3031d0e () boogieU)
(declare-fun T.Length___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.Vpb___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.LowPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.HighPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_be4b9317 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.COMMON_DATA () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F38 () boogieU)
(declare-fun T.F39 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F40 () boogieU)
(declare-fun T.F41 () boogieU)
(declare-fun T.F42 () boogieU)
(declare-fun T.F43 () boogieU)
(declare-fun T.F44 () boogieU)
(declare-fun T.F45 () boogieU)
(declare-fun T.F46 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FIO_WORKITEM_ROUTINE () boogieU)
(declare-fun T.FIO_WORKITEM_ROUTINE_EX () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF26 () boogieU)
(declare-fun T.PF27 () boogieU)
(declare-fun T.PF28 () boogieU)
(declare-fun T.PF30 () boogieU)
(declare-fun T.PF31 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF34 () boogieU)
(declare-fun T.PF35 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PF38 () boogieU)
(declare-fun T.PF39 () boogieU)
(declare-fun T.PF40 () boogieU)
(declare-fun T.PF41 () boogieU)
(declare-fun T.PF42 () boogieU)
(declare-fun T.PF45 () boogieU)
(declare-fun T.PF46 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFIO_WORKITEM_ROUTINE () boogieU)
(declare-fun T.PFIO_WORKITEM_ROUTINE_EX () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF31 () boogieU)
(declare-fun T.PPFDRIVER_CANCEL () boogieU)
(declare-fun T.PPFIO_WORKITEM_ROUTINE () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PP_DEVICE_OBJECT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T.PP_IO_STACK_LOCATION () boogieU)
(declare-fun T.PP_IO_WORKITEM () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.PP_UNICODE_STRING () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWMIGUIDREGINFO () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_ETHREAD () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IO_WORKITEM () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T.P_KEYBOARD_SCAN_STATE () boogieU)
(declare-fun T.P_KINTERRUPT () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OUTPUT_PACKET () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.P_WORK_QUEUE_TYPE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.UINT8 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WMIENABLEDISABLECONTROL () boogieU)
(declare-fun T.WMIGUIDREGINFO () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._CONNECT_DATA () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._ETHREAD () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._I8X_KEYBOARD_WORK_ITEM () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_REMOVE_LOCK () boogieU)
(declare-fun T._IO_REMOVE_LOCK_COMMON_BLOCK () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IO_WORKITEM () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KEYBOARD_ATTRIBUTES () boogieU)
(declare-fun T._KEYBOARD_ID () boogieU)
(declare-fun T._KEYBOARD_ID_EX () boogieU)
(declare-fun T._KEYBOARD_INDICATOR_PARAMETERS () boogieU)
(declare-fun T._KEYBOARD_INPUT_DATA () boogieU)
(declare-fun T._KEYBOARD_SCAN_STATE () boogieU)
(declare-fun T._KEYBOARD_TYPEMATIC_PARAMETERS () boogieU)
(declare-fun T._KINTERRUPT () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._KTIMER () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OUTPUT_PACKET () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._PORT_KEYBOARD_EXTENSION () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._TRANSMIT_STATE () boogieU)
(declare-fun T._ULARGE_INTEGER () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WMILIB_CONTEXT () boogieU)
(declare-fun T._WORK_QUEUE_ITEM () boogieU)
(declare-fun T._WORK_QUEUE_TYPE () boogieU)
(declare-fun T.__unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.__unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.__unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.__unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_29a9546e () boogieU)
(declare-fun T.__unnamed_12_33a88444 () boogieU)
(declare-fun T.__unnamed_12_468ce3a2 () boogieU)
(declare-fun T.__unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_12_6fbd747c () boogieU)
(declare-fun T.__unnamed_12_9a27b966 () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.__unnamed_12_a967ef4a () boogieU)
(declare-fun T.__unnamed_12_ab6ff61b () boogieU)
(declare-fun T.__unnamed_12_ad4e1918 () boogieU)
(declare-fun T.__unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.__unnamed_12_df63118d () boogieU)
(declare-fun T.__unnamed_12_e5164c3f () boogieU)
(declare-fun T.__unnamed_12_f1f9be0a () boogieU)
(declare-fun T.__unnamed_12_f354d203 () boogieU)
(declare-fun T.__unnamed_16_2ab145ec () boogieU)
(declare-fun T.__unnamed_16_30f1d328 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_3a584a7c () boogieU)
(declare-fun T.__unnamed_16_3dec08db () boogieU)
(declare-fun T.__unnamed_16_57edbc3a () boogieU)
(declare-fun T.__unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.__unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.__unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_16_6c8935f2 () boogieU)
(declare-fun T.__unnamed_16_834e30a3 () boogieU)
(declare-fun T.__unnamed_16_83707d7f () boogieU)
(declare-fun T.__unnamed_16_94922103 () boogieU)
(declare-fun T.__unnamed_16_9eb64f79 () boogieU)
(declare-fun T.__unnamed_16_a71f10bf () boogieU)
(declare-fun T.__unnamed_16_af2c1884 () boogieU)
(declare-fun T.__unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_16_c774559b () boogieU)
(declare-fun T.__unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.__unnamed_1_4258582a () boogieU)
(declare-fun T.__unnamed_1_4f5916b9 () boogieU)
(declare-fun T.__unnamed_1_923f487b () boogieU)
(declare-fun T.__unnamed_1_ac5cb154 () boogieU)
(declare-fun T.__unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.__unnamed_24_76c1f52c () boogieU)
(declare-fun T.__unnamed_24_87e4ad03 () boogieU)
(declare-fun T.__unnamed_24_87fb9019 () boogieU)
(declare-fun T.__unnamed_24_af527a47 () boogieU)
(declare-fun T.__unnamed_24_b3ef9869 () boogieU)
(declare-fun T.__unnamed_24_c23e34f7 () boogieU)
(declare-fun T.__unnamed_24_e04d7241 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d () boogieU)
(declare-fun T.__unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_44_0d347e8a () boogieU)
(declare-fun T.__unnamed_48_ffd8d308 () boogieU)
(declare-fun T.__unnamed_4_04fc9c34 () boogieU)
(declare-fun T.__unnamed_4_082ca2fa () boogieU)
(declare-fun T.__unnamed_4_142d6b52 () boogieU)
(declare-fun T.__unnamed_4_1c47e29a () boogieU)
(declare-fun T.__unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_4_4d53984e () boogieU)
(declare-fun T.__unnamed_4_522a02ae () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.__unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_7b44c46c () boogieU)
(declare-fun T.__unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_a8006df8 () boogieU)
(declare-fun T.__unnamed_4_ab1173de () boogieU)
(declare-fun T.__unnamed_4_b2e59cbb () boogieU)
(declare-fun T.__unnamed_4_b38dc67f () boogieU)
(declare-fun T.__unnamed_4_c62ef092 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd () boogieU)
(declare-fun T.__unnamed_4_f13e195c () boogieU)
(declare-fun T.__unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_4_f18e264a () boogieU)
(declare-fun T.__unnamed_8_06a6de28 () boogieU)
(declare-fun T.__unnamed_8_219179d3 () boogieU)
(declare-fun T.__unnamed_8_380551ca () boogieU)
(declare-fun T.__unnamed_8_3ebf0971 () boogieU)
(declare-fun T.__unnamed_8_45a58840 () boogieU)
(declare-fun T.__unnamed_8_544b88f4 () boogieU)
(declare-fun T.__unnamed_8_5bc13409 () boogieU)
(declare-fun T.__unnamed_8_5d23cded () boogieU)
(declare-fun T.__unnamed_8_5d67d492 () boogieU)
(declare-fun T.__unnamed_8_655e974a () boogieU)
(declare-fun T.__unnamed_8_a4174c52 () boogieU)
(declare-fun T.__unnamed_8_a569aa82 () boogieU)
(declare-fun T.__unnamed_8_b3031d0e () boogieU)
(declare-fun T.__unnamed_8_b7ca8084 () boogieU)
(declare-fun T.__unnamed_8_b8c2e139 () boogieU)
(declare-fun T.__unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_8_be4b9317 () boogieU)
(declare-fun T.__unnamed_8_d81ae7e8 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRP (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRPInv (boogieU) boogieU)
(declare-fun x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION (boogieU) boogieU)
(declare-fun x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRP (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRPInv (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRP (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRPInv (boogieU) boogieU)
(declare-fun x_S_Cancel__IRP (boogieU) boogieU)
(declare-fun x_S_Cancel__IRPInv (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECT (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECTInv (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRP (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRPInv (boogieU) boogieU)
(declare-fun x_S_Irp__I8X_KEYBOARD_WORK_ITEM (boogieU) boogieU)
(declare-fun x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv (boogieU) boogieU)
(declare-fun x_S_IsKeyboard_COMMON_DATA (boogieU) boogieU)
(declare-fun x_S_IsKeyboard_COMMON_DATAInv (boogieU) boogieU)
(declare-fun x_S_Item__I8X_KEYBOARD_WORK_ITEM (boogieU) boogieU)
(declare-fun x_S_Item__I8X_KEYBOARD_WORK_ITEMInv (boogieU) boogieU)
(declare-fun x_S_List__WORK_QUEUE_ITEM (boogieU) boogieU)
(declare-fun x_S_List__WORK_QUEUE_ITEMInv (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM (boogieU) boogieU)
(declare-fun x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_PnpDeviceState_COMMON_DATA (boogieU) boogieU)
(declare-fun x_S_PnpDeviceState_COMMON_DATAInv (boogieU) boogieU)
(declare-fun x_S_PowerCaps__PORT_KEYBOARD_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PowerEvent__PORT_KEYBOARD_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Self_COMMON_DATA (boogieU) boogieU)
(declare-fun x_S_Self_COMMON_DATAInv (boogieU) boogieU)
(declare-fun x_S_Started_COMMON_DATA (boogieU) boogieU)
(declare-fun x_S_Started_COMMON_DATAInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173de (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173deInv (boogieU) boogieU)
(declare-fun x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35 (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35Inv (boogieU) boogieU)
(declare-fun x_S_WorkItem__IO_WORKITEM (boogieU) boogieU)
(declare-fun x_S_WorkItem__IO_WORKITEMInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun I8xCompleteSysButtonEventWorker () Int)
(declare-fun I8xSysButtonCancelRoutine () Int)
(declare-fun hdevobj () Int)
(declare-fun hiostackloc () Int)
(declare-fun hirp () Int)
(declare-fun hlock () Int)
(declare-fun notused_hiostackloc () Int)
(declare-fun BOOGIE_LARGE_INT_2147483648 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun AssociatedIrp__IRPInv (Int) Int)
(declare-fun AssociatedIrp__IRP (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (Int) Int)
(declare-fun COMMON_DATA__PORT_KEYBOARD_EXTENSION (Int) Int)
(declare-fun CancelIrql__IRPInv (Int) Int)
(declare-fun CancelIrql__IRP (Int) Int)
(declare-fun CancelRoutine__IRPInv (Int) Int)
(declare-fun CancelRoutine__IRP (Int) Int)
(declare-fun Cancel__IRPInv (Int) Int)
(declare-fun Cancel__IRP (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECTInv (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECT (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3a (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun Information__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun Information__IO_STATUS_BLOCK (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun IoStatus__IRPInv (Int) Int)
(declare-fun IoStatus__IRP (Int) Int)
(declare-fun Irp__I8X_KEYBOARD_WORK_ITEMInv (Int) Int)
(declare-fun Irp__I8X_KEYBOARD_WORK_ITEM (Int) Int)
(declare-fun IsKeyboard_COMMON_DATAInv (Int) Int)
(declare-fun IsKeyboard_COMMON_DATA (Int) Int)
(declare-fun Item__I8X_KEYBOARD_WORK_ITEMInv (Int) Int)
(declare-fun Item__I8X_KEYBOARD_WORK_ITEM (Int) Int)
(declare-fun List__WORK_QUEUE_ITEMInv (Int) Int)
(declare-fun List__WORK_QUEUE_ITEM (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATION (Int) Int)
(declare-fun MakeCode__I8X_KEYBOARD_WORK_ITEMInv (Int) Int)
(declare-fun MakeCode__I8X_KEYBOARD_WORK_ITEM (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATION (Int) Int)
(declare-fun PnpDeviceState_COMMON_DATAInv (Int) Int)
(declare-fun PnpDeviceState_COMMON_DATA (Int) Int)
(declare-fun PowerCaps__PORT_KEYBOARD_EXTENSIONInv (Int) Int)
(declare-fun PowerCaps__PORT_KEYBOARD_EXTENSION (Int) Int)
(declare-fun PowerEvent__PORT_KEYBOARD_EXTENSIONInv (Int) Int)
(declare-fun PowerEvent__PORT_KEYBOARD_EXTENSION (Int) Int)
(declare-fun Self_COMMON_DATAInv (Int) Int)
(declare-fun Self_COMMON_DATA (Int) Int)
(declare-fun Started_COMMON_DATAInv (Int) Int)
(declare-fun Started_COMMON_DATA (Int) Int)
(declare-fun Status___unnamed_4_ab1173deInv (Int) Int)
(declare-fun Status___unnamed_4_ab1173de (Int) Int)
(declare-fun SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (Int) Int)
(declare-fun SysButtonEventIrp__PORT_KEYBOARD_EXTENSION (Int) Int)
(declare-fun SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (Int) Int)
(declare-fun SysButtonSpinLock__PORT_KEYBOARD_EXTENSION (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35Inv (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35 (Int) Int)
(declare-fun WorkItem__IO_WORKITEMInv (Int) Int)
(declare-fun WorkItem__IO_WORKITEM (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_s_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun irpCompleted_0.13 () Int)
(declare-fun irpCompleted_s_1 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun cancelLockStatus_0.2 () Int)
(declare-fun cancelLockStatus_s_1 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1. () Int)
(declare-fun errorReached.14 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.2 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_1 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.7 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine1.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine1 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1. () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun cancelLockStatus_0.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun k.42 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.3 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..irql.5.361.10.I8xSysButtonCancelRoutine.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..irql.5.361.10.I8xSysButtonCancelRoutine () Int)
(declare-fun cancelLockStatus_1.2 () Int)
(declare-fun cancelLockStatus_1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine1.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine1 () Int)
(declare-fun irpCompleted_1.13 () Int)
(declare-fun irpCompleted_1.10 () Int)
(declare-fun irpCompleted_0.10 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.1 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun cancelLockStatus_0.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun call16858formal.new.0 () Int)
(declare-fun cancelLockStatus_1.1 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun call17095formal.ret.0 () Int)
(declare-fun irpCompleted_1.12 () Int)
(declare-fun irpCompleted_0.12 () Int)
(declare-fun k.38 () Int)
(declare-fun irpCompleted_0.11 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun k.40 () Int)
(declare-fun call17159formal.ret.0 () Int)
(declare-fun irpCompleted_1.11 () Int)
(declare-fun k.39 () Int)
(declare-fun k.37 () Int)
(declare-fun k.35 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun call17049formal.ret.0 () Int)
(declare-fun k.36 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.3 () Int)
(declare-fun k.33 () Int)
(declare-fun k.34 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun call16952formal.ret.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.0 () Int)
(declare-fun inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.1 () Int)
(declare-fun Base (Int) Int)
(declare-fun cancelLockStatus_0 () Int)
(declare-fun cancelLockStatus_1 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main () Int)
(declare-fun call16598formal.ret.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..5 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.20 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.19 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.8 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.7 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume.4 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.7 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0 () Int)
(declare-fun inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.3 () Int)
(declare-fun inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.4 () Int)
(declare-fun inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps1.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_1.9 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1.4 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..irql.8.156.24.I8xKeyboardGetSysButtonEvent.0 () Int)
(declare-fun call15155formal.new.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps () Int)
(declare-fun k.31 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..2 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..1 () Int)
(declare-fun inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonEvent.491.47.4..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.3 () Int)
(declare-fun inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.2 () Int)
(declare-fun inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonCaps.488.46.3..0 () Int)
(declare-fun inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonCaps.488.46.3. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..3 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..2 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.3 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.2 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..result.I8xKeyboardGetSysButtonCaps.68.0.1..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..result.I8xKeyboardGetSysButtonCaps.68.0.1. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.4 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.13 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent1.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent1.0 () Int)
(declare-fun inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..3 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..2 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.12 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.8 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent.0 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..2 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..1 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.2 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent.0 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun inline.I8xDeviceControl.0..result.I8xDeviceControl.463.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..4 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun irpCompleted_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.4 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.0 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1. () Int)
(declare-fun irpCompleted_1.8 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1.2 () Int)
(declare-fun irpCompleted_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..1 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.18 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun k.29 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.1 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1. () Int)
(declare-fun k.25 () Int)
(declare-fun irpCompleted_0 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp () Int)
(declare-fun errorReached.9 () Int)
(declare-fun irpCompleted_1 () Int)
(declare-fun inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun k.28 () Int)
(declare-fun irpCompleted_0.7 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun irpCompleted_1.7 () Int)
(declare-fun irpCompleted_0.6 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun k.27 () Int)
(declare-fun irpCompleted_1.6 () Int)
(declare-fun call15764formal.ret.0 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1. () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3. () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.malloc.1798.51.3. () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1. () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent () Int)
(declare-fun inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..0 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2. () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1. () Int)
(declare-fun k.21 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun call15944formal.ret.0 () Int)
(declare-fun k.22 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun k.10 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun call16140formal.ret.0 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.7 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun k.20 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call16365formal.ret.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.2 () Int)
(declare-fun k.19 () Int)
(declare-fun k.18 () Int)
(declare-fun k.11 () Int)
(declare-fun k.17 () Int)
(declare-fun call16322formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.9 () Int)
(declare-fun k.8 () Int)
(declare-fun k.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2. () Int)
(declare-fun k.7 () Int)
(declare-fun call16097formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1. () Int)
(declare-fun k.0 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun call15442formal.ret.0 () Int)
(declare-fun k.3 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..1 () Int)
(declare-fun call15512formal.new.0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1.1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume.1 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.17 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..2 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.10 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.4 () Int)
(declare-fun inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..0 () Int)
(declare-fun call15553formal.ret.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.14 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..1 () Int)
(declare-fun call15563formal.new.0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume1.0 () Int)
(declare-fun inline.SdvAssume.0..e.1.1063.19.SdvAssume.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.16 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.13 () Int)
(declare-fun inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_1.3 () Int)
(declare-fun irpCompleted_0.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.0 () Int)
(declare-fun k.16 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun irpCompleted_0.2 () Int)
(declare-fun call15284formal.ret.0 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun k.15 () Int)
(declare-fun irpCompleted_1.2 () Int)
(declare-fun k.12 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun irpCompleted_1.5 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..irql.8.156.24.I8xKeyboardGetSysButtonEvent () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1. () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1 () Int)
(declare-fun k.23 () Int)
(declare-fun inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonEvent.491.47.4. () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.12 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent1 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.7 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent () Int)
(declare-fun inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent () Int)
(declare-fun errorReached.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun irpCompleted_0.5 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.3 () Int)
(declare-fun irpCompleted_0.4 () Int)
(declare-fun call14797formal.ret.0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun k.14 () Int)
(declare-fun irpCompleted_1.4 () Int)
(declare-fun k.13 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.11 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.5 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.10 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.9 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.4 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.8 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.1 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.7 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.5 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.6 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.4 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.3 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.2 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.0 () Int)
(declare-fun inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.3 () Int)
(declare-fun irpCompleted_1.1 () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.11 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_0.1 () Int)
(declare-fun call16461formal.ret.0 () Int)
(declare-fun irpCompleted_0.0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun k.2 () Int)
(declare-fun irpCompleted_1.0 () Int)
(declare-fun k.1 () Int)
(declare-fun inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.2 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.10 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.9 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.1 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.0 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.3 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.5 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.2 () Int)
(declare-fun inline.I8xDeviceControl.0.myNondetVar_0.1 () Int)
(declare-fun inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl () Int)
(declare-fun inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.1 () Int)
(declare-fun inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.myInitDriver.0..kbExtension.2.11.27.myInitDriver () Int)
(declare-fun inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.Self_COMMON_DATA) nameType) (= (type T.InterruptObject_COMMON_DATA) nameType) (= (type T.InterruptSpinLock_COMMON_DATA) nameType) (= (type T.TopOfStack_COMMON_DATA) nameType) (= (type T.PDO_COMMON_DATA) nameType) (= (type T.RemoveLock_COMMON_DATA) nameType) (= (type T.OutstandingPowerIrp_COMMON_DATA) nameType) (= (type T.PowerState_COMMON_DATA) nameType) (= (type T.SystemState_COMMON_DATA) nameType) (= (type T.ShutdownType_COMMON_DATA) nameType) (= (type T.InputCount_COMMON_DATA) nameType) (= (type T.EnableCount_COMMON_DATA) nameType) (= (type T.DataConsumptionTimer_COMMON_DATA) nameType) (= (type T.RetriesExceededDpc_COMMON_DATA) nameType) (= (type T.ErrorLogDpc_COMMON_DATA) nameType) (= (type T.TimeOutDpc_COMMON_DATA) nameType) (= (type T.ResetDpc_COMMON_DATA) nameType) (= (type T.SequenceNumber_COMMON_DATA) nameType) (= (type T.ConnectData_COMMON_DATA) nameType) (= (type T.WmiLibInfo_COMMON_DATA) nameType) (= (type T.CurrentOutput_COMMON_DATA) nameType) (= (type T.InterruptDescriptor_COMMON_DATA) nameType) (= (type T.PnpDeviceState_COMMON_DATA) nameType) (= (type T.ResendCount_COMMON_DATA) nameType) (= (type T.OkayToLogOverflow_COMMON_DATA) nameType) (= (type T.Initialized_COMMON_DATA) nameType) (= (type T.IsIsrActivated_COMMON_DATA) nameType) (= (type T.IsKeyboard_COMMON_DATA) nameType) (= (type T.Started_COMMON_DATA) nameType) (= (type T.Guid_WMIGUIDREGINFO) nameType) (= (type T.InstanceCount_WMIGUIDREGINFO) nameType) (= (type T.Flags_WMIGUIDREGINFO) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.ClassDeviceObject__CONNECT_DATA) nameType) (= (type T.ClassService__CONNECT_DATA) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_7b44c46c__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_f13e195c__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.Item__I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T.MakeCode__I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T.Irp__I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Common__IO_REMOVE_LOCK) nameType) (= (type T.Removed__IO_REMOVE_LOCK_COMMON_BLOCK) nameType) (= (type T.Reserved__IO_REMOVE_LOCK_COMMON_BLOCK) nameType) (= (type T.IoCount__IO_REMOVE_LOCK_COMMON_BLOCK) nameType) (= (type T.RemoveEvent__IO_REMOVE_LOCK_COMMON_BLOCK) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_ab1173de__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.WorkItem__IO_WORKITEM) nameType) (= (type T.Routine__IO_WORKITEM) nameType) (= (type T.IoObject__IO_WORKITEM) nameType) (= (type T.Context__IO_WORKITEM) nameType) (= (type T.Type__IO_WORKITEM) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.KeyboardIdentifier__KEYBOARD_ATTRIBUTES) nameType) (= (type T.KeyboardMode__KEYBOARD_ATTRIBUTES) nameType) (= (type T.NumberOfFunctionKeys__KEYBOARD_ATTRIBUTES) nameType) (= (type T.NumberOfIndicators__KEYBOARD_ATTRIBUTES) nameType) (= (type T.NumberOfKeysTotal__KEYBOARD_ATTRIBUTES) nameType) (= (type T.InputDataQueueLength__KEYBOARD_ATTRIBUTES) nameType) (= (type T.KeyRepeatMinimum__KEYBOARD_ATTRIBUTES) nameType) (= (type T.KeyRepeatMaximum__KEYBOARD_ATTRIBUTES) nameType) (= (type T.Type__KEYBOARD_ID) nameType) (= (type T.Subtype__KEYBOARD_ID) nameType) (= (type T.Type__KEYBOARD_ID_EX) nameType) (= (type T.Subtype__KEYBOARD_ID_EX) nameType) (= (type T.UnitId__KEYBOARD_INDICATOR_PARAMETERS) nameType) (= (type T.LedFlags__KEYBOARD_INDICATOR_PARAMETERS) nameType) (= (type T.UnitId__KEYBOARD_INPUT_DATA) nameType) (= (type T.MakeCode__KEYBOARD_INPUT_DATA) nameType) (= (type T.Flags__KEYBOARD_INPUT_DATA) nameType) (= (type T.Reserved__KEYBOARD_INPUT_DATA) nameType) (= (type T.ExtraInformation__KEYBOARD_INPUT_DATA) nameType) (= (type T.UnitId__KEYBOARD_TYPEMATIC_PARAMETERS) nameType) (= (type T.Rate__KEYBOARD_TYPEMATIC_PARAMETERS) nameType) (= (type T.Delay__KEYBOARD_TYPEMATIC_PARAMETERS) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.Header__KTIMER) nameType) (= (type T.DueTime__KTIMER) nameType) (= (type T.TimerListEntry__KTIMER) nameType) (= (type T.Dpc__KTIMER) nameType) (= (type T.Period__KTIMER) nameType) (= (type T.__unnamed_8_544b88f4__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.Bytes__OUTPUT_PACKET) nameType) (= (type T.CurrentByte__OUTPUT_PACKET) nameType) (= (type T.ByteCount__OUTPUT_PACKET) nameType) (= (type T.State__OUTPUT_PACKET) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_1c47e29a__OWNER_ENTRY) nameType) (= (type T.COMMON_DATA__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.PowerCaps__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.PowerEvent__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CurrentScanCode__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.LastScanCode__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.SysButtonEventIrp__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.SysButtonEventDpc__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.SysButtonSpinLock__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.SysButtonInterfaceName__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyboardAttributes__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyboardIdentifierEx__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyRepeatCurrent__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyboardIndicators__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyboardIsrDpc__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.KeyboardIsrDpcRetry__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DpcInterlockKeyboard__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.InputData__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DataIn__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DataOut__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DataEnd__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CurrentInput__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CurrentScanState__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.InitializationHookCallback__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.IsrHookCallback__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.HookContext__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CrashFlags__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CurrentCrashFlags__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CrashScanCode__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.CrashScanCode2__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.FailedReset__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DebugEnableFlags__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DebugEnableScanCode__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.DebugEnableScanCode2__PORT_KEYBOARD_EXTENSION) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.__unnamed_8_baf71367__ULARGE_INTEGER) nameType) (= (type T.u__ULARGE_INTEGER) nameType) (= (type T.QuadPart__ULARGE_INTEGER) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.GuidCount__WMILIB_CONTEXT) nameType) (= (type T.GuidList__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiRegInfo__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataItem__WMILIB_CONTEXT) nameType) (= (type T.ExecuteWmiMethod__WMILIB_CONTEXT) nameType) (= (type T.WmiFunctionControl__WMILIB_CONTEXT) nameType) (= (type T.List__WORK_QUEUE_ITEM) nameType) (= (type T.WorkerRoutine__WORK_QUEUE_ITEM) nameType) (= (type T.Parameter__WORK_QUEUE_ITEM) nameType) (= (type T.Priority___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved1___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved2___unnamed_12_0cb3dc26) nameType) (= (type T.Data___unnamed_12_1a4b0b08) nameType) (= (type T.Reserved___unnamed_12_1cbe20d6) nameType) (= (type T.MessageCount___unnamed_12_1cbe20d6) nameType) (= (type T.Vector___unnamed_12_1cbe20d6) nameType) (= (type T.Affinity___unnamed_12_1cbe20d6) nameType) (= (type T.Start___unnamed_12_28f1f9cc) nameType) (= (type T.Length___unnamed_12_28f1f9cc) nameType) (= (type T.Reserved___unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e) nameType) (= (type T.Start___unnamed_12_33a88444) nameType) (= (type T.Length48___unnamed_12_33a88444) nameType) (= (type T.Start___unnamed_12_468ce3a2) nameType) (= (type T.Length___unnamed_12_468ce3a2) nameType) (= (type T.ListEntry___unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19) nameType) (= (type T.Level___unnamed_12_6fbd747c) nameType) (= (type T.Vector___unnamed_12_6fbd747c) nameType) (= (type T.Affinity___unnamed_12_6fbd747c) nameType) (= (type T.Generic___unnamed_12_9a27b966) nameType) (= (type T.Port___unnamed_12_9a27b966) nameType) (= (type T.Interrupt___unnamed_12_9a27b966) nameType) (= (type T.MessageInterrupt___unnamed_12_9a27b966) nameType) (= (type T.Memory___unnamed_12_9a27b966) nameType) (= (type T.Dma___unnamed_12_9a27b966) nameType) (= (type T.DevicePrivate___unnamed_12_9a27b966) nameType) (= (type T.BusNumber___unnamed_12_9a27b966) nameType) (= (type T.DeviceSpecificData___unnamed_12_9a27b966) nameType) (= (type T.Memory40___unnamed_12_9a27b966) nameType) (= (type T.Memory48___unnamed_12_9a27b966) nameType) (= (type T.Memory64___unnamed_12_9a27b966) nameType) (= (type T.Raw___unnamed_12_9eaf06f6) nameType) (= (type T.Translated___unnamed_12_9eaf06f6) nameType) (= (type T.Data___unnamed_12_a967ef4a) nameType) (= (type T.Start___unnamed_12_ab6ff61b) nameType) (= (type T.Length64___unnamed_12_ab6ff61b) nameType) (= (type T.Start___unnamed_12_ad4e1918) nameType) (= (type T.Length___unnamed_12_ad4e1918) nameType) (= (type T.Start___unnamed_12_c0c3bd45) nameType) (= (type T.Length___unnamed_12_c0c3bd45) nameType) (= (type T.Start___unnamed_12_df63118d) nameType) (= (type T.Length40___unnamed_12_df63118d) nameType) (= (type T.Level___unnamed_12_e5164c3f) nameType) (= (type T.Vector___unnamed_12_e5164c3f) nameType) (= (type T.Affinity___unnamed_12_e5164c3f) nameType) (= (type T.Channel___unnamed_12_f1f9be0a) nameType) (= (type T.Port___unnamed_12_f1f9be0a) nameType) (= (type T.Reserved1___unnamed_12_f1f9be0a) nameType) (= (type T.DataSize___unnamed_12_f354d203) nameType) (= (type T.Reserved1___unnamed_12_f354d203) nameType) (= (type T.Reserved2___unnamed_12_f354d203) nameType) (= (type T.InterfaceType___unnamed_16_2ab145ec) nameType) (= (type T.Size___unnamed_16_2ab145ec) nameType) (= (type T.Version___unnamed_16_2ab145ec) nameType) (= (type T.Interface___unnamed_16_2ab145ec) nameType) (= (type T.InterfaceSpecificData___unnamed_16_2ab145ec) nameType) (= (type T.Length___unnamed_16_30f1d328) nameType) (= (type T.MinBusNumber___unnamed_16_30f1d328) nameType) (= (type T.MaxBusNumber___unnamed_16_30f1d328) nameType) (= (type T.Reserved___unnamed_16_30f1d328) nameType) (= (type T.DeviceQueueEntry___unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_c774559b___unnamed_16_3277c3a0) nameType) (= (type T.Length___unnamed_16_3a584a7c) nameType) (= (type T.Key___unnamed_16_3a584a7c) nameType) (= (type T.ByteOffset___unnamed_16_3a584a7c) nameType) (= (type T.OutputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.InputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.FsControlCode___unnamed_16_3dec08db) nameType) (= (type T.Type3InputBuffer___unnamed_16_3dec08db) nameType) (= (type T.Create___unnamed_16_57edbc3a) nameType) (= (type T.Read___unnamed_16_57edbc3a) nameType) (= (type T.Write___unnamed_16_57edbc3a) nameType) (= (type T.QueryDirectory___unnamed_16_57edbc3a) nameType) (= (type T.NotifyDirectory___unnamed_16_57edbc3a) nameType) (= (type T.QueryFile___unnamed_16_57edbc3a) nameType) (= (type T.SetFile___unnamed_16_57edbc3a) nameType) (= (type T.QueryEa___unnamed_16_57edbc3a) nameType) (= (type T.SetEa___unnamed_16_57edbc3a) nameType) (= (type T.QueryVolume___unnamed_16_57edbc3a) nameType) (= (type T.SetVolume___unnamed_16_57edbc3a) nameType) (= (type T.FileSystemControl___unnamed_16_57edbc3a) nameType) (= (type T.LockControl___unnamed_16_57edbc3a) nameType) (= (type T.DeviceIoControl___unnamed_16_57edbc3a) nameType) (= (type T.QuerySecurity___unnamed_16_57edbc3a) nameType) (= (type T.SetSecurity___unnamed_16_57edbc3a) nameType) (= (type T.MountVolume___unnamed_16_57edbc3a) nameType) (= (type T.VerifyVolume___unnamed_16_57edbc3a) nameType) (= (type T.Scsi___unnamed_16_57edbc3a) nameType) (= (type T.QueryQuota___unnamed_16_57edbc3a) nameType) (= (type T.SetQuota___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceRelations___unnamed_16_57edbc3a) nameType) (= (type T.QueryInterface___unnamed_16_57edbc3a) nameType) (= (type T.DeviceCapabilities___unnamed_16_57edbc3a) nameType) (= (type T.FilterResourceRequirements___unnamed_16_57edbc3a) nameType) (= (type T.ReadWriteConfig___unnamed_16_57edbc3a) nameType) (= (type T.SetLock___unnamed_16_57edbc3a) nameType) (= (type T.QueryId___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceText___unnamed_16_57edbc3a) nameType) (= (type T.UsageNotification___unnamed_16_57edbc3a) nameType) (= (type T.WaitWake___unnamed_16_57edbc3a) nameType) (= (type T.PowerSequence___unnamed_16_57edbc3a) nameType) (= (type T.Power___unnamed_16_57edbc3a) nameType) (= (type T.StartDevice___unnamed_16_57edbc3a) nameType) (= (type T.WMI___unnamed_16_57edbc3a) nameType) (= (type T.Others___unnamed_16_57edbc3a) nameType) (= (type T.Argument1___unnamed_16_5ac3fe10) nameType) (= (type T.Argument2___unnamed_16_5ac3fe10) nameType) (= (type T.Argument3___unnamed_16_5ac3fe10) nameType) (= (type T.Argument4___unnamed_16_5ac3fe10) nameType) (= (type T.OutputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.InputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.IoControlCode___unnamed_16_5bbbf1e7) nameType) (= (type T.Type3InputBuffer___unnamed_16_5bbbf1e7) nameType) (= (type T.ProviderId___unnamed_16_66abee0d) nameType) (= (type T.DataPath___unnamed_16_66abee0d) nameType) (= (type T.BufferSize___unnamed_16_66abee0d) nameType) (= (type T.Buffer___unnamed_16_66abee0d) nameType) (= (type T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2) nameType) (= (type T.Type___unnamed_16_6c8935f2) nameType) (= (type T.State___unnamed_16_6c8935f2) nameType) (= (type T.ShutdownType___unnamed_16_6c8935f2) nameType) (= (type T.Length___unnamed_16_834e30a3) nameType) (= (type T.EaList___unnamed_16_834e30a3) nameType) (= (type T.EaListLength___unnamed_16_834e30a3) nameType) (= (type T.EaIndex___unnamed_16_834e30a3) nameType) (= (type T.WhichSpace___unnamed_16_83707d7f) nameType) (= (type T.Buffer___unnamed_16_83707d7f) nameType) (= (type T.Offset___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_94922103) nameType) (= (type T.Key___unnamed_16_94922103) nameType) (= (type T.ByteOffset___unnamed_16_94922103) nameType) (= (type T.Length___unnamed_16_9eb64f79) nameType) (= (type T.StartSid___unnamed_16_9eb64f79) nameType) (= (type T.SidList___unnamed_16_9eb64f79) nameType) (= (type T.SidListLength___unnamed_16_9eb64f79) nameType) (= (type T.Length___unnamed_16_a71f10bf) nameType) (= (type T.FileName___unnamed_16_a71f10bf) nameType) (= (type T.FileInformationClass___unnamed_16_a71f10bf) nameType) (= (type T.FileIndex___unnamed_16_a71f10bf) nameType) (= (type T.SecurityContext___unnamed_16_af2c1884) nameType) (= (type T.Options___unnamed_16_af2c1884) nameType) (= (type T.FileAttributes___unnamed_16_af2c1884) nameType) (= (type T.ShareAccess___unnamed_16_af2c1884) nameType) (= (type T.EaLength___unnamed_16_af2c1884) nameType) (= (type T.Length___unnamed_16_b1a6a9b2) nameType) (= (type T.FileInformationClass___unnamed_16_b1a6a9b2) nameType) (= (type T.FileObject___unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2) nameType) (= (type T.DriverContext___unnamed_16_c774559b) nameType) (= (type T.Length___unnamed_16_ca1b3ad0) nameType) (= (type T.Key___unnamed_16_ca1b3ad0) nameType) (= (type T.ByteOffset___unnamed_16_ca1b3ad0) nameType) (= (type T.Abandoned___unnamed_1_4258582a) nameType) (= (type T.Absolute___unnamed_1_4258582a) nameType) (= (type T.NpxIrql___unnamed_1_4258582a) nameType) (= (type T.Signalling___unnamed_1_4258582a) nameType) (= (type T.Lock___unnamed_1_4f5916b9) nameType) (= (type T.Size___unnamed_1_923f487b) nameType) (= (type T.Hand___unnamed_1_923f487b) nameType) (= (type T.Inserted___unnamed_1_ac5cb154) nameType) (= (type T.DebugActive___unnamed_1_ac5cb154) nameType) (= (type T.DpcActive___unnamed_1_ac5cb154) nameType) (= (type T.MinimumVector___unnamed_20_9fc4dd36) nameType) (= (type T.MaximumVector___unnamed_20_9fc4dd36) nameType) (= (type T.AffinityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.PriorityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.TargetedProcessors___unnamed_20_9fc4dd36) nameType) (= (type T.Length___unnamed_24_76c1f52c) nameType) (= (type T.Alignment___unnamed_24_76c1f52c) nameType) (= (type T.MinimumAddress___unnamed_24_76c1f52c) nameType) (= (type T.MaximumAddress___unnamed_24_76c1f52c) nameType) (= (type T.Length64___unnamed_24_87e4ad03) nameType) (= (type T.Alignment64___unnamed_24_87e4ad03) nameType) (= (type T.MinimumAddress___unnamed_24_87e4ad03) nameType) (= (type T.MaximumAddress___unnamed_24_87e4ad03) nameType) (= (type T.Port___unnamed_24_87fb9019) nameType) (= (type T.Memory___unnamed_24_87fb9019) nameType) (= (type T.Interrupt___unnamed_24_87fb9019) nameType) (= (type T.Dma___unnamed_24_87fb9019) nameType) (= (type T.Generic___unnamed_24_87fb9019) nameType) (= (type T.DevicePrivate___unnamed_24_87fb9019) nameType) (= (type T.BusNumber___unnamed_24_87fb9019) nameType) (= (type T.ConfigData___unnamed_24_87fb9019) nameType) (= (type T.Memory40___unnamed_24_87fb9019) nameType) (= (type T.Memory48___unnamed_24_87fb9019) nameType) (= (type T.Memory64___unnamed_24_87fb9019) nameType) (= (type T.Length40___unnamed_24_af527a47) nameType) (= (type T.Alignment40___unnamed_24_af527a47) nameType) (= (type T.MinimumAddress___unnamed_24_af527a47) nameType) (= (type T.MaximumAddress___unnamed_24_af527a47) nameType) (= (type T.Length___unnamed_24_b3ef9869) nameType) (= (type T.Alignment___unnamed_24_b3ef9869) nameType) (= (type T.MinimumAddress___unnamed_24_b3ef9869) nameType) (= (type T.MaximumAddress___unnamed_24_b3ef9869) nameType) (= (type T.Length___unnamed_24_c23e34f7) nameType) (= (type T.Alignment___unnamed_24_c23e34f7) nameType) (= (type T.MinimumAddress___unnamed_24_c23e34f7) nameType) (= (type T.MaximumAddress___unnamed_24_c23e34f7) nameType) (= (type T.Length48___unnamed_24_e04d7241) nameType) (= (type T.Alignment48___unnamed_24_e04d7241) nameType) (= (type T.MinimumAddress___unnamed_24_e04d7241) nameType) (= (type T.MaximumAddress___unnamed_24_e04d7241) nameType) (= (type T.ReplaceIfExists___unnamed_2_1d659b1d) nameType) (= (type T.AdvanceOnly___unnamed_2_1d659b1d) nameType) (= (type T.ListEntry___unnamed_40_1db13fa5) nameType) (= (type T.Wcb___unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a) nameType) (= (type T.Thread___unnamed_40_ebf2206a) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a) nameType) (= (type T.OriginalFileObject___unnamed_40_ebf2206a) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.PrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.Overlay___unnamed_48_ffd8d308) nameType) (= (type T.Apc___unnamed_48_ffd8d308) nameType) (= (type T.CompletionKey___unnamed_48_ffd8d308) nameType) (= (type T.IdType___unnamed_4_04fc9c34) nameType) (= (type T.PowerSequence___unnamed_4_082ca2fa) nameType) (= (type T.Type___unnamed_4_142d6b52) nameType) (= (type T.OwnerCount___unnamed_4_1c47e29a) nameType) (= (type T.TableSize___unnamed_4_1c47e29a) nameType) (= (type T.MasterIrp___unnamed_4_3dc37e35) nameType) (= (type T.IrpCount___unnamed_4_3dc37e35) nameType) (= (type T.SystemBuffer___unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_2_1d659b1d___unnamed_4_4d53984e) nameType) (= (type T.ClusterCount___unnamed_4_4d53984e) nameType) (= (type T.DeleteHandle___unnamed_4_4d53984e) nameType) (= (type T.Length___unnamed_4_522a02ae) nameType) (= (type T.CurrentStackLocation___unnamed_4_61d4f5e1) nameType) (= (type T.PacketType___unnamed_4_61d4f5e1) nameType) (= (type T.Length___unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_f14caa62___unnamed_4_7b44c46c) nameType) (= (type T.Lock___unnamed_4_7b44c46c) nameType) (= (type T.PowerState___unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8) nameType) (= (type T.ContextAsUlong___unnamed_4_a8006df8) nameType) (= (type T.Status___unnamed_4_ab1173de) nameType) (= (type T.Pointer___unnamed_4_ab1173de) nameType) (= (type T.Srb___unnamed_4_b2e59cbb) nameType) (= (type T.SystemContext___unnamed_4_b38dc67f) nameType) (= (type T.SystemPowerStateContext___unnamed_4_b38dc67f) nameType) (= (type T.Capabilities___unnamed_4_c62ef092) nameType) (= (type T.Reserved1___unnamed_4_ce0c1b82) nameType) (= (type T.TargetSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.EffectiveSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.CurrentSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_ce0c1b82) nameType) (= (type T.PseudoTransition___unnamed_4_ce0c1b82) nameType) (= (type T.Reserved2___unnamed_4_ce0c1b82) nameType) (= (type T.UserApcRoutine___unnamed_4_cedfeccd) nameType) (= (type T.IssuingProcess___unnamed_4_cedfeccd) nameType) (= (type T.Address___unnamed_4_f13e195c) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_f13e195c) nameType) (= (type T.Type___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_4258582a___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_923f487b___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_ac5cb154___unnamed_4_f14caa62) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f18e264a) nameType) (= (type T.Length___unnamed_8_06a6de28) nameType) (= (type T.CompletionFilter___unnamed_8_06a6de28) nameType) (= (type T.DeviceTextType___unnamed_8_219179d3) nameType) (= (type T.LocaleId___unnamed_8_219179d3) nameType) (= (type T.InPath___unnamed_8_380551ca) nameType) (= (type T.Reserved___unnamed_8_380551ca) nameType) (= (type T.Type___unnamed_8_380551ca) nameType) (= (type T.SecurityInformation___unnamed_8_3ebf0971) nameType) (= (type T.Length___unnamed_8_3ebf0971) nameType) (= (type T.AsynchronousParameters___unnamed_8_45a58840) nameType) (= (type T.AllocationSize___unnamed_8_45a58840) nameType) (= (type T.LowPart___unnamed_8_544b88f4) nameType) (= (type T.HighPart___unnamed_8_544b88f4) nameType) (= (type T.MinimumChannel___unnamed_8_5bc13409) nameType) (= (type T.MaximumChannel___unnamed_8_5bc13409) nameType) (= (type T.Length___unnamed_8_5d23cded) nameType) (= (type T.FsInformationClass___unnamed_8_5d23cded) nameType) (= (type T.LowPart___unnamed_8_5d67d492) nameType) (= (type T.HighPart___unnamed_8_5d67d492) nameType) (= (type T.SecurityInformation___unnamed_8_655e974a) nameType) (= (type T.SecurityDescriptor___unnamed_8_655e974a) nameType) (= (type T.Vpb___unnamed_8_a4174c52) nameType) (= (type T.DeviceObject___unnamed_8_a4174c52) nameType) (= (type T.LowPart___unnamed_8_a569aa82) nameType) (= (type T.HighPart___unnamed_8_a569aa82) nameType) (= (type T.Length___unnamed_8_b3031d0e) nameType) (= (type T.FileInformationClass___unnamed_8_b3031d0e) nameType) (= (type T.Length___unnamed_8_b7ca8084) nameType) (= (type T.FsInformationClass___unnamed_8_b7ca8084) nameType) (= (type T.Vpb___unnamed_8_b8c2e139) nameType) (= (type T.DeviceObject___unnamed_8_b8c2e139) nameType) (= (type T.LowPart___unnamed_8_baf71367) nameType) (= (type T.HighPart___unnamed_8_baf71367) nameType) (= (type T.__unnamed_4_cedfeccd___unnamed_8_be4b9317) nameType) (= (type T.UserApcContext___unnamed_8_be4b9317) nameType) (= (type T.AllocatedResources___unnamed_8_d81ae7e8) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A32UINT2) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.COMMON_DATA) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F38) nameType) (= (type T.F39) nameType) (= (type T.F4) nameType) (= (type T.F40) nameType) (= (type T.F41) nameType) (= (type T.F42) nameType) (= (type T.F43) nameType) (= (type T.F44) nameType) (= (type T.F45) nameType) (= (type T.F46) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.FIO_WORKITEM_ROUTINE) nameType) (= (type T.FIO_WORKITEM_ROUTINE_EX) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF26) nameType) (= (type T.PF27) nameType) (= (type T.PF28) nameType) (= (type T.PF30) nameType) (= (type T.PF31) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF34) nameType) (= (type T.PF35) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PF38) nameType) (= (type T.PF39) nameType) (= (type T.PF40) nameType) (= (type T.PF41) nameType) (= (type T.PF42) nameType) (= (type T.PF45) nameType) (= (type T.PF46) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PFIO_WORKITEM_ROUTINE) nameType) (= (type T.PFIO_WORKITEM_ROUTINE_EX) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF31) nameType) (= (type T.PPFDRIVER_CANCEL) nameType) (= (type T.PPFIO_WORKITEM_ROUTINE) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PP_DEVICE_OBJECT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T.PP_IO_STACK_LOCATION) nameType) (= (type T.PP_IO_WORKITEM) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_PORT_KEYBOARD_EXTENSION) nameType) (= (type T.PP_UNICODE_STRING) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWMIGUIDREGINFO) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_ETHREAD) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IO_WORKITEM) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KEYBOARD_INPUT_DATA) nameType) (= (type T.P_KEYBOARD_SCAN_STATE) nameType) (= (type T.P_KINTERRUPT) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OUTPUT_PACKET) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_PORT_KEYBOARD_EXTENSION) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_VPB) nameType) (= (type T.P_WORK_QUEUE_TYPE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.UINT8) nameType) (= (type T.VOID) nameType) (= (type T.WMIENABLEDISABLECONTROL) nameType) (= (type T.WMIGUIDREGINFO) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._CONNECT_DATA) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._ETHREAD) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._I8X_KEYBOARD_WORK_ITEM) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_REMOVE_LOCK) nameType) (= (type T._IO_REMOVE_LOCK_COMMON_BLOCK) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IO_WORKITEM) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KEYBOARD_ATTRIBUTES) nameType) (= (type T._KEYBOARD_ID) nameType) (= (type T._KEYBOARD_ID_EX) nameType) (= (type T._KEYBOARD_INDICATOR_PARAMETERS) nameType) (= (type T._KEYBOARD_INPUT_DATA) nameType) (= (type T._KEYBOARD_SCAN_STATE) nameType) (= (type T._KEYBOARD_TYPEMATIC_PARAMETERS) nameType) (= (type T._KINTERRUPT) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._KTIMER) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OUTPUT_PACKET) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._PORT_KEYBOARD_EXTENSION) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._TRANSMIT_STATE) nameType) (= (type T._ULARGE_INTEGER) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WMILIB_CONTEXT) nameType) (= (type T._WORK_QUEUE_ITEM) nameType) (= (type T._WORK_QUEUE_TYPE) nameType) (= (type T.__unnamed_12_0cb3dc26) nameType) (= (type T.__unnamed_12_1a4b0b08) nameType) (= (type T.__unnamed_12_1cbe20d6) nameType) (= (type T.__unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_29a9546e) nameType) (= (type T.__unnamed_12_33a88444) nameType) (= (type T.__unnamed_12_468ce3a2) nameType) (= (type T.__unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_12_6fbd747c) nameType) (= (type T.__unnamed_12_9a27b966) nameType) (= (type T.__unnamed_12_9eaf06f6) nameType) (= (type T.__unnamed_12_a967ef4a) nameType) (= (type T.__unnamed_12_ab6ff61b) nameType) (= (type T.__unnamed_12_ad4e1918) nameType) (= (type T.__unnamed_12_c0c3bd45) nameType) (= (type T.__unnamed_12_df63118d) nameType) (= (type T.__unnamed_12_e5164c3f) nameType) (= (type T.__unnamed_12_f1f9be0a) nameType) (= (type T.__unnamed_12_f354d203) nameType) (= (type T.__unnamed_16_2ab145ec) nameType) (= (type T.__unnamed_16_30f1d328) nameType) (= (type T.__unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_3a584a7c) nameType) (= (type T.__unnamed_16_3dec08db) nameType) (= (type T.__unnamed_16_57edbc3a) nameType) (= (type T.__unnamed_16_5ac3fe10) nameType) (= (type T.__unnamed_16_5bbbf1e7) nameType) (= (type T.__unnamed_16_66abee0d) nameType) (= (type T.__unnamed_16_6c8935f2) nameType) (= (type T.__unnamed_16_834e30a3) nameType) (= (type T.__unnamed_16_83707d7f) nameType) (= (type T.__unnamed_16_94922103) nameType) (= (type T.__unnamed_16_9eb64f79) nameType) (= (type T.__unnamed_16_a71f10bf) nameType) (= (type T.__unnamed_16_af2c1884) nameType) (= (type T.__unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_16_c774559b) nameType) (= (type T.__unnamed_16_ca1b3ad0) nameType) (= (type T.__unnamed_1_4258582a) nameType) (= (type T.__unnamed_1_4f5916b9) nameType) (= (type T.__unnamed_1_923f487b) nameType) (= (type T.__unnamed_1_ac5cb154) nameType) (= (type T.__unnamed_20_9fc4dd36) nameType) (= (type T.__unnamed_24_76c1f52c) nameType) (= (type T.__unnamed_24_87e4ad03) nameType) (= (type T.__unnamed_24_87fb9019) nameType) (= (type T.__unnamed_24_af527a47) nameType) (= (type T.__unnamed_24_b3ef9869) nameType) (= (type T.__unnamed_24_c23e34f7) nameType) (= (type T.__unnamed_24_e04d7241) nameType) (= (type T.__unnamed_2_1d659b1d) nameType) (= (type T.__unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_44_0d347e8a) nameType) (= (type T.__unnamed_48_ffd8d308) nameType) (= (type T.__unnamed_4_04fc9c34) nameType) (= (type T.__unnamed_4_082ca2fa) nameType) (= (type T.__unnamed_4_142d6b52) nameType) (= (type T.__unnamed_4_1c47e29a) nameType) (= (type T.__unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_4_4d53984e) nameType) (= (type T.__unnamed_4_522a02ae) nameType) (= (type T.__unnamed_4_61d4f5e1) nameType) (= (type T.__unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_7b44c46c) nameType) (= (type T.__unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_a8006df8) nameType) (= (type T.__unnamed_4_ab1173de) nameType) (= (type T.__unnamed_4_b2e59cbb) nameType) (= (type T.__unnamed_4_b38dc67f) nameType) (= (type T.__unnamed_4_c62ef092) nameType) (= (type T.__unnamed_4_ce0c1b82) nameType) (= (type T.__unnamed_4_cedfeccd) nameType) (= (type T.__unnamed_4_f13e195c) nameType) (= (type T.__unnamed_4_f14caa62) nameType) (= (type T.__unnamed_4_f18e264a) nameType) (= (type T.__unnamed_8_06a6de28) nameType) (= (type T.__unnamed_8_219179d3) nameType) (= (type T.__unnamed_8_380551ca) nameType) (= (type T.__unnamed_8_3ebf0971) nameType) (= (type T.__unnamed_8_45a58840) nameType) (= (type T.__unnamed_8_544b88f4) nameType) (= (type T.__unnamed_8_5bc13409) nameType) (= (type T.__unnamed_8_5d23cded) nameType) (= (type T.__unnamed_8_5d67d492) nameType) (= (type T.__unnamed_8_655e974a) nameType) (= (type T.__unnamed_8_a4174c52) nameType) (= (type T.__unnamed_8_a569aa82) nameType) (= (type T.__unnamed_8_b3031d0e) nameType) (= (type T.__unnamed_8_b7ca8084) nameType) (= (type T.__unnamed_8_b8c2e139) nameType) (= (type T.__unnamed_8_baf71367) nameType) (= (type T.__unnamed_8_be4b9317) nameType) (= (type T.__unnamed_8_d81ae7e8) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_AssociatedIrp__IRP ?arg018)) ?v_0) :pattern ((x_S_AssociatedIrp__IRP ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_AssociatedIrp__IRPInv ?arg019)) ?v_0) :pattern ((x_S_AssociatedIrp__IRPInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?arg020)) ?v_0) :pattern ((x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?arg021)) ?v_0) :pattern ((x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_CancelIrql__IRP ?arg022)) ?v_0) :pattern ((x_S_CancelIrql__IRP ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_CancelIrql__IRPInv ?arg023)) ?v_0) :pattern ((x_S_CancelIrql__IRPInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_CancelRoutine__IRP ?arg024)) ?v_0) :pattern ((x_S_CancelRoutine__IRP ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_CancelRoutine__IRPInv ?arg025)) ?v_0) :pattern ((x_S_CancelRoutine__IRPInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_Cancel__IRP ?arg026)) ?v_0) :pattern ((x_S_Cancel__IRP ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_Cancel__IRPInv ?arg027)) ?v_0) :pattern ((x_S_Cancel__IRPInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECT ?arg028)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECTInv ?arg029)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg030)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg031)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg032)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg033)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCK ?arg034)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCK ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCKInv ?arg035)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCKInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg036)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg037)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_IoStatus__IRP ?arg038)) ?v_0) :pattern ((x_S_IoStatus__IRP ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_IoStatus__IRPInv ?arg039)) ?v_0) :pattern ((x_S_IoStatus__IRPInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?arg040)) ?v_0) :pattern ((x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?arg041)) ?v_0) :pattern ((x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_IsKeyboard_COMMON_DATA ?arg042)) ?v_0) :pattern ((x_S_IsKeyboard_COMMON_DATA ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_IsKeyboard_COMMON_DATAInv ?arg043)) ?v_0) :pattern ((x_S_IsKeyboard_COMMON_DATAInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_Item__I8X_KEYBOARD_WORK_ITEM ?arg044)) ?v_0) :pattern ((x_S_Item__I8X_KEYBOARD_WORK_ITEM ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?arg045)) ?v_0) :pattern ((x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_List__WORK_QUEUE_ITEM ?arg046)) ?v_0) :pattern ((x_S_List__WORK_QUEUE_ITEM ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_List__WORK_QUEUE_ITEMInv ?arg047)) ?v_0) :pattern ((x_S_List__WORK_QUEUE_ITEMInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATION ?arg048)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATION ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg049)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?arg050)) ?v_0) :pattern ((x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?arg051)) ?v_0) :pattern ((x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg052)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg053)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATION ?arg054)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATION ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATIONInv ?arg055)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATIONInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_PnpDeviceState_COMMON_DATA ?arg056)) ?v_0) :pattern ((x_S_PnpDeviceState_COMMON_DATA ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_PnpDeviceState_COMMON_DATAInv ?arg057)) ?v_0) :pattern ((x_S_PnpDeviceState_COMMON_DATAInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?arg058)) ?v_0) :pattern ((x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?arg059)) ?v_0) :pattern ((x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?arg060)) ?v_0) :pattern ((x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?arg061)) ?v_0) :pattern ((x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Self_COMMON_DATA ?arg062)) ?v_0) :pattern ((x_S_Self_COMMON_DATA ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Self_COMMON_DATAInv ?arg063)) ?v_0) :pattern ((x_S_Self_COMMON_DATAInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_Started_COMMON_DATA ?arg064)) ?v_0) :pattern ((x_S_Started_COMMON_DATA ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_Started_COMMON_DATAInv ?arg065)) ?v_0) :pattern ((x_S_Started_COMMON_DATAInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173de ?arg066)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173de ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173deInv ?arg067)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173deInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?arg068)) ?v_0) :pattern ((x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?arg069)) ?v_0) :pattern ((x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?arg070)) ?v_0) :pattern ((x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?arg071)) ?v_0) :pattern ((x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg072)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg073)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_WorkItem__IO_WORKITEM ?arg074)) ?v_0) :pattern ((x_S_WorkItem__IO_WORKITEM ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_WorkItem__IO_WORKITEMInv ?arg075)) ?v_0) :pattern ((x_S_WorkItem__IO_WORKITEMInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg076)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg077)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg077)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.Self_COMMON_DATA T.InterruptObject_COMMON_DATA T.InterruptSpinLock_COMMON_DATA T.TopOfStack_COMMON_DATA T.PDO_COMMON_DATA T.RemoveLock_COMMON_DATA T.OutstandingPowerIrp_COMMON_DATA T.PowerState_COMMON_DATA T.SystemState_COMMON_DATA T.ShutdownType_COMMON_DATA T.InputCount_COMMON_DATA T.EnableCount_COMMON_DATA T.DataConsumptionTimer_COMMON_DATA T.RetriesExceededDpc_COMMON_DATA T.ErrorLogDpc_COMMON_DATA T.TimeOutDpc_COMMON_DATA T.ResetDpc_COMMON_DATA T.SequenceNumber_COMMON_DATA T.ConnectData_COMMON_DATA T.WmiLibInfo_COMMON_DATA T.CurrentOutput_COMMON_DATA T.InterruptDescriptor_COMMON_DATA T.PnpDeviceState_COMMON_DATA T.ResendCount_COMMON_DATA T.OkayToLogOverflow_COMMON_DATA T.Initialized_COMMON_DATA T.IsIsrActivated_COMMON_DATA T.IsKeyboard_COMMON_DATA T.Started_COMMON_DATA T.Guid_WMIGUIDREGINFO T.InstanceCount_WMIGUIDREGINFO T.Flags_WMIGUIDREGINFO T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.ClassDeviceObject__CONNECT_DATA T.ClassService__CONNECT_DATA T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_7b44c46c__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_f13e195c__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.Item__I8X_KEYBOARD_WORK_ITEM T.MakeCode__I8X_KEYBOARD_WORK_ITEM T.Irp__I8X_KEYBOARD_WORK_ITEM T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Common__IO_REMOVE_LOCK T.Removed__IO_REMOVE_LOCK_COMMON_BLOCK T.Reserved__IO_REMOVE_LOCK_COMMON_BLOCK T.IoCount__IO_REMOVE_LOCK_COMMON_BLOCK T.RemoveEvent__IO_REMOVE_LOCK_COMMON_BLOCK T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_ab1173de__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.WorkItem__IO_WORKITEM T.Routine__IO_WORKITEM T.IoObject__IO_WORKITEM T.Context__IO_WORKITEM T.Type__IO_WORKITEM T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.KeyboardIdentifier__KEYBOARD_ATTRIBUTES T.KeyboardMode__KEYBOARD_ATTRIBUTES T.NumberOfFunctionKeys__KEYBOARD_ATTRIBUTES T.NumberOfIndicators__KEYBOARD_ATTRIBUTES T.NumberOfKeysTotal__KEYBOARD_ATTRIBUTES T.InputDataQueueLength__KEYBOARD_ATTRIBUTES T.KeyRepeatMinimum__KEYBOARD_ATTRIBUTES T.KeyRepeatMaximum__KEYBOARD_ATTRIBUTES T.Type__KEYBOARD_ID T.Subtype__KEYBOARD_ID T.Type__KEYBOARD_ID_EX T.Subtype__KEYBOARD_ID_EX T.UnitId__KEYBOARD_INDICATOR_PARAMETERS T.LedFlags__KEYBOARD_INDICATOR_PARAMETERS T.UnitId__KEYBOARD_INPUT_DATA T.MakeCode__KEYBOARD_INPUT_DATA T.Flags__KEYBOARD_INPUT_DATA T.Reserved__KEYBOARD_INPUT_DATA T.ExtraInformation__KEYBOARD_INPUT_DATA T.UnitId__KEYBOARD_TYPEMATIC_PARAMETERS T.Rate__KEYBOARD_TYPEMATIC_PARAMETERS T.Delay__KEYBOARD_TYPEMATIC_PARAMETERS T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.Header__KTIMER T.DueTime__KTIMER T.TimerListEntry__KTIMER T.Dpc__KTIMER T.Period__KTIMER T.__unnamed_8_544b88f4__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.Bytes__OUTPUT_PACKET T.CurrentByte__OUTPUT_PACKET T.ByteCount__OUTPUT_PACKET T.State__OUTPUT_PACKET T.OwnerThread__OWNER_ENTRY T.__unnamed_4_1c47e29a__OWNER_ENTRY T.COMMON_DATA__PORT_KEYBOARD_EXTENSION T.PowerCaps__PORT_KEYBOARD_EXTENSION T.PowerEvent__PORT_KEYBOARD_EXTENSION T.CurrentScanCode__PORT_KEYBOARD_EXTENSION T.LastScanCode__PORT_KEYBOARD_EXTENSION T.SysButtonEventIrp__PORT_KEYBOARD_EXTENSION T.SysButtonEventDpc__PORT_KEYBOARD_EXTENSION T.SysButtonSpinLock__PORT_KEYBOARD_EXTENSION T.SysButtonInterfaceName__PORT_KEYBOARD_EXTENSION T.KeyboardAttributes__PORT_KEYBOARD_EXTENSION T.KeyboardIdentifierEx__PORT_KEYBOARD_EXTENSION T.KeyRepeatCurrent__PORT_KEYBOARD_EXTENSION T.KeyboardIndicators__PORT_KEYBOARD_EXTENSION T.KeyboardIsrDpc__PORT_KEYBOARD_EXTENSION T.KeyboardIsrDpcRetry__PORT_KEYBOARD_EXTENSION T.DpcInterlockKeyboard__PORT_KEYBOARD_EXTENSION T.InputData__PORT_KEYBOARD_EXTENSION T.DataIn__PORT_KEYBOARD_EXTENSION T.DataOut__PORT_KEYBOARD_EXTENSION T.DataEnd__PORT_KEYBOARD_EXTENSION T.CurrentInput__PORT_KEYBOARD_EXTENSION T.CurrentScanState__PORT_KEYBOARD_EXTENSION T.InitializationHookCallback__PORT_KEYBOARD_EXTENSION T.IsrHookCallback__PORT_KEYBOARD_EXTENSION T.HookContext__PORT_KEYBOARD_EXTENSION T.CrashFlags__PORT_KEYBOARD_EXTENSION T.CurrentCrashFlags__PORT_KEYBOARD_EXTENSION T.CrashScanCode__PORT_KEYBOARD_EXTENSION T.CrashScanCode2__PORT_KEYBOARD_EXTENSION T.FailedReset__PORT_KEYBOARD_EXTENSION T.DebugEnableFlags__PORT_KEYBOARD_EXTENSION T.DebugEnableScanCode__PORT_KEYBOARD_EXTENSION T.DebugEnableScanCode2__PORT_KEYBOARD_EXTENSION T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT T.__unnamed_8_baf71367__ULARGE_INTEGER T.u__ULARGE_INTEGER T.QuadPart__ULARGE_INTEGER T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.GuidCount__WMILIB_CONTEXT T.GuidList__WMILIB_CONTEXT T.QueryWmiRegInfo__WMILIB_CONTEXT T.QueryWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataItem__WMILIB_CONTEXT T.ExecuteWmiMethod__WMILIB_CONTEXT T.WmiFunctionControl__WMILIB_CONTEXT T.List__WORK_QUEUE_ITEM T.WorkerRoutine__WORK_QUEUE_ITEM T.Parameter__WORK_QUEUE_ITEM T.Priority___unnamed_12_0cb3dc26 T.Reserved1___unnamed_12_0cb3dc26 T.Reserved2___unnamed_12_0cb3dc26 T.Data___unnamed_12_1a4b0b08 T.Reserved___unnamed_12_1cbe20d6 T.MessageCount___unnamed_12_1cbe20d6 T.Vector___unnamed_12_1cbe20d6 T.Affinity___unnamed_12_1cbe20d6 T.Start___unnamed_12_28f1f9cc T.Length___unnamed_12_28f1f9cc T.Reserved___unnamed_12_28f1f9cc T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e T.Start___unnamed_12_33a88444 T.Length48___unnamed_12_33a88444 T.Start___unnamed_12_468ce3a2 T.Length___unnamed_12_468ce3a2 T.ListEntry___unnamed_12_5cc47a19 T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 T.Level___unnamed_12_6fbd747c T.Vector___unnamed_12_6fbd747c T.Affinity___unnamed_12_6fbd747c T.Generic___unnamed_12_9a27b966 T.Port___unnamed_12_9a27b966 T.Interrupt___unnamed_12_9a27b966 T.MessageInterrupt___unnamed_12_9a27b966 T.Memory___unnamed_12_9a27b966 T.Dma___unnamed_12_9a27b966 T.DevicePrivate___unnamed_12_9a27b966 T.BusNumber___unnamed_12_9a27b966 T.DeviceSpecificData___unnamed_12_9a27b966 T.Memory40___unnamed_12_9a27b966 T.Memory48___unnamed_12_9a27b966 T.Memory64___unnamed_12_9a27b966 T.Raw___unnamed_12_9eaf06f6 T.Translated___unnamed_12_9eaf06f6 T.Data___unnamed_12_a967ef4a T.Start___unnamed_12_ab6ff61b T.Length64___unnamed_12_ab6ff61b T.Start___unnamed_12_ad4e1918 T.Length___unnamed_12_ad4e1918 T.Start___unnamed_12_c0c3bd45 T.Length___unnamed_12_c0c3bd45 T.Start___unnamed_12_df63118d T.Length40___unnamed_12_df63118d T.Level___unnamed_12_e5164c3f T.Vector___unnamed_12_e5164c3f T.Affinity___unnamed_12_e5164c3f T.Channel___unnamed_12_f1f9be0a T.Port___unnamed_12_f1f9be0a T.Reserved1___unnamed_12_f1f9be0a T.DataSize___unnamed_12_f354d203 T.Reserved1___unnamed_12_f354d203 T.Reserved2___unnamed_12_f354d203 T.InterfaceType___unnamed_16_2ab145ec T.Size___unnamed_16_2ab145ec T.Version___unnamed_16_2ab145ec T.Interface___unnamed_16_2ab145ec T.InterfaceSpecificData___unnamed_16_2ab145ec T.Length___unnamed_16_30f1d328 T.MinBusNumber___unnamed_16_30f1d328 T.MaxBusNumber___unnamed_16_30f1d328 T.Reserved___unnamed_16_30f1d328 T.DeviceQueueEntry___unnamed_16_3277c3a0 T.__unnamed_16_c774559b___unnamed_16_3277c3a0 T.Length___unnamed_16_3a584a7c T.Key___unnamed_16_3a584a7c T.ByteOffset___unnamed_16_3a584a7c T.OutputBufferLength___unnamed_16_3dec08db T.InputBufferLength___unnamed_16_3dec08db T.FsControlCode___unnamed_16_3dec08db T.Type3InputBuffer___unnamed_16_3dec08db T.Create___unnamed_16_57edbc3a T.Read___unnamed_16_57edbc3a T.Write___unnamed_16_57edbc3a T.QueryDirectory___unnamed_16_57edbc3a T.NotifyDirectory___unnamed_16_57edbc3a T.QueryFile___unnamed_16_57edbc3a T.SetFile___unnamed_16_57edbc3a T.QueryEa___unnamed_16_57edbc3a T.SetEa___unnamed_16_57edbc3a T.QueryVolume___unnamed_16_57edbc3a T.SetVolume___unnamed_16_57edbc3a T.FileSystemControl___unnamed_16_57edbc3a T.LockControl___unnamed_16_57edbc3a T.DeviceIoControl___unnamed_16_57edbc3a T.QuerySecurity___unnamed_16_57edbc3a T.SetSecurity___unnamed_16_57edbc3a T.MountVolume___unnamed_16_57edbc3a T.VerifyVolume___unnamed_16_57edbc3a T.Scsi___unnamed_16_57edbc3a T.QueryQuota___unnamed_16_57edbc3a T.SetQuota___unnamed_16_57edbc3a T.QueryDeviceRelations___unnamed_16_57edbc3a T.QueryInterface___unnamed_16_57edbc3a T.DeviceCapabilities___unnamed_16_57edbc3a T.FilterResourceRequirements___unnamed_16_57edbc3a T.ReadWriteConfig___unnamed_16_57edbc3a T.SetLock___unnamed_16_57edbc3a T.QueryId___unnamed_16_57edbc3a T.QueryDeviceText___unnamed_16_57edbc3a T.UsageNotification___unnamed_16_57edbc3a T.WaitWake___unnamed_16_57edbc3a T.PowerSequence___unnamed_16_57edbc3a T.Power___unnamed_16_57edbc3a T.StartDevice___unnamed_16_57edbc3a T.WMI___unnamed_16_57edbc3a T.Others___unnamed_16_57edbc3a T.Argument1___unnamed_16_5ac3fe10 T.Argument2___unnamed_16_5ac3fe10 T.Argument3___unnamed_16_5ac3fe10 T.Argument4___unnamed_16_5ac3fe10 T.OutputBufferLength___unnamed_16_5bbbf1e7 T.InputBufferLength___unnamed_16_5bbbf1e7 T.IoControlCode___unnamed_16_5bbbf1e7 T.Type3InputBuffer___unnamed_16_5bbbf1e7 T.ProviderId___unnamed_16_66abee0d T.DataPath___unnamed_16_66abee0d T.BufferSize___unnamed_16_66abee0d T.Buffer___unnamed_16_66abee0d T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 T.Type___unnamed_16_6c8935f2 T.State___unnamed_16_6c8935f2 T.ShutdownType___unnamed_16_6c8935f2 T.Length___unnamed_16_834e30a3 T.EaList___unnamed_16_834e30a3 T.EaListLength___unnamed_16_834e30a3 T.EaIndex___unnamed_16_834e30a3 T.WhichSpace___unnamed_16_83707d7f T.Buffer___unnamed_16_83707d7f T.Offset___unnamed_16_83707d7f T.Length___unnamed_16_83707d7f T.Length___unnamed_16_94922103 T.Key___unnamed_16_94922103 T.ByteOffset___unnamed_16_94922103 T.Length___unnamed_16_9eb64f79 T.StartSid___unnamed_16_9eb64f79 T.SidList___unnamed_16_9eb64f79 T.SidListLength___unnamed_16_9eb64f79 T.Length___unnamed_16_a71f10bf T.FileName___unnamed_16_a71f10bf T.FileInformationClass___unnamed_16_a71f10bf T.FileIndex___unnamed_16_a71f10bf T.SecurityContext___unnamed_16_af2c1884 T.Options___unnamed_16_af2c1884 T.FileAttributes___unnamed_16_af2c1884 T.ShareAccess___unnamed_16_af2c1884 T.EaLength___unnamed_16_af2c1884 T.Length___unnamed_16_b1a6a9b2 T.FileInformationClass___unnamed_16_b1a6a9b2 T.FileObject___unnamed_16_b1a6a9b2 T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 T.DriverContext___unnamed_16_c774559b T.Length___unnamed_16_ca1b3ad0 T.Key___unnamed_16_ca1b3ad0 T.ByteOffset___unnamed_16_ca1b3ad0 T.Abandoned___unnamed_1_4258582a T.Absolute___unnamed_1_4258582a T.NpxIrql___unnamed_1_4258582a T.Signalling___unnamed_1_4258582a T.Lock___unnamed_1_4f5916b9 T.Size___unnamed_1_923f487b T.Hand___unnamed_1_923f487b T.Inserted___unnamed_1_ac5cb154 T.DebugActive___unnamed_1_ac5cb154 T.DpcActive___unnamed_1_ac5cb154 T.MinimumVector___unnamed_20_9fc4dd36 T.MaximumVector___unnamed_20_9fc4dd36 T.AffinityPolicy___unnamed_20_9fc4dd36 T.PriorityPolicy___unnamed_20_9fc4dd36 T.TargetedProcessors___unnamed_20_9fc4dd36 T.Length___unnamed_24_76c1f52c T.Alignment___unnamed_24_76c1f52c T.MinimumAddress___unnamed_24_76c1f52c T.MaximumAddress___unnamed_24_76c1f52c T.Length64___unnamed_24_87e4ad03 T.Alignment64___unnamed_24_87e4ad03 T.MinimumAddress___unnamed_24_87e4ad03 T.MaximumAddress___unnamed_24_87e4ad03 T.Port___unnamed_24_87fb9019 T.Memory___unnamed_24_87fb9019 T.Interrupt___unnamed_24_87fb9019 T.Dma___unnamed_24_87fb9019 T.Generic___unnamed_24_87fb9019 T.DevicePrivate___unnamed_24_87fb9019 T.BusNumber___unnamed_24_87fb9019 T.ConfigData___unnamed_24_87fb9019 T.Memory40___unnamed_24_87fb9019 T.Memory48___unnamed_24_87fb9019 T.Memory64___unnamed_24_87fb9019 T.Length40___unnamed_24_af527a47 T.Alignment40___unnamed_24_af527a47 T.MinimumAddress___unnamed_24_af527a47 T.MaximumAddress___unnamed_24_af527a47 T.Length___unnamed_24_b3ef9869 T.Alignment___unnamed_24_b3ef9869 T.MinimumAddress___unnamed_24_b3ef9869 T.MaximumAddress___unnamed_24_b3ef9869 T.Length___unnamed_24_c23e34f7 T.Alignment___unnamed_24_c23e34f7 T.MinimumAddress___unnamed_24_c23e34f7 T.MaximumAddress___unnamed_24_c23e34f7 T.Length48___unnamed_24_e04d7241 T.Alignment48___unnamed_24_e04d7241 T.MinimumAddress___unnamed_24_e04d7241 T.MaximumAddress___unnamed_24_e04d7241 T.ReplaceIfExists___unnamed_2_1d659b1d T.AdvanceOnly___unnamed_2_1d659b1d T.ListEntry___unnamed_40_1db13fa5 T.Wcb___unnamed_40_1db13fa5 T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a T.Thread___unnamed_40_ebf2206a T.AuxiliaryBuffer___unnamed_40_ebf2206a T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a T.OriginalFileObject___unnamed_40_ebf2206a T.InitialPrivilegeSet___unnamed_44_0d347e8a T.PrivilegeSet___unnamed_44_0d347e8a T.Overlay___unnamed_48_ffd8d308 T.Apc___unnamed_48_ffd8d308 T.CompletionKey___unnamed_48_ffd8d308 T.IdType___unnamed_4_04fc9c34 T.PowerSequence___unnamed_4_082ca2fa T.Type___unnamed_4_142d6b52 T.OwnerCount___unnamed_4_1c47e29a T.TableSize___unnamed_4_1c47e29a T.MasterIrp___unnamed_4_3dc37e35 T.IrpCount___unnamed_4_3dc37e35 T.SystemBuffer___unnamed_4_3dc37e35 T.__unnamed_2_1d659b1d___unnamed_4_4d53984e T.ClusterCount___unnamed_4_4d53984e T.DeleteHandle___unnamed_4_4d53984e T.Length___unnamed_4_522a02ae T.CurrentStackLocation___unnamed_4_61d4f5e1 T.PacketType___unnamed_4_61d4f5e1 T.Length___unnamed_4_6eaf329f T.__unnamed_4_f14caa62___unnamed_4_7b44c46c T.Lock___unnamed_4_7b44c46c T.PowerState___unnamed_4_7bab7ec3 T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 T.ContextAsUlong___unnamed_4_a8006df8 T.Status___unnamed_4_ab1173de T.Pointer___unnamed_4_ab1173de T.Srb___unnamed_4_b2e59cbb T.SystemContext___unnamed_4_b38dc67f T.SystemPowerStateContext___unnamed_4_b38dc67f T.Capabilities___unnamed_4_c62ef092 T.Reserved1___unnamed_4_ce0c1b82 T.TargetSystemState___unnamed_4_ce0c1b82 T.EffectiveSystemState___unnamed_4_ce0c1b82 T.CurrentSystemState___unnamed_4_ce0c1b82 T.IgnoreHibernationPath___unnamed_4_ce0c1b82 T.PseudoTransition___unnamed_4_ce0c1b82 T.Reserved2___unnamed_4_ce0c1b82 T.UserApcRoutine___unnamed_4_cedfeccd T.IssuingProcess___unnamed_4_cedfeccd T.Address___unnamed_4_f13e195c T.CreatorBackTraceIndex___unnamed_4_f13e195c T.Type___unnamed_4_f14caa62 T.__unnamed_1_4258582a___unnamed_4_f14caa62 T.__unnamed_1_923f487b___unnamed_4_f14caa62 T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 T.IoResourceRequirementList___unnamed_4_f18e264a T.Length___unnamed_8_06a6de28 T.CompletionFilter___unnamed_8_06a6de28 T.DeviceTextType___unnamed_8_219179d3 T.LocaleId___unnamed_8_219179d3 T.InPath___unnamed_8_380551ca T.Reserved___unnamed_8_380551ca T.Type___unnamed_8_380551ca T.SecurityInformation___unnamed_8_3ebf0971 T.Length___unnamed_8_3ebf0971 T.AsynchronousParameters___unnamed_8_45a58840 T.AllocationSize___unnamed_8_45a58840 T.LowPart___unnamed_8_544b88f4 T.HighPart___unnamed_8_544b88f4 T.MinimumChannel___unnamed_8_5bc13409 T.MaximumChannel___unnamed_8_5bc13409 T.Length___unnamed_8_5d23cded T.FsInformationClass___unnamed_8_5d23cded T.LowPart___unnamed_8_5d67d492 T.HighPart___unnamed_8_5d67d492 T.SecurityInformation___unnamed_8_655e974a T.SecurityDescriptor___unnamed_8_655e974a T.Vpb___unnamed_8_a4174c52 T.DeviceObject___unnamed_8_a4174c52 T.LowPart___unnamed_8_a569aa82 T.HighPart___unnamed_8_a569aa82 T.Length___unnamed_8_b3031d0e T.FileInformationClass___unnamed_8_b3031d0e T.Length___unnamed_8_b7ca8084 T.FsInformationClass___unnamed_8_b7ca8084 T.Vpb___unnamed_8_b8c2e139 T.DeviceObject___unnamed_8_b8c2e139 T.LowPart___unnamed_8_baf71367 T.HighPart___unnamed_8_baf71367 T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 T.UserApcContext___unnamed_8_be4b9317 T.AllocatedResources___unnamed_8_d81ae7e8 T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A28PFDRIVER_DISPATCH T.A32UINT2 T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A7_DEVICE_POWER_STATE T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.COMMON_DATA T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F38 T.F39 T.F4 T.F40 T.F41 T.F42 T.F43 T.F44 T.F45 T.F46 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.FIO_WORKITEM_ROUTINE T.FIO_WORKITEM_ROUTINE_EX T.INT2 T.INT4 T.INT8 T.PCHAR T.PF0 T.PF1 T.PF26 T.PF27 T.PF28 T.PF30 T.PF31 T.PF32 T.PF33 T.PF34 T.PF35 T.PF36 T.PF37 T.PF38 T.PF39 T.PF40 T.PF41 T.PF42 T.PF45 T.PF46 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PFIO_WORKITEM_ROUTINE T.PFIO_WORKITEM_ROUTINE_EX T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF31 T.PPFDRIVER_CANCEL T.PPFIO_WORKITEM_ROUTINE T.PPUCHAR T.PPUINT4 T.PPVOID T.PP_DEVICE_OBJECT T.PP_ERESOURCE T.PP_I8X_KEYBOARD_WORK_ITEM T.PP_IO_STACK_LOCATION T.PP_IO_WORKITEM T.PP_IRP T.PP_MDL T.PP_PORT_KEYBOARD_EXTENSION T.PP_UNICODE_STRING T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWMIGUIDREGINFO T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_OBJECT T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_ETHREAD T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_I8X_KEYBOARD_WORK_ITEM T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IO_WORKITEM T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KEYBOARD_INPUT_DATA T.P_KEYBOARD_SCAN_STATE T.P_KINTERRUPT T.P_KSEMAPHORE T.P_KTHREAD T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OUTPUT_PACKET T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_PORT_KEYBOARD_EXTENSION T.P_POWER_SEQUENCE T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_UNICODE_STRING T.P_VPB T.P_WORK_QUEUE_TYPE T.UCHAR T.UINT2 T.UINT4 T.UINT8 T.VOID T.WMIENABLEDISABLECONTROL T.WMIGUIDREGINFO T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._CONNECT_DATA T._DEVICE_CAPABILITIES T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._ETHREAD T._FAST_IO_DISPATCH T._FILE_BASIC_INFORMATION T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._I8X_KEYBOARD_WORK_ITEM T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_REMOVE_LOCK T._IO_REMOVE_LOCK_COMMON_BLOCK T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IO_WORKITEM T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KEYBOARD_ATTRIBUTES T._KEYBOARD_ID T._KEYBOARD_ID_EX T._KEYBOARD_INDICATOR_PARAMETERS T._KEYBOARD_INPUT_DATA T._KEYBOARD_SCAN_STATE T._KEYBOARD_TYPEMATIC_PARAMETERS T._KINTERRUPT T._KSEMAPHORE T._KTHREAD T._KTIMER T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OUTPUT_PACKET T._OWNER_ENTRY T._POOL_TYPE T._PORT_KEYBOARD_EXTENSION T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._TRANSMIT_STATE T._ULARGE_INTEGER T._UNICODE_STRING T._VPB T._WAIT_CONTEXT_BLOCK T._WMILIB_CONTEXT T._WORK_QUEUE_ITEM T._WORK_QUEUE_TYPE T.__unnamed_12_0cb3dc26 T.__unnamed_12_1a4b0b08 T.__unnamed_12_1cbe20d6 T.__unnamed_12_28f1f9cc T.__unnamed_12_29a9546e T.__unnamed_12_33a88444 T.__unnamed_12_468ce3a2 T.__unnamed_12_5cc47a19 T.__unnamed_12_6fbd747c T.__unnamed_12_9a27b966 T.__unnamed_12_9eaf06f6 T.__unnamed_12_a967ef4a T.__unnamed_12_ab6ff61b T.__unnamed_12_ad4e1918 T.__unnamed_12_c0c3bd45 T.__unnamed_12_df63118d T.__unnamed_12_e5164c3f T.__unnamed_12_f1f9be0a T.__unnamed_12_f354d203 T.__unnamed_16_2ab145ec T.__unnamed_16_30f1d328 T.__unnamed_16_3277c3a0 T.__unnamed_16_3a584a7c T.__unnamed_16_3dec08db T.__unnamed_16_57edbc3a T.__unnamed_16_5ac3fe10 T.__unnamed_16_5bbbf1e7 T.__unnamed_16_66abee0d T.__unnamed_16_6c8935f2 T.__unnamed_16_834e30a3 T.__unnamed_16_83707d7f T.__unnamed_16_94922103 T.__unnamed_16_9eb64f79 T.__unnamed_16_a71f10bf T.__unnamed_16_af2c1884 T.__unnamed_16_b1a6a9b2 T.__unnamed_16_c774559b T.__unnamed_16_ca1b3ad0 T.__unnamed_1_4258582a T.__unnamed_1_4f5916b9 T.__unnamed_1_923f487b T.__unnamed_1_ac5cb154 T.__unnamed_20_9fc4dd36 T.__unnamed_24_76c1f52c T.__unnamed_24_87e4ad03 T.__unnamed_24_87fb9019 T.__unnamed_24_af527a47 T.__unnamed_24_b3ef9869 T.__unnamed_24_c23e34f7 T.__unnamed_24_e04d7241 T.__unnamed_2_1d659b1d T.__unnamed_40_1db13fa5 T.__unnamed_40_ebf2206a T.__unnamed_44_0d347e8a T.__unnamed_48_ffd8d308 T.__unnamed_4_04fc9c34 T.__unnamed_4_082ca2fa T.__unnamed_4_142d6b52 T.__unnamed_4_1c47e29a T.__unnamed_4_3dc37e35 T.__unnamed_4_4d53984e T.__unnamed_4_522a02ae T.__unnamed_4_61d4f5e1 T.__unnamed_4_6eaf329f T.__unnamed_4_7b44c46c T.__unnamed_4_7bab7ec3 T.__unnamed_4_a8006df8 T.__unnamed_4_ab1173de T.__unnamed_4_b2e59cbb T.__unnamed_4_b38dc67f T.__unnamed_4_c62ef092 T.__unnamed_4_ce0c1b82 T.__unnamed_4_cedfeccd T.__unnamed_4_f13e195c T.__unnamed_4_f14caa62 T.__unnamed_4_f18e264a T.__unnamed_8_06a6de28 T.__unnamed_8_219179d3 T.__unnamed_8_380551ca T.__unnamed_8_3ebf0971 T.__unnamed_8_45a58840 T.__unnamed_8_544b88f4 T.__unnamed_8_5bc13409 T.__unnamed_8_5d23cded T.__unnamed_8_5d67d492 T.__unnamed_8_655e974a T.__unnamed_8_a4174c52 T.__unnamed_8_a569aa82 T.__unnamed_8_b3031d0e T.__unnamed_8_b7ca8084 T.__unnamed_8_b8c2e139 T.__unnamed_8_baf71367 T.__unnamed_8_be4b9317 T.__unnamed_8_d81ae7e8 (int_2_U I8xCompleteSysButtonEventWorker) (int_2_U I8xSysButtonCancelRoutine) (int_2_U hdevobj) (int_2_U hiostackloc) (int_2_U hirp) (int_2_U hlock) (int_2_U notused_hiostackloc) (int_2_U BOOGIE_LARGE_INT_2147483648)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x25)) ?x25) :pattern ((AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x25))) )) (forall ((?x26 Int)) (! (= (AssociatedIrp__IRP (AssociatedIrp__IRPInv ?x26)) ?x26) :pattern ((AssociatedIrp__IRPInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRP ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (AssociatedIrp__IRP (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRPInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S14) (int_2_U (AssociatedIrp__IRP (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_AssociatedIrp__IRP ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S15) (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_AssociatedIrp__IRPInv ?S15)) )) (forall ((?x31 Int)) (! (= (AssociatedIrp__IRP ?x31) (+ ?x31 12)) :pattern ((AssociatedIrp__IRP ?x31)) )) (forall ((?x32 Int)) (! (= (AssociatedIrp__IRPInv ?x32) (- ?x32 12)) :pattern ((AssociatedIrp__IRPInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1) (AssociatedIrp__IRPInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 12) (AssociatedIrp__IRPInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 12)) )) (forall ((?x35 Int)) (! (= (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (COMMON_DATA__PORT_KEYBOARD_EXTENSION ?x35)) ?x35) :pattern ((COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (COMMON_DATA__PORT_KEYBOARD_EXTENSION ?x35))) )) (forall ((?x36 Int)) (! (= (COMMON_DATA__PORT_KEYBOARD_EXTENSION (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x36)) ?x36) :pattern ((COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (COMMON_DATA__PORT_KEYBOARD_EXTENSION (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?S18) (int_2_U (COMMON_DATA__PORT_KEYBOARD_EXTENSION (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSION ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?S19) (int_2_U (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?S19)) )) (forall ((?x41 Int)) (! (= (COMMON_DATA__PORT_KEYBOARD_EXTENSION ?x41) (+ ?x41 0)) :pattern ((COMMON_DATA__PORT_KEYBOARD_EXTENSION ?x41)) )) (forall ((?x42 Int)) (! (= (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x42) (- ?x42 0)) :pattern ((COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 0 1) (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 0 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 0) (COMMON_DATA__PORT_KEYBOARD_EXTENSIONInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 0)) )) (forall ((?x45 Int)) (! (= (CancelIrql__IRPInv (CancelIrql__IRP ?x45)) ?x45) :pattern ((CancelIrql__IRPInv (CancelIrql__IRP ?x45))) )) (forall ((?x46 Int)) (! (= (CancelIrql__IRP (CancelIrql__IRPInv ?x46)) ?x46) :pattern ((CancelIrql__IRPInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (CancelIrql__IRPInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRP ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (CancelIrql__IRP (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRPInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S22) (int_2_U (CancelIrql__IRP (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_CancelIrql__IRP ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S23) (int_2_U (CancelIrql__IRPInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_CancelIrql__IRPInv ?S23)) )) (forall ((?x51 Int)) (! (= (CancelIrql__IRP ?x51) (+ ?x51 37)) :pattern ((CancelIrql__IRP ?x51)) )) (forall ((?x52 Int)) (! (= (CancelIrql__IRPInv ?x52) (- ?x52 37)) :pattern ((CancelIrql__IRPInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 37 1) (CancelIrql__IRPInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 37 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 37) (CancelIrql__IRPInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 37)) )) (forall ((?x55 Int)) (! (= (CancelRoutine__IRPInv (CancelRoutine__IRP ?x55)) ?x55) :pattern ((CancelRoutine__IRPInv (CancelRoutine__IRP ?x55))) )) (forall ((?x56 Int)) (! (= (CancelRoutine__IRP (CancelRoutine__IRPInv ?x56)) ?x56) :pattern ((CancelRoutine__IRPInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (CancelRoutine__IRPInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRP ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (CancelRoutine__IRP (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRPInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S26) (int_2_U (CancelRoutine__IRP (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_CancelRoutine__IRP ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S27) (int_2_U (CancelRoutine__IRPInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_CancelRoutine__IRPInv ?S27)) )) (forall ((?x61 Int)) (! (= (CancelRoutine__IRP ?x61) (+ ?x61 56)) :pattern ((CancelRoutine__IRP ?x61)) )) (forall ((?x62 Int)) (! (= (CancelRoutine__IRPInv ?x62) (- ?x62 56)) :pattern ((CancelRoutine__IRPInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 56 1) (CancelRoutine__IRPInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 56 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 56) (CancelRoutine__IRPInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 56)) )) (forall ((?x65 Int)) (! (= (Cancel__IRPInv (Cancel__IRP ?x65)) ?x65) :pattern ((Cancel__IRPInv (Cancel__IRP ?x65))) )) (forall ((?x66 Int)) (! (= (Cancel__IRP (Cancel__IRPInv ?x66)) ?x66) :pattern ((Cancel__IRPInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (Cancel__IRPInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRP ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (Cancel__IRP (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRPInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S30) (int_2_U (Cancel__IRP (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_Cancel__IRP ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S31) (int_2_U (Cancel__IRPInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_Cancel__IRPInv ?S31)) )) (forall ((?x71 Int)) (! (= (Cancel__IRP ?x71) (+ ?x71 36)) :pattern ((Cancel__IRP ?x71)) )) (forall ((?x72 Int)) (! (= (Cancel__IRPInv ?x72) (- ?x72 36)) :pattern ((Cancel__IRPInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 36 1) (Cancel__IRPInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 36 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 36) (Cancel__IRPInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 36)) )) (forall ((?x75 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x75)) ?x75) :pattern ((DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x75))) )) (forall ((?x76 Int)) (! (= (DeviceExtension__DEVICE_OBJECT (DeviceExtension__DEVICE_OBJECTInv ?x76)) ?x76) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S34) (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_DeviceExtension__DEVICE_OBJECT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S35) (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_DeviceExtension__DEVICE_OBJECTInv ?S35)) )) (forall ((?x81 Int)) (! (= (DeviceExtension__DEVICE_OBJECT ?x81) (+ ?x81 40)) :pattern ((DeviceExtension__DEVICE_OBJECT ?x81)) )) (forall ((?x82 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv ?x82) (- ?x82 40)) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 40 1) (DeviceExtension__DEVICE_OBJECTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 40 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 40) (DeviceExtension__DEVICE_OBJECTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 40)) )) (forall ((?x85 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x85)) ?x85) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x85))) )) (forall ((?x86 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a (DeviceIoControl___unnamed_16_57edbc3aInv ?x86)) ?x86) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S38) (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S39) (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S39)) )) (forall ((?x91 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a ?x91) (+ ?x91 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3a ?x91)) )) (forall ((?x92 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv ?x92) (- ?x92 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 0 1) (DeviceIoControl___unnamed_16_57edbc3aInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 0 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 0) (DeviceIoControl___unnamed_16_57edbc3aInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 0)) )) (forall ((?x95 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x95)) ?x95) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x95))) )) (forall ((?x96 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x96)) ?x96) :pattern ((Flink__LIST_ENTRYInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S42) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_Flink__LIST_ENTRY ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S43) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_Flink__LIST_ENTRYInv ?S43)) )) (forall ((?x101 Int)) (! (= (Flink__LIST_ENTRY ?x101) (+ ?x101 0)) :pattern ((Flink__LIST_ENTRY ?x101)) )) (forall ((?x102 Int)) (! (= (Flink__LIST_ENTRYInv ?x102) (- ?x102 0)) :pattern ((Flink__LIST_ENTRYInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 0 1) (Flink__LIST_ENTRYInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 0 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 0) (Flink__LIST_ENTRYInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 0)) )) (forall ((?x105 Int)) (! (= (Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x105)) ?x105) :pattern ((Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x105))) )) (forall ((?x106 Int)) (! (= (Information__IO_STATUS_BLOCK (Information__IO_STATUS_BLOCKInv ?x106)) ?x106) :pattern ((Information__IO_STATUS_BLOCKInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S46) (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_Information__IO_STATUS_BLOCK ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S47) (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_Information__IO_STATUS_BLOCKInv ?S47)) )) (forall ((?x111 Int)) (! (= (Information__IO_STATUS_BLOCK ?x111) (+ ?x111 4)) :pattern ((Information__IO_STATUS_BLOCK ?x111)) )) (forall ((?x112 Int)) (! (= (Information__IO_STATUS_BLOCKInv ?x112) (- ?x112 4)) :pattern ((Information__IO_STATUS_BLOCKInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 4 1) (Information__IO_STATUS_BLOCKInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 4 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 4) (Information__IO_STATUS_BLOCKInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 4)) )) (forall ((?x115 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x115)) ?x115) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x115))) )) (forall ((?x116 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 (IoControlCode___unnamed_16_5bbbf1e7Inv ?x116)) ?x116) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S50) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S51) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S51)) )) (forall ((?x121 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 ?x121) (+ ?x121 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7 ?x121)) )) (forall ((?x122 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv ?x122) (- ?x122 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 8) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 8)) )) (forall ((?x125 Int)) (! (= (IoStatus__IRPInv (IoStatus__IRP ?x125)) ?x125) :pattern ((IoStatus__IRPInv (IoStatus__IRP ?x125))) )) (forall ((?x126 Int)) (! (= (IoStatus__IRP (IoStatus__IRPInv ?x126)) ?x126) :pattern ((IoStatus__IRPInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (IoStatus__IRPInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRP ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (IoStatus__IRP (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRPInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S54) (int_2_U (IoStatus__IRP (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_IoStatus__IRP ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S55) (int_2_U (IoStatus__IRPInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_IoStatus__IRPInv ?S55)) )) (forall ((?x131 Int)) (! (= (IoStatus__IRP ?x131) (+ ?x131 24)) :pattern ((IoStatus__IRP ?x131)) )) (forall ((?x132 Int)) (! (= (IoStatus__IRPInv ?x132) (- ?x132 24)) :pattern ((IoStatus__IRPInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 24 1) (IoStatus__IRPInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 24 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 24) (IoStatus__IRPInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 24)) )) (forall ((?x135 Int)) (! (= (Irp__I8X_KEYBOARD_WORK_ITEMInv (Irp__I8X_KEYBOARD_WORK_ITEM ?x135)) ?x135) :pattern ((Irp__I8X_KEYBOARD_WORK_ITEMInv (Irp__I8X_KEYBOARD_WORK_ITEM ?x135))) )) (forall ((?x136 Int)) (! (= (Irp__I8X_KEYBOARD_WORK_ITEM (Irp__I8X_KEYBOARD_WORK_ITEMInv ?x136)) ?x136) :pattern ((Irp__I8X_KEYBOARD_WORK_ITEMInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (Irp__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (Irp__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?S58) (int_2_U (Irp__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_Irp__I8X_KEYBOARD_WORK_ITEM ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?S59) (int_2_U (Irp__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_Irp__I8X_KEYBOARD_WORK_ITEMInv ?S59)) )) (forall ((?x141 Int)) (! (= (Irp__I8X_KEYBOARD_WORK_ITEM ?x141) (+ ?x141 8)) :pattern ((Irp__I8X_KEYBOARD_WORK_ITEM ?x141)) )) (forall ((?x142 Int)) (! (= (Irp__I8X_KEYBOARD_WORK_ITEMInv ?x142) (- ?x142 8)) :pattern ((Irp__I8X_KEYBOARD_WORK_ITEMInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 8 1) (Irp__I8X_KEYBOARD_WORK_ITEMInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 8 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 8) (Irp__I8X_KEYBOARD_WORK_ITEMInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 8)) )) (forall ((?x145 Int)) (! (= (IsKeyboard_COMMON_DATAInv (IsKeyboard_COMMON_DATA ?x145)) ?x145) :pattern ((IsKeyboard_COMMON_DATAInv (IsKeyboard_COMMON_DATA ?x145))) )) (forall ((?x146 Int)) (! (= (IsKeyboard_COMMON_DATA (IsKeyboard_COMMON_DATAInv ?x146)) ?x146) :pattern ((IsKeyboard_COMMON_DATAInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsKeyboard_COMMON_DATA ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (IsKeyboard_COMMON_DATAInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_IsKeyboard_COMMON_DATA ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsKeyboard_COMMON_DATAInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (IsKeyboard_COMMON_DATA (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_IsKeyboard_COMMON_DATAInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsKeyboard_COMMON_DATA ?S62) (int_2_U (IsKeyboard_COMMON_DATA (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_IsKeyboard_COMMON_DATA ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsKeyboard_COMMON_DATAInv ?S63) (int_2_U (IsKeyboard_COMMON_DATAInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_IsKeyboard_COMMON_DATAInv ?S63)) )) (forall ((?x151 Int)) (! (= (IsKeyboard_COMMON_DATA ?x151) (+ ?x151 325)) :pattern ((IsKeyboard_COMMON_DATA ?x151)) )) (forall ((?x152 Int)) (! (= (IsKeyboard_COMMON_DATAInv ?x152) (- ?x152 325)) :pattern ((IsKeyboard_COMMON_DATAInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 325 1) (IsKeyboard_COMMON_DATAInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 325 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 325) (IsKeyboard_COMMON_DATAInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 325)) )) (forall ((?x155 Int)) (! (= (Item__I8X_KEYBOARD_WORK_ITEMInv (Item__I8X_KEYBOARD_WORK_ITEM ?x155)) ?x155) :pattern ((Item__I8X_KEYBOARD_WORK_ITEMInv (Item__I8X_KEYBOARD_WORK_ITEM ?x155))) )) (forall ((?x156 Int)) (! (= (Item__I8X_KEYBOARD_WORK_ITEM (Item__I8X_KEYBOARD_WORK_ITEMInv ?x156)) ?x156) :pattern ((Item__I8X_KEYBOARD_WORK_ITEMInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEM ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (Item__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEM ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (Item__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEM ?S66) (int_2_U (Item__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_Item__I8X_KEYBOARD_WORK_ITEM ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?S67) (int_2_U (Item__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_Item__I8X_KEYBOARD_WORK_ITEMInv ?S67)) )) (forall ((?x161 Int)) (! (= (Item__I8X_KEYBOARD_WORK_ITEM ?x161) (+ ?x161 0)) :pattern ((Item__I8X_KEYBOARD_WORK_ITEM ?x161)) )) (forall ((?x162 Int)) (! (= (Item__I8X_KEYBOARD_WORK_ITEMInv ?x162) (- ?x162 0)) :pattern ((Item__I8X_KEYBOARD_WORK_ITEMInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 0 1) (Item__I8X_KEYBOARD_WORK_ITEMInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 0 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 0) (Item__I8X_KEYBOARD_WORK_ITEMInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 0)) )) (forall ((?x165 Int)) (! (= (List__WORK_QUEUE_ITEMInv (List__WORK_QUEUE_ITEM ?x165)) ?x165) :pattern ((List__WORK_QUEUE_ITEMInv (List__WORK_QUEUE_ITEM ?x165))) )) (forall ((?x166 Int)) (! (= (List__WORK_QUEUE_ITEM (List__WORK_QUEUE_ITEMInv ?x166)) ?x166) :pattern ((List__WORK_QUEUE_ITEMInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_List__WORK_QUEUE_ITEM ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (List__WORK_QUEUE_ITEMInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_List__WORK_QUEUE_ITEM ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_List__WORK_QUEUE_ITEMInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (List__WORK_QUEUE_ITEM (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_List__WORK_QUEUE_ITEMInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_List__WORK_QUEUE_ITEM ?S70) (int_2_U (List__WORK_QUEUE_ITEM (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_List__WORK_QUEUE_ITEM ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_List__WORK_QUEUE_ITEMInv ?S71) (int_2_U (List__WORK_QUEUE_ITEMInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_List__WORK_QUEUE_ITEMInv ?S71)) )) (forall ((?x171 Int)) (! (= (List__WORK_QUEUE_ITEM ?x171) (+ ?x171 0)) :pattern ((List__WORK_QUEUE_ITEM ?x171)) )) (forall ((?x172 Int)) (! (= (List__WORK_QUEUE_ITEMInv ?x172) (- ?x172 0)) :pattern ((List__WORK_QUEUE_ITEMInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 0 1) (List__WORK_QUEUE_ITEMInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 0 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 0) (List__WORK_QUEUE_ITEMInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 0)) )) (forall ((?x175 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x175)) ?x175) :pattern ((MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x175))) )) (forall ((?x176 Int)) (! (= (MajorFunction__IO_STACK_LOCATION (MajorFunction__IO_STACK_LOCATIONInv ?x176)) ?x176) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S74) (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_MajorFunction__IO_STACK_LOCATION ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S75) (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S75)) )) (forall ((?x181 Int)) (! (= (MajorFunction__IO_STACK_LOCATION ?x181) (+ ?x181 0)) :pattern ((MajorFunction__IO_STACK_LOCATION ?x181)) )) (forall ((?x182 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv ?x182) (- ?x182 0)) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1) (MajorFunction__IO_STACK_LOCATIONInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 0) (MajorFunction__IO_STACK_LOCATIONInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 0)) )) (forall ((?x185 Int)) (! (= (MakeCode__I8X_KEYBOARD_WORK_ITEMInv (MakeCode__I8X_KEYBOARD_WORK_ITEM ?x185)) ?x185) :pattern ((MakeCode__I8X_KEYBOARD_WORK_ITEMInv (MakeCode__I8X_KEYBOARD_WORK_ITEM ?x185))) )) (forall ((?x186 Int)) (! (= (MakeCode__I8X_KEYBOARD_WORK_ITEM (MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x186)) ?x186) :pattern ((MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (MakeCode__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (MakeCode__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?S78) (int_2_U (MakeCode__I8X_KEYBOARD_WORK_ITEM (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEM ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?S79) (int_2_U (MakeCode__I8X_KEYBOARD_WORK_ITEMInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?S79)) )) (forall ((?x191 Int)) (! (= (MakeCode__I8X_KEYBOARD_WORK_ITEM ?x191) (+ ?x191 4)) :pattern ((MakeCode__I8X_KEYBOARD_WORK_ITEM ?x191)) )) (forall ((?x192 Int)) (! (= (MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x192) (- ?x192 4)) :pattern ((MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 4 1) (MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 4 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 4) (MakeCode__I8X_KEYBOARD_WORK_ITEMInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 4)) )) (forall ((?x195 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x195)) ?x195) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x195))) )) (forall ((?x196 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x196)) ?x196) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S82) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S83) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S83)) )) (forall ((?x201 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 ?x201) (+ ?x201 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7 ?x201)) )) (forall ((?x202 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x202) (- ?x202 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 0 1) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 0 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 0) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 0)) )) (forall ((?x205 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x205)) ?x205) :pattern ((Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x205))) )) (forall ((?x206 Int)) (! (= (Parameters__IO_STACK_LOCATION (Parameters__IO_STACK_LOCATIONInv ?x206)) ?x206) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S86) (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_Parameters__IO_STACK_LOCATION ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S87) (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_Parameters__IO_STACK_LOCATIONInv ?S87)) )) (forall ((?x211 Int)) (! (= (Parameters__IO_STACK_LOCATION ?x211) (+ ?x211 4)) :pattern ((Parameters__IO_STACK_LOCATION ?x211)) )) (forall ((?x212 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv ?x212) (- ?x212 4)) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 4 1) (Parameters__IO_STACK_LOCATIONInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 4 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 4) (Parameters__IO_STACK_LOCATIONInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 4)) )) (forall ((?x215 Int)) (! (= (PnpDeviceState_COMMON_DATAInv (PnpDeviceState_COMMON_DATA ?x215)) ?x215) :pattern ((PnpDeviceState_COMMON_DATAInv (PnpDeviceState_COMMON_DATA ?x215))) )) (forall ((?x216 Int)) (! (= (PnpDeviceState_COMMON_DATA (PnpDeviceState_COMMON_DATAInv ?x216)) ?x216) :pattern ((PnpDeviceState_COMMON_DATAInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PnpDeviceState_COMMON_DATA ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (PnpDeviceState_COMMON_DATAInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_PnpDeviceState_COMMON_DATA ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PnpDeviceState_COMMON_DATAInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (PnpDeviceState_COMMON_DATA (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_PnpDeviceState_COMMON_DATAInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PnpDeviceState_COMMON_DATA ?S90) (int_2_U (PnpDeviceState_COMMON_DATA (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_PnpDeviceState_COMMON_DATA ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PnpDeviceState_COMMON_DATAInv ?S91) (int_2_U (PnpDeviceState_COMMON_DATAInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_PnpDeviceState_COMMON_DATAInv ?S91)) )) (forall ((?x221 Int)) (! (= (PnpDeviceState_COMMON_DATA ?x221) (+ ?x221 316)) :pattern ((PnpDeviceState_COMMON_DATA ?x221)) )) (forall ((?x222 Int)) (! (= (PnpDeviceState_COMMON_DATAInv ?x222) (- ?x222 316)) :pattern ((PnpDeviceState_COMMON_DATAInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 316 1) (PnpDeviceState_COMMON_DATAInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 316 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 316) (PnpDeviceState_COMMON_DATAInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 316)) )) (forall ((?x225 Int)) (! (= (PowerCaps__PORT_KEYBOARD_EXTENSIONInv (PowerCaps__PORT_KEYBOARD_EXTENSION ?x225)) ?x225) :pattern ((PowerCaps__PORT_KEYBOARD_EXTENSIONInv (PowerCaps__PORT_KEYBOARD_EXTENSION ?x225))) )) (forall ((?x226 Int)) (! (= (PowerCaps__PORT_KEYBOARD_EXTENSION (PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x226)) ?x226) :pattern ((PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (PowerCaps__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (PowerCaps__PORT_KEYBOARD_EXTENSION (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?S94) (int_2_U (PowerCaps__PORT_KEYBOARD_EXTENSION (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_PowerCaps__PORT_KEYBOARD_EXTENSION ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?S95) (int_2_U (PowerCaps__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?S95)) )) (forall ((?x231 Int)) (! (= (PowerCaps__PORT_KEYBOARD_EXTENSION ?x231) (+ ?x231 328)) :pattern ((PowerCaps__PORT_KEYBOARD_EXTENSION ?x231)) )) (forall ((?x232 Int)) (! (= (PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x232) (- ?x232 328)) :pattern ((PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 328 1) (PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 328 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 328) (PowerCaps__PORT_KEYBOARD_EXTENSIONInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 328)) )) (forall ((?x235 Int)) (! (= (PowerEvent__PORT_KEYBOARD_EXTENSIONInv (PowerEvent__PORT_KEYBOARD_EXTENSION ?x235)) ?x235) :pattern ((PowerEvent__PORT_KEYBOARD_EXTENSIONInv (PowerEvent__PORT_KEYBOARD_EXTENSION ?x235))) )) (forall ((?x236 Int)) (! (= (PowerEvent__PORT_KEYBOARD_EXTENSION (PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x236)) ?x236) :pattern ((PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (PowerEvent__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (PowerEvent__PORT_KEYBOARD_EXTENSION (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?S98) (int_2_U (PowerEvent__PORT_KEYBOARD_EXTENSION (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_PowerEvent__PORT_KEYBOARD_EXTENSION ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?S99) (int_2_U (PowerEvent__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?S99)) )) (forall ((?x241 Int)) (! (= (PowerEvent__PORT_KEYBOARD_EXTENSION ?x241) (+ ?x241 329)) :pattern ((PowerEvent__PORT_KEYBOARD_EXTENSION ?x241)) )) (forall ((?x242 Int)) (! (= (PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x242) (- ?x242 329)) :pattern ((PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 329 1) (PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 329 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 329) (PowerEvent__PORT_KEYBOARD_EXTENSIONInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 329)) )) (forall ((?x245 Int)) (! (= (Self_COMMON_DATAInv (Self_COMMON_DATA ?x245)) ?x245) :pattern ((Self_COMMON_DATAInv (Self_COMMON_DATA ?x245))) )) (forall ((?x246 Int)) (! (= (Self_COMMON_DATA (Self_COMMON_DATAInv ?x246)) ?x246) :pattern ((Self_COMMON_DATAInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Self_COMMON_DATA ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Self_COMMON_DATAInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Self_COMMON_DATA ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Self_COMMON_DATAInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Self_COMMON_DATA (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Self_COMMON_DATAInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Self_COMMON_DATA ?S102) (int_2_U (Self_COMMON_DATA (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Self_COMMON_DATA ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Self_COMMON_DATAInv ?S103) (int_2_U (Self_COMMON_DATAInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Self_COMMON_DATAInv ?S103)) )) (forall ((?x251 Int)) (! (= (Self_COMMON_DATA ?x251) (+ ?x251 0)) :pattern ((Self_COMMON_DATA ?x251)) )) (forall ((?x252 Int)) (! (= (Self_COMMON_DATAInv ?x252) (- ?x252 0)) :pattern ((Self_COMMON_DATAInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 0 1) (Self_COMMON_DATAInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 0 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 0) (Self_COMMON_DATAInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 0)) )) (forall ((?x255 Int)) (! (= (Started_COMMON_DATAInv (Started_COMMON_DATA ?x255)) ?x255) :pattern ((Started_COMMON_DATAInv (Started_COMMON_DATA ?x255))) )) (forall ((?x256 Int)) (! (= (Started_COMMON_DATA (Started_COMMON_DATAInv ?x256)) ?x256) :pattern ((Started_COMMON_DATAInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Started_COMMON_DATA ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (Started_COMMON_DATAInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_Started_COMMON_DATA ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Started_COMMON_DATAInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (Started_COMMON_DATA (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_Started_COMMON_DATAInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Started_COMMON_DATA ?S106) (int_2_U (Started_COMMON_DATA (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_Started_COMMON_DATA ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Started_COMMON_DATAInv ?S107) (int_2_U (Started_COMMON_DATAInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_Started_COMMON_DATAInv ?S107)) )) (forall ((?x261 Int)) (! (= (Started_COMMON_DATA ?x261) (+ ?x261 326)) :pattern ((Started_COMMON_DATA ?x261)) )) (forall ((?x262 Int)) (! (= (Started_COMMON_DATAInv ?x262) (- ?x262 326)) :pattern ((Started_COMMON_DATAInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 326 1) (Started_COMMON_DATAInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 326 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 326) (Started_COMMON_DATAInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 326)) )) (forall ((?x265 Int)) (! (= (Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x265)) ?x265) :pattern ((Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x265))) )) (forall ((?x266 Int)) (! (= (Status___unnamed_4_ab1173de (Status___unnamed_4_ab1173deInv ?x266)) ?x266) :pattern ((Status___unnamed_4_ab1173deInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173de ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S110) (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Status___unnamed_4_ab1173de ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S111) (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Status___unnamed_4_ab1173deInv ?S111)) )) (forall ((?x271 Int)) (! (= (Status___unnamed_4_ab1173de ?x271) (+ ?x271 0)) :pattern ((Status___unnamed_4_ab1173de ?x271)) )) (forall ((?x272 Int)) (! (= (Status___unnamed_4_ab1173deInv ?x272) (- ?x272 0)) :pattern ((Status___unnamed_4_ab1173deInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 0 1) (Status___unnamed_4_ab1173deInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 0 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 0) (Status___unnamed_4_ab1173deInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 0)) )) (forall ((?x275 Int)) (! (= (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?x275)) ?x275) :pattern ((SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?x275))) )) (forall ((?x276 Int)) (! (= (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x276)) ?x276) :pattern ((SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?S114) (int_2_U (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?S115) (int_2_U (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?S115)) )) (forall ((?x281 Int)) (! (= (SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?x281) (+ ?x281 332)) :pattern ((SysButtonEventIrp__PORT_KEYBOARD_EXTENSION ?x281)) )) (forall ((?x282 Int)) (! (= (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x282) (- ?x282 332)) :pattern ((SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 332 1) (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 332 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 332) (SysButtonEventIrp__PORT_KEYBOARD_EXTENSIONInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 332)) )) (forall ((?x285 Int)) (! (= (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?x285)) ?x285) :pattern ((SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?x285))) )) (forall ((?x286 Int)) (! (= (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x286)) ?x286) :pattern ((SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?S118) (int_2_U (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?S119) (int_2_U (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?S119)) )) (forall ((?x291 Int)) (! (= (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?x291) (+ ?x291 368)) :pattern ((SysButtonSpinLock__PORT_KEYBOARD_EXTENSION ?x291)) )) (forall ((?x292 Int)) (! (= (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x292) (- ?x292 368)) :pattern ((SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 368 1) (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 368 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 368) (SysButtonSpinLock__PORT_KEYBOARD_EXTENSIONInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 368)) )) (forall ((?x295 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x295)) ?x295) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x295))) )) (forall ((?x296 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 (SystemBuffer___unnamed_4_3dc37e35Inv ?x296)) ?x296) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S122) (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S123) (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S123)) )) (forall ((?x301 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 ?x301) (+ ?x301 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35 ?x301)) )) (forall ((?x302 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv ?x302) (- ?x302 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (SystemBuffer___unnamed_4_3dc37e35Inv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (SystemBuffer___unnamed_4_3dc37e35Inv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (WorkItem__IO_WORKITEMInv (WorkItem__IO_WORKITEM ?x305)) ?x305) :pattern ((WorkItem__IO_WORKITEMInv (WorkItem__IO_WORKITEM ?x305))) )) (forall ((?x306 Int)) (! (= (WorkItem__IO_WORKITEM (WorkItem__IO_WORKITEMInv ?x306)) ?x306) :pattern ((WorkItem__IO_WORKITEMInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItem__IO_WORKITEM ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (WorkItem__IO_WORKITEMInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItem__IO_WORKITEM ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItem__IO_WORKITEMInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (WorkItem__IO_WORKITEM (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItem__IO_WORKITEMInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItem__IO_WORKITEM ?S126) (int_2_U (WorkItem__IO_WORKITEM (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_WorkItem__IO_WORKITEM ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItem__IO_WORKITEMInv ?S127) (int_2_U (WorkItem__IO_WORKITEMInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_WorkItem__IO_WORKITEMInv ?S127)) )) (forall ((?x311 Int)) (! (= (WorkItem__IO_WORKITEM ?x311) (+ ?x311 0)) :pattern ((WorkItem__IO_WORKITEM ?x311)) )) (forall ((?x312 Int)) (! (= (WorkItem__IO_WORKITEMInv ?x312) (- ?x312 0)) :pattern ((WorkItem__IO_WORKITEMInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (WorkItem__IO_WORKITEMInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (WorkItem__IO_WORKITEMInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x315)) ?x315) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x315))) )) (forall ((?x316 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x316)) ?x316) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S130) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S131) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S131)) )) (forall ((?x321 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x321) (+ ?x321 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x321)) )) (forall ((?x322 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x322) (- ?x322 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 0 1) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 0 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 0) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= I8xCompleteSysButtonEventWorker 0)) (not (= I8xSysButtonCancelRoutine 0)) (not (= hdevobj 0)) (not (= hiostackloc 0)) (not (= hirp 0)) (not (= hlock 0)) (not (= notused_hiostackloc 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_s_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_1_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type alloc.8) ?v_1) (= (type alloc.6) ?v_1) (= (type Mem_1_T.Cancel__IRP.2) ?v_0) (= (type Mem_1_T.Cancel__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_0_T.Cancel__IRP) ?v_0) (= (type alloc.7) ?v_1) (= (type Mem_1_T.Cancel__IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_0_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_0_T.Cancel__IRP.0) ?v_0) (= (type Mem_1_T.Cancel__IRP.0) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.2) ?v_0) (= (type alloc) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.19) ?v_0) (= (type alloc.5) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.9) ?v_0) (= (type alloc.0) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.18) ?v_0) (= (type alloc.4) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.15) ?v_0) (= (type alloc.3) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.1) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.3) ?v_0))))
(assert (let ((?v_352 (int_2_U I8xSysButtonCancelRoutine)) (?v_10 (not (not (= errorReached.17 0))))) (let ((?v_24 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_0_T.Cancel__IRP.2 Mem_s_1_T.Cancel__IRP) (=> (= Mem_0_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= irpCompleted_0.13 irpCompleted_s_1) (=> (= lockStatus_0.11 lockStatus_s_1) (=> (= cancelLockStatus_0.2 cancelLockStatus_s_1) (and ?v_10 (=> ?v_10 true)))))))))) (?v_72 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_73 (= errorReached.17 errorReached.14)) (?v_74 (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.2 inline.I8xSysButtonCancelRoutine.0.myNondetVar_1)) (?v_75 (= inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine.0 inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine)) (?v_76 (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.7 inline.I8xSysButtonCancelRoutine.0.myNondetVar_0)) (?v_77 (= inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine1.0 inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine1)) (?v_78 (= inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine.0 inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine)) (?v_79 (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1.)) (?v_80 (= lockStatus_1.11 lockStatus_1.6)) (?v_81 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_82 (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1.)) (?v_83 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_84 (= k.42 k.32)) (?v_85 (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.3 inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine)) (?v_86 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_87 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_88 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_89 (= inline.I8xSysButtonCancelRoutine.0..irql.5.361.10.I8xSysButtonCancelRoutine.0 inline.I8xSysButtonCancelRoutine.0..irql.5.361.10.I8xSysButtonCancelRoutine)) (?v_90 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_91 (= alloc.8 alloc.6)) (?v_92 (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP.1)) (?v_93 (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.20)) (?v_94 (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.20)) (?v_95 (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP.1))) (let ((?v_96 (=> (= lockStatus_0.11 lockStatus_0.6) (=> (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1.) (=> (= inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine1.0 inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine1) (=> (= irpCompleted_1.13 irpCompleted_1.10) (=> (= irpCompleted_0.13 irpCompleted_0.10) ?v_24)))))) (?v_12 (= k.32 0)) (?v_16 (int_2_U (CancelRoutine__IRP hirp)))) (let ((?v_70 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.20 ?v_16)) I8xSysButtonCancelRoutine)) (?v_14 (= k.32 1)) (?v_71 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.20 ?v_16)) I8xSysButtonCancelRoutine)) (?v_41 (=> true (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0) (=> (= errorReached.17 errorReached.16) (=> (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.2 inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.1) (=> (= inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine.0 hirp) (=> (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.7 inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.6) (=> (= inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine1.0 hdevobj) (=> (= inline.I8xSysButtonCancelRoutine.0..DeviceObject.1.355.22.I8xSysButtonCancelRoutine.0 hdevobj) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0) (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= cancelLockStatus_0.2 cancelLockStatus_0.1) (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0) (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= k.42 k.41) (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.3 inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.I8xSysButtonCancelRoutine.0..irql.5.361.10.I8xSysButtonCancelRoutine.0 call16858formal.new.0) (=> (= cancelLockStatus_1.2 cancelLockStatus_1.1) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= alloc.8 alloc.7) (=> ?v_92 (=> (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.25) (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.25) (=> ?v_95 (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 call17095formal.ret.0) (=> (= inline.I8xSysButtonCancelRoutine.0..Irp.2.356.12.I8xSysButtonCancelRoutine1.0 hirp) (=> (= irpCompleted_1.13 irpCompleted_1.12) (=> (= irpCompleted_0.13 irpCompleted_0.12) ?v_24))))))))))))))))))))))))))))))))) (?v_6 (= hirp hirp))) (let ((?v_123 (not ?v_6)) (?v_25 (=> true (=> (= irpCompleted_0.12 irpCompleted_0.11) (=> (= Mem_0_T.CancelRoutine__IRP.25 Mem_0_T.CancelRoutine__IRP.24) (=> (= errorReached.16 errorReached.15) (=> (= k.41 k.40) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 call17159formal.ret.0) (=> (= irpCompleted_1.12 irpCompleted_1.11) (=> (= Mem_1_T.CancelRoutine__IRP.25 Mem_1_T.CancelRoutine__IRP.24) ?v_41)))))))))) (let ((?v_29 (=> true ?v_25)) (?v_27 (= irpCompleted_0.11 irpCompleted_0.10)) (?v_28 (= irpCompleted_1.11 irpCompleted_1.10)) (?v_26 (= k.40 1))) (let ((?v_32 (not ?v_26)) (?v_23 (= k.40 0))) (let ((?v_30 (not ?v_23))) (let ((?v_31 (and (=> true (=> ?v_23 (=> true (=> (= irpCompleted_0.11 1) (=> ?v_28 ?v_25))))) (=> true (=> ?v_30 (and (=> true (=> ?v_26 (=> true (=> ?v_27 (=> (= irpCompleted_1.11 1) ?v_29))))) (=> true (=> ?v_32 (=> true (=> ?v_27 (=> ?v_28 ?v_29))))))))))) (let ((?v_35 (=> true (=> true ?v_31))) (?v_33 (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.22)) (?v_34 (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.22)) (?v_17 (int_2_U 0))) (let ((?v_40 (=> true (=> (<= k.39 k.40) (=> (< k.40 2) (and (=> true (=> ?v_23 (=> (= Mem_0_T.CancelRoutine__IRP.23 (MapType0Store Mem_0_T.CancelRoutine__IRP.22 ?v_16 ?v_17)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.23) (=> ?v_34 ?v_31)))))) (=> true (=> ?v_30 (and (=> true (=> ?v_26 (=> (= Mem_1_T.CancelRoutine__IRP.23 (MapType0Store Mem_1_T.CancelRoutine__IRP.22 ?v_16 ?v_17)) (=> true (=> ?v_33 (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.23) ?v_35)))))) (=> true (=> ?v_32 (=> true (=> ?v_33 (=> ?v_34 ?v_35))))))))))))) (?v_36 (= k.39 0)) (?v_37 (= irpCompleted_0.10 0)) (?v_38 (= k.39 1)) (?v_39 (= irpCompleted_1.10 0))) (let ((?v_43 (and (=> true (=> ?v_6 (=> true (=> (<= k.38 k.39) (=> (< k.39 2) (and (=> true (=> (=> ?v_36 (not ?v_37)) (=> (=> ?v_38 (not ?v_39)) (=> true (=> (= errorReached.15 1) ?v_40))))) (=> true (=> (=> ?v_36 ?v_37) (=> (=> ?v_38 ?v_39) (=> true (=> (= errorReached.15 errorReached.14) ?v_40))))))))))) (=> true (=> ?v_123 (=> true (=> (= irpCompleted_0.12 irpCompleted_0.10) (=> (= Mem_0_T.CancelRoutine__IRP.25 Mem_0_T.CancelRoutine__IRP.22) (=> (= errorReached.16 errorReached.14) (=> (= k.41 k.38) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_1.12 irpCompleted_1.10) (=> (= Mem_1_T.CancelRoutine__IRP.25 Mem_1_T.CancelRoutine__IRP.22) (=> true (=> true (=> true (=> true (=> true (=> true ?v_41))))))))))))))))))) (let ((?v_47 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_43))))))))))) (?v_45 (= cancelLockStatus_0.1 cancelLockStatus_0.0)) (?v_46 (= cancelLockStatus_1.1 cancelLockStatus_1.0)) (?v_44 (= k.38 1)) (?v_42 (= k.38 0))) (let ((?v_54 (=> true (=> (<= k.37 k.38) (=> (< k.38 2) (and (=> true (=> ?v_42 (=> true (=> (= cancelLockStatus_0.1 0) (=> ?v_46 ?v_43))))) (=> true (=> (not ?v_42) (and (=> true (=> ?v_44 (=> true (=> ?v_45 (=> (= cancelLockStatus_1.1 0) ?v_47))))) (=> true (=> (not ?v_44) (=> true (=> ?v_45 (=> ?v_46 ?v_47))))))))))))) (?v_53 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_49 (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 call17049formal.ret.0) (=> (= k.37 k.36) (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= lockStatus_0.10 lockStatus_0.9) ?v_54)))))) (?v_51 (= lockStatus_1.9 lockStatus_1.8))) (let ((?v_52 (=> (= lockStatus_0.9 lockStatus_0.8) (=> true ?v_49))) (?v_50 (= k.36 1)) (?v_48 (= k.36 0)) (?v_22 (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2))) (let ((?v_60 (=> true (=> (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.3 inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_53 (=> true (=> (<= k.35 k.36) (=> (< k.36 2) (and (=> true (=> ?v_48 (=> true (=> ?v_51 (=> (= lockStatus_0.9 0) ?v_49))))) (=> true (=> (not ?v_48) (and (=> true (=> ?v_50 (=> true (=> (= lockStatus_1.9 0) ?v_52)))) (=> true (=> (not ?v_50) (=> true (=> ?v_51 ?v_52))))))))))))) (=> true (=> (not ?v_53) (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1.) (=> (= k.37 k.35) (=> (= lockStatus_1.10 lockStatus_1.8) (=> (= lockStatus_0.10 lockStatus_0.8) (=> true (=> true (=> true (=> true (=> true (=> true ?v_54))))))))))))))))))) (?v_59 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_56 (=> true (=> (= k.35 k.34) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 call16952formal.ret.0) ?v_60)))))) (?v_57 (= lockStatus_1.7 lockStatus_1.6))) (let ((?v_58 (=> (= lockStatus_0.7 lockStatus_0.6) (=> true ?v_56))) (?v_55 (= k.34 1)) (?v_21 (= k.34 0))) (let ((?v_63 (=> true (=> (= inline.I8xSysButtonCancelRoutine.0.myNondetVar_0.0 inline.I8xSysButtonCancelRoutine.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_22) (and (=> true (=> ?v_59 (=> true (=> (<= k.33 k.34) (=> (< k.34 2) (=> true (=> (=> ?v_21 (= lockStatus_0.6 0)) (=> (=> ?v_55 (= lockStatus_1.6 0)) (and (=> true (=> ?v_21 (=> true (=> ?v_57 (=> (= lockStatus_0.7 1) ?v_56))))) (=> true (=> (not ?v_21) (and (=> true (=> ?v_55 (=> true (=> (= lockStatus_1.7 1) ?v_58)))) (=> true (=> (not ?v_55) (=> true (=> ?v_57 ?v_58)))))))))))))))) (=> true (=> (not ?v_59) (=> true (=> (= k.35 k.33) (=> (= lockStatus_1.8 lockStatus_1.6) (=> (= lockStatus_0.8 lockStatus_0.6) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1.) (=> true (=> true (=> true (=> true (=> true ?v_60))))))))))))))))))) (let ((?v_65 (=> true (=> true (=> true ?v_63)))) (?v_64 (= k.33 1)) (?v_62 (int_2_U (DeviceExtension__DEVICE_OBJECT hdevobj)))) (let ((?v_377 (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_62))) (?v_61 (= k.33 0)) (?v_20 (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_62))) (?v_18 (>= 1 0)) (?v_19 (int_2_U call16858formal.new.0))) (let ((?v_66 (=> true (and ?v_18 (=> ?v_18 (=> (> call16858formal.new.0 0) (=> (forall ((?x325 Int)) (! (=> (and (<= call16858formal.new.0 ?x325) (< ?x325 (+ call16858formal.new.0 1))) (= (Base ?x325) call16858formal.new.0)) :pattern ((Base ?x325)) )) (=> (forall ((?x326 boogieU)) (! (=> (= (type ?x326) intType) (or (= (U_2_int ?x326) call16858formal.new.0) (= (MapType0Select alloc.6 ?x326) (MapType0Select alloc.7 ?x326)))) :pattern ((MapType0Select alloc.7 ?x326)) )) (=> (and (= (MapType0Select alloc.6 ?v_19) UNALLOCATED) (= (MapType0Select alloc.7 ?v_19) ALLOCATED)) (=> true (=> (<= k.32 k.33) (=> (< k.33 2) (and (=> true (=> ?v_61 (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.1 ?v_20) (=> true (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2 inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.1) ?v_63))))) (=> true (=> (not ?v_61) (and (=> true (=> ?v_64 (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.0 ?v_377) (=> true (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2 inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.0) ?v_65))))) (=> true (=> (not ?v_64) (=> true (=> (= inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine.2 inline.I8xSysButtonCancelRoutine.0..kbExtension.3.359.29.I8xSysButtonCancelRoutine) ?v_65)))))))))))))))))))) (let ((?v_69 (=> true (=> true (=> true ?v_66)))) (?v_67 (= Mem_0_T.CancelRoutine__IRP.22 Mem_0_T.CancelRoutine__IRP.20)) (?v_68 (= Mem_1_T.CancelRoutine__IRP.22 Mem_1_T.CancelRoutine__IRP.20)) (?v_101 (not ?v_14)) (?v_97 (not ?v_12))) (let ((?v_100 (and (=> true (=> (=> ?v_12 ?v_70) (=> (=> ?v_14 ?v_71) (and (=> true (=> ?v_12 (=> (= Mem_0_T.CancelRoutine__IRP.21 (MapType0Store Mem_0_T.CancelRoutine__IRP.20 ?v_16 ?v_17)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.22 Mem_0_T.CancelRoutine__IRP.21) (=> ?v_68 ?v_66)))))) (=> true (=> ?v_97 (and (=> true (=> ?v_14 (=> (= Mem_1_T.CancelRoutine__IRP.21 (MapType0Store Mem_1_T.CancelRoutine__IRP.20 ?v_16 ?v_17)) (=> true (=> ?v_67 (=> (= Mem_1_T.CancelRoutine__IRP.22 Mem_1_T.CancelRoutine__IRP.21) ?v_69)))))) (=> true (=> ?v_101 (=> true (=> ?v_67 (=> ?v_68 ?v_69)))))))))))) (=> true (=> (=> ?v_12 (not ?v_70)) (=> (=> ?v_14 (not ?v_71)) (=> true (=> ?v_72 (=> ?v_73 (=> ?v_74 (=> ?v_75 (=> ?v_76 (=> ?v_77 (=> ?v_78 (=> ?v_79 (=> ?v_80 (=> ?v_81 (=> (= cancelLockStatus_0.2 cancelLockStatus_0.0) (=> ?v_82 (=> ?v_83 (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> (= cancelLockStatus_1.2 cancelLockStatus_1.0) (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_93 (=> ?v_94 (=> ?v_95 ?v_96))))))))))))))))))))))))))))))))) (let ((?v_104 (=> true (=> true ?v_100))) (?v_102 (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP)) (?v_103 (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP)) (?v_98 (int_2_U (Cancel__IRP hirp))) (?v_99 (int_2_U 1))) (let ((?v_105 (and (=> true (=> ?v_12 (=> (= Mem_0_T.Cancel__IRP.0 (MapType0Store Mem_0_T.Cancel__IRP ?v_98 ?v_99)) (=> true (=> (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP.0) (=> ?v_103 ?v_100)))))) (=> true (=> ?v_97 (and (=> true (=> ?v_14 (=> (= Mem_1_T.Cancel__IRP.0 (MapType0Store Mem_1_T.Cancel__IRP ?v_98 ?v_99)) (=> true (=> ?v_102 (=> (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP.0) ?v_104)))))) (=> true (=> ?v_101 (=> true (=> ?v_102 (=> ?v_103 ?v_104))))))))))) (let ((?v_108 (=> true (=> true ?v_105))) (?v_106 (= cancelLockStatus_0.0 cancelLockStatus_0)) (?v_107 (= cancelLockStatus_1.0 cancelLockStatus_1)) (?v_13 (= cancelLockStatus_0 0)) (?v_15 (= cancelLockStatus_1 0)) (?v_4 (int_2_U (CancelRoutine__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_11 (= call16598formal.ret.0 0))) (let ((?v_189 (=> true (=> (<= 0 k.32) (=> (< k.32 2) (and (=> true (=> (not ?v_11) (=> true (=> ?v_72 (=> ?v_73 (=> ?v_74 (=> ?v_75 (=> ?v_76 (=> ?v_77 (=> ?v_78 (=> ?v_79 (=> ?v_80 (=> ?v_81 (=> (= cancelLockStatus_0.2 cancelLockStatus_0) (=> ?v_82 (=> ?v_83 (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> (= cancelLockStatus_1.2 cancelLockStatus_1) (=> ?v_90 (=> ?v_91 (=> (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP) (=> ?v_93 (=> ?v_94 (=> (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP) ?v_96))))))))))))))))))))))))))))) (=> true (=> ?v_11 (=> true (=> (=> ?v_12 (not (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.20 ?v_4)) 0))) (=> (=> ?v_14 (not (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.20 ?v_4)) 0))) (=> true (=> (=> ?v_12 ?v_13) (=> (=> ?v_14 ?v_15) (and (=> true (=> ?v_12 (=> true (=> (= cancelLockStatus_0.0 1) (=> ?v_107 ?v_105))))) (=> true (=> ?v_97 (and (=> true (=> ?v_14 (=> true (=> ?v_106 (=> (= cancelLockStatus_1.0 1) ?v_108))))) (=> true (=> ?v_101 (=> true (=> ?v_106 (=> ?v_107 ?v_108)))))))))))))))))))))) (?v_214 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_215 (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 hirp)) (?v_216 (= inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps.0 inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps)) (?v_217 (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.7 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0)) (?v_218 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_219 (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.4 inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.0)) (?v_220 (= inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps1.0 inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps1)) (?v_221 (= inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.2 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps)) (?v_222 (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_223 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_224 (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.)) (?v_225 (= inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonCaps.488.46.3..0 inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonCaps.488.46.3.)) (?v_226 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_227 (= inline.I8xKeyboardGetSysButtonCaps.0..result.I8xKeyboardGetSysButtonCaps.68.0.1..0 inline.I8xKeyboardGetSysButtonCaps.0..result.I8xKeyboardGetSysButtonCaps.68.0.1.)) (?v_228 (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.13 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0)) (?v_229 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_230 (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 hirp)) (?v_231 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_232 (= inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.1 inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps)) (?v_233 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_234 (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.4 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps))) (let ((?v_235 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_189))))))))) (let ((?v_255 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.20 Mem_0_T.CancelRoutine__IRP.19) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..5 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..4) (=> ?v_214 (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..2 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..1) (=> ?v_215 (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.20 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.19) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.8 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.7) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.4 inline.SdvAssume.0..e.1.1063.19.SdvAssume.3) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3) (=> ?v_216 (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> ?v_217 (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.3 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.2) (=> (= alloc.6 alloc.5) (=> ?v_218 (=> ?v_219 (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2) (=> ?v_220 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= irpCompleted_1.10 irpCompleted_1.9) (=> (= lockStatus_1.6 lockStatus_1.5) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.4 inline.SdvAssume.0..e.1.1063.19.SdvAssume1.3) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..irql.8.156.24.I8xKeyboardGetSysButtonEvent.0 call15155formal.new.0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..1 inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0) (=> ?v_221 (=> (= k.31 k.30) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..3 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..2) (=> ?v_222 (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..2 inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..1) (=> (= inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonEvent.491.47.4..0 inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0) (=> ?v_223 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..2) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> ?v_224 (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.3 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.2) (=> ?v_225 (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..2) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..3 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..2) (=> (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.3 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.2) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..2) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.2 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.1) (=> ?v_226 (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> ?v_227 (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_1_T.CancelRoutine__IRP.20 Mem_1_T.CancelRoutine__IRP.19) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.4 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.3) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..3 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..2) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> ?v_228 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent1.0 hirp) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent1.0 inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..3 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..2) (=> (= inline.I8xDeviceControl.0.myNondetVar_0.12 inline.I8xDeviceControl.0.myNondetVar_0.8) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent.0 hirp) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..2 inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..1) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.2 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent.0 inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2) (=> (= errorReached.14 errorReached.13) (=> (= inline.I8xDeviceControl.0..result.I8xDeviceControl.463.0.1..0 inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= lockStatus_0.6 lockStatus_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..3) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..4 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..3) (=> ?v_229 (=> ?v_230 (=> (= irpCompleted_0.10 irpCompleted_0.9) (=> ?v_231 (=> (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.2 inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.1) (=> ?v_232 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> ?v_233 (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2) (=> ?v_234 ?v_235))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_272 (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.1 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.0) (=> (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.2 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.3 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.2) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_1.9 irpCompleted_1.8) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..1 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..0) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.3 inline.SdvAssume.0..e.1.1063.19.SdvAssume1.2) (=> (= irpCompleted_0.9 irpCompleted_0.8) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..2 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..1) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.3 inline.SdvAssume.0..e.1.1063.19.SdvAssume.2) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.19 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.18) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..1 inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..2 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..1) (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.18) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..2 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..1) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..3 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= k.30 k.29) (=> (= alloc.5 alloc.4) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..1 inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..0) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.7 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.1 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.1 inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.0) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..1) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.18) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..4 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..3) (=> (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..2 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..1) (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.2 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.1) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= errorReached.13 errorReached.12) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2) (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.2 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.1) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..2) (=> true (=> true (=> true (=> true ?v_255)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_271 (not (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6 259)))) (let ((?v_270 (=> true (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.0 hirp) (=> (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.1 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0) (=> (= k.29 k.28) (=> (= irpCompleted_0.8 irpCompleted_0.7) (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.17) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.0 hirp) (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.17) (=> (= errorReached.12 errorReached.11) (=> (= irpCompleted_1.8 irpCompleted_1.7) ?v_272))))))))))))))) (let ((?v_256 (=> true (=> (= irpCompleted_0.7 irpCompleted_0.6) (=> (= Mem_0_T.CancelRoutine__IRP.17 Mem_0_T.CancelRoutine__IRP.16) (=> (= errorReached.11 errorReached.10) (=> (= k.28 k.27) (=> (= irpCompleted_1.7 irpCompleted_1.6) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 call15764formal.ret.0) (=> (= Mem_1_T.CancelRoutine__IRP.17 Mem_1_T.CancelRoutine__IRP.16) ?v_270)))))))))) (let ((?v_260 (=> true ?v_256)) (?v_258 (= irpCompleted_0.6 irpCompleted_0)) (?v_259 (= irpCompleted_1.6 irpCompleted_1)) (?v_257 (= k.27 1))) (let ((?v_263 (not ?v_257)) (?v_254 (= k.27 0))) (let ((?v_261 (not ?v_254))) (let ((?v_262 (and (=> true (=> ?v_254 (=> true (=> (= irpCompleted_0.6 1) (=> ?v_259 ?v_256))))) (=> true (=> ?v_261 (and (=> true (=> ?v_257 (=> true (=> ?v_258 (=> (= irpCompleted_1.6 1) ?v_260))))) (=> true (=> ?v_263 (=> true (=> ?v_258 (=> ?v_259 ?v_260))))))))))) (let ((?v_266 (=> true (=> true ?v_262))) (?v_264 (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.14)) (?v_265 (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.14))) (let ((?v_269 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> ?v_254 (=> (= Mem_0_T.CancelRoutine__IRP.15 (MapType0Store Mem_0_T.CancelRoutine__IRP.14 ?v_16 ?v_17)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.15) (=> ?v_265 ?v_262)))))) (=> true (=> ?v_261 (and (=> true (=> ?v_257 (=> (= Mem_1_T.CancelRoutine__IRP.15 (MapType0Store Mem_1_T.CancelRoutine__IRP.14 ?v_16 ?v_17)) (=> true (=> ?v_264 (=> (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.15) ?v_266)))))) (=> true (=> ?v_263 (=> true (=> ?v_264 (=> ?v_265 ?v_266))))))))))))) (?v_267 (= k.26 0)) (?v_7 (= irpCompleted_0 0)) (?v_268 (= k.26 1)) (?v_8 (= irpCompleted_1 0))) (let ((?v_126 (not ?v_7)) (?v_127 (not ?v_8))) (let ((?v_293 (and (=> true (=> ?v_271 (and (=> true (=> ?v_6 (=> true (=> (<= k.25 k.26) (=> (< k.26 2) (and (=> true (=> (=> ?v_267 ?v_126) (=> (=> ?v_268 ?v_127) (=> true (=> (= errorReached.10 1) ?v_269))))) (=> true (=> (=> ?v_267 ?v_7) (=> (=> ?v_268 ?v_8) (=> true (=> (= errorReached.10 errorReached.9) ?v_269))))))))))) (=> true (=> ?v_123 (=> true (=> (= irpCompleted_0.7 irpCompleted_0) (=> (= Mem_0_T.CancelRoutine__IRP.17 Mem_0_T.CancelRoutine__IRP.14) (=> (= errorReached.11 errorReached.9) (=> (= k.28 k.25) (=> (= irpCompleted_1.7 irpCompleted_1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.) (=> (= Mem_1_T.CancelRoutine__IRP.17 Mem_1_T.CancelRoutine__IRP.14) (=> true (=> true (=> true (=> true (=> true (=> true ?v_270))))))))))))))))))) (=> true (=> (not ?v_271) (=> true (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.0 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1) (=> (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.1 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.) (=> (= k.29 k.25) (=> (= irpCompleted_0.8 irpCompleted_0) (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.14) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.0 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp) (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.14) (=> (= errorReached.12 errorReached.9) (=> (= irpCompleted_1.8 irpCompleted_1) (=> true ?v_272))))))))))))))))))) (let ((?v_300 (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.2 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.1) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..2 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1.) (=> (= Mem_0_T.CancelRoutine__IRP.14 Mem_0_T.CancelRoutine__IRP.12) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..0 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3.) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.2 inline.SdvAssume.0..e.1.1063.19.SdvAssume1) (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.1 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.2 inline.SdvAssume.0..e.1.1063.19.SdvAssume) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..1 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3.) (=> (= Mem_1_T.CancelRoutine__IRP.14 Mem_1_T.CancelRoutine__IRP.12) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.18 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.12) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..1 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..0) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= k.25 k.24) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..0 inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1.) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.3) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.0 inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..0 inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2.) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..3 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4.) (=> (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..1 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..0) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..1 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2.) (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= alloc.4 alloc.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= errorReached.9 errorReached.7) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1) (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.1 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1) (=> true ?v_293))))))))))))))))))))))))))))))))))))))))))))))) (?v_299 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_295 (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 call15944formal.ret.0) (=> (= k.24 k.22) (=> (= lockStatus_1.3 lockStatus_1.2) (=> (= lockStatus_0.3 lockStatus_0.2) ?v_300)))))) (?v_297 (= lockStatus_1.2 lockStatus_1.1))) (let ((?v_298 (=> (= lockStatus_0.2 lockStatus_0.1) (=> true ?v_295))) (?v_296 (= k.22 1)) (?v_294 (= k.22 0)) (?v_292 (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2))) (let ((?v_301 (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.8 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_292) (and (=> true (=> ?v_299 (=> true (=> (<= k.21 k.22) (=> (< k.22 2) (and (=> true (=> ?v_294 (=> true (=> ?v_297 (=> (= lockStatus_0.2 0) ?v_295))))) (=> true (=> (not ?v_294) (and (=> true (=> ?v_296 (=> true (=> (= lockStatus_1.2 0) ?v_298)))) (=> true (=> (not ?v_296) (=> true (=> ?v_297 ?v_298))))))))))))) (=> true (=> (not ?v_299) (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.) (=> (= k.24 k.21) (=> (= lockStatus_1.3 lockStatus_1.1) (=> (= lockStatus_0.3 lockStatus_0.1) (=> true (=> true (=> true ?v_300)))))))))))))))) (?v_340 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_304 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0)) (?v_341 (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..0 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1.)) (?v_342 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_343 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_308 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 I8xSysButtonCancelRoutine)) (?v_309 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp)) (?v_344 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_312 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 call16140formal.ret.0)) (?v_313 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 I8xSysButtonCancelRoutine)) (?v_345 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_346 (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..0 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6.)) (?v_319 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp)) (?v_347 (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.3 259)) (?v_348 (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_349 (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.7 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.5))) (let ((?v_350 (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) ?v_301))) (?v_336 (= k.10 0)) (?v_337 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_98)) 0)) (?v_338 (= k.10 1)) (?v_339 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_98)) 0)) (?v_303 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0)) (?v_305 (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..0 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_306 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp)) (?v_307 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_310 (= k.21 k.20)) (?v_311 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0)) (?v_314 (= errorReached.7 errorReached.6)) (?v_315 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp)) (?v_316 (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.11)) (?v_317 (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.11)) (?v_318 (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..0 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_320 (=> ?v_348 (=> ?v_349 (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 call16365formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) ?v_301))))) (?v_302 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 0))) (let ((?v_322 (=> true (=> (<= k.19 k.20) (=> (< k.20 2) (and (=> true (=> (not ?v_302) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.2 (- 0 1073741536)) (=> true (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.3 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.2) ?v_320))))))))))))))))))))))) (=> true (=> ?v_302 (=> true (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_347 ?v_320))))))))))))))))))))))))))) (let ((?v_326 (=> true ?v_322)) (?v_324 (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.4)) (?v_325 (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.4)) (?v_323 (= k.19 1)) (?v_321 (= k.19 0))) (let ((?v_331 (=> true (=> (<= k.18 k.19) (=> (< k.19 2) (and (=> true (=> ?v_321 (=> (= Mem_0_T.CancelRoutine__IRP.10 (MapType0Store Mem_0_T.CancelRoutine__IRP.4 ?v_16 ?v_17)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.10) (=> ?v_325 ?v_322)))))) (=> true (=> (not ?v_321) (and (=> true (=> ?v_323 (=> (= Mem_1_T.CancelRoutine__IRP.10 (MapType0Store Mem_1_T.CancelRoutine__IRP.4 ?v_16 ?v_17)) (=> true (=> ?v_324 (=> (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.10) ?v_326)))))) (=> true (=> (not ?v_323) (=> true (=> ?v_324 (=> ?v_325 ?v_326))))))))))))) (?v_330 (= errorReached.6 errorReached.2))) (let ((?v_329 (=> (= k.18 k.17) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 call16322formal.ret.0) ?v_331))) (?v_327 (= k.17 0)) (?v_328 (= k.17 1))) (let ((?v_333 (and (=> true (=> ?v_6 (=> true (=> (<= k.11 k.17) (=> (< k.17 2) (and (=> true (=> (=> ?v_327 ?v_126) (=> (=> ?v_328 ?v_127) (=> true (=> (= errorReached.6 1) ?v_329))))) (=> true (=> (=> ?v_327 ?v_7) (=> (=> ?v_328 ?v_8) (=> true (=> ?v_330 ?v_329))))))))))) (=> true (=> ?v_123 (=> true (=> ?v_330 (=> (= k.18 k.11) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) ?v_331))))))))) (let ((?v_335 (=> true (=> true ?v_333))) (?v_334 (= k.11 1)) (?v_332 (= k.11 0))) (let ((?v_353 (=> true (=> (<= k.9 k.10) (=> (< k.10 2) (and (=> true (=> (=> ?v_336 (not ?v_337)) (=> (=> ?v_338 (not ?v_339)) (=> true (=> (<= k.10 k.11) (=> (< k.11 2) (and (=> true (=> ?v_332 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.4 ?v_16))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_333))))) (=> true (=> (not ?v_332) (and (=> true (=> ?v_334 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.4 ?v_16))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_335))))) (=> true (=> (not ?v_334) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_335)))))))))))))) (=> true (=> (=> ?v_336 ?v_337) (=> (=> ?v_338 ?v_339) (=> true (=> ?v_340 (=> ?v_304 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_308 (=> ?v_309 (=> (= k.21 k.10) (=> ?v_344 (=> ?v_312 (=> ?v_313 (=> (= errorReached.7 errorReached.2) (=> ?v_345 (=> (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.4) (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.4) (=> ?v_346 (=> ?v_319 (=> ?v_347 (=> ?v_348 (=> ?v_349 ?v_350)))))))))))))))))))))))))))))) (let ((?v_357 (=> true ?v_353)) (?v_355 (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP)) (?v_356 (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP)) (?v_354 (= k.9 1)) (?v_351 (= k.9 0))) (let ((?v_362 (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> ?v_351 (=> (= Mem_0_T.CancelRoutine__IRP.3 (MapType0Store Mem_0_T.CancelRoutine__IRP ?v_16 ?v_352)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.3) (=> ?v_356 ?v_353)))))) (=> true (=> (not ?v_351) (and (=> true (=> ?v_354 (=> (= Mem_1_T.CancelRoutine__IRP.3 (MapType0Store Mem_1_T.CancelRoutine__IRP ?v_16 ?v_352)) (=> true (=> ?v_355 (=> (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.3) ?v_357)))))) (=> true (=> (not ?v_354) (=> true (=> ?v_355 (=> ?v_356 ?v_357))))))))))))) (?v_361 (= errorReached.2 0))) (let ((?v_360 (=> (= k.8 k.7) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 call16097formal.ret.0) ?v_362))) (?v_358 (= k.7 0)) (?v_359 (= k.7 1))) (let ((?v_364 (and (=> true (=> ?v_6 (=> true (=> (<= k.6 k.7) (=> (< k.7 2) (and (=> true (=> (=> ?v_358 ?v_126) (=> (=> ?v_359 ?v_127) (=> true (=> (= errorReached.2 1) ?v_360))))) (=> true (=> (=> ?v_358 ?v_7) (=> (=> ?v_359 ?v_8) (=> true (=> ?v_361 ?v_360))))))))))) (=> true (=> ?v_123 (=> true (=> ?v_361 (=> (= k.8 k.6) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) ?v_362))))))))) (let ((?v_366 (=> true (=> true ?v_364))) (?v_365 (= k.6 1)) (?v_363 (= k.6 0))) (let ((?v_372 (and (=> true (=> (not (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.6 0)) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.1 (- 0 1073741823)) (=> true (=> ?v_340 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= k.21 k.5) (=> ?v_344 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= errorReached.7 0) (=> ?v_345 (=> (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP) (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP) (=> ?v_346 (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.3 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.1) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.7 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.6) ?v_350))))))))))))))))))))))))) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.5 0) (=> true (=> (<= k.5 k.6) (=> (< k.6 2) (and (=> true (=> ?v_363 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_16))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_364))))) (=> true (=> (not ?v_363) (and (=> true (=> ?v_365 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_16))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_366))))) (=> true (=> (not ?v_365) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_366))))))))))))))) (?v_371 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_368 (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 call15442formal.ret.0) (=> (= k.5 k.3) (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= lockStatus_0.1 lockStatus_0.0) ?v_372)))))) (?v_369 (= lockStatus_1.0 lockStatus_1))) (let ((?v_370 (=> (= lockStatus_0.0 lockStatus_0) (=> true ?v_368))) (?v_367 (= k.3 1)) (?v_291 (= k.3 0)) (?v_289 (= lockStatus_0 0)) (?v_290 (= lockStatus_1 0)) (?v_282 (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.2 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..2 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..1) (=> (= Mem_0_T.CancelRoutine__IRP.14 Mem_0_T.CancelRoutine__IRP) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..0 call15512formal.new.0) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.2 inline.SdvAssume.0..e.1.1063.19.SdvAssume1.1) (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.1 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.0) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.2 inline.SdvAssume.0..e.1.1063.19.SdvAssume.1) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..1 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..0) (=> (= Mem_1_T.CancelRoutine__IRP.14 Mem_1_T.CancelRoutine__IRP) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.18 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.17) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..1 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6.) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= lockStatus_1.4 lockStatus_1) (=> (= k.25 k.0) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..0 call15512formal.new.0) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.6 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.5) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.0 call15512formal.new.0) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..0 call15512formal.new.0) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1.) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..3 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..1 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1.) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..1 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..0) (=> (= lockStatus_0.4 lockStatus_0) (=> (= alloc.4 alloc.3) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= errorReached.9 0) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.1 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.0) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) ?v_293))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_288 (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.5 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.4) (=> true ?v_282))) (?v_287 (= call15512formal.new.0 0)) (?v_273 (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..1 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..0)) (?v_274 (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..0 call15553formal.ret.0)) (?v_275 (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..2 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..1)) (?v_276 (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..0 call15563formal.new.0)) (?v_277 (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.1 inline.SdvAssume.0..e.1.1063.19.SdvAssume1.0)) (?v_278 (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.0 call15563formal.new.0)) (?v_279 (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.1 inline.SdvAssume.0..e.1.1063.19.SdvAssume.0)) (?v_280 (= alloc.3 alloc.2)) (?v_281 (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.0 call15553formal.ret.0))) (let ((?v_284 (and (=> true (=> (not (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.13 0)) (=> true (=> ?v_273 (=> ?v_274 (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.17 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.16) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> ?v_279 (=> ?v_280 (=> ?v_281 (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.5 259) ?v_282)))))))))))))) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.14 0) (=> true (=> ?v_273 (=> ?v_274 (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.17 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.14) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> ?v_279 (=> ?v_280 (=> ?v_281 ?v_288)))))))))))))))) (let ((?v_286 (=> true (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..1 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.0 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.0 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..0 call15563formal.new.0) (=> true (=> true (=> true (=> true (=> true ?v_284))))))))))) (?v_0 (= 0 0)) (?v_285 (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0 0)) (?v_283 (= call15553formal.ret.0 0)) (?v_251 (>= 0 0)) (?v_253 (int_2_U call15563formal.new.0)) (?v_252 (int_2_U call15512formal.new.0)) (?v_250 (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.1 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp) (=> (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.2 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.3 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_1.9 irpCompleted_1.3) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..1 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3.) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.3 inline.SdvAssume.0..e.1.1063.19.SdvAssume1) (=> (= irpCompleted_0.9 irpCompleted_0.3) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..2 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3.) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.3 inline.SdvAssume.0..e.1.1063.19.SdvAssume) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.19 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..0 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.0) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..1 inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2.) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..2 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6.) (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.9) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..2 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2.) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..3 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= lockStatus_1.5 lockStatus_1) (=> (= k.30 k.16) (=> (= alloc.5 alloc.0) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..1 inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1.) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.7 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.0) (=> (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.1 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.1 inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1.) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.9) (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..4 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4.) (=> (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..2 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1.) (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.2 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem) (=> (= lockStatus_0.5 lockStatus_0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= errorReached.13 errorReached.5) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.2 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) ?v_255))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_236 (=> true (=> (= irpCompleted_0.3 irpCompleted_0.2) (=> (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP.8) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 call15284formal.ret.0) (=> (= errorReached.5 errorReached.4) (=> (= k.16 k.15) (=> (= irpCompleted_1.3 irpCompleted_1.2) (=> (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP.8) ?v_250)))))))))) (let ((?v_240 (=> true ?v_236)) (?v_238 (= irpCompleted_0.2 irpCompleted_0)) (?v_239 (= irpCompleted_1.2 irpCompleted_1)) (?v_237 (= k.15 1))) (let ((?v_243 (not ?v_237)) (?v_213 (= k.15 0))) (let ((?v_241 (not ?v_213))) (let ((?v_242 (and (=> true (=> ?v_213 (=> true (=> (= irpCompleted_0.2 1) (=> ?v_239 ?v_236))))) (=> true (=> ?v_241 (and (=> true (=> ?v_237 (=> true (=> ?v_238 (=> (= irpCompleted_1.2 1) ?v_240))))) (=> true (=> ?v_243 (=> true (=> ?v_238 (=> ?v_239 ?v_240))))))))))) (let ((?v_246 (=> true (=> true ?v_242))) (?v_244 (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP)) (?v_245 (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP)) (?v_196 (MapType0Store Mem_1_T.CancelRoutine__IRP ?v_16 ?v_17)) (?v_128 (MapType0Store Mem_0_T.CancelRoutine__IRP ?v_16 ?v_17))) (let ((?v_249 (=> true (=> (<= k.12 k.15) (=> (< k.15 2) (and (=> true (=> ?v_213 (=> (= Mem_0_T.CancelRoutine__IRP.7 ?v_128) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP.7) (=> ?v_245 ?v_242)))))) (=> true (=> ?v_241 (and (=> true (=> ?v_237 (=> (= Mem_1_T.CancelRoutine__IRP.7 ?v_196) (=> true (=> ?v_244 (=> (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP.7) ?v_246)))))) (=> true (=> ?v_243 (=> true (=> ?v_244 (=> ?v_245 ?v_246))))))))))))) (?v_247 (= k.12 0)) (?v_248 (= k.12 1)) (?v_212 (- 0 1073741306))) (let ((?v_373 (and (=> true (=> (< inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.0 4) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.0 ?v_212) (and (=> true (=> ?v_6 (=> true (=> (<= k.0 k.12) (=> (< k.12 2) (and (=> true (=> (=> ?v_247 ?v_126) (=> (=> ?v_248 ?v_127) (=> true (=> (= errorReached.4 1) ?v_249))))) (=> true (=> (=> ?v_247 ?v_7) (=> (=> ?v_248 ?v_8) (=> true (=> (= errorReached.4 0) ?v_249))))))))))) (=> true (=> ?v_123 (=> true (=> (= irpCompleted_0.3 irpCompleted_0) (=> (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.) (=> (= errorReached.5 0) (=> (= k.16 k.0) (=> (= irpCompleted_1.3 irpCompleted_1) (=> (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP) (=> true (=> true (=> true (=> true ?v_250))))))))))))))))))) (=> true (=> (not (< inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.1 4)) (and (=> true (=> (not (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.10 0)) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.4 (- 0 1073741670)) (=> true (and ?v_251 (=> ?v_251 (=> (> call15512formal.new.0 0) (=> (forall ((?x329 Int)) (! (=> (and (<= call15512formal.new.0 ?x329) (< ?x329 (+ call15512formal.new.0 0))) (= (Base ?x329) call15512formal.new.0)) :pattern ((Base ?x329)) )) (=> (forall ((?x330 boogieU)) (! (=> (= (type ?x330) intType) (or (= (U_2_int ?x330) call15512formal.new.0) (= (MapType0Select alloc.0 ?x330) (MapType0Select alloc.1 ?x330)))) :pattern ((MapType0Select alloc.1 ?x330)) )) (=> (and (= (MapType0Select alloc.0 ?v_252) UNALLOCATED) (= (MapType0Select alloc.1 ?v_252) ALLOCATED)) (and (=> true (=> (not ?v_287) (=> true (and ?v_251 (=> ?v_251 (=> (> call15563formal.new.0 0) (=> (forall ((?x327 Int)) (! (=> (and (<= call15563formal.new.0 ?x327) (< ?x327 (+ call15563formal.new.0 0))) (= (Base ?x327) call15563formal.new.0)) :pattern ((Base ?x327)) )) (=> (forall ((?x328 boogieU)) (! (=> (= (type ?x328) intType) (or (= (U_2_int ?x328) call15563formal.new.0) (= (MapType0Select alloc.1 ?x328) (MapType0Select alloc.2 ?x328)))) :pattern ((MapType0Select alloc.2 ?x328)) )) (=> (and (= (MapType0Select alloc.1 ?v_253) UNALLOCATED) (= (MapType0Select alloc.2 ?v_253) ALLOCATED)) (and (=> true (=> (not ?v_283) (=> true (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..1 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4.) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.0 inline.SdvAssume.0..e.1.1063.19.SdvAssume) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.0 inline.SdvAssume.0..e.1.1063.19.SdvAssume1) (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..0 0) ?v_284))))))) (=> true (=> ?v_283 (=> true (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..0 (LIFT (boolNot (IntEqual call15563formal.new.0 0)))) (and (=> true (=> (not ?v_285) ?v_286)) (=> true (=> ?v_285 (=> true (=> (not ?v_0) (=> true (=> true (=> true (=> true (=> true ?v_286)))))))))))))))))))))))) (=> true (=> ?v_287 (=> true (=> (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..1 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1.) (=> (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..0 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2.) (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.17 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.10) (=> (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..2 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4.) (=> (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..0 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3.) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.1 inline.SdvAssume.0..e.1.1063.19.SdvAssume1) (=> (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.0 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem) (=> (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.1 inline.SdvAssume.0..e.1.1063.19.SdvAssume) (=> (= alloc.3 alloc.1) (=> (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.0 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem) ?v_288))))))))))))))))))))))))) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.2 0) (=> true (=> (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.3 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_292) (and (=> true (=> ?v_371 (=> true (=> (<= k.0 k.3) (=> (< k.3 2) (=> true (=> (=> ?v_291 ?v_289) (=> (=> ?v_367 ?v_290) (and (=> true (=> ?v_291 (=> true (=> ?v_369 (=> (= lockStatus_0.0 1) ?v_368))))) (=> true (=> (not ?v_291) (and (=> true (=> ?v_367 (=> true (=> (= lockStatus_1.0 1) ?v_370)))) (=> true (=> (not ?v_367) (=> true (=> ?v_369 ?v_370)))))))))))))))) (=> true (=> (not ?v_371) (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1.) (=> (= k.5 k.0) (=> (= lockStatus_1.1 lockStatus_1) (=> (= lockStatus_0.1 lockStatus_0) (=> true (=> true (=> true (=> true ?v_372))))))))))))))))))))))) (?v_211 (int_2_U call15155formal.new.0)) (?v_130 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_131 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_132 (= inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4..5 inline.IoAllocateWorkItem.0..SdvAssume.arg.1.4.)) (?v_133 (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3..2 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_ExAllocatePoolWithTag.177.12.3.)) (?v_134 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_135 (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0.20 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_0)) (?v_136 (= inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent.8 inline.I8xKeyboardGetSysButtonEvent.0..status.6.154.24.I8xKeyboardGetSysButtonEvent)) (?v_137 (= inline.SdvAssume.0..e.1.1063.19.SdvAssume.4 inline.SdvAssume.0..e.1.1063.19.SdvAssume)) (?v_138 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_139 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_140 (= inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem.3 inline.IoAllocateWorkItem.0..choice.2.1797.8.IoAllocateWorkItem)) (?v_141 (= alloc.6 alloc)) (?v_142 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_143 (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_144 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_145 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_146 (= lockStatus_1.6 lockStatus_1)) (?v_147 (= inline.SdvAssume.0..e.1.1063.19.SdvAssume1.4 inline.SdvAssume.0..e.1.1063.19.SdvAssume1)) (?v_148 (= inline.I8xKeyboardGetSysButtonEvent.0..irql.8.156.24.I8xKeyboardGetSysButtonEvent.0 inline.I8xKeyboardGetSysButtonEvent.0..irql.8.156.24.I8xKeyboardGetSysButtonEvent)) (?v_149 (= inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1..1 inline.I8xKeyboardGetSysButtonEvent.0..result.I8xKeyboardGetSysButtonEvent.147.0.1.)) (?v_150 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_151 (= inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1..3 inline.sdv_IoSetCancelRoutine.1..result.sdv_IoSetCancelRoutine.3303.0.1.)) (?v_152 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_153 (= inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2..2 inline.sdv_ExAllocatePoolWithTag.0..result.malloc.1353.17.2.)) (?v_154 (= inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonEvent.491.47.4..0 inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonEvent.491.47.4.)) (?v_155 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.)) (?v_156 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_157 (= inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem.3 inline.IoAllocateWorkItem.0..ioWorkItem.3.1798.17.IoAllocateWorkItem)) (?v_158 (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1.)) (?v_159 (= inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2..3 inline.IoAllocateWorkItem.0..result.SdvMakeChoice.1797.30.2.)) (?v_160 (= inline.I8xCompleteSysButtonIrp.0.myNondetVar_0.3 inline.I8xCompleteSysButtonIrp.0.myNondetVar_0)) (?v_161 (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.)) (?v_162 (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1.2 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp1)) (?v_163 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_164 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_165 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_166 (= inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1.4 inline.I8xKeyboardGetSysButtonEvent.0.myNondetVar_1)) (?v_167 (= inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6..3 inline.I8xKeyboardGetSysButtonEvent.0..result.sdv_IoSetCancelRoutine.232.37.6.)) (?v_168 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_169 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_170 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_171 (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.)) (?v_172 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_173 (= inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent1.0 inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent1)) (?v_174 (= inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent1.0 inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent1)) (?v_175 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_176 (= inline.IoAllocateWorkItem.0..result.malloc.1798.51.3..3 inline.IoAllocateWorkItem.0..result.malloc.1798.51.3.)) (?v_177 (= inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent.0 inline.I8xKeyboardGetSysButtonEvent.0..Irp.2.149.9.I8xKeyboardGetSysButtonEvent)) (?v_178 (= inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1..2 inline.sdv_ExAllocatePoolWithTag.0..result.sdv_ExAllocatePoolWithTag.1347.0.1.)) (?v_179 (= inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp.2 inline.I8xCompleteSysButtonIrp.0..Irp.1.50.9.I8xCompleteSysButtonIrp)) (?v_180 (= inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent.0 inline.I8xKeyboardGetSysButtonEvent.0..KeyboardExtension.1.148.29.I8xKeyboardGetSysButtonEvent)) (?v_181 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_182 (= lockStatus_0.6 lockStatus_0)) (?v_183 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_184 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.)) (?v_185 (= inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1..4 inline.IoAllocateWorkItem.0..result.IoAllocateWorkItem.1793.0.1.)) (?v_186 (= inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent.2 inline.I8xKeyboardGetSysButtonEvent.0..item.9.172.32.I8xKeyboardGetSysButtonEvent)) (?v_187 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_188 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.))) (let ((?v_205 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.20 Mem_0_T.CancelRoutine__IRP.13) (=> ?v_130 (=> ?v_131 (=> ?v_132 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_133 (=> ?v_215 (=> ?v_134 (=> ?v_135 (=> ?v_136 (=> ?v_137 (=> ?v_138 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps.0 hirp) (=> ?v_139 (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.7 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.6) (=> ?v_140 (=> ?v_141 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_219 (=> ?v_142 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..Irp.2.70.9.I8xKeyboardGetSysButtonCaps1.0 hirp) (=> ?v_143 (=> ?v_144 (=> ?v_145 (=> (= irpCompleted_1.10 irpCompleted_1.5) (=> ?v_146 (=> ?v_147 (=> ?v_148 (=> ?v_149 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.2 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1) (=> (= k.31 k.23) (=> ?v_150 (=> ?v_151 (=> ?v_222 (=> ?v_152 (=> ?v_153 (=> ?v_154 (=> ?v_223 (=> ?v_155 (=> ?v_156 (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0) (=> ?v_157 (=> (= inline.I8xDeviceControl.0..result.I8xKeyboardGetSysButtonCaps.488.46.3..0 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1) (=> ?v_158 (=> ?v_159 (=> ?v_160 (=> ?v_161 (=> ?v_162 (=> ?v_226 (=> ?v_163 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..result.I8xKeyboardGetSysButtonCaps.68.0.1..0 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1) (=> ?v_164 (=> ?v_165 (=> (= Mem_1_T.CancelRoutine__IRP.20 Mem_1_T.CancelRoutine__IRP.13) (=> ?v_166 (=> ?v_167 (=> ?v_168 (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.13 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.12) (=> ?v_169 (=> ?v_170 (=> ?v_171 (=> ?v_172 (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> ?v_176 (=> (= inline.I8xDeviceControl.0.myNondetVar_0.12 inline.I8xDeviceControl.0.myNondetVar_0.7) (=> ?v_177 (=> ?v_178 (=> ?v_179 (=> ?v_180 (=> (= errorReached.14 errorReached.8) (=> (= inline.I8xDeviceControl.0..result.I8xDeviceControl.463.0.1..0 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1) (=> ?v_181 (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> ?v_185 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_230 (=> (= irpCompleted_0.10 irpCompleted_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> ?v_186 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.1 inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.0) (=> ?v_187 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_188 (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.4 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.3) ?v_235))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_190 (=> true (=> (= irpCompleted_0.5 irpCompleted_0.4) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.6) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 call14797formal.ret.0) (=> (= errorReached.8 errorReached.3) (=> (= k.23 k.14) (=> (= irpCompleted_1.5 irpCompleted_1.4) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.6) ?v_205)))))))))) (let ((?v_194 (=> true ?v_190)) (?v_192 (= irpCompleted_0.4 irpCompleted_0)) (?v_193 (= irpCompleted_1.4 irpCompleted_1)) (?v_191 (= k.14 1))) (let ((?v_198 (not ?v_191)) (?v_129 (= k.14 0))) (let ((?v_195 (not ?v_129))) (let ((?v_197 (and (=> true (=> ?v_129 (=> true (=> (= irpCompleted_0.4 1) (=> ?v_193 ?v_190))))) (=> true (=> ?v_195 (and (=> true (=> ?v_191 (=> true (=> ?v_192 (=> (= irpCompleted_1.4 1) ?v_194))))) (=> true (=> ?v_198 (=> true (=> ?v_192 (=> ?v_193 ?v_194))))))))))) (let ((?v_201 (=> true (=> true ?v_197))) (?v_199 (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP)) (?v_200 (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP))) (let ((?v_204 (=> true (=> (<= k.13 k.14) (=> (< k.14 2) (and (=> true (=> ?v_129 (=> (= Mem_0_T.CancelRoutine__IRP.5 ?v_128) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.5) (=> ?v_200 ?v_197)))))) (=> true (=> ?v_195 (and (=> true (=> ?v_191 (=> (= Mem_1_T.CancelRoutine__IRP.5 ?v_196) (=> true (=> ?v_199 (=> (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.5) ?v_201)))))) (=> true (=> ?v_198 (=> true (=> ?v_199 (=> ?v_200 ?v_201))))))))))))) (?v_202 (= k.13 0)) (?v_203 (= k.13 1))) (let ((?v_206 (and (=> true (=> ?v_6 (=> true (=> (<= k.0 k.13) (=> (< k.13 2) (and (=> true (=> (=> ?v_202 ?v_126) (=> (=> ?v_203 ?v_127) (=> true (=> (= errorReached.3 1) ?v_204))))) (=> true (=> (=> ?v_202 ?v_7) (=> (=> ?v_203 ?v_8) (=> true (=> (= errorReached.3 0) ?v_204))))))))))) (=> true (=> ?v_123 (=> true (=> (= irpCompleted_0.5 irpCompleted_0) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.) (=> (= errorReached.8 0) (=> (= k.23 k.0) (=> (= irpCompleted_1.5 irpCompleted_1) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_205))))))))))))))))))))) (let ((?v_207 (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1 0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.0 4) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.12 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.11) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.3 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.2) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.6 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.5) (=> true (=> true (=> true (=> true (=> true (=> true ?v_206)))))))))))))) (let ((?v_208 (and (=> true (=> (not (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.8 4) 0)) (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 ?r) 0)) (not (= (BIT_BAND BOOGIE_LARGE_INT_2147483648 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 BOOGIE_LARGE_INT_2147483648) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 BOOGIE_LARGE_INT_2147483648) ?r)) )) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.4 (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 BOOGIE_LARGE_INT_2147483648)) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.5 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.4) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.2 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.4) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.10 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.8) ?v_207))))))))) (=> true (=> (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.9 4) 0) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.5 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.3) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.2 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.10 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.9) (=> true (=> true ?v_207))))))))))) (let ((?v_209 (and (=> true (=> (not (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.6 2) 0)) (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 ?r0) 0)) (not (= (BIT_BAND 2 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 2) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 2) ?r0)) )) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.2 (BIT_BOR inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 2)) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.3 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.2) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.2) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.7 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.6) ?v_208))))))))) (=> true (=> (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.5 2) 0) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.3 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.1) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.1 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.7 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.5) (=> true ?v_208)))))))))) (let ((?v_210 (and (=> true (=> (< inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.1 4) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.0 ?v_212) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.1 inline.I8xKeyboardGetSysButtonCaps.0..status.4.74.24.I8xKeyboardGetSysButtonCaps.0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..size.6.75.30.I8xKeyboardGetSysButtonCaps.0 0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.12 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.1) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.3 inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.6 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0) ?v_206)))))))))) (=> true (=> (not (< inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.0 4)) (and (=> true (=> (not (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.2 1) 0)) (=> true (=> (forall ((?r1 Int)) (! (= (or (not (= (BIT_BAND 0 ?r1) 0)) (not (= (BIT_BAND 1 ?r1) 0))) (not (= (BIT_BAND (BIT_BOR 0 1) ?r1) 0))) :pattern ((BIT_BAND (BIT_BOR 0 1) ?r1)) )) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.0 (BIT_BOR 0 1)) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.1 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.4 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.2) ?v_209))))))))) (=> true (=> (= (BIT_BAND inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.3 1) 0) (=> true (=> (= inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0.1 inline.I8xKeyboardGetSysButtonCaps.0.tempBoogie0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0..caps.5.75.24.I8xKeyboardGetSysButtonCaps.0 0) (=> (= inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.4 inline.I8xKeyboardGetSysButtonCaps.0.myNondetVar_0.3) (=> true ?v_209)))))))))))) (?v_124 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.20 Mem_0_T.CancelRoutine__IRP.2) (=> ?v_130 (=> ?v_131 (=> ?v_132 (=> ?v_214 (=> ?v_133 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_134 (=> ?v_135 (=> ?v_136 (=> ?v_137 (=> ?v_138 (=> ?v_216 (=> ?v_139 (=> ?v_217 (=> ?v_140 (=> ?v_141 (=> ?v_218 (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.4 inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.3) (=> ?v_142 (=> ?v_220 (=> ?v_143 (=> ?v_144 (=> ?v_145 (=> (= irpCompleted_1.10 irpCompleted_1.1) (=> ?v_146 (=> ?v_147 (=> ?v_148 (=> ?v_149 (=> ?v_221 (=> (= k.31 k.4) (=> ?v_150 (=> ?v_151 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_152 (=> ?v_153 (=> ?v_154 (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0) (=> ?v_155 (=> ?v_156 (=> ?v_224 (=> ?v_157 (=> ?v_225 (=> ?v_158 (=> ?v_159 (=> ?v_160 (=> ?v_161 (=> ?v_162 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_163 (=> ?v_227 (=> ?v_164 (=> ?v_165 (=> (= Mem_1_T.CancelRoutine__IRP.20 Mem_1_T.CancelRoutine__IRP.2) (=> ?v_166 (=> ?v_167 (=> ?v_168 (=> ?v_228 (=> ?v_169 (=> ?v_170 (=> ?v_171 (=> ?v_172 (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> ?v_176 (=> (= inline.I8xDeviceControl.0.myNondetVar_0.12 inline.I8xDeviceControl.0.myNondetVar_0.11) (=> ?v_177 (=> ?v_178 (=> ?v_179 (=> ?v_180 (=> (= errorReached.14 errorReached.1) (=> (= inline.I8xDeviceControl.0..result.I8xDeviceControl.463.0.1..0 inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.3) (=> ?v_181 (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> ?v_185 (=> ?v_229 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= irpCompleted_0.10 irpCompleted_0.1) (=> ?v_231 (=> ?v_186 (=> ?v_232 (=> ?v_187 (=> ?v_233 (=> ?v_188 (=> ?v_234 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) ?v_189)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_109 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP.1) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 call16461formal.ret.0) (=> (= irpCompleted_0.1 irpCompleted_0.0) (=> (= errorReached.1 errorReached.0) (=> (= k.4 k.2) (=> (= irpCompleted_1.1 irpCompleted_1.0) (=> (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP.1) ?v_124)))))))))) (let ((?v_113 (=> true ?v_109)) (?v_111 (= irpCompleted_0.0 irpCompleted_0)) (?v_112 (= irpCompleted_1.0 irpCompleted_1)) (?v_110 (= k.2 1))) (let ((?v_116 (not ?v_110)) (?v_9 (= k.2 0))) (let ((?v_114 (not ?v_9))) (let ((?v_115 (and (=> true (=> ?v_9 (=> true (=> (= irpCompleted_0.0 1) (=> ?v_112 ?v_109))))) (=> true (=> ?v_114 (and (=> true (=> ?v_110 (=> true (=> ?v_111 (=> (= irpCompleted_1.0 1) ?v_113))))) (=> true (=> ?v_116 (=> true (=> ?v_111 (=> ?v_112 ?v_113))))))))))) (let ((?v_119 (=> true (=> true ?v_115))) (?v_117 (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP)) (?v_118 (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP))) (let ((?v_122 (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> ?v_9 (=> (= Mem_0_T.CancelRoutine__IRP.0 ?v_128) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP.0) (=> ?v_118 ?v_115)))))) (=> true (=> ?v_114 (and (=> true (=> ?v_110 (=> (= Mem_1_T.CancelRoutine__IRP.0 ?v_196) (=> true (=> ?v_117 (=> (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP.0) ?v_119)))))) (=> true (=> ?v_116 (=> true (=> ?v_117 (=> ?v_118 ?v_119))))))))))))) (?v_120 (= k.1 0)) (?v_121 (= k.1 1))) (let ((?v_125 (and (=> true (=> ?v_6 (=> true (=> (<= k.0 k.1) (=> (< k.1 2) (and (=> true (=> (=> ?v_120 ?v_126) (=> (=> ?v_121 ?v_127) (=> true (=> (= errorReached.0 1) ?v_122))))) (=> true (=> (=> ?v_120 ?v_7) (=> (=> ?v_121 ?v_8) (=> true (=> (= errorReached.0 0) ?v_122))))))))))) (=> true (=> ?v_123 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_0.1 irpCompleted_0) (=> (= errorReached.1 0) (=> (= k.4 k.0) (=> (= irpCompleted_1.1 irpCompleted_1) (=> (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP) (=> true (=> true (=> true (=> true ?v_124)))))))))))))))) (?v_5 (- 0 1073741808))) (let ((?v_374 (and (=> true (=> (not (= inline.I8xDeviceControl.0.myNondetVar_0.9 2703680)) (=> (not (= inline.I8xDeviceControl.0.myNondetVar_0.10 2703684)) (=> true (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.2 ?v_5) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.3 inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.2) (=> (= inline.I8xDeviceControl.0.myNondetVar_0.11 inline.I8xDeviceControl.0.myNondetVar_0.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> true (=> true (=> true (=> true (=> true ?v_125)))))))))))))))) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.7 2703680) (and (=> true (=> ?v_6 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_210)))) (=> true (=> ?v_123 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true ?v_210))))))))))))) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.8 2703684) (=> true (and ?v_18 (=> ?v_18 (=> (> call15155formal.new.0 0) (=> (forall ((?x331 Int)) (! (=> (and (<= call15155formal.new.0 ?x331) (< ?x331 (+ call15155formal.new.0 1))) (= (Base ?x331) call15155formal.new.0)) :pattern ((Base ?x331)) )) (=> (forall ((?x332 boogieU)) (! (=> (= (type ?x332) intType) (or (= (U_2_int ?x332) call15155formal.new.0) (= (MapType0Select alloc ?x332) (MapType0Select alloc.0 ?x332)))) :pattern ((MapType0Select alloc.0 ?x332)) )) (=> (and (= (MapType0Select alloc ?v_211) UNALLOCATED) (= (MapType0Select alloc.0 ?v_211) ALLOCATED)) (and (=> true (=> ?v_6 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_373)))) (=> true (=> ?v_123 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true ?v_373))))))))))))))))))))) (?v_375 (=> true (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.1 ?v_5) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.3 inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.1) (=> (= inline.I8xDeviceControl.0.myNondetVar_0.11 inline.I8xDeviceControl.0.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.1..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) ?v_125)))))))))) (let ((?v_378 (and (=> true (=> (not (= inline.I8xDeviceControl.0.myNondetVar_0.1 0)) (and (=> true (=> (not (= inline.I8xDeviceControl.0.myNondetVar_0.2 0)) (and (=> true (=> (not (= (BIT_BAND inline.I8xDeviceControl.0.myNondetVar_0.5 8) 0)) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.6 inline.I8xDeviceControl.0.myNondetVar_0.5) ?v_375)))) (=> true (=> (= (BIT_BAND inline.I8xDeviceControl.0.myNondetVar_0.4 8) 0) (and (=> true (=> ?v_6 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_374)))) (=> true (=> ?v_123 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true ?v_374))))))))))))))) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.3 0) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.6 inline.I8xDeviceControl.0.myNondetVar_0.3) ?v_375))))))) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.0 0) (=> true (=> (= inline.I8xDeviceControl.0.myNondetVar_0.6 inline.I8xDeviceControl.0.myNondetVar_0.0) ?v_375))))))) (let ((?v_380 (=> true (=> true ?v_378))) (?v_379 (= k.0 1)) (?v_376 (= k.0 0))) (let ((?v_381 (=> true (=> (= inline.I8xDeviceControl.0..status.5.470.32.I8xDeviceControl.0 ?v_5) (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> ?v_376 (=> (= inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.0 ?v_20) (=> true (=> (= inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2 inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.0) ?v_378))))) (=> true (=> (not ?v_376) (and (=> true (=> ?v_379 (=> (= inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.1 ?v_377) (=> true (=> (= inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2 inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.1) ?v_380))))) (=> true (=> (not ?v_379) (=> true (=> (= inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl.2 inline.I8xDeviceControl.0..kbExtension.3.468.32.I8xDeviceControl) ?v_380)))))))))))))) (?v_1 (= 0 1)) (?v_3 (int_2_U (Cancel__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_2 (int_2_U (DeviceExtension__DEVICE_OBJECT inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver)))) (not (=> true (=> (= Mem_1_T.CancelRoutine__IRP Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_1_T.Cancel__IRP Mem_s_1_T.Cancel__IRP) (=> (= Mem_1_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= irpCompleted_1 irpCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= cancelLockStatus_1 cancelLockStatus_s_1) (=> true (=> (=> ?v_0 ?v_7) (=> (=> ?v_1 ?v_8) (=> true (=> (=> ?v_0 ?v_289) (=> (=> ?v_1 ?v_290) (=> true (=> (=> ?v_0 ?v_13) (=> (=> ?v_1 ?v_15) (=> true (=> (= inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver hdevobj) (=> true (=> (=> ?v_0 (= inline.myInitDriver.0..kbExtension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> (=> ?v_1 (= inline.myInitDriver.0..kbExtension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> true (=> (= (SysButtonSpinLock__PORT_KEYBOARD_EXTENSION inline.myInitDriver.0..kbExtension.2.11.27.myInitDriver) hlock) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main hirp) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_3)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_3)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_4)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_4)) 0)) (and (=> true (=> ?v_6 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_381)))) (=> true (=> ?v_123 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_381))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
