(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 () boogieU)
(declare-fun Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun Mem_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun reqCompleted_0.30 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.60 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.39 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.208 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun lockStatus_1.60 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun call35494formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_0.29 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_1.39 () Int)
(declare-fun reqCancelSet_1.38 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.5 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun reqCancelSet_0.38 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.8 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun reqCompleted_1.30 () Int)
(declare-fun reqCompleted_1.29 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun k.356 () Int)
(declare-fun k.355 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.16 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun k.333 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0 () Int)
(declare-fun errorReached.187 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun k.354 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun call37432formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun call37888formal.new.0 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun call37453formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun errorReached.205 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun call38442formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun k.353 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun k.351 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun k.352 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun call38784formal.ret.0 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun k.349 () Int)
(declare-fun call38633formal.ret.0 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun k.350 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun k.347 () Int)
(declare-fun call38484formal.ret.0 () Int)
(declare-fun k.348 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun call38907formal.ret.0 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun k.346 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun k.339 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun call38932formal.ret.0 () Int)
(declare-fun k.340 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun k.334 () Int)
(declare-fun call37953formal.ret.0 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun k.338 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun call38276formal.ret.0 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun k.343 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun k.337 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun call38301formal.ret.0 () Int)
(declare-fun k.342 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun k.336 () Int)
(declare-fun call38116formal.ret.0 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.TimerDpc.0.myVar_0.13 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.12 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun k.345 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun k.341 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun call37709formal.ret.0 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun k.344 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun k.335 () Int)
(declare-fun call37558formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1. () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun k.329 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun k.332 () Int)
(declare-fun k.330 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun call36862formal.ret.0 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun k.331 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.185 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.327 () Int)
(declare-fun errorReached.186 () Int)
(declare-fun call36620formal.ret.0 () Int)
(declare-fun k.328 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.10 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.9 () Int)
(declare-fun k.326 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3. () Int)
(declare-fun errorReached.180 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun k.319 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun errorReached.184 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun call37121formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun k.323 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun k.325 () Int)
(declare-fun k.324 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun k.321 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun call37161formal.ret.0 () Int)
(declare-fun k.322 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun call37007formal.ret.0 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun k.320 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun k.318 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0 () Int)
(declare-fun k.314 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.2 () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun k.317 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun call36453formal.ret.0 () Int)
(declare-fun k.315 () Int)
(declare-fun call36401formal.ret.0 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun k.316 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.178 () Int)
(declare-fun k.312 () Int)
(declare-fun call36161formal.ret.0 () Int)
(declare-fun errorReached.179 () Int)
(declare-fun k.313 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.7 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.6 () Int)
(declare-fun k.311 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.309 () Int)
(declare-fun errorReached.177 () Int)
(declare-fun call35934formal.ret.0 () Int)
(declare-fun k.310 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.4 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.3 () Int)
(declare-fun k.308 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.306 () Int)
(declare-fun errorReached.175 () Int)
(declare-fun call35655formal.ret.0 () Int)
(declare-fun k.307 () Int)
(declare-fun inline.TimerDpc.0.myVar_0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.1 () Int)
(declare-fun k.305 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.172 () Int)
(declare-fun k.303 () Int)
(declare-fun call35312formal.ret.0 () Int)
(declare-fun errorReached.173 () Int)
(declare-fun k.304 () Int)
(declare-fun call35209formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4. () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1. () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun errorReached.171 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.302 () Int)
(declare-fun k.301 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun errorReached.169 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun k.299 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun call39359formal.ret.0 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun k.300 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 () Int)
(declare-fun errorReached.167 () Int)
(declare-fun k.297 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.168 () Int)
(declare-fun k.298 () Int)
(declare-fun call39208formal.ret.0 () Int)
(declare-fun call35157formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.14 () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.11 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.15 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun k.296 () Int)
(declare-fun k.295 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun errorReached.166 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.161 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun k.290 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.159 () Int)
(declare-fun k.288 () Int)
(declare-fun call41736formal.ret.0 () Int)
(declare-fun errorReached.160 () Int)
(declare-fun k.289 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun k.294 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun errorReached.163 () Int)
(declare-fun k.292 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun call42099formal.ret.0 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun k.293 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun call41948formal.ret.0 () Int)
(declare-fun k.291 () Int)
(declare-fun errorReached.157 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.286 () Int)
(declare-fun errorReached.158 () Int)
(declare-fun call41446formal.ret.0 () Int)
(declare-fun k.287 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.13 () Int)
(declare-fun k.285 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0 () Int)
(declare-fun k.281 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.2 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun k.284 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.282 () Int)
(declare-fun call41299formal.ret.0 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun k.283 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.155 () Int)
(declare-fun k.279 () Int)
(declare-fun call41057formal.ret.0 () Int)
(declare-fun errorReached.156 () Int)
(declare-fun k.280 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.10 () Int)
(declare-fun k.278 () Int)
(declare-fun k.277 () Int)
(declare-fun k.276 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun k.272 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.2 () Int)
(declare-fun call40857formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun k.275 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun k.273 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun call40805formal.ret.0 () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun k.274 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.153 () Int)
(declare-fun k.270 () Int)
(declare-fun call40565formal.ret.0 () Int)
(declare-fun errorReached.154 () Int)
(declare-fun k.271 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.6 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.7 () Int)
(declare-fun k.269 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call40445formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.151 () Int)
(declare-fun k.267 () Int)
(declare-fun call40248formal.ret.0 () Int)
(declare-fun errorReached.152 () Int)
(declare-fun k.268 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.3 () Int)
(declare-fun k.266 () Int)
(declare-fun errorReached.149 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.264 () Int)
(declare-fun errorReached.150 () Int)
(declare-fun call40037formal.ret.0 () Int)
(declare-fun k.265 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.147 () Int)
(declare-fun k.262 () Int)
(declare-fun call39866formal.ret.0 () Int)
(declare-fun errorReached.148 () Int)
(declare-fun k.263 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.0 () Int)
(declare-fun k.261 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.145 () Int)
(declare-fun k.259 () Int)
(declare-fun call39657formal.ret.0 () Int)
(declare-fun errorReached.146 () Int)
(declare-fun k.260 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2. () Int)
(declare-fun errorReached.144 () Int)
(declare-fun k.257 () Int)
(declare-fun call39546formal.ret.0 () Int)
(declare-fun k.258 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun call35113formal.ret.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.5 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.15 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4. () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1. () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun k.256 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12. () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13. () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7. () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.18 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.18 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1. () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2. () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4. () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1. () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1. () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun k.17 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun call17650formal.ret.0 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun k.18 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.14 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun call17499formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.14 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.28 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun k.251 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun errorReached.143 () Int)
(declare-fun k.255 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun k.253 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun call19871formal.ret.0 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun k.254 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 () Int)
(declare-fun call19720formal.ret.0 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun k.252 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun k.249 () Int)
(declare-fun call19406formal.ret.0 () Int)
(declare-fun errorReached.138 () Int)
(declare-fun k.250 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.12 () Int)
(declare-fun k.248 () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun k.244 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun k.247 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun k.245 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun call19259formal.ret.0 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun k.246 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun k.242 () Int)
(declare-fun call19017formal.ret.0 () Int)
(declare-fun errorReached.136 () Int)
(declare-fun k.243 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.9 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.10 () Int)
(declare-fun k.241 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.11 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.6 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.7 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.16 () Int)
(declare-fun call18588formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun call16652formal.new.0 () Int)
(declare-fun call34574formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 () Int)
(declare-fun k.32 () Int)
(declare-fun call34626formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun call34776formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call34711formal.new.0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun k.34 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.21 () Int)
(declare-fun call34906formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.22 () Int)
(declare-fun call34978formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.2 () Int)
(declare-fun call18694formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.15 () Int)
(declare-fun call16649formal.new.0 () Int)
(declare-fun call18755formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.17 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun errorReached.134 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun call18844formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.16 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.16 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun k.240 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.27 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.15 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun call29332formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun k.153 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.3 () Int)
(declare-fun call33609formal.new.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun k.149 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun call34344formal.ret.0 () Int)
(declare-fun k.152 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun k.150 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun call34292formal.ret.0 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun k.151 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun k.147 () Int)
(declare-fun call34052formal.ret.0 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.148 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 () Int)
(declare-fun k.146 () Int)
(declare-fun call33932formal.ret.0 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun k.144 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun call33735formal.ret.0 () Int)
(declare-fun k.145 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 () Int)
(declare-fun k.143 () Int)
(declare-fun k.141 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun call33407formal.ret.0 () Int)
(declare-fun k.142 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 () Int)
(declare-fun k.140 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun k.136 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun k.139 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun k.137 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun call33219formal.ret.0 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun k.138 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun k.126 () Int)
(declare-fun call32977formal.ret.0 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun k.127 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 () Int)
(declare-fun k.125 () Int)
(declare-fun k.123 () Int)
(declare-fun k.124 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun k.119 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun call32807formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.2 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun k.122 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.120 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun call32755formal.ret.0 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun k.121 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun k.117 () Int)
(declare-fun call32515formal.ret.0 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun k.118 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 () Int)
(declare-fun k.116 () Int)
(declare-fun call32395formal.ret.0 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun k.114 () Int)
(declare-fun call32198formal.ret.0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun k.115 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 () Int)
(declare-fun k.113 () Int)
(declare-fun k.76 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun k.72 () Int)
(declare-fun call34378formal.ret.0 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun k.73 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun call29356formal.ret.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.14 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun k.112 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.8 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.5 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun k.110 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.105 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun k.107 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun call31616formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun k.111 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun k.108 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun call31979formal.ret.0 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun k.109 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun call31828formal.ret.0 () Int)
(declare-fun k.106 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun k.103 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun call31326formal.ret.0 () Int)
(declare-fun k.104 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.13 () Int)
(declare-fun k.102 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun k.98 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.2 () Int)
(declare-fun k.99 () Int)
(declare-fun call31179formal.ret.0 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun k.100 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun k.96 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun call30937formal.ret.0 () Int)
(declare-fun k.97 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.10 () Int)
(declare-fun k.95 () Int)
(declare-fun k.94 () Int)
(declare-fun k.93 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun k.89 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.2 () Int)
(declare-fun k.92 () Int)
(declare-fun call30737formal.ret.0 () Int)
(declare-fun k.90 () Int)
(declare-fun call30685formal.ret.0 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun k.91 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.87 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun call30445formal.ret.0 () Int)
(declare-fun k.88 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.6 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.7 () Int)
(declare-fun k.86 () Int)
(declare-fun call30325formal.ret.0 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun k.84 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun call30128formal.ret.0 () Int)
(declare-fun k.85 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.3 () Int)
(declare-fun k.83 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun k.81 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun call29917formal.ret.0 () Int)
(declare-fun k.82 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun k.79 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun call29746formal.ret.0 () Int)
(declare-fun k.80 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.1 () Int)
(declare-fun k.78 () Int)
(declare-fun k.75 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun call29537formal.ret.0 () Int)
(declare-fun k.77 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun call29426formal.ret.0 () Int)
(declare-fun k.74 () Int)
(declare-fun call29318formal.new.0 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun k.70 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.71 () Int)
(declare-fun call29203formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 () Int)
(declare-fun k.69 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.67 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun call28995formal.ret.0 () Int)
(declare-fun k.68 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun k.65 () Int)
(declare-fun call28841formal.ret.0 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun k.66 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.63 () Int)
(declare-fun call28731formal.ret.0 () Int)
(declare-fun k.64 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun k.61 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun call28479formal.ret.0 () Int)
(declare-fun k.62 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 () Int)
(declare-fun k.60 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun k.56 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun k.59 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.2 () Int)
(declare-fun k.57 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun call28332formal.ret.0 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun k.58 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun k.46 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun call28090formal.ret.0 () Int)
(declare-fun k.47 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 () Int)
(declare-fun k.45 () Int)
(declare-fun k.44 () Int)
(declare-fun k.43 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun call20802formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun k.51 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun k.239 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun call22805formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun call27082formal.new.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun k.235 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.2 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun k.238 () Int)
(declare-fun call27817formal.ret.0 () Int)
(declare-fun k.236 () Int)
(declare-fun call27765formal.ret.0 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun k.237 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun k.233 () Int)
(declare-fun call27525formal.ret.0 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun k.234 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 () Int)
(declare-fun k.232 () Int)
(declare-fun call27405formal.ret.0 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun k.230 () Int)
(declare-fun call27208formal.ret.0 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun k.231 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 () Int)
(declare-fun k.229 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun k.227 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun call26880formal.ret.0 () Int)
(declare-fun k.228 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 () Int)
(declare-fun k.226 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun k.222 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun k.225 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.223 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun call26692formal.ret.0 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun k.224 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun k.220 () Int)
(declare-fun call26450formal.ret.0 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun k.221 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 () Int)
(declare-fun k.219 () Int)
(declare-fun k.217 () Int)
(declare-fun k.218 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun k.213 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun call26280formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun k.216 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun k.214 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun call26228formal.ret.0 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun k.215 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.211 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun call25988formal.ret.0 () Int)
(declare-fun k.212 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 () Int)
(declare-fun k.210 () Int)
(declare-fun call25868formal.ret.0 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun k.208 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun call25671formal.ret.0 () Int)
(declare-fun k.209 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 () Int)
(declare-fun k.207 () Int)
(declare-fun k.169 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun k.166 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun call27851formal.ret.0 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun k.168 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun call22829formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.8 () Int)
(declare-fun k.206 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.2 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.14 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.201 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun k.199 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun call25089formal.ret.0 () Int)
(declare-fun k.200 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun k.205 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun k.203 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun call25452formal.ret.0 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun k.204 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 () Int)
(declare-fun call25301formal.ret.0 () Int)
(declare-fun k.202 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun k.197 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun call24799formal.ret.0 () Int)
(declare-fun k.198 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.12 () Int)
(declare-fun k.196 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun k.192 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.195 () Int)
(declare-fun k.193 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun call24652formal.ret.0 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun k.190 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun call24410formal.ret.0 () Int)
(declare-fun k.191 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.10 () Int)
(declare-fun k.189 () Int)
(declare-fun k.188 () Int)
(declare-fun k.187 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun k.183 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.2 () Int)
(declare-fun call24210formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun k.186 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.184 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun call24158formal.ret.0 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun k.185 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun k.181 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun call23918formal.ret.0 () Int)
(declare-fun k.182 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.6 () Int)
(declare-fun k.180 () Int)
(declare-fun call23798formal.ret.0 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun k.178 () Int)
(declare-fun call23601formal.ret.0 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun k.179 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.3 () Int)
(declare-fun k.177 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun k.175 () Int)
(declare-fun call23390formal.ret.0 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun k.176 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun k.173 () Int)
(declare-fun call23219formal.ret.0 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.0 () Int)
(declare-fun k.172 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun k.170 () Int)
(declare-fun call23010formal.ret.0 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun k.171 () Int)
(declare-fun call22899formal.ret.0 () Int)
(declare-fun k.167 () Int)
(declare-fun call22791formal.new.0 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun k.164 () Int)
(declare-fun call22676formal.ret.0 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun k.165 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 () Int)
(declare-fun k.163 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun k.161 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun call22468formal.ret.0 () Int)
(declare-fun k.162 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun k.159 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun call22314formal.ret.0 () Int)
(declare-fun k.160 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun k.157 () Int)
(declare-fun call22204formal.ret.0 () Int)
(declare-fun k.158 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun k.155 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun k.156 () Int)
(declare-fun call22046formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 () Int)
(declare-fun k.135 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun k.154 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun call21895formal.ret.0 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun k.133 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun call21592formal.ret.0 () Int)
(declare-fun k.134 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 () Int)
(declare-fun k.132 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun k.128 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun k.131 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.129 () Int)
(declare-fun call21445formal.ret.0 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun k.130 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun k.54 () Int)
(declare-fun call21203formal.ret.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun k.55 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 () Int)
(declare-fun k.53 () Int)
(declare-fun k.52 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun call20842formal.ret.0 () Int)
(declare-fun k.50 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun call20688formal.ret.0 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun k.48 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun k.42 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun k.40 () Int)
(declare-fun call20345formal.ret.0 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 () Int)
(declare-fun k.39 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun k.37 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun call20137formal.ret.0 () Int)
(declare-fun k.38 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.35 () Int)
(declare-fun call20032formal.ret.0 () Int)
(declare-fun k.36 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.26 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun call34779formal.ret.0 () Int)
(declare-fun k.33 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 () Int)
(declare-fun k.31 () Int)
(declare-fun call34577formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun k.29 () Int)
(declare-fun call18591formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.14 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.13 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.10 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.12 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.9 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.8 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun k.27 () Int)
(declare-fun call18479formal.ret.0 () Int)
(declare-fun k.25 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun call18427formal.ret.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun k.22 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun call18187formal.ret.0 () Int)
(declare-fun k.23 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.6 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.7 () Int)
(declare-fun k.21 () Int)
(declare-fun call18067formal.ret.0 () Int)
(declare-fun k.15 () Int)
(declare-fun call17870formal.ret.0 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.4 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2. () Int)
(declare-fun errorReached.11 () Int)
(declare-fun k.12 () Int)
(declare-fun call17305formal.ret.0 () Int)
(declare-fun k.13 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.10 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun call17123formal.ret.0 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.7 () Int)
(declare-fun k.8 () Int)
(declare-fun call16953formal.ret.0 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun k.9 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.1 () Int)
(declare-fun k.7 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call16745formal.ret.0 () Int)
(declare-fun k.6 () Int)
(declare-fun call16640formal.new.0 () Int)
(declare-fun call16643formal.new.0 () Int)
(declare-fun call16646formal.new.0 () Int)
(declare-fun k.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.3 () Int)
(declare-fun k.3 () Int)
(declare-fun call16451formal.ret.0 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.1 () Int)
(declare-fun k.1 () Int)
(declare-fun call16231formal.ret.0 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun k.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.0 () Int)
(declare-fun call16011formal.ret.0 () Int)
(declare-fun k.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25) ?v_0) (= (type Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.18) ?v_1) (= (type alloc.15) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type alloc.17) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type alloc.16) ?v_1) (= (type Mem_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type alloc.14) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type alloc.8) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.13) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.11) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.9) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type alloc.5) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.7) ?v_1) (= (type alloc.6) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type alloc.1) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1))))
(assert (let ((?v_17 (int_2_U G_SynchronizationScope)) (?v_2784 (int_2_U hrequest)) (?v_39 (not (not (= errorReached.208 0))))) (let ((?v_63 (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_0_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_0.30 reqCompleted_s_1) (=> (= lockStatus_0.60 lockStatus_s_1) (=> (= reqCancelSet_0.39 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_39 (=> ?v_39 true)))))))))))))))))) (let ((?v_93 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= lockStatus_1.60 lockStatus_1.59) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call35494formal.ret.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= reqCompleted_0.30 reqCompleted_0.29) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) (=> (= errorReached.208 errorReached.207) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0) (=> (= reqCancelSet_1.39 reqCancelSet_1.38) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= reqCancelSet_0.39 reqCancelSet_0.38) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.3) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call35494formal.ret.0) (=> (= reqCompleted_1.30 reqCompleted_1.29) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0.3) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= alloc.18 alloc.17) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call35494formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.5) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= lockStatus_0.60 lockStatus_0.59) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= k.356 k.355) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) ?v_63)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_182 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_183 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1)) (?v_184 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_185 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_186 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_187 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_188 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_189 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_190 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_191 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.)) (?v_192 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_193 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_194 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_195 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_196 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_197 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_198 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_199 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_200 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_201 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_202 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_203 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_204 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_205 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1)) (?v_206 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_207 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_208 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_209 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_210 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_211 (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0)) (?v_212 (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.)) (?v_213 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion)) (?v_214 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_215 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_216 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_217 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_218 (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0)) (?v_219 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_220 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_221 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_222 (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0)) (?v_223 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_224 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_225 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_226 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_227 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_228 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_229 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_230 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_231 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_232 (= alloc.17 alloc.15)) (?v_233 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_234 (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.)) (?v_235 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_236 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_237 (= reqSent_0.5 reqSent_0)) (?v_238 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_239 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.)) (?v_240 (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.11)) (?v_241 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_242 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_243 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_244 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_245 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_246 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_247 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0)) (?v_248 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_249 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_250 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_251 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_252 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_253 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_254 (= reqSent_1.5 reqSent_1)) (?v_255 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_256 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0)) (?v_257 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_258 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_259 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_260 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_261 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext)) (?v_262 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_263 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.))) (let ((?v_264 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> true (=> true (=> true ?v_93))))) (?v_181 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_92 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call37432formal.ret.0))) (let ((?v_96 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= k.355 k.354) (=> ?v_185 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_92 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_189 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_191 (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= reqCompleted_0.29 reqCompleted_0.28) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call37888formal.new.0) (=> (= reqCancelSet_1.38 reqCancelSet_1.37) (=> ?v_200 (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= reqCancelSet_0.38 reqCancelSet_0.37) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0) (=> ?v_206 (=> ?v_207 (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4) (=> ?v_212 (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0.1) (=> ?v_219 (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> ?v_221 (=> ?v_222 (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_226 (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= reqCompleted_1.29 reqCompleted_1.28) (=> (= alloc.17 alloc.16) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= reqSent_0.5 reqSent_0.4) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1) (=> (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_245 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0) (=> ?v_251 (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> ?v_256 (=> (= errorReached.207 errorReached.206) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call37453formal.ret.0) (=> ?v_259 (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0) (=> ?v_262 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) ?v_264)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_108 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= errorReached.206 errorReached.205) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call38442formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= k.354 k.353) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call38442formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> true (=> true (=> true ?v_96)))))))))))))))))))))))))))))))))) (?v_55 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hrequest))) (let ((?v_82 (not ?v_55)) (?v_98 (=> true (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> (= errorReached.205 errorReached.204) (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> (= k.353 k.352) (=> (= reqCompleted_1.27 reqCompleted_1.26) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 call38784formal.ret.0) (=> (= reqCancelSet_0.36 reqCancelSet_0.35) ?v_108))))))))) (?v_99 (= reqCancelSet_1.35 reqCancelSet_1.32))) (let ((?v_100 (=> (= reqCancelSet_0.35 reqCancelSet_0.32) (=> true ?v_98))) (?v_97 (= k.352 1))) (let ((?v_103 (not ?v_97)) (?v_95 (= k.352 0))) (let ((?v_101 (not ?v_95))) (let ((?v_102 (and (=> true (=> ?v_95 (=> true (=> ?v_99 (=> (= reqCancelSet_0.35 0) ?v_98))))) (=> true (=> ?v_101 (and (=> true (=> ?v_97 (=> true (=> (= reqCancelSet_1.35 0) ?v_100)))) (=> true (=> ?v_103 (=> true (=> ?v_99 ?v_100)))))))))) (let ((?v_106 (=> true (=> true ?v_102))) (?v_104 (= reqCompleted_0.26 reqCompleted_0.23)) (?v_105 (= reqCompleted_1.26 reqCompleted_1.23))) (let ((?v_107 (and (=> true (=> ?v_95 (=> true (=> (= reqCompleted_0.26 1) (=> ?v_105 ?v_102))))) (=> true (=> ?v_101 (and (=> true (=> ?v_97 (=> true (=> ?v_104 (=> (= reqCompleted_1.26 1) ?v_106))))) (=> true (=> ?v_103 (=> true (=> ?v_104 (=> ?v_105 ?v_106)))))))))) (?v_74 (= reqCompleted_0.23 0)) (?v_75 (= reqCompleted_1.23 0))) (let ((?v_48 (not ?v_74)) (?v_49 (not ?v_75))) (let ((?v_109 (and (=> true (=> ?v_55 (=> true (=> (<= k.351 k.352) (=> (< k.352 2) (and (=> true (=> (=> ?v_95 ?v_48) (=> (=> ?v_97 ?v_49) (=> true (=> (= errorReached.204 1) ?v_107))))) (=> true (=> (=> ?v_95 ?v_74) (=> (=> ?v_97 ?v_75) (=> true (=> (= errorReached.204 errorReached.203) (=> true ?v_107)))))))))))) (=> true (=> ?v_82 (=> true (=> (= reqCompleted_0.27 reqCompleted_0.23) (=> (= errorReached.205 errorReached.203) (=> (= reqCancelSet_1.36 reqCancelSet_1.32) (=> (= k.353 k.351) (=> (= reqCompleted_1.27 reqCompleted_1.23) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.36 reqCancelSet_0.32) (=> true (=> true (=> true (=> true (=> true (=> true ?v_108))))))))))))))))))) (let ((?v_113 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1) ?v_109)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_109)))))))))))))))) (?v_115 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.))) (let ((?v_116 (=> (= errorReached.203 errorReached.201) (=> (= k.351 k.349) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_113)))))))))))) (?v_87 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hdevice))) (let ((?v_118 (not ?v_87)) (?v_86 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hqueue))) (let ((?v_117 (not ?v_86)) (?v_84 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 htimer))) (let ((?v_114 (not ?v_84)) (?v_112 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call38633formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.203 errorReached.202) (=> (= k.351 k.350) ?v_113)))))) (?v_110 (= k.350 0)) (?v_111 (= k.350 1))) (let ((?v_120 (and (=> true (=> ?v_55 (=> true (=> (<= k.349 k.350) (=> (< k.350 2) (and (=> true (=> (=> ?v_110 ?v_48) (=> (=> ?v_111 ?v_49) (=> true (=> (= errorReached.202 1) ?v_112))))) (=> true (=> (=> ?v_110 ?v_74) (=> (=> ?v_111 ?v_75) (=> true (=> (= errorReached.202 errorReached.201) (=> true ?v_112)))))))))))) (=> true (=> ?v_82 (and (=> true (=> ?v_84 (=> true (=> ?v_115 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_116))))) (=> true (=> ?v_114 (and (=> true (=> ?v_86 (=> true (=> ?v_115 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_116))))) (=> true (=> ?v_117 (and (=> true (=> ?v_87 (=> true (=> ?v_115 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_116))))) (=> true (=> ?v_118 (=> true (=> ?v_115 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_116)))))))))))))))) (?v_332 (- 0 1073741637)) (?v_119 (= call38442formal.ret.0 0))) (let ((?v_122 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_120))) (?v_121 (= call38442formal.ret.0 1))) (let ((?v_127 (and (=> true (=> (not ?v_119) (=> (not ?v_121) ?v_122))) (=> true (=> ?v_119 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_332) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_120))))))))))))))))))))))))))))))) (=> true (=> ?v_121 (=> true ?v_122)))))) (let ((?v_129 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_127)))))))) (?v_128 (= errorReached.201 errorReached.200)) (?v_125 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call38484formal.ret.0)) (?v_126 (= k.349 k.348)) (?v_123 (= k.348 0)) (?v_124 (= k.348 1)) (?v_94 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_154 (and (=> true (=> (not ?v_94) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= reqCancelSet_0.37 reqCancelSet_0.32) (=> (= errorReached.206 errorReached.200) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= reqCompleted_0.28 reqCompleted_0.23) (=> (= reqCompleted_1.28 reqCompleted_1.23) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= reqCancelSet_1.37 reqCancelSet_1.32) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= k.354 k.347) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) ?v_96)))))))))))))))))))))))))))))))) (=> true (=> ?v_94 (and (=> true (=> ?v_55 (=> true (=> (<= k.347 k.348) (=> (< k.348 2) (and (=> true (=> (=> ?v_123 ?v_48) (=> (=> ?v_124 ?v_49) (=> true (=> (= errorReached.201 1) (=> ?v_125 (=> ?v_126 ?v_127))))))) (=> true (=> (=> ?v_123 ?v_74) (=> (=> ?v_124 ?v_75) (=> true (=> ?v_128 (=> ?v_125 (=> ?v_126 ?v_129))))))))))))) (=> true (=> ?v_82 (=> true (=> ?v_128 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= k.349 k.347) ?v_129)))))))))))) (let ((?v_164 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= errorReached.200 errorReached.199) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call38907formal.ret.0) (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= reqSent_0.4 reqSent_0.3) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call38907formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call38907formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call38907formal.ret.0) (=> (= k.347 k.346) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= reqSent_1.4 reqSent_1.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call38907formal.ret.0) (=> true ?v_154)))))))))))))))))))))))))))))))))))))))) (let ((?v_168 (=> true (=> true (=> true (=> true (=> true ?v_164)))))) (?v_166 (= reqSent_0.3 reqSent_0)) (?v_167 (= reqSent_1.3 reqSent_1)) (?v_161 (= errorReached.199 errorReached.198)) (?v_162 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call38932formal.ret.0)) (?v_163 (= k.346 k.340)) (?v_160 (= call38907formal.ret.0 0))) (let ((?v_156 (=> true (=> (= reqSent_0.3 reqSent_0.2) (=> ?v_161 (=> ?v_162 (=> (= reqSent_1.3 reqSent_1.2) (=> ?v_163 ?v_164)))))))) (let ((?v_159 (=> true ?v_156)) (?v_157 (= reqSent_0.2 reqSent_0)) (?v_158 (= reqSent_1.2 reqSent_1)) (?v_155 (= k.340 1)) (?v_153 (= k.340 0))) (let ((?v_165 (and (=> true (=> (not ?v_160) (and (=> true (=> ?v_153 (=> true (=> (= reqSent_0.2 1) (=> ?v_158 ?v_156))))) (=> true (=> (not ?v_153) (and (=> true (=> ?v_155 (=> true (=> ?v_157 (=> (= reqSent_1.2 1) ?v_159))))) (=> true (=> (not ?v_155) (=> true (=> ?v_157 (=> ?v_158 ?v_159))))))))))) (=> true (=> ?v_160 (=> true (=> ?v_166 (=> ?v_161 (=> ?v_162 (=> ?v_167 (=> ?v_163 ?v_168))))))))))) (let ((?v_175 (and (=> true (=> ?v_55 (=> true (=> (<= k.339 k.340) (=> (< k.340 2) (and (=> true (=> (=> ?v_153 ?v_48) (=> (=> ?v_155 ?v_49) (=> true (=> (= errorReached.198 1) ?v_165))))) (=> true (=> (=> ?v_153 ?v_74) (=> (=> ?v_155 ?v_75) (=> true (=> (= errorReached.198 errorReached.191) (=> true ?v_165)))))))))))) (=> true (=> ?v_82 (=> true (=> ?v_166 (=> (= errorReached.199 errorReached.191) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> ?v_167 (=> (= k.346 k.339) ?v_168))))))))))) (let ((?v_170 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call37953formal.ret.0) (=> (= errorReached.191 errorReached.190) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) (=> (= k.339 k.338) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) ?v_175)))))))) (let ((?v_173 (=> true ?v_170)) (?v_171 (= reqCompleteSet_0.0 reqCompleteSet_0)) (?v_172 (= reqCompleteSet_1.0 reqCompleteSet_1)) (?v_169 (= k.338 1)) (?v_152 (= k.338 0))) (let ((?v_174 (and (=> true (=> ?v_152 (=> true (=> (= reqCompleteSet_0.0 1) (=> ?v_172 ?v_170))))) (=> true (=> (not ?v_152) (and (=> true (=> ?v_169 (=> true (=> ?v_171 (=> (= reqCompleteSet_1.0 1) ?v_173))))) (=> true (=> (not ?v_169) (=> true (=> ?v_171 (=> ?v_172 ?v_173)))))))))) (?v_151 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_139 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call38276formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call38276formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= errorReached.200 errorReached.195) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqSent_0.4 reqSent_0.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call38276formal.ret.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= k.347 k.343) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= reqSent_1.4 reqSent_1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call38276formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call38276formal.ret.0) ?v_154))))))))))))))))))))))))))))))))))))))) (let ((?v_143 (=> true (=> true (=> true (=> true (=> true ?v_139)))))) (?v_141 (= reqSent_0.1 reqSent_0)) (?v_142 (= reqSent_1.1 reqSent_1)) (?v_136 (= errorReached.195 errorReached.194)) (?v_137 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call38301formal.ret.0)) (?v_138 (= k.343 k.342)) (?v_135 (= call38276formal.ret.0 0))) (let ((?v_131 (=> true (=> (= reqSent_0.1 reqSent_0.0) (=> ?v_136 (=> ?v_137 (=> (= reqSent_1.1 reqSent_1.0) (=> ?v_138 ?v_139)))))))) (let ((?v_134 (=> true ?v_131)) (?v_132 (= reqSent_0.0 reqSent_0)) (?v_133 (= reqSent_1.0 reqSent_1)) (?v_130 (= k.342 1)) (?v_91 (= k.342 0))) (let ((?v_140 (and (=> true (=> (not ?v_135) (and (=> true (=> ?v_91 (=> true (=> (= reqSent_0.0 1) (=> ?v_133 ?v_131))))) (=> true (=> (not ?v_91) (and (=> true (=> ?v_130 (=> true (=> ?v_132 (=> (= reqSent_1.0 1) ?v_134))))) (=> true (=> (not ?v_130) (=> true (=> ?v_132 (=> ?v_133 ?v_134))))))))))) (=> true (=> ?v_135 (=> true (=> ?v_141 (=> ?v_136 (=> ?v_137 (=> ?v_142 (=> ?v_138 ?v_143))))))))))) (let ((?v_144 (and (=> true (=> ?v_55 (=> true (=> (<= k.337 k.342) (=> (< k.342 2) (and (=> true (=> (=> ?v_91 ?v_48) (=> (=> ?v_130 ?v_49) (=> true (=> (= errorReached.194 1) ?v_140))))) (=> true (=> (=> ?v_91 ?v_74) (=> (=> ?v_130 ?v_75) (=> true (=> (= errorReached.194 errorReached.189) (=> true ?v_140)))))))))))) (=> true (=> ?v_82 (=> true (=> ?v_141 (=> (= errorReached.195 errorReached.189) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> ?v_142 (=> (= k.343 k.337) ?v_143))))))))))) (let ((?v_148 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2) ?v_144)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_144))))))))))))))))))))))))))))))))) (?v_149 (= errorReached.189 errorReached.187))) (let ((?v_150 (=> (= k.337 k.334) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_148)))))))))))) (?v_147 (=> true (=> (= errorReached.189 errorReached.188) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.337 k.336) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call38116formal.ret.0) ?v_148)))))) (?v_145 (= k.336 0)) (?v_146 (= k.336 1)) (?v_89 (>= 16 0)) (?v_90 (int_2_U call37888formal.new.0))) (let ((?v_178 (=> true (and ?v_89 (=> ?v_89 (=> (> call37888formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call37888formal.new.0 ?x355) (< ?x355 (+ call37888formal.new.0 16))) (= (Base ?x355) call37888formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call37888formal.new.0) (= (MapType0Select alloc.15 ?x356) (MapType0Select alloc.16 ?x356)))) :pattern ((MapType0Select alloc.16 ?x356)) )) (=> (and (= (MapType0Select alloc.15 ?v_90) UNALLOCATED) (= (MapType0Select alloc.16 ?v_90) ALLOCATED)) (and (=> true (=> (not ?v_151) (and (=> true (=> ?v_55 (=> true (=> (<= k.334 k.336) (=> (< k.336 2) (and (=> true (=> (=> ?v_145 ?v_48) (=> (=> ?v_146 ?v_49) (=> true (=> (= errorReached.188 1) ?v_147))))) (=> true (=> (=> ?v_145 ?v_74) (=> (=> ?v_146 ?v_75) (=> true (=> (= errorReached.188 errorReached.187) (=> true ?v_147)))))))))))) (=> true (=> ?v_82 (and (=> true (=> ?v_84 (=> true (=> ?v_149 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_150))))) (=> true (=> ?v_114 (and (=> true (=> ?v_86 (=> true (=> ?v_149 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_150))))) (=> true (=> ?v_117 (and (=> true (=> ?v_87 (=> true (=> ?v_149 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_150))))) (=> true (=> ?v_118 (=> true (=> ?v_149 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_150))))))))))))))))) (=> true (=> ?v_151 (and (=> true (=> ?v_55 (=> true (=> (<= k.334 k.338) (=> (< k.338 2) (and (=> true (=> (=> ?v_152 ?v_48) (=> (=> ?v_169 ?v_49) (=> true (=> (= errorReached.190 1) ?v_174))))) (=> true (=> (=> ?v_152 ?v_74) (=> (=> ?v_169 ?v_75) (=> true (=> (= errorReached.190 errorReached.187) (=> true ?v_174)))))))))))) (=> true (=> ?v_82 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= errorReached.191 errorReached.187) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> (= k.339 k.334) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_175))))))))))))))))))))))))))))))) (let ((?v_180 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_178))))))))))) (?v_179 (= k.334 1)) (?v_177 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_296 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_177))) (?v_176 (= k.334 0)) (?v_61 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_177))) (?v_88 (= (BINARY_BOTH_INT call37432formal.ret.0 13) 0)) (?v_77 (=> true (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> (= k.355 k.345) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_186 (=> ?v_92 (=> ?v_187 (=> ?v_188 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_190 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0) (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> (= reqCompleted_0.29 reqCompleted_0.25) (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> (= reqCancelSet_1.38 reqCancelSet_1.34) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> (= reqCancelSet_0.38 reqCancelSet_0.34) (=> ?v_204 (=> ?v_205 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0) (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_220 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> (= reqCompleted_1.29 reqCompleted_1.25) (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3) (=> (= errorReached.207 errorReached.197) (=> ?v_257 (=> ?v_258 (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_260 (=> ?v_261 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_263 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) ?v_93))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_65 (=> true (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 call37709formal.ret.0) (=> (= errorReached.197 errorReached.196) (=> (= reqCancelSet_1.34 reqCancelSet_1.33) (=> (= reqCompleted_1.25 reqCompleted_1.24) (=> (= k.345 k.344) (=> (= reqCancelSet_0.34 reqCancelSet_0.33) ?v_77))))))))) (?v_66 (= reqCancelSet_1.33 reqCancelSet_1.32))) (let ((?v_67 (=> (= reqCancelSet_0.33 reqCancelSet_0.32) (=> true ?v_65))) (?v_64 (= k.344 1))) (let ((?v_70 (not ?v_64)) (?v_62 (= k.344 0))) (let ((?v_68 (not ?v_62))) (let ((?v_69 (and (=> true (=> ?v_62 (=> true (=> ?v_66 (=> (= reqCancelSet_0.33 0) ?v_65))))) (=> true (=> ?v_68 (and (=> true (=> ?v_64 (=> true (=> (= reqCancelSet_1.33 0) ?v_67)))) (=> true (=> ?v_70 (=> true (=> ?v_66 ?v_67)))))))))) (let ((?v_73 (=> true (=> true ?v_69))) (?v_71 (= reqCompleted_0.24 reqCompleted_0.23)) (?v_72 (= reqCompleted_1.24 reqCompleted_1.23))) (let ((?v_76 (and (=> true (=> ?v_62 (=> true (=> (= reqCompleted_0.24 1) (=> ?v_72 ?v_69))))) (=> true (=> ?v_68 (and (=> true (=> ?v_64 (=> true (=> ?v_71 (=> (= reqCompleted_1.24 1) ?v_73))))) (=> true (=> ?v_70 (=> true (=> ?v_71 (=> ?v_72 ?v_73))))))))))) (let ((?v_78 (and (=> true (=> ?v_55 (=> true (=> (<= k.341 k.344) (=> (< k.344 2) (and (=> true (=> (=> ?v_62 ?v_48) (=> (=> ?v_64 ?v_49) (=> true (=> (= errorReached.196 1) ?v_76))))) (=> true (=> (=> ?v_62 ?v_74) (=> (=> ?v_64 ?v_75) (=> true (=> (= errorReached.196 errorReached.193) (=> true ?v_76)))))))))))) (=> true (=> ?v_82 (=> true (=> (= reqCompleted_0.25 reqCompleted_0.23) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= errorReached.197 errorReached.193) (=> (= reqCancelSet_1.34 reqCancelSet_1.32) (=> (= reqCompleted_1.25 reqCompleted_1.23) (=> (= k.345 k.341) (=> (= reqCancelSet_0.34 reqCancelSet_0.32) (=> true (=> true (=> true (=> true (=> true (=> true ?v_77))))))))))))))))))) (let ((?v_83 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2) ?v_78)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_78))))))))))))))))) (let ((?v_85 (=> (= errorReached.193 errorReached.187) (=> (= k.341 k.333) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_83))))))))))))) (?v_81 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.193 errorReached.192) (=> (= k.341 k.335) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 call37558formal.ret.0) ?v_83)))))) (?v_79 (= k.335 0)) (?v_80 (= k.335 1))) (let ((?v_282 (and (=> true (=> (not ?v_181) (and (=> true (=> (not ?v_88) (and (=> true (=> ?v_55 (=> true (=> (<= k.333 k.335) (=> (< k.335 2) (and (=> true (=> (=> ?v_79 ?v_48) (=> (=> ?v_80 ?v_49) (=> true (=> (= errorReached.192 1) ?v_81))))) (=> true (=> (=> ?v_79 ?v_74) (=> (=> ?v_80 ?v_75) (=> true (=> (= errorReached.192 errorReached.187) (=> true ?v_81)))))))))))) (=> true (=> ?v_82 (and (=> true (=> ?v_84 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_85)))) (=> true (=> ?v_114 (and (=> true (=> ?v_86 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_85)))) (=> true (=> ?v_117 (and (=> true (=> ?v_87 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_85)))) (=> true (=> ?v_118 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_85)))))))))))))))) (=> true (=> ?v_88 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call37453formal.ret.0 2) 0))) (=> true (=> (<= k.333 k.334) (=> (< k.334 2) (and (=> true (=> ?v_176 (=> (= inline.TimerDpc.0.myVar_0.12 ?v_61) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.12) ?v_178))))) (=> true (=> (not ?v_176) (and (=> true (=> ?v_179 (=> (= inline.TimerDpc.0.myVar_0.13 ?v_296) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.13) ?v_180))))) (=> true (=> (not ?v_179) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.11) ?v_180)))))))))))))))))) (=> true (=> ?v_181 (=> true (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> (= k.355 k.333) (=> ?v_185 (=> ?v_186 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> (= reqCompleted_0.29 reqCompleted_0.23) (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> (= reqCancelSet_1.38 reqCancelSet_1.32) (=> ?v_200 (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> (= reqCancelSet_0.38 reqCancelSet_0.32) (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> (= reqCompleted_1.29 reqCompleted_1.23) (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> (= errorReached.207 errorReached.187) (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 ?v_264)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_280 (= k.329 0)) (?v_26 (U_2_int (MapType0Select Mem_0_T._WDF_SYNCHRONIZATION_SCOPE ?v_17)))) (let ((?v_277 (not (= ?v_26 2)))) (let ((?v_380 (not ?v_277)) (?v_281 (= k.329 1)) (?v_27 (U_2_int (MapType0Select Mem_1_T._WDF_SYNCHRONIZATION_SCOPE ?v_17)))) (let ((?v_278 (not (= ?v_27 2)))) (let ((?v_382 (not ?v_278)) (?v_271 (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= k.333 k.332) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0.2) ?v_282)))))))))) (?v_270 (= inline.ReleaseDpcLock.7.myVar_0.2 hlock))) (let ((?v_266 (=> true (=> (= lockStatus_1.58 lockStatus_1.57) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 call36862formal.ret.0) (=> (= lockStatus_0.58 lockStatus_0.57) (=> (= k.332 k.331) ?v_271)))))) (?v_268 (= lockStatus_1.57 lockStatus_1.56))) (let ((?v_269 (=> (= lockStatus_0.57 lockStatus_0.56) (=> true ?v_266))) (?v_267 (= k.331 1)) (?v_265 (= k.331 0))) (let ((?v_274 (and (=> true (=> ?v_270 (=> true (=> (<= k.330 k.331) (=> (< k.331 2) (and (=> true (=> ?v_265 (=> true (=> ?v_268 (=> (= lockStatus_0.57 0) ?v_266))))) (=> true (=> (not ?v_265) (and (=> true (=> ?v_267 (=> true (=> (= lockStatus_1.57 0) ?v_269)))) (=> true (=> (not ?v_267) (=> true (=> ?v_268 ?v_269))))))))))))) (=> true (=> (not ?v_270) (=> true (=> (= lockStatus_1.58 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.58 lockStatus_0.56) (=> (= k.332 k.330) (=> true (=> true (=> true ?v_271))))))))))))) (let ((?v_276 (=> true (=> true (=> true (=> true ?v_274))))) (?v_275 (= k.330 1)) (?v_273 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_272 (= k.330 0))) (let ((?v_279 (=> true (=> (<= k.329 k.330) (=> (< k.330 2) (and (=> true (=> ?v_272 (=> (= inline.ReleaseDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_273))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.0) ?v_274))))) (=> true (=> (not ?v_272) (and (=> true (=> ?v_275 (=> (= inline.ReleaseDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_273))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.1) ?v_276))))) (=> true (=> (not ?v_275) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0) ?v_276))))))))))))) (let ((?v_287 (and (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.1) ?v_279)))) (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_280 ?v_277) (=> (=> ?v_281 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> true (=> true ?v_279))))))) (=> true (=> (=> ?v_280 ?v_380) (=> (=> ?v_281 ?v_382) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.59 lockStatus_1.56) (=> (= lockStatus_0.59 lockStatus_0.56) (=> (= k.333 k.329) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0) (=> true (=> true (=> true (=> true ?v_282)))))))))))))))))))))) (let ((?v_292 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_287)))))))))) (?v_289 (= errorReached.187 errorReached.185)) (?v_290 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.)) (?v_291 (= k.329 k.327)) (?v_294 (= inline.TimerDpc.0.myVar_0.11 hdevice)) (?v_293 (= inline.TimerDpc.0.myVar_0.11 hqueue)) (?v_288 (= inline.TimerDpc.0.myVar_0.11 htimer)) (?v_286 (= inline.TimerDpc.0.myVar_0.11 hrequest)) (?v_285 (=> true (=> (= errorReached.187 errorReached.186) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 call36620formal.ret.0) (=> (= k.329 k.328) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_287)))))) (?v_283 (= k.328 0)) (?v_284 (= k.328 1))) (let ((?v_297 (and (=> true (=> ?v_286 (=> true (=> (<= k.327 k.328) (=> (< k.328 2) (and (=> true (=> (=> ?v_283 ?v_48) (=> (=> ?v_284 ?v_49) (=> true (=> (= errorReached.186 1) ?v_285))))) (=> true (=> (=> ?v_283 ?v_74) (=> (=> ?v_284 ?v_75) (=> true (=> (= errorReached.186 errorReached.185) (=> true ?v_285)))))))))))) (=> true (=> (not ?v_286) (and (=> true (=> ?v_288 (=> true (=> ?v_289 (=> ?v_290 (=> ?v_291 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_292))))))) (=> true (=> (not ?v_288) (and (=> true (=> ?v_293 (=> true (=> ?v_289 (=> ?v_290 (=> ?v_291 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_292))))))) (=> true (=> (not ?v_293) (and (=> true (=> ?v_294 (=> true (=> ?v_289 (=> ?v_290 (=> ?v_291 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_292))))))) (=> true (=> (not ?v_294) (=> true (=> ?v_289 (=> ?v_290 (=> ?v_291 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_292))))))))))))))))))) (let ((?v_299 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_297)))))))))))) (?v_298 (= k.327 1)) (?v_295 (= k.327 0))) (let ((?v_330 (=> true (=> (<= k.326 k.327) (=> (< k.327 2) (and (=> true (=> ?v_295 (=> (= inline.TimerDpc.0.myVar_0.9 ?v_61) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.9) ?v_297))))) (=> true (=> (not ?v_295) (and (=> true (=> ?v_298 (=> (= inline.TimerDpc.0.myVar_0.10 ?v_296) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.10) ?v_299))))) (=> true (=> (not ?v_298) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.8) ?v_299)))))))))))) (?v_358 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_359 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15)) (?v_360 (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0)) (?v_361 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21))) (let ((?v_362 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_330))) (let ((?v_364 (=> true (=> ?v_358 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= errorReached.185 errorReached.180) (=> ?v_359 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= reqCancelSet_0.32 reqCancelSet_0.29) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelSet_1.32 reqCancelSet_1.29) (=> ?v_360 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= k.326 k.319) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_181 (=> ?v_361 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0) ?v_362)))))))))))))))))))))))))) (?v_363 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 0)) (?v_53 (= k.319 0)) (?v_54 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_355 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_54)) 0)) (?v_356 (= k.319 1)) (?v_357 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_54)) 0)) (?v_313 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_314 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0)) (?v_315 (= errorReached.185 errorReached.184)) (?v_316 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0)) (?v_317 (= reqCancelSet_0.32 reqCancelSet_0.31)) (?v_318 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call37121formal.ret.0)) (?v_319 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_320 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_321 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_322 (= reqCancelSet_1.32 reqCancelSet_1.31)) (?v_323 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_324 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_325 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_326 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_327 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_328 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_329 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0)) (?v_334 (- 0 1073741536))) (let ((?v_312 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_334))) (?v_301 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.0) (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0.0) (=> ?v_323 (=> ?v_324 (=> (= k.326 k.325) (=> ?v_325 (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_330)))))))))))))))))))))))))))) (let ((?v_305 (=> true ?v_301)) (?v_303 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_304 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_302 (= k.325 1)) (?v_60 (int_2_U 0)) (?v_300 (= k.325 0))) (let ((?v_307 (=> true (=> (<= k.324 k.325) (=> (< k.325 2) (and (=> true (=> ?v_300 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_54 ?v_60)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_304 ?v_301)))))) (=> true (=> (not ?v_300) (and (=> true (=> ?v_302 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_54 ?v_60)) (=> true (=> ?v_303 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_305)))))) (=> true (=> (not ?v_302) (=> true (=> ?v_303 (=> ?v_304 ?v_305)))))))))))))) (let ((?v_311 (=> true (=> true (=> true ?v_307)))) (?v_309 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15)) (?v_310 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15)) (?v_308 (= k.324 1)) (?v_59 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_306 (= k.324 0))) (let ((?v_333 (and (=> true (=> ?v_312 (=> true (=> (<= k.323 k.324) (=> (< k.324 2) (and (=> true (=> ?v_306 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_59 ?v_60)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> ?v_310 ?v_307)))))) (=> true (=> (not ?v_306) (and (=> true (=> ?v_308 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_59 ?v_60)) (=> true (=> ?v_309 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_311)))))) (=> true (=> (not ?v_308) (=> true (=> ?v_309 (=> ?v_310 ?v_311)))))))))))))) (=> true (=> (not ?v_312) (=> true (=> ?v_358 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_359 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_360 (=> ?v_323 (=> ?v_324 (=> (= k.326 k.323) (=> ?v_325 (=> ?v_181 (=> ?v_361 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 ?v_362)))))))))))))))))))))))))))))) (let ((?v_335 (=> true (=> true (=> true (=> true (=> true ?v_333)))))) (?v_58 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_331 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_343 (and (=> true (=> (not ?v_331) (=> (not ?v_58) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_333))))) (=> true (=> ?v_331 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_332) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_335)))))) (=> true (=> ?v_58 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_334) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_335))))))))) (let ((?v_349 (=> true ?v_343)) (?v_348 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call37121formal.ret.0)) (?v_338 (= errorReached.184 errorReached.183)) (?v_339 (= reqCancelSet_1.31 reqCancelSet_1.30)) (?v_340 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 call37161formal.ret.0)) (?v_341 (= k.323 k.322)) (?v_342 (= reqCancelSet_0.31 reqCancelSet_0.30)) (?v_56 (= k.322 0)) (?v_336 (= reqCancelStarted_0.1 0)) (?v_57 (= k.322 1)) (?v_337 (= reqCancelStarted_1.1 0))) (let ((?v_344 (and (=> true (=> (=> ?v_56 (not ?v_336)) (=> (=> ?v_57 (not ?v_337)) (=> true (=> ?v_338 (=> ?v_339 (=> ?v_58 (=> ?v_340 (=> ?v_341 (=> ?v_342 ?v_343)))))))))) (=> true (=> (=> ?v_56 ?v_336) (=> (=> ?v_57 ?v_337) (=> true (=> ?v_338 (=> ?v_339 (=> ?v_348 (=> ?v_340 (=> ?v_341 (=> ?v_342 ?v_349)))))))))))) (?v_345 (= reqCancelSet_1.30 reqCancelSet_1.29))) (let ((?v_346 (=> (= reqCancelSet_0.30 reqCancelSet_0.29) (=> true (=> true ?v_344))))) (let ((?v_347 (and (=> true (=> ?v_56 (=> true (=> ?v_345 (=> (= reqCancelSet_0.30 0) ?v_344))))) (=> true (=> (not ?v_56) (and (=> true (=> ?v_57 (=> true (=> (= reqCancelSet_1.30 0) ?v_346)))) (=> true (=> (not ?v_57) (=> true (=> ?v_345 ?v_346)))))))))) (let ((?v_353 (and (=> true (=> ?v_55 (=> true (=> (<= k.321 k.322) (=> (< k.322 2) (and (=> true (=> (=> ?v_56 ?v_48) (=> (=> ?v_57 ?v_49) (=> true (=> (= errorReached.183 1) ?v_347))))) (=> true (=> (=> ?v_56 ?v_74) (=> (=> ?v_57 ?v_75) (=> true (=> (= errorReached.183 errorReached.182) (=> true ?v_347)))))))))))) (=> true (=> ?v_82 (=> true (=> (= errorReached.184 errorReached.182) (=> (= reqCancelSet_1.31 reqCancelSet_1.29) (=> ?v_348 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= k.323 k.321) (=> (= reqCancelSet_0.31 reqCancelSet_0.29) ?v_349)))))))))))) (let ((?v_354 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= errorReached.182 errorReached.180) (=> (= k.321 k.319) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_353))))))))))))))))))) (?v_352 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call37007formal.ret.0) (=> (= errorReached.182 errorReached.181) (=> (= k.321 k.320) ?v_353)))))) (?v_350 (= k.320 0)) (?v_351 (= k.320 1))) (let ((?v_365 (and (=> true (=> (not ?v_363) (and (=> true (=> (=> ?v_53 (not ?v_355)) (=> (=> ?v_356 (not ?v_357)) (and (=> true (=> ?v_55 (=> true (=> (<= k.319 k.320) (=> (< k.320 2) (and (=> true (=> (=> ?v_350 ?v_48) (=> (=> ?v_351 ?v_49) (=> true (=> (= errorReached.181 1) ?v_352))))) (=> true (=> (=> ?v_350 ?v_74) (=> (=> ?v_351 ?v_75) (=> true (=> (= errorReached.181 errorReached.180) (=> true ?v_352)))))))))))) (=> true (=> ?v_82 (and (=> true (=> ?v_84 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_354)))) (=> true (=> ?v_114 (and (=> true (=> ?v_86 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_354)))) (=> true (=> ?v_117 (and (=> true (=> ?v_87 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_354)))) (=> true (=> ?v_118 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_354))))))))))))))))) (=> true (=> (=> ?v_53 ?v_355) (=> (=> ?v_356 ?v_357) ?v_364)))))) (=> true (=> ?v_363 ?v_364))))) (let ((?v_366 (=> true (=> true ?v_365)))) (let ((?v_383 (=> true (=> (<= k.318 k.319) (=> (< k.319 2) (and (=> true (=> ?v_53 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_59))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.0) ?v_365))))) (=> true (=> (not ?v_53) (and (=> true (=> ?v_356 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_59))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.1) ?v_366))))) (=> true (=> (not ?v_356) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc) ?v_366)))))))))))) (?v_379 (= k.314 0)) (?v_381 (= k.314 1))) (let ((?v_372 (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= lockStatus_1.56 lockStatus_1.55) (=> (= lockStatus_0.56 lockStatus_0.55) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0.2) (=> (= k.318 k.317) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call36453formal.ret.0) ?v_383))))))))))) (?v_371 (= inline.AcquireDpcLock.7.myVar_0.2 hlock))) (let ((?v_368 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 call36401formal.ret.0) (=> (= lockStatus_1.55 lockStatus_1.54) (=> (= lockStatus_0.55 lockStatus_0.54) (=> (= k.317 k.316) ?v_372)))))) (?v_369 (= lockStatus_1.54 lockStatus_1.53))) (let ((?v_370 (=> (= lockStatus_0.54 lockStatus_0.53) (=> true ?v_368))) (?v_367 (= k.316 1)) (?v_52 (= k.316 0))) (let ((?v_375 (and (=> true (=> ?v_371 (=> true (=> (<= k.315 k.316) (=> (< k.316 2) (=> true (=> (=> ?v_52 (= lockStatus_0.53 0)) (=> (=> ?v_367 (= lockStatus_1.53 0)) (and (=> true (=> ?v_52 (=> true (=> ?v_369 (=> (= lockStatus_0.54 1) ?v_368))))) (=> true (=> (not ?v_52) (and (=> true (=> ?v_367 (=> true (=> (= lockStatus_1.54 1) ?v_370)))) (=> true (=> (not ?v_367) (=> true (=> ?v_369 ?v_370)))))))))))))))) (=> true (=> (not ?v_371) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.55 lockStatus_1.53) (=> (= lockStatus_0.55 lockStatus_0.53) (=> (= k.317 k.315) (=> true (=> true (=> true (=> true (=> true (=> true ?v_372)))))))))))))))) (let ((?v_377 (=> true (=> true (=> true (=> true ?v_375))))) (?v_376 (= k.315 1)) (?v_374 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_373 (= k.315 0))) (let ((?v_378 (=> true (=> (<= k.314 k.315) (=> (< k.315 2) (and (=> true (=> ?v_373 (=> (= inline.AcquireDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_374))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.1) ?v_375))))) (=> true (=> (not ?v_373) (and (=> true (=> ?v_376 (=> (= inline.AcquireDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_374))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.0) ?v_377))))) (=> true (=> (not ?v_376) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0) ?v_377))))))))))))) (let ((?v_388 (and (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.1) ?v_378)))) (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_379 ?v_277) (=> (=> ?v_381 ?v_278) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.0) ?v_378))))) (=> true (=> (=> ?v_379 ?v_380) (=> (=> ?v_381 ?v_382) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.56 lockStatus_1.53) (=> (= lockStatus_0.56 lockStatus_0.53) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0) (=> (= k.318 k.314) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true ?v_383)))))))))))))))))))))) (let ((?v_390 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= errorReached.180 errorReached.178) (=> (= k.314 k.312) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_388))))))))))))) (?v_392 (= inline.TimerDpc.0.myVar_0.8 hdevice)) (?v_391 (= inline.TimerDpc.0.myVar_0.8 hqueue)) (?v_389 (= inline.TimerDpc.0.myVar_0.8 htimer)) (?v_387 (= inline.TimerDpc.0.myVar_0.8 hrequest)) (?v_386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call36161formal.ret.0) (=> (= errorReached.180 errorReached.179) (=> (= k.314 k.313) ?v_388)))))) (?v_384 (= k.313 0)) (?v_385 (= k.313 1))) (let ((?v_394 (and (=> true (=> ?v_387 (=> true (=> (<= k.312 k.313) (=> (< k.313 2) (and (=> true (=> (=> ?v_384 ?v_48) (=> (=> ?v_385 ?v_49) (=> true (=> (= errorReached.179 1) ?v_386))))) (=> true (=> (=> ?v_384 ?v_74) (=> (=> ?v_385 ?v_75) (=> true (=> (= errorReached.179 errorReached.178) (=> true ?v_386)))))))))))) (=> true (=> (not ?v_387) (and (=> true (=> ?v_389 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_390)))) (=> true (=> (not ?v_389) (and (=> true (=> ?v_391 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_390)))) (=> true (=> (not ?v_391) (and (=> true (=> ?v_392 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_390)))) (=> true (=> (not ?v_392) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_390)))))))))))))))) (let ((?v_396 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_394)))))))))))) (?v_395 (= k.312 1)) (?v_393 (= k.312 0))) (let ((?v_401 (=> true (=> (<= k.311 k.312) (=> (< k.312 2) (and (=> true (=> ?v_393 (=> (= inline.TimerDpc.0.myVar_0.6 ?v_61) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.6) ?v_394))))) (=> true (=> (not ?v_393) (and (=> true (=> ?v_395 (=> (= inline.TimerDpc.0.myVar_0.7 ?v_296) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.7) ?v_396))))) (=> true (=> (not ?v_395) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.5) ?v_396))))))))))))) (let ((?v_403 (=> (= errorReached.178 errorReached.176) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= k.311 k.309) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_401))))))))))))) (?v_405 (= inline.TimerDpc.0.myVar_0.5 hdevice)) (?v_404 (= inline.TimerDpc.0.myVar_0.5 hqueue)) (?v_402 (= inline.TimerDpc.0.myVar_0.5 htimer)) (?v_400 (= inline.TimerDpc.0.myVar_0.5 hrequest)) (?v_399 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.178 errorReached.177) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call35934formal.ret.0) (=> (= k.311 k.310) ?v_401)))))) (?v_397 (= k.310 0)) (?v_398 (= k.310 1))) (let ((?v_408 (and (=> true (=> ?v_400 (=> true (=> (<= k.309 k.310) (=> (< k.310 2) (and (=> true (=> (=> ?v_397 ?v_48) (=> (=> ?v_398 ?v_49) (=> true (=> (= errorReached.177 1) ?v_399))))) (=> true (=> (=> ?v_397 ?v_74) (=> (=> ?v_398 ?v_75) (=> true (=> (= errorReached.177 errorReached.176) (=> true ?v_399)))))))))))) (=> true (=> (not ?v_400) (and (=> true (=> ?v_402 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_403)))) (=> true (=> (not ?v_402) (and (=> true (=> ?v_404 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_403)))) (=> true (=> (not ?v_404) (and (=> true (=> ?v_405 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_403)))) (=> true (=> (not ?v_405) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_403)))))))))))))))) (let ((?v_410 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_408)))))))) (?v_409 (= k.309 1)) (?v_50 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_407 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_50))) (?v_406 (= k.309 0)) (?v_51 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_50)))) (let ((?v_415 (=> true (=> (<= k.308 k.309) (=> (< k.309 2) (and (=> true (=> ?v_406 (=> (= inline.TimerDpc.0.myVar_0.3 ?v_51) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.3) ?v_408))))) (=> true (=> (not ?v_406) (and (=> true (=> ?v_409 (=> (= inline.TimerDpc.0.myVar_0.4 ?v_407) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.4) ?v_410))))) (=> true (=> (not ?v_409) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.2) ?v_410)))))))))))) (?v_411 (= k.308 0)) (?v_412 (= ?v_51 0)) (?v_413 (= k.308 1)) (?v_414 (= ?v_407 0))) (let ((?v_420 (and (=> true (=> (=> ?v_411 (not ?v_412)) (=> (=> ?v_413 (not ?v_414)) ?v_415))) (=> true (=> (=> ?v_411 ?v_412) (=> (=> ?v_413 ?v_414) ?v_415)))))) (let ((?v_422 (=> (= errorReached.176 errorReached.174) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= k.308 k.306) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_420))))))))))))) (?v_424 (= inline.TimerDpc.0.myVar_0.2 hdevice)) (?v_423 (= inline.TimerDpc.0.myVar_0.2 hqueue)) (?v_421 (= inline.TimerDpc.0.myVar_0.2 htimer)) (?v_419 (= inline.TimerDpc.0.myVar_0.2 hrequest)) (?v_418 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.176 errorReached.175) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 call35655formal.ret.0) (=> (= k.308 k.307) ?v_420)))))) (?v_416 (= k.307 0)) (?v_417 (= k.307 1))) (let ((?v_426 (and (=> true (=> ?v_419 (=> true (=> (<= k.306 k.307) (=> (< k.307 2) (and (=> true (=> (=> ?v_416 ?v_48) (=> (=> ?v_417 ?v_49) (=> true (=> (= errorReached.175 1) ?v_418))))) (=> true (=> (=> ?v_416 ?v_74) (=> (=> ?v_417 ?v_75) (=> true (=> (= errorReached.175 errorReached.174) (=> true ?v_418)))))))))))) (=> true (=> (not ?v_419) (and (=> true (=> ?v_421 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_422)))) (=> true (=> (not ?v_421) (and (=> true (=> ?v_423 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_422)))) (=> true (=> (not ?v_423) (and (=> true (=> ?v_424 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_422)))) (=> true (=> (not ?v_424) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_422)))))))))))))))) (let ((?v_428 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_426)))))))) (?v_427 (= k.306 1)) (?v_43 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_47 (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_43))) (?v_425 (= k.306 0)) (?v_45 (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_43)))) (let ((?v_431 (=> true (=> (<= k.305 k.306) (=> (< k.306 2) (and (=> true (=> ?v_425 (=> (= inline.TimerDpc.0.myVar_0.1 ?v_45) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.1) ?v_426))))) (=> true (=> (not ?v_425) (and (=> true (=> ?v_427 (=> (= inline.TimerDpc.0.myVar_0.0 ?v_47) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.0) ?v_428))))) (=> true (=> (not ?v_427) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0) ?v_428)))))))))))) (?v_44 (= k.305 0)) (?v_429 (not (= ?v_45 call35494formal.ret.0))) (?v_46 (= k.305 1)) (?v_430 (not (= ?v_47 call35494formal.ret.0)))) (let ((?v_434 (and (=> true (=> (=> ?v_44 ?v_429) (=> (=> ?v_46 ?v_430) ?v_431))) (=> true (=> (=> ?v_44 (not ?v_429)) (=> (=> ?v_46 (not ?v_430)) ?v_431))))) (?v_432 (= ?v_45 0)) (?v_433 (= ?v_47 0))) (let ((?v_438 (and (=> true (=> (=> ?v_44 (not ?v_432)) (=> (=> ?v_46 (not ?v_433)) ?v_434))) (=> true (=> (=> ?v_44 ?v_432) (=> (=> ?v_46 ?v_433) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_434)))))))))))))) (?v_440 (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.))) (let ((?v_441 (=> (= errorReached.174 errorReached.172) (=> (= k.305 k.303) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_438)))))))))))) (?v_443 (= htimer hdevice))) (let ((?v_5010 (not ?v_443)) (?v_442 (= htimer hqueue))) (let ((?v_5009 (not ?v_442)) (?v_439 (= htimer htimer))) (let ((?v_5007 (not ?v_439)) (?v_42 (= htimer hrequest))) (let ((?v_5005 (not ?v_42)) (?v_437 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 call35312formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.174 errorReached.173) (=> (= k.305 k.304) ?v_438)))))) (?v_435 (= k.304 0)) (?v_436 (= k.304 1)) (?v_41 (- 0 1073741823)) (?v_40 (= call35209formal.ret.0 0))) (let ((?v_452 (=> true (=> (<= 0 k.303) (=> (< k.303 2) (and (=> true (=> (not ?v_40) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= lockStatus_1.60 lockStatus_1.53) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleted_0.30 reqCompleted_0.23) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> (= errorReached.208 errorReached.172) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= reqCancelSet_1.39 reqCancelSet_1.29) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= reqCancelSet_0.39 reqCancelSet_0.29) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= reqCompleted_1.30 reqCompleted_1.23) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.TimerDpc.0..result.GetDeviceContext.2073.36.4.) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= alloc.18 alloc.15) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1.) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= lockStatus_0.60 lockStatus_0.53) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= k.356 k.303) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1.) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) ?v_63))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_40 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_41) (and (=> true (=> ?v_42 (=> true (=> (<= k.303 k.304) (=> (< k.304 2) (and (=> true (=> (=> ?v_435 ?v_48) (=> (=> ?v_436 ?v_49) (=> true (=> (= errorReached.173 1) ?v_437))))) (=> true (=> (=> ?v_435 ?v_74) (=> (=> ?v_436 ?v_75) (=> true (=> (= errorReached.173 errorReached.172) (=> true ?v_437)))))))))))) (=> true (=> ?v_5005 (and (=> true (=> ?v_439 (=> true (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_441))))) (=> true (=> ?v_5007 (and (=> true (=> ?v_442 (=> true (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_441))))) (=> true (=> ?v_5009 (and (=> true (=> ?v_443 (=> true (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_441))))) (=> true (=> ?v_5010 (=> true (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_441))))))))))))))))))))))))) (let ((?v_466 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= errorReached.172 errorReached.171) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= reqCancelSet_0.29 reqCancelSet_0.28) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= reqCancelSet_1.29 reqCancelSet_1.28) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= k.302 k.301) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0) (=> true (=> true ?v_452)))))))))))))))))))))))))))))) (?v_25 (= hrequest hrequest))) (let ((?v_471 (not ?v_25)) (?v_454 (=> true (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call39359formal.ret.0) (=> (= errorReached.171 errorReached.170) (=> (= reqCompleted_0.22 reqCompleted_0.21) (=> (= reqCancelSet_1.28 reqCancelSet_1.27) (=> (= reqCompleted_1.22 reqCompleted_1.21) (=> (= k.301 k.300) (=> (= reqCancelSet_0.28 reqCancelSet_0.27) ?v_466))))))))) (?v_455 (= reqCancelSet_1.27 reqCancelSet_1.26))) (let ((?v_456 (=> (= reqCancelSet_0.27 reqCancelSet_0.26) (=> true ?v_454))) (?v_453 (= k.300 1))) (let ((?v_459 (not ?v_453)) (?v_451 (= k.300 0))) (let ((?v_457 (not ?v_451))) (let ((?v_458 (and (=> true (=> ?v_451 (=> true (=> ?v_455 (=> (= reqCancelSet_0.27 0) ?v_454))))) (=> true (=> ?v_457 (and (=> true (=> ?v_453 (=> true (=> (= reqCancelSet_1.27 0) ?v_456)))) (=> true (=> ?v_459 (=> true (=> ?v_455 ?v_456)))))))))) (let ((?v_462 (=> true (=> true ?v_458))) (?v_460 (= reqCompleted_0.21 reqCompleted_0.20)) (?v_461 (= reqCompleted_1.21 reqCompleted_1.20))) (let ((?v_465 (and (=> true (=> ?v_451 (=> true (=> (= reqCompleted_0.21 1) (=> ?v_461 ?v_458))))) (=> true (=> ?v_457 (and (=> true (=> ?v_453 (=> true (=> ?v_460 (=> (= reqCompleted_1.21 1) ?v_462))))) (=> true (=> ?v_459 (=> true (=> ?v_460 (=> ?v_461 ?v_462)))))))))) (?v_463 (= reqCompleted_0.20 0)) (?v_464 (= reqCompleted_1.20 0))) (let ((?v_449 (not ?v_463)) (?v_450 (not ?v_464))) (let ((?v_467 (and (=> true (=> ?v_25 (=> true (=> (<= k.299 k.300) (=> (< k.300 2) (and (=> true (=> (=> ?v_451 ?v_449) (=> (=> ?v_453 ?v_450) (=> true (=> (= errorReached.170 1) ?v_465))))) (=> true (=> (=> ?v_451 ?v_463) (=> (=> ?v_453 ?v_464) (=> true (=> (= errorReached.170 errorReached.169) (=> true ?v_465)))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= errorReached.171 errorReached.169) (=> (= reqCompleted_0.22 reqCompleted_0.20) (=> (= reqCancelSet_1.28 reqCancelSet_1.26) (=> (= reqCompleted_1.22 reqCompleted_1.20) (=> (= k.301 k.299) (=> (= reqCancelSet_0.28 reqCancelSet_0.26) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_466)))))))))))))))))))))) (let ((?v_472 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1) ?v_467)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_467))))))))))))))))) (let ((?v_474 (=> (= errorReached.169 errorReached.167) (=> (= k.299 k.297) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_472))))))))))))) (?v_476 (= hrequest hdevice))) (let ((?v_507 (not ?v_476)) (?v_475 (= hrequest hqueue))) (let ((?v_506 (not ?v_475)) (?v_473 (= hrequest htimer))) (let ((?v_504 (not ?v_473)) (?v_470 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.169 errorReached.168) (=> (= k.299 k.298) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 call39208formal.ret.0) ?v_472)))))) (?v_468 (= k.298 0)) (?v_469 (= k.298 1)) (?v_445 (= reqCompleteSet_0 0)) (?v_446 (= reqSent_0 0)) (?v_447 (= reqCompleteSet_1 0)) (?v_448 (= reqSent_1 0)) (?v_444 (= call35157formal.ret.0 0))) (let ((?v_484 (=> true (=> (<= 0 k.297) (=> (< k.297 2) (and (=> true (=> (not ?v_444) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= errorReached.172 errorReached.167) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.29 reqCancelSet_0.26) (=> (= reqCompleted_0.23 reqCompleted_0.20) (=> (= reqCompleted_1.23 reqCompleted_1.20) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= reqCancelSet_1.29 reqCancelSet_1.26) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= k.302 k.297) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) ?v_452))))))))))))))))))))))))))))) (=> true (=> ?v_444 (=> true (=> (=> (= k.297 0) (and (not ?v_445) (not ?v_446))) (=> (=> (= k.297 1) (and (not ?v_447) (not ?v_448))) (and (=> true (=> ?v_25 (=> true (=> (<= k.297 k.298) (=> (< k.298 2) (and (=> true (=> (=> ?v_468 ?v_449) (=> (=> ?v_469 ?v_450) (=> true (=> (= errorReached.168 1) ?v_470))))) (=> true (=> (=> ?v_468 ?v_463) (=> (=> ?v_469 ?v_464) (=> true (=> (= errorReached.168 errorReached.167) (=> true ?v_470)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_474)))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_474)))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_474)))) (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_474))))))))))))))))))))))))) (let ((?v_509 (=> true (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= lockStatus_1.53 lockStatus_1.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= k.296 k.295) (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0.3) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0.3) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0) (=> (= errorReached.167 errorReached.166) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0.3) (=> (= lockStatus_0.53 lockStatus_0.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> true (=> true ?v_484))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_514 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0) (=> (= errorReached.166 errorReached.161) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= reqCompleted_0.19 reqCompleted_0.16) (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0) (=> (= reqCancelSet_0.25 reqCancelSet_0.22) (=> (= reqCompleted_1.19 reqCompleted_1.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelSet_1.25 reqCancelSet_1.22) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= k.295 k.290) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> true (=> true (=> true ?v_509)))))))))))))))))))))))))))))))))))))) (?v_516 (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.)) (?v_517 (= errorReached.161 errorReached.159))) (let ((?v_518 (=> (= k.290 k.288) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_514)))))))))))))))))))) (?v_520 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_519 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_515 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_513 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_512 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 call41736formal.ret.0) (=> (= errorReached.161 errorReached.160) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.290 k.289) ?v_514)))))) (?v_510 (= k.289 0)) (?v_495 (= reqCompleted_0.16 0)) (?v_511 (= k.289 1)) (?v_496 (= reqCompleted_1.16 0))) (let ((?v_479 (not ?v_495)) (?v_480 (not ?v_496)) (?v_508 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_498 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= errorReached.166 errorReached.165) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= reqCompleted_0.19 reqCompleted_0.18) (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0.0) (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> (= reqCompleted_1.19 reqCompleted_1.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.25 reqCancelSet_1.24) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= k.295 k.294) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) ?v_509)))))))))))))))))))))))))))))))))))) (let ((?v_486 (=> true (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call42099formal.ret.0) (=> (= errorReached.165 errorReached.164) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= k.294 k.293) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) ?v_498))))))))) (?v_487 (= reqCancelSet_1.23 reqCancelSet_1.22))) (let ((?v_488 (=> (= reqCancelSet_0.23 reqCancelSet_0.22) (=> true ?v_486))) (?v_485 (= k.293 1))) (let ((?v_491 (not ?v_485)) (?v_483 (= k.293 0))) (let ((?v_489 (not ?v_483))) (let ((?v_490 (and (=> true (=> ?v_483 (=> true (=> ?v_487 (=> (= reqCancelSet_0.23 0) ?v_486))))) (=> true (=> ?v_489 (and (=> true (=> ?v_485 (=> true (=> (= reqCancelSet_1.23 0) ?v_488)))) (=> true (=> ?v_491 (=> true (=> ?v_487 ?v_488)))))))))) (let ((?v_494 (=> true (=> true ?v_490))) (?v_492 (= reqCompleted_0.17 reqCompleted_0.16)) (?v_493 (= reqCompleted_1.17 reqCompleted_1.16))) (let ((?v_497 (and (=> true (=> ?v_483 (=> true (=> (= reqCompleted_0.17 1) (=> ?v_493 ?v_490))))) (=> true (=> ?v_489 (and (=> true (=> ?v_485 (=> true (=> ?v_492 (=> (= reqCompleted_1.17 1) ?v_494))))) (=> true (=> ?v_491 (=> true (=> ?v_492 (=> ?v_493 ?v_494))))))))))) (let ((?v_499 (and (=> true (=> ?v_25 (=> true (=> (<= k.292 k.293) (=> (< k.293 2) (and (=> true (=> (=> ?v_483 ?v_479) (=> (=> ?v_485 ?v_480) (=> true (=> (= errorReached.164 1) ?v_497))))) (=> true (=> (=> ?v_483 ?v_495) (=> (=> ?v_485 ?v_496) (=> true (=> (= errorReached.164 errorReached.163) (=> true ?v_497)))))))))))) (=> true (=> ?v_471 (=> true (=> (= reqCancelSet_1.24 reqCancelSet_1.22) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= errorReached.165 errorReached.163) (=> (= reqCompleted_0.18 reqCompleted_0.16) (=> (= reqCompleted_1.18 reqCompleted_1.16) (=> (= k.294 k.292) (=> (= reqCancelSet_0.24 reqCancelSet_0.22) (=> true (=> true (=> true (=> true (=> true (=> true ?v_498))))))))))))))))))) (let ((?v_503 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2) ?v_499)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_499))))))))))))))))) (let ((?v_505 (=> (= errorReached.163 errorReached.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= k.292 k.288) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_503))))))))))))) (?v_502 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.163 errorReached.162) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 call41948formal.ret.0) (=> (= k.292 k.291) ?v_503)))))) (?v_500 (= k.291 0)) (?v_501 (= k.291 1))) (let ((?v_523 (and (=> true (=> (not ?v_508) (and (=> true (=> ?v_25 (=> true (=> (<= k.288 k.291) (=> (< k.291 2) (and (=> true (=> (=> ?v_500 ?v_479) (=> (=> ?v_501 ?v_480) (=> true (=> (= errorReached.162 1) ?v_502))))) (=> true (=> (=> ?v_500 ?v_495) (=> (=> ?v_501 ?v_496) (=> true (=> (= errorReached.162 errorReached.159) (=> true ?v_502)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_505)))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_505)))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_505)))) (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_505)))))))))))))))) (=> true (=> ?v_508 (and (=> true (=> ?v_513 (=> true (=> (<= k.288 k.289) (=> (< k.289 2) (and (=> true (=> (=> ?v_510 ?v_479) (=> (=> ?v_511 ?v_480) (=> true (=> (= errorReached.160 1) ?v_512))))) (=> true (=> (=> ?v_510 ?v_495) (=> (=> ?v_511 ?v_496) (=> true (=> (= errorReached.160 errorReached.159) (=> true ?v_512)))))))))))) (=> true (=> (not ?v_513) (and (=> true (=> ?v_515 (=> true (=> ?v_516 (=> ?v_517 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_518)))))) (=> true (=> (not ?v_515) (and (=> true (=> ?v_519 (=> true (=> ?v_516 (=> ?v_517 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_518)))))) (=> true (=> (not ?v_519) (and (=> true (=> ?v_520 (=> true (=> ?v_516 (=> ?v_517 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_518)))))) (=> true (=> (not ?v_520) (=> true (=> ?v_516 (=> ?v_517 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_518))))))))))))))))))))) (let ((?v_526 (=> true (=> true (=> true (=> true (=> true (=> true ?v_523))))))) (?v_521 (= k.288 0)) (?v_524 (= ?v_26 4))) (let ((?v_621 (not ?v_524)) (?v_522 (= k.288 1)) (?v_525 (= ?v_27 4))) (let ((?v_622 (not ?v_525)) (?v_36 (= ?v_26 1))) (let ((?v_617 (not ?v_36)) (?v_37 (= ?v_27 1))) (let ((?v_619 (not ?v_37))) (let ((?v_531 (and (=> true (=> (=> ?v_521 ?v_36) (=> (=> ?v_522 ?v_37) ?v_523))) (=> true (=> (=> ?v_521 ?v_617) (=> (=> ?v_522 ?v_619) (and (=> true (=> (=> ?v_521 ?v_524) (=> (=> ?v_522 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_526)))))))))))) (=> true (=> (=> ?v_521 ?v_621) (=> (=> ?v_522 ?v_622) ?v_526))))))))) (?v_533 (= errorReached.159 errorReached.157))) (let ((?v_534 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= k.288 k.286) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_531)))))))))))) (?v_536 (= inline.EvtRequestChildCancel.2.myVar_0.14 hdevice)) (?v_535 (= inline.EvtRequestChildCancel.2.myVar_0.14 hqueue)) (?v_532 (= inline.EvtRequestChildCancel.2.myVar_0.14 htimer)) (?v_530 (= inline.EvtRequestChildCancel.2.myVar_0.14 hrequest)) (?v_529 (=> true (=> (= errorReached.159 errorReached.158) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 call41446formal.ret.0) (=> (= k.288 k.287) ?v_531)))))) (?v_527 (= k.287 0)) (?v_528 (= k.287 1))) (let ((?v_539 (and (=> true (=> ?v_530 (=> true (=> (<= k.286 k.287) (=> (< k.287 2) (and (=> true (=> (=> ?v_527 ?v_479) (=> (=> ?v_528 ?v_480) (=> true (=> (= errorReached.158 1) ?v_529))))) (=> true (=> (=> ?v_527 ?v_495) (=> (=> ?v_528 ?v_496) (=> true (=> (= errorReached.158 errorReached.157) (=> true ?v_529)))))))))))) (=> true (=> (not ?v_530) (and (=> true (=> ?v_532 (=> true (=> ?v_533 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_534))))) (=> true (=> (not ?v_532) (and (=> true (=> ?v_535 (=> true (=> ?v_533 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_534))))) (=> true (=> (not ?v_535) (and (=> true (=> ?v_536 (=> true (=> ?v_533 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_534))))) (=> true (=> (not ?v_536) (=> true (=> ?v_533 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_534))))))))))))))))) (let ((?v_541 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_539)))))))))))) (?v_540 (= k.286 1)) (?v_538 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_570 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_538))) (?v_537 (= k.286 0)) (?v_481 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_538)))) (let ((?v_557 (=> true (=> (<= k.285 k.286) (=> (< k.286 2) (and (=> true (=> ?v_537 (=> (= inline.EvtRequestChildCancel.2.myVar_0.13 ?v_481) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.13) ?v_539))))) (=> true (=> (not ?v_537) (and (=> true (=> ?v_540 (=> (= inline.EvtRequestChildCancel.2.myVar_0.12 ?v_570) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.12) ?v_541))))) (=> true (=> (not ?v_540) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.11) ?v_541)))))))))))) (?v_555 (= k.281 0)) (?v_556 (= k.281 1))) (let ((?v_548 (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= k.285 k.284) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0) ?v_557)))))))))) (?v_547 (= inline.ReleaseDpcLock.8.myVar_0.2 hlock))) (let ((?v_543 (=> true (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 call41299formal.ret.0) (=> (= lockStatus_1.51 lockStatus_1.50) (=> (= lockStatus_0.51 lockStatus_0.50) (=> (= k.284 k.283) ?v_548)))))) (?v_545 (= lockStatus_1.50 lockStatus_1.49))) (let ((?v_546 (=> (= lockStatus_0.50 lockStatus_0.49) (=> true ?v_543))) (?v_544 (= k.283 1)) (?v_542 (= k.283 0))) (let ((?v_551 (and (=> true (=> ?v_547 (=> true (=> (<= k.282 k.283) (=> (< k.283 2) (and (=> true (=> ?v_542 (=> true (=> ?v_545 (=> (= lockStatus_0.50 0) ?v_543))))) (=> true (=> (not ?v_542) (and (=> true (=> ?v_544 (=> true (=> (= lockStatus_1.50 0) ?v_546)))) (=> true (=> (not ?v_544) (=> true (=> ?v_545 ?v_546))))))))))))) (=> true (=> (not ?v_547) (=> true (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.51 lockStatus_1.49) (=> (= lockStatus_0.51 lockStatus_0.49) (=> (= k.284 k.282) (=> true (=> true (=> true ?v_548))))))))))))) (let ((?v_553 (=> true (=> true (=> true (=> true ?v_551))))) (?v_552 (= k.282 1)) (?v_550 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_549 (= k.282 0))) (let ((?v_554 (=> true (=> (<= k.281 k.282) (=> (< k.282 2) (and (=> true (=> ?v_549 (=> (= inline.ReleaseDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_550))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.1) ?v_551))))) (=> true (=> (not ?v_549) (and (=> true (=> ?v_552 (=> (= inline.ReleaseDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_550))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.0) ?v_553))))) (=> true (=> (not ?v_552) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0) ?v_553))))))))))))) (let ((?v_562 (and (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.0) ?v_554)))) (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_555 ?v_277) (=> (=> ?v_556 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> true (=> true ?v_554))))))) (=> true (=> (=> ?v_555 ?v_380) (=> (=> ?v_556 ?v_382) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.52 lockStatus_1.49) (=> (= lockStatus_0.52 lockStatus_0.49) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0) (=> (= k.285 k.281) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_557)))))))))))))))))))) (?v_564 (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.)) (?v_565 (= errorReached.157 errorReached.155))) (let ((?v_566 (=> (= k.281 k.279) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_562))))))))))) (?v_568 (= inline.EvtRequestChildCancel.2.myVar_0.11 hdevice)) (?v_567 (= inline.EvtRequestChildCancel.2.myVar_0.11 hqueue)) (?v_563 (= inline.EvtRequestChildCancel.2.myVar_0.11 htimer)) (?v_561 (= inline.EvtRequestChildCancel.2.myVar_0.11 hrequest)) (?v_560 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 call41057formal.ret.0) (=> (= errorReached.157 errorReached.156) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.281 k.280) ?v_562)))))) (?v_558 (= k.280 0)) (?v_559 (= k.280 1))) (let ((?v_571 (and (=> true (=> ?v_561 (=> true (=> (<= k.279 k.280) (=> (< k.280 2) (and (=> true (=> (=> ?v_558 ?v_479) (=> (=> ?v_559 ?v_480) (=> true (=> (= errorReached.156 1) ?v_560))))) (=> true (=> (=> ?v_558 ?v_495) (=> (=> ?v_559 ?v_496) (=> true (=> (= errorReached.156 errorReached.155) (=> true ?v_560)))))))))))) (=> true (=> (not ?v_561) (and (=> true (=> ?v_563 (=> true (=> ?v_564 (=> ?v_565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_566)))))) (=> true (=> (not ?v_563) (and (=> true (=> ?v_567 (=> true (=> ?v_564 (=> ?v_565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_566)))))) (=> true (=> (not ?v_567) (and (=> true (=> ?v_568 (=> true (=> ?v_564 (=> ?v_565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_566)))))) (=> true (=> (not ?v_568) (=> true (=> ?v_564 (=> ?v_565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_566)))))))))))))))))) (let ((?v_573 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_571)))))))))))) (?v_572 (= k.279 1)) (?v_569 (= k.279 0))) (let ((?v_576 (=> true (=> (<= k.278 k.279) (=> (< k.279 2) (and (=> true (=> ?v_569 (=> (= inline.EvtRequestChildCancel.2.myVar_0.10 ?v_481) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.10) ?v_571))))) (=> true (=> (not ?v_569) (and (=> true (=> ?v_572 (=> (= inline.EvtRequestChildCancel.2.myVar_0.9 ?v_570) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.9) ?v_573))))) (=> true (=> (not ?v_572) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.8) ?v_573))))))))))))) (let ((?v_580 (=> true (=> true ?v_576))) (?v_578 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18)) (?v_579 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18)) (?v_577 (= k.278 1)) (?v_575 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_574 (= k.278 0))) (let ((?v_583 (=> true (=> (<= k.277 k.278) (=> (< k.278 2) (and (=> true (=> ?v_574 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 ?v_575 ?v_60)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> ?v_579 ?v_576)))))) (=> true (=> (not ?v_574) (and (=> true (=> ?v_577 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 ?v_575 ?v_60)) (=> true (=> ?v_578 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_580)))))) (=> true (=> (not ?v_577) (=> true (=> ?v_578 (=> ?v_579 ?v_580)))))))))))))) (let ((?v_587 (=> true ?v_583)) (?v_585 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12)) (?v_586 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12)) (?v_584 (= k.277 1)) (?v_582 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_581 (= k.277 0))) (let ((?v_602 (=> true (=> (<= k.276 k.277) (=> (< k.277 2) (and (=> true (=> ?v_581 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 ?v_582 ?v_60)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> ?v_586 ?v_583)))))) (=> true (=> (not ?v_581) (and (=> true (=> ?v_584 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 ?v_582 ?v_60)) (=> true (=> ?v_585 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_587)))))) (=> true (=> (not ?v_584) (=> true (=> ?v_585 (=> ?v_586 ?v_587))))))))))))) (?v_600 (= k.272 0)) (?v_601 (= k.272 1))) (let ((?v_593 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call40857formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_1.49 lockStatus_1.48) (=> (= lockStatus_0.49 lockStatus_0.48) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= k.276 k.275) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0.2) ?v_602))))))))))) (?v_592 (= inline.AcquireDpcLock.8.myVar_0.2 hlock))) (let ((?v_589 (=> true (=> (= lockStatus_1.48 lockStatus_1.47) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call40805formal.ret.0) (=> (= lockStatus_0.48 lockStatus_0.47) (=> (= k.275 k.274) ?v_593)))))) (?v_590 (= lockStatus_1.47 lockStatus_1.46))) (let ((?v_591 (=> (= lockStatus_0.47 lockStatus_0.46) (=> true ?v_589))) (?v_588 (= k.274 1)) (?v_482 (= k.274 0))) (let ((?v_596 (and (=> true (=> ?v_592 (=> true (=> (<= k.273 k.274) (=> (< k.274 2) (=> true (=> (=> ?v_482 (= lockStatus_0.46 0)) (=> (=> ?v_588 (= lockStatus_1.46 0)) (and (=> true (=> ?v_482 (=> true (=> ?v_590 (=> (= lockStatus_0.47 1) ?v_589))))) (=> true (=> (not ?v_482) (and (=> true (=> ?v_588 (=> true (=> (= lockStatus_1.47 1) ?v_591)))) (=> true (=> (not ?v_588) (=> true (=> ?v_590 ?v_591)))))))))))))))) (=> true (=> (not ?v_592) (=> true (=> (= lockStatus_1.48 lockStatus_1.46) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.48 lockStatus_0.46) (=> (= k.275 k.273) (=> true (=> true (=> true (=> true (=> true (=> true ?v_593)))))))))))))))) (let ((?v_598 (=> true (=> true (=> true (=> true ?v_596))))) (?v_597 (= k.273 1)) (?v_595 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_594 (= k.273 0))) (let ((?v_599 (=> true (=> (<= k.272 k.273) (=> (< k.273 2) (and (=> true (=> ?v_594 (=> (= inline.AcquireDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_595))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.1) ?v_596))))) (=> true (=> (not ?v_594) (and (=> true (=> ?v_597 (=> (= inline.AcquireDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_595))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.0) ?v_598))))) (=> true (=> (not ?v_597) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0) ?v_598))))))))))))) (let ((?v_607 (and (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.1) ?v_599)))) (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_600 ?v_277) (=> (=> ?v_601 ?v_278) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.0) ?v_599))))) (=> true (=> (=> ?v_600 ?v_380) (=> (=> ?v_601 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.49 lockStatus_1.46) (=> (= lockStatus_0.49 lockStatus_0.46) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.276 k.272) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0) (=> true (=> true (=> true ?v_602)))))))))))))))))))))) (let ((?v_609 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= errorReached.155 errorReached.153) (=> (= k.272 k.270) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_607))))))))))))) (?v_611 (= inline.EvtRequestChildCancel.2.myVar_0.8 hdevice)) (?v_610 (= inline.EvtRequestChildCancel.2.myVar_0.8 hqueue)) (?v_608 (= inline.EvtRequestChildCancel.2.myVar_0.8 htimer)) (?v_606 (= inline.EvtRequestChildCancel.2.myVar_0.8 hrequest)) (?v_605 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 call40565formal.ret.0) (=> (= errorReached.155 errorReached.154) (=> (= k.272 k.271) ?v_607)))))) (?v_603 (= k.271 0)) (?v_604 (= k.271 1))) (let ((?v_613 (and (=> true (=> ?v_606 (=> true (=> (<= k.270 k.271) (=> (< k.271 2) (and (=> true (=> (=> ?v_603 ?v_479) (=> (=> ?v_604 ?v_480) (=> true (=> (= errorReached.154 1) ?v_605))))) (=> true (=> (=> ?v_603 ?v_495) (=> (=> ?v_604 ?v_496) (=> true (=> (= errorReached.154 errorReached.153) (=> true ?v_605)))))))))))) (=> true (=> (not ?v_606) (and (=> true (=> ?v_608 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_609)))) (=> true (=> (not ?v_608) (and (=> true (=> ?v_610 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_609)))) (=> true (=> (not ?v_610) (and (=> true (=> ?v_611 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_609)))) (=> true (=> (not ?v_611) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_609)))))))))))))))) (let ((?v_615 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_613)))))))))))) (?v_614 (= k.270 1)) (?v_612 (= k.270 0))) (let ((?v_623 (=> true (=> (<= k.269 k.270) (=> (< k.270 2) (and (=> true (=> ?v_612 (=> (= inline.EvtRequestChildCancel.2.myVar_0.7 ?v_481) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.7) ?v_613))))) (=> true (=> (not ?v_612) (and (=> true (=> ?v_614 (=> (= inline.EvtRequestChildCancel.2.myVar_0.6 ?v_570) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.6) ?v_615))))) (=> true (=> (not ?v_614) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.5) ?v_615)))))))))))) (?v_616 (= k.269 0)) (?v_618 (= k.269 1))) (let ((?v_620 (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call40445formal.ret.0) ?v_623)))) (let ((?v_628 (and (=> true (=> (=> ?v_616 ?v_36) (=> (=> ?v_618 ?v_37) ?v_620))) (=> true (=> (=> ?v_616 ?v_617) (=> (=> ?v_618 ?v_619) (and (=> true (=> (=> ?v_616 ?v_524) (=> (=> ?v_618 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_620)))))))))))) (=> true (=> (=> ?v_616 ?v_621) (=> (=> ?v_618 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_623))))))))))))))) (?v_630 (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.)) (?v_631 (= errorReached.153 errorReached.151))) (let ((?v_632 (=> (= k.269 k.267) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_628))))))))))) (?v_634 (= inline.EvtRequestChildCancel.2.myVar_0.5 hdevice)) (?v_633 (= inline.EvtRequestChildCancel.2.myVar_0.5 hqueue)) (?v_629 (= inline.EvtRequestChildCancel.2.myVar_0.5 htimer)) (?v_627 (= inline.EvtRequestChildCancel.2.myVar_0.5 hrequest)) (?v_626 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 call40248formal.ret.0) (=> (= errorReached.153 errorReached.152) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.269 k.268) ?v_628)))))) (?v_624 (= k.268 0)) (?v_625 (= k.268 1))) (let ((?v_636 (and (=> true (=> ?v_627 (=> true (=> (<= k.267 k.268) (=> (< k.268 2) (and (=> true (=> (=> ?v_624 ?v_479) (=> (=> ?v_625 ?v_480) (=> true (=> (= errorReached.152 1) ?v_626))))) (=> true (=> (=> ?v_624 ?v_495) (=> (=> ?v_625 ?v_496) (=> true (=> (= errorReached.152 errorReached.151) (=> true ?v_626)))))))))))) (=> true (=> (not ?v_627) (and (=> true (=> ?v_629 (=> true (=> ?v_630 (=> ?v_631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_632)))))) (=> true (=> (not ?v_629) (and (=> true (=> ?v_633 (=> true (=> ?v_630 (=> ?v_631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_632)))))) (=> true (=> (not ?v_633) (and (=> true (=> ?v_634 (=> true (=> ?v_630 (=> ?v_631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_632)))))) (=> true (=> (not ?v_634) (=> true (=> ?v_630 (=> ?v_631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_632)))))))))))))))))) (let ((?v_638 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_636)))))))))))) (?v_637 (= k.267 1)) (?v_635 (= k.267 0))) (let ((?v_642 (=> true (=> (<= k.266 k.267) (=> (< k.267 2) (and (=> true (=> ?v_635 (=> (= inline.EvtRequestChildCancel.2.myVar_0.3 ?v_481) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.3) ?v_636))))) (=> true (=> (not ?v_635) (and (=> true (=> ?v_637 (=> (= inline.EvtRequestChildCancel.2.myVar_0.4 ?v_570) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.4) ?v_638))))) (=> true (=> (not ?v_637) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.2) ?v_638)))))))))))) (?v_643 (= errorReached.151 errorReached.149)) (?v_644 (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.))) (let ((?v_645 (=> (= k.266 k.264) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_642))))))))))) (?v_641 (=> true (=> (= errorReached.151 errorReached.150) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call40037formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.266 k.265) ?v_642)))))) (?v_639 (= k.265 0)) (?v_640 (= k.265 1))) (let ((?v_650 (and (=> true (=> ?v_25 (=> true (=> (<= k.264 k.265) (=> (< k.265 2) (and (=> true (=> (=> ?v_639 ?v_479) (=> (=> ?v_640 ?v_480) (=> true (=> (= errorReached.150 1) ?v_641))))) (=> true (=> (=> ?v_639 ?v_495) (=> (=> ?v_640 ?v_496) (=> true (=> (= errorReached.150 errorReached.149) (=> true ?v_641)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_645)))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_645)))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_645)))))) (=> true (=> ?v_507 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_645))))))))))))))))) (?v_652 (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.)) (?v_653 (= errorReached.149 errorReached.147))) (let ((?v_654 (=> (= k.264 k.262) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_650)))))))))))))))))) (?v_656 (= inline.EvtRequestChildCancel.2.myVar_0.2 hdevice)) (?v_655 (= inline.EvtRequestChildCancel.2.myVar_0.2 hqueue)) (?v_651 (= inline.EvtRequestChildCancel.2.myVar_0.2 htimer)) (?v_649 (= inline.EvtRequestChildCancel.2.myVar_0.2 hrequest)) (?v_648 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 call39866formal.ret.0) (=> (= errorReached.149 errorReached.148) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.264 k.263) ?v_650)))))) (?v_646 (= k.263 0)) (?v_647 (= k.263 1))) (let ((?v_659 (and (=> true (=> ?v_649 (=> true (=> (<= k.262 k.263) (=> (< k.263 2) (and (=> true (=> (=> ?v_646 ?v_479) (=> (=> ?v_647 ?v_480) (=> true (=> (= errorReached.148 1) ?v_648))))) (=> true (=> (=> ?v_646 ?v_495) (=> (=> ?v_647 ?v_496) (=> true (=> (= errorReached.148 errorReached.147) (=> true ?v_648)))))))))))) (=> true (=> (not ?v_649) (and (=> true (=> ?v_651 (=> true (=> ?v_652 (=> ?v_653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_654)))))) (=> true (=> (not ?v_651) (and (=> true (=> ?v_655 (=> true (=> ?v_652 (=> ?v_653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_654)))))) (=> true (=> (not ?v_655) (and (=> true (=> ?v_656 (=> true (=> ?v_652 (=> ?v_653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_654)))))) (=> true (=> (not ?v_656) (=> true (=> ?v_652 (=> ?v_653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_654)))))))))))))))))) (let ((?v_661 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_659)))))))) (?v_660 (= k.262 1)) (?v_658 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_657 (= k.262 0))) (let ((?v_665 (=> true (=> (<= k.261 k.262) (=> (< k.262 2) (and (=> true (=> ?v_657 (=> (= inline.EvtRequestChildCancel.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_658))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.0) ?v_659))))) (=> true (=> (not ?v_657) (and (=> true (=> ?v_660 (=> (= inline.EvtRequestChildCancel.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_658))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.1) ?v_661))))) (=> true (=> (not ?v_660) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0) ?v_661))))))))))))) (let ((?v_671 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_665)))))))))) (?v_668 (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.)) (?v_669 (= errorReached.147 errorReached.145)) (?v_670 (= k.261 k.259)) (?v_673 (= hqueue hdevice))) (let ((?v_2522 (not ?v_673)) (?v_667 (= hqueue hqueue))) (let ((?v_672 (not ?v_667)) (?v_666 (= hqueue htimer))) (let ((?v_2518 (not ?v_666)) (?v_24 (= hqueue hrequest))) (let ((?v_2516 (not ?v_24)) (?v_664 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call39657formal.ret.0) (=> (= errorReached.147 errorReached.146) (=> (= k.261 k.260) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_665)))))) (?v_662 (= k.260 0)) (?v_663 (= k.260 1))) (let ((?v_678 (and (=> true (=> ?v_24 (=> true (=> (<= k.259 k.260) (=> (< k.260 2) (and (=> true (=> (=> ?v_662 ?v_479) (=> (=> ?v_663 ?v_480) (=> true (=> (= errorReached.146 1) ?v_664))))) (=> true (=> (=> ?v_662 ?v_495) (=> (=> ?v_663 ?v_496) (=> true (=> (= errorReached.146 errorReached.145) (=> true ?v_664)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_671))))))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_671))))))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_671))))))) (=> true (=> ?v_2522 (=> true (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_671))))))))))))))))))) (let ((?v_680 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_678)))))))))))))) (?v_679 (= errorReached.145 errorReached.144)) (?v_676 (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 call39546formal.ret.0)) (?v_677 (= k.259 k.258)) (?v_674 (= k.258 0)) (?v_675 (= k.258 1))) (let ((?v_682 (and (=> true (=> ?v_25 (=> true (=> (<= k.257 k.258) (=> (< k.258 2) (and (=> true (=> (=> ?v_674 ?v_479) (=> (=> ?v_675 ?v_480) (=> true (=> ?v_676 (=> (= errorReached.145 1) (=> ?v_677 ?v_678))))))) (=> true (=> (=> ?v_674 ?v_495) (=> (=> ?v_675 ?v_496) (=> true (=> ?v_676 (=> ?v_679 (=> ?v_677 ?v_680))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) (=> ?v_679 (=> (= k.259 k.257) ?v_680))))))))) (let ((?v_685 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_682)))))))))) (?v_683 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_684 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_681 (= k.257 1)) (?v_478 (= k.257 0)) (?v_477 (= call35113formal.ret.0 0))) (let ((?v_1493 (=> true (=> (<= 0 k.257) (=> (< k.257 2) (and (=> true (=> (not ?v_477) (=> true (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1.) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= lockStatus_1.53 lockStatus_1.46) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1.) (=> (= k.296 k.257) (=> (= reqCompleted_0.20 reqCompleted_0.16) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= reqCancelSet_1.26 reqCancelSet_1.22) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= reqCancelSet_0.26 reqCancelSet_0.22) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1.) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= reqCompleted_1.20 reqCompleted_1.16) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1.) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= errorReached.167 errorReached.144) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0) (=> (= lockStatus_0.53 lockStatus_0.46) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) ?v_484))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_477 (=> true (=> (=> ?v_478 (not (= reqCancelSet_0.22 0))) (=> (=> ?v_681 (not (= reqCancelSet_1.22 0))) (and (=> true (=> ?v_478 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_684 ?v_682))))) (=> true (=> (not ?v_478) (and (=> true (=> ?v_681 (=> true (=> ?v_683 (=> (= reqCancelStarted_1.0 1) ?v_685))))) (=> true (=> (not ?v_681) (=> true (=> ?v_683 (=> ?v_684 ?v_685)))))))))))))))))))) (let ((?v_4948 (=> true (=> true (=> true (=> true (=> true ?v_1493)))))) (?v_4931 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_4932 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_4933 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4934 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4935 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4936 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_4937 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_4938 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_4939 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4940 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_4941 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4942 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_4943 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_4944 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4945 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4946 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_4947 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1))) (let ((?v_4960 (=> true (=> (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> ?v_4931 (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= errorReached.144 errorReached.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1.) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock) (=> ?v_4932 (=> (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.0) (=> (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.AcquireDpcLock.1.myVar_0.7 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0) (=> (= inline.EvtIoChildRead.0.myVar_0.15 inline.EvtIoChildRead.0.myVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0) (=> (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1) (=> (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> ?v_4933 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.AcquireDpcLock.4.myVar_0.7 inline.AcquireDpcLock.4.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 inline.MarkRequestCancelableReturnLocked.1.myVar_0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.) (=> (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= k.256 k.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.6.myVar_0.6 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext) (=> (= alloc.15 alloc.4) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0) (=> (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.3.myVar_0.6 inline.AcquireDpcLock.3.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0) (=> (= lockStatus_1.46 lockStatus_1) (=> (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.0.myVar_0.4 inline.AcquireDpcLock.0.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0) (=> (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= reqCompleted_1.16 reqCompleted_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1) (=> (= reqCancelSet_0.22 reqCancelSet_0.1) (=> (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1.) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.3.myVar_0.6 inline.ReleaseDpcLock.3.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 inline.MarkRequestCancelableReturnLocked.0.myVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0) (=> (= inline.AcquireDpcLock.6.myVar_0.6 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7.) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtRequestChildCancel.0.myVar_0.18 inline.EvtRequestChildCancel.0.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.) (=> ?v_4934 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0) (=> ?v_4935 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_4936 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0) (=> ?v_4937 (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> ?v_4938 (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 0) (=> ?v_4939 (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.) (=> (= inline.ReleaseDpcLock.5.myVar_0.7 inline.ReleaseDpcLock.5.myVar_0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= reqCompleted_0.16 reqCompleted_0.1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> ?v_4940 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.1.myVar_0.18 inline.EvtRequestChildCancel.1.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.) (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.46 lockStatus_0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock) (=> ?v_4941 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1) (=> ?v_4942 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> ?v_4943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0) (=> (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.5.myVar_0.6 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.) (=> (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0) (=> (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.4 inline.AcquireDpcLock.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> ?v_4944 (=> (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> ?v_4945 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0) (=> (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0) (=> (= inline.AcquireDpcLock.2.myVar_0.6 inline.AcquireDpcLock.2.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1.) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0) (=> (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.2.myVar_0.7 inline.ReleaseDpcLock.2.myVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_4946 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.) (=> (= reqCancelSet_1.22 reqCancelSet_1.1) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> ?v_4947 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.) (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) ?v_4948))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4950 (=> true (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= errorReached.16 errorReached.15) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 call17650formal.ret.0) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= k.19 k.18) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) ?v_4960))))))))) (?v_4951 (= reqCancelSet_1.0 reqCancelSet_1))) (let ((?v_4952 (=> (= reqCancelSet_0.0 reqCancelSet_0) (=> true ?v_4950))) (?v_4949 (= k.18 1))) (let ((?v_4955 (not ?v_4949)) (?v_4930 (= k.18 0))) (let ((?v_4953 (not ?v_4930))) (let ((?v_4954 (and (=> true (=> ?v_4930 (=> true (=> ?v_4951 (=> (= reqCancelSet_0.0 0) ?v_4950))))) (=> true (=> ?v_4953 (and (=> true (=> ?v_4949 (=> true (=> (= reqCancelSet_1.0 0) ?v_4952)))) (=> true (=> ?v_4955 (=> true (=> ?v_4951 ?v_4952)))))))))) (let ((?v_4958 (=> true (=> true ?v_4954))) (?v_4956 (= reqCompleted_0.0 reqCompleted_0)) (?v_4957 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_4959 (and (=> true (=> ?v_4930 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_4957 ?v_4954))))) (=> true (=> ?v_4953 (and (=> true (=> ?v_4949 (=> true (=> ?v_4956 (=> (= reqCompleted_1.0 1) ?v_4958))))) (=> true (=> ?v_4955 (=> true (=> ?v_4956 (=> ?v_4957 ?v_4958)))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_8 (not ?v_2)) (?v_9 (not ?v_3))) (let ((?v_4961 (and (=> true (=> ?v_25 (=> true (=> (<= k.17 k.18) (=> (< k.18 2) (and (=> true (=> (=> ?v_4930 ?v_8) (=> (=> ?v_4949 ?v_9) (=> true (=> (= errorReached.15 1) ?v_4959))))) (=> true (=> (=> ?v_4930 ?v_2) (=> (=> ?v_4949 ?v_3) (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_4959)))))))))))) (=> true (=> ?v_471 (=> true (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= errorReached.16 errorReached.14) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= k.19 k.17) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4960))))))))))))))))))) (let ((?v_4965 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2) ?v_4961)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4961))))))))))))))))) (let ((?v_4966 (=> (= errorReached.14 errorReached.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.) (=> (= k.17 k.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4965))))))))))))) (?v_4964 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.14 errorReached.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call17499formal.ret.0) (=> (= k.17 k.16) ?v_4965)))))) (?v_4962 (= k.16 0)) (?v_4963 (= k.16 1)) (?v_4929 (= myNondetVar_0.0 0)) (?v_710 (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0.3)) (?v_711 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3)) (?v_712 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_713 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_714 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_715 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_716 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1)) (?v_717 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0)) (?v_718 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_719 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_720 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_721 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_722 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1)) (?v_723 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1)) (?v_724 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2)) (?v_725 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1)) (?v_726 (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0.2)) (?v_727 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1)) (?v_728 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1)) (?v_729 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_730 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2)) (?v_731 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1)) (?v_732 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1)) (?v_733 (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0.3)) (?v_734 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1)) (?v_735 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_736 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_737 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1)) (?v_738 (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0.3)) (?v_739 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_740 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_741 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_742 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1)) (?v_743 (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0.2)) (?v_744 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4)) (?v_745 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_746 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_747 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_748 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1)) (?v_749 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2)) (?v_750 (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0.3)) (?v_751 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_752 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_753 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_754 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_755 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2)) (?v_756 (= inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_757 (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.28)) (?v_758 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2)) (?v_759 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_760 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_761 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0)) (?v_762 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_763 (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0)) (?v_764 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_765 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_766 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_767 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_768 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1)) (?v_769 (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.4)) (?v_770 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1)) (?v_771 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_772 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_773 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1)) (?v_774 (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0.3)) (?v_775 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_776 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_777 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_778 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_779 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2)) (?v_780 (= inline.AcquireDpcLock.1.myVar_0.7 inline.AcquireDpcLock.1.myVar_0.6)) (?v_781 (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0.5)) (?v_782 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_783 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_784 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3)) (?v_785 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_786 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_787 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_788 (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0.2)) (?v_789 (= inline.EvtIoChildRead.0.myVar_0.15 inline.EvtIoChildRead.0.myVar_0.14)) (?v_790 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_791 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2)) (?v_792 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5)) (?v_793 (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0.2)) (?v_794 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4)) (?v_795 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3)) (?v_796 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_797 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1)) (?v_798 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_799 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_800 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4)) (?v_801 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3)) (?v_802 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_803 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_804 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2)) (?v_805 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_806 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_807 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0)) (?v_808 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_809 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1)) (?v_810 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_811 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_812 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_813 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4)) (?v_814 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2)) (?v_815 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_816 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_817 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3)) (?v_818 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1)) (?v_819 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1)) (?v_820 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_821 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_822 (= inline.AcquireDpcLock.4.myVar_0.7 inline.AcquireDpcLock.4.myVar_0.6)) (?v_823 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_824 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_825 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_826 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_827 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_828 (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0.2)) (?v_829 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_830 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2)) (?v_831 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_832 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2)) (?v_833 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_834 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_835 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_836 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1)) (?v_837 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16)) (?v_838 (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0.5)) (?v_839 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_840 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_841 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1)) (?v_842 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_843 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1)) (?v_844 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0)) (?v_845 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_846 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2)) (?v_847 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_848 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_849 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2)) (?v_850 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_851 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_852 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_853 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1)) (?v_854 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_855 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 inline.MarkRequestCancelableReturnLocked.1.myVar_0.22)) (?v_856 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_857 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_858 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1)) (?v_859 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1)) (?v_860 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1)) (?v_861 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_862 (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.)) (?v_863 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2)) (?v_864 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_865 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2)) (?v_866 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_867 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3)) (?v_868 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3)) (?v_869 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_870 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_871 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1)) (?v_872 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_873 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2)) (?v_874 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_875 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_876 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_877 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2)) (?v_878 (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0.3)) (?v_879 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2)) (?v_880 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3)) (?v_881 (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0.2)) (?v_882 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1)) (?v_883 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_884 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2)) (?v_885 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1)) (?v_886 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_887 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0)) (?v_888 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1)) (?v_889 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4)) (?v_890 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_891 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1)) (?v_892 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1)) (?v_893 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1)) (?v_894 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1)) (?v_895 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_896 (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0.4)) (?v_897 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1)) (?v_898 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4)) (?v_899 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2)) (?v_900 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_901 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1)) (?v_902 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3)) (?v_903 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2)) (?v_904 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_905 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_906 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1)) (?v_907 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_908 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_909 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_910 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1)) (?v_911 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_912 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2)) (?v_913 (= inline.ReleaseDpcLock.6.myVar_0.6 inline.ReleaseDpcLock.6.myVar_0.5)) (?v_914 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_915 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2)) (?v_916 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2)) (?v_917 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2)) (?v_918 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_919 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_920 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_921 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0)) (?v_922 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_923 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2)) (?v_924 (= alloc.15 alloc.14)) (?v_925 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1)) (?v_926 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2)) (?v_927 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_928 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2)) (?v_929 (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0.2)) (?v_930 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3)) (?v_931 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3)) (?v_932 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1)) (?v_933 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_934 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_935 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_936 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1)) (?v_937 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_938 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_939 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_940 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3)) (?v_941 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1)) (?v_942 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2)) (?v_943 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_944 (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0.2)) (?v_945 (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0.2)) (?v_946 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_947 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0)) (?v_948 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2)) (?v_949 (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0.2)) (?v_950 (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0.3)) (?v_951 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1)) (?v_952 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2)) (?v_953 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1)) (?v_954 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_955 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_956 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_957 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2)) (?v_958 (= inline.AcquireDpcLock.3.myVar_0.6 inline.AcquireDpcLock.3.myVar_0.5)) (?v_959 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2)) (?v_960 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_961 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2)) (?v_962 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_963 (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0.5)) (?v_964 (= lockStatus_1.46 lockStatus_1.45)) (?v_965 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1)) (?v_966 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_967 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3)) (?v_968 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_969 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_970 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0)) (?v_971 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_972 (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0.2)) (?v_973 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_974 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_975 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_976 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_977 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_978 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_979 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1)) (?v_980 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_981 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2)) (?v_982 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_983 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_984 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_985 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1)) (?v_986 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_987 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1)) (?v_988 (= inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_989 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0)) (?v_990 (= inline.AcquireDpcLock.0.myVar_0.4 inline.AcquireDpcLock.0.myVar_0.3)) (?v_991 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_992 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4)) (?v_993 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_994 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_995 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_996 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0)) (?v_997 (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0.6)) (?v_998 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1)) (?v_999 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3)) (?v_1000 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2)) (?v_1001 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2)) (?v_1002 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_1003 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1004 (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0.2)) (?v_1005 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1006 (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0.2)) (?v_1007 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1008 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1009 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1010 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2)) (?v_1011 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1)) (?v_1012 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0)) (?v_1013 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_1014 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2)) (?v_1015 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_1016 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2)) (?v_1017 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2)) (?v_1018 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1)) (?v_1019 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1020 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1021 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1)) (?v_1022 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1023 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3)) (?v_1024 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2)) (?v_1025 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1026 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1)) (?v_1027 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1028 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1)) (?v_1029 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1030 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2)) (?v_1031 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1032 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1033 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1034 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1)) (?v_1035 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1036 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2)) (?v_1037 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3)) (?v_1038 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1039 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1040 (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0.2)) (?v_1041 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1042 (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0.3)) (?v_1043 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1044 (= inline.ReleaseDpcLock.3.myVar_0.6 inline.ReleaseDpcLock.3.myVar_0.5)) (?v_1045 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3)) (?v_1046 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3)) (?v_1047 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1048 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1049 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2)) (?v_1050 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2)) (?v_1051 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1052 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1)) (?v_1053 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1054 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1055 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1)) (?v_1056 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0)) (?v_1057 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_1058 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1059 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1060 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0)) (?v_1061 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1062 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1)) (?v_1063 (= inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1064 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1)) (?v_1065 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1066 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_1067 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1)) (?v_1068 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2)) (?v_1069 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1070 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1)) (?v_1071 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_1072 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1)) (?v_1073 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1)) (?v_1074 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2)) (?v_1075 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2)) (?v_1076 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0)) (?v_1077 (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0.3)) (?v_1078 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1)) (?v_1079 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2)) (?v_1080 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1081 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1)) (?v_1082 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0)) (?v_1083 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_1084 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3)) (?v_1085 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_1086 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_1087 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_1088 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_1089 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2)) (?v_1090 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3)) (?v_1091 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 inline.MarkRequestCancelableReturnLocked.0.myVar_0.22)) (?v_1092 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_1093 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1094 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2)) (?v_1095 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1)) (?v_1096 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1097 (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0.3)) (?v_1098 (= inline.AcquireDpcLock.6.myVar_0.6 inline.AcquireDpcLock.6.myVar_0.5)) (?v_1099 (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0)) (?v_1100 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation)) (?v_1101 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1102 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1)) (?v_1103 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2)) (?v_1104 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 inline.EvtRequestChildCancel.1.myNondetVar_0.4)) (?v_1105 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1106 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1107 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2)) (?v_1108 (= inline.EvtRequestChildCancel.0.myVar_0.18 inline.EvtRequestChildCancel.0.myVar_0.17)) (?v_1109 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1110 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1)) (?v_1111 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1112 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1)) (?v_1113 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1114 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1115 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2)) (?v_1116 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2)) (?v_1117 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1118 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1)) (?v_1119 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_1120 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1121 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0.5)) (?v_1122 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1123 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1124 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1125 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2)) (?v_1126 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1127 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1128 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3)) (?v_1129 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1130 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2)) (?v_1131 (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0.3)) (?v_1132 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1133 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1134 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1135 (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0.3)) (?v_1136 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1)) (?v_1137 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1138 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 inline.EvtRequestChildCancel.0.myNondetVar_0.4)) (?v_1139 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1)) (?v_1140 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1141 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_1142 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1143 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1)) (?v_1144 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1145 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1146 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1147 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1148 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7)) (?v_1149 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2)) (?v_1150 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1151 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1)) (?v_1152 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1153 (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0.5)) (?v_1154 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2)) (?v_1155 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1)) (?v_1156 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_1157 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_1158 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2)) (?v_1159 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2)) (?v_1160 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1161 (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0.1)) (?v_1162 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0)) (?v_1163 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2)) (?v_1164 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1165 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1)) (?v_1166 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1167 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_1168 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1)) (?v_1169 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3)) (?v_1170 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1)) (?v_1171 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1172 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3)) (?v_1173 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_1174 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_1175 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2)) (?v_1176 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0)) (?v_1177 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1)) (?v_1178 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_1179 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2)) (?v_1180 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1)) (?v_1181 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1182 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1183 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1)) (?v_1184 (= inline.ReleaseDpcLock.5.myVar_0.7 inline.ReleaseDpcLock.5.myVar_0.6)) (?v_1185 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_1186 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2)) (?v_1187 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1188 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1)) (?v_1189 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2)) (?v_1190 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3)) (?v_1191 (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0.3)) (?v_1192 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4)) (?v_1193 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1194 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1195 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1)) (?v_1196 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1)) (?v_1197 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2)) (?v_1198 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2)) (?v_1199 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1)) (?v_1200 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2)) (?v_1201 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2)) (?v_1202 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4)) (?v_1203 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_1204 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2)) (?v_1205 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1206 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_1207 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1208 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_1209 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1)) (?v_1210 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1211 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1212 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1213 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_1214 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4)) (?v_1215 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1)) (?v_1216 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1217 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_1218 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1219 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3)) (?v_1220 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1221 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1222 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3)) (?v_1223 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1224 (= inline.EvtRequestChildCancel.1.myVar_0.18 inline.EvtRequestChildCancel.1.myVar_0.17)) (?v_1225 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1226 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1227 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1228 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1229 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2)) (?v_1230 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3)) (?v_1231 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3)) (?v_1232 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_1233 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2)) (?v_1234 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1235 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1236 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_1237 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1)) (?v_1238 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1)) (?v_1239 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2)) (?v_1240 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1)) (?v_1241 (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0)) (?v_1242 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3)) (?v_1243 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1244 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1245 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1)) (?v_1246 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1247 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2)) (?v_1248 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1249 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2)) (?v_1250 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2)) (?v_1251 (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0.5)) (?v_1252 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2)) (?v_1253 (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0.3)) (?v_1254 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1255 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2)) (?v_1256 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_1257 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1258 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2)) (?v_1259 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_1260 (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0.6)) (?v_1261 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1)) (?v_1262 (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0)) (?v_1263 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3)) (?v_1264 (= lockStatus_0.46 lockStatus_0.45)) (?v_1265 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_1266 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2)) (?v_1267 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1268 (= inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1269 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1270 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1)) (?v_1271 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1272 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1273 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1274 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2)) (?v_1275 (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0.3)) (?v_1276 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1277 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0)) (?v_1278 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1279 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_1280 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1281 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1282 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1283 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1284 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1)) (?v_1285 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2)) (?v_1286 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1287 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1)) (?v_1288 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1289 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1290 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2)) (?v_1291 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1292 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1293 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1)) (?v_1294 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1295 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1296 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1297 (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0.6)) (?v_1298 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0)) (?v_1299 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2)) (?v_1300 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4)) (?v_1301 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1302 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1303 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4)) (?v_1304 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5)) (?v_1305 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2)) (?v_1306 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2)) (?v_1307 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1)) (?v_1308 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1309 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1310 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_1311 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3)) (?v_1312 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1313 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1314 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_1315 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3)) (?v_1316 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3)) (?v_1317 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1318 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1319 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1320 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_1321 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_1322 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1323 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_1324 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1325 (= inline.AcquireDpcLock.5.myVar_0.6 inline.AcquireDpcLock.5.myVar_0.5)) (?v_1326 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1327 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1)) (?v_1328 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_1329 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3)) (?v_1330 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1)) (?v_1331 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1332 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_1333 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2)) (?v_1334 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2)) (?v_1335 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3)) (?v_1336 (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0.3)) (?v_1337 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1338 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2)) (?v_1339 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1340 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4)) (?v_1341 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1342 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2)) (?v_1343 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1)) (?v_1344 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1345 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1346 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1)) (?v_1347 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1348 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1349 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_1350 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1351 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_1352 (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0.2)) (?v_1353 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1)) (?v_1354 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1355 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1356 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2)) (?v_1357 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3)) (?v_1358 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1359 (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0.2)) (?v_1360 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1361 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1362 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2)) (?v_1363 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_1364 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_1365 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2)) (?v_1366 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3)) (?v_1367 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1368 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1)) (?v_1369 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1370 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1371 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_1372 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1)) (?v_1373 (= inline.AcquireDpcLock.0.myNondetVar_0.4 inline.AcquireDpcLock.0.myNondetVar_0.3)) (?v_1374 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1)) (?v_1375 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1376 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1377 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1)) (?v_1378 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_1379 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1380 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1381 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_1382 (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0.2)) (?v_1383 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1)) (?v_1384 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3)) (?v_1385 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_1386 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1387 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2)) (?v_1388 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_1389 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1390 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1391 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1392 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1)) (?v_1393 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2)) (?v_1394 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3)) (?v_1395 (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0.6)) (?v_1396 (= inline.AcquireDpcLock.2.myVar_0.6 inline.AcquireDpcLock.2.myVar_0.5)) (?v_1397 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4)) (?v_1398 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0)) (?v_1399 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1400 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1401 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1402 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1)) (?v_1403 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2)) (?v_1404 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_1405 (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0.5)) (?v_1406 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_1407 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1)) (?v_1408 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_1409 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2)) (?v_1410 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2)) (?v_1411 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_1412 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2)) (?v_1413 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0)) (?v_1414 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2)) (?v_1415 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1)) (?v_1416 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2)) (?v_1417 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_1418 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1)) (?v_1419 (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.5)) (?v_1420 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0.5)) (?v_1421 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3)) (?v_1422 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1423 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1424 (= inline.ReleaseDpcLock.2.myVar_0.7 inline.ReleaseDpcLock.2.myVar_0.6)) (?v_1425 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_1426 (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0.4)) (?v_1427 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2)) (?v_1428 (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0.0)) (?v_1429 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1430 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4)) (?v_1431 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3)) (?v_1432 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_1433 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1434 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2)) (?v_1435 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1)) (?v_1436 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_1437 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1438 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0)) (?v_1439 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2)) (?v_1440 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1)) (?v_1441 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2)) (?v_1442 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1)) (?v_1443 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_1444 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1)) (?v_1445 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1446 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1447 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1)) (?v_1448 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1449 (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0.0)) (?v_1450 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1451 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1)) (?v_1452 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1)) (?v_1453 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1454 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1455 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4)) (?v_1456 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0)) (?v_1457 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4)) (?v_1458 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2)) (?v_1459 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1460 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7)) (?v_1461 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1462 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2)) (?v_1463 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1464 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3)) (?v_1465 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1)) (?v_1466 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1)) (?v_1467 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_1468 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1469 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_1470 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1)) (?v_1471 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2)) (?v_1472 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2)) (?v_1473 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1474 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3)) (?v_1475 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1476 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1)) (?v_1477 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1)) (?v_1478 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1479 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1)) (?v_1480 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2)) (?v_1481 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1482 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1483 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3)) (?v_1484 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1485 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_1486 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.5)) (?v_1487 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2)) (?v_1488 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1)) (?v_1489 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_1490 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2)) (?v_1491 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1492 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_709 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 0))) (let ((?v_699 (=> true (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> ?v_740 (=> (= errorReached.144 errorReached.143) (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> (= k.256 k.255) (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0) (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3) (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_1386 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> ?v_1477 (=> ?v_1478 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 ?v_1493))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_687 (=> true (=> (= reqCancelSet_1.21 reqCancelSet_1.20) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call19871formal.ret.0) (=> (= errorReached.143 errorReached.142) (=> (= reqCompleted_0.15 reqCompleted_0.14) (=> (= reqCompleted_1.15 reqCompleted_1.14) (=> (= k.255 k.254) (=> (= reqCancelSet_0.21 reqCancelSet_0.20) ?v_699))))))))) (?v_688 (= reqCancelSet_1.20 reqCancelSet_1.19))) (let ((?v_689 (=> (= reqCancelSet_0.20 reqCancelSet_0.19) (=> true ?v_687))) (?v_686 (= k.254 1))) (let ((?v_692 (not ?v_686)) (?v_38 (= k.254 0))) (let ((?v_690 (not ?v_38))) (let ((?v_691 (and (=> true (=> ?v_38 (=> true (=> ?v_688 (=> (= reqCancelSet_0.20 0) ?v_687))))) (=> true (=> ?v_690 (and (=> true (=> ?v_686 (=> true (=> (= reqCancelSet_1.20 0) ?v_689)))) (=> true (=> ?v_692 (=> true (=> ?v_688 ?v_689)))))))))) (let ((?v_695 (=> true (=> true ?v_691))) (?v_693 (= reqCompleted_0.14 reqCompleted_0.13)) (?v_694 (= reqCompleted_1.14 reqCompleted_1.13))) (let ((?v_698 (and (=> true (=> ?v_38 (=> true (=> (= reqCompleted_0.14 1) (=> ?v_694 ?v_691))))) (=> true (=> ?v_690 (and (=> true (=> ?v_686 (=> true (=> ?v_693 (=> (= reqCompleted_1.14 1) ?v_695))))) (=> true (=> ?v_692 (=> true (=> ?v_693 (=> ?v_694 ?v_695)))))))))) (?v_696 (= reqCompleted_0.13 0)) (?v_697 (= reqCompleted_1.13 0))) (let ((?v_34 (not ?v_696)) (?v_35 (not ?v_697))) (let ((?v_700 (and (=> true (=> ?v_25 (=> true (=> (<= k.253 k.254) (=> (< k.254 2) (and (=> true (=> (=> ?v_38 ?v_34) (=> (=> ?v_686 ?v_35) (=> true (=> (= errorReached.142 1) ?v_698))))) (=> true (=> (=> ?v_38 ?v_696) (=> (=> ?v_686 ?v_697) (=> true (=> (= errorReached.142 errorReached.141) (=> true ?v_698)))))))))))) (=> true (=> ?v_471 (=> true (=> (= reqCancelSet_1.21 reqCancelSet_1.19) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= errorReached.143 errorReached.141) (=> (= reqCompleted_0.15 reqCompleted_0.13) (=> (= reqCompleted_1.15 reqCompleted_1.13) (=> (= k.255 k.253) (=> (= reqCancelSet_0.21 reqCancelSet_0.19) (=> true (=> true (=> true (=> true (=> true (=> true ?v_699))))))))))))))))))) (let ((?v_704 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2) ?v_700)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_700))))))))))))))))) (let ((?v_708 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_704)))))))))) (?v_705 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_706 (= errorReached.141 errorReached.139)) (?v_707 (= k.253 k.251)) (?v_703 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call19720formal.ret.0) (=> (= errorReached.141 errorReached.140) (=> (= k.253 k.252) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_704)))))) (?v_701 (= k.252 0)) (?v_702 (= k.252 1))) (let ((?v_1496 (and (=> true (=> (not ?v_709) (and (=> true (=> ?v_25 (=> true (=> (<= k.251 k.252) (=> (< k.252 2) (and (=> true (=> (=> ?v_701 ?v_34) (=> (=> ?v_702 ?v_35) (=> true (=> (= errorReached.140 1) ?v_703))))) (=> true (=> (=> ?v_701 ?v_696) (=> (=> ?v_702 ?v_697) (=> true (=> (= errorReached.140 errorReached.139) (=> true ?v_703)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_708))))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_708))))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_708))))))) (=> true (=> ?v_507 (=> true (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_708))))))))))))))))))) (=> true (=> ?v_709 (=> true (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_4931 (=> ?v_740 (=> (= errorReached.144 errorReached.139) (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_4932 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_4933 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> (= k.256 k.251) (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> (= reqCompleted_1.16 reqCompleted_1.13) (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> (= reqCancelSet_0.22 reqCancelSet_0.19) (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4934 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_4935 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_4936 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4937 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_4938 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_4939 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> (= reqCompleted_0.16 reqCompleted_0.13) (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_4940 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4941 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_4942 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_4943 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_4944 (=> ?v_1386 (=> ?v_4945 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_4946 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> (= reqCancelSet_1.22 reqCancelSet_1.19) (=> ?v_1477 (=> ?v_1478 (=> ?v_4947 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 ?v_4948)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1497 (=> true (=> true (=> true (=> true ?v_1496))))) (?v_1494 (= k.251 0)) (?v_1495 (= k.251 1))) (let ((?v_1502 (and (=> true (=> (=> ?v_1494 ?v_36) (=> (=> ?v_1495 ?v_37) ?v_1496))) (=> true (=> (=> ?v_1494 ?v_617) (=> (=> ?v_1495 ?v_619) (and (=> true (=> (=> ?v_1494 ?v_524) (=> (=> ?v_1495 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1497)))))))))))) (=> true (=> (=> ?v_1494 ?v_621) (=> (=> ?v_1495 ?v_622) ?v_1497)))))))))) (let ((?v_1504 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.) (=> (= errorReached.139 errorReached.137) (=> (= k.251 k.249) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1502))))))))))))) (?v_1506 (= inline.EvtIoChildRead.0.myVar_0.14 hdevice)) (?v_1505 (= inline.EvtIoChildRead.0.myVar_0.14 hqueue)) (?v_1503 (= inline.EvtIoChildRead.0.myVar_0.14 htimer)) (?v_1501 (= inline.EvtIoChildRead.0.myVar_0.14 hrequest)) (?v_1500 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 call19406formal.ret.0) (=> (= errorReached.139 errorReached.138) (=> (= k.251 k.250) ?v_1502)))))) (?v_1498 (= k.250 0)) (?v_1499 (= k.250 1))) (let ((?v_1509 (and (=> true (=> ?v_1501 (=> true (=> (<= k.249 k.250) (=> (< k.250 2) (and (=> true (=> (=> ?v_1498 ?v_34) (=> (=> ?v_1499 ?v_35) (=> true (=> (= errorReached.138 1) ?v_1500))))) (=> true (=> (=> ?v_1498 ?v_696) (=> (=> ?v_1499 ?v_697) (=> true (=> (= errorReached.138 errorReached.137) (=> true ?v_1500)))))))))))) (=> true (=> (not ?v_1501) (and (=> true (=> ?v_1503 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1504)))) (=> true (=> (not ?v_1503) (and (=> true (=> ?v_1505 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1504)))) (=> true (=> (not ?v_1505) (and (=> true (=> ?v_1506 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1504)))) (=> true (=> (not ?v_1506) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1504)))))))))))))))) (let ((?v_1511 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1509)))))))))))) (?v_1510 (= k.249 1)) (?v_1508 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_1539 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_1508))) (?v_1507 (= k.249 0)) (?v_28 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_1508)))) (let ((?v_1527 (=> true (=> (<= k.248 k.249) (=> (< k.249 2) (and (=> true (=> ?v_1507 (=> (= inline.EvtIoChildRead.0.myVar_0.12 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.12) ?v_1509))))) (=> true (=> (not ?v_1507) (and (=> true (=> ?v_1510 (=> (= inline.EvtIoChildRead.0.myVar_0.13 ?v_1539) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.13) ?v_1511))))) (=> true (=> (not ?v_1510) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.11) ?v_1511)))))))))))) (?v_1525 (= k.244 0)) (?v_1526 (= k.244 1))) (let ((?v_1518 (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.45 lockStatus_1.44) (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= k.248 k.247) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.2) ?v_1527)))))))))) (?v_1517 (= inline.ReleaseDpcLock.0.myVar_0.2 hlock))) (let ((?v_1513 (=> true (=> (= lockStatus_1.44 lockStatus_1.43) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call19259formal.ret.0) (=> (= lockStatus_0.44 lockStatus_0.43) (=> (= k.247 k.246) ?v_1518)))))) (?v_1515 (= lockStatus_1.43 lockStatus_1.42))) (let ((?v_1516 (=> (= lockStatus_0.43 lockStatus_0.42) (=> true ?v_1513))) (?v_1514 (= k.246 1)) (?v_1512 (= k.246 0))) (let ((?v_1521 (and (=> true (=> ?v_1517 (=> true (=> (<= k.245 k.246) (=> (< k.246 2) (and (=> true (=> ?v_1512 (=> true (=> ?v_1515 (=> (= lockStatus_0.43 0) ?v_1513))))) (=> true (=> (not ?v_1512) (and (=> true (=> ?v_1514 (=> true (=> (= lockStatus_1.43 0) ?v_1516)))) (=> true (=> (not ?v_1514) (=> true (=> ?v_1515 ?v_1516))))))))))))) (=> true (=> (not ?v_1517) (=> true (=> (= lockStatus_1.44 lockStatus_1.42) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.44 lockStatus_0.42) (=> (= k.247 k.245) (=> true (=> true (=> true ?v_1518))))))))))))) (let ((?v_1523 (=> true (=> true (=> true (=> true ?v_1521))))) (?v_1522 (= k.245 1)) (?v_1520 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1519 (= k.245 0))) (let ((?v_1524 (=> true (=> (<= k.244 k.245) (=> (< k.245 2) (and (=> true (=> ?v_1519 (=> (= inline.ReleaseDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_1520))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.1) ?v_1521))))) (=> true (=> (not ?v_1519) (and (=> true (=> ?v_1522 (=> (= inline.ReleaseDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_1520))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.0) ?v_1523))))) (=> true (=> (not ?v_1522) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0) ?v_1523))))))))))))) (let ((?v_1532 (and (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.1) ?v_1524)))) (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1525 ?v_277) (=> (=> ?v_1526 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.0) (=> true (=> true ?v_1524))))))) (=> true (=> (=> ?v_1525 ?v_380) (=> (=> ?v_1526 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.45 lockStatus_1.42) (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= k.248 k.244) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.0) (=> true (=> true (=> true ?v_1527)))))))))))))))))))) (?v_1534 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.))) (let ((?v_1535 (=> (= errorReached.137 errorReached.135) (=> (= k.244 k.242) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1532)))))))))))) (?v_1537 (= inline.EvtIoChildRead.0.myVar_0.11 hdevice)) (?v_1536 (= inline.EvtIoChildRead.0.myVar_0.11 hqueue)) (?v_1533 (= inline.EvtIoChildRead.0.myVar_0.11 htimer)) (?v_1531 (= inline.EvtIoChildRead.0.myVar_0.11 hrequest)) (?v_1530 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call19017formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.137 errorReached.136) (=> (= k.244 k.243) ?v_1532)))))) (?v_1528 (= k.243 0)) (?v_1529 (= k.243 1))) (let ((?v_1540 (and (=> true (=> ?v_1531 (=> true (=> (<= k.242 k.243) (=> (< k.243 2) (and (=> true (=> (=> ?v_1528 ?v_34) (=> (=> ?v_1529 ?v_35) (=> true (=> (= errorReached.136 1) ?v_1530))))) (=> true (=> (=> ?v_1528 ?v_696) (=> (=> ?v_1529 ?v_697) (=> true (=> (= errorReached.136 errorReached.135) (=> true ?v_1530)))))))))))) (=> true (=> (not ?v_1531) (and (=> true (=> ?v_1533 (=> true (=> ?v_1534 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1535))))) (=> true (=> (not ?v_1533) (and (=> true (=> ?v_1536 (=> true (=> ?v_1534 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1535))))) (=> true (=> (not ?v_1536) (and (=> true (=> ?v_1537 (=> true (=> ?v_1534 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1535))))) (=> true (=> (not ?v_1537) (=> true (=> ?v_1534 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1535))))))))))))))))) (let ((?v_1542 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1540)))))))))))) (?v_1541 (= k.242 1)) (?v_1538 (= k.242 0))) (let ((?v_1632 (=> true (=> (<= k.241 k.242) (=> (< k.242 2) (and (=> true (=> ?v_1538 (=> (= inline.EvtIoChildRead.0.myVar_0.10 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.10) ?v_1540))))) (=> true (=> (not ?v_1538) (and (=> true (=> ?v_1541 (=> (= inline.EvtIoChildRead.0.myVar_0.9 ?v_1539) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.9) ?v_1542))))) (=> true (=> (not ?v_1541) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.8) ?v_1542)))))))))))) (?v_4073 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_4720 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4074 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4075 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_4076 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_4077 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_4078 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4721 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_4722 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_4079 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_4796 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4080 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_4081 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_4082 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_4083 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_4084 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_4085 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_4086 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4087 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_4088 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_4089 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_4090 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4091 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_4092 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_4093 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_4094 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4095 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4096 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4097 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_4098 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4099 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_4100 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4724 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_4101 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_4102 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4103 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_4104 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4105 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_4106 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4107 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4108 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_4109 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_4110 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4111 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_4112 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4113 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_4725 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.)) (?v_4114 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_4781 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_4115 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4798 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4116 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4117 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4118 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4119 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_4120 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_4121 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4122 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_4123 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_4124 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4125 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4126 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4127 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4128 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_4129 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_4727 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_4130 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0)) (?v_4131 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_4132 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_4133 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_4728 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4729 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4134 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4730 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.)) (?v_4731 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.)) (?v_4135 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_4732 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4136 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4137 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4138 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4733 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0)) (?v_4139 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_4140 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_4141 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_4142 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4143 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4144 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.)) (?v_4145 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_4146 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4147 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4148 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_4149 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4150 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_4876 (= alloc.14 alloc.4)) (?v_4151 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_4152 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_4153 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_4154 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_4155 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_4156 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4157 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_4158 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_4159 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_4805 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4160 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4161 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_4162 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4163 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4164 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_4165 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_4166 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_4167 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_4168 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_4169 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_4170 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_4171 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_4172 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4173 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_4174 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4175 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4176 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4177 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4178 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0)) (?v_4179 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_4180 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_4181 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4182 (= reqCancelSet_0.19 reqCancelSet_0)) (?v_4183 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_4184 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_4736 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_4185 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_4186 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_4187 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_4188 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_4782 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4189 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_4190 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4191 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0)) (?v_4192 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_4193 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4194 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0)) (?v_4195 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_4196 (= inline.ReleaseDpcLock.6.myVar_0.5 inline.ReleaseDpcLock.6.myVar_0)) (?v_4197 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4737 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4738 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.)) (?v_4198 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4199 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_4200 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4201 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_4202 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_4203 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_4204 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_4205 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_4739 (= errorReached.135 errorReached.20)) (?v_4206 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0)) (?v_4207 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_4208 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.)) (?v_4209 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_4210 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4740 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_4211 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4212 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4213 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_4214 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_4215 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_4216 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_4741 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.)) (?v_4742 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_4217 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_4218 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4219 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_4220 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_4221 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4222 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4223 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_4224 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4225 (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_4226 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_4227 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_4228 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0)) (?v_4229 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4230 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_4231 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_4232 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4233 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_4234 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_4235 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_4236 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_4237 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_4238 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4239 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_4240 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_4241 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4242 (= inline.ReleaseDpcLock.2.myVar_0.6 inline.ReleaseDpcLock.2.myVar_0)) (?v_4243 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4244 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4245 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0)) (?v_4743 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_4246 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4744 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_4247 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_4814 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.)) (?v_4248 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4249 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_4250 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.)) (?v_4251 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_4877 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 0)) (?v_4252 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_4746 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.)) (?v_4253 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_4254 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_4255 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_4256 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4257 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_4258 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_4259 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_4260 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4261 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0)) (?v_4262 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4263 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_4264 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4265 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4266 (= lockStatus_1.42 lockStatus_1.2)) (?v_4267 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_4268 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_4269 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4270 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4271 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_4272 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_4273 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_4274 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_4275 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_4276 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_4277 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4278 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_4279 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4280 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4281 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_4282 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_4747 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_4283 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_4284 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_4285 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0)) (?v_4286 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_4287 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_4288 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_4289 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4290 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_4291 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_4292 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4293 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4294 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4748 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_4295 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4296 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_4297 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0)) (?v_4298 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4299 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4300 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_4783 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.)) (?v_4301 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_4302 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4303 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_4304 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_4305 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_4306 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_4307 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_4308 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4309 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_4310 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_4311 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_4312 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4313 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_4749 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_4750 (= k.241 k.28)) (?v_4314 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4315 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4316 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0)) (?v_4317 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_4751 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_4318 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_4319 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.)) (?v_4320 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_4321 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0)) (?v_4322 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked)) (?v_4323 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4324 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4325 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.)) (?v_4752 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_4326 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4327 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_4328 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_4329 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_4330 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_4331 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_4332 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_4753 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4333 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4334 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_4754 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_4335 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4336 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_4337 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_4338 (= reqCancelSet_1.19 reqCancelSet_1)) (?v_4339 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.)) (?v_4340 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4341 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_4342 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_4343 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.)) (?v_4344 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_4345 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4346 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4347 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_4348 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4349 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4350 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4351 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_4352 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.)) (?v_4353 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_4354 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4355 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_4356 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_4357 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4358 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4359 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_4360 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_4361 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4362 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4363 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4364 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_4365 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_4755 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4366 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_4756 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4367 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4368 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_4369 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4370 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4371 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0)) (?v_4372 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_4373 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_4374 (= reqCompleted_1.13 reqCompleted_1)) (?v_4375 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4376 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4377 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4757 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.)) (?v_4378 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_4379 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_4380 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_4381 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_4382 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4825 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4383 (= inline.ReleaseDpcLock.5.myVar_0.6 inline.ReleaseDpcLock.5.myVar_0)) (?v_4384 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_4759 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_4385 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_4386 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0)) (?v_4387 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_4388 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_4389 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0)) (?v_4390 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4391 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_4392 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_4393 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_4394 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_4395 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_4396 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_4397 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_4398 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4399 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_4400 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_4401 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_4402 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_4403 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_4404 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4405 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_4406 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_4407 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4408 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_4760 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_4409 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4410 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_4411 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4412 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_4413 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_4414 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4415 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_4761 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_4416 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4417 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4418 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_4419 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_4420 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_4421 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4422 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_4423 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_4424 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_4425 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_4426 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_4427 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_4428 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4429 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_4430 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4431 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4432 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4784 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4433 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_4434 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_4435 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_4436 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4437 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4438 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4439 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4762 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4440 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_4441 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4442 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_4443 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_4444 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4445 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4446 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4447 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4448 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0)) (?v_4449 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_4450 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4451 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_4452 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_4453 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4454 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_4455 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_4456 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_4457 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4458 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_4459 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4460 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_4461 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4462 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_4463 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_4464 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4465 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_4466 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4467 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_4468 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_4469 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_4470 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4471 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4472 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_4473 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_4474 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4475 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0)) (?v_4785 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4763 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4476 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_4477 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_4478 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_4479 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_4480 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4481 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_4482 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4483 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4484 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0)) (?v_4485 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0)) (?v_4764 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.)) (?v_4486 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_4765 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_4487 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4488 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4489 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_4490 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_4491 (= lockStatus_0.42 lockStatus_0.2)) (?v_4492 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_4493 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_4494 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_4495 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4496 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4497 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_4766 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4498 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4499 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_4500 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4501 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4767 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4502 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_4503 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_4504 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_4505 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_4506 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4507 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_4508 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4509 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4510 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_4511 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4512 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4513 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4514 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4515 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4768 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4516 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4517 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.)) (?v_4518 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4519 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4520 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_4521 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_4522 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_4523 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4524 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.)) (?v_4525 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_4526 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_4527 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4528 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_4529 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_4530 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4531 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_4532 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_4533 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4534 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_4535 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_4536 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_4537 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_4538 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_4539 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_4540 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_4541 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_4542 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4543 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_4544 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_4545 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_4546 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4547 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_4548 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4549 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4550 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4551 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_4552 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4553 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4554 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4555 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4556 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_4557 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_4558 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_4786 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4559 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4560 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4561 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4562 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_4563 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_4564 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4565 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4566 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_4567 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_4568 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4569 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_4570 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_4571 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4572 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4573 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_4769 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_4574 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_4575 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.)) (?v_4576 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_4577 (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0)) (?v_4578 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_4579 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4580 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_4581 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_4582 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_4583 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4770 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.)) (?v_4584 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4585 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4586 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_4587 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_4588 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4589 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_4590 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4591 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4592 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_4593 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_4594 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_4595 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_4596 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4597 (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0)) (?v_4598 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_4599 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_4600 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4601 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_4602 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4603 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4604 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_4605 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_4606 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4607 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_4608 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4609 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4610 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4611 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1.)) (?v_4612 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_4613 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_2178 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 1)) (?v_4614 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4615 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_4616 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_4617 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4618 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_4619 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4620 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4771 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4621 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_4622 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_4623 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0)) (?v_4624 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4625 (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_4626 (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_4627 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.)) (?v_4628 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_4629 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4630 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked)) (?v_4631 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_4632 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.)) (?v_4633 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4634 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4635 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_4636 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_4637 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0)) (?v_4772 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.)) (?v_4638 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4639 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_4640 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4641 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4642 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4643 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_4644 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_4645 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_4646 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4647 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_4648 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4649 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4650 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_4651 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_4652 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_4653 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_4654 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4655 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4656 (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0)) (?v_4657 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_4658 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4838 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_4659 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4660 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4661 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_4662 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_4663 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4664 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_4665 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4666 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_4667 (= reqCompleted_0.13 reqCompleted_0)) (?v_4668 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_4669 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_4670 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_4671 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4672 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4673 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_4674 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_4675 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4676 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_4677 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_4678 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_4679 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4680 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_4681 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4682 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_4683 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.)) (?v_4684 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_4685 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_4686 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4687 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_4688 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_4689 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4774 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_4690 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_4691 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4692 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_4693 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_4694 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_4695 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4696 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_4697 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_4698 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4699 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4700 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_4701 (= inline.ReleaseDpcLock.6.myNondetVar_0.5 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_4702 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4776 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.)) (?v_4703 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_4704 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_4705 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4706 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4707 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4708 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4709 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_4710 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4711 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_4712 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_4713 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock))) (let ((?v_4714 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) ?v_1632)))))) (let ((?v_4840 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4776 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.0) ?v_4714))))))))))))))))))) (let ((?v_4865 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4838 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4774 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead) ?v_4840)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4878 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4770 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4771 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4772 ?v_4865)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4879 (=> true (=> ?v_4073 (=> ?v_4720 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4721 (=> ?v_4722 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4725 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4727 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4728 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4732 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4733 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4876 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4736 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4737 (=> ?v_4738 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4739 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4741 (=> ?v_4742 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4743 (=> ?v_4246 (=> ?v_4744 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4877 (=> ?v_4252 (=> ?v_4746 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4747 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4748 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4749 (=> ?v_4750 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4752 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4754 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.11) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4756 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4757 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4759 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4760 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4763 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4764 (=> ?v_4486 (=> ?v_4765 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4766 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4767 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 myNondetVar_0.0) (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4769 ?v_4878)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4806 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_4811 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_4812 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4821 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0)) (?v_4864 (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.16)) (?v_4827 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call18588formal.ret.0)) (?v_4830 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4831 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call18588formal.ret.0)) (?v_1621 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)) (?v_4834 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_4863 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4799 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 call16652formal.new.0)) (?v_4800 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 call34574formal.ret.0)) (?v_4803 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2)) (?v_4808 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_4810 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 call34574formal.ret.0)) (?v_4815 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0)) (?v_4822 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 hrequest)) (?v_4824 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 call34626formal.new.0)) (?v_4832 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 hrequest)) (?v_4833 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 call34626formal.new.0)) (?v_4837 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1))) (let ((?v_4853 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4771 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4837 ?v_4865)))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4852 (<= 0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_4793 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4794 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_4795 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call34776formal.ret.0)) (?v_4797 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4802 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34711formal.new.0)) (?v_4804 (= alloc.14 alloc.7)) (?v_4807 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16652formal.new.0)) (?v_4809 (= errorReached.135 errorReached.23)) (?v_4813 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4816 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_4817 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4818 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0)) (?v_4819 (= k.241 k.34)) (?v_4823 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_4826 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call34711formal.new.0)) (?v_4829 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call34776formal.ret.0)) (?v_4835 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4841 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4801 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 call34906formal.ret.0)) (?v_4820 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call34906formal.ret.0)) (?v_4828 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34906formal.ret.0)) (?v_4836 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34906formal.ret.0)) (?v_4839 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 call34906formal.ret.0)) (?v_4792 (- 0 1073741670)) (?v_4791 (= call34906formal.ret.0 0)) (?v_4780 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4723 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call18694formal.new.0)) (?v_4726 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call18694formal.new.0)) (?v_4734 (= alloc.14 alloc.5)) (?v_4735 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4745 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4758 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16649formal.new.0)) (?v_4773 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4775 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4719 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_4072 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1634 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0)) (?v_1569 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1635 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1636 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0)) (?v_1637 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2)) (?v_1638 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1)) (?v_1639 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1570 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1571 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_1640 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1572 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1641 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1642 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1643 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1644 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1)) (?v_1645 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0)) (?v_1646 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2)) (?v_1647 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1648 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1)) (?v_1649 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1650 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2)) (?v_1651 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1652 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2)) (?v_1653 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_1654 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1655 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1656 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1657 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1658 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6)) (?v_1659 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1660 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_1661 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1573 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0)) (?v_1662 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0)) (?v_1663 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1664 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1)) (?v_1665 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1666 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1667 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1668 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1669 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2)) (?v_1670 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1671 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1672 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0)) (?v_1673 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1674 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0)) (?v_1574 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0)) (?v_1675 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2)) (?v_1575 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1676 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1576 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_1677 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1678 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1679 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1680 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1)) (?v_1681 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0)) (?v_1682 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1683 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1)) (?v_1684 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3)) (?v_1685 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1686 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1687 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1688 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1689 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1)) (?v_1690 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1577 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_1691 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1)) (?v_1692 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3)) (?v_1693 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0)) (?v_1694 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_1578 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_1579 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1695 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1580 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0)) (?v_1581 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0)) (?v_1696 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1)) (?v_1582 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1697 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1698 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1699 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1583 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3)) (?v_1700 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1701 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.5)) (?v_1702 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1703 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_1704 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1705 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0)) (?v_1706 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1)) (?v_1707 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1708 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1709 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0.4)) (?v_1710 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1711 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1)) (?v_1712 (= alloc.14 alloc.13)) (?v_1713 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0)) (?v_1714 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3)) (?v_1715 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1)) (?v_1716 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1)) (?v_1717 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4)) (?v_1718 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1719 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3)) (?v_1720 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2)) (?v_1721 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0)) (?v_1584 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1722 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1723 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1724 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1725 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1726 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0.21)) (?v_1727 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2)) (?v_1728 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1729 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.5)) (?v_1730 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_1731 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1732 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1)) (?v_1733 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0)) (?v_1734 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1735 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0)) (?v_1736 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1737 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1738 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1739 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1740 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0.4)) (?v_1741 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1742 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1)) (?v_1743 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1744 (= reqCancelSet_0.19 reqCancelSet_0.18)) (?v_1745 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1)) (?v_1746 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1585 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1747 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1)) (?v_1748 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1)) (?v_1749 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1)) (?v_1750 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1)) (?v_1586 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1751 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0)) (?v_1752 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1753 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0.1)) (?v_1754 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1755 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1756 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0.2)) (?v_1757 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0)) (?v_1758 (= inline.ReleaseDpcLock.6.myVar_0.5 inline.ReleaseDpcLock.6.myVar_0.4)) (?v_1759 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1587 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1588 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2)) (?v_1760 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1761 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3)) (?v_1762 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0)) (?v_1763 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0)) (?v_1764 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1)) (?v_1765 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0)) (?v_1766 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1767 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1768 (= errorReached.135 errorReached.134)) (?v_1769 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0.2)) (?v_1770 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3)) (?v_1771 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0)) (?v_1772 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1773 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1589 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call18844formal.ret.0)) (?v_1774 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1775 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1776 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0)) (?v_1777 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1778 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1)) (?v_1779 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1)) (?v_1590 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0)) (?v_1591 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_1780 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1)) (?v_1781 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1782 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1)) (?v_1783 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_1784 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1785 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1786 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1787 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1788 (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0.5)) (?v_1789 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0)) (?v_1790 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0)) (?v_1791 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15)) (?v_1792 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1793 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2)) (?v_1794 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1795 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1796 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0)) (?v_1797 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1798 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1)) (?v_1799 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue)) (?v_1800 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1)) (?v_1801 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1802 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1803 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_1804 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1805 (= inline.ReleaseDpcLock.2.myVar_0.6 inline.ReleaseDpcLock.2.myVar_0.5)) (?v_1806 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1807 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_1808 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0.1)) (?v_1592 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1809 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1593 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1)) (?v_1810 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1)) (?v_1594 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0)) (?v_1811 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1812 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2)) (?v_1813 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0)) (?v_1814 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1815 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0)) (?v_1595 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1)) (?v_1816 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0)) (?v_1817 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2)) (?v_1818 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0)) (?v_1819 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1820 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1821 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_1822 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1823 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1824 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0.16)) (?v_1825 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_1826 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1827 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1828 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1829 (= lockStatus_1.42 lockStatus_1.41)) (?v_1830 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_1831 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1832 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1833 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1834 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0)) (?v_1835 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2)) (?v_1836 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1)) (?v_1837 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1838 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1839 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0)) (?v_1840 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1841 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_1842 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1843 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1844 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1845 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1596 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_1846 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2)) (?v_1847 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1)) (?v_1848 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0.2)) (?v_1849 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0)) (?v_1850 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest)) (?v_1851 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0)) (?v_1852 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1853 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_1854 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1855 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1856 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1857 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1597 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1858 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1859 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2)) (?v_1860 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0.16)) (?v_1861 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1862 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1863 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1)) (?v_1598 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0)) (?v_1864 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0)) (?v_1865 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1866 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1867 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2)) (?v_1868 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_1869 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1870 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1)) (?v_1871 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_1872 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1)) (?v_1873 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1)) (?v_1874 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest)) (?v_1875 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1876 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1)) (?v_1599 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_1877 (= k.241 k.240)) (?v_1878 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1879 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1880 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0.2)) (?v_1881 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1)) (?v_1600 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0)) (?v_1882 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1883 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1884 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1)) (?v_1885 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0.4)) (?v_1886 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1887 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1888 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1889 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0)) (?v_1601 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1)) (?v_1890 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1891 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1)) (?v_1892 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0)) (?v_1893 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1)) (?v_1894 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1895 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1)) (?v_1896 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_1602 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1897 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_1898 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2)) (?v_1603 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_1899 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1900 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1)) (?v_1901 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1902 (= reqCancelSet_1.19 reqCancelSet_1.18)) (?v_1903 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1904 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1905 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2)) (?v_1906 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0)) (?v_1907 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0)) (?v_1908 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1)) (?v_1909 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1910 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1911 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1)) (?v_1912 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1913 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1914 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1915 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0)) (?v_1916 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0)) (?v_1917 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2)) (?v_1918 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1919 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2)) (?v_1920 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1)) (?v_1921 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1604 (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.27)) (?v_1922 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1923 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1924 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1)) (?v_1925 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1926 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_1927 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1928 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_1929 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1)) (?v_1605 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1930 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1)) (?v_1606 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1931 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1932 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_1933 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1934 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1935 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0.5)) (?v_1936 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0.4)) (?v_1937 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3)) (?v_1938 (= reqCompleted_1.13 reqCompleted_1.12)) (?v_1939 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1940 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1941 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1607 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0)) (?v_1942 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1943 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1)) (?v_1944 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1)) (?v_1945 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2)) (?v_1946 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1608 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1947 (= inline.ReleaseDpcLock.5.myVar_0.6 inline.ReleaseDpcLock.5.myVar_0.5)) (?v_1948 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0)) (?v_1609 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1949 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1950 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0.4)) (?v_1951 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1)) (?v_1952 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1953 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0.4)) (?v_1954 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1955 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2)) (?v_1956 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1957 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1)) (?v_1958 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0)) (?v_1959 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1960 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_1961 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1)) (?v_1962 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1963 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0)) (?v_1964 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue)) (?v_1965 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_1966 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0)) (?v_1967 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1968 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1969 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0)) (?v_1970 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0)) (?v_1971 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1972 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1610 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_1973 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1974 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1975 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1976 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_1977 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1)) (?v_1978 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1979 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1)) (?v_1611 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call18844formal.ret.0)) (?v_1980 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0)) (?v_1981 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1982 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1983 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1)) (?v_1984 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2)) (?v_1985 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1986 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1987 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2)) (?v_1988 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1)) (?v_1989 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0)) (?v_1990 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0)) (?v_1991 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_1992 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1993 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1994 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1995 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1996 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1612 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1997 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0)) (?v_1998 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1)) (?v_1999 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0)) (?v_2000 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2001 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2002 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_2003 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1613 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_2004 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0)) (?v_2005 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2006 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1)) (?v_2007 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0)) (?v_2008 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2009 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_2010 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_2011 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_2012 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0.3)) (?v_2013 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_2014 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_2015 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1)) (?v_2016 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0)) (?v_2017 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2018 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1)) (?v_2019 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_2020 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_2021 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2022 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1)) (?v_2023 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_2024 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_2025 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2026 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_2027 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1)) (?v_2028 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_2029 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2)) (?v_2030 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2031 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1)) (?v_2032 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1)) (?v_2033 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2)) (?v_2034 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_2035 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2036 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0)) (?v_2037 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1)) (?v_2038 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2039 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0.4)) (?v_1614 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1615 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_2040 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_2041 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_2042 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2)) (?v_2043 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0)) (?v_2044 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2045 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0)) (?v_2046 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_2047 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2048 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1)) (?v_2049 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0.4)) (?v_1616 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0)) (?v_2050 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1)) (?v_1617 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_2051 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0)) (?v_2052 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_2053 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0.3)) (?v_2054 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1)) (?v_2055 (= lockStatus_0.42 lockStatus_0.41)) (?v_2056 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2)) (?v_2057 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2)) (?v_2058 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1)) (?v_2059 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2060 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2061 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0)) (?v_1618 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_2062 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2063 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_2064 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2065 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1619 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_2066 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3)) (?v_2067 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0)) (?v_2068 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1)) (?v_2069 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3)) (?v_2070 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2071 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1)) (?v_2072 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_2073 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2074 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1)) (?v_2075 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2076 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2077 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2078 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2079 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1620 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_2080 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2081 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0)) (?v_2082 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2083 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest)) (?v_2084 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1)) (?v_2085 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0)) (?v_2086 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1)) (?v_2087 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2088 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2089 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_2090 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2)) (?v_2091 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_2092 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0)) (?v_2093 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1)) (?v_2094 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_2095 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1)) (?v_2096 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_2097 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2098 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_2099 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3)) (?v_2100 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0)) (?v_2101 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_2102 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0.21)) (?v_2103 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2104 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0)) (?v_2105 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0)) (?v_2106 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2107 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_2108 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1)) (?v_2109 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0)) (?v_2110 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_2111 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1)) (?v_2112 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2113 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2114 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2115 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2)) (?v_2116 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2117 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue)) (?v_2118 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2119 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_2120 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1)) (?v_2121 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1)) (?v_2122 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1622 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_2123 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2124 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2125 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_2126 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1)) (?v_2127 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0)) (?v_2128 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2129 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2130 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4)) (?v_2131 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3)) (?v_2132 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2133 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1)) (?v_2134 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0.4)) (?v_2135 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2136 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2137 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1)) (?v_1623 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_2138 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2)) (?v_2139 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0)) (?v_2140 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2)) (?v_2141 (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0.2)) (?v_2142 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_2143 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_2144 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0)) (?v_2145 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2)) (?v_2146 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2)) (?v_2147 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1624 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0)) (?v_2148 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_2149 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_2150 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0)) (?v_2151 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_2152 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_2153 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0.4)) (?v_2154 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2155 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2156 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2)) (?v_2157 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0)) (?v_2158 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1)) (?v_2159 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2)) (?v_2160 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2161 (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0.2)) (?v_2162 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6)) (?v_2163 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0)) (?v_2164 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2165 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0)) (?v_2166 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2167 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2168 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0)) (?v_2169 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2170 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2171 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_2172 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2173 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2174 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_2175 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2176 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_2177 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1)) (?v_1625 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1626 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0)) (?v_1627 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1628 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call18844formal.ret.0)) (?v_1629 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0)) (?v_1630 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 call18844formal.ret.0)) (?v_1631 (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.3))) (let ((?v_2179 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_1625 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0.4) (=> (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1) (=> (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1) (=> (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0.5) (=> ?v_1626 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0.3) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1) (=> ?v_1627 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2) (=> (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_1628 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1) (=> ?v_1629 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.5 inline.ReleaseDpcLock.6.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_1630 (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1) (=> ?v_1631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) ?v_1632)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1633 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_3090 (and (=> true (=> (not ?v_1633) (=> true (=> ?v_1634 (=> ?v_1569 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1570 (=> ?v_1571 (=> ?v_1640 (=> ?v_1572 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1573 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1574 (=> ?v_1675 (=> ?v_1575 (=> ?v_1676 (=> ?v_1576 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1577 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1578 (=> ?v_1579 (=> ?v_1695 (=> ?v_1580 (=> ?v_1581 (=> ?v_1696 (=> ?v_1582 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1583 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1584 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1585 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1586 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1587 (=> ?v_1588 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1589 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1590 (=> ?v_1591 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1592 (=> ?v_1809 (=> ?v_1593 (=> ?v_1810 (=> ?v_1594 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2) (=> ?v_1815 (=> ?v_1595 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1596 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1597 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1598 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1599 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1600 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1601 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1602 (=> ?v_1897 (=> ?v_1898 (=> ?v_1603 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1604 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1605 (=> ?v_1930 (=> ?v_1606 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1607 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1608 (=> ?v_1947 (=> ?v_1948 (=> ?v_1609 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1610 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1611 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1612 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_1613 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_1614 (=> ?v_1615 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_1616 (=> ?v_2050 (=> ?v_1617 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_1618 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_1619 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_1620 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_1621 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_1622 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_1623 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_1624 (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_2177 (=> ?v_709 ?v_2179))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1633 (=> true (=> ?v_1634 (=> ?v_1569 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1570 (=> ?v_1571 (=> ?v_1640 (=> ?v_1572 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1573 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1574 (=> ?v_1675 (=> ?v_1575 (=> ?v_1676 (=> ?v_1576 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1577 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1578 (=> ?v_1579 (=> ?v_1695 (=> ?v_1580 (=> ?v_1581 (=> ?v_1696 (=> ?v_1582 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1583 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1584 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1585 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1586 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1587 (=> ?v_1588 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1589 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1590 (=> ?v_1591 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1592 (=> ?v_1809 (=> ?v_1593 (=> ?v_1810 (=> ?v_1594 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_4877 (=> ?v_1815 (=> ?v_1595 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1596 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1597 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1598 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1599 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1600 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1601 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1602 (=> ?v_1897 (=> ?v_1898 (=> ?v_1603 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1604 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1605 (=> ?v_1930 (=> ?v_1606 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1607 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1608 (=> ?v_1947 (=> ?v_1948 (=> ?v_1609 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1610 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1611 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1612 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_1613 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_1614 (=> ?v_1615 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_1616 (=> ?v_2050 (=> ?v_1617 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_1618 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_1619 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_1620 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_1621 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_1622 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_1623 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_1624 (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_2177 (=> ?v_2178 ?v_2179))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3119 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3120 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3121 (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0)) (?v_3122 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3123 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_3124 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_3125 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_3126 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3127 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3128 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3129 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3131 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_3132 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3133 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_3134 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3135 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_3136 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3137 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3442 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3138 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3139 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3140 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3141 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3142 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3143 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3144 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3145 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3146 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_3147 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3148 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3149 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.)) (?v_3150 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3443 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3151 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_3152 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3153 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3154 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3156 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_3157 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_3158 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3159 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3160 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3161 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_3162 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3444 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3163 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3164 (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_3445 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_3165 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_3166 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3167 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3168 (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0)) (?v_3169 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3170 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_3171 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_3172 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3173 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_3174 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3175 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3176 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3177 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3178 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3179 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_3180 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3446 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3181 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3182 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_3183 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_3184 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_3185 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3447 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_3186 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3187 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3188 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3189 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3190 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3191 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3192 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_3193 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_3194 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_3195 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3196 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3197 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0)) (?v_3199 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_3200 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3201 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_3202 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3203 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3204 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3205 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3206 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3207 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_3208 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_3210 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3211 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3213 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3214 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3215 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3216 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3217 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3218 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3219 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_3220 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3221 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_3222 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3223 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_3448 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3224 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_3225 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_3226 (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0)) (?v_3227 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3228 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3229 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3449 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_3230 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3231 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_3233 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_3234 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3235 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3236 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3237 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_3238 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3239 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3240 (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0)) (?v_3241 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.)) (?v_3242 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3243 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3244 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_3245 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3246 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3247 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3248 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3249 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3250 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_3251 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3252 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3253 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3254 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3255 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3256 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_3257 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3258 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3259 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_3260 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3262 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3263 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_3264 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_3265 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3266 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_3267 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3268 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3269 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_3270 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3271 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_3272 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3273 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3274 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3275 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3276 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3277 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3450 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3278 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3279 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3280 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3281 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3282 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3283 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3284 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_3285 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3286 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_3288 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3289 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3290 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3291 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_3292 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3293 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3294 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_3295 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3296 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3297 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_3298 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_3299 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_3300 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3301 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_3302 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3303 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3304 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3305 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_3306 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3307 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_3308 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3309 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3310 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3451 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3311 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3312 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_3313 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3314 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3315 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_3316 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3317 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3318 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3319 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3322 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_3323 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3324 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3325 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3326 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3327 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_3328 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_3329 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3330 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_3331 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3332 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3333 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3334 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_3335 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3336 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3337 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3338 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3339 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3340 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3341 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3342 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_3343 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3344 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3345 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3346 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_3347 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3348 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3349 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_3350 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3351 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_3352 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3452 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3353 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_3453 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3354 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3355 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_3356 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3357 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_3358 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3359 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_3360 (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_3361 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_3362 (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0)) (?v_3363 (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_3364 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3454 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3365 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3366 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3367 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3368 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_3369 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3455 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_3370 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3371 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3372 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_3373 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_3374 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3375 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3376 (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_3377 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3378 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3379 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3380 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3381 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3382 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3383 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3384 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3385 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3386 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3387 (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0)) (?v_3388 (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_3389 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3390 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3391 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.)) (?v_3392 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_3393 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_3394 (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0)) (?v_3395 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3396 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3397 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3398 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_3399 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3400 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_3401 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3402 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_3403 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3404 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_3405 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3406 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3408 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_3409 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3410 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3456 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_3411 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_3412 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_3413 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_3414 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3415 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_3416 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3417 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3418 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.)) (?v_3419 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3420 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3421 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3422 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3423 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3424 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3425 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1))) (let ((?v_3426 (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> true (=> true (=> true (=> true (=> true ?v_3090)))))))))))) (let ((?v_3457 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) ?v_3426))) (let ((?v_3472 (=> true (=> ?v_3119 (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_3120 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3124 (=> ?v_3125 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3126 (=> ?v_3127 (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> ?v_3128 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3129 (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= reqCompleted_1.12 reqCompleted_1.5) (=> ?v_3131 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0) (=> ?v_3132 (=> ?v_3133 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3134 (=> ?v_3135 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3136 (=> ?v_3137 (=> ?v_3442 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3138 (=> ?v_3139 (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> ?v_3140 (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_3141 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3142 (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2) (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_3146 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3147 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3148 (=> (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3149 (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0) (=> ?v_3150 (=> ?v_3443 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0.4) (=> ?v_3151 (=> ?v_3152 (=> (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3153 (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_3154 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> (= alloc.13 alloc.10) (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2) (=> ?v_3159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3160 (=> ?v_3161 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3162 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_3444 (=> ?v_3163 (=> ?v_3164 (=> ?v_3445 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3168 (=> ?v_3169 (=> (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0.3) (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= reqCancelSet_0.18 reqCancelSet_0.9) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_3176 (=> (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0.0) (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0) (=> ?v_3180 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3446 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> (= errorReached.134 errorReached.85) (=> (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1) (=> ?v_3185 (=> (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3447 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3186 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0.4) (=> ?v_3190 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3191 (=> ?v_3192 (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_3193 (=> ?v_3194 (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0) (=> ?v_3195 (=> ?v_3196 (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3197 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0.0) (=> ?v_3199 (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> ?v_3200 (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0) (=> ?v_3201 (=> ?v_3202 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_3203 (=> ?v_3204 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.ReleaseDpcLock.6.myVar_0.4 inline.ReleaseDpcLock.6.myVar_0.3) (=> ?v_3205 (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3206 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3207 (=> ?v_3208 (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0.15) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_3210 (=> ?v_3211 (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_3213 (=> ?v_3214 (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3215 (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> ?v_3221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0.1) (=> ?v_3222 (=> ?v_3223 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call29332formal.ret.0) (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> ?v_3448 (=> ?v_3224 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1) (=> ?v_3225 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_3226 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3227 (=> ?v_3228 (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3229 (=> ?v_3449 (=> ?v_3230 (=> ?v_3231 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> ?v_3233 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_3234 (=> ?v_3235 (=> (= k.240 k.153) (=> ?v_3236 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_3240 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3241 (=> ?v_3242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1) (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> ?v_3246 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3247 (=> (= reqCancelSet_1.18 reqCancelSet_1.9) (=> ?v_3248 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3249 (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0) (=> ?v_3256 (=> ?v_3257 (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3258 (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> ?v_3259 (=> ?v_3260 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0.4) (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0) (=> ?v_3269 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3273 (=> ?v_3274 (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3275 (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0) (=> ?v_3276 (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.3) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3277 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3450 (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_3278 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1) (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3285 (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_3286 (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0) (=> ?v_3291 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3292 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0) (=> ?v_3296 (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_3297 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1) (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0.3) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_3306 (=> ?v_3307 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0) (=> ?v_3308 (=> ?v_3309 (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3310 (=> ?v_3451 (=> (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0.3) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3311 (=> ?v_3312 (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call33609formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> (= lockStatus_0.41 lockStatus_0.24) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> ?v_3322 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3326 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_3327 (=> ?v_3328 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3338 (=> ?v_3339 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_3344 (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3345 (=> (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1) (=> ?v_3346 (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2) (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3351 (=> ?v_3352 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> ?v_3452 (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3353 (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.3) (=> ?v_3453 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_3354 (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> ?v_3355 (=> ?v_3356 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3357 (=> ?v_3358 (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2) (=> ?v_3359 (=> ?v_3360 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3361 (=> ?v_3362 (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3363 (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3364 (=> ?v_3454 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3455 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3374 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3375 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3376 (=> ?v_3377 (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3378 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_3382 (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0) (=> ?v_3383 (=> ?v_3384 (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3385 (=> ?v_3386 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0) (=> ?v_3387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> ?v_3391 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3395 (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0) (=> ?v_3397 (=> ?v_3398 (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_3399 (=> ?v_3400 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0.2) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3404 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_3405 (=> ?v_3406 (=> (= reqCompleted_0.12 reqCompleted_0.5) (=> ?v_3408 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3409 (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1) (=> ?v_3410 (=> ?v_3456 (=> ?v_3411 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> ?v_3412 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_3413 (=> ?v_3414 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> ?v_3415 (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_3416 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_3417 (=> ?v_3418 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3419 (=> ?v_3420 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3425 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.3) ?v_3457)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3470 (= k.149 0)) (?v_3471 (= k.149 1))) (let ((?v_3463 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call34344formal.ret.0) (=> (= k.153 k.152) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.2) ?v_3472))))))))))) (?v_3462 (= inline.AcquireDpcLock.6.myVar_0.2 hlock))) (let ((?v_3459 (=> true (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 call34292formal.ret.0) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= k.152 k.151) ?v_3463)))))) (?v_3460 (= lockStatus_1.22 lockStatus_1.21))) (let ((?v_3461 (=> (= lockStatus_0.22 lockStatus_0.21) (=> true ?v_3459))) (?v_3458 (= k.151 1)) (?v_3441 (= k.151 0))) (let ((?v_3466 (and (=> true (=> ?v_3462 (=> true (=> (<= k.150 k.151) (=> (< k.151 2) (=> true (=> (=> ?v_3441 (= lockStatus_0.21 0)) (=> (=> ?v_3458 (= lockStatus_1.21 0)) (and (=> true (=> ?v_3441 (=> true (=> ?v_3460 (=> (= lockStatus_0.22 1) ?v_3459))))) (=> true (=> (not ?v_3441) (and (=> true (=> ?v_3458 (=> true (=> (= lockStatus_1.22 1) ?v_3461)))) (=> true (=> (not ?v_3458) (=> true (=> ?v_3460 ?v_3461)))))))))))))))) (=> true (=> (not ?v_3462) (=> true (=> (= lockStatus_1.23 lockStatus_1.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.23 lockStatus_0.21) (=> (= k.152 k.150) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3463)))))))))))))))) (let ((?v_3468 (=> true (=> true (=> true (=> true ?v_3466))))) (?v_3467 (= k.150 1)) (?v_3465 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3464 (= k.150 0))) (let ((?v_3469 (=> true (=> (<= k.149 k.150) (=> (< k.150 2) (and (=> true (=> ?v_3464 (=> (= inline.AcquireDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3465))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.0) ?v_3466))))) (=> true (=> (not ?v_3464) (and (=> true (=> ?v_3467 (=> (= inline.AcquireDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3465))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.1) ?v_3468))))) (=> true (=> (not ?v_3467) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0) ?v_3468))))))))))))) (let ((?v_3479 (and (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.0) ?v_3469)))) (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3470 ?v_277) (=> (=> ?v_3471 ?v_278) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.1) ?v_3469))))) (=> true (=> (=> ?v_3470 ?v_380) (=> (=> ?v_3471 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= k.153 k.149) (=> (= lockStatus_0.24 lockStatus_0.21) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3472)))))))))))))))))))))))))) (let ((?v_3481 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= errorReached.85 errorReached.83) (=> (= k.149 k.147) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3479))))))))))))) (?v_3483 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hdevice)) (?v_3482 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hqueue)) (?v_3480 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 htimer)) (?v_3478 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hrequest)) (?v_3477 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 call34052formal.ret.0) (=> (= errorReached.85 errorReached.84) (=> (= k.149 k.148) ?v_3479)))))) (?v_3473 (= k.148 0)) (?v_3474 (= reqCompleted_0.5 0)) (?v_3475 (= k.148 1)) (?v_3476 (= reqCompleted_1.5 0))) (let ((?v_3436 (not ?v_3474)) (?v_3437 (not ?v_3476))) (let ((?v_3486 (and (=> true (=> ?v_3478 (=> true (=> (<= k.147 k.148) (=> (< k.148 2) (and (=> true (=> (=> ?v_3473 ?v_3436) (=> (=> ?v_3475 ?v_3437) (=> true (=> (= errorReached.84 1) ?v_3477))))) (=> true (=> (=> ?v_3473 ?v_3474) (=> (=> ?v_3475 ?v_3476) (=> true (=> (= errorReached.84 errorReached.83) (=> true ?v_3477)))))))))))) (=> true (=> (not ?v_3478) (and (=> true (=> ?v_3480 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3481)))) (=> true (=> (not ?v_3480) (and (=> true (=> ?v_3482 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3481)))) (=> true (=> (not ?v_3482) (and (=> true (=> ?v_3483 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3481)))) (=> true (=> (not ?v_3483) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3481)))))))))))))))) (let ((?v_3488 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3486)))))))))))) (?v_3487 (= k.147 1)) (?v_3485 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3505 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3485))) (?v_3484 (= k.147 0)) (?v_3435 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3485)))) (let ((?v_3492 (=> true (=> (<= k.146 k.147) (=> (< k.147 2) (and (=> true (=> ?v_3484 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.19) ?v_3486))))) (=> true (=> (not ?v_3484) (and (=> true (=> ?v_3487 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.18) ?v_3488))))) (=> true (=> (not ?v_3487) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) ?v_3488)))))))))))) (?v_3489 (= k.146 0)) (?v_3490 (= k.146 1))) (let ((?v_3491 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call33932formal.ret.0) ?v_3492)))) (let ((?v_3497 (and (=> true (=> (=> ?v_3489 ?v_36) (=> (=> ?v_3490 ?v_37) ?v_3491))) (=> true (=> (=> ?v_3489 ?v_617) (=> (=> ?v_3490 ?v_619) (and (=> true (=> (=> ?v_3489 ?v_524) (=> (=> ?v_3490 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3491)))))))))))) (=> true (=> (=> ?v_3489 ?v_621) (=> (=> ?v_3490 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3492))))))))))))))) (?v_3499 (= errorReached.83 errorReached.81)) (?v_3500 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.))) (let ((?v_3501 (=> (= k.146 k.144) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3497))))))))))) (?v_3503 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hdevice)) (?v_3502 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hqueue)) (?v_3498 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 htimer)) (?v_3496 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hrequest)) (?v_3495 (=> true (=> (= errorReached.83 errorReached.82) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 call33735formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.146 k.145) ?v_3497)))))) (?v_3493 (= k.145 0)) (?v_3494 (= k.145 1))) (let ((?v_3506 (and (=> true (=> ?v_3496 (=> true (=> (<= k.144 k.145) (=> (< k.145 2) (and (=> true (=> (=> ?v_3493 ?v_3436) (=> (=> ?v_3494 ?v_3437) (=> true (=> (= errorReached.82 1) ?v_3495))))) (=> true (=> (=> ?v_3493 ?v_3474) (=> (=> ?v_3494 ?v_3476) (=> true (=> (= errorReached.82 errorReached.81) (=> true ?v_3495)))))))))))) (=> true (=> (not ?v_3496) (and (=> true (=> ?v_3498 (=> true (=> ?v_3499 (=> ?v_3500 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3501)))))) (=> true (=> (not ?v_3498) (and (=> true (=> ?v_3502 (=> true (=> ?v_3499 (=> ?v_3500 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3501)))))) (=> true (=> (not ?v_3502) (and (=> true (=> ?v_3503 (=> true (=> ?v_3499 (=> ?v_3500 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3501)))))) (=> true (=> (not ?v_3503) (=> true (=> ?v_3499 (=> ?v_3500 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3501)))))))))))))))))) (let ((?v_3508 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3506)))))))))))) (?v_3507 (= k.144 1)) (?v_3504 (= k.144 0)) (?v_1557 (>= 1 0)) (?v_3440 (int_2_U call33609formal.new.0))) (let ((?v_3511 (=> true (and ?v_1557 (=> ?v_1557 (=> (> call33609formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call33609formal.new.0 ?x357) (< ?x357 (+ call33609formal.new.0 1))) (= (Base ?x357) call33609formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call33609formal.new.0) (= (MapType0Select alloc.9 ?x358) (MapType0Select alloc.10 ?x358)))) :pattern ((MapType0Select alloc.10 ?x358)) )) (=> (and (= (MapType0Select alloc.9 ?v_3440) UNALLOCATED) (= (MapType0Select alloc.10 ?v_3440) ALLOCATED)) (=> true (=> (<= k.143 k.144) (=> (< k.144 2) (and (=> true (=> ?v_3504 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.16) ?v_3506))))) (=> true (=> (not ?v_3504) (and (=> true (=> ?v_3507 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.15) ?v_3508))))) (=> true (=> (not ?v_3507) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) ?v_3508)))))))))))))))))))) (let ((?v_3512 (=> true (=> true (=> true ?v_3511)))) (?v_3509 (= k.143 0)) (?v_3510 (= k.143 1))) (let ((?v_3517 (and (=> true (=> (=> ?v_3509 ?v_36) (=> (=> ?v_3510 ?v_37) ?v_3511))) (=> true (=> (=> ?v_3509 ?v_617) (=> (=> ?v_3510 ?v_619) (and (=> true (=> (=> ?v_3509 ?v_524) (=> (=> ?v_3510 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3512)))))))))))) (=> true (=> (=> ?v_3509 ?v_621) (=> (=> ?v_3510 ?v_622) ?v_3512)))))))))) (let ((?v_3522 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3517)))))))))) (?v_3519 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_3520 (= k.143 k.141)) (?v_3521 (= errorReached.81 errorReached.79)) (?v_3524 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hdevice)) (?v_3523 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hqueue)) (?v_3518 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 htimer)) (?v_3516 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hrequest)) (?v_3515 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call33407formal.ret.0) (=> (= k.143 k.142) (=> (= errorReached.81 errorReached.80) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3517)))))) (?v_3513 (= k.142 0)) (?v_3514 (= k.142 1))) (let ((?v_3526 (and (=> true (=> ?v_3516 (=> true (=> (<= k.141 k.142) (=> (< k.142 2) (and (=> true (=> (=> ?v_3513 ?v_3436) (=> (=> ?v_3514 ?v_3437) (=> true (=> (= errorReached.80 1) ?v_3515))))) (=> true (=> (=> ?v_3513 ?v_3474) (=> (=> ?v_3514 ?v_3476) (=> true (=> (= errorReached.80 errorReached.79) (=> true ?v_3515)))))))))))) (=> true (=> (not ?v_3516) (and (=> true (=> ?v_3518 (=> true (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3522))))))) (=> true (=> (not ?v_3518) (and (=> true (=> ?v_3523 (=> true (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3522))))))) (=> true (=> (not ?v_3523) (and (=> true (=> ?v_3524 (=> true (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3522))))))) (=> true (=> (not ?v_3524) (=> true (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3522))))))))))))))))))) (let ((?v_3528 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3526)))))))))))) (?v_3527 (= k.141 1)) (?v_3525 (= k.141 0))) (let ((?v_3544 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (and (=> true (=> ?v_3525 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.13) ?v_3526))))) (=> true (=> (not ?v_3525) (and (=> true (=> ?v_3527 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.12) ?v_3528))))) (=> true (=> (not ?v_3527) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) ?v_3528)))))))))))) (?v_3542 (= k.136 0)) (?v_3543 (= k.136 1))) (let ((?v_3535 (=> true (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= k.140 k.139) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0.2) ?v_3544)))))))))) (?v_3534 (= inline.ReleaseDpcLock.6.myVar_0.2 hlock))) (let ((?v_3530 (=> true (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call33219formal.ret.0) (=> (= lockStatus_0.20 lockStatus_0.19) (=> (= k.139 k.138) ?v_3535)))))) (?v_3532 (= lockStatus_1.19 lockStatus_1.15))) (let ((?v_3533 (=> (= lockStatus_0.19 lockStatus_0.15) (=> true ?v_3530))) (?v_3531 (= k.138 1)) (?v_3529 (= k.138 0))) (let ((?v_3538 (and (=> true (=> ?v_3534 (=> true (=> (<= k.137 k.138) (=> (< k.138 2) (and (=> true (=> ?v_3529 (=> true (=> ?v_3532 (=> (= lockStatus_0.19 0) ?v_3530))))) (=> true (=> (not ?v_3529) (and (=> true (=> ?v_3531 (=> true (=> (= lockStatus_1.19 0) ?v_3533)))) (=> true (=> (not ?v_3531) (=> true (=> ?v_3532 ?v_3533))))))))))))) (=> true (=> (not ?v_3534) (=> true (=> (= lockStatus_1.20 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.20 lockStatus_0.15) (=> (= k.139 k.137) (=> true (=> true (=> true ?v_3535))))))))))))) (let ((?v_3540 (=> true (=> true (=> true (=> true ?v_3538))))) (?v_3539 (= k.137 1)) (?v_3537 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3536 (= k.137 0))) (let ((?v_3541 (=> true (=> (<= k.136 k.137) (=> (< k.137 2) (and (=> true (=> ?v_3536 (=> (= inline.ReleaseDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3537))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.0) ?v_3538))))) (=> true (=> (not ?v_3536) (and (=> true (=> ?v_3539 (=> (= inline.ReleaseDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3537))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.1) ?v_3540))))) (=> true (=> (not ?v_3539) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0) ?v_3540))))))))))))) (let ((?v_3549 (and (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.0) ?v_3541)))) (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3542 ?v_277) (=> (=> ?v_3543 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> true (=> true ?v_3541))))))) (=> true (=> (=> ?v_3542 ?v_380) (=> (=> ?v_3543 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.21 lockStatus_1.15) (=> (= lockStatus_0.21 lockStatus_0.15) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= k.140 k.136) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0) (=> true (=> true (=> true ?v_3544)))))))))))))))))))) (?v_3551 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_3552 (= errorReached.79 errorReached.74))) (let ((?v_3553 (=> (= k.136 k.126) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3549))))))))))) (?v_3555 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hdevice)) (?v_3554 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hqueue)) (?v_3550 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 htimer)) (?v_3548 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hrequest)) (?v_3547 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call32977formal.ret.0) (=> (= errorReached.79 errorReached.75) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.136 k.127) ?v_3549)))))) (?v_3545 (= k.127 0)) (?v_3546 (= k.127 1))) (let ((?v_3557 (and (=> true (=> ?v_3548 (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> (=> ?v_3545 ?v_3436) (=> (=> ?v_3546 ?v_3437) (=> true (=> (= errorReached.75 1) ?v_3547))))) (=> true (=> (=> ?v_3545 ?v_3474) (=> (=> ?v_3546 ?v_3476) (=> true (=> (= errorReached.75 errorReached.74) (=> true ?v_3547)))))))))))) (=> true (=> (not ?v_3548) (and (=> true (=> ?v_3550 (=> true (=> ?v_3551 (=> ?v_3552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3553)))))) (=> true (=> (not ?v_3550) (and (=> true (=> ?v_3554 (=> true (=> ?v_3551 (=> ?v_3552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3553)))))) (=> true (=> (not ?v_3554) (and (=> true (=> ?v_3555 (=> true (=> ?v_3551 (=> ?v_3552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3553)))))) (=> true (=> (not ?v_3555) (=> true (=> ?v_3551 (=> ?v_3552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3553)))))))))))))))))) (let ((?v_3559 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3557)))))))))))) (?v_3558 (= k.126 1)) (?v_3556 (= k.126 0))) (let ((?v_3571 (=> true (=> (<= k.125 k.126) (=> (< k.126 2) (and (=> true (=> ?v_3556 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.9) ?v_3557))))) (=> true (=> (not ?v_3556) (and (=> true (=> ?v_3558 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.10) ?v_3559))))) (=> true (=> (not ?v_3558) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) ?v_3559)))))))))))) (?v_3567 (= k.123 0)) (?v_3439 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3568 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3439)) hrequest)) (?v_3569 (= k.123 1)) (?v_3570 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3439)) hrequest)) (?v_3562 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= k.125 k.124) ?v_3571)))))) (let ((?v_3566 (=> true ?v_3562)) (?v_3564 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3565 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3563 (= k.124 1)) (?v_3561 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2284 (int_2_U 1)) (?v_3560 (= k.124 0))) (let ((?v_3586 (and (=> true (=> (=> ?v_3567 ?v_3568) (=> (=> ?v_3569 ?v_3570) (=> true (=> (<= k.123 k.124) (=> (< k.124 2) (and (=> true (=> ?v_3560 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3561 ?v_2284)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) (=> ?v_3565 ?v_3562)))))) (=> true (=> (not ?v_3560) (and (=> true (=> ?v_3563 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3561 ?v_2284)) (=> true (=> ?v_3564 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_3566)))))) (=> true (=> (not ?v_3563) (=> true (=> ?v_3564 (=> ?v_3565 ?v_3566))))))))))))))) (=> true (=> (=> ?v_3567 (not ?v_3568)) (=> (=> ?v_3569 (not ?v_3570)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> (= k.125 k.123) ?v_3571))))))))) (?v_3584 (= k.119 0)) (?v_3585 (= k.119 1))) (let ((?v_3577 (=> true (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call32807formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_1.15 lockStatus_1.14) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= k.123 k.122) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.2) ?v_3586))))))))))) (?v_3576 (= inline.AcquireDpcLock.5.myVar_0.2 hlock))) (let ((?v_3573 (=> true (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call32755formal.ret.0) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= k.122 k.121) ?v_3577)))))) (?v_3574 (= lockStatus_1.13 lockStatus_1.12))) (let ((?v_3575 (=> (= lockStatus_0.13 lockStatus_0.12) (=> true ?v_3573))) (?v_3572 (= k.121 1)) (?v_3438 (= k.121 0))) (let ((?v_3580 (and (=> true (=> ?v_3576 (=> true (=> (<= k.120 k.121) (=> (< k.121 2) (=> true (=> (=> ?v_3438 (= lockStatus_0.12 0)) (=> (=> ?v_3572 (= lockStatus_1.12 0)) (and (=> true (=> ?v_3438 (=> true (=> ?v_3574 (=> (= lockStatus_0.13 1) ?v_3573))))) (=> true (=> (not ?v_3438) (and (=> true (=> ?v_3572 (=> true (=> (= lockStatus_1.13 1) ?v_3575)))) (=> true (=> (not ?v_3572) (=> true (=> ?v_3574 ?v_3575)))))))))))))))) (=> true (=> (not ?v_3576) (=> true (=> (= lockStatus_1.14 lockStatus_1.12) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.14 lockStatus_0.12) (=> (= k.122 k.120) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3577)))))))))))))))) (let ((?v_3582 (=> true (=> true (=> true (=> true ?v_3580))))) (?v_3581 (= k.120 1)) (?v_3579 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3578 (= k.120 0))) (let ((?v_3583 (=> true (=> (<= k.119 k.120) (=> (< k.120 2) (and (=> true (=> ?v_3578 (=> (= inline.AcquireDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3579))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.0) ?v_3580))))) (=> true (=> (not ?v_3578) (and (=> true (=> ?v_3581 (=> (= inline.AcquireDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3579))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.1) ?v_3582))))) (=> true (=> (not ?v_3581) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0) ?v_3582))))))))))))) (let ((?v_3591 (and (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.1) ?v_3583)))) (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3584 ?v_277) (=> (=> ?v_3585 ?v_278) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.0) ?v_3583))))) (=> true (=> (=> ?v_3584 ?v_380) (=> (=> ?v_3585 ?v_382) (=> true (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.15 lockStatus_1.12) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.15 lockStatus_0.12) (=> (= k.123 k.119) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.0) (=> true (=> true (=> true (=> true ?v_3586))))))))))))))))))))))) (let ((?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.) (=> (= errorReached.74 errorReached.72) (=> (= k.119 k.117) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3591))))))))))))) (?v_3595 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hdevice)) (?v_3594 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hqueue)) (?v_3592 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 htimer)) (?v_3590 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hrequest)) (?v_3589 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 call32515formal.ret.0) (=> (= errorReached.74 errorReached.73) (=> (= k.119 k.118) ?v_3591)))))) (?v_3587 (= k.118 0)) (?v_3588 (= k.118 1))) (let ((?v_3597 (and (=> true (=> ?v_3590 (=> true (=> (<= k.117 k.118) (=> (< k.118 2) (and (=> true (=> (=> ?v_3587 ?v_3436) (=> (=> ?v_3588 ?v_3437) (=> true (=> (= errorReached.73 1) ?v_3589))))) (=> true (=> (=> ?v_3587 ?v_3474) (=> (=> ?v_3588 ?v_3476) (=> true (=> (= errorReached.73 errorReached.72) (=> true ?v_3589)))))))))))) (=> true (=> (not ?v_3590) (and (=> true (=> ?v_3592 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3593)))) (=> true (=> (not ?v_3592) (and (=> true (=> ?v_3594 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3593)))) (=> true (=> (not ?v_3594) (and (=> true (=> ?v_3595 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3593)))) (=> true (=> (not ?v_3595) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3593)))))))))))))))) (let ((?v_3599 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3597)))))))))))) (?v_3598 (= k.117 1)) (?v_3596 (= k.117 0))) (let ((?v_3603 (=> true (=> (<= k.116 k.117) (=> (< k.117 2) (and (=> true (=> ?v_3596 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.6) ?v_3597))))) (=> true (=> (not ?v_3596) (and (=> true (=> ?v_3598 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.7) ?v_3599))))) (=> true (=> (not ?v_3598) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3599)))))))))))) (?v_3600 (= k.116 0)) (?v_3601 (= k.116 1))) (let ((?v_3602 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call32395formal.ret.0) ?v_3603)))) (let ((?v_3608 (and (=> true (=> (=> ?v_3600 ?v_36) (=> (=> ?v_3601 ?v_37) ?v_3602))) (=> true (=> (=> ?v_3600 ?v_617) (=> (=> ?v_3601 ?v_619) (and (=> true (=> (=> ?v_3600 ?v_524) (=> (=> ?v_3601 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3602)))))))))))) (=> true (=> (=> ?v_3600 ?v_621) (=> (=> ?v_3601 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3603))))))))))))))) (?v_3610 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_3611 (= errorReached.72 errorReached.70))) (let ((?v_3612 (=> (= k.116 k.114) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3608))))))))))) (?v_3614 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hdevice)) (?v_3613 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hqueue)) (?v_3609 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 htimer)) (?v_3607 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hrequest)) (?v_3606 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call32198formal.ret.0) (=> (= errorReached.72 errorReached.71) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.116 k.115) ?v_3608)))))) (?v_3604 (= k.115 0)) (?v_3605 (= k.115 1))) (let ((?v_3616 (and (=> true (=> ?v_3607 (=> true (=> (<= k.114 k.115) (=> (< k.115 2) (and (=> true (=> (=> ?v_3604 ?v_3436) (=> (=> ?v_3605 ?v_3437) (=> true (=> (= errorReached.71 1) ?v_3606))))) (=> true (=> (=> ?v_3604 ?v_3474) (=> (=> ?v_3605 ?v_3476) (=> true (=> (= errorReached.71 errorReached.70) (=> true ?v_3606)))))))))))) (=> true (=> (not ?v_3607) (and (=> true (=> ?v_3609 (=> true (=> ?v_3610 (=> ?v_3611 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3612)))))) (=> true (=> (not ?v_3609) (and (=> true (=> ?v_3613 (=> true (=> ?v_3610 (=> ?v_3611 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3612)))))) (=> true (=> (not ?v_3613) (and (=> true (=> ?v_3614 (=> true (=> ?v_3610 (=> ?v_3611 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3612)))))) (=> true (=> (not ?v_3614) (=> true (=> ?v_3610 (=> ?v_3611 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3612)))))))))))))))))) (let ((?v_3618 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3616)))))))))))) (?v_3617 (= k.114 1)) (?v_3615 (= k.114 0))) (let ((?v_3806 (=> true (=> (<= k.113 k.114) (=> (< k.114 2) (and (=> true (=> ?v_3615 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 ?v_3435) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.3) ?v_3616))))) (=> true (=> (not ?v_3615) (and (=> true (=> ?v_3617 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 ?v_3505) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.4) ?v_3618))))) (=> true (=> (not ?v_3617) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) ?v_3618)))))))))))) (?v_3809 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3810 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3811 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3812 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_3813 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3814 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3815 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3816 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3817 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3818 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3819 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3820 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3821 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3822 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_3823 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3824 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3825 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3826 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3827 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_3828 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_3829 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3830 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3831 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3832 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3833 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3834 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3835 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3836 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3837 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3838 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_3839 (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3840 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3841 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3842 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3843 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_3844 (= reqCompleted_0.5 reqCompleted_0)) (?v_3845 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3846 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3847 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_3848 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3849 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3850 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3851 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3852 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_3853 (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0)) (?v_3854 (= lockStatus_1.12 lockStatus_1.5)) (?v_3855 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3856 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3857 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3858 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3859 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_3860 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3861 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3862 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3863 (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0)) (?v_3864 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3865 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3866 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_3867 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3868 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3869 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_3870 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3871 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3872 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3873 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3874 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3875 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3876 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3877 (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0)) (?v_3878 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3879 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3880 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_3881 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3882 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3883 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3884 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3885 (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0)) (?v_3886 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_3887 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_3888 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_3889 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3890 (= reqCompleted_1.5 reqCompleted_1)) (?v_3891 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3892 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3893 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_3894 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3895 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3896 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3897 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_3898 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3899 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3900 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_3901 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3902 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_3903 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3904 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3905 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3906 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3907 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3908 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3909 (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_3910 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_3911 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3912 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3913 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3914 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3915 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3916 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_3917 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_3918 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_3919 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3920 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3921 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3922 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3923 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3924 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3925 (= lockStatus_0.12 lockStatus_0.5)) (?v_3926 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_3927 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3928 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3929 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_3930 (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0)) (?v_3931 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3932 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3933 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3934 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3935 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3936 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3937 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_3938 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext))) (let ((?v_3939 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0) (=> true ?v_3806))))) (let ((?v_3945 (=> true (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> (= k.113 k.76) (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0) (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> (= reqCancelSet_0.9 reqCancelSet_0.5) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_3857 (=> (= reqCancelSet_1.9 reqCancelSet_1.5) (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> (= errorReached.70 errorReached.48) (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) ?v_3939))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3941 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call34378formal.ret.0) (=> (= errorReached.48 errorReached.47) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= k.76 k.73) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) ?v_3945))))))) (?v_3942 (= reqCancelSet_1.4 reqCancelSet_1))) (let ((?v_3943 (=> (= reqCancelSet_0.4 reqCancelSet_0) (=> true ?v_3941))) (?v_3940 (= k.73 1)) (?v_3808 (= k.73 0))) (let ((?v_3944 (and (=> true (=> ?v_3808 (=> true (=> ?v_3942 (=> (= reqCancelSet_0.4 1) ?v_3941))))) (=> true (=> (not ?v_3808) (and (=> true (=> ?v_3940 (=> true (=> (= reqCancelSet_1.4 1) ?v_3943)))) (=> true (=> (not ?v_3940) (=> true (=> ?v_3942 ?v_3943))))))))) (?v_3807 (= (BINARY_BOTH_INT call29332formal.ret.0 2) 0)) (?v_3802 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3803 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3804 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3805 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call29356formal.ret.0)) (?v_3801 (= call29356formal.ret.0 ?v_334))) (let ((?v_3638 (=> true (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= k.113 k.112) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> ?v_3802 (=> (= lockStatus_1.12 lockStatus_1.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_0.9 reqCancelSet_0.8) (=> ?v_3803 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= reqCancelSet_1.9 reqCancelSet_1.8) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0.3) (=> ?v_3804 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0.3) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.3) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_0.12 lockStatus_0.11) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= errorReached.70 errorReached.69) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_3805 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.3) ?v_3806))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3643 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= reqCompleted_0.4 reqCompleted_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= reqCancelSet_0.8 reqCancelSet_0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= reqCancelSet_1.8 reqCancelSet_1) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= errorReached.69 errorReached.67) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= k.112 k.110) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCompleted_1.4 reqCompleted_1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> true (=> true (=> true ?v_3638)))))))))))))))))))))))))))))))))))))) (?v_3645 (= k.110 k.105)) (?v_3646 (= errorReached.67 errorReached.62))) (let ((?v_3647 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3643)))))))))))))))))))) (?v_3649 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_3648 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_3644 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_3642 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_3641 (=> true (=> (= k.110 k.107) (=> (= errorReached.67 errorReached.64) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 call31616formal.ret.0) ?v_3643)))))) (?v_3639 (= k.107 0)) (?v_3640 (= k.107 1)) (?v_3637 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_3630 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= reqCancelSet_0.8 reqCancelSet_0.7) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= reqCancelSet_1.8 reqCancelSet_1.7) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= errorReached.69 errorReached.68) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= k.112 k.111) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) ?v_3638)))))))))))))))))))))))))))))))))))) (let ((?v_3620 (=> true (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= errorReached.68 errorReached.66) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 call31979formal.ret.0) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= k.111 k.109) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) ?v_3630))))))))) (?v_3621 (= reqCancelSet_1.6 reqCancelSet_1))) (let ((?v_3622 (=> (= reqCancelSet_0.6 reqCancelSet_0) (=> true ?v_3620))) (?v_3619 (= k.109 1))) (let ((?v_3625 (not ?v_3619)) (?v_3434 (= k.109 0))) (let ((?v_3623 (not ?v_3434))) (let ((?v_3624 (and (=> true (=> ?v_3434 (=> true (=> ?v_3621 (=> (= reqCancelSet_0.6 0) ?v_3620))))) (=> true (=> ?v_3623 (and (=> true (=> ?v_3619 (=> true (=> (= reqCancelSet_1.6 0) ?v_3622)))) (=> true (=> ?v_3625 (=> true (=> ?v_3621 ?v_3622)))))))))) (let ((?v_3628 (=> true (=> true ?v_3624))) (?v_3626 (= reqCompleted_0.2 reqCompleted_0)) (?v_3627 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_3629 (and (=> true (=> ?v_3434 (=> true (=> (= reqCompleted_0.2 1) (=> ?v_3627 ?v_3624))))) (=> true (=> ?v_3623 (and (=> true (=> ?v_3619 (=> true (=> ?v_3626 (=> (= reqCompleted_1.2 1) ?v_3628))))) (=> true (=> ?v_3625 (=> true (=> ?v_3626 (=> ?v_3627 ?v_3628))))))))))) (let ((?v_3631 (and (=> true (=> ?v_25 (=> true (=> (<= k.108 k.109) (=> (< k.109 2) (and (=> true (=> (=> ?v_3434 ?v_8) (=> (=> ?v_3619 ?v_9) (=> true (=> (= errorReached.66 1) ?v_3629))))) (=> true (=> (=> ?v_3434 ?v_2) (=> (=> ?v_3619 ?v_3) (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_3629)))))))))))) (=> true (=> ?v_471 (=> true (=> (= reqCancelSet_1.7 reqCancelSet_1) (=> (= errorReached.68 errorReached.65) (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_1.3 reqCompleted_1) (=> (= k.111 k.108) (=> (= reqCancelSet_0.7 reqCancelSet_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3630))))))))))))))))))) (let ((?v_3635 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2) ?v_3631)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3631))))))))))))))))) (let ((?v_3636 (=> (= errorReached.65 errorReached.62) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= k.108 k.105) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3635))))))))))))) (?v_3634 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.65 errorReached.63) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call31828formal.ret.0) (=> (= k.108 k.106) ?v_3635)))))) (?v_3632 (= k.106 0)) (?v_3633 (= k.106 1))) (let ((?v_3652 (and (=> true (=> (not ?v_3637) (and (=> true (=> ?v_25 (=> true (=> (<= k.105 k.106) (=> (< k.106 2) (and (=> true (=> (=> ?v_3632 ?v_8) (=> (=> ?v_3633 ?v_9) (=> true (=> (= errorReached.63 1) ?v_3634))))) (=> true (=> (=> ?v_3632 ?v_2) (=> (=> ?v_3633 ?v_3) (=> true (=> (= errorReached.63 errorReached.62) (=> true ?v_3634)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3636)))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3636)))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3636)))) (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3636)))))))))))))))) (=> true (=> ?v_3637 (and (=> true (=> ?v_3642 (=> true (=> (<= k.105 k.107) (=> (< k.107 2) (and (=> true (=> (=> ?v_3639 ?v_8) (=> (=> ?v_3640 ?v_9) (=> true (=> (= errorReached.64 1) ?v_3641))))) (=> true (=> (=> ?v_3639 ?v_2) (=> (=> ?v_3640 ?v_3) (=> true (=> (= errorReached.64 errorReached.62) (=> true ?v_3641)))))))))))) (=> true (=> (not ?v_3642) (and (=> true (=> ?v_3644 (=> true (=> ?v_3645 (=> ?v_3646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3647)))))) (=> true (=> (not ?v_3644) (and (=> true (=> ?v_3648 (=> true (=> ?v_3645 (=> ?v_3646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3647)))))) (=> true (=> (not ?v_3648) (and (=> true (=> ?v_3649 (=> true (=> ?v_3645 (=> ?v_3646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3647)))))) (=> true (=> (not ?v_3649) (=> true (=> ?v_3645 (=> ?v_3646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3647))))))))))))))))))))) (let ((?v_3653 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3652))))))) (?v_3650 (= k.105 0)) (?v_3651 (= k.105 1))) (let ((?v_3658 (and (=> true (=> (=> ?v_3650 ?v_36) (=> (=> ?v_3651 ?v_37) ?v_3652))) (=> true (=> (=> ?v_3650 ?v_617) (=> (=> ?v_3651 ?v_619) (and (=> true (=> (=> ?v_3650 ?v_524) (=> (=> ?v_3651 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3653)))))))))))) (=> true (=> (=> ?v_3650 ?v_621) (=> (=> ?v_3651 ?v_622) ?v_3653))))))))) (?v_3660 (= errorReached.62 errorReached.60)) (?v_3661 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.))) (let ((?v_3662 (=> (= k.105 k.103) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3658))))))))))) (?v_3664 (= inline.EvtRequestChildCancel.1.myVar_0.14 hdevice)) (?v_3663 (= inline.EvtRequestChildCancel.1.myVar_0.14 hqueue)) (?v_3659 (= inline.EvtRequestChildCancel.1.myVar_0.14 htimer)) (?v_3657 (= inline.EvtRequestChildCancel.1.myVar_0.14 hrequest)) (?v_3656 (=> true (=> (= errorReached.62 errorReached.61) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 call31326formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.105 k.104) ?v_3658)))))) (?v_3654 (= k.104 0)) (?v_3655 (= k.104 1))) (let ((?v_3667 (and (=> true (=> ?v_3657 (=> true (=> (<= k.103 k.104) (=> (< k.104 2) (and (=> true (=> (=> ?v_3654 ?v_8) (=> (=> ?v_3655 ?v_9) (=> true (=> (= errorReached.61 1) ?v_3656))))) (=> true (=> (=> ?v_3654 ?v_2) (=> (=> ?v_3655 ?v_3) (=> true (=> (= errorReached.61 errorReached.60) (=> true ?v_3656)))))))))))) (=> true (=> (not ?v_3657) (and (=> true (=> ?v_3659 (=> true (=> ?v_3660 (=> ?v_3661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3662)))))) (=> true (=> (not ?v_3659) (and (=> true (=> ?v_3663 (=> true (=> ?v_3660 (=> ?v_3661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3662)))))) (=> true (=> (not ?v_3663) (and (=> true (=> ?v_3664 (=> true (=> ?v_3660 (=> ?v_3661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3662)))))) (=> true (=> (not ?v_3664) (=> true (=> ?v_3660 (=> ?v_3661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3662)))))))))))))))))) (let ((?v_3669 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3667)))))))))))) (?v_3668 (= k.103 1)) (?v_3666 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3698 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3666))) (?v_3665 (= k.103 0)) (?v_3432 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3666)))) (let ((?v_3685 (=> true (=> (<= k.102 k.103) (=> (< k.103 2) (and (=> true (=> ?v_3665 (=> (= inline.EvtRequestChildCancel.1.myVar_0.13 ?v_3432) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.13) ?v_3667))))) (=> true (=> (not ?v_3665) (and (=> true (=> ?v_3668 (=> (= inline.EvtRequestChildCancel.1.myVar_0.12 ?v_3698) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.12) ?v_3669))))) (=> true (=> (not ?v_3668) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.11) ?v_3669)))))))))))) (?v_3683 (= k.98 0)) (?v_3684 (= k.98 1))) (let ((?v_3676 (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.2) (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= k.102 k.101) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0.2) ?v_3685)))))))))) (?v_3675 (= inline.ReleaseDpcLock.5.myVar_0.2 hlock))) (let ((?v_3671 (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 call31179formal.ret.0) (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= lockStatus_0.10 lockStatus_0.9) (=> (= k.101 k.100) ?v_3676)))))) (?v_3673 (= lockStatus_1.9 lockStatus_1.8))) (let ((?v_3674 (=> (= lockStatus_0.9 lockStatus_0.8) (=> true ?v_3671))) (?v_3672 (= k.100 1)) (?v_3670 (= k.100 0))) (let ((?v_3679 (and (=> true (=> ?v_3675 (=> true (=> (<= k.99 k.100) (=> (< k.100 2) (and (=> true (=> ?v_3670 (=> true (=> ?v_3673 (=> (= lockStatus_0.9 0) ?v_3671))))) (=> true (=> (not ?v_3670) (and (=> true (=> ?v_3672 (=> true (=> (= lockStatus_1.9 0) ?v_3674)))) (=> true (=> (not ?v_3672) (=> true (=> ?v_3673 ?v_3674))))))))))))) (=> true (=> (not ?v_3675) (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.10 lockStatus_1.8) (=> (= lockStatus_0.10 lockStatus_0.8) (=> (= k.101 k.99) (=> true (=> true (=> true ?v_3676))))))))))))) (let ((?v_3681 (=> true (=> true (=> true (=> true ?v_3679))))) (?v_3680 (= k.99 1)) (?v_3678 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3677 (= k.99 0))) (let ((?v_3682 (=> true (=> (<= k.98 k.99) (=> (< k.99 2) (and (=> true (=> ?v_3677 (=> (= inline.ReleaseDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3678))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.1) ?v_3679))))) (=> true (=> (not ?v_3677) (and (=> true (=> ?v_3680 (=> (= inline.ReleaseDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3678))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.0) ?v_3681))))) (=> true (=> (not ?v_3680) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0) ?v_3681))))))))))))) (let ((?v_3690 (and (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.1) ?v_3682)))) (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3683 ?v_277) (=> (=> ?v_3684 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.0) (=> true (=> true ?v_3682))))))) (=> true (=> (=> ?v_3683 ?v_380) (=> (=> ?v_3684 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.0) (=> (= lockStatus_1.11 lockStatus_1.8) (=> (= lockStatus_0.11 lockStatus_0.8) (=> (= k.102 k.98) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0) (=> true (=> true (=> true ?v_3685)))))))))))))))))))) (?v_3692 (= errorReached.60 errorReached.58)) (?v_3693 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.))) (let ((?v_3694 (=> (= k.98 k.96) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3690))))))))))) (?v_3696 (= inline.EvtRequestChildCancel.1.myVar_0.11 hdevice)) (?v_3695 (= inline.EvtRequestChildCancel.1.myVar_0.11 hqueue)) (?v_3691 (= inline.EvtRequestChildCancel.1.myVar_0.11 htimer)) (?v_3689 (= inline.EvtRequestChildCancel.1.myVar_0.11 hrequest)) (?v_3688 (=> true (=> (= errorReached.60 errorReached.59) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call30937formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.98 k.97) ?v_3690)))))) (?v_3686 (= k.97 0)) (?v_3687 (= k.97 1))) (let ((?v_3699 (and (=> true (=> ?v_3689 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> (=> ?v_3686 ?v_8) (=> (=> ?v_3687 ?v_9) (=> true (=> (= errorReached.59 1) ?v_3688))))) (=> true (=> (=> ?v_3686 ?v_2) (=> (=> ?v_3687 ?v_3) (=> true (=> (= errorReached.59 errorReached.58) (=> true ?v_3688)))))))))))) (=> true (=> (not ?v_3689) (and (=> true (=> ?v_3691 (=> true (=> ?v_3692 (=> ?v_3693 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3694)))))) (=> true (=> (not ?v_3691) (and (=> true (=> ?v_3695 (=> true (=> ?v_3692 (=> ?v_3693 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3694)))))) (=> true (=> (not ?v_3695) (and (=> true (=> ?v_3696 (=> true (=> ?v_3692 (=> ?v_3693 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3694)))))) (=> true (=> (not ?v_3696) (=> true (=> ?v_3692 (=> ?v_3693 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3694)))))))))))))))))) (let ((?v_3701 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3699)))))))))))) (?v_3700 (= k.96 1)) (?v_3697 (= k.96 0))) (let ((?v_3704 (=> true (=> (<= k.95 k.96) (=> (< k.96 2) (and (=> true (=> ?v_3697 (=> (= inline.EvtRequestChildCancel.1.myVar_0.10 ?v_3432) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.10) ?v_3699))))) (=> true (=> (not ?v_3697) (and (=> true (=> ?v_3700 (=> (= inline.EvtRequestChildCancel.1.myVar_0.9 ?v_3698) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.9) ?v_3701))))) (=> true (=> (not ?v_3700) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.8) ?v_3701))))))))))))) (let ((?v_3708 (=> true (=> true ?v_3704))) (?v_3706 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3707 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3705 (= k.95 1)) (?v_3703 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3702 (= k.95 0))) (let ((?v_3711 (=> true (=> (<= k.94 k.95) (=> (< k.95 2) (and (=> true (=> ?v_3702 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3703 ?v_60)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> ?v_3707 ?v_3704)))))) (=> true (=> (not ?v_3702) (and (=> true (=> ?v_3705 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3703 ?v_60)) (=> true (=> ?v_3706 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_3708)))))) (=> true (=> (not ?v_3705) (=> true (=> ?v_3706 (=> ?v_3707 ?v_3708)))))))))))))) (let ((?v_3715 (=> true ?v_3711)) (?v_3713 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3714 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3712 (= k.94 1)) (?v_3710 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3709 (= k.94 0))) (let ((?v_3730 (=> true (=> (<= k.93 k.94) (=> (< k.94 2) (and (=> true (=> ?v_3709 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3710 ?v_60)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) (=> ?v_3714 ?v_3711)))))) (=> true (=> (not ?v_3709) (and (=> true (=> ?v_3712 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3710 ?v_60)) (=> true (=> ?v_3713 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3715)))))) (=> true (=> (not ?v_3712) (=> true (=> ?v_3713 (=> ?v_3714 ?v_3715))))))))))))) (?v_3728 (= k.89 0)) (?v_3729 (= k.89 1))) (let ((?v_3721 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.2) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0.2) (=> (= k.93 k.92) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call30737formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myVar_0.2) ?v_3730))))))))))) (?v_3720 (= inline.AcquireDpcLock.4.myVar_0.2 hlock))) (let ((?v_3717 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 call30685formal.ret.0) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= k.92 k.91) ?v_3721)))))) (?v_3718 (= lockStatus_1.6 lockStatus_1.5))) (let ((?v_3719 (=> (= lockStatus_0.6 lockStatus_0.5) (=> true ?v_3717))) (?v_3716 (= k.91 1)) (?v_3433 (= k.91 0))) (let ((?v_3724 (and (=> true (=> ?v_3720 (=> true (=> (<= k.90 k.91) (=> (< k.91 2) (=> true (=> (=> ?v_3433 (= lockStatus_0.5 0)) (=> (=> ?v_3716 (= lockStatus_1.5 0)) (and (=> true (=> ?v_3433 (=> true (=> ?v_3718 (=> (= lockStatus_0.6 1) ?v_3717))))) (=> true (=> (not ?v_3433) (and (=> true (=> ?v_3716 (=> true (=> (= lockStatus_1.6 1) ?v_3719)))) (=> true (=> (not ?v_3716) (=> true (=> ?v_3718 ?v_3719)))))))))))))))) (=> true (=> (not ?v_3720) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.7 lockStatus_1.5) (=> (= lockStatus_0.7 lockStatus_0.5) (=> (= k.92 k.90) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3721)))))))))))))))) (let ((?v_3726 (=> true (=> true (=> true (=> true ?v_3724))))) (?v_3725 (= k.90 1)) (?v_3723 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3722 (= k.90 0))) (let ((?v_3727 (=> true (=> (<= k.89 k.90) (=> (< k.90 2) (and (=> true (=> ?v_3722 (=> (= inline.AcquireDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3723))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.0) ?v_3724))))) (=> true (=> (not ?v_3722) (and (=> true (=> ?v_3725 (=> (= inline.AcquireDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3723))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.1) ?v_3726))))) (=> true (=> (not ?v_3725) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0) ?v_3726))))))))))))) (let ((?v_3735 (and (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.1) ?v_3727)))) (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3728 ?v_277) (=> (=> ?v_3729 ?v_278) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.0) ?v_3727))))) (=> true (=> (=> ?v_3728 ?v_380) (=> (=> ?v_3729 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.0) (=> (= lockStatus_1.8 lockStatus_1.5) (=> (= lockStatus_0.8 lockStatus_0.5) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0) (=> (= k.93 k.89) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> true (=> true (=> true ?v_3730)))))))))))))))))))))) (let ((?v_3740 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3735)))))))))) (?v_3737 (= errorReached.58 errorReached.56)) (?v_3738 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3739 (= k.89 k.87)) (?v_3742 (= inline.EvtRequestChildCancel.1.myVar_0.8 hdevice)) (?v_3741 (= inline.EvtRequestChildCancel.1.myVar_0.8 hqueue)) (?v_3736 (= inline.EvtRequestChildCancel.1.myVar_0.8 htimer)) (?v_3734 (= inline.EvtRequestChildCancel.1.myVar_0.8 hrequest)) (?v_3733 (=> true (=> (= errorReached.58 errorReached.57) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call30445formal.ret.0) (=> (= k.89 k.88) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3735)))))) (?v_3731 (= k.88 0)) (?v_3732 (= k.88 1))) (let ((?v_3744 (and (=> true (=> ?v_3734 (=> true (=> (<= k.87 k.88) (=> (< k.88 2) (and (=> true (=> (=> ?v_3731 ?v_8) (=> (=> ?v_3732 ?v_9) (=> true (=> (= errorReached.57 1) ?v_3733))))) (=> true (=> (=> ?v_3731 ?v_2) (=> (=> ?v_3732 ?v_3) (=> true (=> (= errorReached.57 errorReached.56) (=> true ?v_3733)))))))))))) (=> true (=> (not ?v_3734) (and (=> true (=> ?v_3736 (=> true (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3740))))))) (=> true (=> (not ?v_3736) (and (=> true (=> ?v_3741 (=> true (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3740))))))) (=> true (=> (not ?v_3741) (and (=> true (=> ?v_3742 (=> true (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3740))))))) (=> true (=> (not ?v_3742) (=> true (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3740))))))))))))))))))) (let ((?v_3746 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3744)))))))))))) (?v_3745 (= k.87 1)) (?v_3743 (= k.87 0))) (let ((?v_3750 (=> true (=> (<= k.86 k.87) (=> (< k.87 2) (and (=> true (=> ?v_3743 (=> (= inline.EvtRequestChildCancel.1.myVar_0.7 ?v_3432) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.7) ?v_3744))))) (=> true (=> (not ?v_3743) (and (=> true (=> ?v_3745 (=> (= inline.EvtRequestChildCancel.1.myVar_0.6 ?v_3698) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.6) ?v_3746))))) (=> true (=> (not ?v_3745) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.5) ?v_3746)))))))))))) (?v_3747 (= k.86 0)) (?v_3748 (= k.86 1))) (let ((?v_3749 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call30325formal.ret.0) ?v_3750)))) (let ((?v_3755 (and (=> true (=> (=> ?v_3747 ?v_36) (=> (=> ?v_3748 ?v_37) ?v_3749))) (=> true (=> (=> ?v_3747 ?v_617) (=> (=> ?v_3748 ?v_619) (and (=> true (=> (=> ?v_3747 ?v_524) (=> (=> ?v_3748 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3749)))))))))))) (=> true (=> (=> ?v_3747 ?v_621) (=> (=> ?v_3748 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3750)))))))))))))))) (let ((?v_3757 (=> (= errorReached.56 errorReached.54) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= k.86 k.84) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3755))))))))))))) (?v_3759 (= inline.EvtRequestChildCancel.1.myVar_0.5 hdevice)) (?v_3758 (= inline.EvtRequestChildCancel.1.myVar_0.5 hqueue)) (?v_3756 (= inline.EvtRequestChildCancel.1.myVar_0.5 htimer)) (?v_3754 (= inline.EvtRequestChildCancel.1.myVar_0.5 hrequest)) (?v_3753 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.56 errorReached.55) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call30128formal.ret.0) (=> (= k.86 k.85) ?v_3755)))))) (?v_3751 (= k.85 0)) (?v_3752 (= k.85 1))) (let ((?v_3761 (and (=> true (=> ?v_3754 (=> true (=> (<= k.84 k.85) (=> (< k.85 2) (and (=> true (=> (=> ?v_3751 ?v_8) (=> (=> ?v_3752 ?v_9) (=> true (=> (= errorReached.55 1) ?v_3753))))) (=> true (=> (=> ?v_3751 ?v_2) (=> (=> ?v_3752 ?v_3) (=> true (=> (= errorReached.55 errorReached.54) (=> true ?v_3753)))))))))))) (=> true (=> (not ?v_3754) (and (=> true (=> ?v_3756 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3757)))) (=> true (=> (not ?v_3756) (and (=> true (=> ?v_3758 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3757)))) (=> true (=> (not ?v_3758) (and (=> true (=> ?v_3759 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3757)))) (=> true (=> (not ?v_3759) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3757)))))))))))))))) (let ((?v_3763 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3761)))))))))))) (?v_3762 (= k.84 1)) (?v_3760 (= k.84 0))) (let ((?v_3767 (=> true (=> (<= k.83 k.84) (=> (< k.84 2) (and (=> true (=> ?v_3760 (=> (= inline.EvtRequestChildCancel.1.myVar_0.3 ?v_3432) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.3) ?v_3761))))) (=> true (=> (not ?v_3760) (and (=> true (=> ?v_3762 (=> (= inline.EvtRequestChildCancel.1.myVar_0.4 ?v_3698) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.4) ?v_3763))))) (=> true (=> (not ?v_3762) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3763)))))))))))) (?v_3768 (= errorReached.54 errorReached.52))) (let ((?v_3769 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> (= k.83 k.81) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3767)))))))))))) (?v_3766 (=> true (=> (= errorReached.54 errorReached.53) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call29917formal.ret.0) (=> (= k.83 k.82) ?v_3767)))))) (?v_3764 (= k.82 0)) (?v_3765 (= k.82 1))) (let ((?v_3774 (and (=> true (=> ?v_25 (=> true (=> (<= k.81 k.82) (=> (< k.82 2) (and (=> true (=> (=> ?v_3764 ?v_8) (=> (=> ?v_3765 ?v_9) (=> true (=> (= errorReached.53 1) ?v_3766))))) (=> true (=> (=> ?v_3764 ?v_2) (=> (=> ?v_3765 ?v_3) (=> true (=> (= errorReached.53 errorReached.52) (=> true ?v_3766)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3769))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3769))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3769))))) (=> true (=> ?v_507 (=> true (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3769)))))))))))))))) (?v_3776 (= errorReached.52 errorReached.50)) (?v_3777 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.))) (let ((?v_3778 (=> (= k.81 k.79) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3774)))))))))))))))))) (?v_3780 (= inline.EvtRequestChildCancel.1.myVar_0.2 hdevice)) (?v_3779 (= inline.EvtRequestChildCancel.1.myVar_0.2 hqueue)) (?v_3775 (= inline.EvtRequestChildCancel.1.myVar_0.2 htimer)) (?v_3773 (= inline.EvtRequestChildCancel.1.myVar_0.2 hrequest)) (?v_3772 (=> true (=> (= errorReached.52 errorReached.51) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 call29746formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.81 k.80) ?v_3774)))))) (?v_3770 (= k.80 0)) (?v_3771 (= k.80 1))) (let ((?v_3783 (and (=> true (=> ?v_3773 (=> true (=> (<= k.79 k.80) (=> (< k.80 2) (and (=> true (=> (=> ?v_3770 ?v_8) (=> (=> ?v_3771 ?v_9) (=> true (=> (= errorReached.51 1) ?v_3772))))) (=> true (=> (=> ?v_3770 ?v_2) (=> (=> ?v_3771 ?v_3) (=> true (=> (= errorReached.51 errorReached.50) (=> true ?v_3772)))))))))))) (=> true (=> (not ?v_3773) (and (=> true (=> ?v_3775 (=> true (=> ?v_3776 (=> ?v_3777 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3778)))))) (=> true (=> (not ?v_3775) (and (=> true (=> ?v_3779 (=> true (=> ?v_3776 (=> ?v_3777 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3778)))))) (=> true (=> (not ?v_3779) (and (=> true (=> ?v_3780 (=> true (=> ?v_3776 (=> ?v_3777 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3778)))))) (=> true (=> (not ?v_3780) (=> true (=> ?v_3776 (=> ?v_3777 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3778)))))))))))))))))) (let ((?v_3785 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3783)))))))) (?v_3784 (= k.79 1)) (?v_3782 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3781 (= k.79 0))) (let ((?v_3789 (=> true (=> (<= k.78 k.79) (=> (< k.79 2) (and (=> true (=> ?v_3781 (=> (= inline.EvtRequestChildCancel.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3782))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.1) ?v_3783))))) (=> true (=> (not ?v_3781) (and (=> true (=> ?v_3784 (=> (= inline.EvtRequestChildCancel.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3782))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.0) ?v_3785))))) (=> true (=> (not ?v_3784) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0) ?v_3785))))))))))))) (let ((?v_3793 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3789)))))))))) (?v_3790 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3791 (= k.78 k.75)) (?v_3792 (= errorReached.50 errorReached.46)) (?v_3788 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 call29537formal.ret.0) (=> (= k.78 k.77) (=> (= errorReached.50 errorReached.49) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3789)))))) (?v_3786 (= k.77 0)) (?v_3787 (= k.77 1))) (let ((?v_3798 (and (=> true (=> ?v_24 (=> true (=> (<= k.75 k.77) (=> (< k.77 2) (and (=> true (=> (=> ?v_3786 ?v_8) (=> (=> ?v_3787 ?v_9) (=> true (=> (= errorReached.49 1) ?v_3788))))) (=> true (=> (=> ?v_3786 ?v_2) (=> (=> ?v_3787 ?v_3) (=> true (=> (= errorReached.49 errorReached.46) (=> true ?v_3788)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3793))))))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3793))))))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3793))))))) (=> true (=> ?v_2522 (=> true (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3793))))))))))))))))))) (let ((?v_3800 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3798)))))))))))))) (?v_3799 (= errorReached.46 errorReached.45)) (?v_3796 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call29426formal.ret.0)) (?v_3797 (= k.75 k.74)) (?v_3794 (= k.74 0)) (?v_3795 (= k.74 1)) (?v_3431 (int_2_U call29318formal.new.0))) (let ((?v_3950 (=> true (and ?v_1557 (=> ?v_1557 (=> (> call29318formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call29318formal.new.0 ?x359) (< ?x359 (+ call29318formal.new.0 1))) (= (Base ?x359) call29318formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call29318formal.new.0) (= (MapType0Select alloc.8 ?x360) (MapType0Select alloc.9 ?x360)))) :pattern ((MapType0Select alloc.9 ?x360)) )) (=> (and (= (MapType0Select alloc.8 ?v_3431) UNALLOCATED) (= (MapType0Select alloc.9 ?v_3431) ALLOCATED)) (and (=> true (=> (not ?v_3807) (and (=> true (=> ?v_3801 (and (=> true (=> ?v_25 (=> true (=> (<= k.72 k.74) (=> (< k.74 2) (and (=> true (=> (=> ?v_3794 ?v_8) (=> (=> ?v_3795 ?v_9) (=> true (=> ?v_3796 (=> (= errorReached.46 1) (=> ?v_3797 ?v_3798))))))) (=> true (=> (=> ?v_3794 ?v_2) (=> (=> ?v_3795 ?v_3) (=> true (=> ?v_3796 (=> ?v_3799 (=> ?v_3797 ?v_3800))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> ?v_3799 (=> (= k.75 k.72) ?v_3800))))))))) (=> true (=> (not ?v_3801) (=> true (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> (= k.113 k.72) (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3802 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> (= reqCancelSet_0.9 reqCancelSet_0) (=> ?v_3803 (=> ?v_3857 (=> (= reqCancelSet_1.9 reqCancelSet_1) (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3804 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> (= errorReached.70 errorReached.45) (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3805 ?v_3939)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3807 (and (=> true (=> ?v_25 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> (=> ?v_3808 ?v_8) (=> (=> ?v_3940 ?v_9) (=> true (=> (= errorReached.47 1) ?v_3944))))) (=> true (=> (=> ?v_3808 ?v_2) (=> (=> ?v_3940 ?v_3) (=> true (=> (= errorReached.47 errorReached.45) (=> true ?v_3944)))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= errorReached.48 errorReached.45) (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= k.76 k.72) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> true (=> true (=> true ?v_3945)))))))))))))))))))))))) (let ((?v_3952 (=> (= errorReached.45 errorReached.43) (=> (= k.72 k.70) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3950)))))))))))) (?v_3954 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hdevice)) (?v_3953 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hqueue)) (?v_3951 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 htimer)) (?v_3949 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hrequest)) (?v_3948 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.45 errorReached.44) (=> (= k.72 k.71) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 call29203formal.ret.0) ?v_3950)))))) (?v_3946 (= k.71 0)) (?v_3947 (= k.71 1))) (let ((?v_3957 (and (=> true (=> ?v_3949 (=> true (=> (<= k.70 k.71) (=> (< k.71 2) (and (=> true (=> (=> ?v_3946 ?v_8) (=> (=> ?v_3947 ?v_9) (=> true (=> (= errorReached.44 1) ?v_3948))))) (=> true (=> (=> ?v_3946 ?v_2) (=> (=> ?v_3947 ?v_3) (=> true (=> (= errorReached.44 errorReached.43) (=> true ?v_3948)))))))))))) (=> true (=> (not ?v_3949) (and (=> true (=> ?v_3951 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3952)))) (=> true (=> (not ?v_3951) (and (=> true (=> ?v_3953 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3952)))) (=> true (=> (not ?v_3953) (and (=> true (=> ?v_3954 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3952)))) (=> true (=> (not ?v_3954) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3952)))))))))))))))) (let ((?v_3959 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3957)))))))) (?v_3958 (= k.70 1)) (?v_3956 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3955 (= k.70 0))) (let ((?v_3963 (=> true (=> (<= k.69 k.70) (=> (< k.70 2) (and (=> true (=> ?v_3955 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3956))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.0) ?v_3957))))) (=> true (=> (not ?v_3955) (and (=> true (=> ?v_3958 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3956))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.1) ?v_3959))))) (=> true (=> (not ?v_3958) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0) ?v_3959))))))))))))) (let ((?v_3964 (=> (= errorReached.43 errorReached.41) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.) (=> (= k.69 k.67) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3963)))))))))))) (?v_3962 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.43 errorReached.42) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 call28995formal.ret.0) (=> (= k.69 k.68) ?v_3963)))))) (?v_3960 (= k.68 0)) (?v_3961 (= k.68 1))) (let ((?v_3968 (and (=> true (=> ?v_24 (=> true (=> (<= k.67 k.68) (=> (< k.68 2) (and (=> true (=> (=> ?v_3960 ?v_8) (=> (=> ?v_3961 ?v_9) (=> true (=> (= errorReached.42 1) ?v_3962))))) (=> true (=> (=> ?v_3960 ?v_2) (=> (=> ?v_3961 ?v_3) (=> true (=> (= errorReached.42 errorReached.41) (=> true ?v_3962)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3964)))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3964)))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3964)))) (=> true (=> ?v_2522 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3964))))))))))))))) (?v_3969 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_3970 (= errorReached.41 errorReached.39))) (let ((?v_3971 (=> (= k.67 k.65) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3968))))))))))))))))) (?v_3967 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 call28841formal.ret.0) (=> (= errorReached.41 errorReached.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.67 k.66) ?v_3968)))))) (?v_3965 (= k.66 0)) (?v_3966 (= k.66 1))) (let ((?v_3976 (and (=> true (=> ?v_25 (=> true (=> (<= k.65 k.66) (=> (< k.66 2) (and (=> true (=> (=> ?v_3965 ?v_8) (=> (=> ?v_3966 ?v_9) (=> true (=> (= errorReached.40 1) ?v_3967))))) (=> true (=> (=> ?v_3965 ?v_2) (=> (=> ?v_3966 ?v_3) (=> true (=> (= errorReached.40 errorReached.39) (=> true ?v_3967)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3971)))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3971)))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3971)))))) (=> true (=> ?v_507 (=> true (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3971)))))))))))))))))) (let ((?v_3978 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3976))))))))))))) (?v_3977 (= errorReached.39 errorReached.38)) (?v_3974 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 call28731formal.ret.0)) (?v_3975 (= k.65 k.64)) (?v_3972 (= k.64 0)) (?v_3973 (= k.64 1))) (let ((?v_3981 (and (=> true (=> ?v_25 (=> true (=> (<= k.63 k.64) (=> (< k.64 2) (and (=> true (=> (=> ?v_3972 ?v_8) (=> (=> ?v_3973 ?v_9) (=> true (=> ?v_3974 (=> (= errorReached.39 1) (=> ?v_3975 ?v_3976))))))) (=> true (=> (=> ?v_3972 ?v_2) (=> (=> ?v_3973 ?v_3) (=> true (=> ?v_3974 (=> ?v_3977 (=> ?v_3975 ?v_3978))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> ?v_3977 (=> (= k.65 k.63) ?v_3978))))))))) (let ((?v_3982 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3981))))))))))))))) (?v_3979 (= k.63 0)) (?v_3980 (= k.63 1))) (let ((?v_3987 (and (=> true (=> (=> ?v_3979 ?v_36) (=> (=> ?v_3980 ?v_37) ?v_3981))) (=> true (=> (=> ?v_3979 ?v_617) (=> (=> ?v_3980 ?v_619) (and (=> true (=> (=> ?v_3979 ?v_524) (=> (=> ?v_3980 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3982)))))))))))) (=> true (=> (=> ?v_3979 ?v_621) (=> (=> ?v_3980 ?v_622) ?v_3982)))))))))) (let ((?v_3989 (=> (= errorReached.38 errorReached.36) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> (= k.63 k.61) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3987))))))))))))) (?v_3991 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hdevice)) (?v_3990 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hqueue)) (?v_3988 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 htimer)) (?v_3986 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hrequest)) (?v_3985 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.38 errorReached.37) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 call28479formal.ret.0) (=> (= k.63 k.62) ?v_3987)))))) (?v_3983 (= k.62 0)) (?v_3984 (= k.62 1))) (let ((?v_3993 (and (=> true (=> ?v_3986 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> (=> ?v_3983 ?v_8) (=> (=> ?v_3984 ?v_9) (=> true (=> (= errorReached.37 1) ?v_3985))))) (=> true (=> (=> ?v_3983 ?v_2) (=> (=> ?v_3984 ?v_3) (=> true (=> (= errorReached.37 errorReached.36) (=> true ?v_3985)))))))))))) (=> true (=> (not ?v_3986) (and (=> true (=> ?v_3988 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3989)))) (=> true (=> (not ?v_3988) (and (=> true (=> ?v_3990 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3989)))) (=> true (=> (not ?v_3990) (and (=> true (=> ?v_3991 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3989)))) (=> true (=> (not ?v_3991) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3989)))))))))))))))) (let ((?v_3995 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3993)))))))))))) (?v_3994 (= k.61 1)) (?v_2742 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2773 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2742))) (?v_3992 (= k.61 0)) (?v_1553 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2742)))) (let ((?v_4011 (=> true (=> (<= k.60 k.61) (=> (< k.61 2) (and (=> true (=> ?v_3992 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 ?v_1553) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10) ?v_3993))))) (=> true (=> (not ?v_3992) (and (=> true (=> ?v_3994 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 ?v_2773) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9) ?v_3995))))) (=> true (=> (not ?v_3994) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) ?v_3995)))))))))))) (?v_4009 (= k.56 0)) (?v_4010 (= k.56 1))) (let ((?v_4002 (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.2) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= k.60 k.59) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myVar_0.2) ?v_4011)))))))))) (?v_4001 (= inline.ReleaseDpcLock.4.myVar_0.2 hlock))) (let ((?v_3997 (=> true (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call28332formal.ret.0) (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= k.59 k.58) ?v_4002)))))) (?v_3999 (= lockStatus_1.3 lockStatus_1.2))) (let ((?v_4000 (=> (= lockStatus_0.3 lockStatus_0.2) (=> true ?v_3997))) (?v_3998 (= k.58 1)) (?v_3996 (= k.58 0))) (let ((?v_4005 (and (=> true (=> ?v_4001 (=> true (=> (<= k.57 k.58) (=> (< k.58 2) (and (=> true (=> ?v_3996 (=> true (=> ?v_3999 (=> (= lockStatus_0.3 0) ?v_3997))))) (=> true (=> (not ?v_3996) (and (=> true (=> ?v_3998 (=> true (=> (= lockStatus_1.3 0) ?v_4000)))) (=> true (=> (not ?v_3998) (=> true (=> ?v_3999 ?v_4000))))))))))))) (=> true (=> (not ?v_4001) (=> true (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.4 lockStatus_0.2) (=> (= k.59 k.57) (=> true (=> true (=> true ?v_4002))))))))))))) (let ((?v_4007 (=> true (=> true (=> true (=> true ?v_4005))))) (?v_4006 (= k.57 1)) (?v_4004 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4003 (= k.57 0))) (let ((?v_4008 (=> true (=> (<= k.56 k.57) (=> (< k.57 2) (and (=> true (=> ?v_4003 (=> (= inline.ReleaseDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4004))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.0) ?v_4005))))) (=> true (=> (not ?v_4003) (and (=> true (=> ?v_4006 (=> (= inline.ReleaseDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4004))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.1) ?v_4007))))) (=> true (=> (not ?v_4006) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0) ?v_4007))))))))))))) (let ((?v_4016 (and (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.0) ?v_4008)))) (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_4009 ?v_277) (=> (=> ?v_4010 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> true (=> true ?v_4008))))))) (=> true (=> (=> ?v_4009 ?v_380) (=> (=> ?v_4010 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= lockStatus_0.5 lockStatus_0.2) (=> (= k.60 k.56) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_4011)))))))))))))))))))) (?v_4018 (= errorReached.36 errorReached.29))) (let ((?v_4019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.) (=> (= k.56 k.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4016)))))))))))) (?v_4021 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hdevice)) (?v_4020 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hqueue)) (?v_4017 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 htimer)) (?v_4015 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hrequest)) (?v_4014 (=> true (=> (= errorReached.36 errorReached.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 call28090formal.ret.0) (=> (= k.56 k.47) ?v_4016)))))) (?v_4012 (= k.47 0)) (?v_4013 (= k.47 1))) (let ((?v_4023 (and (=> true (=> ?v_4015 (=> true (=> (<= k.46 k.47) (=> (< k.47 2) (and (=> true (=> (=> ?v_4012 ?v_8) (=> (=> ?v_4013 ?v_9) (=> true (=> (= errorReached.30 1) ?v_4014))))) (=> true (=> (=> ?v_4012 ?v_2) (=> (=> ?v_4013 ?v_3) (=> true (=> (= errorReached.30 errorReached.29) (=> true ?v_4014)))))))))))) (=> true (=> (not ?v_4015) (and (=> true (=> ?v_4017 (=> true (=> ?v_4018 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4019))))) (=> true (=> (not ?v_4017) (and (=> true (=> ?v_4020 (=> true (=> ?v_4018 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4019))))) (=> true (=> (not ?v_4020) (and (=> true (=> ?v_4021 (=> true (=> ?v_4018 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4019))))) (=> true (=> (not ?v_4021) (=> true (=> ?v_4018 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4019))))))))))))))))) (let ((?v_4025 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4023)))))))))))) (?v_4024 (= k.46 1)) (?v_4022 (= k.46 0))) (let ((?v_4028 (=> true (=> (<= k.45 k.46) (=> (< k.46 2) (and (=> true (=> ?v_4022 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 ?v_1553) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3) ?v_4023))))) (=> true (=> (not ?v_4022) (and (=> true (=> ?v_4024 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 ?v_2773) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4) ?v_4025))))) (=> true (=> (not ?v_4024) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_4025))))))))))))) (let ((?v_4032 (=> true ?v_4028)) (?v_4030 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4031 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4029 (= k.45 1)) (?v_1545 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4027 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1545 ?v_60)) (?v_4026 (= k.45 0)) (?v_3430 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1545 ?v_60))) (let ((?v_4035 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_4026 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3430) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) (=> ?v_4031 ?v_4028)))))) (=> true (=> (not ?v_4026) (and (=> true (=> ?v_4029 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_4027) (=> true (=> ?v_4030 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_4032)))))) (=> true (=> (not ?v_4029) (=> true (=> ?v_4030 (=> ?v_4031 ?v_4032)))))))))))))) (let ((?v_4039 (=> true (=> true ?v_4035))) (?v_4037 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4038 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4036 (= k.44 1)) (?v_1552 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4034 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1552 ?v_2784)) (?v_4033 (= k.44 0)) (?v_3429 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1552 ?v_2784)) (?v_3428 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 0)) (?v_2791 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_2792 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2793 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_2794 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2795 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_2796 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_2797 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2798 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2799 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2800 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_2801 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2802 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3130 (= reqCompleted_1.12 reqCompleted_1)) (?v_2803 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2804 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_2805 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2806 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2808 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2809 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_2810 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2811 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_2812 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2813 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2814 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2815 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2816 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2817 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2818 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_2819 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2820 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2821 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_2822 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2823 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2824 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2825 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2827 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2828 (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2829 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.)) (?v_2830 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2831 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2832 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2833 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2834 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3155 (= alloc.13 alloc.8)) (?v_2835 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2836 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2837 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2838 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2839 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2840 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2841 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2844 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_2845 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2846 (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0)) (?v_2847 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2848 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2849 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2850 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_2851 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2852 (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0)) (?v_2853 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2854 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_2855 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_2856 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2858 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_2859 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2860 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_2861 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.)) (?v_2862 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2863 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2864 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2866 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2867 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2868 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2869 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_2870 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_2871 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_2872 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_2873 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2874 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2875 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2876 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_2877 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2878 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2879 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3198 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2880 (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0)) (?v_2881 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2882 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_2883 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_2884 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2885 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2886 (= inline.ReleaseDpcLock.6.myVar_0.4 inline.ReleaseDpcLock.6.myVar_0)) (?v_2887 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_2888 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2889 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_2890 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2891 (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3209 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2892 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3212 (= lockStatus_1.41 lockStatus_1.2)) (?v_2893 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2894 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_2895 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2896 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2897 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2898 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2899 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2900 (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0)) (?v_2901 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2902 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2903 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_2904 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2906 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2907 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_2908 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_2909 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2910 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_3232 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2911 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_2912 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2913 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_2914 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2915 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2916 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2917 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2918 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2919 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2920 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2921 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2922 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2923 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_2924 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2925 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2926 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.)) (?v_2927 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2928 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0)) (?v_2929 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2930 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_2931 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2932 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2933 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_3261 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2934 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_2935 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_2936 (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0)) (?v_2937 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2938 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_2939 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_2940 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_2941 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2942 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_2943 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2944 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2945 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2946 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_2947 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2948 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_2949 (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_2950 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2951 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2953 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2954 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2955 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2956 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2957 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2958 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2959 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_2960 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2961 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2962 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_2963 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_2964 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_2965 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2966 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2967 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_2968 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_2969 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2970 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_2971 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_3287 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2972 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2973 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_2974 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2975 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2976 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_2977 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2978 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2979 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2980 (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0)) (?v_2981 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2982 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_2983 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2984 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_2986 (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0)) (?v_2987 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2988 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_2989 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_2990 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2991 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3320 (= lockStatus_0.41 lockStatus_0.2)) (?v_2992 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3321 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2)) (?v_2993 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2994 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2995 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2996 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2997 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_2998 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2999 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3000 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3001 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.)) (?v_3002 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3003 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3004 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3005 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_3006 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3007 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_3008 (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0)) (?v_3009 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_3010 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3011 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3012 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_3013 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3014 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_3016 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3017 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3018 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3019 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3020 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3021 (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_3023 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3024 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3025 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_3026 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3027 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3028 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3029 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3030 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3031 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.)) (?v_3032 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_3033 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3034 (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_3035 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3036 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3039 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3040 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3041 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3042 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_3043 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_3044 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3045 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3046 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3047 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3048 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_3049 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3050 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_3051 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3052 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3053 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3054 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_3055 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_3056 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3057 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_3058 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3059 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_3060 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3061 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_3062 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_3063 (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0)) (?v_3064 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_3065 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3066 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_3067 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3407 (= reqCompleted_0.12 reqCompleted_0)) (?v_3068 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3069 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_3070 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_3072 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_3073 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_3074 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3075 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3076 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_3077 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3078 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3079 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3080 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3081 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3082 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_3083 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3084 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3085 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3086 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3087 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3088 (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_1544 (= k.43 0)) (?v_3116 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1545)) 0)) (?v_3117 (= k.43 1)) (?v_3118 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1545)) 0)) (?v_2807 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call20802formal.ret.0)) (?v_2826 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2842 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2843 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2857 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2865 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0)) (?v_2905 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2952 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2985 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_3015 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_3022 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_3037 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_3038 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0)) (?v_3071 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0)) (?v_3089 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2790 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_334)))) (let ((?v_2194 (=> true (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> ?v_2794 (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0) (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> ?v_2798 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2799 (=> (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> ?v_2801 (=> ?v_2802 (=> (= reqCompleted_1.12 reqCompleted_1.11) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0) (=> ?v_2803 (=> ?v_2804 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> ?v_2805 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> ?v_2806 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2807 (=> ?v_2808 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2809 (=> (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1) (=> ?v_2810 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2819 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2) (=> ?v_2820 (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2821 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2822 (=> (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2833 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2834 (=> (= alloc.13 alloc.12) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2) (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2838 (=> ?v_2839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2840 (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> ?v_2841 (=> ?v_2842 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> ?v_2843 (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_2844 (=> ?v_2845 (=> (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_2846 (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2847 (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> ?v_2848 (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2849 (=> ?v_2850 (=> ?v_2851 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_2852 (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1) (=> ?v_2853 (=> ?v_2854 (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2858 (=> ?v_2859 (=> (= errorReached.134 errorReached.133) (=> ?v_2860 (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2) (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> ?v_2867 (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> ?v_2874 (=> ?v_2875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2876 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_2877 (=> ?v_2878 (=> (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0.4) (=> ?v_2879 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> ?v_2880 (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0.4) (=> ?v_2881 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2882 (=> ?v_2883 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_2884 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_2885 (=> ?v_2886 (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> ?v_2887 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2888 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> ?v_2892 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_2893 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_2894 (=> ?v_2895 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1) (=> ?v_2899 (=> ?v_2900 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0) (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2906 (=> ?v_2907 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> ?v_2908 (=> (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0.15) (=> ?v_2909 (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2910 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3449 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2911 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> (= k.240 k.239) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2912 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2913 (=> (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0.3) (=> ?v_2914 (=> ?v_2915 (=> (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_2916 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2922 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= reqCancelSet_1.18 reqCancelSet_1.17) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> ?v_2927 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2931 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2932 (=> ?v_2933 (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0) (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0) (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1) (=> ?v_2946 (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> ?v_2947 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_2948 (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_2949 (=> ?v_2950 (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_2962 (=> ?v_2963 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1) (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2968 (=> ?v_2969 (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2970 (=> ?v_2971 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2972 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2973 (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2974 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2975 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2976 (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2977 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call22805formal.ret.0) (=> ?v_2978 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_2979 (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2980 (=> ?v_2981 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0) (=> ?v_2982 (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> ?v_2983 (=> ?v_2984 (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1) (=> ?v_2989 (=> ?v_2990 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> ?v_2991 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> (= lockStatus_0.41 lockStatus_0.40) (=> ?v_2992 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) (=> ?v_2993 (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0) (=> ?v_2994 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2995 (=> (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2996 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2) (=> ?v_2997 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2998 (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> ?v_2999 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_3003 (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> ?v_3004 (=> ?v_3005 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3006 (=> ?v_3007 (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call27082formal.new.0) (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_3013 (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3025 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_3026 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_3027 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.3) (=> ?v_3028 (=> ?v_3029 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0.3) (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0.3) (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_3037 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3038 (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5) (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3039 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> ?v_3040 (=> ?v_3041 (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_3042 (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3043 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_3044 (=> ?v_3045 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_3046 (=> (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3047 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> ?v_3048 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3049 (=> ?v_3050 (=> (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0.3) (=> ?v_3051 (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.3) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3052 (=> (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3053 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0.4) (=> ?v_3054 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3055 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> ?v_3060 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1) (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_3065 (=> ?v_3066 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_3067 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= reqCompleted_0.12 reqCompleted_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0) (=> ?v_3068 (=> ?v_3069 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_3070 (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3071 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> ?v_3076 (=> ?v_3077 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3078 (=> ?v_3079 (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3080 (=> ?v_3081 (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> ?v_3082 (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3083 (=> ?v_3084 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3085 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_3086 (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) ?v_3090)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2192 (= k.235 0)) (?v_2193 (= k.235 1))) (let ((?v_2185 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.2) (=> (= k.239 k.238) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call27817formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0.2) ?v_2194))))))))))) (?v_2184 (= inline.AcquireDpcLock.3.myVar_0.2 hlock))) (let ((?v_2181 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call27765formal.ret.0) (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= k.238 k.237) ?v_2185)))))) (?v_2182 (= lockStatus_1.38 lockStatus_1.37))) (let ((?v_2183 (=> (= lockStatus_0.38 lockStatus_0.37) (=> true ?v_2181))) (?v_2180 (= k.237 1)) (?v_1568 (= k.237 0))) (let ((?v_2188 (and (=> true (=> ?v_2184 (=> true (=> (<= k.236 k.237) (=> (< k.237 2) (=> true (=> (=> ?v_1568 (= lockStatus_0.37 0)) (=> (=> ?v_2180 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1568 (=> true (=> ?v_2182 (=> (= lockStatus_0.38 1) ?v_2181))))) (=> true (=> (not ?v_1568) (and (=> true (=> ?v_2180 (=> true (=> (= lockStatus_1.38 1) ?v_2183)))) (=> true (=> (not ?v_2180) (=> true (=> ?v_2182 ?v_2183)))))))))))))))) (=> true (=> (not ?v_2184) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= k.238 k.236) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2185)))))))))))))))) (let ((?v_2190 (=> true (=> true (=> true (=> true ?v_2188))))) (?v_2189 (= k.236 1)) (?v_2187 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2186 (= k.236 0))) (let ((?v_2191 (=> true (=> (<= k.235 k.236) (=> (< k.236 2) (and (=> true (=> ?v_2186 (=> (= inline.AcquireDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2187))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.1) ?v_2188))))) (=> true (=> (not ?v_2186) (and (=> true (=> ?v_2189 (=> (= inline.AcquireDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2187))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.0) ?v_2190))))) (=> true (=> (not ?v_2189) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0) ?v_2190))))))))))))) (let ((?v_2201 (and (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.0) ?v_2191)))) (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_2192 ?v_277) (=> (=> ?v_2193 ?v_278) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.1) ?v_2191))))) (=> true (=> (=> ?v_2192 ?v_380) (=> (=> ?v_2193 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.40 lockStatus_1.37) (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.1) (=> (= k.239 k.235) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2194)))))))))))))))))))))))))) (let ((?v_2206 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2201)))))))))) (?v_2203 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_2204 (= errorReached.133 errorReached.131)) (?v_2205 (= k.235 k.233)) (?v_2208 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hdevice)) (?v_2207 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hqueue)) (?v_2202 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 htimer)) (?v_2200 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hrequest)) (?v_2199 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 call27525formal.ret.0) (=> (= errorReached.133 errorReached.132) (=> (= k.235 k.234) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2201)))))) (?v_2195 (= k.234 0)) (?v_2196 (= reqCompleted_0.11 0)) (?v_2197 (= k.234 1)) (?v_2198 (= reqCompleted_1.11 0))) (let ((?v_1563 (not ?v_2196)) (?v_1564 (not ?v_2198))) (let ((?v_2211 (and (=> true (=> ?v_2200 (=> true (=> (<= k.233 k.234) (=> (< k.234 2) (and (=> true (=> (=> ?v_2195 ?v_1563) (=> (=> ?v_2197 ?v_1564) (=> true (=> (= errorReached.132 1) ?v_2199))))) (=> true (=> (=> ?v_2195 ?v_2196) (=> (=> ?v_2197 ?v_2198) (=> true (=> (= errorReached.132 errorReached.131) (=> true ?v_2199)))))))))))) (=> true (=> (not ?v_2200) (and (=> true (=> ?v_2202 (=> true (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2206))))))) (=> true (=> (not ?v_2202) (and (=> true (=> ?v_2207 (=> true (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2206))))))) (=> true (=> (not ?v_2207) (and (=> true (=> ?v_2208 (=> true (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2206))))))) (=> true (=> (not ?v_2208) (=> true (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2206))))))))))))))))))) (let ((?v_2213 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2211)))))))))))) (?v_2212 (= k.233 1)) (?v_2210 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2228 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2210))) (?v_2209 (= k.233 0)) (?v_1562 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2210)))) (let ((?v_2217 (=> true (=> (<= k.232 k.233) (=> (< k.233 2) (and (=> true (=> ?v_2209 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.19) ?v_2211))))) (=> true (=> (not ?v_2209) (and (=> true (=> ?v_2212 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.18) ?v_2213))))) (=> true (=> (not ?v_2212) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) ?v_2213)))))))))))) (?v_2214 (= k.232 0)) (?v_2215 (= k.232 1))) (let ((?v_2216 (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call27405formal.ret.0) ?v_2217)))) (let ((?v_2222 (and (=> true (=> (=> ?v_2214 ?v_36) (=> (=> ?v_2215 ?v_37) ?v_2216))) (=> true (=> (=> ?v_2214 ?v_617) (=> (=> ?v_2215 ?v_619) (and (=> true (=> (=> ?v_2214 ?v_524) (=> (=> ?v_2215 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2216)))))))))))) (=> true (=> (=> ?v_2214 ?v_621) (=> (=> ?v_2215 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2217)))))))))))))))) (let ((?v_2224 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= errorReached.131 errorReached.129) (=> (= k.232 k.230) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2222))))))))))))) (?v_2226 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hdevice)) (?v_2225 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hqueue)) (?v_2223 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 htimer)) (?v_2221 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hrequest)) (?v_2220 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call27208formal.ret.0) (=> (= errorReached.131 errorReached.130) (=> (= k.232 k.231) ?v_2222)))))) (?v_2218 (= k.231 0)) (?v_2219 (= k.231 1))) (let ((?v_2229 (and (=> true (=> ?v_2221 (=> true (=> (<= k.230 k.231) (=> (< k.231 2) (and (=> true (=> (=> ?v_2218 ?v_1563) (=> (=> ?v_2219 ?v_1564) (=> true (=> (= errorReached.130 1) ?v_2220))))) (=> true (=> (=> ?v_2218 ?v_2196) (=> (=> ?v_2219 ?v_2198) (=> true (=> (= errorReached.130 errorReached.129) (=> true ?v_2220)))))))))))) (=> true (=> (not ?v_2221) (and (=> true (=> ?v_2223 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2224)))) (=> true (=> (not ?v_2223) (and (=> true (=> ?v_2225 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2224)))) (=> true (=> (not ?v_2225) (and (=> true (=> ?v_2226 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2224)))) (=> true (=> (not ?v_2226) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2224)))))))))))))))) (let ((?v_2231 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2229)))))))))))) (?v_2230 (= k.230 1)) (?v_2227 (= k.230 0)) (?v_1567 (int_2_U call27082formal.new.0))) (let ((?v_2234 (=> true (and ?v_1557 (=> ?v_1557 (=> (> call27082formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call27082formal.new.0 ?x361) (< ?x361 (+ call27082formal.new.0 1))) (= (Base ?x361) call27082formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call27082formal.new.0) (= (MapType0Select alloc.11 ?x362) (MapType0Select alloc.12 ?x362)))) :pattern ((MapType0Select alloc.12 ?x362)) )) (=> (and (= (MapType0Select alloc.11 ?v_1567) UNALLOCATED) (= (MapType0Select alloc.12 ?v_1567) ALLOCATED)) (=> true (=> (<= k.229 k.230) (=> (< k.230 2) (and (=> true (=> ?v_2227 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.15) ?v_2229))))) (=> true (=> (not ?v_2227) (and (=> true (=> ?v_2230 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.16) ?v_2231))))) (=> true (=> (not ?v_2230) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) ?v_2231)))))))))))))))))))) (let ((?v_2235 (=> true (=> true (=> true ?v_2234)))) (?v_2232 (= k.229 0)) (?v_2233 (= k.229 1))) (let ((?v_2240 (and (=> true (=> (=> ?v_2232 ?v_36) (=> (=> ?v_2233 ?v_37) ?v_2234))) (=> true (=> (=> ?v_2232 ?v_617) (=> (=> ?v_2233 ?v_619) (and (=> true (=> (=> ?v_2232 ?v_524) (=> (=> ?v_2233 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2235)))))))))))) (=> true (=> (=> ?v_2232 ?v_621) (=> (=> ?v_2233 ?v_622) ?v_2235))))))))) (?v_2242 (= errorReached.129 errorReached.127))) (let ((?v_2243 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.) (=> (= k.229 k.227) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2240)))))))))))) (?v_2245 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hdevice)) (?v_2244 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hqueue)) (?v_2241 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 htimer)) (?v_2239 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hrequest)) (?v_2238 (=> true (=> (= errorReached.129 errorReached.128) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 call26880formal.ret.0) (=> (= k.229 k.228) ?v_2240)))))) (?v_2236 (= k.228 0)) (?v_2237 (= k.228 1))) (let ((?v_2247 (and (=> true (=> ?v_2239 (=> true (=> (<= k.227 k.228) (=> (< k.228 2) (and (=> true (=> (=> ?v_2236 ?v_1563) (=> (=> ?v_2237 ?v_1564) (=> true (=> (= errorReached.128 1) ?v_2238))))) (=> true (=> (=> ?v_2236 ?v_2196) (=> (=> ?v_2237 ?v_2198) (=> true (=> (= errorReached.128 errorReached.127) (=> true ?v_2238)))))))))))) (=> true (=> (not ?v_2239) (and (=> true (=> ?v_2241 (=> true (=> ?v_2242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2243))))) (=> true (=> (not ?v_2241) (and (=> true (=> ?v_2244 (=> true (=> ?v_2242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2243))))) (=> true (=> (not ?v_2244) (and (=> true (=> ?v_2245 (=> true (=> ?v_2242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2243))))) (=> true (=> (not ?v_2245) (=> true (=> ?v_2242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2243))))))))))))))))) (let ((?v_2249 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2247)))))))))))) (?v_2248 (= k.227 1)) (?v_2246 (= k.227 0))) (let ((?v_2265 (=> true (=> (<= k.226 k.227) (=> (< k.227 2) (and (=> true (=> ?v_2246 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.13) ?v_2247))))) (=> true (=> (not ?v_2246) (and (=> true (=> ?v_2248 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.12) ?v_2249))))) (=> true (=> (not ?v_2248) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) ?v_2249)))))))))))) (?v_2263 (= k.222 0)) (?v_2264 (= k.222 1))) (let ((?v_2256 (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= k.226 k.225) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= lockStatus_1.37 lockStatus_1.36) ?v_2265)))))))))) (?v_2255 (= inline.ReleaseDpcLock.3.myVar_0.2 hlock))) (let ((?v_2251 (=> true (=> (= lockStatus_1.36 lockStatus_1.35) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 call26692formal.ret.0) (=> (= lockStatus_0.36 lockStatus_0.35) (=> (= k.225 k.224) ?v_2256)))))) (?v_2253 (= lockStatus_1.35 lockStatus_1.34))) (let ((?v_2254 (=> (= lockStatus_0.35 lockStatus_0.34) (=> true ?v_2251))) (?v_2252 (= k.224 1)) (?v_2250 (= k.224 0))) (let ((?v_2259 (and (=> true (=> ?v_2255 (=> true (=> (<= k.223 k.224) (=> (< k.224 2) (and (=> true (=> ?v_2250 (=> true (=> ?v_2253 (=> (= lockStatus_0.35 0) ?v_2251))))) (=> true (=> (not ?v_2250) (and (=> true (=> ?v_2252 (=> true (=> (= lockStatus_1.35 0) ?v_2254)))) (=> true (=> (not ?v_2252) (=> true (=> ?v_2253 ?v_2254))))))))))))) (=> true (=> (not ?v_2255) (=> true (=> (= lockStatus_1.36 lockStatus_1.34) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.36 lockStatus_0.34) (=> (= k.225 k.223) (=> true (=> true (=> true ?v_2256))))))))))))) (let ((?v_2261 (=> true (=> true (=> true (=> true ?v_2259))))) (?v_2260 (= k.223 1)) (?v_2258 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2257 (= k.223 0))) (let ((?v_2262 (=> true (=> (<= k.222 k.223) (=> (< k.223 2) (and (=> true (=> ?v_2257 (=> (= inline.ReleaseDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2258))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.1) ?v_2259))))) (=> true (=> (not ?v_2257) (and (=> true (=> ?v_2260 (=> (= inline.ReleaseDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2258))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.0) ?v_2261))))) (=> true (=> (not ?v_2260) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0) ?v_2261))))))))))))) (let ((?v_2270 (and (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.1) ?v_2262)))) (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2263 ?v_277) (=> (=> ?v_2264 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> true (=> true ?v_2262))))))) (=> true (=> (=> ?v_2263 ?v_380) (=> (=> ?v_2264 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= k.226 k.222) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0) (=> (= lockStatus_1.37 lockStatus_1.34) (=> true (=> true (=> true ?v_2265))))))))))))))))))))) (let ((?v_2275 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2270)))))))))) (?v_2272 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_2273 (= errorReached.127 errorReached.125)) (?v_2274 (= k.222 k.220)) (?v_2277 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hdevice)) (?v_2276 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hqueue)) (?v_2271 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 htimer)) (?v_2269 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hrequest)) (?v_2268 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 call26450formal.ret.0) (=> (= errorReached.127 errorReached.126) (=> (= k.222 k.221) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2270)))))) (?v_2266 (= k.221 0)) (?v_2267 (= k.221 1))) (let ((?v_2279 (and (=> true (=> ?v_2269 (=> true (=> (<= k.220 k.221) (=> (< k.221 2) (and (=> true (=> (=> ?v_2266 ?v_1563) (=> (=> ?v_2267 ?v_1564) (=> true (=> (= errorReached.126 1) ?v_2268))))) (=> true (=> (=> ?v_2266 ?v_2196) (=> (=> ?v_2267 ?v_2198) (=> true (=> (= errorReached.126 errorReached.125) (=> true ?v_2268)))))))))))) (=> true (=> (not ?v_2269) (and (=> true (=> ?v_2271 (=> true (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2275))))))) (=> true (=> (not ?v_2271) (and (=> true (=> ?v_2276 (=> true (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2275))))))) (=> true (=> (not ?v_2276) (and (=> true (=> ?v_2277 (=> true (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2275))))))) (=> true (=> (not ?v_2277) (=> true (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2275))))))))))))))))))) (let ((?v_2281 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2279)))))))))))) (?v_2280 (= k.220 1)) (?v_2278 (= k.220 0))) (let ((?v_2294 (=> true (=> (<= k.219 k.220) (=> (< k.220 2) (and (=> true (=> ?v_2278 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.9) ?v_2279))))) (=> true (=> (not ?v_2278) (and (=> true (=> ?v_2280 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.10) ?v_2281))))) (=> true (=> (not ?v_2280) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) ?v_2281)))))))))))) (?v_2290 (= k.217 0)) (?v_1566 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2291 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1566)) hrequest)) (?v_2292 (= k.217 1)) (?v_2293 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1566)) hrequest)) (?v_2285 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= k.219 k.218) ?v_2294)))))) (let ((?v_2289 (=> true ?v_2285)) (?v_2287 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2288 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2286 (= k.218 1)) (?v_2283 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2282 (= k.218 0))) (let ((?v_2309 (and (=> true (=> (=> ?v_2290 ?v_2291) (=> (=> ?v_2292 ?v_2293) (=> true (=> (<= k.217 k.218) (=> (< k.218 2) (and (=> true (=> ?v_2282 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2283 ?v_2284)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) (=> ?v_2288 ?v_2285)))))) (=> true (=> (not ?v_2282) (and (=> true (=> ?v_2286 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2283 ?v_2284)) (=> true (=> ?v_2287 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_2289)))))) (=> true (=> (not ?v_2286) (=> true (=> ?v_2287 (=> ?v_2288 ?v_2289))))))))))))))) (=> true (=> (=> ?v_2290 (not ?v_2291)) (=> (=> ?v_2292 (not ?v_2293)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= k.219 k.217) ?v_2294))))))))) (?v_2307 (= k.213 0)) (?v_2308 (= k.213 1))) (let ((?v_2300 (=> true (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call26280formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.2) (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= k.217 k.216) (=> (= lockStatus_1.34 lockStatus_1.33) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0.2) ?v_2309))))))))))) (?v_2299 (= inline.AcquireDpcLock.2.myVar_0.2 hlock))) (let ((?v_2296 (=> true (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call26228formal.ret.0) (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= k.216 k.215) ?v_2300)))))) (?v_2297 (= lockStatus_1.32 lockStatus_1.31))) (let ((?v_2298 (=> (= lockStatus_0.32 lockStatus_0.31) (=> true ?v_2296))) (?v_2295 (= k.215 1)) (?v_1565 (= k.215 0))) (let ((?v_2303 (and (=> true (=> ?v_2299 (=> true (=> (<= k.214 k.215) (=> (< k.215 2) (=> true (=> (=> ?v_1565 (= lockStatus_0.31 0)) (=> (=> ?v_2295 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1565 (=> true (=> ?v_2297 (=> (= lockStatus_0.32 1) ?v_2296))))) (=> true (=> (not ?v_1565) (and (=> true (=> ?v_2295 (=> true (=> (= lockStatus_1.32 1) ?v_2298)))) (=> true (=> (not ?v_2295) (=> true (=> ?v_2297 ?v_2298)))))))))))))))) (=> true (=> (not ?v_2299) (=> true (=> (= lockStatus_1.33 lockStatus_1.31) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.33 lockStatus_0.31) (=> (= k.216 k.214) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2300)))))))))))))))) (let ((?v_2305 (=> true (=> true (=> true (=> true ?v_2303))))) (?v_2304 (= k.214 1)) (?v_2302 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2301 (= k.214 0))) (let ((?v_2306 (=> true (=> (<= k.213 k.214) (=> (< k.214 2) (and (=> true (=> ?v_2301 (=> (= inline.AcquireDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2302))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.0) ?v_2303))))) (=> true (=> (not ?v_2301) (and (=> true (=> ?v_2304 (=> (= inline.AcquireDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2302))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.1) ?v_2305))))) (=> true (=> (not ?v_2304) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0) ?v_2305))))))))))))) (let ((?v_2314 (and (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.1) ?v_2306)))) (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2307 ?v_277) (=> (=> ?v_2308 ?v_278) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.0) ?v_2306))))) (=> true (=> (=> ?v_2307 ?v_380) (=> (=> ?v_2308 ?v_382) (=> true (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.0) (=> (= lockStatus_0.34 lockStatus_0.31) (=> (= k.217 k.213) (=> (= lockStatus_1.34 lockStatus_1.31) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0) (=> true (=> true (=> true (=> true ?v_2309))))))))))))))))))))))) (let ((?v_2319 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2314)))))))))) (?v_2316 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_2317 (= k.213 k.211)) (?v_2318 (= errorReached.125 errorReached.123)) (?v_2321 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hdevice)) (?v_2320 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hqueue)) (?v_2315 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 htimer)) (?v_2313 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hrequest)) (?v_2312 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 call25988formal.ret.0) (=> (= k.213 k.212) (=> (= errorReached.125 errorReached.124) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2314)))))) (?v_2310 (= k.212 0)) (?v_2311 (= k.212 1))) (let ((?v_2323 (and (=> true (=> ?v_2313 (=> true (=> (<= k.211 k.212) (=> (< k.212 2) (and (=> true (=> (=> ?v_2310 ?v_1563) (=> (=> ?v_2311 ?v_1564) (=> true (=> (= errorReached.124 1) ?v_2312))))) (=> true (=> (=> ?v_2310 ?v_2196) (=> (=> ?v_2311 ?v_2198) (=> true (=> (= errorReached.124 errorReached.123) (=> true ?v_2312)))))))))))) (=> true (=> (not ?v_2313) (and (=> true (=> ?v_2315 (=> true (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2319))))))) (=> true (=> (not ?v_2315) (and (=> true (=> ?v_2320 (=> true (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2319))))))) (=> true (=> (not ?v_2320) (and (=> true (=> ?v_2321 (=> true (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2319))))))) (=> true (=> (not ?v_2321) (=> true (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2319))))))))))))))))))) (let ((?v_2325 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2323)))))))))))) (?v_2324 (= k.211 1)) (?v_2322 (= k.211 0))) (let ((?v_2329 (=> true (=> (<= k.210 k.211) (=> (< k.211 2) (and (=> true (=> ?v_2322 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.6) ?v_2323))))) (=> true (=> (not ?v_2322) (and (=> true (=> ?v_2324 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.7) ?v_2325))))) (=> true (=> (not ?v_2324) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) ?v_2325)))))))))))) (?v_2326 (= k.210 0)) (?v_2327 (= k.210 1))) (let ((?v_2328 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call25868formal.ret.0) ?v_2329)))) (let ((?v_2334 (and (=> true (=> (=> ?v_2326 ?v_36) (=> (=> ?v_2327 ?v_37) ?v_2328))) (=> true (=> (=> ?v_2326 ?v_617) (=> (=> ?v_2327 ?v_619) (and (=> true (=> (=> ?v_2326 ?v_524) (=> (=> ?v_2327 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2328)))))))))))) (=> true (=> (=> ?v_2326 ?v_621) (=> (=> ?v_2327 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2329)))))))))))))))) (let ((?v_2336 (=> (= errorReached.123 errorReached.121) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.) (=> (= k.210 k.208) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2334))))))))))))) (?v_2338 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hdevice)) (?v_2337 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hqueue)) (?v_2335 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 htimer)) (?v_2333 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hrequest)) (?v_2332 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.123 errorReached.122) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 call25671formal.ret.0) (=> (= k.210 k.209) ?v_2334)))))) (?v_2330 (= k.209 0)) (?v_2331 (= k.209 1))) (let ((?v_2340 (and (=> true (=> ?v_2333 (=> true (=> (<= k.208 k.209) (=> (< k.209 2) (and (=> true (=> (=> ?v_2330 ?v_1563) (=> (=> ?v_2331 ?v_1564) (=> true (=> (= errorReached.122 1) ?v_2332))))) (=> true (=> (=> ?v_2330 ?v_2196) (=> (=> ?v_2331 ?v_2198) (=> true (=> (= errorReached.122 errorReached.121) (=> true ?v_2332)))))))))))) (=> true (=> (not ?v_2333) (and (=> true (=> ?v_2335 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2336)))) (=> true (=> (not ?v_2335) (and (=> true (=> ?v_2337 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2336)))) (=> true (=> (not ?v_2337) (and (=> true (=> ?v_2338 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2336)))) (=> true (=> (not ?v_2338) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2336)))))))))))))))) (let ((?v_2342 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2340)))))))))))) (?v_2341 (= k.208 1)) (?v_2339 (= k.208 0))) (let ((?v_2535 (=> true (=> (<= k.207 k.208) (=> (< k.208 2) (and (=> true (=> ?v_2339 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 ?v_1562) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.3) ?v_2340))))) (=> true (=> (not ?v_2339) (and (=> true (=> ?v_2341 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 ?v_2228) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.4) ?v_2342))))) (=> true (=> (not ?v_2341) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) ?v_2342)))))))))))) (?v_2538 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_2539 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2540 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2541 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_2542 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2543 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2544 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2545 (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0)) (?v_2546 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_2547 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2548 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2549 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2550 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2551 (= reqCompleted_0.11 reqCompleted_0.7)) (?v_2552 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2553 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2554 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2555 (= lockStatus_1.31 lockStatus_1.18)) (?v_2556 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2557 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2558 (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0)) (?v_2559 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2560 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2561 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2562 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_2563 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_2564 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2565 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_2566 (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2567 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2568 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_2569 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2570 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2571 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2572 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_2573 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_2574 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_2575 (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0)) (?v_2576 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2577 (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0)) (?v_2578 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2579 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2580 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_2581 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2582 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2583 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2584 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2585 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_2586 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2587 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2588 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2589 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_2590 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_2591 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_2592 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2593 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2594 (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0)) (?v_2595 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2596 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2597 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2598 (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_2599 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2600 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2601 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2602 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_2603 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_2604 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2605 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2606 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2607 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2608 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2609 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_2610 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_2611 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_2612 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2613 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2614 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2615 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_2616 (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0)) (?v_2617 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_2618 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_2619 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2620 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2621 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_2622 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_2623 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2624 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2625 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_2626 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_2627 (= reqCompleted_1.11 reqCompleted_1.7)) (?v_2628 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2629 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_2630 (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0)) (?v_2631 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2632 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2633 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_2634 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2635 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2636 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2637 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_2638 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2639 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_2640 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2641 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2642 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_2643 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2644 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2645 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2646 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2647 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_2648 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2649 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2650 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2651 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2652 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_2653 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2654 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2655 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_2656 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2657 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2658 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2659 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_2660 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue))) (let ((?v_2661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext) (=> (= lockStatus_0.31 lockStatus_0.18) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext) (=> true ?v_2535)))))))))))) (let ((?v_2667 (=> true (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> (= k.207 k.169) (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> (= reqCancelSet_0.17 reqCancelSet_0.13) (=> ?v_2588 (=> ?v_2589 (=> (= reqCancelSet_1.17 reqCancelSet_1.13) (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0) (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> (= errorReached.121 errorReached.98) ?v_2661)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2663 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 call27851formal.ret.0) (=> (= errorReached.98 errorReached.97) (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= k.169 k.168) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) ?v_2667))))))) (?v_2664 (= reqCancelSet_1.12 reqCancelSet_1.11))) (let ((?v_2665 (=> (= reqCancelSet_0.12 reqCancelSet_0.11) (=> true ?v_2663))) (?v_2662 (= k.168 1)) (?v_2537 (= k.168 0))) (let ((?v_2666 (and (=> true (=> ?v_2537 (=> true (=> ?v_2664 (=> (= reqCancelSet_0.12 1) ?v_2663))))) (=> true (=> (not ?v_2537) (and (=> true (=> ?v_2662 (=> true (=> (= reqCancelSet_1.12 1) ?v_2665)))) (=> true (=> (not ?v_2662) (=> true (=> ?v_2664 ?v_2665))))))))) (?v_2353 (= reqCompleted_0.7 0)) (?v_2354 (= reqCompleted_1.7 0))) (let ((?v_1555 (not ?v_2353)) (?v_1556 (not ?v_2354)) (?v_2536 (= (BINARY_BOTH_INT call22805formal.ret.0 2) 0)) (?v_2531 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2532 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call22829formal.ret.0)) (?v_2533 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2534 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2530 (= call22829formal.ret.0 ?v_334))) (let ((?v_2367 (=> true (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> ?v_2531 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= k.207 k.206) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= reqCompleted_0.11 reqCompleted_0.10) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0.3) (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0.3) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= reqCancelSet_0.17 reqCancelSet_0.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= reqCancelSet_1.17 reqCancelSet_1.16) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.3) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= reqCompleted_1.11 reqCompleted_1.10) (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0) (=> (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0.3) (=> ?v_2532 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> ?v_2533 (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> ?v_2534 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= errorReached.121 errorReached.120) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) ?v_2535))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2372 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= reqCompleted_0.10 reqCompleted_0.7) (=> (= reqCompleted_1.10 reqCompleted_1.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0) (=> (= reqCancelSet_1.16 reqCancelSet_1.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCancelSet_0.16 reqCancelSet_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= k.206 k.201) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= errorReached.120 errorReached.115) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> true (=> true (=> true ?v_2367))))))))))))))))))))))))))))))))))))))) (let ((?v_2374 (=> (= errorReached.115 errorReached.113) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= k.201 k.199) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2372)))))))))))))))))))))) (?v_2376 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_2375 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_2373 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_2371 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_2370 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.115 errorReached.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 call25089formal.ret.0) (=> (= k.201 k.200) ?v_2372)))))) (?v_2368 (= k.200 0)) (?v_2369 (= k.200 1)) (?v_2366 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2356 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3) (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= k.206 k.205) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= errorReached.120 errorReached.119) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) ?v_2367)))))))))))))))))))))))))))))))))))) (let ((?v_2344 (=> true (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= errorReached.119 errorReached.118) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 call25452formal.ret.0) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= k.205 k.204) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) ?v_2356))))))))) (?v_2345 (= reqCancelSet_1.14 reqCancelSet_1.11))) (let ((?v_2346 (=> (= reqCancelSet_0.14 reqCancelSet_0.11) (=> true ?v_2344))) (?v_2343 (= k.204 1))) (let ((?v_2349 (not ?v_2343)) (?v_1561 (= k.204 0))) (let ((?v_2347 (not ?v_1561))) (let ((?v_2348 (and (=> true (=> ?v_1561 (=> true (=> ?v_2345 (=> (= reqCancelSet_0.14 0) ?v_2344))))) (=> true (=> ?v_2347 (and (=> true (=> ?v_2343 (=> true (=> (= reqCancelSet_1.14 0) ?v_2346)))) (=> true (=> ?v_2349 (=> true (=> ?v_2345 ?v_2346)))))))))) (let ((?v_2352 (=> true (=> true ?v_2348))) (?v_2350 (= reqCompleted_0.8 reqCompleted_0.7)) (?v_2351 (= reqCompleted_1.8 reqCompleted_1.7))) (let ((?v_2355 (and (=> true (=> ?v_1561 (=> true (=> (= reqCompleted_0.8 1) (=> ?v_2351 ?v_2348))))) (=> true (=> ?v_2347 (and (=> true (=> ?v_2343 (=> true (=> ?v_2350 (=> (= reqCompleted_1.8 1) ?v_2352))))) (=> true (=> ?v_2349 (=> true (=> ?v_2350 (=> ?v_2351 ?v_2352))))))))))) (let ((?v_2357 (and (=> true (=> ?v_25 (=> true (=> (<= k.203 k.204) (=> (< k.204 2) (and (=> true (=> (=> ?v_1561 ?v_1555) (=> (=> ?v_2343 ?v_1556) (=> true (=> (= errorReached.118 1) ?v_2355))))) (=> true (=> (=> ?v_1561 ?v_2353) (=> (=> ?v_2343 ?v_2354) (=> true (=> (= errorReached.118 errorReached.117) (=> true ?v_2355)))))))))))) (=> true (=> ?v_471 (=> true (=> (= reqCompleted_0.9 reqCompleted_0.7) (=> (= errorReached.119 errorReached.117) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.15 reqCancelSet_1.11) (=> (= reqCompleted_1.9 reqCompleted_1.7) (=> (= k.205 k.203) (=> (= reqCancelSet_0.15 reqCancelSet_0.11) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2356))))))))))))))))))) (let ((?v_2361 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2) ?v_2357)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2357))))))))))))))))) (let ((?v_2365 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2361)))))))))) (?v_2362 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_2363 (= k.203 k.199)) (?v_2364 (= errorReached.117 errorReached.113)) (?v_2360 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 call25301formal.ret.0) (=> (= k.203 k.202) (=> (= errorReached.117 errorReached.116) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2361)))))) (?v_2358 (= k.202 0)) (?v_2359 (= k.202 1))) (let ((?v_2379 (and (=> true (=> (not ?v_2366) (and (=> true (=> ?v_25 (=> true (=> (<= k.199 k.202) (=> (< k.202 2) (and (=> true (=> (=> ?v_2358 ?v_1555) (=> (=> ?v_2359 ?v_1556) (=> true (=> (= errorReached.116 1) ?v_2360))))) (=> true (=> (=> ?v_2358 ?v_2353) (=> (=> ?v_2359 ?v_2354) (=> true (=> (= errorReached.116 errorReached.113) (=> true ?v_2360)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2365))))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2365))))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2365))))))) (=> true (=> ?v_507 (=> true (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2365))))))))))))))))))) (=> true (=> ?v_2366 (and (=> true (=> ?v_2371 (=> true (=> (<= k.199 k.200) (=> (< k.200 2) (and (=> true (=> (=> ?v_2368 ?v_1555) (=> (=> ?v_2369 ?v_1556) (=> true (=> (= errorReached.114 1) ?v_2370))))) (=> true (=> (=> ?v_2368 ?v_2353) (=> (=> ?v_2369 ?v_2354) (=> true (=> (= errorReached.114 errorReached.113) (=> true ?v_2370)))))))))))) (=> true (=> (not ?v_2371) (and (=> true (=> ?v_2373 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2374)))) (=> true (=> (not ?v_2373) (and (=> true (=> ?v_2375 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2374)))) (=> true (=> (not ?v_2375) (and (=> true (=> ?v_2376 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2374)))) (=> true (=> (not ?v_2376) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2374))))))))))))))))))) (let ((?v_2380 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2379))))))) (?v_2377 (= k.199 0)) (?v_2378 (= k.199 1))) (let ((?v_2385 (and (=> true (=> (=> ?v_2377 ?v_36) (=> (=> ?v_2378 ?v_37) ?v_2379))) (=> true (=> (=> ?v_2377 ?v_617) (=> (=> ?v_2378 ?v_619) (and (=> true (=> (=> ?v_2377 ?v_524) (=> (=> ?v_2378 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2380)))))))))))) (=> true (=> (=> ?v_2377 ?v_621) (=> (=> ?v_2378 ?v_622) ?v_2380)))))))))) (let ((?v_2387 (=> (= errorReached.113 errorReached.111) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= k.199 k.197) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2385))))))))))))) (?v_2389 (= inline.EvtRequestChildCancel.0.myVar_0.14 hdevice)) (?v_2388 (= inline.EvtRequestChildCancel.0.myVar_0.14 hqueue)) (?v_2386 (= inline.EvtRequestChildCancel.0.myVar_0.14 htimer)) (?v_2384 (= inline.EvtRequestChildCancel.0.myVar_0.14 hrequest)) (?v_2383 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.113 errorReached.112) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 call24799formal.ret.0) (=> (= k.199 k.198) ?v_2385)))))) (?v_2381 (= k.198 0)) (?v_2382 (= k.198 1))) (let ((?v_2392 (and (=> true (=> ?v_2384 (=> true (=> (<= k.197 k.198) (=> (< k.198 2) (and (=> true (=> (=> ?v_2381 ?v_1555) (=> (=> ?v_2382 ?v_1556) (=> true (=> (= errorReached.112 1) ?v_2383))))) (=> true (=> (=> ?v_2381 ?v_2353) (=> (=> ?v_2382 ?v_2354) (=> true (=> (= errorReached.112 errorReached.111) (=> true ?v_2383)))))))))))) (=> true (=> (not ?v_2384) (and (=> true (=> ?v_2386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2387)))) (=> true (=> (not ?v_2386) (and (=> true (=> ?v_2388 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2387)))) (=> true (=> (not ?v_2388) (and (=> true (=> ?v_2389 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2387)))) (=> true (=> (not ?v_2389) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2387)))))))))))))))) (let ((?v_2394 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2392)))))))))))) (?v_2393 (= k.197 1)) (?v_2391 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2424 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2391))) (?v_2390 (= k.197 0)) (?v_1559 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2391)))) (let ((?v_2410 (=> true (=> (<= k.196 k.197) (=> (< k.197 2) (and (=> true (=> ?v_2390 (=> (= inline.EvtRequestChildCancel.0.myVar_0.12 ?v_1559) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.12) ?v_2392))))) (=> true (=> (not ?v_2390) (and (=> true (=> ?v_2393 (=> (= inline.EvtRequestChildCancel.0.myVar_0.13 ?v_2424) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.13) ?v_2394))))) (=> true (=> (not ?v_2393) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.11) ?v_2394)))))))))))) (?v_2408 (= k.192 0)) (?v_2409 (= k.192 1))) (let ((?v_2401 (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.30 lockStatus_1.29) (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.2) (=> (= k.196 k.195) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myVar_0.2) ?v_2410)))))))))) (?v_2400 (= inline.ReleaseDpcLock.2.myVar_0.2 hlock))) (let ((?v_2396 (=> true (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call24652formal.ret.0) (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= k.195 k.194) ?v_2401)))))) (?v_2398 (= lockStatus_1.28 lockStatus_1.27))) (let ((?v_2399 (=> (= lockStatus_0.28 lockStatus_0.27) (=> true ?v_2396))) (?v_2397 (= k.194 1)) (?v_2395 (= k.194 0))) (let ((?v_2404 (and (=> true (=> ?v_2400 (=> true (=> (<= k.193 k.194) (=> (< k.194 2) (and (=> true (=> ?v_2395 (=> true (=> ?v_2398 (=> (= lockStatus_0.28 0) ?v_2396))))) (=> true (=> (not ?v_2395) (and (=> true (=> ?v_2397 (=> true (=> (= lockStatus_1.28 0) ?v_2399)))) (=> true (=> (not ?v_2397) (=> true (=> ?v_2398 ?v_2399))))))))))))) (=> true (=> (not ?v_2400) (=> true (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.29 lockStatus_0.27) (=> (= k.195 k.193) (=> true (=> true (=> true ?v_2401))))))))))))) (let ((?v_2406 (=> true (=> true (=> true (=> true ?v_2404))))) (?v_2405 (= k.193 1)) (?v_2403 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2402 (= k.193 0))) (let ((?v_2407 (=> true (=> (<= k.192 k.193) (=> (< k.193 2) (and (=> true (=> ?v_2402 (=> (= inline.ReleaseDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2403))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.0) ?v_2404))))) (=> true (=> (not ?v_2402) (and (=> true (=> ?v_2405 (=> (= inline.ReleaseDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2403))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.1) ?v_2406))))) (=> true (=> (not ?v_2405) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0) ?v_2406))))))))))))) (let ((?v_2415 (and (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.1) ?v_2407)))) (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2408 ?v_277) (=> (=> ?v_2409 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> true (=> true ?v_2407))))))) (=> true (=> (=> ?v_2408 ?v_380) (=> (=> ?v_2409 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.30 lockStatus_1.27) (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> (= k.196 k.192) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_2410))))))))))))))))))))) (let ((?v_2420 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2415)))))))))) (?v_2417 (= errorReached.111 errorReached.109)) (?v_2418 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_2419 (= k.192 k.190)) (?v_2422 (= inline.EvtRequestChildCancel.0.myVar_0.11 hdevice)) (?v_2421 (= inline.EvtRequestChildCancel.0.myVar_0.11 hqueue)) (?v_2416 (= inline.EvtRequestChildCancel.0.myVar_0.11 htimer)) (?v_2414 (= inline.EvtRequestChildCancel.0.myVar_0.11 hrequest)) (?v_2413 (=> true (=> (= errorReached.111 errorReached.110) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 call24410formal.ret.0) (=> (= k.192 k.191) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2415)))))) (?v_2411 (= k.191 0)) (?v_2412 (= k.191 1))) (let ((?v_2425 (and (=> true (=> ?v_2414 (=> true (=> (<= k.190 k.191) (=> (< k.191 2) (and (=> true (=> (=> ?v_2411 ?v_1555) (=> (=> ?v_2412 ?v_1556) (=> true (=> (= errorReached.110 1) ?v_2413))))) (=> true (=> (=> ?v_2411 ?v_2353) (=> (=> ?v_2412 ?v_2354) (=> true (=> (= errorReached.110 errorReached.109) (=> true ?v_2413)))))))))))) (=> true (=> (not ?v_2414) (and (=> true (=> ?v_2416 (=> true (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2420))))))) (=> true (=> (not ?v_2416) (and (=> true (=> ?v_2421 (=> true (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2420))))))) (=> true (=> (not ?v_2421) (and (=> true (=> ?v_2422 (=> true (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2420))))))) (=> true (=> (not ?v_2422) (=> true (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2420))))))))))))))))))) (let ((?v_2427 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2425)))))))))))) (?v_2426 (= k.190 1)) (?v_2423 (= k.190 0))) (let ((?v_2430 (=> true (=> (<= k.189 k.190) (=> (< k.190 2) (and (=> true (=> ?v_2423 (=> (= inline.EvtRequestChildCancel.0.myVar_0.10 ?v_1559) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.10) ?v_2425))))) (=> true (=> (not ?v_2423) (and (=> true (=> ?v_2426 (=> (= inline.EvtRequestChildCancel.0.myVar_0.9 ?v_2424) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.9) ?v_2427))))) (=> true (=> (not ?v_2426) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.8) ?v_2427))))))))))))) (let ((?v_2434 (=> true (=> true ?v_2430))) (?v_2432 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2433 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2431 (= k.189 1)) (?v_2429 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2428 (= k.189 0))) (let ((?v_2437 (=> true (=> (<= k.188 k.189) (=> (< k.189 2) (and (=> true (=> ?v_2428 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2429 ?v_60)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) (=> ?v_2433 ?v_2430)))))) (=> true (=> (not ?v_2428) (and (=> true (=> ?v_2431 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2429 ?v_60)) (=> true (=> ?v_2432 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_2434)))))) (=> true (=> (not ?v_2431) (=> true (=> ?v_2432 (=> ?v_2433 ?v_2434)))))))))))))) (let ((?v_2441 (=> true ?v_2437)) (?v_2439 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2440 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2438 (= k.188 1)) (?v_2436 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2435 (= k.188 0))) (let ((?v_2456 (=> true (=> (<= k.187 k.188) (=> (< k.188 2) (and (=> true (=> ?v_2435 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2436 ?v_60)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) (=> ?v_2440 ?v_2437)))))) (=> true (=> (not ?v_2435) (and (=> true (=> ?v_2438 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2436 ?v_60)) (=> true (=> ?v_2439 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2441)))))) (=> true (=> (not ?v_2438) (=> true (=> ?v_2439 (=> ?v_2440 ?v_2441))))))))))))) (?v_2454 (= k.183 0)) (?v_2455 (= k.183 1))) (let ((?v_2447 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call24210formal.ret.0) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= k.187 k.186) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0) ?v_2456))))))))))) (?v_2446 (= inline.AcquireDpcLock.1.myVar_0.2 hlock))) (let ((?v_2443 (=> true (=> (= lockStatus_1.26 lockStatus_1.25) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 call24158formal.ret.0) (=> (= lockStatus_0.26 lockStatus_0.25) (=> (= k.186 k.185) ?v_2447)))))) (?v_2444 (= lockStatus_1.25 lockStatus_1.18))) (let ((?v_2445 (=> (= lockStatus_0.25 lockStatus_0.18) (=> true ?v_2443))) (?v_2442 (= k.185 1)) (?v_1560 (= k.185 0))) (let ((?v_2450 (and (=> true (=> ?v_2446 (=> true (=> (<= k.184 k.185) (=> (< k.185 2) (=> true (=> (=> ?v_1560 (= lockStatus_0.18 0)) (=> (=> ?v_2442 (= lockStatus_1.18 0)) (and (=> true (=> ?v_1560 (=> true (=> ?v_2444 (=> (= lockStatus_0.25 1) ?v_2443))))) (=> true (=> (not ?v_1560) (and (=> true (=> ?v_2442 (=> true (=> (= lockStatus_1.25 1) ?v_2445)))) (=> true (=> (not ?v_2442) (=> true (=> ?v_2444 ?v_2445)))))))))))))))) (=> true (=> (not ?v_2446) (=> true (=> (= lockStatus_1.26 lockStatus_1.18) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.26 lockStatus_0.18) (=> (= k.186 k.184) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2447)))))))))))))))) (let ((?v_2452 (=> true (=> true (=> true (=> true ?v_2450))))) (?v_2451 (= k.184 1)) (?v_2449 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2448 (= k.184 0))) (let ((?v_2453 (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (and (=> true (=> ?v_2448 (=> (= inline.AcquireDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2449))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.0) ?v_2450))))) (=> true (=> (not ?v_2448) (and (=> true (=> ?v_2451 (=> (= inline.AcquireDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2449))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.1) ?v_2452))))) (=> true (=> (not ?v_2451) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0) ?v_2452))))))))))))) (let ((?v_2461 (and (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.0) ?v_2453)))) (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_2454 ?v_277) (=> (=> ?v_2455 ?v_278) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.1) ?v_2453))))) (=> true (=> (=> ?v_2454 ?v_380) (=> (=> ?v_2455 ?v_382) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.27 lockStatus_1.18) (=> (= lockStatus_0.27 lockStatus_0.18) (=> (= k.187 k.183) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true ?v_2456))))))))))))))))))))) (?v_2463 (= errorReached.109 errorReached.107))) (let ((?v_2464 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> (= k.183 k.181) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2461)))))))))))) (?v_2466 (= inline.EvtRequestChildCancel.0.myVar_0.8 hdevice)) (?v_2465 (= inline.EvtRequestChildCancel.0.myVar_0.8 hqueue)) (?v_2462 (= inline.EvtRequestChildCancel.0.myVar_0.8 htimer)) (?v_2460 (= inline.EvtRequestChildCancel.0.myVar_0.8 hrequest)) (?v_2459 (=> true (=> (= errorReached.109 errorReached.108) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 call23918formal.ret.0) (=> (= k.183 k.182) ?v_2461)))))) (?v_2457 (= k.182 0)) (?v_2458 (= k.182 1))) (let ((?v_2468 (and (=> true (=> ?v_2460 (=> true (=> (<= k.181 k.182) (=> (< k.182 2) (and (=> true (=> (=> ?v_2457 ?v_1555) (=> (=> ?v_2458 ?v_1556) (=> true (=> (= errorReached.108 1) ?v_2459))))) (=> true (=> (=> ?v_2457 ?v_2353) (=> (=> ?v_2458 ?v_2354) (=> true (=> (= errorReached.108 errorReached.107) (=> true ?v_2459)))))))))))) (=> true (=> (not ?v_2460) (and (=> true (=> ?v_2462 (=> true (=> ?v_2463 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2464))))) (=> true (=> (not ?v_2462) (and (=> true (=> ?v_2465 (=> true (=> ?v_2463 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2464))))) (=> true (=> (not ?v_2465) (and (=> true (=> ?v_2466 (=> true (=> ?v_2463 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2464))))) (=> true (=> (not ?v_2466) (=> true (=> ?v_2463 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2464))))))))))))))))) (let ((?v_2470 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2468)))))))))))) (?v_2469 (= k.181 1)) (?v_2467 (= k.181 0))) (let ((?v_2474 (=> true (=> (<= k.180 k.181) (=> (< k.181 2) (and (=> true (=> ?v_2467 (=> (= inline.EvtRequestChildCancel.0.myVar_0.6 ?v_1559) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.6) ?v_2468))))) (=> true (=> (not ?v_2467) (and (=> true (=> ?v_2469 (=> (= inline.EvtRequestChildCancel.0.myVar_0.7 ?v_2424) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.7) ?v_2470))))) (=> true (=> (not ?v_2469) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.5) ?v_2470)))))))))))) (?v_2471 (= k.180 0)) (?v_2472 (= k.180 1))) (let ((?v_2473 (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call23798formal.ret.0) ?v_2474)))) (let ((?v_2479 (and (=> true (=> (=> ?v_2471 ?v_36) (=> (=> ?v_2472 ?v_37) ?v_2473))) (=> true (=> (=> ?v_2471 ?v_617) (=> (=> ?v_2472 ?v_619) (and (=> true (=> (=> ?v_2471 ?v_524) (=> (=> ?v_2472 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2473)))))))))))) (=> true (=> (=> ?v_2471 ?v_621) (=> (=> ?v_2472 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2474)))))))))))))))) (let ((?v_2484 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2479)))))))))) (?v_2481 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_2482 (= errorReached.107 errorReached.105)) (?v_2483 (= k.180 k.178)) (?v_2486 (= inline.EvtRequestChildCancel.0.myVar_0.5 hdevice)) (?v_2485 (= inline.EvtRequestChildCancel.0.myVar_0.5 hqueue)) (?v_2480 (= inline.EvtRequestChildCancel.0.myVar_0.5 htimer)) (?v_2478 (= inline.EvtRequestChildCancel.0.myVar_0.5 hrequest)) (?v_2477 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 call23601formal.ret.0) (=> (= errorReached.107 errorReached.106) (=> (= k.180 k.179) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2479)))))) (?v_2475 (= k.179 0)) (?v_2476 (= k.179 1))) (let ((?v_2488 (and (=> true (=> ?v_2478 (=> true (=> (<= k.178 k.179) (=> (< k.179 2) (and (=> true (=> (=> ?v_2475 ?v_1555) (=> (=> ?v_2476 ?v_1556) (=> true (=> (= errorReached.106 1) ?v_2477))))) (=> true (=> (=> ?v_2475 ?v_2353) (=> (=> ?v_2476 ?v_2354) (=> true (=> (= errorReached.106 errorReached.105) (=> true ?v_2477)))))))))))) (=> true (=> (not ?v_2478) (and (=> true (=> ?v_2480 (=> true (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2484))))))) (=> true (=> (not ?v_2480) (and (=> true (=> ?v_2485 (=> true (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2484))))))) (=> true (=> (not ?v_2485) (and (=> true (=> ?v_2486 (=> true (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2484))))))) (=> true (=> (not ?v_2486) (=> true (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2484))))))))))))))))))) (let ((?v_2490 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2488)))))))))))) (?v_2489 (= k.178 1)) (?v_2487 (= k.178 0))) (let ((?v_2494 (=> true (=> (<= k.177 k.178) (=> (< k.178 2) (and (=> true (=> ?v_2487 (=> (= inline.EvtRequestChildCancel.0.myVar_0.3 ?v_1559) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.3) ?v_2488))))) (=> true (=> (not ?v_2487) (and (=> true (=> ?v_2489 (=> (= inline.EvtRequestChildCancel.0.myVar_0.4 ?v_2424) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.4) ?v_2490))))) (=> true (=> (not ?v_2489) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.2) ?v_2490)))))))))))) (?v_2495 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2496 (= errorReached.105 errorReached.103))) (let ((?v_2497 (=> (= k.177 k.175) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2494))))))))))) (?v_2493 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call23390formal.ret.0) (=> (= errorReached.105 errorReached.104) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.177 k.176) ?v_2494)))))) (?v_2491 (= k.176 0)) (?v_2492 (= k.176 1))) (let ((?v_2502 (and (=> true (=> ?v_25 (=> true (=> (<= k.175 k.176) (=> (< k.176 2) (and (=> true (=> (=> ?v_2491 ?v_1555) (=> (=> ?v_2492 ?v_1556) (=> true (=> (= errorReached.104 1) ?v_2493))))) (=> true (=> (=> ?v_2491 ?v_2353) (=> (=> ?v_2492 ?v_2354) (=> true (=> (= errorReached.104 errorReached.103) (=> true ?v_2493)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_2495 (=> ?v_2496 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2497)))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_2495 (=> ?v_2496 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2497)))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_2495 (=> ?v_2496 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2497)))))) (=> true (=> ?v_507 (=> true (=> ?v_2495 (=> ?v_2496 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2497))))))))))))))))) (?v_2504 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.))) (let ((?v_2505 (=> (= errorReached.103 errorReached.101) (=> (= k.175 k.173) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2502))))))))))))))))))) (?v_2507 (= inline.EvtRequestChildCancel.0.myVar_0.2 hdevice)) (?v_2506 (= inline.EvtRequestChildCancel.0.myVar_0.2 hqueue)) (?v_2503 (= inline.EvtRequestChildCancel.0.myVar_0.2 htimer)) (?v_2501 (= inline.EvtRequestChildCancel.0.myVar_0.2 hrequest)) (?v_2500 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call23219formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.103 errorReached.102) (=> (= k.175 k.174) ?v_2502)))))) (?v_2498 (= k.174 0)) (?v_2499 (= k.174 1))) (let ((?v_2510 (and (=> true (=> ?v_2501 (=> true (=> (<= k.173 k.174) (=> (< k.174 2) (and (=> true (=> (=> ?v_2498 ?v_1555) (=> (=> ?v_2499 ?v_1556) (=> true (=> (= errorReached.102 1) ?v_2500))))) (=> true (=> (=> ?v_2498 ?v_2353) (=> (=> ?v_2499 ?v_2354) (=> true (=> (= errorReached.102 errorReached.101) (=> true ?v_2500)))))))))))) (=> true (=> (not ?v_2501) (and (=> true (=> ?v_2503 (=> true (=> ?v_2504 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2505))))) (=> true (=> (not ?v_2503) (and (=> true (=> ?v_2506 (=> true (=> ?v_2504 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2505))))) (=> true (=> (not ?v_2506) (and (=> true (=> ?v_2507 (=> true (=> ?v_2504 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2505))))) (=> true (=> (not ?v_2507) (=> true (=> ?v_2504 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2505))))))))))))))))) (let ((?v_2512 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2510)))))))) (?v_2511 (= k.173 1)) (?v_2509 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2508 (= k.173 0))) (let ((?v_2517 (=> true (=> (<= k.172 k.173) (=> (< k.173 2) (and (=> true (=> ?v_2508 (=> (= inline.EvtRequestChildCancel.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2509))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.0) ?v_2510))))) (=> true (=> (not ?v_2508) (and (=> true (=> ?v_2511 (=> (= inline.EvtRequestChildCancel.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2509))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.1) ?v_2512))))) (=> true (=> (not ?v_2511) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0) ?v_2512)))))))))))) (?v_2519 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2520 (= errorReached.101 errorReached.99))) (let ((?v_2521 (=> (= k.172 k.170) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2517))))))))))) (?v_2515 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 call23010formal.ret.0) (=> (= errorReached.101 errorReached.100) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.172 k.171) ?v_2517)))))) (?v_2513 (= k.171 0)) (?v_2514 (= k.171 1))) (let ((?v_2527 (and (=> true (=> ?v_24 (=> true (=> (<= k.170 k.171) (=> (< k.171 2) (and (=> true (=> (=> ?v_2513 ?v_1555) (=> (=> ?v_2514 ?v_1556) (=> true (=> (= errorReached.100 1) ?v_2515))))) (=> true (=> (=> ?v_2513 ?v_2353) (=> (=> ?v_2514 ?v_2354) (=> true (=> (= errorReached.100 errorReached.99) (=> true ?v_2515)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> ?v_2519 (=> ?v_2520 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2521)))))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> ?v_2519 (=> ?v_2520 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2521)))))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> ?v_2519 (=> ?v_2520 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2521)))))) (=> true (=> ?v_2522 (=> true (=> ?v_2519 (=> ?v_2520 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2521)))))))))))))))))) (let ((?v_2529 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2527)))))))))))))) (?v_2528 (= errorReached.99 errorReached.96)) (?v_2525 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 call22899formal.ret.0)) (?v_2526 (= k.170 k.167)) (?v_2523 (= k.167 0)) (?v_2524 (= k.167 1)) (?v_1558 (int_2_U call22791formal.new.0))) (let ((?v_2672 (=> true (and ?v_1557 (=> ?v_1557 (=> (> call22791formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call22791formal.new.0 ?x363) (< ?x363 (+ call22791formal.new.0 1))) (= (Base ?x363) call22791formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call22791formal.new.0) (= (MapType0Select alloc.8 ?x364) (MapType0Select alloc.11 ?x364)))) :pattern ((MapType0Select alloc.11 ?x364)) )) (=> (and (= (MapType0Select alloc.8 ?v_1558) UNALLOCATED) (= (MapType0Select alloc.11 ?v_1558) ALLOCATED)) (and (=> true (=> (not ?v_2536) (and (=> true (=> ?v_2530 (and (=> true (=> ?v_25 (=> true (=> (<= k.166 k.167) (=> (< k.167 2) (and (=> true (=> (=> ?v_2523 ?v_1555) (=> (=> ?v_2524 ?v_1556) (=> true (=> (= errorReached.99 1) (=> ?v_2525 (=> ?v_2526 ?v_2527))))))) (=> true (=> (=> ?v_2523 ?v_2353) (=> (=> ?v_2524 ?v_2354) (=> true (=> ?v_2528 (=> ?v_2525 (=> ?v_2526 ?v_2529))))))))))))) (=> true (=> ?v_471 (=> true (=> ?v_2528 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.) (=> (= k.170 k.166) ?v_2529))))))))) (=> true (=> (not ?v_2530) (=> true (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2531 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> (= k.207 k.166) (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> (= reqCancelSet_0.17 reqCancelSet_0.11) (=> ?v_2588 (=> ?v_2589 (=> (= reqCancelSet_1.17 reqCancelSet_1.11) (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2532 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2533 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2534 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> (= errorReached.121 errorReached.96) ?v_2661))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2536 (and (=> true (=> ?v_25 (=> true (=> (<= k.166 k.168) (=> (< k.168 2) (and (=> true (=> (=> ?v_2537 ?v_1555) (=> (=> ?v_2662 ?v_1556) (=> true (=> (= errorReached.97 1) ?v_2666))))) (=> true (=> (=> ?v_2537 ?v_2353) (=> (=> ?v_2662 ?v_2354) (=> true (=> (= errorReached.97 errorReached.96) (=> true ?v_2666)))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= errorReached.98 errorReached.96) (=> (= reqCancelSet_1.13 reqCancelSet_1.11) (=> (= k.169 k.166) (=> (= reqCancelSet_0.13 reqCancelSet_0.11) (=> true (=> true (=> true ?v_2667))))))))))))))))))))))) (?v_2674 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.))) (let ((?v_2675 (=> (= errorReached.96 errorReached.94) (=> (= k.166 k.164) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2672))))))))))) (?v_2677 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hdevice)) (?v_2676 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hqueue)) (?v_2673 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 htimer)) (?v_2671 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hrequest)) (?v_2670 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 call22676formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.96 errorReached.95) (=> (= k.166 k.165) ?v_2672)))))) (?v_2668 (= k.165 0)) (?v_2669 (= k.165 1))) (let ((?v_2680 (and (=> true (=> ?v_2671 (=> true (=> (<= k.164 k.165) (=> (< k.165 2) (and (=> true (=> (=> ?v_2668 ?v_1555) (=> (=> ?v_2669 ?v_1556) (=> true (=> (= errorReached.95 1) ?v_2670))))) (=> true (=> (=> ?v_2668 ?v_2353) (=> (=> ?v_2669 ?v_2354) (=> true (=> (= errorReached.95 errorReached.94) (=> true ?v_2670)))))))))))) (=> true (=> (not ?v_2671) (and (=> true (=> ?v_2673 (=> true (=> ?v_2674 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2675))))) (=> true (=> (not ?v_2673) (and (=> true (=> ?v_2676 (=> true (=> ?v_2674 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2675))))) (=> true (=> (not ?v_2676) (and (=> true (=> ?v_2677 (=> true (=> ?v_2674 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2675))))) (=> true (=> (not ?v_2677) (=> true (=> ?v_2674 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2675))))))))))))))))) (let ((?v_2682 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2680)))))))) (?v_2681 (= k.164 1)) (?v_2679 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2678 (= k.164 0))) (let ((?v_2686 (=> true (=> (<= k.163 k.164) (=> (< k.164 2) (and (=> true (=> ?v_2678 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2679))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.0) ?v_2680))))) (=> true (=> (not ?v_2678) (and (=> true (=> ?v_2681 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2679))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.1) ?v_2682))))) (=> true (=> (not ?v_2681) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0) ?v_2682))))))))))))) (let ((?v_2687 (=> (= errorReached.94 errorReached.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.) (=> (= k.163 k.161) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2686)))))))))))) (?v_2685 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.94 errorReached.93) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 call22468formal.ret.0) (=> (= k.163 k.162) ?v_2686)))))) (?v_2683 (= k.162 0)) (?v_2684 (= k.162 1))) (let ((?v_2691 (and (=> true (=> ?v_24 (=> true (=> (<= k.161 k.162) (=> (< k.162 2) (and (=> true (=> (=> ?v_2683 ?v_1555) (=> (=> ?v_2684 ?v_1556) (=> true (=> (= errorReached.93 1) ?v_2685))))) (=> true (=> (=> ?v_2683 ?v_2353) (=> (=> ?v_2684 ?v_2354) (=> true (=> (= errorReached.93 errorReached.92) (=> true ?v_2685)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2687)))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2687)))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2687)))) (=> true (=> ?v_2522 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2687)))))))))))))))) (let ((?v_2695 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2691)))))))))))))))) (?v_2692 (= errorReached.92 errorReached.90)) (?v_2693 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2694 (= k.161 k.159)) (?v_2690 (=> true (=> (= errorReached.92 errorReached.91) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call22314formal.ret.0) (=> (= k.161 k.160) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2691)))))) (?v_2688 (= k.160 0)) (?v_2689 (= k.160 1))) (let ((?v_2700 (and (=> true (=> ?v_25 (=> true (=> (<= k.159 k.160) (=> (< k.160 2) (and (=> true (=> (=> ?v_2688 ?v_1555) (=> (=> ?v_2689 ?v_1556) (=> true (=> (= errorReached.91 1) ?v_2690))))) (=> true (=> (=> ?v_2688 ?v_2353) (=> (=> ?v_2689 ?v_2354) (=> true (=> (= errorReached.91 errorReached.90) (=> true ?v_2690)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2695))))))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2695))))))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2695))))))) (=> true (=> ?v_507 (=> true (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2695))))))))))))))))))) (let ((?v_2702 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2700))))))))))))) (?v_2701 (= errorReached.90 errorReached.89)) (?v_2698 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 call22204formal.ret.0)) (?v_2699 (= k.159 k.158)) (?v_2696 (= k.158 0)) (?v_2697 (= k.158 1))) (let ((?v_2714 (and (=> true (=> ?v_25 (=> true (=> (<= k.157 k.158) (=> (< k.158 2) (and (=> true (=> (=> ?v_2696 ?v_1555) (=> (=> ?v_2697 ?v_1556) (=> true (=> ?v_2698 (=> (= errorReached.90 1) (=> ?v_2699 ?v_2700))))))) (=> true (=> (=> ?v_2696 ?v_2353) (=> (=> ?v_2697 ?v_2354) (=> true (=> ?v_2698 (=> ?v_2701 (=> ?v_2699 ?v_2702))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> ?v_2701 (=> (= k.159 k.157) ?v_2702)))))))) (?v_1546 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hrequest))) (let ((?v_2719 (not ?v_1546)) (?v_2704 (=> true (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= errorReached.89 errorReached.88) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) (=> (= reqCompleted_1.7 reqCompleted_1.6) (=> (= k.157 k.156) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 call22046formal.ret.0) ?v_2714))))))))) (?v_2705 (= reqCancelSet_1.10 reqCancelSet_1.3))) (let ((?v_2706 (=> (= reqCancelSet_0.10 reqCancelSet_0.3) (=> true ?v_2704))) (?v_2703 (= k.156 1))) (let ((?v_2709 (not ?v_2703)) (?v_1554 (= k.156 0))) (let ((?v_2707 (not ?v_1554))) (let ((?v_2708 (and (=> true (=> ?v_1554 (=> true (=> ?v_2705 (=> (= reqCancelSet_0.10 0) ?v_2704))))) (=> true (=> ?v_2707 (and (=> true (=> ?v_2703 (=> true (=> (= reqCancelSet_1.10 0) ?v_2706)))) (=> true (=> ?v_2709 (=> true (=> ?v_2705 ?v_2706)))))))))) (let ((?v_2712 (=> true (=> true ?v_2708))) (?v_2710 (= reqCompleted_0.6 reqCompleted_0)) (?v_2711 (= reqCompleted_1.6 reqCompleted_1))) (let ((?v_2713 (and (=> true (=> ?v_1554 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2711 ?v_2708))))) (=> true (=> ?v_2707 (and (=> true (=> ?v_2703 (=> true (=> ?v_2710 (=> (= reqCompleted_1.6 1) ?v_2712))))) (=> true (=> ?v_2709 (=> true (=> ?v_2710 (=> ?v_2711 ?v_2712))))))))))) (let ((?v_2715 (and (=> true (=> ?v_1546 (=> true (=> (<= k.155 k.156) (=> (< k.156 2) (and (=> true (=> (=> ?v_1554 ?v_8) (=> (=> ?v_2703 ?v_9) (=> true (=> (= errorReached.88 1) ?v_2713))))) (=> true (=> (=> ?v_1554 ?v_2) (=> (=> ?v_2703 ?v_3) (=> true (=> (= errorReached.88 errorReached.87) (=> true ?v_2713)))))))))))) (=> true (=> ?v_2719 (=> true (=> (= reqCancelSet_1.11 reqCancelSet_1.3) (=> (= errorReached.89 errorReached.87) (=> (= reqCompleted_0.7 reqCompleted_0) (=> (= reqCancelSet_0.11 reqCancelSet_0.3) (=> (= reqCompleted_1.7 reqCompleted_1) (=> (= k.157 k.155) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2714)))))))))))))))))))))))))))))) (let ((?v_2720 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2) ?v_2715)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2715))))))))))))))))) (let ((?v_2725 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2720)))))))))) (?v_2722 (= k.155 k.135)) (?v_2723 (= errorReached.87 errorReached.78)) (?v_2724 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_2727 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hdevice))) (let ((?v_3115 (not ?v_2727)) (?v_2726 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hqueue))) (let ((?v_3114 (not ?v_2726)) (?v_2721 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 htimer))) (let ((?v_3110 (not ?v_2721)) (?v_2718 (=> true (=> (= k.155 k.154) (=> (= errorReached.87 errorReached.86) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 call21895formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2720)))))) (?v_2716 (= k.154 0)) (?v_2717 (= k.154 1))) (let ((?v_2730 (and (=> true (=> ?v_1546 (=> true (=> (<= k.135 k.154) (=> (< k.154 2) (and (=> true (=> (=> ?v_2716 ?v_8) (=> (=> ?v_2717 ?v_9) (=> true (=> (= errorReached.86 1) ?v_2718))))) (=> true (=> (=> ?v_2716 ?v_2) (=> (=> ?v_2717 ?v_3) (=> true (=> (= errorReached.86 errorReached.78) (=> true ?v_2718)))))))))))) (=> true (=> ?v_2719 (and (=> true (=> ?v_2721 (=> true (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2725))))))) (=> true (=> ?v_3110 (and (=> true (=> ?v_2726 (=> true (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2725))))))) (=> true (=> ?v_3114 (and (=> true (=> ?v_2727 (=> true (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2725))))))) (=> true (=> ?v_3115 (=> true (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2725))))))))))))))))))) (let ((?v_2731 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2730))))))))))))))))))))) (?v_2728 (= k.135 0)) (?v_2729 (= k.135 1))) (let ((?v_2736 (and (=> true (=> (=> ?v_2728 ?v_36) (=> (=> ?v_2729 ?v_37) ?v_2730))) (=> true (=> (=> ?v_2728 ?v_617) (=> (=> ?v_2729 ?v_619) (and (=> true (=> (=> ?v_2728 ?v_524) (=> (=> ?v_2729 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2731)))))))))))) (=> true (=> (=> ?v_2728 ?v_621) (=> (=> ?v_2729 ?v_622) ?v_2731)))))))))) (let ((?v_2738 (=> (= errorReached.78 errorReached.76) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= k.135 k.133) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2736))))))))))))) (?v_2740 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hdevice)) (?v_2739 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hqueue)) (?v_2737 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 htimer)) (?v_2735 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hrequest)) (?v_2734 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.78 errorReached.77) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call21592formal.ret.0) (=> (= k.135 k.134) ?v_2736)))))) (?v_2732 (= k.134 0)) (?v_2733 (= k.134 1))) (let ((?v_2743 (and (=> true (=> ?v_2735 (=> true (=> (<= k.133 k.134) (=> (< k.134 2) (and (=> true (=> (=> ?v_2732 ?v_8) (=> (=> ?v_2733 ?v_9) (=> true (=> (= errorReached.77 1) ?v_2734))))) (=> true (=> (=> ?v_2732 ?v_2) (=> (=> ?v_2733 ?v_3) (=> true (=> (= errorReached.77 errorReached.76) (=> true ?v_2734)))))))))))) (=> true (=> (not ?v_2735) (and (=> true (=> ?v_2737 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2738)))) (=> true (=> (not ?v_2737) (and (=> true (=> ?v_2739 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2738)))) (=> true (=> (not ?v_2739) (and (=> true (=> ?v_2740 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2738)))) (=> true (=> (not ?v_2740) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2738)))))))))))))))) (let ((?v_2745 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2743)))))))))))) (?v_2744 (= k.133 1)) (?v_2741 (= k.133 0))) (let ((?v_2761 (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (and (=> true (=> ?v_2741 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 ?v_1553) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12) ?v_2743))))) (=> true (=> (not ?v_2741) (and (=> true (=> ?v_2744 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 ?v_2773) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13) ?v_2745))))) (=> true (=> (not ?v_2744) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) ?v_2745)))))))))))) (?v_2759 (= k.128 0)) (?v_2760 (= k.128 1))) (let ((?v_2752 (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.2) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= k.132 k.131) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myVar_0.2) ?v_2761)))))))))) (?v_2751 (= inline.ReleaseDpcLock.1.myVar_0.2 hlock))) (let ((?v_2747 (=> true (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call21445formal.ret.0) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= k.131 k.130) ?v_2752)))))) (?v_2749 (= lockStatus_1.16 lockStatus_1.2))) (let ((?v_2750 (=> (= lockStatus_0.16 lockStatus_0.2) (=> true ?v_2747))) (?v_2748 (= k.130 1)) (?v_2746 (= k.130 0))) (let ((?v_2755 (and (=> true (=> ?v_2751 (=> true (=> (<= k.129 k.130) (=> (< k.130 2) (and (=> true (=> ?v_2746 (=> true (=> ?v_2749 (=> (= lockStatus_0.16 0) ?v_2747))))) (=> true (=> (not ?v_2746) (and (=> true (=> ?v_2748 (=> true (=> (= lockStatus_1.16 0) ?v_2750)))) (=> true (=> (not ?v_2748) (=> true (=> ?v_2749 ?v_2750))))))))))))) (=> true (=> (not ?v_2751) (=> true (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.17 lockStatus_1.2) (=> (= lockStatus_0.17 lockStatus_0.2) (=> (= k.131 k.129) (=> true (=> true (=> true ?v_2752))))))))))))) (let ((?v_2757 (=> true (=> true (=> true (=> true ?v_2755))))) (?v_2756 (= k.129 1)) (?v_2754 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2753 (= k.129 0))) (let ((?v_2758 (=> true (=> (<= k.128 k.129) (=> (< k.129 2) (and (=> true (=> ?v_2753 (=> (= inline.ReleaseDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2754))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.1) ?v_2755))))) (=> true (=> (not ?v_2753) (and (=> true (=> ?v_2756 (=> (= inline.ReleaseDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2754))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.0) ?v_2757))))) (=> true (=> (not ?v_2756) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0) ?v_2757))))))))))))) (let ((?v_2766 (and (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.1) ?v_2758)))) (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2759 ?v_277) (=> (=> ?v_2760 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> true (=> true ?v_2758))))))) (=> true (=> (=> ?v_2759 ?v_380) (=> (=> ?v_2760 ?v_382) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> (= lockStatus_1.18 lockStatus_1.2) (=> (= lockStatus_0.18 lockStatus_0.2) (=> (= k.132 k.128) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_2761)))))))))))))))))))) (?v_2768 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.))) (let ((?v_2769 (=> (= errorReached.76 errorReached.34) (=> (= k.128 k.54) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2766)))))))))))) (?v_2771 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hdevice)) (?v_2770 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hqueue)) (?v_2767 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 htimer)) (?v_2765 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hrequest)) (?v_2764 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call21203formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.76 errorReached.35) (=> (= k.128 k.55) ?v_2766)))))) (?v_2762 (= k.55 0)) (?v_2763 (= k.55 1))) (let ((?v_2774 (and (=> true (=> ?v_2765 (=> true (=> (<= k.54 k.55) (=> (< k.55 2) (and (=> true (=> (=> ?v_2762 ?v_8) (=> (=> ?v_2763 ?v_9) (=> true (=> (= errorReached.35 1) ?v_2764))))) (=> true (=> (=> ?v_2762 ?v_2) (=> (=> ?v_2763 ?v_3) (=> true (=> (= errorReached.35 errorReached.34) (=> true ?v_2764)))))))))))) (=> true (=> (not ?v_2765) (and (=> true (=> ?v_2767 (=> true (=> ?v_2768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2769))))) (=> true (=> (not ?v_2767) (and (=> true (=> ?v_2770 (=> true (=> ?v_2768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2769))))) (=> true (=> (not ?v_2770) (and (=> true (=> ?v_2771 (=> true (=> ?v_2768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2769))))) (=> true (=> (not ?v_2771) (=> true (=> ?v_2768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2769))))))))))))))))) (let ((?v_2776 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2774)))))))))))) (?v_2775 (= k.54 1)) (?v_2772 (= k.54 0))) (let ((?v_2778 (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> ?v_2772 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 ?v_1553) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7) ?v_2774))))) (=> true (=> (not ?v_2772) (and (=> true (=> ?v_2775 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 ?v_2773) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6) ?v_2776))))) (=> true (=> (not ?v_2775) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_2776))))))))))))) (let ((?v_2782 (=> true ?v_2778)) (?v_2780 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2781 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2779 (= k.53 1)) (?v_2777 (= k.53 0))) (let ((?v_2785 (=> true (=> (<= k.52 k.53) (=> (< k.53 2) (and (=> true (=> ?v_2777 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3430) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) (=> ?v_2781 ?v_2778)))))) (=> true (=> (not ?v_2777) (and (=> true (=> ?v_2779 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_4027) (=> true (=> ?v_2780 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_2782)))))) (=> true (=> (not ?v_2779) (=> true (=> ?v_2780 (=> ?v_2781 ?v_2782)))))))))))))) (let ((?v_2789 (=> true (=> true ?v_2785))) (?v_2787 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2788 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2786 (= k.52 1)) (?v_2783 (= k.52 0))) (let ((?v_3092 (and (=> true (=> ?v_2790 (=> true (=> (<= k.51 k.52) (=> (< k.52 2) (and (=> true (=> ?v_2783 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3429) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) (=> ?v_2788 ?v_2785)))))) (=> true (=> (not ?v_2783) (and (=> true (=> ?v_2786 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_4034) (=> true (=> ?v_2787 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2789)))))) (=> true (=> (not ?v_2786) (=> true (=> ?v_2787 (=> ?v_2788 ?v_2789)))))))))))))) (=> true (=> (not ?v_2790) (=> true (=> ?v_3119 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_3120 (=> ?v_2794 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_3124 (=> ?v_3125 (=> ?v_2798 (=> ?v_3126 (=> ?v_3127 (=> ?v_2799 (=> ?v_3128 (=> ?v_2800 (=> ?v_3129 (=> ?v_2801 (=> ?v_2802 (=> ?v_3130 (=> ?v_3131 (=> ?v_2803 (=> ?v_2804 (=> ?v_3132 (=> ?v_3133 (=> ?v_2805 (=> ?v_3134 (=> ?v_3135 (=> ?v_2806 (=> ?v_3136 (=> ?v_3137 (=> ?v_2807 (=> ?v_2808 (=> ?v_3138 (=> ?v_3139 (=> ?v_2809 (=> ?v_3140 (=> ?v_2810 (=> ?v_3141 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_3142 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_2819 (=> ?v_3146 (=> ?v_2820 (=> ?v_3147 (=> ?v_2821 (=> ?v_3148 (=> ?v_2822 (=> ?v_3149 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_3150 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_3151 (=> ?v_3152 (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_3153 (=> ?v_2833 (=> ?v_3154 (=> ?v_2834 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_3159 (=> ?v_2838 (=> ?v_2839 (=> ?v_3160 (=> ?v_3161 (=> ?v_2840 (=> ?v_3162 (=> ?v_2841 (=> ?v_2842 (=> ?v_3163 (=> ?v_3164 (=> ?v_2843 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_2844 (=> ?v_2845 (=> ?v_3168 (=> ?v_3169 (=> ?v_2846 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_2847 (=> (= reqCancelSet_0.18 reqCancelSet_0.3) (=> ?v_2848 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_2849 (=> ?v_2850 (=> ?v_2851 (=> ?v_3176 (=> ?v_2852 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_2853 (=> ?v_2854 (=> ?v_3180 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_2858 (=> ?v_2859 (=> (= errorReached.134 errorReached.34) (=> ?v_2860 (=> ?v_3185 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> ?v_3186 (=> ?v_2867 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> ?v_3190 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_3191 (=> ?v_3192 (=> ?v_2874 (=> ?v_2875 (=> ?v_3193 (=> ?v_3194 (=> ?v_2876 (=> ?v_3195 (=> ?v_3196 (=> ?v_2877 (=> ?v_2878 (=> ?v_3197 (=> ?v_2879 (=> ?v_3198 (=> ?v_2880 (=> ?v_3199 (=> ?v_2881 (=> ?v_3200 (=> ?v_2882 (=> ?v_2883 (=> ?v_3201 (=> ?v_3202 (=> ?v_2884 (=> ?v_3203 (=> ?v_3204 (=> ?v_2885 (=> ?v_2886 (=> ?v_3205 (=> ?v_2887 (=> ?v_3206 (=> ?v_2888 (=> ?v_3207 (=> ?v_3208 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_3209 (=> ?v_2892 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_2893 (=> ?v_3215 (=> ?v_2894 (=> ?v_2895 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_3221 (=> ?v_2899 (=> ?v_2900 (=> ?v_3222 (=> ?v_3223 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_3224 (=> ?v_2906 (=> ?v_2907 (=> ?v_3225 (=> ?v_2908 (=> ?v_3226 (=> ?v_2909 (=> ?v_3227 (=> ?v_3228 (=> ?v_2910 (=> ?v_3229 (=> ?v_1633 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_2911 (=> ?v_3234 (=> ?v_3235 (=> (= k.240 k.51) (=> ?v_3236 (=> ?v_2912 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_2913 (=> ?v_3240 (=> ?v_2914 (=> ?v_2915 (=> ?v_3241 (=> ?v_3242 (=> ?v_2916 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_3246 (=> ?v_2922 (=> ?v_3247 (=> (= reqCancelSet_1.18 reqCancelSet_1.3) (=> ?v_3248 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_3249 (=> ?v_2927 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_3256 (=> ?v_3257 (=> ?v_2931 (=> ?v_3258 (=> ?v_2932 (=> ?v_2933 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_3269 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_2946 (=> ?v_3273 (=> ?v_3274 (=> ?v_2947 (=> ?v_3275 (=> ?v_2948 (=> ?v_3276 (=> ?v_2949 (=> ?v_2950 (=> ?v_3277 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_3278 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_2962 (=> ?v_2963 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_3285 (=> ?v_2968 (=> ?v_2969 (=> ?v_3286 (=> ?v_2970 (=> ?v_2971 (=> ?v_3287 (=> ?v_2972 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2973 (=> ?v_3291 (=> ?v_2974 (=> ?v_3292 (=> ?v_2975 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_2976 (=> ?v_3296 (=> ?v_2977 (=> ?v_3297 (=> ?v_2978 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_2979 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_2980 (=> ?v_2981 (=> ?v_3306 (=> ?v_3307 (=> ?v_2982 (=> ?v_3308 (=> ?v_3309 (=> ?v_2983 (=> ?v_2984 (=> ?v_3310 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_3311 (=> ?v_3312 (=> ?v_2989 (=> ?v_2990 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_2991 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_2992 (=> ?v_3321 (=> ?v_2993 (=> ?v_3322 (=> ?v_2994 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_2995 (=> ?v_3326 (=> ?v_2996 (=> ?v_3327 (=> ?v_3328 (=> ?v_2997 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_2998 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_2999 (=> ?v_3338 (=> ?v_3339 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3003 (=> ?v_3344 (=> ?v_3004 (=> ?v_3005 (=> ?v_3345 (=> ?v_3006 (=> ?v_3007 (=> ?v_3346 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3013 (=> ?v_3351 (=> ?v_3352 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3353 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3354 (=> ?v_3025 (=> ?v_3355 (=> ?v_3356 (=> ?v_3026 (=> ?v_3357 (=> ?v_3358 (=> ?v_3027 (=> ?v_3359 (=> ?v_3360 (=> ?v_3028 (=> ?v_3029 (=> ?v_3361 (=> ?v_3362 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3363 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3364 (=> ?v_3037 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3038 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3039 (=> ?v_3374 (=> ?v_3040 (=> ?v_3041 (=> ?v_3375 (=> ?v_3042 (=> ?v_3376 (=> ?v_3377 (=> ?v_3043 (=> ?v_3378 (=> ?v_3044 (=> ?v_3045 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3046 (=> ?v_3382 (=> ?v_3047 (=> ?v_3383 (=> ?v_3384 (=> ?v_3048 (=> ?v_3385 (=> ?v_3386 (=> ?v_3049 (=> ?v_3050 (=> ?v_3387 (=> ?v_3051 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3052 (=> ?v_3391 (=> ?v_3053 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3054 (=> ?v_3395 (=> ?v_3055 (=> ?v_3396 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3397 (=> ?v_3398 (=> ?v_3060 (=> ?v_3399 (=> ?v_3400 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3065 (=> ?v_3066 (=> ?v_3404 (=> ?v_3067 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3068 (=> ?v_3069 (=> ?v_3409 (=> ?v_3070 (=> ?v_3410 (=> ?v_3071 (=> ?v_3411 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3412 (=> ?v_3076 (=> ?v_3077 (=> ?v_3413 (=> ?v_3414 (=> ?v_3078 (=> ?v_3079 (=> ?v_3415 (=> ?v_3080 (=> ?v_3081 (=> ?v_3416 (=> ?v_3082 (=> ?v_3417 (=> ?v_3418 (=> ?v_3083 (=> ?v_3084 (=> ?v_3419 (=> ?v_3420 (=> ?v_3085 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3086 (=> ?v_3425 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 ?v_3426))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3093 (=> true (=> true (=> true (=> true (=> true ?v_3092)))))) (?v_1551 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_3091 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_3099 (and (=> true (=> (not ?v_3091) (=> (not ?v_1551) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_3092))))) (=> true (=> ?v_3091 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_332) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_3093)))))) (=> true (=> ?v_1551 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_334) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_3093))))))))) (let ((?v_3105 (=> true ?v_3099)) (?v_3104 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call20802formal.ret.0)) (?v_3094 (= errorReached.34 errorReached.33)) (?v_3095 (= reqCancelSet_1.3 reqCancelSet_1.2)) (?v_3096 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 call20842formal.ret.0)) (?v_3097 (= k.51 k.50)) (?v_3098 (= reqCancelSet_0.3 reqCancelSet_0.2)) (?v_1547 (= k.50 0)) (?v_1548 (= reqCancelStarted_0 0)) (?v_1549 (= k.50 1)) (?v_1550 (= reqCancelStarted_1 0))) (let ((?v_3100 (and (=> true (=> (=> ?v_1547 (not ?v_1548)) (=> (=> ?v_1549 (not ?v_1550)) (=> true (=> ?v_3094 (=> ?v_3095 (=> ?v_1551 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 ?v_3099)))))))))) (=> true (=> (=> ?v_1547 ?v_1548) (=> (=> ?v_1549 ?v_1550) (=> true (=> ?v_3094 (=> ?v_3095 (=> ?v_3104 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 ?v_3105)))))))))))) (?v_3101 (= reqCancelSet_1.2 reqCancelSet_1))) (let ((?v_3102 (=> (= reqCancelSet_0.2 reqCancelSet_0) (=> true (=> true ?v_3100))))) (let ((?v_3103 (and (=> true (=> ?v_1547 (=> true (=> ?v_3101 (=> (= reqCancelSet_0.2 0) ?v_3100))))) (=> true (=> (not ?v_1547) (and (=> true (=> ?v_1549 (=> true (=> (= reqCancelSet_1.2 0) ?v_3102)))) (=> true (=> (not ?v_1549) (=> true (=> ?v_3101 ?v_3102)))))))))) (let ((?v_3109 (and (=> true (=> ?v_1546 (=> true (=> (<= k.49 k.50) (=> (< k.50 2) (and (=> true (=> (=> ?v_1547 ?v_8) (=> (=> ?v_1549 ?v_9) (=> true (=> (= errorReached.33 1) ?v_3103))))) (=> true (=> (=> ?v_1547 ?v_2) (=> (=> ?v_1549 ?v_3) (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_3103)))))))))))) (=> true (=> ?v_2719 (=> true (=> (= errorReached.34 errorReached.32) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> ?v_3104 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= k.51 k.49) (=> (= reqCancelSet_0.3 reqCancelSet_0) ?v_3105))))))))))) (?v_3111 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_3112 (= errorReached.32 errorReached.29))) (let ((?v_3113 (=> (= k.49 k.43) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3109))))))))))))))))) (?v_3108 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call20688formal.ret.0) (=> (= errorReached.32 errorReached.31) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.49 k.48) ?v_3109)))))) (?v_3106 (= k.48 0)) (?v_3107 (= k.48 1))) (let ((?v_3427 (and (=> true (=> (=> ?v_1544 (not ?v_3116)) (=> (=> ?v_3117 (not ?v_3118)) (and (=> true (=> ?v_1546 (=> true (=> (<= k.43 k.48) (=> (< k.48 2) (and (=> true (=> (=> ?v_3106 ?v_8) (=> (=> ?v_3107 ?v_9) (=> true (=> (= errorReached.31 1) ?v_3108))))) (=> true (=> (=> ?v_3106 ?v_2) (=> (=> ?v_3107 ?v_3) (=> true (=> (= errorReached.31 errorReached.29) (=> true ?v_3108)))))))))))) (=> true (=> ?v_2719 (and (=> true (=> ?v_2721 (=> true (=> ?v_3111 (=> ?v_3112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3113)))))) (=> true (=> ?v_3110 (and (=> true (=> ?v_2726 (=> true (=> ?v_3111 (=> ?v_3112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3113)))))) (=> true (=> ?v_3114 (and (=> true (=> ?v_2727 (=> true (=> ?v_3111 (=> ?v_3112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3113)))))) (=> true (=> ?v_3115 (=> true (=> ?v_3111 (=> ?v_3112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3113))))))))))))))))))) (=> true (=> (=> ?v_1544 ?v_3116) (=> (=> ?v_3117 ?v_3118) (=> true (=> ?v_3119 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_3120 (=> ?v_2794 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_3124 (=> ?v_3125 (=> ?v_2798 (=> ?v_3126 (=> ?v_3127 (=> ?v_2799 (=> ?v_3128 (=> ?v_2800 (=> ?v_3129 (=> ?v_2801 (=> ?v_2802 (=> ?v_3130 (=> ?v_3131 (=> ?v_2803 (=> ?v_2804 (=> ?v_3132 (=> ?v_3133 (=> ?v_2805 (=> ?v_3134 (=> ?v_3135 (=> ?v_2806 (=> ?v_3136 (=> ?v_3137 (=> ?v_3442 (=> ?v_2808 (=> ?v_3138 (=> ?v_3139 (=> ?v_2809 (=> ?v_3140 (=> ?v_2810 (=> ?v_3141 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_3142 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_2819 (=> ?v_3146 (=> ?v_2820 (=> ?v_3147 (=> ?v_2821 (=> ?v_3148 (=> ?v_2822 (=> ?v_3149 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_3150 (=> ?v_3443 (=> ?v_2827 (=> ?v_2828 (=> ?v_3151 (=> ?v_3152 (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_3153 (=> ?v_2833 (=> ?v_3154 (=> ?v_2834 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_3159 (=> ?v_2838 (=> ?v_2839 (=> ?v_3160 (=> ?v_3161 (=> ?v_2840 (=> ?v_3162 (=> ?v_2841 (=> ?v_3444 (=> ?v_3163 (=> ?v_3164 (=> ?v_3445 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_2844 (=> ?v_2845 (=> ?v_3168 (=> ?v_3169 (=> ?v_2846 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_2847 (=> (= reqCancelSet_0.18 reqCancelSet_0) (=> ?v_2848 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_2849 (=> ?v_2850 (=> ?v_2851 (=> ?v_3176 (=> ?v_2852 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_2853 (=> ?v_2854 (=> ?v_3180 (=> ?v_2855 (=> ?v_2856 (=> ?v_3446 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_2858 (=> ?v_2859 (=> (= errorReached.134 errorReached.29) (=> ?v_2860 (=> ?v_3185 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_3447 (=> ?v_2866 (=> ?v_3186 (=> ?v_2867 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> ?v_3190 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_3191 (=> ?v_3192 (=> ?v_2874 (=> ?v_2875 (=> ?v_3193 (=> ?v_3194 (=> ?v_2876 (=> ?v_3195 (=> ?v_3196 (=> ?v_2877 (=> ?v_2878 (=> ?v_3197 (=> ?v_2879 (=> ?v_3198 (=> ?v_2880 (=> ?v_3199 (=> ?v_2881 (=> ?v_3200 (=> ?v_2882 (=> ?v_2883 (=> ?v_3201 (=> ?v_3202 (=> ?v_2884 (=> ?v_3203 (=> ?v_3204 (=> ?v_2885 (=> ?v_2886 (=> ?v_3205 (=> ?v_2887 (=> ?v_3206 (=> ?v_2888 (=> ?v_3207 (=> ?v_3208 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_3209 (=> ?v_2892 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_2893 (=> ?v_3215 (=> ?v_2894 (=> ?v_2895 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_3221 (=> ?v_2899 (=> ?v_2900 (=> ?v_3222 (=> ?v_3223 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_3448 (=> ?v_3224 (=> ?v_2906 (=> ?v_2907 (=> ?v_3225 (=> ?v_2908 (=> ?v_3226 (=> ?v_2909 (=> ?v_3227 (=> ?v_3228 (=> ?v_2910 (=> ?v_3229 (=> ?v_1633 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_2911 (=> ?v_3234 (=> ?v_3235 (=> (= k.240 k.43) (=> ?v_3236 (=> ?v_2912 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_2913 (=> ?v_3240 (=> ?v_2914 (=> ?v_2915 (=> ?v_3241 (=> ?v_3242 (=> ?v_2916 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_3246 (=> ?v_2922 (=> ?v_3247 (=> (= reqCancelSet_1.18 reqCancelSet_1) (=> ?v_3248 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_3249 (=> ?v_2927 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_3256 (=> ?v_3257 (=> ?v_2931 (=> ?v_3258 (=> ?v_2932 (=> ?v_2933 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_3269 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_2946 (=> ?v_3273 (=> ?v_3274 (=> ?v_2947 (=> ?v_3275 (=> ?v_2948 (=> ?v_3276 (=> ?v_2949 (=> ?v_2950 (=> ?v_3277 (=> ?v_2951 (=> ?v_3450 (=> ?v_2953 (=> ?v_2954 (=> ?v_3278 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_2962 (=> ?v_2963 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_3285 (=> ?v_2968 (=> ?v_2969 (=> ?v_3286 (=> ?v_2970 (=> ?v_2971 (=> ?v_3287 (=> ?v_2972 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2973 (=> ?v_3291 (=> ?v_2974 (=> ?v_3292 (=> ?v_2975 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_2976 (=> ?v_3296 (=> ?v_2977 (=> ?v_3297 (=> ?v_2978 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_2979 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_2980 (=> ?v_2981 (=> ?v_3306 (=> ?v_3307 (=> ?v_2982 (=> ?v_3308 (=> ?v_3309 (=> ?v_2983 (=> ?v_2984 (=> ?v_3310 (=> ?v_3451 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_3311 (=> ?v_3312 (=> ?v_2989 (=> ?v_2990 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_2991 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_2992 (=> ?v_3321 (=> ?v_2993 (=> ?v_3322 (=> ?v_2994 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_2995 (=> ?v_3326 (=> ?v_2996 (=> ?v_3327 (=> ?v_3328 (=> ?v_2997 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_2998 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_2999 (=> ?v_3338 (=> ?v_3339 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3003 (=> ?v_3344 (=> ?v_3004 (=> ?v_3005 (=> ?v_3345 (=> ?v_3006 (=> ?v_3007 (=> ?v_3346 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3013 (=> ?v_3351 (=> ?v_3352 (=> ?v_3014 (=> ?v_3452 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3353 (=> ?v_3021 (=> ?v_3453 (=> ?v_3023 (=> ?v_3024 (=> ?v_3354 (=> ?v_3025 (=> ?v_3355 (=> ?v_3356 (=> ?v_3026 (=> ?v_3357 (=> ?v_3358 (=> ?v_3027 (=> ?v_3359 (=> ?v_3360 (=> ?v_3028 (=> ?v_3029 (=> ?v_3361 (=> ?v_3362 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3363 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3364 (=> ?v_3454 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3455 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3039 (=> ?v_3374 (=> ?v_3040 (=> ?v_3041 (=> ?v_3375 (=> ?v_3042 (=> ?v_3376 (=> ?v_3377 (=> ?v_3043 (=> ?v_3378 (=> ?v_3044 (=> ?v_3045 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3046 (=> ?v_3382 (=> ?v_3047 (=> ?v_3383 (=> ?v_3384 (=> ?v_3048 (=> ?v_3385 (=> ?v_3386 (=> ?v_3049 (=> ?v_3050 (=> ?v_3387 (=> ?v_3051 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3052 (=> ?v_3391 (=> ?v_3053 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3054 (=> ?v_3395 (=> ?v_3055 (=> ?v_3396 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3397 (=> ?v_3398 (=> ?v_3060 (=> ?v_3399 (=> ?v_3400 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3065 (=> ?v_3066 (=> ?v_3404 (=> ?v_3067 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3068 (=> ?v_3069 (=> ?v_3409 (=> ?v_3070 (=> ?v_3410 (=> ?v_3456 (=> ?v_3411 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3412 (=> ?v_3076 (=> ?v_3077 (=> ?v_3413 (=> ?v_3414 (=> ?v_3078 (=> ?v_3079 (=> ?v_3415 (=> ?v_3080 (=> ?v_3081 (=> ?v_3416 (=> ?v_3082 (=> ?v_3417 (=> ?v_3418 (=> ?v_3083 (=> ?v_3084 (=> ?v_3419 (=> ?v_3420 (=> ?v_3085 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3086 (=> ?v_3425 (=> ?v_3087 (=> ?v_3088 ?v_3457))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4040 (and (=> true (=> (not ?v_3428) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) ?v_3427)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> true ?v_3427)))))))) (=> true (=> ?v_3428 (=> true (=> (<= k.43 k.44) (=> (< k.44 2) (and (=> true (=> ?v_4033 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3429) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) (=> ?v_4038 ?v_4035)))))) (=> true (=> (not ?v_4033) (and (=> true (=> ?v_4036 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_4034) (=> true (=> ?v_4037 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_4039)))))) (=> true (=> (not ?v_4036) (=> true (=> ?v_4037 (=> ?v_4038 ?v_4039))))))))))))))))) (let ((?v_4041 (=> true (=> true ?v_4040)))) (let ((?v_4046 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> ?v_1544 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1552))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0) ?v_4040))))) (=> true (=> (not ?v_1544) (and (=> true (=> ?v_3117 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1552))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1) ?v_4041))))) (=> true (=> (not ?v_3117) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) ?v_4041))))))))))))) (let ((?v_4051 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4046))))))))) (?v_4048 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_4049 (= errorReached.29 errorReached.27)) (?v_4050 (= k.42 k.40)) (?v_4053 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hdevice)) (?v_4052 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hqueue)) (?v_4047 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 htimer)) (?v_4045 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hrequest)) (?v_4044 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call20345formal.ret.0) (=> (= errorReached.29 errorReached.28) (=> (= k.42 k.41) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4046)))))) (?v_4042 (= k.41 0)) (?v_4043 (= k.41 1))) (let ((?v_4056 (and (=> true (=> ?v_4045 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> (=> ?v_4042 ?v_8) (=> (=> ?v_4043 ?v_9) (=> true (=> (= errorReached.28 1) ?v_4044))))) (=> true (=> (=> ?v_4042 ?v_2) (=> (=> ?v_4043 ?v_3) (=> true (=> (= errorReached.28 errorReached.27) (=> true ?v_4044)))))))))))) (=> true (=> (not ?v_4045) (and (=> true (=> ?v_4047 (=> true (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4051))))))) (=> true (=> (not ?v_4047) (and (=> true (=> ?v_4052 (=> true (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4051))))))) (=> true (=> (not ?v_4052) (and (=> true (=> ?v_4053 (=> true (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4051))))))) (=> true (=> (not ?v_4053) (=> true (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4051))))))))))))))))))) (let ((?v_4058 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4056)))))))) (?v_4057 (= k.40 1)) (?v_4055 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4054 (= k.40 0))) (let ((?v_4062 (=> true (=> (<= k.39 k.40) (=> (< k.40 2) (and (=> true (=> ?v_4054 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4055))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1) ?v_4056))))) (=> true (=> (not ?v_4054) (and (=> true (=> ?v_4057 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4055))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0) ?v_4058))))) (=> true (=> (not ?v_4057) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) ?v_4058)))))))))))) (?v_4063 (= errorReached.27 errorReached.25))) (let ((?v_4064 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.) (=> (= k.39 k.37) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4062))))))))))) (?v_4061 (=> true (=> (= errorReached.27 errorReached.26) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 call20137formal.ret.0) (=> (= k.39 k.38) ?v_4062)))))) (?v_4059 (= k.38 0)) (?v_4060 (= k.38 1))) (let ((?v_4069 (and (=> true (=> ?v_24 (=> true (=> (<= k.37 k.38) (=> (< k.38 2) (and (=> true (=> (=> ?v_4059 ?v_8) (=> (=> ?v_4060 ?v_9) (=> true (=> (= errorReached.26 1) ?v_4061))))) (=> true (=> (=> ?v_4059 ?v_2) (=> (=> ?v_4060 ?v_3) (=> true (=> (= errorReached.26 errorReached.25) (=> true ?v_4061)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> ?v_4063 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4064))))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> ?v_4063 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4064))))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> ?v_4063 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4064))))) (=> true (=> ?v_2522 (=> true (=> ?v_4063 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4064))))))))))))))))) (let ((?v_4071 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4069)))))))))))) (?v_4070 (= errorReached.25 errorReached.24)) (?v_4067 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call20032formal.ret.0)) (?v_4068 (= k.37 k.36)) (?v_4065 (= k.36 0)) (?v_4066 (= k.36 1)) (?v_1543 (not (= call18844formal.ret.0 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)))) (let ((?v_4779 (and (=> true (=> ?v_1543 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 ?v_41) (=> true (=> ?v_4073 (=> ?v_1569 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_1570 (=> ?v_1571 (=> ?v_4079 (=> ?v_1572 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_1573 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_1574 (=> ?v_4114 (=> ?v_1575 (=> ?v_4115 (=> ?v_1576 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_1577 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_1578 (=> ?v_1579 (=> ?v_4134 (=> ?v_1580 (=> ?v_1581 (=> ?v_4135 (=> ?v_1582 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_1583 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> (= alloc.14 alloc.8) (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_1584 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_1585 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_1586 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_1587 (=> ?v_1588 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> (= errorReached.135 errorReached.24) (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_1589 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_1590 (=> ?v_1591 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_1592 (=> ?v_4246 (=> ?v_1593 (=> ?v_4247 (=> ?v_1594 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3) (=> ?v_4252 (=> ?v_1595 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_1596 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_1597 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_1598 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_1599 (=> (= k.241 k.35) (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_1600 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_1601 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_1602 (=> ?v_4333 (=> ?v_4334 (=> ?v_1603 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_1604 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_1605 (=> ?v_4366 (=> ?v_1606 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_1607 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_1608 (=> ?v_4383 (=> ?v_4384 (=> ?v_1609 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_1610 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_1611 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_1612 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_1613 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_1614 (=> ?v_1615 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_1616 (=> ?v_4486 (=> ?v_1617 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_1618 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_1619 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_1620 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_1622 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_1623 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_1624 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_1625 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_1626 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_1627 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_1628 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_1629 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_1630 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> ?v_1631 ?v_4714)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1543) (and (=> true (=> ?v_25 (=> true (=> (<= k.35 k.36) (=> (< k.36 2) (and (=> true (=> (=> ?v_4065 ?v_8) (=> (=> ?v_4066 ?v_9) (=> true (=> (= errorReached.25 1) (=> ?v_4067 (=> ?v_4068 ?v_4069))))))) (=> true (=> (=> ?v_4065 ?v_2) (=> (=> ?v_4066 ?v_3) (=> true (=> ?v_4070 (=> ?v_4067 (=> ?v_4068 ?v_4071))))))))))))) (=> true (=> ?v_471 (=> true (=> ?v_4070 (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= k.37 k.35) ?v_4071)))))))))))) (let ((?v_4788 (and (=> true (=> ?v_4780 (=> true (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34711formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 call34906formal.ret.0) (=> (= errorReached.24 errorReached.23) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 call34626formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 hrequest) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.26 inline.EvtIoChildRead.0.myNondetVar_0.25) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 hrequest) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call34776formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call34978formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call34711formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call34906formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= alloc.8 alloc.7) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34906formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call34776formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call18588formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 call34574formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 call16652formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 call34626formal.new.0) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 call34906formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16652formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 call34574formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call34978formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call18588formal.ret.0) (=> (= k.35 k.34) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34906formal.ret.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4779)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4780) (=> true (=> ?v_4073 (=> ?v_4793 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4794 (=> ?v_4795 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 call34978formal.ret.0) (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4797 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4799 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4800 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4134 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4801 (=> ?v_4135 (=> ?v_4802 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4803 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4804 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4806 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4807 (=> ?v_4808 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4809 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4810 (=> ?v_4811 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4812 (=> ?v_4246 (=> ?v_4813 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4252 (=> ?v_4815 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4816 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4817 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4818 (=> ?v_4819 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4820 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4821 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4333 (=> ?v_4334 (=> ?v_4822 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.25) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4366 (=> ?v_4823 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4824 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4826 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4827 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4828 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4829 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4830 (=> ?v_4486 (=> ?v_4831 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4832 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4833 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 call34978formal.ret.0) (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4834 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4835 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4836 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4837 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4838 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4774 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4839 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4776 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.2) ?v_4714)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4787 (= call34978formal.ret.0 0))) (let ((?v_4790 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4788))) (?v_4789 (= call34978formal.ret.0 1))) (let ((?v_4843 (and (=> true (=> ?v_4841 (and (=> true (=> (not ?v_4791) (and (=> true (=> (not ?v_4787) (=> (not ?v_4789) ?v_4790))) (=> true (=> ?v_4787 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_332) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4788))))))))))))))))))))) (=> true (=> ?v_4789 (=> true ?v_4790)))))) (=> true (=> ?v_4791 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 ?v_4792) (=> true (=> ?v_4073 (=> ?v_4793 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4794 (=> ?v_4795 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4797 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4799 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4800 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4801 (=> ?v_4135 (=> ?v_4802 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4803 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4804 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4806 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4807 (=> ?v_4808 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4809 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4810 (=> ?v_4811 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4812 (=> ?v_4246 (=> ?v_4813 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1) (=> ?v_4252 (=> ?v_4815 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4816 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4817 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4818 (=> ?v_4819 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4820 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4821 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4822 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.22) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4823 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4824 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4826 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4827 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4828 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4829 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4830 (=> ?v_4486 (=> ?v_4831 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4832 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4833 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4834 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4835 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4836 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4837 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4838 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4774 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4839 ?v_4840)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4841) (=> true (=> ?v_4073 (=> ?v_4793 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4794 (=> ?v_4795 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4797 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4799 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4800 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4802 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4803 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4804 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4806 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4807 (=> ?v_4808 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4809 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4810 (=> ?v_4811 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4812 (=> ?v_4246 (=> ?v_4813 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_4252 (=> ?v_4815 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4816 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4817 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4818 (=> ?v_4819 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4821 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4822 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.21) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4823 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4824 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4826 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4827 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4829 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4830 (=> ?v_4486 (=> ?v_4831 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4832 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4833 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4834 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4835 ?v_4853)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4842 (= call34776formal.ret.0 0))) (let ((?v_4848 (and (=> true (=> (not ?v_4842) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_332) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_4843))))))) (=> true (=> ?v_4842 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4843))))))))))))) (let ((?v_4850 (=> true (=> true (=> true ?v_4848)))) (?v_4849 (= errorReached.23 errorReached.22)) (?v_4846 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call34779formal.ret.0)) (?v_4847 (= k.34 k.33)) (?v_4844 (= k.33 0)) (?v_4845 (= k.33 1))) (let ((?v_4851 (and (=> true (=> ?v_25 (=> true (=> (<= k.32 k.33) (=> (< k.33 2) (and (=> true (=> (=> ?v_4844 ?v_8) (=> (=> ?v_4845 ?v_9) (=> true (=> ?v_4846 (=> (= errorReached.23 1) (=> ?v_4847 ?v_4848))))))) (=> true (=> (=> ?v_4844 ?v_2) (=> (=> ?v_4845 ?v_3) (=> true (=> ?v_4846 (=> ?v_4849 (=> ?v_4847 ?v_4850))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> ?v_4849 (=> (= k.34 k.32) ?v_4850)))))))) (?v_32 (>= 0 0)) (?v_4778 (int_2_U call34711formal.new.0))) (let ((?v_4855 (and (=> true (=> ?v_4852 (=> true (and ?v_32 (=> ?v_32 (=> (> call34711formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call34711formal.new.0 ?x365) (< ?x365 (+ call34711formal.new.0 0))) (= (Base ?x365) call34711formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call34711formal.new.0) (= (MapType0Select alloc.6 ?x366) (MapType0Select alloc.7 ?x366)))) :pattern ((MapType0Select alloc.7 ?x366)) )) (=> (and (= (MapType0Select alloc.6 ?v_4778) UNALLOCATED) (= (MapType0Select alloc.7 ?v_4778) ALLOCATED)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.19 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.21 inline.EvtIoChildRead.0.myNondetVar_0.19) ?v_4851)))) (=> true (=> (not (not (= inline.EvtIoChildRead.0.myNondetVar_0.20 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.21 inline.EvtIoChildRead.0.myNondetVar_0.20) (=> true (=> true (=> true (=> true (=> true ?v_4851))))))))))))))))))) (=> true (=> (not ?v_4852) (=> true (=> ?v_4073 (=> ?v_4720 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4721 (=> ?v_4722 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4725 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4799 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4800 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4732 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4803 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> (= alloc.14 alloc.6) (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4806 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4737 (=> ?v_4808 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> (= errorReached.135 errorReached.22) (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4810 (=> ?v_4811 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4812 (=> ?v_4246 (=> ?v_4744 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> ?v_4252 (=> ?v_4815 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4747 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4748 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4749 (=> (= k.241 k.32) (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4821 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4822 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4864 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4756 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4824 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4759 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4827 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4763 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4830 (=> ?v_4486 (=> ?v_4831 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4832 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4833 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4834 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4770 ?v_4853)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4854 (= call34574formal.ret.0 0)) (?v_4777 (int_2_U call34626formal.new.0))) (let ((?v_4860 (=> true (and ?v_32 (=> ?v_32 (=> (> call34626formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call34626formal.new.0 ?x367) (< ?x367 (+ call34626formal.new.0 0))) (= (Base ?x367) call34626formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call34626formal.new.0) (= (MapType0Select alloc.4 ?x368) (MapType0Select alloc.6 ?x368)))) :pattern ((MapType0Select alloc.6 ?x368)) )) (=> (and (= (MapType0Select alloc.4 ?v_4777) UNALLOCATED) (= (MapType0Select alloc.6 ?v_4777) ALLOCATED)) (and (=> true (=> (not ?v_4854) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 ?v_41) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0) ?v_4855))))))) (=> true (=> ?v_4854 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4855)))))))))))))))))))) (let ((?v_4862 (=> true (=> true ?v_4860))) (?v_4861 (= errorReached.22 errorReached.21)) (?v_4858 (= k.32 k.31)) (?v_4859 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 call34577formal.ret.0)) (?v_4856 (= k.31 0)) (?v_4857 (= k.31 1))) (let ((?v_4867 (and (=> true (=> ?v_4863 (and (=> true (=> ?v_25 (=> true (=> (<= k.30 k.31) (=> (< k.31 2) (and (=> true (=> (=> ?v_4856 ?v_8) (=> (=> ?v_4857 ?v_9) (=> true (=> (= errorReached.22 1) (=> ?v_4858 (=> ?v_4859 ?v_4860))))))) (=> true (=> (=> ?v_4856 ?v_2) (=> (=> ?v_4857 ?v_3) (=> true (=> ?v_4861 (=> ?v_4858 (=> ?v_4859 ?v_4862))))))))))))) (=> true (=> ?v_471 (=> true (=> ?v_4861 (=> (= k.32 k.30) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) ?v_4862))))))))) (=> true (=> (not ?v_4863) (=> true (=> ?v_4073 (=> ?v_4720 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4721 (=> ?v_4722 (=> ?v_4079 (=> ?v_4796 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4725 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4798 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4727 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4728 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4732 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4733 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4876 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4805 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4806 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4737 (=> ?v_4738 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> (= errorReached.135 errorReached.21) (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4741 (=> ?v_4811 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4812 (=> ?v_4246 (=> ?v_4744 (=> ?v_4247 (=> ?v_4814 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> ?v_4252 (=> ?v_4746 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4747 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4748 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4749 (=> (= k.241 k.30) (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4821 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4754 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4864 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4756 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4757 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4825 (=> ?v_4383 (=> ?v_4384 (=> ?v_4759 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4827 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4763 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4830 (=> ?v_4486 (=> ?v_4831 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4766 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4767 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4834 ?v_4878))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4866 (= call18588formal.ret.0 0))) (let ((?v_4872 (and (=> true (=> (not ?v_4866) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_332) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) ?v_4867))))))) (=> true (=> ?v_4866 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_4867))))))))))))) (let ((?v_4874 (=> true (=> true (=> true ?v_4872)))) (?v_4873 (= errorReached.21 errorReached.20)) (?v_4870 (= k.30 k.29)) (?v_4871 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 call18591formal.ret.0)) (?v_4868 (= k.29 0)) (?v_4869 (= k.29 1)) (?v_4716 (and (=> true (=> ?v_4072 (=> true (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call18694formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call18755formal.ret.0) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= errorReached.24 errorReached.20) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call18755formal.ret.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.26 inline.EvtIoChildRead.0.myNondetVar_0.17) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call18694formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16649formal.new.0) (=> (= alloc.8 alloc.5) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= k.35 k.28) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) ?v_4779))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4072) (=> true (=> ?v_4073 (=> ?v_4720 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4721 (=> ?v_4722 (=> ?v_4079 (=> ?v_4723 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4725 (=> ?v_4114 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call18755formal.ret.0) (=> ?v_4115 (=> ?v_4726 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4727 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4728 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4732 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4733 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4734 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4735 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4736 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4737 (=> ?v_4738 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4739 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4741 (=> ?v_4742 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4743 (=> ?v_4246 (=> ?v_4744 (=> ?v_4247 (=> ?v_4745 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4252 (=> ?v_4746 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4747 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4748 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4749 (=> ?v_4750 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4752 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4754 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.17) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4756 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4757 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4758 (=> ?v_4383 (=> ?v_4384 (=> ?v_4759 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4760 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4763 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4764 (=> ?v_4486 (=> ?v_4765 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4766 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4767 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call18755formal.ret.0) (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4769 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4770 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4771 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4772 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4773 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4774 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4775 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4776 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.1) ?v_4714)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4715 (= call18755formal.ret.0 0))) (let ((?v_4718 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4716))) (?v_4717 (= call18755formal.ret.0 1)) (?v_33 (int_2_U call18694formal.new.0))) (let ((?v_4875 (and (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.14 1) (=> true (and ?v_32 (=> ?v_32 (=> (> call18694formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call18694formal.new.0 ?x369) (< ?x369 (+ call18694formal.new.0 0))) (= (Base ?x369) call18694formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call18694formal.new.0) (= (MapType0Select alloc.4 ?x370) (MapType0Select alloc.5 ?x370)))) :pattern ((MapType0Select alloc.5 ?x370)) )) (=> (and (= (MapType0Select alloc.4 ?v_33) UNALLOCATED) (= (MapType0Select alloc.5 ?v_33) ALLOCATED)) (and (=> true (=> (not ?v_4719) (and (=> true (=> (not ?v_4715) (=> (not ?v_4717) ?v_4718))) (=> true (=> ?v_4715 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_332) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4716))))))))))))))) (=> true (=> ?v_4717 (=> true ?v_4718)))))) (=> true (=> ?v_4719 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 ?v_4792) (=> true (=> ?v_4073 (=> ?v_4720 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4721 (=> ?v_4722 (=> ?v_4079 (=> ?v_4723 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4724 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4725 (=> ?v_4114 (=> ?v_4781 (=> ?v_4115 (=> ?v_4726 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4727 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4728 (=> ?v_4729 (=> ?v_4134 (=> ?v_4730 (=> ?v_4731 (=> ?v_4135 (=> ?v_4732 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4733 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4734 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4735 (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4736 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4782 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4737 (=> ?v_4738 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4739 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4740 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4741 (=> ?v_4742 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4743 (=> ?v_4246 (=> ?v_4744 (=> ?v_4247 (=> ?v_4745 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0) (=> ?v_4252 (=> ?v_4746 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4747 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4748 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4783 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4749 (=> ?v_4750 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4751 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4752 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4753 (=> ?v_4333 (=> ?v_4334 (=> ?v_4754 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.15) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4755 (=> ?v_4366 (=> ?v_4756 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4757 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4758 (=> ?v_4383 (=> ?v_4384 (=> ?v_4759 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4760 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4761 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4784 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4762 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4785 (=> ?v_4763 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4764 (=> ?v_4486 (=> ?v_4765 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4766 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4767 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4768 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_1621 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4786 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4573 (=> ?v_4769 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4770 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_2178 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4771 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4772 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4773 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4774 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4775 ?v_4840))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.16 1)) (and (=> true (=> ?v_25 (=> true (=> (<= k.28 k.29) (=> (< k.29 2) (and (=> true (=> (=> ?v_4868 ?v_8) (=> (=> ?v_4869 ?v_9) (=> true (=> ?v_4870 (=> (= errorReached.21 1) (=> ?v_4871 ?v_4872))))))) (=> true (=> (=> ?v_4868 ?v_2) (=> (=> ?v_4869 ?v_3) (=> true (=> ?v_4870 (=> ?v_4873 (=> ?v_4871 ?v_4874))))))))))))) (=> true (=> ?v_471 (=> true (=> (= k.30 k.28) (=> ?v_4873 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) ?v_4874)))))))))))) (let ((?v_4894 (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.5 0)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.8 0)) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.9 myNondetVar_0.0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.13 inline.EvtIoChildRead.0.myNondetVar_0.12) (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 inline.EvtIoChildRead.0.myNondetVar_0.12) ?v_4875))))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.10 myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.13 inline.EvtIoChildRead.0.myNondetVar_0.10) (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 myNondetVar_0.0) (=> true ?v_4875))))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.7 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.7) ?v_4879))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.6 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.6) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4879))))))))))))))) (?v_4892 (= k.24 0)) (?v_4893 (= k.24 1))) (let ((?v_4885 (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_1.2 lockStatus_1.1) (=> (= lockStatus_0.2 lockStatus_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= k.28 k.27) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call18479formal.ret.0) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0.2) ?v_4894))))))))))) (?v_4884 (= inline.AcquireDpcLock.0.myVar_0.2 hlock))) (let ((?v_4881 (=> true (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 call18427formal.ret.0) (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= k.27 k.26) ?v_4885)))))) (?v_4882 (= lockStatus_1.0 lockStatus_1))) (let ((?v_4883 (=> (= lockStatus_0.0 lockStatus_0) (=> true ?v_4881))) (?v_4880 (= k.26 1)) (?v_31 (= k.26 0)) (?v_29 (= lockStatus_0 0)) (?v_30 (= lockStatus_1 0))) (let ((?v_4888 (and (=> true (=> ?v_4884 (=> true (=> (<= k.25 k.26) (=> (< k.26 2) (=> true (=> (=> ?v_31 ?v_29) (=> (=> ?v_4880 ?v_30) (and (=> true (=> ?v_31 (=> true (=> ?v_4882 (=> (= lockStatus_0.0 1) ?v_4881))))) (=> true (=> (not ?v_31) (and (=> true (=> ?v_4880 (=> true (=> (= lockStatus_1.0 1) ?v_4883)))) (=> true (=> (not ?v_4880) (=> true (=> ?v_4882 ?v_4883)))))))))))))))) (=> true (=> (not ?v_4884) (=> true (=> (= lockStatus_1.1 lockStatus_1) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.1 lockStatus_0) (=> (= k.27 k.25) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4885)))))))))))))))) (let ((?v_4890 (=> true (=> true (=> true (=> true ?v_4888))))) (?v_4889 (= k.25 1)) (?v_4887 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4886 (= k.25 0))) (let ((?v_4891 (=> true (=> (<= k.24 k.25) (=> (< k.25 2) (and (=> true (=> ?v_4886 (=> (= inline.AcquireDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4887))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.1) ?v_4888))))) (=> true (=> (not ?v_4886) (and (=> true (=> ?v_4889 (=> (= inline.AcquireDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4887))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.0) ?v_4890))))) (=> true (=> (not ?v_4889) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0) ?v_4890))))))))))))) (let ((?v_4899 (and (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.0) ?v_4891)))) (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_4892 ?v_277) (=> (=> ?v_4893 ?v_278) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.1) ?v_4891))))) (=> true (=> (=> ?v_4892 ?v_380) (=> (=> ?v_4893 ?v_382) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.2 lockStatus_1) (=> (= lockStatus_0.2 lockStatus_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.28 k.24) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0) (=> true (=> true (=> true (=> true ?v_4894))))))))))))))))))))))) (let ((?v_4904 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4899)))))))))) (?v_4901 (= errorReached.20 errorReached.18)) (?v_4902 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_4903 (= k.24 k.22)) (?v_4906 (= inline.EvtIoChildRead.0.myVar_0.8 hdevice)) (?v_4905 (= inline.EvtIoChildRead.0.myVar_0.8 hqueue)) (?v_4900 (= inline.EvtIoChildRead.0.myVar_0.8 htimer)) (?v_4898 (= inline.EvtIoChildRead.0.myVar_0.8 hrequest)) (?v_4897 (=> true (=> (= errorReached.20 errorReached.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call18187formal.ret.0) (=> (= k.24 k.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4899)))))) (?v_4895 (= k.23 0)) (?v_4896 (= k.23 1))) (let ((?v_4908 (and (=> true (=> ?v_4898 (=> true (=> (<= k.22 k.23) (=> (< k.23 2) (and (=> true (=> (=> ?v_4895 ?v_8) (=> (=> ?v_4896 ?v_9) (=> true (=> (= errorReached.19 1) ?v_4897))))) (=> true (=> (=> ?v_4895 ?v_2) (=> (=> ?v_4896 ?v_3) (=> true (=> (= errorReached.19 errorReached.18) (=> true ?v_4897)))))))))))) (=> true (=> (not ?v_4898) (and (=> true (=> ?v_4900 (=> true (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4904))))))) (=> true (=> (not ?v_4900) (and (=> true (=> ?v_4905 (=> true (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4904))))))) (=> true (=> (not ?v_4905) (and (=> true (=> ?v_4906 (=> true (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4904))))))) (=> true (=> (not ?v_4906) (=> true (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4904))))))))))))))))))) (let ((?v_4910 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4908)))))))))))) (?v_4909 (= k.22 1)) (?v_4907 (= k.22 0))) (let ((?v_4914 (=> true (=> (<= k.21 k.22) (=> (< k.22 2) (and (=> true (=> ?v_4907 (=> (= inline.EvtIoChildRead.0.myVar_0.7 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.7) ?v_4908))))) (=> true (=> (not ?v_4907) (and (=> true (=> ?v_4909 (=> (= inline.EvtIoChildRead.0.myVar_0.6 ?v_1539) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.6) ?v_4910))))) (=> true (=> (not ?v_4909) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.5) ?v_4910)))))))))))) (?v_4911 (= k.21 0)) (?v_4912 (= k.21 1))) (let ((?v_4913 (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call18067formal.ret.0) ?v_4914)))) (let ((?v_4919 (and (=> true (=> (=> ?v_4911 ?v_36) (=> (=> ?v_4912 ?v_37) ?v_4913))) (=> true (=> (=> ?v_4911 ?v_617) (=> (=> ?v_4912 ?v_619) (and (=> true (=> (=> ?v_4911 ?v_524) (=> (=> ?v_4912 ?v_525) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4913)))))))))))) (=> true (=> (=> ?v_4911 ?v_621) (=> (=> ?v_4912 ?v_622) (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_4914))))))))))))))) (?v_4921 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.))) (let ((?v_4922 (=> (= errorReached.18 errorReached.12) (=> (= k.21 k.15) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4919)))))))))))) (?v_4924 (= inline.EvtIoChildRead.0.myVar_0.5 hdevice)) (?v_4923 (= inline.EvtIoChildRead.0.myVar_0.5 hqueue)) (?v_4920 (= inline.EvtIoChildRead.0.myVar_0.5 htimer)) (?v_4918 (= inline.EvtIoChildRead.0.myVar_0.5 hrequest)) (?v_4917 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 call17870formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.18 errorReached.17) (=> (= k.21 k.20) ?v_4919)))))) (?v_4915 (= k.20 0)) (?v_4916 (= k.20 1))) (let ((?v_4926 (and (=> true (=> ?v_4918 (=> true (=> (<= k.15 k.20) (=> (< k.20 2) (and (=> true (=> (=> ?v_4915 ?v_8) (=> (=> ?v_4916 ?v_9) (=> true (=> (= errorReached.17 1) ?v_4917))))) (=> true (=> (=> ?v_4915 ?v_2) (=> (=> ?v_4916 ?v_3) (=> true (=> (= errorReached.17 errorReached.12) (=> true ?v_4917)))))))))))) (=> true (=> (not ?v_4918) (and (=> true (=> ?v_4920 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4922))))) (=> true (=> (not ?v_4920) (and (=> true (=> ?v_4923 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4922))))) (=> true (=> (not ?v_4923) (and (=> true (=> ?v_4924 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4922))))) (=> true (=> (not ?v_4924) (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4922))))))))))))))))) (let ((?v_4928 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4926)))))))))))) (?v_4927 (= k.15 1)) (?v_4925 (= k.15 0))) (let ((?v_4967 (and (=> true (=> (not ?v_4929) (=> true (=> (<= k.14 k.15) (=> (< k.15 2) (and (=> true (=> ?v_4925 (=> (= inline.EvtIoChildRead.0.myVar_0.3 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.3) ?v_4926))))) (=> true (=> (not ?v_4925) (and (=> true (=> ?v_4927 (=> (= inline.EvtIoChildRead.0.myVar_0.4 ?v_1539) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.4) ?v_4928))))) (=> true (=> (not ?v_4927) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.2) ?v_4928))))))))))))) (=> true (=> ?v_4929 (and (=> true (=> ?v_25 (=> true (=> (<= k.14 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_4962 ?v_8) (=> (=> ?v_4963 ?v_9) (=> true (=> (= errorReached.13 1) ?v_4964))))) (=> true (=> (=> ?v_4962 ?v_2) (=> (=> ?v_4963 ?v_3) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_4964)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4966)))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4966)))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4966)))) (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4966))))))))))))))))))) (let ((?v_4972 (and (=> true (=> ?v_672 ?v_4967)) (=> true (=> (not ?v_672) (=> true ?v_4967)))))) (let ((?v_4974 (=> true (=> true (=> true (=> true (=> true ?v_4972)))))) (?v_4973 (= errorReached.12 errorReached.11)) (?v_4970 (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 call17305formal.ret.0)) (?v_4971 (= k.14 k.13)) (?v_4968 (= k.13 0)) (?v_4969 (= k.13 1))) (let ((?v_4975 (and (=> true (=> ?v_25 (=> true (=> (<= k.12 k.13) (=> (< k.13 2) (and (=> true (=> (=> ?v_4968 ?v_8) (=> (=> ?v_4969 ?v_9) (=> true (=> ?v_4970 (=> (= errorReached.12 1) (=> ?v_4971 ?v_4972))))))) (=> true (=> (=> ?v_4968 ?v_2) (=> (=> ?v_4969 ?v_3) (=> true (=> ?v_4970 (=> ?v_4973 (=> ?v_4971 ?v_4974))))))))))))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2.) (=> ?v_4973 (=> (= k.14 k.12) ?v_4974))))))))) (let ((?v_4979 (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.0 inline.EvtIoChildRead.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.2 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.4 inline.EvtIoChildRead.0.myNondetVar_0.2) ?v_4975)))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.4 inline.EvtIoChildRead.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_4975))))))))))))) (let ((?v_4980 (=> (= errorReached.11 errorReached.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.) (=> (= k.12 k.10) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4979))))))))))))))) (?v_4978 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.11 errorReached.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call17123formal.ret.0) (=> (= k.12 k.11) ?v_4979)))))) (?v_4976 (= k.11 0)) (?v_4977 (= k.11 1))) (let ((?v_4985 (and (=> true (=> ?v_25 (=> true (=> (<= k.10 k.11) (=> (< k.11 2) (and (=> true (=> (=> ?v_4976 ?v_8) (=> (=> ?v_4977 ?v_9) (=> true (=> (= errorReached.10 1) ?v_4978))))) (=> true (=> (=> ?v_4976 ?v_2) (=> (=> ?v_4977 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_4978)))))))))))) (=> true (=> ?v_471 (and (=> true (=> ?v_473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4980)))) (=> true (=> ?v_504 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4980)))) (=> true (=> ?v_506 (and (=> true (=> ?v_476 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4980)))) (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4980)))))))))))))))) (let ((?v_4987 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= errorReached.9 errorReached.7) (=> (= k.10 k.8) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4985))))))))))))))))))) (?v_4989 (= inline.EvtIoChildRead.0.myVar_0.2 hdevice)) (?v_4988 (= inline.EvtIoChildRead.0.myVar_0.2 hqueue)) (?v_4986 (= inline.EvtIoChildRead.0.myVar_0.2 htimer)) (?v_4984 (= inline.EvtIoChildRead.0.myVar_0.2 hrequest)) (?v_4983 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call16953formal.ret.0) (=> (= errorReached.9 errorReached.8) (=> (= k.10 k.9) ?v_4985)))))) (?v_4981 (= k.9 0)) (?v_4982 (= k.9 1))) (let ((?v_4992 (and (=> true (=> ?v_4984 (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> (=> ?v_4981 ?v_8) (=> (=> ?v_4982 ?v_9) (=> true (=> (= errorReached.8 1) ?v_4983))))) (=> true (=> (=> ?v_4981 ?v_2) (=> (=> ?v_4982 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_4983)))))))))))) (=> true (=> (not ?v_4984) (and (=> true (=> ?v_4986 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4987)))) (=> true (=> (not ?v_4986) (and (=> true (=> ?v_4988 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4987)))) (=> true (=> (not ?v_4988) (and (=> true (=> ?v_4989 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4987)))) (=> true (=> (not ?v_4989) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4987)))))))))))))))) (let ((?v_4994 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4992)))))))) (?v_4993 (= k.8 1)) (?v_4991 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4990 (= k.8 0))) (let ((?v_4998 (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (and (=> true (=> ?v_4990 (=> (= inline.EvtIoChildRead.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4991))) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0.1) ?v_4992))))) (=> true (=> (not ?v_4990) (and (=> true (=> ?v_4993 (=> (= inline.EvtIoChildRead.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4991))) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0.0) ?v_4994))))) (=> true (=> (not ?v_4993) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0) ?v_4994)))))))))))) (?v_4999 (= errorReached.7 errorReached.5)) (?v_5000 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.))) (let ((?v_5001 (=> (= k.7 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4998)))))))))) (?v_4997 (=> true (=> (= errorReached.7 errorReached.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call16745formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.7 k.6) ?v_4998)))))) (?v_4995 (= k.6 0)) (?v_4996 (= k.6 1)) (?v_18 (>= 4 0)) (?v_19 (int_2_U call16640formal.new.0)) (?v_20 (int_2_U call16643formal.new.0)) (?v_21 (int_2_U call16646formal.new.0)) (?v_22 (int_2_U call16649formal.new.0)) (?v_23 (int_2_U call16652formal.new.0)) (?v_15 (= k.5 0)) (?v_16 (= k.5 1)) (?v_14 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_5006 (=> true (=> (=> ?v_15 (= (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_14)) hqueue)) (=> (=> ?v_16 (= (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_14)) hqueue)) (=> true (=> (=> ?v_15 ?v_277) (=> (=> ?v_16 ?v_278) (=> true (and ?v_18 (=> ?v_18 (=> (> call16640formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call16640formal.new.0 ?x371) (< ?x371 (+ call16640formal.new.0 4))) (= (Base ?x371) call16640formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call16640formal.new.0) (= (MapType0Select alloc ?x372) (MapType0Select alloc.0 ?x372)))) :pattern ((MapType0Select alloc.0 ?x372)) )) (=> (and (= (MapType0Select alloc ?v_19) UNALLOCATED) (= (MapType0Select alloc.0 ?v_19) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16643formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call16643formal.new.0 ?x373) (< ?x373 (+ call16643formal.new.0 4))) (= (Base ?x373) call16643formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call16643formal.new.0) (= (MapType0Select alloc.0 ?x374) (MapType0Select alloc.1 ?x374)))) :pattern ((MapType0Select alloc.1 ?x374)) )) (=> (and (= (MapType0Select alloc.0 ?v_20) UNALLOCATED) (= (MapType0Select alloc.1 ?v_20) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16646formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call16646formal.new.0 ?x375) (< ?x375 (+ call16646formal.new.0 4))) (= (Base ?x375) call16646formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call16646formal.new.0) (= (MapType0Select alloc.1 ?x376) (MapType0Select alloc.2 ?x376)))) :pattern ((MapType0Select alloc.2 ?x376)) )) (=> (and (= (MapType0Select alloc.1 ?v_21) UNALLOCATED) (= (MapType0Select alloc.2 ?v_21) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16649formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call16649formal.new.0 ?x377) (< ?x377 (+ call16649formal.new.0 4))) (= (Base ?x377) call16649formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call16649formal.new.0) (= (MapType0Select alloc.2 ?x378) (MapType0Select alloc.3 ?x378)))) :pattern ((MapType0Select alloc.3 ?x378)) )) (=> (and (= (MapType0Select alloc.2 ?v_22) UNALLOCATED) (= (MapType0Select alloc.3 ?v_22) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16652formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call16652formal.new.0 ?x379) (< ?x379 (+ call16652formal.new.0 4))) (= (Base ?x379) call16652formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call16652formal.new.0) (= (MapType0Select alloc.3 ?x380) (MapType0Select alloc.4 ?x380)))) :pattern ((MapType0Select alloc.4 ?x380)) )) (=> (and (= (MapType0Select alloc.3 ?v_23) UNALLOCATED) (= (MapType0Select alloc.4 ?v_23) ALLOCATED)) (and (=> true (=> ?v_24 (=> true (=> (<= 0 k.6) (=> (< k.6 2) (and (=> true (=> (=> ?v_4995 ?v_8) (=> (=> ?v_4996 ?v_9) (=> true (=> (= errorReached.6 1) ?v_4997))))) (=> true (=> (=> ?v_4995 ?v_2) (=> (=> ?v_4996 ?v_3) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_4997)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> ?v_4999 (=> ?v_5000 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_5001)))))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> ?v_4999 (=> ?v_5000 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_5001)))))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> ?v_4999 (=> ?v_5000 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_5001)))))) (=> true (=> ?v_2522 (=> true (=> ?v_4999 (=> ?v_5000 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_5001))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5008 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.) (=> (= errorReached.5 errorReached.3) (=> (= k.5 k.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5006)))))))))))) (?v_5004 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call16451formal.ret.0) (=> (= errorReached.5 errorReached.4) (=> (= k.5 k.4) ?v_5006)))))) (?v_5002 (= k.4 0)) (?v_5003 (= k.4 1)) (?v_11 (= k.3 0)) (?v_13 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_12 (= k.3 1)) (?v_10 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_5015 (=> true (=> (=> ?v_11 (= (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> (=> ?v_12 (= (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> true (=> (=> ?v_11 (= (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_13)) hlock)) (=> (=> ?v_12 (= (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_13)) hlock)) (and (=> true (=> ?v_42 (=> true (=> (<= k.3 k.4) (=> (< k.4 2) (and (=> true (=> (=> ?v_5002 ?v_8) (=> (=> ?v_5003 ?v_9) (=> true (=> (= errorReached.4 1) ?v_5004))))) (=> true (=> (=> ?v_5002 ?v_2) (=> (=> ?v_5003 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_5004)))))))))))) (=> true (=> ?v_5005 (and (=> true (=> ?v_439 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_5008)))) (=> true (=> ?v_5007 (and (=> true (=> ?v_442 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_5008)))) (=> true (=> ?v_5009 (and (=> true (=> ?v_443 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_5008)))) (=> true (=> ?v_5010 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_5008)))))))))))))))))))))) (let ((?v_5020 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5015))))))))) (?v_5017 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.)) (?v_5018 (= errorReached.3 errorReached.1)) (?v_5019 (= k.3 k.1)) (?v_5022 (= hdevice hdevice)) (?v_5021 (= hdevice hqueue)) (?v_5016 (= hdevice htimer)) (?v_5014 (= hdevice hrequest)) (?v_5013 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 call16231formal.ret.0) (=> (= errorReached.3 errorReached.2) (=> (= k.3 k.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_5015)))))) (?v_5011 (= k.2 0)) (?v_5012 (= k.2 1)) (?v_5 (= k.1 0)) (?v_7 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_6 (= k.1 1)) (?v_4 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_5026 (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (and (=> true (=> ?v_5014 (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_5011 ?v_8) (=> (=> ?v_5012 ?v_9) (=> true (=> (= errorReached.2 1) ?v_5013))))) (=> true (=> (=> ?v_5011 ?v_2) (=> (=> ?v_5012 ?v_3) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_5013)))))))))))) (=> true (=> (not ?v_5014) (and (=> true (=> ?v_5016 (=> true (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_5020))))))) (=> true (=> (not ?v_5016) (and (=> true (=> ?v_5021 (=> true (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_5020))))))) (=> true (=> (not ?v_5021) (and (=> true (=> ?v_5022 (=> true (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_5020))))))) (=> true (=> (not ?v_5022) (=> true (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_5020))))))))))))))))))))))))) (let ((?v_5027 (=> (= errorReached.1 0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2.) (=> ?v_5 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5026)))))))))))) (?v_5025 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.1 errorReached.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 call16011formal.ret.0) (=> (= k.1 k.0) ?v_5026)))))) (?v_5023 (= k.0 0)) (?v_5024 (= k.0 1)) (?v_0 (= 0 0)) (?v_1 (= 0 1))) (not (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_1_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> (=> ?v_0 ?v_2) (=> (=> ?v_1 ?v_3) (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1548) (=> (=> ?v_1 ?v_1550) (=> true (=> (=> ?v_0 ?v_29) (=> (=> ?v_1 ?v_30) (=> true (=> (=> ?v_0 ?v_445) (=> (=> ?v_1 ?v_447) (=> true (=> (=> ?v_0 ?v_446) (=> (=> ?v_1 ?v_448) (and (=> true (=> ?v_24 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_5023 ?v_8) (=> (=> ?v_5024 ?v_9) (=> true (=> (= errorReached.0 1) ?v_5025))))) (=> true (=> (=> ?v_5023 ?v_2) (=> (=> ?v_5024 ?v_3) (=> true (=> (= errorReached.0 0) (=> true ?v_5025)))))))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_666 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_5027)))) (=> true (=> ?v_2518 (and (=> true (=> ?v_667 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_5027)))) (=> true (=> ?v_672 (and (=> true (=> ?v_673 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_5027)))) (=> true (=> ?v_2522 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_5027))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
