(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 () boogieU)
(declare-fun Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun Mem_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun reqCompleted_0.30 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.60 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.39 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.208 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.11 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.2 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun call35438formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun reqCompleted_0.29 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun reqCancelSet_1.39 () Int)
(declare-fun reqCancelSet_1.38 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.16 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.15 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun lockStatus_1.60 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 () Int)
(declare-fun k.291 () Int)
(declare-fun k.290 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.30 () Int)
(declare-fun reqCompleted_1.29 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun reqCancelSet_0.38 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun errorReached.187 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun k.268 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun call37374formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun call37395formal.ret.0 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun call37830formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.289 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun call38384formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun k.288 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun errorReached.205 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun k.286 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun call38726formal.ret.0 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun k.287 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun k.284 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun k.285 () Int)
(declare-fun call38575formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun k.282 () Int)
(declare-fun k.283 () Int)
(declare-fun call38426formal.ret.0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun call38849formal.ret.0 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun k.273 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun k.271 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun k.272 () Int)
(declare-fun call38874formal.ret.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun k.269 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun k.270 () Int)
(declare-fun call37895formal.ret.0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun call38218formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun k.281 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun k.279 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun call38243formal.ret.0 () Int)
(declare-fun k.280 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun k.278 () Int)
(declare-fun call38058formal.ret.0 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.TimerDpc.0.myVar_0.13 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.12 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun k.277 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun k.275 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun k.276 () Int)
(declare-fun call37651formal.ret.0 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun call37500formal.ret.0 () Int)
(declare-fun k.274 () Int)
(declare-fun k.264 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0 () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1. () Int)
(declare-fun k.267 () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.2 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.265 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun k.266 () Int)
(declare-fun call36805formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.185 () Int)
(declare-fun k.262 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.186 () Int)
(declare-fun k.263 () Int)
(declare-fun call36563formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.10 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.9 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun errorReached.180 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun k.256 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun errorReached.184 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun call37064formal.ret.0 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun k.260 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun k.261 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun k.258 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun call37104formal.ret.0 () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun k.259 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun call36950formal.ret.0 () Int)
(declare-fun k.257 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun k.255 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun k.251 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.2 () Int)
(declare-fun k.254 () Int)
(declare-fun call36397formal.ret.0 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.252 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun k.253 () Int)
(declare-fun call36345formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.178 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.249 () Int)
(declare-fun errorReached.179 () Int)
(declare-fun call36105formal.ret.0 () Int)
(declare-fun k.250 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.7 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.6 () Int)
(declare-fun k.248 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.246 () Int)
(declare-fun errorReached.177 () Int)
(declare-fun call35878formal.ret.0 () Int)
(declare-fun k.247 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.3 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.4 () Int)
(declare-fun k.245 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun k.243 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.175 () Int)
(declare-fun k.244 () Int)
(declare-fun call35599formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.0 () Int)
(declare-fun k.242 () Int)
(declare-fun errorReached.172 () Int)
(declare-fun errorReached.173 () Int)
(declare-fun call35155formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1. () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun errorReached.171 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun k.241 () Int)
(declare-fun k.240 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun k.238 () Int)
(declare-fun errorReached.169 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun call39301formal.ret.0 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun k.239 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.167 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.236 () Int)
(declare-fun errorReached.168 () Int)
(declare-fun call39150formal.ret.0 () Int)
(declare-fun k.237 () Int)
(declare-fun call35103formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.8 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun k.235 () Int)
(declare-fun k.234 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun errorReached.166 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.3 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.15 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun errorReached.161 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.229 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun errorReached.159 () Int)
(declare-fun errorReached.160 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun k.233 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun errorReached.163 () Int)
(declare-fun k.231 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun k.232 () Int)
(declare-fun call42036formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 () Int)
(declare-fun call41885formal.ret.0 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun k.230 () Int)
(declare-fun errorReached.157 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.227 () Int)
(declare-fun errorReached.158 () Int)
(declare-fun call41385formal.ret.0 () Int)
(declare-fun k.228 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.12 () Int)
(declare-fun k.226 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun k.222 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun k.225 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.2 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.223 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun k.224 () Int)
(declare-fun call41238formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.155 () Int)
(declare-fun k.220 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.156 () Int)
(declare-fun k.221 () Int)
(declare-fun call40996formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.9 () Int)
(declare-fun k.219 () Int)
(declare-fun k.218 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0 () Int)
(declare-fun k.214 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.2 () Int)
(declare-fun k.217 () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun call40797formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.215 () Int)
(declare-fun call40745formal.ret.0 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun k.216 () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.153 () Int)
(declare-fun k.212 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.154 () Int)
(declare-fun k.213 () Int)
(declare-fun call40505formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.6 () Int)
(declare-fun k.211 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call40385formal.ret.0 () Int)
(declare-fun errorReached.151 () Int)
(declare-fun k.209 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.152 () Int)
(declare-fun k.210 () Int)
(declare-fun call40188formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.4 () Int)
(declare-fun k.208 () Int)
(declare-fun errorReached.149 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.206 () Int)
(declare-fun errorReached.150 () Int)
(declare-fun call39977formal.ret.0 () Int)
(declare-fun k.207 () Int)
(declare-fun errorReached.147 () Int)
(declare-fun k.204 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.148 () Int)
(declare-fun k.205 () Int)
(declare-fun call39806formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.1 () Int)
(declare-fun k.203 () Int)
(declare-fun errorReached.145 () Int)
(declare-fun k.201 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.146 () Int)
(declare-fun k.202 () Int)
(declare-fun call39597formal.ret.0 () Int)
(declare-fun errorReached.144 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun call35059formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9. () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12. () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2. () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8. () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10. () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.18 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4. () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.5 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1. () Int)
(declare-fun k.200 () Int)
(declare-fun k.14 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.15 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4. () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11. () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.18 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun k.12 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1. () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun k.13 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun call17645formal.ret.0 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.9 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun call17494formal.ret.0 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.14 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.28 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.11 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun k.195 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.17 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.143 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun k.199 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun k.197 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun k.198 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun call19859formal.ret.0 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun call19708formal.ret.0 () Int)
(declare-fun k.196 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun errorReached.138 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.12 () Int)
(declare-fun k.194 () Int)
(declare-fun k.190 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.2 () Int)
(declare-fun k.193 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun k.191 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun call19249formal.ret.0 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun k.192 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun k.188 () Int)
(declare-fun errorReached.136 () Int)
(declare-fun k.189 () Int)
(declare-fun call19007formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.10 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.9 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.17 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun k.21 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.5 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.14 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun call18581formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun call16648formal.new.0 () Int)
(declare-fun call34520formal.ret.0 () Int)
(declare-fun k.23 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun call34572formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.21 () Int)
(declare-fun call34657formal.new.0 () Int)
(declare-fun call34722formal.ret.0 () Int)
(declare-fun k.25 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun call34852formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.22 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.2 () Int)
(declare-fun call34924formal.ret.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.13 () Int)
(declare-fun call18685formal.new.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 () Int)
(declare-fun call16645formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.15 () Int)
(declare-fun call18746formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun call18835formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 () Int)
(declare-fun inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun k.187 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun errorReached.134 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 () Int)
(declare-fun inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.16 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 () Int)
(declare-fun call33559formal.new.0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun k.118 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun call29293formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.15 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.2 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun call34290formal.ret.0 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.116 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun call34001formal.ret.0 () Int)
(declare-fun k.117 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 () Int)
(declare-fun call33882formal.ret.0 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun k.114 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun k.115 () Int)
(declare-fun call33685formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 () Int)
(declare-fun k.113 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun k.111 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun call33357formal.ret.0 () Int)
(declare-fun k.112 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 () Int)
(declare-fun k.110 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun k.107 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun k.109 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun call33169formal.ret.0 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun k.108 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun k.105 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun call32928formal.ret.0 () Int)
(declare-fun k.106 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 () Int)
(declare-fun k.103 () Int)
(declare-fun k.104 () Int)
(declare-fun k.85 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun call32759formal.ret.0 () Int)
(declare-fun k.102 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.100 () Int)
(declare-fun call32707formal.ret.0 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 () Int)
(declare-fun k.84 () Int)
(declare-fun call32349formal.ret.0 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun k.82 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun call32152formal.ret.0 () Int)
(declare-fun k.83 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 () Int)
(declare-fun k.81 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun k.52 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.47 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun k.51 () Int)
(declare-fun call34324formal.ret.0 () Int)
(declare-fun call29317formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.14 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun k.80 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun k.75 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun k.79 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun k.77 () Int)
(declare-fun call31933formal.ret.0 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun k.78 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun call31782formal.ret.0 () Int)
(declare-fun k.76 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.73 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun k.74 () Int)
(declare-fun call31282formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.12 () Int)
(declare-fun k.72 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun k.68 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun k.71 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.69 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun k.70 () Int)
(declare-fun call31135formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun k.66 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun call30893formal.ret.0 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.10 () Int)
(declare-fun k.65 () Int)
(declare-fun k.64 () Int)
(declare-fun k.63 () Int)
(declare-fun k.61 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun k.62 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.2 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun call30693formal.ret.0 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun k.59 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun k.60 () Int)
(declare-fun call30403formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.6 () Int)
(declare-fun k.58 () Int)
(declare-fun call30283formal.ret.0 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun k.56 () Int)
(declare-fun call30086formal.ret.0 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun k.57 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.4 () Int)
(declare-fun k.55 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun k.53 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun k.54 () Int)
(declare-fun call29875formal.ret.0 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.0 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun call29498formal.ret.0 () Int)
(declare-fun k.50 () Int)
(declare-fun k.48 () Int)
(declare-fun call29387formal.ret.0 () Int)
(declare-fun call29279formal.new.0 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun k.45 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun call29164formal.ret.0 () Int)
(declare-fun k.46 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 () Int)
(declare-fun k.44 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun k.42 () Int)
(declare-fun call28696formal.ret.0 () Int)
(declare-fun k.43 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun k.40 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun call28444formal.ret.0 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 () Int)
(declare-fun k.39 () Int)
(declare-fun k.35 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.38 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.2 () Int)
(declare-fun k.36 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun call28297formal.ret.0 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun k.37 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 () Int)
(declare-fun k.34 () Int)
(declare-fun k.33 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun k.87 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun call20786formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun k.186 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun call27054formal.new.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun call22787formal.ret.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun k.182 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun call27786formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.2 () Int)
(declare-fun k.185 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun k.183 () Int)
(declare-fun call27734formal.ret.0 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun k.184 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 () Int)
(declare-fun call27377formal.ret.0 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun k.180 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun call27180formal.ret.0 () Int)
(declare-fun k.181 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 () Int)
(declare-fun k.179 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 () Int)
(declare-fun k.178 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun k.177 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.175 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun call26667formal.ret.0 () Int)
(declare-fun k.176 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun k.172 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun k.173 () Int)
(declare-fun call26425formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 () Int)
(declare-fun k.171 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.167 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.170 () Int)
(declare-fun call26255formal.ret.0 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.168 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun call26203formal.ret.0 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 () Int)
(declare-fun k.166 () Int)
(declare-fun call25845formal.ret.0 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun k.164 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun k.165 () Int)
(declare-fun call25648formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 () Int)
(declare-fun k.163 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun k.129 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun call22811formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.5 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.2 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.8 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun k.162 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun k.161 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun k.155 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun call25066formal.ret.0 () Int)
(declare-fun k.160 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.159 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun k.157 () Int)
(declare-fun call25429formal.ret.0 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun k.158 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun k.156 () Int)
(declare-fun call25278formal.ret.0 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun k.153 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun call24776formal.ret.0 () Int)
(declare-fun k.154 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.13 () Int)
(declare-fun k.152 () Int)
(declare-fun k.148 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.2 () Int)
(declare-fun k.151 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.149 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun k.150 () Int)
(declare-fun call24629formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun k.146 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun call24387formal.ret.0 () Int)
(declare-fun k.147 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.9 () Int)
(declare-fun k.145 () Int)
(declare-fun k.144 () Int)
(declare-fun k.140 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.2 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun call24188formal.ret.0 () Int)
(declare-fun k.141 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun call24136formal.ret.0 () Int)
(declare-fun k.142 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.6 () Int)
(declare-fun k.139 () Int)
(declare-fun call23778formal.ret.0 () Int)
(declare-fun k.137 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun call23581formal.ret.0 () Int)
(declare-fun k.138 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.3 () Int)
(declare-fun k.136 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun k.134 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun k.135 () Int)
(declare-fun call23370formal.ret.0 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun k.132 () Int)
(declare-fun call23199formal.ret.0 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun k.133 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.0 () Int)
(declare-fun k.131 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun k.130 () Int)
(declare-fun call22990formal.ret.0 () Int)
(declare-fun call22773formal.new.0 () Int)
(declare-fun k.127 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun call22658formal.ret.0 () Int)
(declare-fun k.128 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 () Int)
(declare-fun k.126 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun k.124 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.125 () Int)
(declare-fun call22450formal.ret.0 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun k.122 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun k.123 () Int)
(declare-fun call22296formal.ret.0 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun k.120 () Int)
(declare-fun call22186formal.ret.0 () Int)
(declare-fun k.121 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun k.99 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun call22028formal.ret.0 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun k.119 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun k.97 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun k.98 () Int)
(declare-fun call21576formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 () Int)
(declare-fun k.96 () Int)
(declare-fun k.92 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.93 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun call21429formal.ret.0 () Int)
(declare-fun k.94 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun k.90 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun call21187formal.ret.0 () Int)
(declare-fun k.91 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 () Int)
(declare-fun k.89 () Int)
(declare-fun k.88 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun call20826formal.ret.0 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun k.86 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun k.31 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun k.29 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun call20331formal.ret.0 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 () Int)
(declare-fun k.28 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.26 () Int)
(declare-fun call20020formal.ret.0 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.26 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun k.24 () Int)
(declare-fun call34725formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 () Int)
(declare-fun k.22 () Int)
(declare-fun call34523formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.12 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.11 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.10 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.9 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.8 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.7 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.6 () Int)
(declare-fun k.17 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.2 () Int)
(declare-fun call18472formal.ret.0 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.18 () Int)
(declare-fun call18420formal.ret.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun k.15 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun call18180formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.6 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.7 () Int)
(declare-fun k.10 () Int)
(declare-fun call18060formal.ret.0 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.4 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.3 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2. () Int)
(declare-fun k.7 () Int)
(declare-fun call17300formal.ret.0 () Int)
(declare-fun k.8 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.5 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun call17118formal.ret.0 () Int)
(declare-fun k.6 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun k.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.8 () Int)
(declare-fun k.4 () Int)
(declare-fun call16948formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myVar_0.0 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call16741formal.ret.0 () Int)
(declare-fun k.2 () Int)
(declare-fun call16636formal.new.0 () Int)
(declare-fun call16639formal.new.0 () Int)
(declare-fun call16642formal.new.0 () Int)
(declare-fun k.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.4 () Int)
(declare-fun call16447formal.ret.0 () Int)
(declare-fun k.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25) ?v_0) (= (type Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type alloc.18) ?v_1) (= (type alloc.15) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type alloc.17) ?v_1) (= (type alloc.16) ?v_1) (= (type Mem_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type alloc.14) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type alloc.8) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.13) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.11) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.9) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type alloc.5) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.7) ?v_1) (= (type alloc.6) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type alloc.1) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1))))
(assert (let ((?v_15 (int_2_U G_SynchronizationScope)) (?v_2759 (int_2_U hrequest)) (?v_41 (not (not (= errorReached.208 0))))) (let ((?v_66 (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_0_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_0.30 reqCompleted_s_1) (=> (= lockStatus_0.60 lockStatus_s_1) (=> (= reqCancelSet_0.39 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_41 (=> ?v_41 true)))))))))))))))))) (let ((?v_98 (=> true (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.208 errorReached.207) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call35438formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= reqCompleted_0.30 reqCompleted_0.29) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= lockStatus_0.60 lockStatus_0.59) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= reqCancelSet_1.39 reqCancelSet_1.38) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.3) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0.15) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2) (=> (= lockStatus_1.60 lockStatus_1.59) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= k.291 k.290) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0.3) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= reqCompleted_1.30 reqCompleted_1.29) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0.2) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call35438formal.ret.0) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call35438formal.ret.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= reqCancelSet_0.39 reqCancelSet_0.38) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1) (=> (= alloc.18 alloc.17) ?v_66)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_274 (=> true (=> true (=> true ?v_98)))) (?v_191 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_192 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_193 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_194 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_195 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_196 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_197 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_198 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0)) (?v_199 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_200 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion)) (?v_201 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_202 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_203 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_204 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_205 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_206 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_207 (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0)) (?v_208 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_209 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_210 (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.11)) (?v_211 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_212 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_213 (= reqSent_1.5 reqSent_1)) (?v_214 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_215 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_216 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_217 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_218 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_219 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0)) (?v_220 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_221 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_222 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_223 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_224 (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0)) (?v_225 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_226 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_227 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_228 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_229 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_230 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_231 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_232 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext)) (?v_233 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.)) (?v_234 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_235 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_236 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_237 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_238 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_239 (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0)) (?v_240 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_241 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_242 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_243 (= alloc.17 alloc.15)) (?v_244 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_245 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_246 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_247 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1)) (?v_248 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_249 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_250 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_251 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_252 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_253 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_254 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1)) (?v_255 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_256 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_257 (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.)) (?v_258 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_259 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_260 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_261 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_262 (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.)) (?v_263 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_264 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.)) (?v_265 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_266 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion)) (?v_267 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_268 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_269 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_270 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_271 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_272 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_273 (= reqSent_0.5 reqSent_0)) (?v_190 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_97 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call37374formal.ret.0))) (let ((?v_101 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> ?v_97 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_193 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> ?v_198 (=> ?v_199 (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= reqCompleted_1.29 reqCompleted_1.28) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> ?v_203 (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0.1) (=> ?v_208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> ?v_212 (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call37395formal.ret.0) (=> (= errorReached.207 errorReached.206) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_218 (=> (= reqCancelSet_0.38 reqCancelSet_0.37) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call37830formal.new.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_224 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= k.290 k.289) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> ?v_228 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_230 (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_1.38 reqCancelSet_1.37) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4) (=> ?v_240 (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= alloc.17 alloc.16) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> ?v_245 (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_257 (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_264 (=> ?v_265 (=> ?v_266 (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_270 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= reqCompleted_0.29 reqCompleted_0.28) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= reqSent_0.5 reqSent_0.4) ?v_274))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_114 (=> true (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call38384formal.ret.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= k.289 k.288) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call38384formal.ret.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= errorReached.206 errorReached.205) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> true (=> true (=> true ?v_101)))))))))))))))))))))))))))))))))) (?v_57 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hrequest))) (let ((?v_86 (not ?v_57)) (?v_103 (=> true (=> (= errorReached.205 errorReached.204) (=> (= reqCancelSet_0.36 reqCancelSet_0.35) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 call38726formal.ret.0) (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> (= k.288 k.287) (=> (= reqCompleted_1.27 reqCompleted_1.26) ?v_114)))))))))) (let ((?v_106 (=> true ?v_103)) (?v_104 (= reqCancelSet_0.35 reqCancelSet_0.32)) (?v_105 (= reqCancelSet_1.35 reqCancelSet_1.32)) (?v_102 (= k.287 1))) (let ((?v_109 (not ?v_102)) (?v_100 (= k.287 0))) (let ((?v_107 (not ?v_100))) (let ((?v_108 (and (=> true (=> ?v_100 (=> true (=> (= reqCancelSet_0.35 0) (=> ?v_105 ?v_103))))) (=> true (=> ?v_107 (and (=> true (=> ?v_102 (=> true (=> ?v_104 (=> (= reqCancelSet_1.35 0) ?v_106))))) (=> true (=> ?v_109 (=> true (=> ?v_104 (=> ?v_105 ?v_106))))))))))) (let ((?v_112 (=> true (=> true ?v_108))) (?v_110 (= reqCompleted_0.26 reqCompleted_0.23)) (?v_111 (= reqCompleted_1.26 reqCompleted_1.23))) (let ((?v_113 (and (=> true (=> ?v_100 (=> true (=> (= reqCompleted_0.26 1) (=> ?v_111 ?v_108))))) (=> true (=> ?v_107 (and (=> true (=> ?v_102 (=> true (=> ?v_110 (=> (= reqCompleted_1.26 1) ?v_112))))) (=> true (=> ?v_109 (=> true (=> ?v_110 (=> ?v_111 ?v_112)))))))))) (?v_78 (= reqCompleted_0.23 0)) (?v_79 (= reqCompleted_1.23 0))) (let ((?v_50 (not ?v_78)) (?v_51 (not ?v_79))) (let ((?v_115 (and (=> true (=> ?v_57 (=> true (=> (<= k.286 k.287) (=> (< k.287 2) (and (=> true (=> (=> ?v_100 ?v_50) (=> (=> ?v_102 ?v_51) (=> true (=> (= errorReached.204 1) ?v_113))))) (=> true (=> (=> ?v_100 ?v_78) (=> (=> ?v_102 ?v_79) (=> true (=> (= errorReached.204 errorReached.203) (=> true ?v_113)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.205 errorReached.203) (=> (= reqCancelSet_0.36 reqCancelSet_0.32) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.36 reqCancelSet_1.32) (=> (= reqCompleted_0.27 reqCompleted_0.23) (=> (= k.288 k.286) (=> (= reqCompleted_1.27 reqCompleted_1.23) (=> true (=> true (=> true (=> true (=> true (=> true ?v_114))))))))))))))))))) (let ((?v_119 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2) ?v_115)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_115))))))))))))))))) (let ((?v_124 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_119)))))))))) (?v_121 (= errorReached.203 errorReached.201)) (?v_122 (= k.286 k.284)) (?v_123 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.)) (?v_92 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hdevice))) (let ((?v_126 (not ?v_92)) (?v_91 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hqueue))) (let ((?v_125 (not ?v_91)) (?v_88 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 htimer))) (let ((?v_120 (not ?v_88)) (?v_118 (=> true (=> (= errorReached.203 errorReached.202) (=> (= k.286 k.285) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call38575formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_119)))))) (?v_116 (= k.285 0)) (?v_117 (= k.285 1))) (let ((?v_128 (and (=> true (=> ?v_57 (=> true (=> (<= k.284 k.285) (=> (< k.285 2) (and (=> true (=> (=> ?v_116 ?v_50) (=> (=> ?v_117 ?v_51) (=> true (=> (= errorReached.202 1) ?v_118))))) (=> true (=> (=> ?v_116 ?v_78) (=> (=> ?v_117 ?v_79) (=> true (=> (= errorReached.202 errorReached.201) (=> true ?v_118)))))))))))) (=> true (=> ?v_86 (and (=> true (=> ?v_88 (=> true (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_124))))))) (=> true (=> ?v_120 (and (=> true (=> ?v_91 (=> true (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_124))))))) (=> true (=> ?v_125 (and (=> true (=> ?v_92 (=> true (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_124))))))) (=> true (=> ?v_126 (=> true (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_124)))))))))))))))))) (?v_339 (- 0 1073741637)) (?v_127 (= call38384formal.ret.0 0))) (let ((?v_130 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_128))) (?v_129 (= call38384formal.ret.0 1))) (let ((?v_135 (and (=> true (=> (not ?v_127) (=> (not ?v_129) ?v_130))) (=> true (=> ?v_127 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_339) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_128))))))))))))))))))))))))))))))) (=> true (=> ?v_129 (=> true ?v_130)))))) (let ((?v_137 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_135)))))))) (?v_136 (= errorReached.201 errorReached.200)) (?v_133 (= k.284 k.283)) (?v_134 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call38426formal.ret.0)) (?v_131 (= k.283 0)) (?v_132 (= k.283 1)) (?v_99 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_164 (and (=> true (=> (not ?v_99) (=> true (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCancelSet_0.37 reqCancelSet_0.32) (=> (= k.289 k.282) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= reqCompleted_1.28 reqCompleted_1.23) (=> (= errorReached.206 errorReached.200) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCompleted_0.28 reqCompleted_0.23) (=> (= reqCancelSet_1.37 reqCancelSet_1.32) ?v_101)))))))))))))))))))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_57 (=> true (=> (<= k.282 k.283) (=> (< k.283 2) (and (=> true (=> (=> ?v_131 ?v_50) (=> (=> ?v_132 ?v_51) (=> true (=> (= errorReached.201 1) (=> ?v_133 (=> ?v_134 ?v_135))))))) (=> true (=> (=> ?v_131 ?v_78) (=> (=> ?v_132 ?v_79) (=> true (=> ?v_136 (=> ?v_133 (=> ?v_134 ?v_137))))))))))))) (=> true (=> ?v_86 (=> true (=> ?v_136 (=> (= k.284 k.282) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) ?v_137)))))))))))) (let ((?v_174 (=> true (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqSent_1.4 reqSent_1.1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call38849formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= errorReached.200 errorReached.191) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call38849formal.ret.0) (=> (= reqSent_0.4 reqSent_0.1) (=> (= k.282 k.273) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call38849formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call38849formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call38849formal.ret.0) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0) (=> true ?v_164)))))))))))))))))))))))))))))))))))))))) (let ((?v_178 (=> true (=> true (=> true (=> true (=> true ?v_174)))))) (?v_176 (= reqSent_0.1 reqSent_0)) (?v_177 (= reqSent_1.1 reqSent_1)) (?v_171 (= errorReached.191 errorReached.190)) (?v_172 (= k.273 k.272)) (?v_173 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call38874formal.ret.0)) (?v_170 (= call38849formal.ret.0 0))) (let ((?v_166 (=> true (=> ?v_171 (=> (= reqSent_0.1 reqSent_0.0) (=> (= reqSent_1.1 reqSent_1.0) (=> ?v_172 (=> ?v_173 ?v_174)))))))) (let ((?v_169 (=> true ?v_166)) (?v_167 (= reqSent_0.0 reqSent_0)) (?v_168 (= reqSent_1.0 reqSent_1)) (?v_165 (= k.272 1)) (?v_163 (= k.272 0))) (let ((?v_175 (and (=> true (=> (not ?v_170) (and (=> true (=> ?v_163 (=> true (=> (= reqSent_0.0 1) (=> ?v_168 ?v_166))))) (=> true (=> (not ?v_163) (and (=> true (=> ?v_165 (=> true (=> ?v_167 (=> (= reqSent_1.0 1) ?v_169))))) (=> true (=> (not ?v_165) (=> true (=> ?v_167 (=> ?v_168 ?v_169))))))))))) (=> true (=> ?v_170 (=> true (=> ?v_171 (=> ?v_176 (=> ?v_177 (=> ?v_172 (=> ?v_173 ?v_178))))))))))) (let ((?v_184 (and (=> true (=> ?v_57 (=> true (=> (<= k.271 k.272) (=> (< k.272 2) (and (=> true (=> (=> ?v_163 ?v_50) (=> (=> ?v_165 ?v_51) (=> true (=> (= errorReached.190 1) ?v_175))))) (=> true (=> (=> ?v_163 ?v_78) (=> (=> ?v_165 ?v_79) (=> true (=> (= errorReached.190 errorReached.189) (=> true ?v_175)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.191 errorReached.189) (=> ?v_176 (=> ?v_177 (=> (= k.273 k.271) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) ?v_178))))))))))) (let ((?v_180 (=> true (=> (= errorReached.189 errorReached.188) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) (=> (= k.271 k.270) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call37895formal.ret.0) ?v_184))))))) (?v_181 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_182 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_180))) (?v_179 (= k.270 1)) (?v_162 (= k.270 0))) (let ((?v_183 (and (=> true (=> ?v_162 (=> true (=> ?v_181 (=> (= reqCompleteSet_0.0 1) ?v_180))))) (=> true (=> (not ?v_162) (and (=> true (=> ?v_179 (=> true (=> (= reqCompleteSet_1.0 1) ?v_182)))) (=> true (=> (not ?v_179) (=> true (=> ?v_181 ?v_182))))))))) (?v_161 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_147 (=> true (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= reqSent_1.4 reqSent_1.3) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call38218formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= errorReached.200 errorReached.199) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call38218formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= reqSent_0.4 reqSent_0.3) (=> (= k.282 k.281) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call38218formal.ret.0) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call38218formal.ret.0) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call38218formal.ret.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) ?v_164))))))))))))))))))))))))))))))))))))))) (let ((?v_151 (=> true (=> true (=> true (=> true (=> true ?v_147)))))) (?v_149 (= reqSent_0.3 reqSent_0)) (?v_150 (= reqSent_1.3 reqSent_1)) (?v_144 (= errorReached.199 errorReached.198)) (?v_145 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call38243formal.ret.0)) (?v_146 (= k.281 k.280)) (?v_143 (= call38218formal.ret.0 0))) (let ((?v_139 (=> true (=> ?v_144 (=> ?v_145 (=> (= reqSent_0.3 reqSent_0.2) (=> (= reqSent_1.3 reqSent_1.2) (=> ?v_146 ?v_147)))))))) (let ((?v_142 (=> true ?v_139)) (?v_140 (= reqSent_0.2 reqSent_0)) (?v_141 (= reqSent_1.2 reqSent_1)) (?v_138 (= k.280 1)) (?v_96 (= k.280 0))) (let ((?v_148 (and (=> true (=> (not ?v_143) (and (=> true (=> ?v_96 (=> true (=> (= reqSent_0.2 1) (=> ?v_141 ?v_139))))) (=> true (=> (not ?v_96) (and (=> true (=> ?v_138 (=> true (=> ?v_140 (=> (= reqSent_1.2 1) ?v_142))))) (=> true (=> (not ?v_138) (=> true (=> ?v_140 (=> ?v_141 ?v_142))))))))))) (=> true (=> ?v_143 (=> true (=> ?v_144 (=> ?v_145 (=> ?v_149 (=> ?v_150 (=> ?v_146 ?v_151))))))))))) (let ((?v_152 (and (=> true (=> ?v_57 (=> true (=> (<= k.279 k.280) (=> (< k.280 2) (and (=> true (=> (=> ?v_96 ?v_50) (=> (=> ?v_138 ?v_51) (=> true (=> (= errorReached.198 1) ?v_148))))) (=> true (=> (=> ?v_96 ?v_78) (=> (=> ?v_138 ?v_79) (=> true (=> (= errorReached.198 errorReached.197) (=> true ?v_148)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.199 errorReached.197) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> ?v_149 (=> ?v_150 (=> (= k.281 k.279) ?v_151))))))))))) (let ((?v_156 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1) ?v_152)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_152)))))))))))))))))))))))))))))))))) (let ((?v_160 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_156)))))))))) (?v_157 (= errorReached.197 errorReached.187)) (?v_158 (= k.279 k.269)) (?v_159 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_155 (=> true (=> (= errorReached.197 errorReached.196) (=> (= k.279 k.278) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call38058formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_156)))))) (?v_153 (= k.278 0)) (?v_154 (= k.278 1)) (?v_94 (>= 16 0)) (?v_95 (int_2_U call37830formal.new.0))) (let ((?v_187 (=> true (and ?v_94 (=> ?v_94 (=> (> call37830formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call37830formal.new.0 ?x355) (< ?x355 (+ call37830formal.new.0 16))) (= (Base ?x355) call37830formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call37830formal.new.0) (= (MapType0Select alloc.15 ?x356) (MapType0Select alloc.16 ?x356)))) :pattern ((MapType0Select alloc.16 ?x356)) )) (=> (and (= (MapType0Select alloc.15 ?v_95) UNALLOCATED) (= (MapType0Select alloc.16 ?v_95) ALLOCATED)) (and (=> true (=> (not ?v_161) (and (=> true (=> ?v_57 (=> true (=> (<= k.269 k.278) (=> (< k.278 2) (and (=> true (=> (=> ?v_153 ?v_50) (=> (=> ?v_154 ?v_51) (=> true (=> (= errorReached.196 1) ?v_155))))) (=> true (=> (=> ?v_153 ?v_78) (=> (=> ?v_154 ?v_79) (=> true (=> (= errorReached.196 errorReached.187) (=> true ?v_155)))))))))))) (=> true (=> ?v_86 (and (=> true (=> ?v_88 (=> true (=> ?v_157 (=> ?v_158 (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_160))))))) (=> true (=> ?v_120 (and (=> true (=> ?v_91 (=> true (=> ?v_157 (=> ?v_158 (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_160))))))) (=> true (=> ?v_125 (and (=> true (=> ?v_92 (=> true (=> ?v_157 (=> ?v_158 (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_160))))))) (=> true (=> ?v_126 (=> true (=> ?v_157 (=> ?v_158 (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_160))))))))))))))))))) (=> true (=> ?v_161 (and (=> true (=> ?v_57 (=> true (=> (<= k.269 k.270) (=> (< k.270 2) (and (=> true (=> (=> ?v_162 ?v_50) (=> (=> ?v_179 ?v_51) (=> true (=> (= errorReached.188 1) ?v_183))))) (=> true (=> (=> ?v_162 ?v_78) (=> (=> ?v_179 ?v_79) (=> true (=> (= errorReached.188 errorReached.187) (=> true ?v_183)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.189 errorReached.187) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> (= k.271 k.269) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_184))))))))))))))))))))))))))))))) (let ((?v_189 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_187))))))))))) (?v_188 (= k.269 1)) (?v_186 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_305 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_186))) (?v_185 (= k.269 0)) (?v_64 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_186))) (?v_93 (= (BINARY_BOTH_INT call37374formal.ret.0 13) 0)) (?v_81 (=> true (=> ?v_191 (=> ?v_97 (=> ?v_192 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_200 (=> (= reqCompleted_1.29 reqCompleted_1.25) (=> ?v_201 (=> ?v_202 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_213 (=> ?v_214 (=> (= errorReached.207 errorReached.195) (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_0.38 reqCancelSet_0.34) (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> ?v_225 (=> (= k.290 k.277) (=> ?v_226 (=> ?v_227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_229 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> (= reqCancelSet_1.38 reqCancelSet_1.34) (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0) (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_267 (=> ?v_268 (=> ?v_269 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_271 (=> (= reqCompleted_0.29 reqCompleted_0.25) (=> ?v_272 (=> ?v_273 ?v_98))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_68 (=> true (=> (= errorReached.195 errorReached.194) (=> (= reqCancelSet_0.34 reqCancelSet_0.33) (=> (= reqCancelSet_1.34 reqCancelSet_1.33) (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= k.277 k.276) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 call37651formal.ret.0) (=> (= reqCompleted_1.25 reqCompleted_1.24) ?v_81)))))))))) (let ((?v_71 (=> true ?v_68)) (?v_69 (= reqCancelSet_0.33 reqCancelSet_0.32)) (?v_70 (= reqCancelSet_1.33 reqCancelSet_1.32)) (?v_67 (= k.276 1))) (let ((?v_74 (not ?v_67)) (?v_65 (= k.276 0))) (let ((?v_72 (not ?v_65))) (let ((?v_73 (and (=> true (=> ?v_65 (=> true (=> (= reqCancelSet_0.33 0) (=> ?v_70 ?v_68))))) (=> true (=> ?v_72 (and (=> true (=> ?v_67 (=> true (=> ?v_69 (=> (= reqCancelSet_1.33 0) ?v_71))))) (=> true (=> ?v_74 (=> true (=> ?v_69 (=> ?v_70 ?v_71))))))))))) (let ((?v_77 (=> true (=> true ?v_73))) (?v_75 (= reqCompleted_0.24 reqCompleted_0.23)) (?v_76 (= reqCompleted_1.24 reqCompleted_1.23))) (let ((?v_80 (and (=> true (=> ?v_65 (=> true (=> (= reqCompleted_0.24 1) (=> ?v_76 ?v_73))))) (=> true (=> ?v_72 (and (=> true (=> ?v_67 (=> true (=> ?v_75 (=> (= reqCompleted_1.24 1) ?v_77))))) (=> true (=> ?v_74 (=> true (=> ?v_75 (=> ?v_76 ?v_77))))))))))) (let ((?v_82 (and (=> true (=> ?v_57 (=> true (=> (<= k.275 k.276) (=> (< k.276 2) (and (=> true (=> (=> ?v_65 ?v_50) (=> (=> ?v_67 ?v_51) (=> true (=> (= errorReached.194 1) ?v_80))))) (=> true (=> (=> ?v_65 ?v_78) (=> (=> ?v_67 ?v_79) (=> true (=> (= errorReached.194 errorReached.193) (=> true ?v_80)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.195 errorReached.193) (=> (= reqCancelSet_0.34 reqCancelSet_0.32) (=> (= reqCancelSet_1.34 reqCancelSet_1.32) (=> (= reqCompleted_0.25 reqCompleted_0.23) (=> (= k.277 k.275) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_1.25 reqCompleted_1.23) (=> true (=> true (=> true (=> true (=> true (=> true ?v_81))))))))))))))))))) (let ((?v_87 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2) ?v_82)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_82)))))))))))))))) (?v_89 (= errorReached.193 errorReached.187))) (let ((?v_90 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= k.275 k.268) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_87)))))))))))) (?v_85 (=> true (=> (= errorReached.193 errorReached.192) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 call37500formal.ret.0) (=> (= k.275 k.274) ?v_87)))))) (?v_83 (= k.274 0)) (?v_84 (= k.274 1))) (let ((?v_293 (and (=> true (=> (not ?v_190) (and (=> true (=> (not ?v_93) (and (=> true (=> ?v_57 (=> true (=> (<= k.268 k.274) (=> (< k.274 2) (and (=> true (=> (=> ?v_83 ?v_50) (=> (=> ?v_84 ?v_51) (=> true (=> (= errorReached.192 1) ?v_85))))) (=> true (=> (=> ?v_83 ?v_78) (=> (=> ?v_84 ?v_79) (=> true (=> (= errorReached.192 errorReached.187) (=> true ?v_85)))))))))))) (=> true (=> ?v_86 (and (=> true (=> ?v_88 (=> true (=> ?v_89 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_90))))) (=> true (=> ?v_120 (and (=> true (=> ?v_91 (=> true (=> ?v_89 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_90))))) (=> true (=> ?v_125 (and (=> true (=> ?v_92 (=> true (=> ?v_89 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_90))))) (=> true (=> ?v_126 (=> true (=> ?v_89 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_90))))))))))))))))) (=> true (=> ?v_93 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call37395formal.ret.0 2) 0))) (=> true (=> (<= k.268 k.269) (=> (< k.269 2) (and (=> true (=> ?v_185 (=> (= inline.TimerDpc.0.myVar_0.12 ?v_64) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.12) ?v_187))))) (=> true (=> (not ?v_185) (and (=> true (=> ?v_188 (=> (= inline.TimerDpc.0.myVar_0.13 ?v_305) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.13) ?v_189))))) (=> true (=> (not ?v_188) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.11) ?v_189)))))))))))))))))) (=> true (=> ?v_190 (=> true (=> ?v_191 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> (= reqCompleted_1.29 reqCompleted_1.23) (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> (= errorReached.207 errorReached.187) (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> (= reqCancelSet_0.38 reqCancelSet_0.32) (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> (= k.290 k.268) (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> (= reqCancelSet_1.38 reqCancelSet_1.32) (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> ?v_264 (=> ?v_265 (=> ?v_266 (=> ?v_267 (=> ?v_268 (=> ?v_269 (=> ?v_270 (=> ?v_271 (=> (= reqCompleted_0.29 reqCompleted_0.23) (=> ?v_272 (=> ?v_273 ?v_274))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_291 (= k.264 0)) (?v_25 (U_2_int (MapType0Select Mem_0_T._WDF_SYNCHRONIZATION_SCOPE ?v_15)))) (let ((?v_288 (not (= ?v_25 2)))) (let ((?v_391 (not ?v_288)) (?v_292 (= k.264 1)) (?v_27 (U_2_int (MapType0Select Mem_1_T._WDF_SYNCHRONIZATION_SCOPE ?v_15)))) (let ((?v_289 (not (= ?v_27 2)))) (let ((?v_393 (not ?v_289)) (?v_282 (=> true (=> (= k.268 k.267) (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0) ?v_293)))))))))) (?v_281 (= inline.ReleaseDpcLock.7.myVar_0.2 hlock))) (let ((?v_276 (=> true (=> (= lockStatus_0.58 lockStatus_0.57) (=> (= lockStatus_1.58 lockStatus_1.57) (=> (= k.267 k.266) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 call36805formal.ret.0) ?v_282))))))) (let ((?v_280 (=> true ?v_276)) (?v_278 (= lockStatus_0.57 lockStatus_0.56)) (?v_279 (= lockStatus_1.57 lockStatus_1.56)) (?v_277 (= k.266 1)) (?v_275 (= k.266 0))) (let ((?v_285 (and (=> true (=> ?v_281 (=> true (=> (<= k.265 k.266) (=> (< k.266 2) (and (=> true (=> ?v_275 (=> true (=> (= lockStatus_0.57 0) (=> ?v_279 ?v_276))))) (=> true (=> (not ?v_275) (and (=> true (=> ?v_277 (=> true (=> ?v_278 (=> (= lockStatus_1.57 0) ?v_280))))) (=> true (=> (not ?v_277) (=> true (=> ?v_278 (=> ?v_279 ?v_280)))))))))))))) (=> true (=> (not ?v_281) (=> true (=> (= lockStatus_0.58 lockStatus_0.56) (=> (= lockStatus_1.58 lockStatus_1.56) (=> (= k.267 k.265) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_282))))))))))))) (let ((?v_287 (=> true (=> true (=> true (=> true ?v_285))))) (?v_286 (= k.265 1)) (?v_284 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_283 (= k.265 0))) (let ((?v_290 (=> true (=> (<= k.264 k.265) (=> (< k.265 2) (and (=> true (=> ?v_283 (=> (= inline.ReleaseDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_284))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.0) ?v_285))))) (=> true (=> (not ?v_283) (and (=> true (=> ?v_286 (=> (= inline.ReleaseDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_284))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.1) ?v_287))))) (=> true (=> (not ?v_286) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0) ?v_287))))))))))))) (let ((?v_298 (and (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.1) ?v_290)))) (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_291 ?v_288) (=> (=> ?v_292 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> true (=> true ?v_290))))))) (=> true (=> (=> ?v_291 ?v_391) (=> (=> ?v_292 ?v_393) (=> true (=> (= k.268 k.264) (=> (= lockStatus_0.59 lockStatus_0.56) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0) (=> (= lockStatus_1.59 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true (=> true ?v_293))))))))))))))))))))) (?v_300 (= errorReached.187 errorReached.185))) (let ((?v_301 (=> (= k.264 k.262) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_298)))))))))))) (?v_303 (= inline.TimerDpc.0.myVar_0.11 hdevice)) (?v_302 (= inline.TimerDpc.0.myVar_0.11 hqueue)) (?v_299 (= inline.TimerDpc.0.myVar_0.11 htimer)) (?v_297 (= inline.TimerDpc.0.myVar_0.11 hrequest)) (?v_296 (=> true (=> (= errorReached.187 errorReached.186) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.264 k.263) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 call36563formal.ret.0) ?v_298)))))) (?v_294 (= k.263 0)) (?v_295 (= k.263 1))) (let ((?v_306 (and (=> true (=> ?v_297 (=> true (=> (<= k.262 k.263) (=> (< k.263 2) (and (=> true (=> (=> ?v_294 ?v_50) (=> (=> ?v_295 ?v_51) (=> true (=> (= errorReached.186 1) ?v_296))))) (=> true (=> (=> ?v_294 ?v_78) (=> (=> ?v_295 ?v_79) (=> true (=> (= errorReached.186 errorReached.185) (=> true ?v_296)))))))))))) (=> true (=> (not ?v_297) (and (=> true (=> ?v_299 (=> true (=> ?v_300 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_301))))) (=> true (=> (not ?v_299) (and (=> true (=> ?v_302 (=> true (=> ?v_300 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_301))))) (=> true (=> (not ?v_302) (and (=> true (=> ?v_303 (=> true (=> ?v_300 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_301))))) (=> true (=> (not ?v_303) (=> true (=> ?v_300 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_301))))))))))))))))) (let ((?v_308 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_306)))))))))))) (?v_307 (= k.262 1)) (?v_304 (= k.262 0))) (let ((?v_337 (and (=> true (=> ?v_304 (=> (= inline.TimerDpc.0.myVar_0.9 ?v_64) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.9) ?v_306))))) (=> true (=> (not ?v_304) (and (=> true (=> ?v_307 (=> (= inline.TimerDpc.0.myVar_0.10 ?v_305) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.10) ?v_308))))) (=> true (=> (not ?v_307) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.8) ?v_308)))))))))) (let ((?v_372 (=> true ?v_337)) (?v_367 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_368 (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0)) (?v_369 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15)) (?v_370 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15)) (?v_371 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21))) (let ((?v_374 (=> true (=> ?v_367 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) (=> (= errorReached.185 errorReached.180) (=> (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= reqCancelSet_0.32 reqCancelSet_0.29) (=> ?v_368 (=> ?v_369 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= k.262 k.256) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> ?v_190 (=> ?v_370 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> ?v_371 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_1.32 reqCancelSet_1.29) ?v_372))))))))))))))))))))))))))) (?v_373 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 0)) (?v_55 (= k.256 0)) (?v_56 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_364 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_56)) 0)) (?v_365 (= k.256 1)) (?v_366 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_56)) 0)) (?v_320 (= errorReached.185 errorReached.184)) (?v_321 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0)) (?v_322 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_323 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call37064formal.ret.0)) (?v_324 (= reqCancelSet_0.32 reqCancelSet_0.31)) (?v_325 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_326 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_327 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_328 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_329 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0)) (?v_330 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_331 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_332 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_333 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_334 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0)) (?v_335 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_336 (= reqCancelSet_1.32 reqCancelSet_1.31)) (?v_341 (- 0 1073741536))) (let ((?v_319 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_341))) (?v_309 (=> true (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.0) (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0.0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> ?v_325 (=> (= k.262 k.261) (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> ?v_335 (=> ?v_336 ?v_337)))))))))))))))))))))))))))) (let ((?v_313 (=> true ?v_309)) (?v_311 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_312 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21)) (?v_310 (= k.261 1))) (let ((?v_316 (not ?v_310)) (?v_63 (int_2_U 0)) (?v_62 (= k.261 0))) (let ((?v_314 (not ?v_62))) (let ((?v_315 (and (=> true (=> ?v_62 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_56 ?v_63)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_312 ?v_309)))))) (=> true (=> ?v_314 (and (=> true (=> ?v_310 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 ?v_56 ?v_63)) (=> true (=> ?v_311 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_313)))))) (=> true (=> ?v_316 (=> true (=> ?v_311 (=> ?v_312 ?v_313)))))))))) (?v_317 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15))) (let ((?v_318 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> true (=> true (=> true (=> true ?v_315)))))) (?v_61 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_340 (and (=> true (=> ?v_319 (=> true (=> (<= k.260 k.261) (=> (< k.261 2) (and (=> true (=> ?v_62 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_61 ?v_63)) (=> true (=> ?v_317 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_315)))))) (=> true (=> ?v_314 (and (=> true (=> ?v_310 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_61 ?v_63)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_318))))) (=> true (=> ?v_316 (=> true (=> ?v_317 ?v_318))))))))))))) (=> true (=> (not ?v_319) (=> true (=> ?v_367 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_368 (=> ?v_369 (=> ?v_325 (=> (= k.262 k.260) (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_190 (=> ?v_370 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_371 (=> ?v_335 (=> ?v_336 ?v_372))))))))))))))))))))))))))))))) (let ((?v_342 (=> true (=> true (=> true (=> true (=> true ?v_340)))))) (?v_60 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_338 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_350 (and (=> true (=> (not ?v_338) (=> (not ?v_60) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_340))))) (=> true (=> ?v_338 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_339) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_342)))))) (=> true (=> ?v_60 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_341) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_342))))))))) (let ((?v_357 (=> true ?v_350)) (?v_356 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call37064formal.ret.0)) (?v_345 (= errorReached.184 errorReached.183)) (?v_346 (= reqCancelSet_0.31 reqCancelSet_0.30)) (?v_347 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 call37104formal.ret.0)) (?v_348 (= reqCancelSet_1.31 reqCancelSet_1.30)) (?v_349 (= k.260 k.259)) (?v_58 (= k.259 0)) (?v_343 (= reqCancelStarted_0.1 0)) (?v_59 (= k.259 1)) (?v_344 (= reqCancelStarted_1.1 0))) (let ((?v_351 (and (=> true (=> (=> ?v_58 (not ?v_343)) (=> (=> ?v_59 (not ?v_344)) (=> true (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_60 (=> ?v_349 ?v_350)))))))))) (=> true (=> (=> ?v_58 ?v_343) (=> (=> ?v_59 ?v_344) (=> true (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_356 (=> ?v_349 ?v_357))))))))))))) (let ((?v_354 (=> true (=> true ?v_351))) (?v_352 (= reqCancelSet_0.30 reqCancelSet_0.29)) (?v_353 (= reqCancelSet_1.30 reqCancelSet_1.29))) (let ((?v_355 (and (=> true (=> ?v_58 (=> true (=> (= reqCancelSet_0.30 0) (=> ?v_353 ?v_351))))) (=> true (=> (not ?v_58) (and (=> true (=> ?v_59 (=> true (=> ?v_352 (=> (= reqCancelSet_1.30 0) ?v_354))))) (=> true (=> (not ?v_59) (=> true (=> ?v_352 (=> ?v_353 ?v_354))))))))))) (let ((?v_361 (and (=> true (=> ?v_57 (=> true (=> (<= k.258 k.259) (=> (< k.259 2) (and (=> true (=> (=> ?v_58 ?v_50) (=> (=> ?v_59 ?v_51) (=> true (=> (= errorReached.183 1) ?v_355))))) (=> true (=> (=> ?v_58 ?v_78) (=> (=> ?v_59 ?v_79) (=> true (=> (= errorReached.183 errorReached.182) (=> true ?v_355)))))))))))) (=> true (=> ?v_86 (=> true (=> (= errorReached.184 errorReached.182) (=> (= reqCancelSet_0.31 reqCancelSet_0.29) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= reqCancelSet_1.31 reqCancelSet_1.29) (=> ?v_356 (=> (= k.260 k.258) ?v_357))))))))))) (?v_362 (= errorReached.182 errorReached.180))) (let ((?v_363 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= k.258 k.256) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_361)))))))))))))))))) (?v_360 (=> true (=> (= errorReached.182 errorReached.181) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call36950formal.ret.0) (=> (= k.258 k.257) ?v_361)))))) (?v_358 (= k.257 0)) (?v_359 (= k.257 1))) (let ((?v_375 (and (=> true (=> (not ?v_373) (and (=> true (=> (=> ?v_55 (not ?v_364)) (=> (=> ?v_365 (not ?v_366)) (and (=> true (=> ?v_57 (=> true (=> (<= k.256 k.257) (=> (< k.257 2) (and (=> true (=> (=> ?v_358 ?v_50) (=> (=> ?v_359 ?v_51) (=> true (=> (= errorReached.181 1) ?v_360))))) (=> true (=> (=> ?v_358 ?v_78) (=> (=> ?v_359 ?v_79) (=> true (=> (= errorReached.181 errorReached.180) (=> true ?v_360)))))))))))) (=> true (=> ?v_86 (and (=> true (=> ?v_88 (=> true (=> ?v_362 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_363))))) (=> true (=> ?v_120 (and (=> true (=> ?v_91 (=> true (=> ?v_362 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_363))))) (=> true (=> ?v_125 (and (=> true (=> ?v_92 (=> true (=> ?v_362 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_363))))) (=> true (=> ?v_126 (=> true (=> ?v_362 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_363)))))))))))))))))) (=> true (=> (=> ?v_55 ?v_364) (=> (=> ?v_365 ?v_366) ?v_374)))))) (=> true (=> ?v_373 ?v_374))))) (let ((?v_376 (=> true (=> true ?v_375)))) (let ((?v_394 (=> true (=> (<= k.255 k.256) (=> (< k.256 2) (and (=> true (=> ?v_55 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_61))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.0) ?v_375))))) (=> true (=> (not ?v_55) (and (=> true (=> ?v_365 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 ?v_61))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.1) ?v_376))))) (=> true (=> (not ?v_365) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc) ?v_376)))))))))))) (?v_390 (= k.251 0)) (?v_392 (= k.251 1))) (let ((?v_383 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= k.255 k.254) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call36397formal.ret.0) (=> (= lockStatus_0.56 lockStatus_0.55) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.2) (=> (= lockStatus_1.56 lockStatus_1.55) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0) ?v_394))))))))))) (?v_382 (= inline.AcquireDpcLock.7.myVar_0.2 hlock))) (let ((?v_378 (=> true (=> (= lockStatus_0.55 lockStatus_0.54) (=> (= lockStatus_1.55 lockStatus_1.54) (=> (= k.254 k.253) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 call36345formal.ret.0) ?v_383))))))) (let ((?v_381 (=> true ?v_378)) (?v_379 (= lockStatus_0.54 lockStatus_0.53)) (?v_380 (= lockStatus_1.54 lockStatus_1.53)) (?v_377 (= k.253 1)) (?v_54 (= k.253 0))) (let ((?v_386 (and (=> true (=> ?v_382 (=> true (=> (<= k.252 k.253) (=> (< k.253 2) (=> true (=> (=> ?v_54 (= lockStatus_0.53 0)) (=> (=> ?v_377 (= lockStatus_1.53 0)) (and (=> true (=> ?v_54 (=> true (=> (= lockStatus_0.54 1) (=> ?v_380 ?v_378))))) (=> true (=> (not ?v_54) (and (=> true (=> ?v_377 (=> true (=> ?v_379 (=> (= lockStatus_1.54 1) ?v_381))))) (=> true (=> (not ?v_377) (=> true (=> ?v_379 (=> ?v_380 ?v_381))))))))))))))))) (=> true (=> (not ?v_382) (=> true (=> (= lockStatus_0.55 lockStatus_0.53) (=> (= lockStatus_1.55 lockStatus_1.53) (=> (= k.254 k.252) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_383)))))))))))))))) (let ((?v_388 (=> true (=> true (=> true (=> true ?v_386))))) (?v_387 (= k.252 1)) (?v_385 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_384 (= k.252 0))) (let ((?v_389 (=> true (=> (<= k.251 k.252) (=> (< k.252 2) (and (=> true (=> ?v_384 (=> (= inline.AcquireDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_385))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.0) ?v_386))))) (=> true (=> (not ?v_384) (and (=> true (=> ?v_387 (=> (= inline.AcquireDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_385))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.1) ?v_388))))) (=> true (=> (not ?v_387) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0) ?v_388))))))))))))) (let ((?v_399 (and (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.1) ?v_389)))) (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_390 ?v_288) (=> (=> ?v_392 ?v_289) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.0) ?v_389))))) (=> true (=> (=> ?v_390 ?v_391) (=> (=> ?v_392 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.255 k.251) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.56 lockStatus_0.53) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.0) (=> (= lockStatus_1.56 lockStatus_1.53) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true ?v_394))))))))))))))))))))) (?v_401 (= errorReached.180 errorReached.178))) (let ((?v_402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= k.251 k.249) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_399)))))))))))) (?v_404 (= inline.TimerDpc.0.myVar_0.8 hdevice)) (?v_403 (= inline.TimerDpc.0.myVar_0.8 hqueue)) (?v_400 (= inline.TimerDpc.0.myVar_0.8 htimer)) (?v_398 (= inline.TimerDpc.0.myVar_0.8 hrequest)) (?v_397 (=> true (=> (= errorReached.180 errorReached.179) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call36105formal.ret.0) (=> (= k.251 k.250) ?v_399)))))) (?v_395 (= k.250 0)) (?v_396 (= k.250 1))) (let ((?v_406 (and (=> true (=> ?v_398 (=> true (=> (<= k.249 k.250) (=> (< k.250 2) (and (=> true (=> (=> ?v_395 ?v_50) (=> (=> ?v_396 ?v_51) (=> true (=> (= errorReached.179 1) ?v_397))))) (=> true (=> (=> ?v_395 ?v_78) (=> (=> ?v_396 ?v_79) (=> true (=> (= errorReached.179 errorReached.178) (=> true ?v_397)))))))))))) (=> true (=> (not ?v_398) (and (=> true (=> ?v_400 (=> true (=> ?v_401 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_402))))) (=> true (=> (not ?v_400) (and (=> true (=> ?v_403 (=> true (=> ?v_401 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_402))))) (=> true (=> (not ?v_403) (and (=> true (=> ?v_404 (=> true (=> ?v_401 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_402))))) (=> true (=> (not ?v_404) (=> true (=> ?v_401 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_402))))))))))))))))) (let ((?v_408 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_406)))))))))))) (?v_407 (= k.249 1)) (?v_405 (= k.249 0))) (let ((?v_413 (=> true (=> (<= k.248 k.249) (=> (< k.249 2) (and (=> true (=> ?v_405 (=> (= inline.TimerDpc.0.myVar_0.6 ?v_64) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.6) ?v_406))))) (=> true (=> (not ?v_405) (and (=> true (=> ?v_407 (=> (= inline.TimerDpc.0.myVar_0.7 ?v_305) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.7) ?v_408))))) (=> true (=> (not ?v_407) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.5) ?v_408)))))))))))) (?v_415 (= errorReached.178 errorReached.176)) (?v_416 (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.))) (let ((?v_417 (=> (= k.248 k.246) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_413))))))))))) (?v_419 (= inline.TimerDpc.0.myVar_0.5 hdevice)) (?v_418 (= inline.TimerDpc.0.myVar_0.5 hqueue)) (?v_414 (= inline.TimerDpc.0.myVar_0.5 htimer)) (?v_412 (= inline.TimerDpc.0.myVar_0.5 hrequest)) (?v_411 (=> true (=> (= errorReached.178 errorReached.177) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call35878formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.248 k.247) ?v_413)))))) (?v_409 (= k.247 0)) (?v_410 (= k.247 1))) (let ((?v_422 (and (=> true (=> ?v_412 (=> true (=> (<= k.246 k.247) (=> (< k.247 2) (and (=> true (=> (=> ?v_409 ?v_50) (=> (=> ?v_410 ?v_51) (=> true (=> (= errorReached.177 1) ?v_411))))) (=> true (=> (=> ?v_409 ?v_78) (=> (=> ?v_410 ?v_79) (=> true (=> (= errorReached.177 errorReached.176) (=> true ?v_411)))))))))))) (=> true (=> (not ?v_412) (and (=> true (=> ?v_414 (=> true (=> ?v_415 (=> ?v_416 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_417)))))) (=> true (=> (not ?v_414) (and (=> true (=> ?v_418 (=> true (=> ?v_415 (=> ?v_416 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_417)))))) (=> true (=> (not ?v_418) (and (=> true (=> ?v_419 (=> true (=> ?v_415 (=> ?v_416 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_417)))))) (=> true (=> (not ?v_419) (=> true (=> ?v_415 (=> ?v_416 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_417)))))))))))))))))) (let ((?v_424 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_422)))))))) (?v_423 (= k.246 1)) (?v_52 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_421 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_52))) (?v_420 (= k.246 0)) (?v_53 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_52)))) (let ((?v_429 (=> true (=> (<= k.245 k.246) (=> (< k.246 2) (and (=> true (=> ?v_420 (=> (= inline.TimerDpc.0.myVar_0.4 ?v_53) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.4) ?v_422))))) (=> true (=> (not ?v_420) (and (=> true (=> ?v_423 (=> (= inline.TimerDpc.0.myVar_0.3 ?v_421) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.3) ?v_424))))) (=> true (=> (not ?v_423) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.2) ?v_424)))))))))))) (?v_425 (= k.245 0)) (?v_426 (= ?v_53 0)) (?v_427 (= k.245 1)) (?v_428 (= ?v_421 0))) (let ((?v_434 (and (=> true (=> (=> ?v_425 (not ?v_426)) (=> (=> ?v_427 (not ?v_428)) ?v_429))) (=> true (=> (=> ?v_425 ?v_426) (=> (=> ?v_427 ?v_428) ?v_429)))))) (let ((?v_439 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_434)))))))))) (?v_436 (= errorReached.176 errorReached.174)) (?v_437 (= k.245 k.243)) (?v_438 (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.)) (?v_441 (= inline.TimerDpc.0.myVar_0.2 hdevice)) (?v_440 (= inline.TimerDpc.0.myVar_0.2 hqueue)) (?v_435 (= inline.TimerDpc.0.myVar_0.2 htimer)) (?v_433 (= inline.TimerDpc.0.myVar_0.2 hrequest)) (?v_432 (=> true (=> (= errorReached.176 errorReached.175) (=> (= k.245 k.244) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 call35599formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_434)))))) (?v_430 (= k.244 0)) (?v_431 (= k.244 1))) (let ((?v_443 (and (=> true (=> ?v_433 (=> true (=> (<= k.243 k.244) (=> (< k.244 2) (and (=> true (=> (=> ?v_430 ?v_50) (=> (=> ?v_431 ?v_51) (=> true (=> (= errorReached.175 1) ?v_432))))) (=> true (=> (=> ?v_430 ?v_78) (=> (=> ?v_431 ?v_79) (=> true (=> (= errorReached.175 errorReached.174) (=> true ?v_432)))))))))))) (=> true (=> (not ?v_433) (and (=> true (=> ?v_435 (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_439))))))) (=> true (=> (not ?v_435) (and (=> true (=> ?v_440 (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_439))))))) (=> true (=> (not ?v_440) (and (=> true (=> ?v_441 (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_439))))))) (=> true (=> (not ?v_441) (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_439))))))))))))))))))) (let ((?v_445 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_443)))))))) (?v_444 (= k.243 1)) (?v_47 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_49 (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_47))) (?v_442 (= k.243 0)) (?v_48 (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_47)))) (let ((?v_448 (=> true (=> (<= k.242 k.243) (=> (< k.243 2) (and (=> true (=> ?v_442 (=> (= inline.TimerDpc.0.myVar_0.0 ?v_48) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.0) ?v_443))))) (=> true (=> (not ?v_442) (and (=> true (=> ?v_444 (=> (= inline.TimerDpc.0.myVar_0.1 ?v_49) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.1) ?v_445))))) (=> true (=> (not ?v_444) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0) ?v_445)))))))))))) (?v_45 (= k.242 0)) (?v_446 (not (= ?v_48 call35438formal.ret.0))) (?v_46 (= k.242 1)) (?v_447 (not (= ?v_49 call35438formal.ret.0)))) (let ((?v_451 (and (=> true (=> (=> ?v_45 ?v_446) (=> (=> ?v_46 ?v_447) ?v_448))) (=> true (=> (=> ?v_45 (not ?v_446)) (=> (=> ?v_46 (not ?v_447)) ?v_448))))) (?v_449 (= ?v_48 0)) (?v_450 (= ?v_49 0))) (let ((?v_453 (and (=> true (=> (=> ?v_45 (not ?v_449)) (=> (=> ?v_46 (not ?v_450)) ?v_451))) (=> true (=> (=> ?v_45 ?v_449) (=> (=> ?v_46 ?v_450) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_451))))))))))))))) (let ((?v_456 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_453)))))))))) (?v_455 (= errorReached.174 errorReached.172)) (?v_458 (= htimer hdevice))) (let ((?v_4924 (not ?v_458)) (?v_457 (= htimer hqueue))) (let ((?v_4923 (not ?v_457)) (?v_454 (= htimer htimer))) (let ((?v_4920 (not ?v_454)) (?v_44 (= htimer hrequest))) (let ((?v_4918 (not ?v_44)) (?v_452 (=> true (=> (= errorReached.174 errorReached.173) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_453)))) (?v_43 (- 0 1073741823)) (?v_42 (= call35155formal.ret.0 0))) (let ((?v_467 (=> true (=> (<= 0 k.242) (=> (< k.242 2) (and (=> true (=> (not ?v_42) (=> true (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1.) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.TimerDpc.0..result.GetDeviceContext.2073.36.4.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.208 errorReached.172) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= reqCompleted_0.30 reqCompleted_0.23) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= lockStatus_0.60 lockStatus_0.53) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= reqCancelSet_1.39 reqCancelSet_1.29) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= lockStatus_1.60 lockStatus_1.53) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3.) (=> (= k.291 k.242) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= reqCompleted_1.30 reqCompleted_1.23) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1.) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1.) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.19 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.25 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1.) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= reqCancelSet_0.39 reqCancelSet_0.29) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= alloc.18 alloc.15) ?v_66)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_42 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_43) (and (=> true (=> ?v_44 (and (=> true (=> (=> ?v_45 ?v_50) (=> (=> ?v_46 ?v_51) (=> true (=> (= errorReached.173 1) ?v_452))))) (=> true (=> (=> ?v_45 ?v_78) (=> (=> ?v_46 ?v_79) (=> true (=> (= errorReached.173 errorReached.172) (=> true ?v_452))))))))) (=> true (=> ?v_4918 (and (=> true (=> ?v_454 (=> true (=> ?v_455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_456))))) (=> true (=> ?v_4920 (and (=> true (=> ?v_457 (=> true (=> ?v_455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_456))))) (=> true (=> ?v_4923 (and (=> true (=> ?v_458 (=> true (=> ?v_455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_456))))) (=> true (=> ?v_4924 (=> true (=> ?v_455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_456))))))))))))))))))))))))) (let ((?v_482 (=> true (=> (= errorReached.172 errorReached.171) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= reqCancelSet_0.29 reqCancelSet_0.28) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= k.241 k.240) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3) (=> (= reqCancelSet_1.29 reqCancelSet_1.28) (=> true (=> true ?v_467)))))))))))))))))))))))))))))) (?v_23 (= hrequest hrequest))) (let ((?v_487 (not ?v_23)) (?v_469 (=> true (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call39301formal.ret.0) (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> (= reqCancelSet_1.28 reqCancelSet_1.27) (=> (= reqCompleted_0.22 reqCompleted_0.21) (=> (= k.240 k.239) (=> (= errorReached.171 errorReached.170) (=> (= reqCompleted_1.22 reqCompleted_1.21) ?v_482)))))))))) (let ((?v_472 (=> true ?v_469)) (?v_470 (= reqCancelSet_0.27 reqCancelSet_0.26)) (?v_471 (= reqCancelSet_1.27 reqCancelSet_1.26)) (?v_468 (= k.239 1))) (let ((?v_475 (not ?v_468)) (?v_466 (= k.239 0))) (let ((?v_473 (not ?v_466))) (let ((?v_474 (and (=> true (=> ?v_466 (=> true (=> (= reqCancelSet_0.27 0) (=> ?v_471 ?v_469))))) (=> true (=> ?v_473 (and (=> true (=> ?v_468 (=> true (=> ?v_470 (=> (= reqCancelSet_1.27 0) ?v_472))))) (=> true (=> ?v_475 (=> true (=> ?v_470 (=> ?v_471 ?v_472))))))))))) (let ((?v_478 (=> true (=> true ?v_474))) (?v_476 (= reqCompleted_0.21 reqCompleted_0.20)) (?v_477 (= reqCompleted_1.21 reqCompleted_1.20))) (let ((?v_481 (and (=> true (=> ?v_466 (=> true (=> (= reqCompleted_0.21 1) (=> ?v_477 ?v_474))))) (=> true (=> ?v_473 (and (=> true (=> ?v_468 (=> true (=> ?v_476 (=> (= reqCompleted_1.21 1) ?v_478))))) (=> true (=> ?v_475 (=> true (=> ?v_476 (=> ?v_477 ?v_478)))))))))) (?v_479 (= reqCompleted_0.20 0)) (?v_480 (= reqCompleted_1.20 0))) (let ((?v_464 (not ?v_479)) (?v_465 (not ?v_480))) (let ((?v_483 (and (=> true (=> ?v_23 (=> true (=> (<= k.238 k.239) (=> (< k.239 2) (and (=> true (=> (=> ?v_466 ?v_464) (=> (=> ?v_468 ?v_465) (=> true (=> (= errorReached.170 1) ?v_481))))) (=> true (=> (=> ?v_466 ?v_479) (=> (=> ?v_468 ?v_480) (=> true (=> (= errorReached.170 errorReached.169) (=> true ?v_481)))))))))))) (=> true (=> ?v_487 (=> true (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.28 reqCancelSet_0.26) (=> (= reqCancelSet_1.28 reqCancelSet_1.26) (=> (= reqCompleted_0.22 reqCompleted_0.20) (=> (= k.240 k.238) (=> (= errorReached.171 errorReached.169) (=> (= reqCompleted_1.22 reqCompleted_1.20) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_482)))))))))))))))))))))) (let ((?v_488 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2) ?v_483)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_483)))))))))))))))) (?v_490 (= errorReached.169 errorReached.167))) (let ((?v_491 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) (=> (= k.238 k.236) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_488)))))))))))) (?v_493 (= hrequest hdevice))) (let ((?v_528 (not ?v_493)) (?v_492 (= hrequest hqueue))) (let ((?v_527 (not ?v_492)) (?v_489 (= hrequest htimer))) (let ((?v_524 (not ?v_489)) (?v_486 (=> true (=> (= errorReached.169 errorReached.168) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 call39150formal.ret.0) (=> (= k.238 k.237) ?v_488)))))) (?v_484 (= k.237 0)) (?v_485 (= k.237 1)) (?v_460 (= reqCompleteSet_0 0)) (?v_461 (= reqSent_0 0)) (?v_462 (= reqCompleteSet_1 0)) (?v_463 (= reqSent_1 0)) (?v_459 (= call35103formal.ret.0 0))) (let ((?v_503 (=> true (=> (<= 0 k.236) (=> (< k.236 2) (and (=> true (=> (not ?v_459) (=> true (=> (= errorReached.172 errorReached.167) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= reqCancelSet_0.29 reqCancelSet_0.26) (=> (= reqCompleted_1.23 reqCompleted_1.20) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= reqCompleted_0.23 reqCompleted_0.20) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= k.241 k.236) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= reqCancelSet_1.29 reqCancelSet_1.26) ?v_467))))))))))))))))))))))))))))) (=> true (=> ?v_459 (=> true (=> (=> (= k.236 0) (and (not ?v_460) (not ?v_461))) (=> (=> (= k.236 1) (and (not ?v_462) (not ?v_463))) (and (=> true (=> ?v_23 (=> true (=> (<= k.236 k.237) (=> (< k.237 2) (and (=> true (=> (=> ?v_484 ?v_464) (=> (=> ?v_485 ?v_465) (=> true (=> (= errorReached.168 1) ?v_486))))) (=> true (=> (=> ?v_484 ?v_479) (=> (=> ?v_485 ?v_480) (=> true (=> (= errorReached.168 errorReached.167) (=> true ?v_486)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_491))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_491))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_491))))) (=> true (=> ?v_528 (=> true (=> ?v_490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_491)))))))))))))))))))))))))) (let ((?v_532 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= k.235 k.234) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= lockStatus_0.53 lockStatus_0.52) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0.1) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= lockStatus_1.53 lockStatus_1.52) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0.3) (=> (= errorReached.167 errorReached.166) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0.3) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0.3) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> true (=> true ?v_503))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_535 (=> true (=> (= reqCancelSet_0.25 reqCancelSet_0.22) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= errorReached.166 errorReached.161) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= k.234 k.229) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= reqCompleted_0.19 reqCompleted_0.16) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCompleted_1.19 reqCompleted_1.16) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0) (=> (= reqCancelSet_1.25 reqCancelSet_1.22) (=> true (=> true (=> true ?v_532)))))))))))))))))))))))))))))))))))))) (let ((?v_538 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_535))))))))))))))))))) (?v_537 (= errorReached.161 errorReached.159)) (?v_540 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_539 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_536 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_534 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_533 (=> true (=> (= errorReached.161 errorReached.160) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_535)))) (?v_530 (= k.229 0)) (?v_515 (= reqCompleted_0.16 0)) (?v_531 (= k.229 1)) (?v_516 (= reqCompleted_1.16 0))) (let ((?v_497 (not ?v_515)) (?v_498 (not ?v_516)) (?v_529 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_518 (=> true (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= errorReached.166 errorReached.165) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0) (=> (= k.234 k.233) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3) (=> (= reqCompleted_0.19 reqCompleted_0.18) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= reqCompleted_1.19 reqCompleted_1.18) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0.0) (=> (= reqCancelSet_1.25 reqCancelSet_1.24) ?v_532))))))))))))))))))))))))))))))))))) (let ((?v_505 (=> true (=> (= errorReached.165 errorReached.164) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= k.233 k.232) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call42036formal.ret.0) ?v_518)))))))))) (let ((?v_508 (=> true ?v_505)) (?v_506 (= reqCancelSet_0.23 reqCancelSet_0.22)) (?v_507 (= reqCancelSet_1.23 reqCancelSet_1.22)) (?v_504 (= k.232 1))) (let ((?v_511 (not ?v_504)) (?v_502 (= k.232 0))) (let ((?v_509 (not ?v_502))) (let ((?v_510 (and (=> true (=> ?v_502 (=> true (=> (= reqCancelSet_0.23 0) (=> ?v_507 ?v_505))))) (=> true (=> ?v_509 (and (=> true (=> ?v_504 (=> true (=> ?v_506 (=> (= reqCancelSet_1.23 0) ?v_508))))) (=> true (=> ?v_511 (=> true (=> ?v_506 (=> ?v_507 ?v_508))))))))))) (let ((?v_514 (=> true (=> true ?v_510))) (?v_512 (= reqCompleted_0.17 reqCompleted_0.16)) (?v_513 (= reqCompleted_1.17 reqCompleted_1.16))) (let ((?v_517 (and (=> true (=> ?v_502 (=> true (=> (= reqCompleted_0.17 1) (=> ?v_513 ?v_510))))) (=> true (=> ?v_509 (and (=> true (=> ?v_504 (=> true (=> ?v_512 (=> (= reqCompleted_1.17 1) ?v_514))))) (=> true (=> ?v_511 (=> true (=> ?v_512 (=> ?v_513 ?v_514))))))))))) (let ((?v_519 (and (=> true (=> ?v_23 (=> true (=> (<= k.231 k.232) (=> (< k.232 2) (and (=> true (=> (=> ?v_502 ?v_497) (=> (=> ?v_504 ?v_498) (=> true (=> (= errorReached.164 1) ?v_517))))) (=> true (=> (=> ?v_502 ?v_515) (=> (=> ?v_504 ?v_516) (=> true (=> (= errorReached.164 errorReached.163) (=> true ?v_517)))))))))))) (=> true (=> ?v_487 (=> true (=> (= errorReached.165 errorReached.163) (=> (= reqCancelSet_0.24 reqCancelSet_0.22) (=> (= reqCancelSet_1.24 reqCancelSet_1.22) (=> (= reqCompleted_1.18 reqCompleted_1.16) (=> (= reqCompleted_0.18 reqCompleted_0.16) (=> (= k.233 k.231) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_518))))))))))))))))))) (let ((?v_523 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1) ?v_519)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_519)))))))))))))))) (?v_525 (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.))) (let ((?v_526 (=> (= errorReached.163 errorReached.159) (=> (= k.231 k.229) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_523)))))))))))) (?v_522 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 call41885formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.163 errorReached.162) (=> (= k.231 k.230) ?v_523)))))) (?v_520 (= k.230 0)) (?v_521 (= k.230 1))) (let ((?v_541 (and (=> true (=> (not ?v_529) (and (=> true (=> ?v_23 (=> true (=> (<= k.229 k.230) (=> (< k.230 2) (and (=> true (=> (=> ?v_520 ?v_497) (=> (=> ?v_521 ?v_498) (=> true (=> (= errorReached.162 1) ?v_522))))) (=> true (=> (=> ?v_520 ?v_515) (=> (=> ?v_521 ?v_516) (=> true (=> (= errorReached.162 errorReached.159) (=> true ?v_522)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_525 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_526))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_525 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_526))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_525 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_526))))) (=> true (=> ?v_528 (=> true (=> ?v_525 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_526))))))))))))))))) (=> true (=> ?v_529 (and (=> true (=> ?v_534 (and (=> true (=> (=> ?v_530 ?v_497) (=> (=> ?v_531 ?v_498) (=> true (=> (= errorReached.160 1) ?v_533))))) (=> true (=> (=> ?v_530 ?v_515) (=> (=> ?v_531 ?v_516) (=> true (=> (= errorReached.160 errorReached.159) (=> true ?v_533))))))))) (=> true (=> (not ?v_534) (and (=> true (=> ?v_536 (=> true (=> ?v_537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_538))))) (=> true (=> (not ?v_536) (and (=> true (=> ?v_539 (=> true (=> ?v_537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_538))))) (=> true (=> (not ?v_539) (and (=> true (=> ?v_540 (=> true (=> ?v_537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_538))))) (=> true (=> (not ?v_540) (=> true (=> ?v_537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_538)))))))))))))))))))) (let ((?v_544 (=> true (=> true (=> true (=> true (=> true (=> true ?v_541))))))) (?v_542 (= ?v_25 4))) (let ((?v_639 (not ?v_542)) (?v_543 (= ?v_27 4))) (let ((?v_640 (not ?v_543)) (?v_37 (= ?v_25 1))) (let ((?v_635 (not ?v_37)) (?v_39 (= ?v_27 1))) (let ((?v_637 (not ?v_39))) (let ((?v_549 (and (=> true (=> (=> ?v_530 ?v_37) (=> (=> ?v_531 ?v_39) ?v_541))) (=> true (=> (=> ?v_530 ?v_635) (=> (=> ?v_531 ?v_637) (and (=> true (=> (=> ?v_530 ?v_542) (=> (=> ?v_531 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_544)))))))))))) (=> true (=> (=> ?v_530 ?v_639) (=> (=> ?v_531 ?v_640) ?v_544))))))))) (?v_551 (= errorReached.159 errorReached.157)) (?v_552 (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.))) (let ((?v_553 (=> (= k.229 k.227) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_549))))))))))) (?v_555 (= inline.EvtRequestChildCancel.2.myVar_0.14 hdevice)) (?v_554 (= inline.EvtRequestChildCancel.2.myVar_0.14 hqueue)) (?v_550 (= inline.EvtRequestChildCancel.2.myVar_0.14 htimer)) (?v_548 (= inline.EvtRequestChildCancel.2.myVar_0.14 hrequest)) (?v_547 (=> true (=> (= errorReached.159 errorReached.158) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 call41385formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.229 k.228) ?v_549)))))) (?v_545 (= k.228 0)) (?v_546 (= k.228 1))) (let ((?v_558 (and (=> true (=> ?v_548 (=> true (=> (<= k.227 k.228) (=> (< k.228 2) (and (=> true (=> (=> ?v_545 ?v_497) (=> (=> ?v_546 ?v_498) (=> true (=> (= errorReached.158 1) ?v_547))))) (=> true (=> (=> ?v_545 ?v_515) (=> (=> ?v_546 ?v_516) (=> true (=> (= errorReached.158 errorReached.157) (=> true ?v_547)))))))))))) (=> true (=> (not ?v_548) (and (=> true (=> ?v_550 (=> true (=> ?v_551 (=> ?v_552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_553)))))) (=> true (=> (not ?v_550) (and (=> true (=> ?v_554 (=> true (=> ?v_551 (=> ?v_552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_553)))))) (=> true (=> (not ?v_554) (and (=> true (=> ?v_555 (=> true (=> ?v_551 (=> ?v_552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_553)))))) (=> true (=> (not ?v_555) (=> true (=> ?v_551 (=> ?v_552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_553)))))))))))))))))) (let ((?v_560 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_558)))))))))))) (?v_559 (= k.227 1)) (?v_557 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_588 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_557))) (?v_556 (= k.227 0)) (?v_499 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_557)))) (let ((?v_577 (=> true (=> (<= k.226 k.227) (=> (< k.227 2) (and (=> true (=> ?v_556 (=> (= inline.EvtRequestChildCancel.2.myVar_0.12 ?v_499) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.12) ?v_558))))) (=> true (=> (not ?v_556) (and (=> true (=> ?v_559 (=> (= inline.EvtRequestChildCancel.2.myVar_0.13 ?v_588) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.13) ?v_560))))) (=> true (=> (not ?v_559) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.11) ?v_560)))))))))))) (?v_575 (= k.222 0)) (?v_576 (= k.222 1))) (let ((?v_568 (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.2) (=> (= k.226 k.225) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myVar_0.2) ?v_577)))))))))) (?v_567 (= inline.ReleaseDpcLock.8.myVar_0.2 hlock))) (let ((?v_562 (=> true (=> (= lockStatus_0.51 lockStatus_0.50) (=> (= lockStatus_1.51 lockStatus_1.50) (=> (= k.225 k.224) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 call41238formal.ret.0) ?v_568))))))) (let ((?v_566 (=> true ?v_562)) (?v_564 (= lockStatus_0.50 lockStatus_0.49)) (?v_565 (= lockStatus_1.50 lockStatus_1.49)) (?v_563 (= k.224 1)) (?v_561 (= k.224 0))) (let ((?v_571 (and (=> true (=> ?v_567 (=> true (=> (<= k.223 k.224) (=> (< k.224 2) (and (=> true (=> ?v_561 (=> true (=> (= lockStatus_0.50 0) (=> ?v_565 ?v_562))))) (=> true (=> (not ?v_561) (and (=> true (=> ?v_563 (=> true (=> ?v_564 (=> (= lockStatus_1.50 0) ?v_566))))) (=> true (=> (not ?v_563) (=> true (=> ?v_564 (=> ?v_565 ?v_566)))))))))))))) (=> true (=> (not ?v_567) (=> true (=> (= lockStatus_0.51 lockStatus_0.49) (=> (= lockStatus_1.51 lockStatus_1.49) (=> (= k.225 k.223) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_568))))))))))))) (let ((?v_573 (=> true (=> true (=> true (=> true ?v_571))))) (?v_572 (= k.223 1)) (?v_570 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_569 (= k.223 0))) (let ((?v_574 (=> true (=> (<= k.222 k.223) (=> (< k.223 2) (and (=> true (=> ?v_569 (=> (= inline.ReleaseDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_570))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.0) ?v_571))))) (=> true (=> (not ?v_569) (and (=> true (=> ?v_572 (=> (= inline.ReleaseDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_570))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.1) ?v_573))))) (=> true (=> (not ?v_572) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0) ?v_573))))))))))))) (let ((?v_582 (and (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.1) ?v_574)))) (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_575 ?v_288) (=> (=> ?v_576 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.0) (=> true (=> true ?v_574))))))) (=> true (=> (=> ?v_575 ?v_391) (=> (=> ?v_576 ?v_393) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.0) (=> (= k.226 k.222) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.52 lockStatus_0.49) (=> (= lockStatus_1.52 lockStatus_1.49) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_577)))))))))))))))))))) (?v_584 (= errorReached.157 errorReached.155))) (let ((?v_585 (=> (= k.222 k.220) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_582)))))))))))) (?v_587 (= inline.EvtRequestChildCancel.2.myVar_0.11 hdevice)) (?v_586 (= inline.EvtRequestChildCancel.2.myVar_0.11 hqueue)) (?v_583 (= inline.EvtRequestChildCancel.2.myVar_0.11 htimer)) (?v_581 (= inline.EvtRequestChildCancel.2.myVar_0.11 hrequest)) (?v_580 (=> true (=> (= errorReached.157 errorReached.156) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.222 k.221) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 call40996formal.ret.0) ?v_582)))))) (?v_578 (= k.221 0)) (?v_579 (= k.221 1))) (let ((?v_589 (and (=> true (=> ?v_581 (=> true (=> (<= k.220 k.221) (=> (< k.221 2) (and (=> true (=> (=> ?v_578 ?v_497) (=> (=> ?v_579 ?v_498) (=> true (=> (= errorReached.156 1) ?v_580))))) (=> true (=> (=> ?v_578 ?v_515) (=> (=> ?v_579 ?v_516) (=> true (=> (= errorReached.156 errorReached.155) (=> true ?v_580)))))))))))) (=> true (=> (not ?v_581) (and (=> true (=> ?v_583 (=> true (=> ?v_584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_585))))) (=> true (=> (not ?v_583) (and (=> true (=> ?v_586 (=> true (=> ?v_584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_585))))) (=> true (=> (not ?v_586) (and (=> true (=> ?v_587 (=> true (=> ?v_584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_585))))) (=> true (=> (not ?v_587) (=> true (=> ?v_584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_585))))))))))))))))) (let ((?v_591 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_589)))))))))))) (?v_590 (= k.220 1))) (let ((?v_595 (not ?v_590)) (?v_501 (= k.220 0))) (let ((?v_592 (not ?v_501))) (let ((?v_594 (and (=> true (=> ?v_501 (=> (= inline.EvtRequestChildCancel.2.myVar_0.9 ?v_499) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.9) ?v_589))))) (=> true (=> ?v_592 (and (=> true (=> ?v_590 (=> (= inline.EvtRequestChildCancel.2.myVar_0.10 ?v_588) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.10) ?v_591))))) (=> true (=> ?v_595 (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.8) ?v_591)))))))))) (let ((?v_598 (=> true (=> true (=> true ?v_594)))) (?v_596 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18)) (?v_597 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18)) (?v_593 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_601 (=> true (=> (<= k.219 k.220) (=> (< k.220 2) (and (=> true (=> ?v_501 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 ?v_593 ?v_63)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> ?v_597 ?v_594)))))) (=> true (=> ?v_592 (and (=> true (=> ?v_590 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 ?v_593 ?v_63)) (=> true (=> ?v_596 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_598)))))) (=> true (=> ?v_595 (=> true (=> ?v_596 (=> ?v_597 ?v_598))))))))))))) (?v_603 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12))) (let ((?v_604 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> true ?v_601))) (?v_602 (= k.219 1)) (?v_600 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_599 (= k.219 0))) (let ((?v_620 (=> true (=> (<= k.218 k.219) (=> (< k.219 2) (and (=> true (=> ?v_599 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 ?v_600 ?v_63)) (=> true (=> ?v_603 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_601)))))) (=> true (=> (not ?v_599) (and (=> true (=> ?v_602 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 ?v_600 ?v_63)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_604))))) (=> true (=> (not ?v_602) (=> true (=> ?v_603 ?v_604)))))))))))) (?v_618 (= k.214 0)) (?v_619 (= k.214 1))) (let ((?v_611 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0.2) (=> (= k.218 k.217) (=> (= lockStatus_0.49 lockStatus_0.48) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.2) (=> (= lockStatus_1.49 lockStatus_1.48) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call40797formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) ?v_620))))))))))) (?v_610 (= inline.AcquireDpcLock.8.myVar_0.2 hlock))) (let ((?v_606 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call40745formal.ret.0) (=> (= lockStatus_1.48 lockStatus_1.47) (=> (= k.217 k.216) (=> (= lockStatus_0.48 lockStatus_0.47) ?v_611))))))) (let ((?v_609 (=> true ?v_606)) (?v_607 (= lockStatus_0.47 lockStatus_0.46)) (?v_608 (= lockStatus_1.47 lockStatus_1.46)) (?v_605 (= k.216 1)) (?v_500 (= k.216 0))) (let ((?v_614 (and (=> true (=> ?v_610 (=> true (=> (<= k.215 k.216) (=> (< k.216 2) (=> true (=> (=> ?v_500 (= lockStatus_0.46 0)) (=> (=> ?v_605 (= lockStatus_1.46 0)) (and (=> true (=> ?v_500 (=> true (=> (= lockStatus_0.47 1) (=> ?v_608 ?v_606))))) (=> true (=> (not ?v_500) (and (=> true (=> ?v_605 (=> true (=> ?v_607 (=> (= lockStatus_1.47 1) ?v_609))))) (=> true (=> (not ?v_605) (=> true (=> ?v_607 (=> ?v_608 ?v_609))))))))))))))))) (=> true (=> (not ?v_610) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.48 lockStatus_1.46) (=> (= k.217 k.215) (=> (= lockStatus_0.48 lockStatus_0.46) (=> true (=> true (=> true (=> true (=> true (=> true ?v_611)))))))))))))))) (let ((?v_616 (=> true (=> true (=> true (=> true ?v_614))))) (?v_615 (= k.215 1)) (?v_613 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_612 (= k.215 0))) (let ((?v_617 (=> true (=> (<= k.214 k.215) (=> (< k.215 2) (and (=> true (=> ?v_612 (=> (= inline.AcquireDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_613))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.0) ?v_614))))) (=> true (=> (not ?v_612) (and (=> true (=> ?v_615 (=> (= inline.AcquireDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_613))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.1) ?v_616))))) (=> true (=> (not ?v_615) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0) ?v_616))))))))))))) (let ((?v_625 (and (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.1) ?v_617)))) (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_618 ?v_288) (=> (=> ?v_619 ?v_289) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.0) ?v_617))))) (=> true (=> (=> ?v_618 ?v_391) (=> (=> ?v_619 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0) (=> (= k.218 k.214) (=> (= lockStatus_0.49 lockStatus_0.46) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.0) (=> (= lockStatus_1.49 lockStatus_1.46) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true ?v_620)))))))))))))))))))))) (let ((?v_627 (=> (= errorReached.155 errorReached.153) (=> (= k.214 k.212) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_625))))))))))))) (?v_629 (= inline.EvtRequestChildCancel.2.myVar_0.8 hdevice)) (?v_628 (= inline.EvtRequestChildCancel.2.myVar_0.8 hqueue)) (?v_626 (= inline.EvtRequestChildCancel.2.myVar_0.8 htimer)) (?v_624 (= inline.EvtRequestChildCancel.2.myVar_0.8 hrequest)) (?v_623 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.155 errorReached.154) (=> (= k.214 k.213) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 call40505formal.ret.0) ?v_625)))))) (?v_621 (= k.213 0)) (?v_622 (= k.213 1))) (let ((?v_631 (and (=> true (=> ?v_624 (=> true (=> (<= k.212 k.213) (=> (< k.213 2) (and (=> true (=> (=> ?v_621 ?v_497) (=> (=> ?v_622 ?v_498) (=> true (=> (= errorReached.154 1) ?v_623))))) (=> true (=> (=> ?v_621 ?v_515) (=> (=> ?v_622 ?v_516) (=> true (=> (= errorReached.154 errorReached.153) (=> true ?v_623)))))))))))) (=> true (=> (not ?v_624) (and (=> true (=> ?v_626 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_627)))) (=> true (=> (not ?v_626) (and (=> true (=> ?v_628 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_627)))) (=> true (=> (not ?v_628) (and (=> true (=> ?v_629 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_627)))) (=> true (=> (not ?v_629) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_627)))))))))))))))) (let ((?v_633 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_631)))))))))))) (?v_632 (= k.212 1)) (?v_630 (= k.212 0))) (let ((?v_641 (=> true (=> (<= k.211 k.212) (=> (< k.212 2) (and (=> true (=> ?v_630 (=> (= inline.EvtRequestChildCancel.2.myVar_0.6 ?v_499) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.6) ?v_631))))) (=> true (=> (not ?v_630) (and (=> true (=> ?v_632 (=> (= inline.EvtRequestChildCancel.2.myVar_0.7 ?v_588) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.7) ?v_633))))) (=> true (=> (not ?v_632) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.5) ?v_633)))))))))))) (?v_634 (= k.211 0)) (?v_636 (= k.211 1))) (let ((?v_638 (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call40385formal.ret.0) ?v_641)))) (let ((?v_646 (and (=> true (=> (=> ?v_634 ?v_37) (=> (=> ?v_636 ?v_39) ?v_638))) (=> true (=> (=> ?v_634 ?v_635) (=> (=> ?v_636 ?v_637) (and (=> true (=> (=> ?v_634 ?v_542) (=> (=> ?v_636 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_638)))))))))))) (=> true (=> (=> ?v_634 ?v_639) (=> (=> ?v_636 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_641))))))))))))))) (?v_648 (= errorReached.153 errorReached.151))) (let ((?v_649 (=> (= k.211 k.209) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_646)))))))))))) (?v_651 (= inline.EvtRequestChildCancel.2.myVar_0.5 hdevice)) (?v_650 (= inline.EvtRequestChildCancel.2.myVar_0.5 hqueue)) (?v_647 (= inline.EvtRequestChildCancel.2.myVar_0.5 htimer)) (?v_645 (= inline.EvtRequestChildCancel.2.myVar_0.5 hrequest)) (?v_644 (=> true (=> (= errorReached.153 errorReached.152) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.211 k.210) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 call40188formal.ret.0) ?v_646)))))) (?v_642 (= k.210 0)) (?v_643 (= k.210 1))) (let ((?v_653 (and (=> true (=> ?v_645 (=> true (=> (<= k.209 k.210) (=> (< k.210 2) (and (=> true (=> (=> ?v_642 ?v_497) (=> (=> ?v_643 ?v_498) (=> true (=> (= errorReached.152 1) ?v_644))))) (=> true (=> (=> ?v_642 ?v_515) (=> (=> ?v_643 ?v_516) (=> true (=> (= errorReached.152 errorReached.151) (=> true ?v_644)))))))))))) (=> true (=> (not ?v_645) (and (=> true (=> ?v_647 (=> true (=> ?v_648 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_649))))) (=> true (=> (not ?v_647) (and (=> true (=> ?v_650 (=> true (=> ?v_648 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_649))))) (=> true (=> (not ?v_650) (and (=> true (=> ?v_651 (=> true (=> ?v_648 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_649))))) (=> true (=> (not ?v_651) (=> true (=> ?v_648 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_649))))))))))))))))) (let ((?v_655 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_653)))))))))))) (?v_654 (= k.209 1)) (?v_652 (= k.209 0))) (let ((?v_659 (=> true (=> (<= k.208 k.209) (=> (< k.209 2) (and (=> true (=> ?v_652 (=> (= inline.EvtRequestChildCancel.2.myVar_0.4 ?v_499) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.4) ?v_653))))) (=> true (=> (not ?v_652) (and (=> true (=> ?v_654 (=> (= inline.EvtRequestChildCancel.2.myVar_0.3 ?v_588) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.3) ?v_655))))) (=> true (=> (not ?v_654) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.2) ?v_655)))))))))))) (?v_660 (= errorReached.151 errorReached.149))) (let ((?v_661 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= k.208 k.206) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_659)))))))))))) (?v_658 (=> true (=> (= errorReached.151 errorReached.150) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call39977formal.ret.0) (=> (= k.208 k.207) ?v_659)))))) (?v_656 (= k.207 0)) (?v_657 (= k.207 1))) (let ((?v_666 (and (=> true (=> ?v_23 (=> true (=> (<= k.206 k.207) (=> (< k.207 2) (and (=> true (=> (=> ?v_656 ?v_497) (=> (=> ?v_657 ?v_498) (=> true (=> (= errorReached.150 1) ?v_658))))) (=> true (=> (=> ?v_656 ?v_515) (=> (=> ?v_657 ?v_516) (=> true (=> (= errorReached.150 errorReached.149) (=> true ?v_658)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_660 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_661))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_660 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_661))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_660 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_661))))) (=> true (=> ?v_528 (=> true (=> ?v_660 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_661)))))))))))))))) (?v_668 (= errorReached.149 errorReached.147))) (let ((?v_669 (=> (= k.206 k.204) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_666))))))))))))))))))) (?v_671 (= inline.EvtRequestChildCancel.2.myVar_0.2 hdevice)) (?v_670 (= inline.EvtRequestChildCancel.2.myVar_0.2 hqueue)) (?v_667 (= inline.EvtRequestChildCancel.2.myVar_0.2 htimer)) (?v_665 (= inline.EvtRequestChildCancel.2.myVar_0.2 hrequest)) (?v_664 (=> true (=> (= errorReached.149 errorReached.148) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.206 k.205) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 call39806formal.ret.0) ?v_666)))))) (?v_662 (= k.205 0)) (?v_663 (= k.205 1))) (let ((?v_674 (and (=> true (=> ?v_665 (=> true (=> (<= k.204 k.205) (=> (< k.205 2) (and (=> true (=> (=> ?v_662 ?v_497) (=> (=> ?v_663 ?v_498) (=> true (=> (= errorReached.148 1) ?v_664))))) (=> true (=> (=> ?v_662 ?v_515) (=> (=> ?v_663 ?v_516) (=> true (=> (= errorReached.148 errorReached.147) (=> true ?v_664)))))))))))) (=> true (=> (not ?v_665) (and (=> true (=> ?v_667 (=> true (=> ?v_668 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_669))))) (=> true (=> (not ?v_667) (and (=> true (=> ?v_670 (=> true (=> ?v_668 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_669))))) (=> true (=> (not ?v_670) (and (=> true (=> ?v_671 (=> true (=> ?v_668 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_669))))) (=> true (=> (not ?v_671) (=> true (=> ?v_668 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_669))))))))))))))))) (let ((?v_676 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_674)))))))) (?v_675 (= k.204 1)) (?v_673 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_672 (= k.204 0))) (let ((?v_680 (=> true (=> (<= k.203 k.204) (=> (< k.204 2) (and (=> true (=> ?v_672 (=> (= inline.EvtRequestChildCancel.2.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_673))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.1) ?v_674))))) (=> true (=> (not ?v_672) (and (=> true (=> ?v_675 (=> (= inline.EvtRequestChildCancel.2.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_673))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.0) ?v_676))))) (=> true (=> (not ?v_675) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0) ?v_676)))))))))))) (?v_683 (= errorReached.147 errorReached.145)) (?v_684 (= k.203 k.201))) (let ((?v_685 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_680))))))))))) (?v_687 (= hqueue hdevice))) (let ((?v_2511 (not ?v_687)) (?v_682 (= hqueue hqueue))) (let ((?v_686 (not ?v_682)) (?v_681 (= hqueue htimer))) (let ((?v_2508 (not ?v_681)) (?v_22 (= hqueue hrequest))) (let ((?v_2506 (not ?v_22)) (?v_679 (=> true (=> (= errorReached.147 errorReached.146) (=> (= k.203 k.202) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call39597formal.ret.0) ?v_680)))))) (?v_677 (= k.202 0)) (?v_678 (= k.202 1))) (let ((?v_688 (and (=> true (=> ?v_22 (=> true (=> (<= k.201 k.202) (=> (< k.202 2) (and (=> true (=> (=> ?v_677 ?v_497) (=> (=> ?v_678 ?v_498) (=> true (=> (= errorReached.146 1) ?v_679))))) (=> true (=> (=> ?v_677 ?v_515) (=> (=> ?v_678 ?v_516) (=> true (=> (= errorReached.146 errorReached.145) (=> true ?v_679)))))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_683 (=> ?v_684 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_685)))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_683 (=> ?v_684 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_685)))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_683 (=> ?v_684 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_685)))))) (=> true (=> ?v_2511 (=> true (=> ?v_683 (=> ?v_684 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_685)))))))))))))))))) (let ((?v_689 (=> true (=> (= errorReached.145 errorReached.144) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_688)))))))))))))))) (?v_495 (= k.201 0)) (?v_496 (= k.201 1))) (let ((?v_690 (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_495 ?v_497) (=> (=> ?v_496 ?v_498) (=> true (=> (= errorReached.145 1) ?v_688))))) (=> true (=> (=> ?v_495 ?v_515) (=> (=> ?v_496 ?v_516) ?v_689)))))) (=> true (=> ?v_487 ?v_689))))) (let ((?v_693 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_690)))))))))) (?v_691 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_692 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_494 (= call35059formal.ret.0 0))) (let ((?v_1481 (=> true (=> (<= 0 k.201) (=> (< k.201 2) (and (=> true (=> (not ?v_494) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCancelSet_0.26 reqCancelSet_0.22) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1.) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= k.235 k.201) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= lockStatus_0.53 lockStatus_0.46) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.53 lockStatus_1.46) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0) (=> (= errorReached.167 errorReached.144) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= reqCancelSet_1.26 reqCancelSet_1.22) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= reqCompleted_1.20 reqCompleted_1.16) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2.) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0) (=> (= reqCompleted_0.20 reqCompleted_0.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) ?v_503))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_494 (=> true (=> (=> ?v_495 (not (= reqCancelSet_0.22 0))) (=> (=> ?v_496 (not (= reqCancelSet_1.22 0))) (and (=> true (=> ?v_495 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_692 ?v_690))))) (=> true (=> (not ?v_495) (and (=> true (=> ?v_496 (=> true (=> ?v_691 (=> (= reqCancelStarted_1.0 1) ?v_693))))) (=> true (=> (not ?v_496) (=> true (=> ?v_691 (=> ?v_692 ?v_693)))))))))))))))))))) (let ((?v_4856 (=> true (=> true (=> true (=> true (=> true ?v_1481)))))) (?v_4839 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_4840 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4841 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_4842 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4843 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4844 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_4845 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4846 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_4847 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4848 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4849 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4850 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_4851 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4852 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_4853 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_4854 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_4855 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete))) (let ((?v_4869 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.) (=> (= reqCancelSet_1.22 reqCancelSet_1.1) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1) (=> ?v_4839 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> ?v_4840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0) (=> (= inline.AcquireDpcLock.4.myVar_0.7 inline.AcquireDpcLock.4.myVar_0) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= alloc.15 alloc.4) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext) (=> (= reqCompleted_1.16 reqCompleted_1.1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> ?v_4841 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> ?v_4842 (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) (=> (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1.) (=> ?v_4843 (=> (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= lockStatus_0.46 lockStatus_0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext) (=> ?v_4844 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.EvtRequestChildCancel.0.myVar_0.18 inline.EvtRequestChildCancel.0.myVar_0) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.ReleaseDpcLock.5.myVar_0.7 inline.ReleaseDpcLock.5.myVar_0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> ?v_4845 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext) (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 myNondetVar_0.0) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext) (=> (= errorReached.144 errorReached.16) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.6.myVar_0.6 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> ?v_4846 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1) (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= reqCancelSet_0.22 reqCancelSet_0.1) (=> (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0) (=> (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.) (=> (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp) (=> (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.) (=> (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> ?v_4847 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock) (=> (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.0) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7.) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= k.200 k.14) (=> ?v_4848 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtIoChildRead.0.myVar_0.15 inline.EvtIoChildRead.0.myVar_0.2) (=> (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock) (=> ?v_4849 (=> (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.3.myVar_0.6 inline.ReleaseDpcLock.3.myVar_0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.5.myVar_0.6 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> ?v_4850 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0) (=> (= inline.AcquireDpcLock.2.myVar_0.6 inline.AcquireDpcLock.2.myVar_0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> ?v_4851 (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock) (=> ?v_4852 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 0) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= lockStatus_1.46 lockStatus_1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.) (=> (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0) (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.) (=> (= inline.AcquireDpcLock.3.myVar_0.6 inline.AcquireDpcLock.3.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> ?v_4853 (=> (= inline.ReleaseDpcLock.6.myVar_0.6 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.) (=> (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_4854 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.1.myVar_0.18 inline.EvtRequestChildCancel.1.myVar_0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0) (=> (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 inline.MarkRequestCancelableReturnLocked.0.myVar_0) (=> (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 inline.MarkRequestCancelableReturnLocked.1.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.AcquireDpcLock.0.myVar_0.4 inline.AcquireDpcLock.0.myVar_0) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0) (=> (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.) (=> (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0) (=> (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= reqCompleted_0.16 reqCompleted_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.4 inline.AcquireDpcLock.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.AcquireDpcLock.1.myVar_0.7 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.) (=> (= inline.ReleaseDpcLock.2.myVar_0.7 inline.ReleaseDpcLock.2.myVar_0) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_4855 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1) ?v_4856))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4858 (=> true (=> (= errorReached.16 errorReached.15) (=> (= k.14 k.13) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 call17645formal.ret.0) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= reqCompleted_1.1 reqCompleted_1.0) ?v_4869)))))))))) (let ((?v_4861 (=> true ?v_4858)) (?v_4859 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_4860 (= reqCancelSet_1.0 reqCancelSet_1)) (?v_4857 (= k.13 1))) (let ((?v_4864 (not ?v_4857)) (?v_4838 (= k.13 0))) (let ((?v_4862 (not ?v_4838))) (let ((?v_4863 (and (=> true (=> ?v_4838 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_4860 ?v_4858))))) (=> true (=> ?v_4862 (and (=> true (=> ?v_4857 (=> true (=> ?v_4859 (=> (= reqCancelSet_1.0 0) ?v_4861))))) (=> true (=> ?v_4864 (=> true (=> ?v_4859 (=> ?v_4860 ?v_4861))))))))))) (let ((?v_4867 (=> true (=> true ?v_4863))) (?v_4865 (= reqCompleted_0.0 reqCompleted_0)) (?v_4866 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_4868 (and (=> true (=> ?v_4838 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_4866 ?v_4863))))) (=> true (=> ?v_4862 (and (=> true (=> ?v_4857 (=> true (=> ?v_4865 (=> (= reqCompleted_1.0 1) ?v_4867))))) (=> true (=> ?v_4864 (=> true (=> ?v_4865 (=> ?v_4866 ?v_4867)))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_10 (not ?v_2)) (?v_11 (not ?v_3))) (let ((?v_4870 (and (=> true (=> ?v_23 (=> true (=> (<= k.12 k.13) (=> (< k.13 2) (and (=> true (=> (=> ?v_4838 ?v_10) (=> (=> ?v_4857 ?v_11) (=> true (=> (= errorReached.15 1) ?v_4868))))) (=> true (=> (=> ?v_4838 ?v_2) (=> (=> ?v_4857 ?v_3) (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_4868)))))))))))) (=> true (=> ?v_487 (=> true (=> (= errorReached.16 errorReached.14) (=> (= k.14 k.12) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= reqCompleted_1.1 reqCompleted_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4869))))))))))))))))))) (let ((?v_4874 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1) ?v_4870)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4870)))))))))))))))) (?v_4875 (= errorReached.14 errorReached.12))) (let ((?v_4876 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.) (=> (= k.12 k.9) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4874)))))))))))) (?v_4873 (=> true (=> (= errorReached.14 errorReached.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call17494formal.ret.0) (=> (= k.12 k.11) ?v_4874)))))) (?v_4871 (= k.11 0)) (?v_4872 (= k.11 1)) (?v_4837 (= myNondetVar_0.0 0)) (?v_718 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_719 (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0.6)) (?v_720 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2)) (?v_721 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_722 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1)) (?v_723 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1)) (?v_724 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1)) (?v_725 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1)) (?v_726 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2)) (?v_727 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2)) (?v_728 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1)) (?v_729 (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0.5)) (?v_730 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_731 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_732 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7)) (?v_733 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0)) (?v_734 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_735 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1)) (?v_736 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_737 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0)) (?v_738 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3)) (?v_739 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3)) (?v_740 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1)) (?v_741 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_742 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_743 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1)) (?v_744 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_745 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0)) (?v_746 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_747 (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0.3)) (?v_748 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_749 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1)) (?v_750 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3)) (?v_751 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3)) (?v_752 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_753 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1)) (?v_754 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_755 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_756 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2)) (?v_757 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_758 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2)) (?v_759 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_760 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_761 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_762 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_763 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_764 (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0.2)) (?v_765 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2)) (?v_766 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_767 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2)) (?v_768 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_769 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_770 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_771 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2)) (?v_772 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1)) (?v_773 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1)) (?v_774 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation)) (?v_775 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3)) (?v_776 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_777 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1)) (?v_778 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1)) (?v_779 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1)) (?v_780 (= inline.GetDeviceContext.3..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_781 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2)) (?v_782 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2)) (?v_783 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_784 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2)) (?v_785 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_786 (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.5)) (?v_787 (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0.5)) (?v_788 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2)) (?v_789 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3)) (?v_790 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2)) (?v_791 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1)) (?v_792 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2)) (?v_793 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2)) (?v_794 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_795 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 inline.EvtRequestChildCancel.0.myNondetVar_0.4)) (?v_796 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_797 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_798 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_799 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2)) (?v_800 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_801 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_802 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_803 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_804 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3)) (?v_805 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1)) (?v_806 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_807 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5)) (?v_808 (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0.5)) (?v_809 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0)) (?v_810 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1)) (?v_811 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3)) (?v_812 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4)) (?v_813 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2)) (?v_814 (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0.0)) (?v_815 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1)) (?v_816 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_817 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_818 (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0.2)) (?v_819 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1)) (?v_820 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_821 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_822 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2)) (?v_823 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_824 (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0.3)) (?v_825 (= inline.AcquireDpcLock.4.myVar_0.7 inline.AcquireDpcLock.4.myVar_0.6)) (?v_826 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_827 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_828 (= alloc.15 alloc.14)) (?v_829 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_830 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1)) (?v_831 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_832 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3)) (?v_833 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0)) (?v_834 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_835 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1)) (?v_836 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2)) (?v_837 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_838 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0)) (?v_839 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_840 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1)) (?v_841 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_842 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1)) (?v_843 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_844 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_845 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_846 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_847 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7)) (?v_848 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2)) (?v_849 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_850 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1)) (?v_851 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2)) (?v_852 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_853 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_854 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_855 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1)) (?v_856 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_857 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3)) (?v_858 (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0.3)) (?v_859 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_860 (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0.2)) (?v_861 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2)) (?v_862 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_863 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_864 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_865 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_866 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_867 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_868 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0.5)) (?v_869 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_870 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_871 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_872 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_873 (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.28)) (?v_874 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2)) (?v_875 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_876 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_877 (= lockStatus_0.46 lockStatus_0.45)) (?v_878 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_879 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_880 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1)) (?v_881 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_882 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_883 (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0)) (?v_884 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2)) (?v_885 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1)) (?v_886 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0)) (?v_887 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3)) (?v_888 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1)) (?v_889 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3)) (?v_890 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_891 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2)) (?v_892 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_893 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_894 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_895 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_896 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_897 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2)) (?v_898 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_899 (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0.4)) (?v_900 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_901 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_902 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1)) (?v_903 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3)) (?v_904 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1)) (?v_905 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1)) (?v_906 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_907 (= inline.EvtRequestChildCancel.0.myVar_0.18 inline.EvtRequestChildCancel.0.myVar_0.17)) (?v_908 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_909 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_910 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3)) (?v_911 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_912 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_913 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1)) (?v_914 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2)) (?v_915 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_916 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_917 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_918 (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0)) (?v_919 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3)) (?v_920 (= inline.ReleaseDpcLock.5.myVar_0.7 inline.ReleaseDpcLock.5.myVar_0.6)) (?v_921 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_922 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_923 (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0)) (?v_924 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_925 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.4 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3)) (?v_926 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2)) (?v_927 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_928 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0)) (?v_929 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_930 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1)) (?v_931 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1)) (?v_932 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_933 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_934 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1)) (?v_935 (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0.5)) (?v_936 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2)) (?v_937 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_938 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_939 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_940 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1)) (?v_941 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2)) (?v_942 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1)) (?v_943 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0)) (?v_944 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_945 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.5)) (?v_946 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_947 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_948 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4)) (?v_949 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_950 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_951 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_952 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_953 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1)) (?v_954 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1)) (?v_955 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_956 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_957 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_958 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_959 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_960 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1)) (?v_961 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_962 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_963 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_964 (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0.6)) (?v_965 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_966 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1)) (?v_967 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3)) (?v_968 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_969 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_970 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_971 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1)) (?v_972 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_973 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_974 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2)) (?v_975 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2)) (?v_976 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2)) (?v_977 (= inline.AcquireDpcLock.6.myVar_0.6 inline.AcquireDpcLock.6.myVar_0.5)) (?v_978 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3)) (?v_979 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_980 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2)) (?v_981 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_982 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_983 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_984 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1)) (?v_985 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_986 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_987 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2)) (?v_988 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_989 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3)) (?v_990 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3)) (?v_991 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1)) (?v_992 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1)) (?v_993 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3)) (?v_994 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0)) (?v_995 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2)) (?v_996 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_997 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2)) (?v_998 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3)) (?v_999 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0.5)) (?v_1000 (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0.1)) (?v_1001 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1002 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_1003 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1)) (?v_1004 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1005 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2)) (?v_1006 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_1007 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1008 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1009 (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0.3)) (?v_1010 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1)) (?v_1011 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1012 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_1013 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_1014 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1015 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1016 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1017 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..1 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0)) (?v_1018 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1)) (?v_1019 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1)) (?v_1020 (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0.2)) (?v_1021 (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0.3)) (?v_1022 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2)) (?v_1023 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_1024 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2)) (?v_1025 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1026 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1)) (?v_1027 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1028 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_1029 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0)) (?v_1030 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1031 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1032 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1)) (?v_1033 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1034 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1)) (?v_1035 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_1036 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1037 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1038 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1039 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1040 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2)) (?v_1041 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_1042 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4)) (?v_1043 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1044 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1045 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_1046 (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.4)) (?v_1047 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1048 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1)) (?v_1049 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_1050 (= inline.GetDeviceContext.3..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1051 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3)) (?v_1052 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_1053 (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0)) (?v_1054 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4)) (?v_1055 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1)) (?v_1056 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4)) (?v_1057 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1058 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_1059 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1060 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2)) (?v_1061 (= inline.EvtIoChildRead.0.myVar_0.15 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1062 (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0.2)) (?v_1063 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..2 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1)) (?v_1064 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1065 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3)) (?v_1066 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_1067 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1)) (?v_1068 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1069 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1)) (?v_1070 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_1071 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1072 (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0.3)) (?v_1073 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1)) (?v_1074 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4)) (?v_1075 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2)) (?v_1076 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1077 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1078 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1079 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_1080 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1081 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4)) (?v_1082 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1083 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2)) (?v_1084 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1085 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2)) (?v_1086 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1087 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1)) (?v_1088 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2)) (?v_1089 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..3 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2)) (?v_1090 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2)) (?v_1091 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1092 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0)) (?v_1093 (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0.3)) (?v_1094 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1)) (?v_1095 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_1096 (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0.2)) (?v_1097 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2)) (?v_1098 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2)) (?v_1099 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1100 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1101 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1102 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1103 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1)) (?v_1104 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1105 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_1106 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1107 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1108 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2)) (?v_1109 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1110 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1111 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1112 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_1113 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1114 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1115 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2)) (?v_1116 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1117 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1118 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2)) (?v_1119 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5)) (?v_1120 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1121 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1)) (?v_1122 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2)) (?v_1123 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_1124 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_1125 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_1126 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1127 (= inline.ReleaseDpcLock.3.myVar_0.6 inline.ReleaseDpcLock.3.myVar_0.5)) (?v_1128 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_1129 (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0.3)) (?v_1130 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2)) (?v_1131 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1132 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1)) (?v_1133 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2)) (?v_1134 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1135 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1)) (?v_1136 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1)) (?v_1137 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0)) (?v_1138 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4)) (?v_1139 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1140 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1141 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3)) (?v_1142 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2)) (?v_1143 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 inline.EvtRequestChildCancel.1.myNondetVar_0.4)) (?v_1144 (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0.6)) (?v_1145 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_1146 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1147 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4)) (?v_1148 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2)) (?v_1149 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2)) (?v_1150 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1151 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1152 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1153 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0)) (?v_1154 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1)) (?v_1155 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1156 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_1157 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1)) (?v_1158 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1)) (?v_1159 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1160 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1161 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2)) (?v_1162 (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0.2)) (?v_1163 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_1164 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1)) (?v_1165 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1166 (= inline.AcquireDpcLock.5.myVar_0.6 inline.AcquireDpcLock.5.myVar_0.5)) (?v_1167 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4)) (?v_1168 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1)) (?v_1169 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1170 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_1171 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1172 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_1173 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3)) (?v_1174 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2)) (?v_1175 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1176 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1177 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1178 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1)) (?v_1179 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1180 (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0.0)) (?v_1181 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1182 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1)) (?v_1183 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_1184 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1185 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1186 (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0.2)) (?v_1187 (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0.5)) (?v_1188 (= inline.AcquireDpcLock.2.myVar_0.6 inline.AcquireDpcLock.2.myVar_0.5)) (?v_1189 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2)) (?v_1190 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1191 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1)) (?v_1192 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1193 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1194 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_1195 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3)) (?v_1196 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2)) (?v_1197 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1)) (?v_1198 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1199 (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0.4)) (?v_1200 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1201 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1202 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1)) (?v_1203 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3)) (?v_1204 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1205 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1206 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1207 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1)) (?v_1208 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4)) (?v_1209 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4)) (?v_1210 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2)) (?v_1211 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3)) (?v_1212 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1213 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2)) (?v_1214 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1215 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1216 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0)) (?v_1217 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1)) (?v_1218 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3)) (?v_1219 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1220 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1221 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_1222 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1)) (?v_1223 (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0.2)) (?v_1224 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0)) (?v_1225 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_1226 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_1227 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.3 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2)) (?v_1228 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_1229 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1230 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_1231 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2)) (?v_1232 (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0.2)) (?v_1233 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2)) (?v_1234 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2)) (?v_1235 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_1236 (= lockStatus_1.46 lockStatus_1.45)) (?v_1237 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2)) (?v_1238 (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0.3)) (?v_1239 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0)) (?v_1240 (= inline.AcquireDpcLock.3.myVar_0.6 inline.AcquireDpcLock.3.myVar_0.5)) (?v_1241 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1242 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1)) (?v_1243 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1244 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1245 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1246 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_1247 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2)) (?v_1248 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3)) (?v_1249 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1)) (?v_1250 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2)) (?v_1251 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1)) (?v_1252 (= inline.ReleaseDpcLock.6.myVar_0.6 inline.ReleaseDpcLock.6.myVar_0.5)) (?v_1253 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_1254 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1)) (?v_1255 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1256 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1)) (?v_1257 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1258 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_1259 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1)) (?v_1260 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1261 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_1262 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1)) (?v_1263 (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0.3)) (?v_1264 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_1265 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_1266 (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.)) (?v_1267 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1268 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_1269 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2)) (?v_1270 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1271 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1)) (?v_1272 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2)) (?v_1273 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1274 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1275 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1276 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_1277 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2)) (?v_1278 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1279 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2)) (?v_1280 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1)) (?v_1281 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1282 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1)) (?v_1283 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1)) (?v_1284 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_1285 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1286 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_1287 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2)) (?v_1288 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_1289 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1290 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_1291 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2)) (?v_1292 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1293 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1)) (?v_1294 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1)) (?v_1295 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1)) (?v_1296 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1297 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1)) (?v_1298 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1299 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1300 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1)) (?v_1301 (= inline.EvtRequestChildCancel.1.myVar_0.18 inline.EvtRequestChildCancel.1.myVar_0.17)) (?v_1302 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2)) (?v_1303 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1304 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3)) (?v_1305 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1306 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_1307 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1)) (?v_1308 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_1309 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1310 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1311 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1312 (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0.3)) (?v_1313 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_1314 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1315 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1)) (?v_1316 (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0.3)) (?v_1317 (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0.3)) (?v_1318 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1319 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..3 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2)) (?v_1320 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1)) (?v_1321 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1)) (?v_1322 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.23 inline.MarkRequestCancelableReturnLocked.0.myVar_0.22)) (?v_1323 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1324 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3)) (?v_1325 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1326 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1327 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_1328 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_1329 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.23 inline.MarkRequestCancelableReturnLocked.1.myVar_0.22)) (?v_1330 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1331 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2)) (?v_1332 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_1333 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1334 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_1335 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_1336 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1)) (?v_1337 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1338 (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0.3)) (?v_1339 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0)) (?v_1340 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1)) (?v_1341 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1342 (= inline.AcquireDpcLock.0.myVar_0.4 inline.AcquireDpcLock.0.myVar_0.3)) (?v_1343 (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0.2)) (?v_1344 (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0.2)) (?v_1345 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_1346 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_1347 (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0.2)) (?v_1348 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2)) (?v_1349 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..2 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1)) (?v_1350 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1351 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3)) (?v_1352 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1353 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1354 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1355 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_1356 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1357 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2)) (?v_1358 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1359 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1360 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1)) (?v_1361 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1362 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..3 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2)) (?v_1363 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1364 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1365 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1366 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2)) (?v_1367 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1368 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1369 (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0.3)) (?v_1370 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1371 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.5)) (?v_1372 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_1373 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1374 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1375 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_1376 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1377 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1378 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_1379 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_1380 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..3 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2)) (?v_1381 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1382 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2)) (?v_1383 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1)) (?v_1384 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_1385 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1)) (?v_1386 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1)) (?v_1387 (= inline.AcquireDpcLock.0..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1388 (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0.2)) (?v_1389 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1390 (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0.2)) (?v_1391 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1392 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1393 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2)) (?v_1394 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1)) (?v_1395 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.14)) (?v_1396 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1397 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2)) (?v_1398 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_1399 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2)) (?v_1400 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1)) (?v_1401 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1402 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1403 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4)) (?v_1404 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1)) (?v_1405 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1406 (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0.2)) (?v_1407 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1)) (?v_1408 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2)) (?v_1409 (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0.5)) (?v_1410 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1411 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2)) (?v_1412 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1413 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1)) (?v_1414 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1415 (= inline.AcquireDpcLock.0.myNondetVar_0.4 inline.AcquireDpcLock.0.myNondetVar_0.3)) (?v_1416 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1417 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1418 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1)) (?v_1419 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1)) (?v_1420 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_1421 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1)) (?v_1422 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4)) (?v_1423 (= inline.AcquireDpcLock.1.myVar_0.7 inline.AcquireDpcLock.1.myVar_0.6)) (?v_1424 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1425 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2)) (?v_1426 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2)) (?v_1427 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1)) (?v_1428 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1429 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_1430 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1)) (?v_1431 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1432 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2)) (?v_1433 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2)) (?v_1434 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2)) (?v_1435 (= inline.ReleaseDpcLock.2.myVar_0.7 inline.ReleaseDpcLock.2.myVar_0.6)) (?v_1436 (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0.6)) (?v_1437 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myVar_0.8)) (?v_1438 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1439 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.17 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16)) (?v_1440 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3)) (?v_1441 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_1442 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1)) (?v_1443 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..3 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2)) (?v_1444 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2)) (?v_1445 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3)) (?v_1446 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_1447 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1448 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..3 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2)) (?v_1449 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1)) (?v_1450 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_1451 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3)) (?v_1452 (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0.3)) (?v_1453 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2)) (?v_1454 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1)) (?v_1455 (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0.2)) (?v_1456 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1457 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_1458 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1459 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1)) (?v_1460 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4)) (?v_1461 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2)) (?v_1462 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1463 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1464 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1)) (?v_1465 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3)) (?v_1466 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1467 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2)) (?v_1468 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1469 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myVar_0.11)) (?v_1470 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1471 (= inline.AcquireDpcLock.0..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1472 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3)) (?v_1473 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..3 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2)) (?v_1474 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1)) (?v_1475 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1476 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1)) (?v_1477 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1)) (?v_1478 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1479 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..3 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2)) (?v_1480 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1)) (?v_717 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 0))) (let ((?v_708 (=> true (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3) (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> (= errorReached.144 errorReached.143) (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0) (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> (= k.200 k.199) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 ?v_1481))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_695 (=> true (=> (= errorReached.143 errorReached.142) (=> (= k.199 k.198) (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> (= reqCancelSet_1.21 reqCancelSet_1.20) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call19859formal.ret.0) (=> (= reqCompleted_0.15 reqCompleted_0.14) (=> (= reqCompleted_1.15 reqCompleted_1.14) ?v_708)))))))))) (let ((?v_698 (=> true ?v_695)) (?v_696 (= reqCancelSet_0.20 reqCancelSet_0.19)) (?v_697 (= reqCancelSet_1.20 reqCancelSet_1.19)) (?v_694 (= k.198 1))) (let ((?v_701 (not ?v_694)) (?v_40 (= k.198 0))) (let ((?v_699 (not ?v_40))) (let ((?v_700 (and (=> true (=> ?v_40 (=> true (=> (= reqCancelSet_0.20 0) (=> ?v_697 ?v_695))))) (=> true (=> ?v_699 (and (=> true (=> ?v_694 (=> true (=> ?v_696 (=> (= reqCancelSet_1.20 0) ?v_698))))) (=> true (=> ?v_701 (=> true (=> ?v_696 (=> ?v_697 ?v_698))))))))))) (let ((?v_704 (=> true (=> true ?v_700))) (?v_702 (= reqCompleted_0.14 reqCompleted_0.13)) (?v_703 (= reqCompleted_1.14 reqCompleted_1.13))) (let ((?v_707 (and (=> true (=> ?v_40 (=> true (=> (= reqCompleted_0.14 1) (=> ?v_703 ?v_700))))) (=> true (=> ?v_699 (and (=> true (=> ?v_694 (=> true (=> ?v_702 (=> (= reqCompleted_1.14 1) ?v_704))))) (=> true (=> ?v_701 (=> true (=> ?v_702 (=> ?v_703 ?v_704)))))))))) (?v_705 (= reqCompleted_0.13 0)) (?v_706 (= reqCompleted_1.13 0))) (let ((?v_35 (not ?v_705)) (?v_36 (not ?v_706))) (let ((?v_709 (and (=> true (=> ?v_23 (=> true (=> (<= k.197 k.198) (=> (< k.198 2) (and (=> true (=> (=> ?v_40 ?v_35) (=> (=> ?v_694 ?v_36) (=> true (=> (= errorReached.142 1) ?v_707))))) (=> true (=> (=> ?v_40 ?v_705) (=> (=> ?v_694 ?v_706) (=> true (=> (= errorReached.142 errorReached.141) (=> true ?v_707)))))))))))) (=> true (=> ?v_487 (=> true (=> (= errorReached.143 errorReached.141) (=> (= k.199 k.197) (=> (= reqCancelSet_0.21 reqCancelSet_0.19) (=> (= reqCancelSet_1.21 reqCancelSet_1.19) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_0.15 reqCompleted_0.13) (=> (= reqCompleted_1.15 reqCompleted_1.13) (=> true (=> true (=> true (=> true (=> true (=> true ?v_708))))))))))))))))))) (let ((?v_713 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2) ?v_709)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_709)))))))))))))))) (?v_714 (= errorReached.141 errorReached.139)) (?v_715 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.))) (let ((?v_716 (=> (= k.197 k.195) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_713))))))))))) (?v_712 (=> true (=> (= errorReached.141 errorReached.140) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call19708formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.197 k.196) ?v_713)))))) (?v_710 (= k.196 0)) (?v_711 (= k.196 1))) (let ((?v_1482 (and (=> true (=> (not ?v_717) (and (=> true (=> ?v_23 (=> true (=> (<= k.195 k.196) (=> (< k.196 2) (and (=> true (=> (=> ?v_710 ?v_35) (=> (=> ?v_711 ?v_36) (=> true (=> (= errorReached.140 1) ?v_712))))) (=> true (=> (=> ?v_710 ?v_705) (=> (=> ?v_711 ?v_706) (=> true (=> (= errorReached.140 errorReached.139) (=> true ?v_712)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_714 (=> ?v_715 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_716)))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_714 (=> ?v_715 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_716)))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_714 (=> ?v_715 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_716)))))) (=> true (=> ?v_528 (=> true (=> ?v_714 (=> ?v_715 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_716)))))))))))))))))) (=> true (=> ?v_717 (=> true (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> (= reqCancelSet_1.22 reqCancelSet_1.19) (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_4839 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_4840 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> (= reqCompleted_1.16 reqCompleted_1.13) (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_4841 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_4842 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_4843 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_4844 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4845 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> (= errorReached.144 errorReached.139) (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_4846 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> (= reqCancelSet_0.22 reqCancelSet_0.19) (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_4847 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> (= k.200 k.195) (=> ?v_4848 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_4849 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_4850 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_4851 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_4852 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_4853 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_4854 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> (= reqCompleted_0.16 reqCompleted_0.13) (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_4855 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 ?v_4856)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1483 (=> true (=> true (=> true (=> true ?v_1482))))) (?v_34 (= k.195 0)) (?v_38 (= k.195 1))) (let ((?v_1486 (and (=> true (=> (=> ?v_34 ?v_37) (=> (=> ?v_38 ?v_39) ?v_1482))) (=> true (=> (=> ?v_34 ?v_635) (=> (=> ?v_38 ?v_637) (and (=> true (=> (=> ?v_34 ?v_542) (=> (=> ?v_38 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1483)))))))))))) (=> true (=> (=> ?v_34 ?v_639) (=> (=> ?v_38 ?v_640) ?v_1483)))))))))) (let ((?v_1489 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1486)))))))))) (?v_1488 (= errorReached.139 errorReached.137)) (?v_1491 (= inline.EvtIoChildRead.0.myVar_0.14 hdevice)) (?v_1490 (= inline.EvtIoChildRead.0.myVar_0.14 hqueue)) (?v_1487 (= inline.EvtIoChildRead.0.myVar_0.14 htimer)) (?v_1485 (= inline.EvtIoChildRead.0.myVar_0.14 hrequest)) (?v_1484 (=> true (=> (= errorReached.139 errorReached.138) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1486))))) (let ((?v_1493 (and (=> true (=> ?v_1485 (and (=> true (=> (=> ?v_34 ?v_35) (=> (=> ?v_38 ?v_36) (=> true (=> (= errorReached.138 1) ?v_1484))))) (=> true (=> (=> ?v_34 ?v_705) (=> (=> ?v_38 ?v_706) (=> true (=> (= errorReached.138 errorReached.137) (=> true ?v_1484))))))))) (=> true (=> (not ?v_1485) (and (=> true (=> ?v_1487 (=> true (=> ?v_1488 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1489))))) (=> true (=> (not ?v_1487) (and (=> true (=> ?v_1490 (=> true (=> ?v_1488 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1489))))) (=> true (=> (not ?v_1490) (and (=> true (=> ?v_1491 (=> true (=> ?v_1488 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1489))))) (=> true (=> (not ?v_1491) (=> true (=> ?v_1488 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1489))))))))))))))))) (let ((?v_1494 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1493)))))))))))) (?v_1492 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_1523 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_1492))) (?v_28 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_1492)))) (let ((?v_1511 (=> true (=> (<= k.194 k.195) (=> (< k.195 2) (and (=> true (=> ?v_34 (=> (= inline.EvtIoChildRead.0.myVar_0.12 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.12) ?v_1493))))) (=> true (=> (not ?v_34) (and (=> true (=> ?v_38 (=> (= inline.EvtIoChildRead.0.myVar_0.13 ?v_1523) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.13) ?v_1494))))) (=> true (=> (not ?v_38) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.14 inline.EvtIoChildRead.0.myVar_0.11) ?v_1494)))))))))))) (?v_1509 (= k.190 0)) (?v_1510 (= k.190 1))) (let ((?v_1502 (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= k.194 k.193) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= lockStatus_1.45 lockStatus_1.44) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myVar_0.2) ?v_1511)))))))))) (?v_1501 (= inline.ReleaseDpcLock.0.myVar_0.2 hlock))) (let ((?v_1496 (=> true (=> (= lockStatus_0.44 lockStatus_0.43) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call19249formal.ret.0) (=> (= lockStatus_1.44 lockStatus_1.43) (=> (= k.193 k.192) ?v_1502))))))) (let ((?v_1500 (=> true ?v_1496)) (?v_1498 (= lockStatus_0.43 lockStatus_0.42)) (?v_1499 (= lockStatus_1.43 lockStatus_1.42)) (?v_1497 (= k.192 1)) (?v_1495 (= k.192 0))) (let ((?v_1505 (and (=> true (=> ?v_1501 (=> true (=> (<= k.191 k.192) (=> (< k.192 2) (and (=> true (=> ?v_1495 (=> true (=> (= lockStatus_0.43 0) (=> ?v_1499 ?v_1496))))) (=> true (=> (not ?v_1495) (and (=> true (=> ?v_1497 (=> true (=> ?v_1498 (=> (= lockStatus_1.43 0) ?v_1500))))) (=> true (=> (not ?v_1497) (=> true (=> ?v_1498 (=> ?v_1499 ?v_1500)))))))))))))) (=> true (=> (not ?v_1501) (=> true (=> (= lockStatus_0.44 lockStatus_0.42) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.44 lockStatus_1.42) (=> (= k.193 k.191) (=> true (=> true (=> true ?v_1502))))))))))))) (let ((?v_1507 (=> true (=> true (=> true (=> true ?v_1505))))) (?v_1506 (= k.191 1)) (?v_1504 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1503 (= k.191 0))) (let ((?v_1508 (=> true (=> (<= k.190 k.191) (=> (< k.191 2) (and (=> true (=> ?v_1503 (=> (= inline.ReleaseDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_1504))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.1) ?v_1505))))) (=> true (=> (not ?v_1503) (and (=> true (=> ?v_1506 (=> (= inline.ReleaseDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_1504))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.0) ?v_1507))))) (=> true (=> (not ?v_1506) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0) ?v_1507))))))))))))) (let ((?v_1516 (and (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.1) ?v_1508)))) (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1509 ?v_288) (=> (=> ?v_1510 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.0) (=> true (=> true ?v_1508))))))) (=> true (=> (=> ?v_1509 ?v_391) (=> (=> ?v_1510 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= k.194 k.190) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= lockStatus_1.45 lockStatus_1.42) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true ?v_1511)))))))))))))))))))) (?v_1518 (= errorReached.137 errorReached.135))) (let ((?v_1519 (=> (= k.190 k.188) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1516)))))))))))) (?v_1521 (= inline.EvtIoChildRead.0.myVar_0.11 hdevice)) (?v_1520 (= inline.EvtIoChildRead.0.myVar_0.11 hqueue)) (?v_1517 (= inline.EvtIoChildRead.0.myVar_0.11 htimer)) (?v_1515 (= inline.EvtIoChildRead.0.myVar_0.11 hrequest)) (?v_1514 (=> true (=> (= errorReached.137 errorReached.136) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.190 k.189) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call19007formal.ret.0) ?v_1516)))))) (?v_1512 (= k.189 0)) (?v_1513 (= k.189 1))) (let ((?v_1524 (and (=> true (=> ?v_1515 (=> true (=> (<= k.188 k.189) (=> (< k.189 2) (and (=> true (=> (=> ?v_1512 ?v_35) (=> (=> ?v_1513 ?v_36) (=> true (=> (= errorReached.136 1) ?v_1514))))) (=> true (=> (=> ?v_1512 ?v_705) (=> (=> ?v_1513 ?v_706) (=> true (=> (= errorReached.136 errorReached.135) (=> true ?v_1514)))))))))))) (=> true (=> (not ?v_1515) (and (=> true (=> ?v_1517 (=> true (=> ?v_1518 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1519))))) (=> true (=> (not ?v_1517) (and (=> true (=> ?v_1520 (=> true (=> ?v_1518 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1519))))) (=> true (=> (not ?v_1520) (and (=> true (=> ?v_1521 (=> true (=> ?v_1518 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1519))))) (=> true (=> (not ?v_1521) (=> true (=> ?v_1518 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1519))))))))))))))))) (let ((?v_1526 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1524)))))))))))) (?v_1525 (= k.188 1)) (?v_1522 (= k.188 0))) (let ((?v_1625 (and (=> true (=> ?v_1522 (=> (= inline.EvtIoChildRead.0.myVar_0.9 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.9) ?v_1524))))) (=> true (=> (not ?v_1522) (and (=> true (=> ?v_1525 (=> (= inline.EvtIoChildRead.0.myVar_0.10 ?v_1523) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.10) ?v_1526))))) (=> true (=> (not ?v_1525) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.11 inline.EvtIoChildRead.0.myVar_0.8) ?v_1526)))))))))) (let ((?v_4636 (=> true ?v_1625)) (?v_4008 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4009 (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_4010 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_4011 (= reqCancelSet_1.19 reqCancelSet_1)) (?v_4012 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_4013 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_4697 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.)) (?v_4014 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_4015 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_4016 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_4017 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_4018 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_4019 (= inline.ReleaseDpcLock.6.myNondetVar_0.5 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_4020 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4021 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_4022 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_4023 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4024 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4642 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.)) (?v_4025 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_4026 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_4027 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4028 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4029 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4030 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4031 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked)) (?v_4032 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_4033 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4034 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0)) (?v_4035 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4036 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_4643 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_4037 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_4038 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4039 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0)) (?v_4644 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.)) (?v_4040 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_4041 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4042 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_4043 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_4044 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_4045 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_4046 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4047 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_4048 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4049 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_4712 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_4050 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4051 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4052 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_4053 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_4054 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_4055 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_4056 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_4057 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.)) (?v_4058 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_4059 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_4060 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_4061 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4062 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_4063 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4064 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_4065 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_4066 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_4067 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_4068 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_4646 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_4069 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_4070 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4071 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_4072 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_4073 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4074 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4075 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4076 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_4077 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_4078 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4079 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4080 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4081 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_4082 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_4083 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4084 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_4085 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.)) (?v_4086 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_4087 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_4088 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_4089 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_4647 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.)) (?v_4090 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4091 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4092 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4093 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_4094 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_4095 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4096 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4097 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_4098 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4099 (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0)) (?v_4100 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0)) (?v_4101 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4102 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4790 (= alloc.14 alloc.4)) (?v_4103 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4104 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_4105 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_4106 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_4107 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_4108 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_4109 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_4110 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_4111 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4112 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0)) (?v_4113 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4715 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.)) (?v_4114 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_4115 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.)) (?v_4116 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4117 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_4118 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4119 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_4120 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_4121 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4122 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_4123 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_4124 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_4125 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4126 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_4127 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4650 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.)) (?v_4128 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4129 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4130 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_4131 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_4132 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_4133 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_4134 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4135 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_4136 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4137 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0)) (?v_4698 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4138 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4139 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_4140 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4141 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4142 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_4143 (= lockStatus_0.42 lockStatus_0.2)) (?v_4717 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4652 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4653 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4144 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4145 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4146 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_4147 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_4148 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_4149 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_4699 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_4150 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_4151 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4152 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_4153 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_4154 (= inline.ReleaseDpcLock.5.myVar_0.6 inline.ReleaseDpcLock.5.myVar_0)) (?v_4155 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_4654 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4156 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4700 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4157 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_4158 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4159 (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0)) (?v_4160 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4161 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_4655 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4162 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_4163 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_4164 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4165 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4166 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4167 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_4168 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4169 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4170 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_4171 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4172 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4173 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4174 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_4175 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_4176 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_4177 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_4178 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0)) (?v_4179 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_4180 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4181 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_4182 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4183 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1.)) (?v_4184 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4185 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_4186 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4187 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4188 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_4656 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_4189 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_4190 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4191 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_4192 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_4193 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_4194 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_4195 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_4196 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4701 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4657 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_4197 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4198 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4199 (= inline.ReleaseDpcLock.6.myVar_0.5 inline.ReleaseDpcLock.6.myVar_0)) (?v_4200 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_4201 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_4202 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4203 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4204 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4205 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4206 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4207 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_4208 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4209 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4210 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_4211 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_4212 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4213 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_4214 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_4215 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4216 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_4217 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_4218 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_4219 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4220 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_4221 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_4222 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_4223 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0)) (?v_4224 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_4225 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4226 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_4227 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_4658 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_4228 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4229 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4230 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_4659 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4231 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_4232 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_4233 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_4234 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_4235 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked)) (?v_4236 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_4237 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_4238 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_4660 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_4239 (= reqCancelSet_0.19 reqCancelSet_0)) (?v_4240 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0)) (?v_4241 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4242 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_4661 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4243 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_4244 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_4245 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4246 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_4662 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4247 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4248 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4249 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_4250 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_4251 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4726 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4252 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_4253 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4254 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4255 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4256 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.)) (?v_4257 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.)) (?v_4258 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_4259 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4260 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_4261 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_4262 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4263 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_4264 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_4265 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_4664 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4266 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.)) (?v_4267 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_4268 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4269 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_4270 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.)) (?v_4271 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4272 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4273 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4274 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_4665 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4275 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4276 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_4277 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4278 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_4279 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_4729 (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.0)) (?v_4280 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_4281 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4282 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_4283 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_4284 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_4285 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_4666 (= k.188 k.21)) (?v_4286 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4287 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_4288 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4289 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_4290 (= reqCompleted_1.13 reqCompleted_1)) (?v_4291 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_4292 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4293 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_4294 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4295 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_4296 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_4297 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4298 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0)) (?v_4299 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_4300 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_4301 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0)) (?v_4302 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_4303 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_4304 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4305 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4667 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4306 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4307 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4308 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_4309 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4310 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_4311 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4312 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.)) (?v_4313 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_4314 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4315 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_4316 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_4317 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_4318 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_4319 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_4320 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_4321 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4322 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4668 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_4323 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4324 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_4325 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4326 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_4327 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_4328 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4329 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_4669 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4330 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_4331 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4332 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4333 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_4334 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4670 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_4335 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_4336 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_4337 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4338 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_4339 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_4340 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4341 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_4342 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4343 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4344 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_4671 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_4345 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_4346 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_4347 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4348 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_4349 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_4350 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_4351 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_4352 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_4353 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_4354 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4355 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_4356 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_4357 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_4672 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4358 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_4359 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_4360 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_4361 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_4362 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_4363 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4364 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4365 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4673 (= errorReached.135 errorReached.20)) (?v_4366 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_4367 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_4368 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_4369 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4370 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_4371 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_4372 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_4373 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_4374 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_4375 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0)) (?v_4376 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_4377 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.)) (?v_4378 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4379 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0)) (?v_4380 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_4381 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_4382 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4383 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_4384 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4385 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4674 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_4386 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_4387 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_4388 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4389 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4390 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4391 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_4392 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4675 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.)) (?v_4393 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4394 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_4395 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_4396 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_4397 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0)) (?v_4398 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4399 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4676 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_4400 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4401 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4402 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_4403 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_4404 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4405 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_4406 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4407 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0)) (?v_4408 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4409 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4738 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4410 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_4411 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4412 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4413 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4678 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_4414 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_4415 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_4416 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_4417 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4418 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4419 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4420 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4421 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_4422 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4423 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4679 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.)) (?v_4424 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0)) (?v_4425 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.)) (?v_4426 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4427 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4428 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2051 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 1)) (?v_4429 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_4430 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4431 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_4680 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.)) (?v_4432 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_4433 (= lockStatus_1.42 lockStatus_1.2)) (?v_4434 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_4435 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_4681 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_4436 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0)) (?v_4437 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4438 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.)) (?v_4439 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4440 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4441 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_4442 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_4443 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_4444 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_4445 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_4446 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_4447 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_4448 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_4449 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_4450 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4451 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_4452 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_4682 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_4453 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_4454 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_4455 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_4456 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_4457 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4458 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_4459 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_4460 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_4461 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4462 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_4463 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4464 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_4465 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_4466 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4467 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4468 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_4702 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4469 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_4470 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_4683 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_4471 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.)) (?v_4472 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_4473 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_4474 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4475 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_4476 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4764 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead)) (?v_4477 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4685 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_4478 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_4479 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4480 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4481 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_4482 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_4483 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4484 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4485 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_4486 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4487 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_4488 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4686 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4489 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_4490 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_4491 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4492 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_4493 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_4494 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_4495 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4687 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.)) (?v_4496 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_4497 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0)) (?v_4498 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_4499 (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0)) (?v_4500 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_4501 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_4502 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4688 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.)) (?v_4503 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_4504 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_4505 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_4506 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_4507 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_4508 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_4509 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4510 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4511 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_4512 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_4513 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_4514 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4515 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_4516 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_4517 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4518 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_4519 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_4520 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_4521 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4522 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_4523 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4524 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_4525 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_4526 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4527 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4528 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4529 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4530 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_4531 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_4532 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_4533 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_4534 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4535 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4536 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_4537 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4689 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_4538 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4539 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4540 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4541 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_4542 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4543 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0)) (?v_4544 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_4545 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4546 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_4547 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4548 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4549 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4550 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_4551 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4552 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4553 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4690 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_4554 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_4555 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4556 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_4557 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.)) (?v_4558 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_4559 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_4560 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_4561 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4562 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0)) (?v_4563 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4564 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4565 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_4566 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_4691 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer)) (?v_4567 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.)) (?v_4568 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4569 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_4570 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_4571 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4572 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4791 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 0)) (?v_4573 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_4574 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_4575 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_4576 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_4577 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_4578 (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_4579 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4580 (= reqCompleted_0.13 reqCompleted_0)) (?v_4765 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_4581 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_4582 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_4583 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4584 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4766 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.)) (?v_4767 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4585 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_4586 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_4587 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4588 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_4589 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0)) (?v_4590 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_4591 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4592 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_4593 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4594 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_4595 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_4596 (= inline.ReleaseDpcLock.2.myVar_0.6 inline.ReleaseDpcLock.2.myVar_0)) (?v_4597 (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_4598 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_4599 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4600 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0)) (?v_4601 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_4602 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_4603 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4604 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_4605 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_4606 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4607 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_4608 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_4609 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_4610 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_4611 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_4612 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_4613 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_4614 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_4615 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4616 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4617 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_4618 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4619 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_4620 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_4621 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4622 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_4623 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4624 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4625 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4626 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_4627 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4628 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_4629 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_4630 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_4631 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_4632 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_4633 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_4634 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_4635 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1))) (let ((?v_4703 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 ?v_4636))))))))))))))) (let ((?v_4770 (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) ?v_4703))) (let ((?v_4782 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) ?v_4770)))))))))))))))))))))))))))))))))))))))))) (let ((?v_4792 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4765 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4766 (=> ?v_4767 ?v_4782))))))))))))))))) (let ((?v_4793 (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4643 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4644 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4790 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4650 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.17) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4652 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4654 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4656 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 myNondetVar_0.0) (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4657 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4658 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4660 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4664 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4665 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4666 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4667 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4668 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4672 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4673 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4674 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4675 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4676 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4678 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4679 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4680 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4682 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4764 (=> ?v_4477 (=> ?v_4685 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4686 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4687 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4689 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4690 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4691 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> ?v_4791 ?v_4792)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4716 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4781 (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.14)) (?v_1582 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)) (?v_4724 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_4725 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4737 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call18581formal.ret.0)) (?v_4739 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_4744 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_4749 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call18581formal.ret.0)) (?v_4780 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4723 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 call16648formal.new.0)) (?v_4728 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 call34520formal.ret.0)) (?v_4731 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 hrequest)) (?v_4736 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 call34572formal.new.0)) (?v_4740 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_4741 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0)) (?v_4746 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 call34520formal.ret.0)) (?v_4748 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 hrequest)) (?v_4750 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 call34572formal.new.0)) (?v_4768 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2)) (?v_4769 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_4763 (<= 0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_4710 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4711 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4714 (= alloc.14 alloc.7)) (?v_4718 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16648formal.new.0)) (?v_4720 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_4722 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call34657formal.new.0)) (?v_4727 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call34722formal.ret.0)) (?v_4730 (= k.188 k.25)) (?v_4732 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call34722formal.ret.0)) (?v_4733 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4734 (= errorReached.135 errorReached.23)) (?v_4735 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_4742 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_4745 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34657formal.new.0))) (let ((?v_4751 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_4767 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4768 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4769 (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) ?v_4703))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4752 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4713 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call34852formal.ret.0)) (?v_4719 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34852formal.ret.0)) (?v_4721 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34852formal.ret.0)) (?v_4743 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 call34852formal.ret.0)) (?v_4747 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 call34852formal.ret.0)) (?v_4709 (- 0 1073741670)) (?v_4708 (= call34852formal.ret.0 0)) (?v_4696 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4645 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4648 (= alloc.14 alloc.5)) (?v_4649 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4651 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call18685formal.new.0)) (?v_4663 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4677 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call18685formal.new.0)) (?v_4684 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4692 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4765 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4766 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16645formal.new.0) ?v_4782)))))))))))))))) (?v_4641 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_4007 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1627 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1628 (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0.5)) (?v_1629 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1)) (?v_1630 (= reqCancelSet_1.19 reqCancelSet_1.18)) (?v_1631 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1632 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1563 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0)) (?v_1633 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0)) (?v_1634 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2)) (?v_1635 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_1636 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1)) (?v_1637 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1638 (= inline.ReleaseDpcLock.6.myNondetVar_0.5 inline.ReleaseDpcLock.6.myNondetVar_0.4)) (?v_1639 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1640 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6)) (?v_1641 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue)) (?v_1642 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1643 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1564 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 call18835formal.ret.0)) (?v_1644 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2)) (?v_1645 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0)) (?v_1646 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1647 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1648 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0)) (?v_1649 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue)) (?v_1650 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1651 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1)) (?v_1652 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1653 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0.2)) (?v_1654 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1655 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_1565 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1656 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2)) (?v_1657 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest)) (?v_1658 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0.5)) (?v_1566 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0)) (?v_1659 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1)) (?v_1660 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1661 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1)) (?v_1662 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1663 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_1664 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0)) (?v_1665 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1666 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1667 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0)) (?v_1668 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1)) (?v_1567 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1669 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1670 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1671 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1)) (?v_1672 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1)) (?v_1673 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0)) (?v_1674 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1675 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1676 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0)) (?v_1677 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1)) (?v_1678 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2)) (?v_1679 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1)) (?v_1680 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1681 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1682 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1683 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0.4)) (?v_1684 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0.4)) (?v_1685 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1)) (?v_1686 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2)) (?v_1687 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1568 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0)) (?v_1688 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1)) (?v_1689 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1690 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1691 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0.3)) (?v_1692 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1693 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1694 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1695 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_1696 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1697 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1698 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1699 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1700 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2)) (?v_1701 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0)) (?v_1702 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1703 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1704 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1705 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0)) (?v_1706 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2)) (?v_1707 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3)) (?v_1708 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1)) (?v_1569 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0)) (?v_1709 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1710 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1711 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1712 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1713 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0)) (?v_1714 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1715 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1716 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1)) (?v_1717 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1718 (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0.2)) (?v_1719 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0.5)) (?v_1720 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1721 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1722 (= alloc.14 alloc.13)) (?v_1723 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1724 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1725 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1726 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2)) (?v_1727 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue)) (?v_1728 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1729 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1)) (?v_1730 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1)) (?v_1731 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1732 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0.16)) (?v_1733 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1570 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0)) (?v_1734 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1735 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0)) (?v_1736 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1737 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1738 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1739 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6)) (?v_1740 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1)) (?v_1741 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1742 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1)) (?v_1743 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1744 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1)) (?v_1745 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1746 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1747 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1571 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0)) (?v_1748 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1749 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1750 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1751 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1)) (?v_1752 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1753 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1754 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1755 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2)) (?v_1756 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1757 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0.4)) (?v_1572 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1758 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1759 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0)) (?v_1573 (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.27)) (?v_1760 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1761 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue)) (?v_1762 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1763 (= lockStatus_0.42 lockStatus_0.41)) (?v_1574 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1575 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1576 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1764 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1765 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1766 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_1767 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1)) (?v_1768 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1)) (?v_1769 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2)) (?v_1577 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1770 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3)) (?v_1771 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1772 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2)) (?v_1773 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0)) (?v_1774 (= inline.ReleaseDpcLock.5.myVar_0.6 inline.ReleaseDpcLock.5.myVar_0.5)) (?v_1775 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1)) (?v_1578 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1776 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1579 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1777 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4)) (?v_1778 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1779 (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0.3)) (?v_1780 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1781 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1)) (?v_1580 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1782 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0)) (?v_1783 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1784 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1785 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1786 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1787 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2)) (?v_1788 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1789 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_1790 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1)) (?v_1791 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1792 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1793 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1794 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0)) (?v_1795 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2)) (?v_1796 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0)) (?v_1797 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0)) (?v_1798 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15)) (?v_1799 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2)) (?v_1800 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1801 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1802 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1803 (= inline.GetDeviceContext.6..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1804 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1805 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0)) (?v_1806 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1807 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1808 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0.4)) (?v_1581 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1809 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1)) (?v_1810 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1811 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1812 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0)) (?v_1813 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1)) (?v_1814 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1815 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0.4)) (?v_1816 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1583 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1584 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_1817 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1818 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1819 (= inline.ReleaseDpcLock.6.myVar_0.5 inline.ReleaseDpcLock.6.myVar_0.4)) (?v_1820 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1821 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0)) (?v_1822 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1823 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1824 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1825 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1826 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1827 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0)) (?v_1828 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1829 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1830 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1831 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.5)) (?v_1832 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1833 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_1834 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2)) (?v_1835 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1836 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1837 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0)) (?v_1838 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1839 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1840 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1841 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1)) (?v_1842 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1)) (?v_1843 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0.4)) (?v_1844 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1845 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1846 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0)) (?v_1847 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1)) (?v_1585 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1848 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1849 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1850 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1)) (?v_1586 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1851 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2)) (?v_1852 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2)) (?v_1853 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0)) (?v_1854 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2)) (?v_1855 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1856 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1857 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1858 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1)) (?v_1587 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1859 (= reqCancelSet_0.19 reqCancelSet_0.18)) (?v_1860 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0.4)) (?v_1861 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1862 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1588 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1863 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1864 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0)) (?v_1865 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1866 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1)) (?v_1589 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1867 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1868 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1869 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_1870 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0)) (?v_1871 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1590 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1872 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1873 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1874 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1875 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1876 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1877 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0)) (?v_1878 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0)) (?v_1879 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1880 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1)) (?v_1881 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1882 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1883 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1)) (?v_1884 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0)) (?v_1885 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1591 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1886 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1887 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0)) (?v_1888 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1889 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_1890 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0)) (?v_1891 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1892 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1893 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1894 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1)) (?v_1592 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_1895 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1896 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2)) (?v_1897 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1898 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1899 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_1593 (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.3)) (?v_1900 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0)) (?v_1901 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1902 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2)) (?v_1903 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1904 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0.21)) (?v_1905 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3)) (?v_1906 (= k.188 k.187)) (?v_1907 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0)) (?v_1908 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3)) (?v_1909 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1910 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2)) (?v_1911 (= reqCompleted_1.13 reqCompleted_1.12)) (?v_1912 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1)) (?v_1913 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_1914 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0)) (?v_1915 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1916 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1917 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1918 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1919 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0.2)) (?v_1920 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0)) (?v_1921 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0)) (?v_1922 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0.4)) (?v_1923 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1924 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1)) (?v_1925 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1926 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1594 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_1927 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1928 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1929 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1)) (?v_1930 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1931 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1)) (?v_1932 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1933 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0)) (?v_1934 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_1935 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1936 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1)) (?v_1937 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1938 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1939 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1940 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1)) (?v_1941 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1)) (?v_1942 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1943 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1595 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_1944 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1945 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1946 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1947 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1948 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1)) (?v_1949 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1950 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1)) (?v_1596 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1951 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1952 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1953 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1954 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1)) (?v_1955 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1597 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call18835formal.ret.0)) (?v_1956 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1)) (?v_1957 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4)) (?v_1958 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1959 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0)) (?v_1960 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_1961 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_1962 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1)) (?v_1963 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1964 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1965 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_1598 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call18835formal.ret.0)) (?v_1966 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1)) (?v_1967 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1968 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1969 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0)) (?v_1970 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_1971 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1972 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0)) (?v_1973 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0)) (?v_1974 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3)) (?v_1975 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1976 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2)) (?v_1977 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1)) (?v_1978 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0.3)) (?v_1599 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1979 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.5)) (?v_1980 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1981 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1)) (?v_1982 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3)) (?v_1983 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1984 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1985 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1986 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1987 (= errorReached.135 errorReached.134)) (?v_1988 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest)) (?v_1989 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1990 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1991 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1992 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_1993 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0)) (?v_1994 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3)) (?v_1995 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2)) (?v_1996 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1)) (?v_1997 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1)) (?v_1998 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1999 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0)) (?v_2000 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2001 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0.4)) (?v_2002 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3)) (?v_2003 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0)) (?v_2004 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2005 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2)) (?v_2006 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2007 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1600 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_2008 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1)) (?v_2009 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_2010 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2011 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_2012 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2013 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0)) (?v_2014 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1601 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0)) (?v_2015 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2016 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3)) (?v_2017 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1)) (?v_2018 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0.4)) (?v_2019 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0.4)) (?v_2020 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_2021 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1602 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_2022 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2023 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_2024 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1)) (?v_2025 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest)) (?v_2026 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2027 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0)) (?v_2028 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2029 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0.3)) (?v_2030 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2031 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1603 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_2032 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2)) (?v_2033 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2034 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue)) (?v_2035 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1604 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_2036 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0)) (?v_2037 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1)) (?v_2038 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2)) (?v_2039 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2040 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_2041 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2042 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_2043 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0)) (?v_2044 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2045 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1605 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0)) (?v_2046 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0.1)) (?v_2047 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_2048 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_2049 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_2050 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_2052 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_2053 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_2054 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1)) (?v_1606 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1)) (?v_2055 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_2056 (= lockStatus_1.42 lockStatus_1.41)) (?v_2057 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_2058 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2)) (?v_1607 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call18835formal.ret.0)) (?v_2059 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0.4)) (?v_2060 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_2061 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0)) (?v_2062 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_2063 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2064 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0)) (?v_2065 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_2066 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1)) (?v_2067 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2)) (?v_2068 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_2069 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1)) (?v_2070 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0)) (?v_2071 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_2072 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0)) (?v_2073 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2074 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_2075 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_1608 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_2076 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_2077 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1)) (?v_2078 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0)) (?v_2079 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_2080 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_2081 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_2082 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_2083 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2084 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2085 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1)) (?v_2086 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2087 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0)) (?v_2088 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1)) (?v_2089 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2090 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2091 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0)) (?v_1609 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_2092 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_2093 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0)) (?v_1610 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0)) (?v_2094 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0)) (?v_2095 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0)) (?v_2096 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1)) (?v_2097 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2098 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_2099 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1611 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0)) (?v_2100 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1612 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_2101 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0)) (?v_2102 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_2103 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_2104 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0)) (?v_2105 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_2106 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2107 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_2108 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1)) (?v_2109 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2110 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2)) (?v_2111 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1613 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_2112 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0)) (?v_2113 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0)) (?v_2114 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2115 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1)) (?v_2116 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2)) (?v_2117 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_2118 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1614 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0)) (?v_2119 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1)) (?v_2120 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0.2)) (?v_2121 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1)) (?v_2122 (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0.2)) (?v_2123 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_2124 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1)) (?v_2125 (= inline.GetDeviceContext.6..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1615 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0)) (?v_2126 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0.21)) (?v_2127 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0)) (?v_2128 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2)) (?v_2129 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_2130 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_2131 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1)) (?v_2132 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_2133 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2134 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_2135 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_2136 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0)) (?v_2137 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2138 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_2139 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0)) (?v_2140 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2141 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_2142 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1)) (?v_2143 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1)) (?v_2144 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_2145 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_2146 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2147 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1)) (?v_2148 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0)) (?v_2149 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_2150 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2151 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2152 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2153 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_2154 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_2155 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1)) (?v_2156 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2157 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2158 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2159 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0)) (?v_2160 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1616 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_2161 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_2162 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2163 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_2164 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0)) (?v_2165 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_2166 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0.2)) (?v_2167 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1)) (?v_2168 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2169 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1)) (?v_2170 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_2171 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2172 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2173 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_2174 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2175 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2176 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1617 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_2177 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1)) (?v_2178 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2179 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0)) (?v_2180 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0)) (?v_2181 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0)) (?v_2182 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3)) (?v_2183 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1)) (?v_2184 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2185 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0.1)) (?v_2186 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2187 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2188 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_2189 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1)) (?v_1618 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_2190 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0)) (?v_2191 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_2192 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1)) (?v_2193 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_2194 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2195 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1619 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_1620 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0)) (?v_1621 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1622 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3)) (?v_1623 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2)) (?v_1624 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1))) (let ((?v_2196 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0.4) (=> (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> ?v_1619 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_1620 (=> ?v_1621 (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.2.myVar_0.6 inline.ReleaseDpcLock.2.myVar_0.5) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0.5) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0.16) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2) (=> (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) (=> ?v_1622 (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> ?v_1623 (=> ?v_1624 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0) ?v_4636)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1626 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_3055 (and (=> true (=> (not ?v_1626) (=> true (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1563 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1564 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1565 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1566 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1567 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1568 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1569 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1570 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1571 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1572 (=> ?v_1758 (=> ?v_1759 (=> ?v_1573 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1577 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1578 (=> ?v_1776 (=> ?v_1579 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1580 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1581 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1582 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1583 (=> ?v_1584 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1585 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1586 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1587 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1588 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1589 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1590 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1591 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1592 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1593 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1594 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1595 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1596 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1597 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1598 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1599 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_1600 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_1601 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_1602 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_1603 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_1604 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1605 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_717 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_1606 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_1607 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_1608 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_1609 (=> ?v_2092 (=> ?v_2093 (=> ?v_1610 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_1611 (=> ?v_2100 (=> ?v_1612 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_1613 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_1614 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_1615 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_1616 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_1617 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_1618 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2) ?v_2196))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1626 (=> true (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1563 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1564 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1565 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1566 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1567 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1568 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1569 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1570 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1571 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1572 (=> ?v_1758 (=> ?v_1759 (=> ?v_1573 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1577 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1578 (=> ?v_1776 (=> ?v_1579 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1580 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1581 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1582 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1583 (=> ?v_1584 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1585 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1586 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1587 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1588 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1589 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1590 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1591 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1592 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1593 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1594 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1595 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1596 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1597 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1598 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1599 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_1600 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_1601 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_1602 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_1603 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_1604 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1605 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_1606 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_1607 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_1608 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_1609 (=> ?v_2092 (=> ?v_2093 (=> ?v_1610 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_1611 (=> ?v_2100 (=> ?v_1612 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_1613 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_1614 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_1615 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_1616 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_1617 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_1618 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_4791 ?v_2196)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3421 (=> true (=> true (=> true (=> true (=> true ?v_3055)))))) (?v_3080 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3081 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_3082 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3083 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_3084 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_3085 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3086 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3087 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3088 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3089 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_3090 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3091 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3092 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3093 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_3094 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3095 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_3096 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3097 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3098 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3099 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_3100 (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3101 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3102 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3103 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3104 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_3382 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3105 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3106 (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1.)) (?v_3107 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_3108 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3109 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_3110 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3111 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3112 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_3383 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3113 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3114 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3115 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_3116 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3117 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3118 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3119 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_3120 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3121 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3122 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3384 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3123 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3124 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3125 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3127 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3128 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3129 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3130 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3131 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3132 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3133 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_3134 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_3135 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3137 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_3138 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3139 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_3140 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3141 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3142 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3143 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3144 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3145 (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0)) (?v_3146 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3147 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3149 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3150 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3151 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3152 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_3153 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3385 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_3154 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3155 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3156 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_3386 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3157 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3158 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_3159 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3160 (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0)) (?v_3161 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3162 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3163 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3387 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_3164 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3165 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_3166 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_3167 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3168 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3169 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3170 (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_3171 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3172 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_3173 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3174 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_3175 (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_3176 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3177 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3178 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3179 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3180 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3181 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3182 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3183 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_3184 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_3185 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3186 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3187 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3188 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_3189 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_3190 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_3191 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3192 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3193 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3194 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3195 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3196 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3197 (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0)) (?v_3198 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3199 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3201 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3202 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3203 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3204 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3205 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3388 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3206 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3207 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3208 (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1.)) (?v_3209 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3210 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_3211 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_3212 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_3214 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_3215 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3216 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3217 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3218 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_3219 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_3220 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3221 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_3222 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3223 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3224 (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0)) (?v_3225 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_3226 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3227 (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0)) (?v_3228 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3389 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_3229 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3230 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3231 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3232 (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3233 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3234 (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1.)) (?v_3235 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3237 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3238 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3239 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3240 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_3241 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3242 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3243 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3244 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_3245 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3246 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_3247 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3248 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3249 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3250 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3251 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_3252 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_3390 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3253 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3254 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_3255 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3256 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3257 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_3258 (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3391 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_3259 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3260 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_3261 (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1.)) (?v_3262 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3263 (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0)) (?v_3264 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3265 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3266 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3267 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3268 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_3269 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3270 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3271 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3272 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3273 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_3274 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_3275 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3276 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3277 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3278 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3279 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_3280 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3281 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3283 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_3284 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3285 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3286 (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0)) (?v_3287 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3288 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3289 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_3290 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3392 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_3291 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3292 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_3293 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3294 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_3295 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3393 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3296 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_3297 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3298 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3299 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3300 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3301 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3302 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3303 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3304 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_3305 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3307 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3308 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3309 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_3310 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3311 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3312 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3313 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3394 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3314 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3315 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3316 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_3317 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_3318 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_3319 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3320 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3322 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_3323 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_3324 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3325 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_3326 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_3327 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3328 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_3329 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3330 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3331 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3332 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3333 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_3334 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3335 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_3336 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3337 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_3338 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3339 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3340 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3341 (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3342 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_3343 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_3344 (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_3345 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3346 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3347 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3348 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3349 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3350 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3395 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3351 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3352 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3353 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3354 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3355 (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_3356 (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3358 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3359 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_3396 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3397 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3398 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3399 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_3400 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3401 (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_3402 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3403 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0)) (?v_3404 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3405 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3406 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_3407 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3408 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3409 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3410 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3411 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3412 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_3413 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3414 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3415 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_3416 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3417 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3418 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3419 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_3420 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.))) (let ((?v_3435 (=> true (=> ?v_3080 (=> ?v_3081 (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0) (=> (= reqCancelSet_1.18 reqCancelSet_1.7) (=> ?v_3082 (=> ?v_3083 (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_3084 (=> ?v_3085 (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0.3) (=> ?v_3086 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5) (=> ?v_3087 (=> ?v_3088 (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> ?v_3089 (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1) (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_3099 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3100 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> ?v_3101 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3102 (=> ?v_3103 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3104 (=> ?v_3382 (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3105 (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2) (=> ?v_3106 (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0) (=> ?v_3107 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3108 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.3) (=> ?v_3109 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_3110 (=> ?v_3111 (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_3112 (=> ?v_3383 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> ?v_3119 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3120 (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2) (=> ?v_3121 (=> ?v_3122 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3384 (=> ?v_3123 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3124 (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0.4) (=> ?v_3125 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= alloc.13 alloc.10) (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3134 (=> ?v_3135 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) (=> ?v_3137 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3141 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3142 (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0) (=> ?v_3143 (=> ?v_3144 (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3145 (=> ?v_3146 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3147 (=> (= lockStatus_0.41 lockStatus_0.24) (=> ?v_3149 (=> ?v_3150 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3385 (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> ?v_3154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3155 (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3156 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0.2) (=> ?v_3386 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_3160 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> ?v_3161 (=> ?v_3162 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> ?v_3163 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3387 (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1) (=> (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0.4) (=> ?v_3164 (=> ?v_3165 (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.ReleaseDpcLock.6.myVar_0.4 inline.ReleaseDpcLock.6.myVar_0.3) (=> ?v_3177 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3178 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3179 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_3180 (=> ?v_3181 (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_3182 (=> (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3183 (=> (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0.3) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> ?v_3187 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> ?v_3193 (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= reqCancelSet_0.18 reqCancelSet_0.7) (=> (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0.3) (=> ?v_3194 (=> ?v_3195 (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3199 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> ?v_3201 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3202 (=> ?v_3203 (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call33559formal.new.0) (=> ?v_3204 (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> ?v_3205 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3388 (=> ?v_3206 (=> ?v_3207 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3209 (=> ?v_3210 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_3211 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_3212 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= k.187 k.118) (=> ?v_3214 (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2) (=> ?v_3220 (=> ?v_3221 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3222 (=> ?v_3223 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3224 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> ?v_3225 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3226 (=> ?v_3227 (=> (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3228 (=> ?v_3389 (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_3229 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_3233 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_3234 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3235 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> ?v_3237 (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_3238 (=> ?v_3239 (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> ?v_3240 (=> ?v_3241 (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3242 (=> ?v_3243 (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0.4) (=> ?v_3247 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3248 (=> ?v_3249 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3250 (=> (= errorReached.134 errorReached.86) (=> ?v_3251 (=> ?v_3252 (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3390 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0.3) (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_3256 (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3257 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_3258 (=> ?v_3391 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3262 (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.3) (=> ?v_3263 (=> ?v_3264 (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3270 (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> ?v_3271 (=> ?v_3272 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3273 (=> ?v_3274 (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3275 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3276 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_3277 (=> (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0.0) (=> ?v_3278 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0) (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3392 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.3) (=> ?v_3393 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3299 (=> ?v_3300 (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3301 (=> ?v_3302 (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3303 (=> ?v_3304 (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0) (=> ?v_3305 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= reqCompleted_1.12 reqCompleted_1.5) (=> ?v_3307 (=> ?v_3308 (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_3309 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_3310 (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3311 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_3312 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3313 (=> ?v_3394 (=> ?v_3314 (=> (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0.1) (=> ?v_3315 (=> ?v_3316 (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0) (=> ?v_3317 (=> ?v_3318 (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_3319 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3320 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1) (=> ?v_3322 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_3323 (=> ?v_3324 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> ?v_3325 (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3332 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3333 (=> ?v_3334 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> ?v_3335 (=> ?v_3336 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3337 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3338 (=> ?v_3339 (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_3340 (=> ?v_3341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3345 (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call29293formal.ret.0) (=> ?v_3395 (=> ?v_3351 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> (= reqCompleted_0.12 reqCompleted_0.5) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_3358 (=> ?v_3359 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0) (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0.4) (=> ?v_3404 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3405 (=> ?v_3406 (=> (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3407 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0) (=> ?v_3408 (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_3409 (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> ?v_3410 (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_3411 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3412 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> ?v_3413 (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3414 (=> ?v_3415 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_3416 (=> ?v_3417 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> ?v_3418 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3419 (=> ?v_3420 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) ?v_3421)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3381 (= k.118 0)) (?v_3422 (= k.118 1))) (let ((?v_3428 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call34290formal.ret.0) ?v_3435))))))))) (?v_3427 (= inline.AcquireDpcLock.6.myVar_0.2 hlock))) (let ((?v_3423 (=> true (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= lockStatus_1.23 lockStatus_1.22) ?v_3428))))) (let ((?v_3426 (=> true ?v_3423)) (?v_3424 (= lockStatus_0.22 lockStatus_0.21)) (?v_3425 (= lockStatus_1.22 lockStatus_1.21)) (?v_3432 (not ?v_3422)) (?v_3429 (not ?v_3381))) (let ((?v_3431 (and (=> true (=> ?v_3427 (=> true (=> (=> ?v_3381 (= lockStatus_0.21 0)) (=> (=> ?v_3422 (= lockStatus_1.21 0)) (and (=> true (=> ?v_3381 (=> true (=> (= lockStatus_0.22 1) (=> ?v_3425 ?v_3423))))) (=> true (=> ?v_3429 (and (=> true (=> ?v_3422 (=> true (=> ?v_3424 (=> (= lockStatus_1.22 1) ?v_3426))))) (=> true (=> ?v_3432 (=> true (=> ?v_3424 (=> ?v_3425 ?v_3426)))))))))))))) (=> true (=> (not ?v_3427) (=> true (=> (= lockStatus_0.23 lockStatus_0.21) (=> (= lockStatus_1.23 lockStatus_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3428)))))))))))))) (let ((?v_3433 (=> true (=> true (=> true (=> true ?v_3431))))) (?v_3430 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3434 (and (=> true (=> ?v_3381 (=> (= inline.AcquireDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3430))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.1) ?v_3431))))) (=> true (=> ?v_3429 (and (=> true (=> ?v_3422 (=> (= inline.AcquireDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3430))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.0) ?v_3433))))) (=> true (=> ?v_3432 (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0) ?v_3433)))))))))) (let ((?v_3442 (and (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.1) ?v_3434)))) (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3381 ?v_288) (=> (=> ?v_3422 ?v_289) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.0) (=> true ?v_3434)))))) (=> true (=> (=> ?v_3381 ?v_391) (=> (=> ?v_3422 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_0.24 lockStatus_0.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.0) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3435)))))))))))))))))))))))) (let ((?v_3447 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3442)))))))))) (?v_3444 (= errorReached.86 errorReached.84)) (?v_3445 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_3446 (= k.118 k.116)) (?v_3449 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hdevice)) (?v_3448 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hqueue)) (?v_3443 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 htimer)) (?v_3441 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hrequest)) (?v_3440 (=> true (=> (= errorReached.86 errorReached.85) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 call34001formal.ret.0) (=> (= k.118 k.117) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3442)))))) (?v_3436 (= k.117 0)) (?v_3437 (= reqCompleted_0.5 0)) (?v_3438 (= k.117 1)) (?v_3439 (= reqCompleted_1.5 0))) (let ((?v_3375 (not ?v_3437)) (?v_3376 (not ?v_3439))) (let ((?v_3452 (and (=> true (=> ?v_3441 (=> true (=> (<= k.116 k.117) (=> (< k.117 2) (and (=> true (=> (=> ?v_3436 ?v_3375) (=> (=> ?v_3438 ?v_3376) (=> true (=> (= errorReached.85 1) ?v_3440))))) (=> true (=> (=> ?v_3436 ?v_3437) (=> (=> ?v_3438 ?v_3439) (=> true (=> (= errorReached.85 errorReached.84) (=> true ?v_3440)))))))))))) (=> true (=> (not ?v_3441) (and (=> true (=> ?v_3443 (=> true (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3447))))))) (=> true (=> (not ?v_3443) (and (=> true (=> ?v_3448 (=> true (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3447))))))) (=> true (=> (not ?v_3448) (and (=> true (=> ?v_3449 (=> true (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3447))))))) (=> true (=> (not ?v_3449) (=> true (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3447))))))))))))))))))) (let ((?v_3453 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3452)))))))))))) (?v_3450 (= k.116 1)) (?v_3451 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3466 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3451))) (?v_3380 (= k.116 0)) (?v_3373 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3451)))) (let ((?v_3455 (and (=> true (=> ?v_3380 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.19) ?v_3452))))) (=> true (=> (not ?v_3380) (and (=> true (=> ?v_3450 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.18) ?v_3453))))) (=> true (=> (not ?v_3450) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) ?v_3453)))))))))) (let ((?v_3454 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call33882formal.ret.0) ?v_3455)))) (let ((?v_3460 (and (=> true (=> (=> ?v_3380 ?v_37) (=> (=> ?v_3450 ?v_39) ?v_3454))) (=> true (=> (=> ?v_3380 ?v_635) (=> (=> ?v_3450 ?v_637) (and (=> true (=> (=> ?v_3380 ?v_542) (=> (=> ?v_3450 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3454)))))))))))) (=> true (=> (=> ?v_3380 ?v_639) (=> (=> ?v_3450 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_3455))))))))))))))))) (let ((?v_3462 (=> (= errorReached.84 errorReached.82) (=> (= k.116 k.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3460))))))))))))) (?v_3464 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hdevice)) (?v_3463 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hqueue)) (?v_3461 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 htimer)) (?v_3459 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hrequest)) (?v_3458 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.84 errorReached.83) (=> (= k.116 k.115) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 call33685formal.ret.0) ?v_3460)))))) (?v_3456 (= k.115 0)) (?v_3457 (= k.115 1))) (let ((?v_3467 (and (=> true (=> ?v_3459 (=> true (=> (<= k.114 k.115) (=> (< k.115 2) (and (=> true (=> (=> ?v_3456 ?v_3375) (=> (=> ?v_3457 ?v_3376) (=> true (=> (= errorReached.83 1) ?v_3458))))) (=> true (=> (=> ?v_3456 ?v_3437) (=> (=> ?v_3457 ?v_3439) (=> true (=> (= errorReached.83 errorReached.82) (=> true ?v_3458)))))))))))) (=> true (=> (not ?v_3459) (and (=> true (=> ?v_3461 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3462)))) (=> true (=> (not ?v_3461) (and (=> true (=> ?v_3463 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3462)))) (=> true (=> (not ?v_3463) (and (=> true (=> ?v_3464 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3462)))) (=> true (=> (not ?v_3464) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3462)))))))))))))))) (let ((?v_3469 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3467)))))))))))) (?v_3468 (= k.114 1)) (?v_3465 (= k.114 0)) (?v_1544 (>= 1 0)) (?v_3379 (int_2_U call33559formal.new.0))) (let ((?v_3472 (=> true (and ?v_1544 (=> ?v_1544 (=> (> call33559formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call33559formal.new.0 ?x357) (< ?x357 (+ call33559formal.new.0 1))) (= (Base ?x357) call33559formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call33559formal.new.0) (= (MapType0Select alloc.9 ?x358) (MapType0Select alloc.10 ?x358)))) :pattern ((MapType0Select alloc.10 ?x358)) )) (=> (and (= (MapType0Select alloc.9 ?v_3379) UNALLOCATED) (= (MapType0Select alloc.10 ?v_3379) ALLOCATED)) (=> true (=> (<= k.113 k.114) (=> (< k.114 2) (and (=> true (=> ?v_3465 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.16) ?v_3467))))) (=> true (=> (not ?v_3465) (and (=> true (=> ?v_3468 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.15) ?v_3469))))) (=> true (=> (not ?v_3468) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) ?v_3469)))))))))))))))))))) (let ((?v_3473 (=> true (=> true (=> true ?v_3472)))) (?v_3470 (= k.113 0)) (?v_3471 (= k.113 1))) (let ((?v_3478 (and (=> true (=> (=> ?v_3470 ?v_37) (=> (=> ?v_3471 ?v_39) ?v_3472))) (=> true (=> (=> ?v_3470 ?v_635) (=> (=> ?v_3471 ?v_637) (and (=> true (=> (=> ?v_3470 ?v_542) (=> (=> ?v_3471 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3473)))))))))))) (=> true (=> (=> ?v_3470 ?v_639) (=> (=> ?v_3471 ?v_640) ?v_3473))))))))) (?v_3480 (= errorReached.82 errorReached.80))) (let ((?v_3481 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.) (=> (= k.113 k.111) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3478)))))))))))) (?v_3483 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hdevice)) (?v_3482 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hqueue)) (?v_3479 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 htimer)) (?v_3477 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hrequest)) (?v_3476 (=> true (=> (= errorReached.82 errorReached.81) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call33357formal.ret.0) (=> (= k.113 k.112) ?v_3478)))))) (?v_3474 (= k.112 0)) (?v_3475 (= k.112 1))) (let ((?v_3485 (and (=> true (=> ?v_3477 (=> true (=> (<= k.111 k.112) (=> (< k.112 2) (and (=> true (=> (=> ?v_3474 ?v_3375) (=> (=> ?v_3475 ?v_3376) (=> true (=> (= errorReached.81 1) ?v_3476))))) (=> true (=> (=> ?v_3474 ?v_3437) (=> (=> ?v_3475 ?v_3439) (=> true (=> (= errorReached.81 errorReached.80) (=> true ?v_3476)))))))))))) (=> true (=> (not ?v_3477) (and (=> true (=> ?v_3479 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3481))))) (=> true (=> (not ?v_3479) (and (=> true (=> ?v_3482 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3481))))) (=> true (=> (not ?v_3482) (and (=> true (=> ?v_3483 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3481))))) (=> true (=> (not ?v_3483) (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3481))))))))))))))))) (let ((?v_3487 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3485)))))))))))) (?v_3486 (= k.111 1)) (?v_3484 (= k.111 0))) (let ((?v_3502 (=> true (=> (<= k.110 k.111) (=> (< k.111 2) (and (=> true (=> ?v_3484 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.13) ?v_3485))))) (=> true (=> (not ?v_3484) (and (=> true (=> ?v_3486 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.12) ?v_3487))))) (=> true (=> (not ?v_3486) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) ?v_3487)))))))))))) (?v_3496 (= k.107 0)) (?v_3499 (= k.107 1))) (let ((?v_3495 (=> true (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.2) (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= k.110 k.109) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) ?v_3502)))))))))) (?v_3494 (= inline.ReleaseDpcLock.6.myVar_0.2 hlock))) (let ((?v_3489 (=> true (=> (= lockStatus_0.20 lockStatus_0.19) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call33169formal.ret.0) (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= k.109 k.108) ?v_3495))))))) (let ((?v_3493 (=> true ?v_3489)) (?v_3491 (= lockStatus_0.19 lockStatus_0.18)) (?v_3492 (= lockStatus_1.19 lockStatus_1.18)) (?v_3490 (= k.108 1)) (?v_3488 (= k.108 0))) (let ((?v_3498 (and (=> true (=> ?v_3494 (=> true (=> (<= k.107 k.108) (=> (< k.108 2) (and (=> true (=> ?v_3488 (=> true (=> (= lockStatus_0.19 0) (=> ?v_3492 ?v_3489))))) (=> true (=> (not ?v_3488) (and (=> true (=> ?v_3490 (=> true (=> ?v_3491 (=> (= lockStatus_1.19 0) ?v_3493))))) (=> true (=> (not ?v_3490) (=> true (=> ?v_3491 (=> ?v_3492 ?v_3493)))))))))))))) (=> true (=> (not ?v_3494) (=> true (=> (= lockStatus_0.20 lockStatus_0.18) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.20 lockStatus_1.18) (=> (= k.109 k.107) (=> true (=> true (=> true ?v_3495))))))))))))) (let ((?v_3500 (=> true (=> true (=> true (=> true ?v_3498))))) (?v_3497 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3501 (and (=> true (=> ?v_3496 (=> (= inline.ReleaseDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3497))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.0) ?v_3498))))) (=> true (=> (not ?v_3496) (and (=> true (=> ?v_3499 (=> (= inline.ReleaseDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3497))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.1) ?v_3500))))) (=> true (=> (not ?v_3499) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0) ?v_3500)))))))))) (let ((?v_3507 (and (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.0) ?v_3501)))) (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3496 ?v_288) (=> (=> ?v_3499 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> true (=> true (=> true ?v_3501)))))))) (=> true (=> (=> ?v_3496 ?v_391) (=> (=> ?v_3499 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> (= lockStatus_0.21 lockStatus_0.18) (=> (= k.110 k.107) (=> (= lockStatus_1.21 lockStatus_1.18) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_3502)))))))))))))))))))) (?v_3509 (= errorReached.80 errorReached.78))) (let ((?v_3510 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.) (=> (= k.107 k.105) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3507)))))))))))) (?v_3512 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hdevice)) (?v_3511 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hqueue)) (?v_3508 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 htimer)) (?v_3506 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hrequest)) (?v_3505 (=> true (=> (= errorReached.80 errorReached.79) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call32928formal.ret.0) (=> (= k.107 k.106) ?v_3507)))))) (?v_3503 (= k.106 0)) (?v_3504 (= k.106 1))) (let ((?v_3514 (and (=> true (=> ?v_3506 (=> true (=> (<= k.105 k.106) (=> (< k.106 2) (and (=> true (=> (=> ?v_3503 ?v_3375) (=> (=> ?v_3504 ?v_3376) (=> true (=> (= errorReached.79 1) ?v_3505))))) (=> true (=> (=> ?v_3503 ?v_3437) (=> (=> ?v_3504 ?v_3439) (=> true (=> (= errorReached.79 errorReached.78) (=> true ?v_3505)))))))))))) (=> true (=> (not ?v_3506) (and (=> true (=> ?v_3508 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3510))))) (=> true (=> (not ?v_3508) (and (=> true (=> ?v_3511 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3510))))) (=> true (=> (not ?v_3511) (and (=> true (=> ?v_3512 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3510))))) (=> true (=> (not ?v_3512) (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3510))))))))))))))))) (let ((?v_3516 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3514)))))))))))) (?v_3515 (= k.105 1)) (?v_3513 (= k.105 0))) (let ((?v_3528 (and (=> true (=> ?v_3513 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.9) ?v_3514))))) (=> true (=> (not ?v_3513) (and (=> true (=> ?v_3515 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.10) ?v_3516))))) (=> true (=> (not ?v_3515) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) ?v_3516))))))))) (?v_3524 (= k.103 0)) (?v_3378 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3525 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 ?v_3378)) hrequest)) (?v_3526 (= k.103 1)) (?v_3527 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 ?v_3378)) hrequest)) (?v_3519 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= k.105 k.104) ?v_3528)))))) (let ((?v_3523 (=> true ?v_3519)) (?v_3521 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4)) (?v_3522 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4)) (?v_3520 (= k.104 1)) (?v_3518 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2284 (int_2_U 1)) (?v_3517 (= k.104 0))) (let ((?v_3543 (and (=> true (=> (=> ?v_3524 ?v_3525) (=> (=> ?v_3526 ?v_3527) (=> true (=> (<= k.103 k.104) (=> (< k.104 2) (and (=> true (=> ?v_3517 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 ?v_3518 ?v_2284)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) (=> ?v_3522 ?v_3519)))))) (=> true (=> (not ?v_3517) (and (=> true (=> ?v_3520 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 ?v_3518 ?v_2284)) (=> true (=> ?v_3521 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_3523)))))) (=> true (=> (not ?v_3520) (=> true (=> ?v_3521 (=> ?v_3522 ?v_3523))))))))))))))) (=> true (=> (=> ?v_3524 (not ?v_3525)) (=> (=> ?v_3526 (not ?v_3527)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> (= k.105 k.103) (=> true ?v_3528)))))))))) (?v_3374 (= k.85 0)) (?v_3541 (= k.85 1))) (let ((?v_3535 (=> true (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call32759formal.ret.0) (=> (= k.103 k.102) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0.2) ?v_3543))))))))))) (?v_3534 (= inline.AcquireDpcLock.5.myVar_0.2 hlock))) (let ((?v_3530 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call32707formal.ret.0) (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= k.102 k.101) ?v_3535))))))) (let ((?v_3533 (=> true ?v_3530)) (?v_3531 (= lockStatus_0.16 lockStatus_0.12)) (?v_3532 (= lockStatus_1.16 lockStatus_1.12)) (?v_3529 (= k.101 1)) (?v_3377 (= k.101 0))) (let ((?v_3538 (and (=> true (=> ?v_3534 (=> true (=> (<= k.100 k.101) (=> (< k.101 2) (=> true (=> (=> ?v_3377 (= lockStatus_0.12 0)) (=> (=> ?v_3529 (= lockStatus_1.12 0)) (and (=> true (=> ?v_3377 (=> true (=> (= lockStatus_0.16 1) (=> ?v_3532 ?v_3530))))) (=> true (=> (not ?v_3377) (and (=> true (=> ?v_3529 (=> true (=> ?v_3531 (=> (= lockStatus_1.16 1) ?v_3533))))) (=> true (=> (not ?v_3529) (=> true (=> ?v_3531 (=> ?v_3532 ?v_3533))))))))))))))))) (=> true (=> (not ?v_3534) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.17 lockStatus_0.12) (=> (= lockStatus_1.17 lockStatus_1.12) (=> (= k.102 k.100) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3535)))))))))))))))) (let ((?v_3540 (=> true (=> true (=> true (=> true ?v_3538))))) (?v_3539 (= k.100 1)) (?v_3537 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3536 (= k.100 0))) (let ((?v_3542 (=> true (=> (<= k.85 k.100) (=> (< k.100 2) (and (=> true (=> ?v_3536 (=> (= inline.AcquireDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3537))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.1) ?v_3538))))) (=> true (=> (not ?v_3536) (and (=> true (=> ?v_3539 (=> (= inline.AcquireDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3537))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.0) ?v_3540))))) (=> true (=> (not ?v_3539) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0) ?v_3540))))))))))))) (let ((?v_3546 (and (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.1) ?v_3542)))) (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3374 ?v_288) (=> (=> ?v_3541 ?v_289) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.0) ?v_3542))))) (=> true (=> (=> ?v_3374 ?v_391) (=> (=> ?v_3541 ?v_393) (=> true (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= k.103 k.85) (=> (= lockStatus_0.18 lockStatus_0.12) (=> (= lockStatus_1.18 lockStatus_1.12) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0) (=> true (=> true (=> true (=> true ?v_3543))))))))))))))))))))))) (let ((?v_3548 (=> (= errorReached.78 errorReached.68) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3546))))))))))) (?v_3550 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hdevice)) (?v_3549 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hqueue)) (?v_3547 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 htimer)) (?v_3545 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hrequest)) (?v_3544 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.78 errorReached.69) ?v_3546))))) (let ((?v_3551 (and (=> true (=> ?v_3545 (and (=> true (=> (=> ?v_3374 ?v_3375) (=> (=> ?v_3541 ?v_3376) (=> true (=> (= errorReached.69 1) ?v_3544))))) (=> true (=> (=> ?v_3374 ?v_3437) (=> (=> ?v_3541 ?v_3439) (=> true (=> (= errorReached.69 errorReached.68) (=> true ?v_3544))))))))) (=> true (=> (not ?v_3545) (and (=> true (=> ?v_3547 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3548)))) (=> true (=> (not ?v_3547) (and (=> true (=> ?v_3549 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3548)))) (=> true (=> (not ?v_3549) (and (=> true (=> ?v_3550 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3548)))) (=> true (=> (not ?v_3550) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3548)))))))))))))))) (let ((?v_3552 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3551))))))))))))) (let ((?v_3556 (=> true (=> (<= k.84 k.85) (=> (< k.85 2) (and (=> true (=> ?v_3374 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.7) ?v_3551))))) (=> true (=> (not ?v_3374) (and (=> true (=> ?v_3541 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.6) ?v_3552))))) (=> true (=> (not ?v_3541) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3552)))))))))))) (?v_3553 (= k.84 0)) (?v_3554 (= k.84 1))) (let ((?v_3555 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call32349formal.ret.0) ?v_3556)))) (let ((?v_3561 (and (=> true (=> (=> ?v_3553 ?v_37) (=> (=> ?v_3554 ?v_39) ?v_3555))) (=> true (=> (=> ?v_3553 ?v_635) (=> (=> ?v_3554 ?v_637) (and (=> true (=> (=> ?v_3553 ?v_542) (=> (=> ?v_3554 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3555)))))))))))) (=> true (=> (=> ?v_3553 ?v_639) (=> (=> ?v_3554 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3556)))))))))))))))) (let ((?v_3566 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3561)))))))))) (?v_3563 (= errorReached.68 errorReached.66)) (?v_3564 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_3565 (= k.84 k.82)) (?v_3568 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hdevice)) (?v_3567 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hqueue)) (?v_3562 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 htimer)) (?v_3560 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hrequest)) (?v_3559 (=> true (=> (= errorReached.68 errorReached.67) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call32152formal.ret.0) (=> (= k.84 k.83) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3561)))))) (?v_3557 (= k.83 0)) (?v_3558 (= k.83 1))) (let ((?v_3570 (and (=> true (=> ?v_3560 (=> true (=> (<= k.82 k.83) (=> (< k.83 2) (and (=> true (=> (=> ?v_3557 ?v_3375) (=> (=> ?v_3558 ?v_3376) (=> true (=> (= errorReached.67 1) ?v_3559))))) (=> true (=> (=> ?v_3557 ?v_3437) (=> (=> ?v_3558 ?v_3439) (=> true (=> (= errorReached.67 errorReached.66) (=> true ?v_3559)))))))))))) (=> true (=> (not ?v_3560) (and (=> true (=> ?v_3562 (=> true (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3566))))))) (=> true (=> (not ?v_3562) (and (=> true (=> ?v_3567 (=> true (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3566))))))) (=> true (=> (not ?v_3567) (and (=> true (=> ?v_3568 (=> true (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3566))))))) (=> true (=> (not ?v_3568) (=> true (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3566))))))))))))))))))) (let ((?v_3572 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3570)))))))))))) (?v_3571 (= k.82 1)) (?v_3569 (= k.82 0))) (let ((?v_3758 (=> true (=> (<= k.81 k.82) (=> (< k.82 2) (and (=> true (=> ?v_3569 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 ?v_3373) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.3) ?v_3570))))) (=> true (=> (not ?v_3569) (and (=> true (=> ?v_3571 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 ?v_3466) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.4) ?v_3572))))) (=> true (=> (not ?v_3571) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) ?v_3572)))))))))))) (?v_3761 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_3762 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3763 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3764 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3765 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3766 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3767 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_3768 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3769 (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0)) (?v_3770 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_3771 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3772 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3773 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3774 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3775 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3776 (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3777 (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0)) (?v_3778 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_3779 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3780 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3781 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3782 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3783 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_3784 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3785 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_3786 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3787 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3788 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_3789 (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_3790 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3791 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3792 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3793 (= lockStatus_1.12 lockStatus_1.5)) (?v_3794 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3795 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3796 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3797 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_3798 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3799 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3800 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3801 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3802 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_3803 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3804 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3805 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3806 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3807 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3808 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3809 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_3810 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3811 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3812 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3813 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3814 (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0)) (?v_3815 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_3816 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_3817 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_3818 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3819 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3820 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3821 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3822 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_3823 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_3824 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3825 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3826 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3827 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3828 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3829 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_3830 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3831 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3832 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_3833 (= reqCompleted_1.5 reqCompleted_1)) (?v_3834 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3835 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3836 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3837 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3838 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_3839 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3840 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3841 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_3842 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3843 (= reqCompleted_0.5 reqCompleted_0)) (?v_3844 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3845 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3846 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_3847 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3848 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3849 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3850 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3851 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3852 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3853 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3854 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3855 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3856 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3857 (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_3858 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_3859 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3860 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3861 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_3862 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3863 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3864 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3865 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3866 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3867 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3868 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3869 (= lockStatus_0.12 lockStatus_0.5)) (?v_3870 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3871 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_3872 (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0)) (?v_3873 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3874 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1))) (let ((?v_3875 (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> true ?v_3758)))))))))))))))))) (let ((?v_3882 (=> true (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_3803 (=> (= errorReached.66 errorReached.45) (=> ?v_3804 (=> ?v_3805 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> (= reqCancelSet_0.7 reqCancelSet_0.3) (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> (= k.81 k.52) (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0) (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> (= reqCancelSet_1.7 reqCancelSet_1.3) (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) ?v_3875))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3877 (=> true (=> (= errorReached.45 errorReached.44) (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= k.52 k.51) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call34324formal.ret.0) ?v_3882)))))))) (let ((?v_3880 (=> true ?v_3877)) (?v_3878 (= reqCancelSet_0.2 reqCancelSet_0)) (?v_3879 (= reqCancelSet_1.2 reqCancelSet_1)) (?v_3876 (= k.51 1)) (?v_3760 (= k.51 0))) (let ((?v_3881 (and (=> true (=> ?v_3760 (=> true (=> (= reqCancelSet_0.2 1) (=> ?v_3879 ?v_3877))))) (=> true (=> (not ?v_3760) (and (=> true (=> ?v_3876 (=> true (=> ?v_3878 (=> (= reqCancelSet_1.2 1) ?v_3880))))) (=> true (=> (not ?v_3876) (=> true (=> ?v_3878 (=> ?v_3879 ?v_3880)))))))))) (?v_3759 (= (BINARY_BOTH_INT call29293formal.ret.0 2) 0)) (?v_3754 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3755 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3756 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3757 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call29317formal.ret.0)) (?v_3753 (= call29317formal.ret.0 ?v_341))) (let ((?v_3598 (=> true (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0.3) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.3) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= lockStatus_1.12 lockStatus_1.11) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= errorReached.66 errorReached.65) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> ?v_3754 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= k.81 k.80) (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3755 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> ?v_3756 (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.3) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= lockStatus_0.12 lockStatus_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> ?v_3757 (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0.3) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) ?v_3758)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3601 (=> true (=> (= errorReached.65 errorReached.60) (=> (= reqCompleted_1.4 reqCompleted_1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= reqCancelSet_0.6 reqCancelSet_0) (=> (= reqCompleted_0.4 reqCompleted_0) (=> (= k.80 k.75) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= reqCancelSet_1.6 reqCancelSet_1) (=> true (=> true (=> true ?v_3598)))))))))))))))))))))))))))))))))))))) (let ((?v_3604 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3601))))))))))))))))))) (?v_3603 (= errorReached.60 errorReached.58)) (?v_3606 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_3605 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_3602 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_3600 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_3599 (=> true (=> (= errorReached.60 errorReached.59) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3601)))) (?v_3596 (= k.75 0)) (?v_3597 (= k.75 1)) (?v_3595 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_3585 (=> true (=> (= errorReached.65 errorReached.64) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_0.6 reqCancelSet_0.5) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= k.80 k.79) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= reqCancelSet_1.6 reqCancelSet_1.5) ?v_3598))))))))))))))))))))))))))))))))))) (let ((?v_3574 (=> true (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 call31933formal.ret.0) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= errorReached.64 errorReached.63) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= k.79 k.78) (=> (= reqCompleted_1.3 reqCompleted_1.2) ?v_3585)))))))))) (let ((?v_3577 (=> true ?v_3574)) (?v_3575 (= reqCancelSet_0.4 reqCancelSet_0)) (?v_3576 (= reqCancelSet_1.4 reqCancelSet_1)) (?v_3573 (= k.78 1))) (let ((?v_3580 (not ?v_3573)) (?v_3372 (= k.78 0))) (let ((?v_3578 (not ?v_3372))) (let ((?v_3579 (and (=> true (=> ?v_3372 (=> true (=> (= reqCancelSet_0.4 0) (=> ?v_3576 ?v_3574))))) (=> true (=> ?v_3578 (and (=> true (=> ?v_3573 (=> true (=> ?v_3575 (=> (= reqCancelSet_1.4 0) ?v_3577))))) (=> true (=> ?v_3580 (=> true (=> ?v_3575 (=> ?v_3576 ?v_3577))))))))))) (let ((?v_3583 (=> true (=> true ?v_3579))) (?v_3581 (= reqCompleted_0.2 reqCompleted_0)) (?v_3582 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_3584 (and (=> true (=> ?v_3372 (=> true (=> (= reqCompleted_0.2 1) (=> ?v_3582 ?v_3579))))) (=> true (=> ?v_3578 (and (=> true (=> ?v_3573 (=> true (=> ?v_3581 (=> (= reqCompleted_1.2 1) ?v_3583))))) (=> true (=> ?v_3580 (=> true (=> ?v_3581 (=> ?v_3582 ?v_3583))))))))))) (let ((?v_3586 (and (=> true (=> ?v_23 (=> true (=> (<= k.77 k.78) (=> (< k.78 2) (and (=> true (=> (=> ?v_3372 ?v_10) (=> (=> ?v_3573 ?v_11) (=> true (=> (= errorReached.63 1) ?v_3584))))) (=> true (=> (=> ?v_3372 ?v_2) (=> (=> ?v_3573 ?v_3) (=> true (=> (= errorReached.63 errorReached.62) (=> true ?v_3584)))))))))))) (=> true (=> ?v_487 (=> true (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> (= errorReached.64 errorReached.62) (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= k.79 k.77) (=> (= reqCompleted_1.3 reqCompleted_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3585))))))))))))))))))) (let ((?v_3590 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2) ?v_3586)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3586))))))))))))))))) (let ((?v_3594 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3590)))))))))) (?v_3591 (= errorReached.62 errorReached.58)) (?v_3592 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3593 (= k.77 k.75)) (?v_3589 (=> true (=> (= errorReached.62 errorReached.61) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call31782formal.ret.0) (=> (= k.77 k.76) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3590)))))) (?v_3587 (= k.76 0)) (?v_3588 (= k.76 1))) (let ((?v_3607 (and (=> true (=> (not ?v_3595) (and (=> true (=> ?v_23 (=> true (=> (<= k.75 k.76) (=> (< k.76 2) (and (=> true (=> (=> ?v_3587 ?v_10) (=> (=> ?v_3588 ?v_11) (=> true (=> (= errorReached.61 1) ?v_3589))))) (=> true (=> (=> ?v_3587 ?v_2) (=> (=> ?v_3588 ?v_3) (=> true (=> (= errorReached.61 errorReached.58) (=> true ?v_3589)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3594))))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3594))))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3594))))))) (=> true (=> ?v_528 (=> true (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3594))))))))))))))))))) (=> true (=> ?v_3595 (and (=> true (=> ?v_3600 (and (=> true (=> (=> ?v_3596 ?v_10) (=> (=> ?v_3597 ?v_11) (=> true (=> (= errorReached.59 1) ?v_3599))))) (=> true (=> (=> ?v_3596 ?v_2) (=> (=> ?v_3597 ?v_3) (=> true (=> (= errorReached.59 errorReached.58) (=> true ?v_3599))))))))) (=> true (=> (not ?v_3600) (and (=> true (=> ?v_3602 (=> true (=> ?v_3603 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3604))))) (=> true (=> (not ?v_3602) (and (=> true (=> ?v_3605 (=> true (=> ?v_3603 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3604))))) (=> true (=> (not ?v_3605) (and (=> true (=> ?v_3606 (=> true (=> ?v_3603 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3604))))) (=> true (=> (not ?v_3606) (=> true (=> ?v_3603 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3604)))))))))))))))))))) (let ((?v_3608 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3607)))))))) (let ((?v_3613 (and (=> true (=> (=> ?v_3596 ?v_37) (=> (=> ?v_3597 ?v_39) ?v_3607))) (=> true (=> (=> ?v_3596 ?v_635) (=> (=> ?v_3597 ?v_637) (and (=> true (=> (=> ?v_3596 ?v_542) (=> (=> ?v_3597 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3608)))))))))))) (=> true (=> (=> ?v_3596 ?v_639) (=> (=> ?v_3597 ?v_640) ?v_3608)))))))))) (let ((?v_3618 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3613)))))))))) (?v_3615 (= errorReached.58 errorReached.56)) (?v_3616 (= k.75 k.73)) (?v_3617 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_3620 (= inline.EvtRequestChildCancel.1.myVar_0.14 hdevice)) (?v_3619 (= inline.EvtRequestChildCancel.1.myVar_0.14 hqueue)) (?v_3614 (= inline.EvtRequestChildCancel.1.myVar_0.14 htimer)) (?v_3612 (= inline.EvtRequestChildCancel.1.myVar_0.14 hrequest)) (?v_3611 (=> true (=> (= errorReached.58 errorReached.57) (=> (= k.75 k.74) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 call31282formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3613)))))) (?v_3609 (= k.74 0)) (?v_3610 (= k.74 1))) (let ((?v_3623 (and (=> true (=> ?v_3612 (=> true (=> (<= k.73 k.74) (=> (< k.74 2) (and (=> true (=> (=> ?v_3609 ?v_10) (=> (=> ?v_3610 ?v_11) (=> true (=> (= errorReached.57 1) ?v_3611))))) (=> true (=> (=> ?v_3609 ?v_2) (=> (=> ?v_3610 ?v_3) (=> true (=> (= errorReached.57 errorReached.56) (=> true ?v_3611)))))))))))) (=> true (=> (not ?v_3612) (and (=> true (=> ?v_3614 (=> true (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3618))))))) (=> true (=> (not ?v_3614) (and (=> true (=> ?v_3619 (=> true (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3618))))))) (=> true (=> (not ?v_3619) (and (=> true (=> ?v_3620 (=> true (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3618))))))) (=> true (=> (not ?v_3620) (=> true (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3618))))))))))))))))))) (let ((?v_3625 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3623)))))))))))) (?v_3624 (= k.73 1)) (?v_3622 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3653 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3622))) (?v_3621 (= k.73 0)) (?v_3370 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3622)))) (let ((?v_3642 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> ?v_3621 (=> (= inline.EvtRequestChildCancel.1.myVar_0.12 ?v_3370) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.12) ?v_3623))))) (=> true (=> (not ?v_3621) (and (=> true (=> ?v_3624 (=> (= inline.EvtRequestChildCancel.1.myVar_0.13 ?v_3653) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.13) ?v_3625))))) (=> true (=> (not ?v_3624) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.11) ?v_3625)))))))))))) (?v_3640 (= k.68 0)) (?v_3641 (= k.68 1))) (let ((?v_3633 (=> true (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= k.72 k.71) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.2) ?v_3642)))))))))) (?v_3632 (= inline.ReleaseDpcLock.5.myVar_0.2 hlock))) (let ((?v_3627 (=> true (=> (= lockStatus_0.10 lockStatus_0.9) (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= k.71 k.70) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 call31135formal.ret.0) ?v_3633))))))) (let ((?v_3631 (=> true ?v_3627)) (?v_3629 (= lockStatus_0.9 lockStatus_0.8)) (?v_3630 (= lockStatus_1.9 lockStatus_1.8)) (?v_3628 (= k.70 1)) (?v_3626 (= k.70 0))) (let ((?v_3636 (and (=> true (=> ?v_3632 (=> true (=> (<= k.69 k.70) (=> (< k.70 2) (and (=> true (=> ?v_3626 (=> true (=> (= lockStatus_0.9 0) (=> ?v_3630 ?v_3627))))) (=> true (=> (not ?v_3626) (and (=> true (=> ?v_3628 (=> true (=> ?v_3629 (=> (= lockStatus_1.9 0) ?v_3631))))) (=> true (=> (not ?v_3628) (=> true (=> ?v_3629 (=> ?v_3630 ?v_3631)))))))))))))) (=> true (=> (not ?v_3632) (=> true (=> (= lockStatus_0.10 lockStatus_0.8) (=> (= lockStatus_1.10 lockStatus_1.8) (=> (= k.71 k.69) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_3633))))))))))))) (let ((?v_3638 (=> true (=> true (=> true (=> true ?v_3636))))) (?v_3637 (= k.69 1)) (?v_3635 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3634 (= k.69 0))) (let ((?v_3639 (=> true (=> (<= k.68 k.69) (=> (< k.69 2) (and (=> true (=> ?v_3634 (=> (= inline.ReleaseDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3635))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.0) ?v_3636))))) (=> true (=> (not ?v_3634) (and (=> true (=> ?v_3637 (=> (= inline.ReleaseDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3635))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.1) ?v_3638))))) (=> true (=> (not ?v_3637) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0) ?v_3638))))))))))))) (let ((?v_3647 (and (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.0) ?v_3639)))) (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3640 ?v_288) (=> (=> ?v_3641 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.1) (=> true (=> true ?v_3639))))))) (=> true (=> (=> ?v_3640 ?v_391) (=> (=> ?v_3641 ?v_393) (=> true (=> (= lockStatus_1.11 lockStatus_1.8) (=> (= k.72 k.68) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.11 lockStatus_0.8) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.1) (=> true (=> true (=> true ?v_3642))))))))))))))))))))) (let ((?v_3649 (=> (= errorReached.56 errorReached.54) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= k.68 k.66) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3647))))))))))))) (?v_3651 (= inline.EvtRequestChildCancel.1.myVar_0.11 hdevice)) (?v_3650 (= inline.EvtRequestChildCancel.1.myVar_0.11 hqueue)) (?v_3648 (= inline.EvtRequestChildCancel.1.myVar_0.11 htimer)) (?v_3646 (= inline.EvtRequestChildCancel.1.myVar_0.11 hrequest)) (?v_3645 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.56 errorReached.55) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call30893formal.ret.0) (=> (= k.68 k.67) ?v_3647)))))) (?v_3643 (= k.67 0)) (?v_3644 (= k.67 1))) (let ((?v_3654 (and (=> true (=> ?v_3646 (=> true (=> (<= k.66 k.67) (=> (< k.67 2) (and (=> true (=> (=> ?v_3643 ?v_10) (=> (=> ?v_3644 ?v_11) (=> true (=> (= errorReached.55 1) ?v_3645))))) (=> true (=> (=> ?v_3643 ?v_2) (=> (=> ?v_3644 ?v_3) (=> true (=> (= errorReached.55 errorReached.54) (=> true ?v_3645)))))))))))) (=> true (=> (not ?v_3646) (and (=> true (=> ?v_3648 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3649)))) (=> true (=> (not ?v_3648) (and (=> true (=> ?v_3650 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3649)))) (=> true (=> (not ?v_3650) (and (=> true (=> ?v_3651 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3649)))) (=> true (=> (not ?v_3651) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3649)))))))))))))))) (let ((?v_3656 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3654)))))))))))) (?v_3655 (= k.66 1)) (?v_3652 (= k.66 0))) (let ((?v_3659 (=> true (=> (<= k.65 k.66) (=> (< k.66 2) (and (=> true (=> ?v_3652 (=> (= inline.EvtRequestChildCancel.1.myVar_0.10 ?v_3370) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.10) ?v_3654))))) (=> true (=> (not ?v_3652) (and (=> true (=> ?v_3655 (=> (= inline.EvtRequestChildCancel.1.myVar_0.9 ?v_3653) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.9) ?v_3656))))) (=> true (=> (not ?v_3655) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.8) ?v_3656))))))))))))) (let ((?v_3663 (=> true (=> true ?v_3659))) (?v_3661 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3662 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3660 (= k.65 1)) (?v_3658 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3657 (= k.65 0))) (let ((?v_3666 (=> true (=> (<= k.64 k.65) (=> (< k.65 2) (and (=> true (=> ?v_3657 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3658 ?v_63)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) (=> ?v_3662 ?v_3659)))))) (=> true (=> (not ?v_3657) (and (=> true (=> ?v_3660 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3658 ?v_63)) (=> true (=> ?v_3661 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_3663)))))) (=> true (=> (not ?v_3660) (=> true (=> ?v_3661 (=> ?v_3662 ?v_3663))))))))))))) (?v_3668 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1))) (let ((?v_3669 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) (=> true ?v_3666))) (?v_3667 (= k.64 1)) (?v_3665 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3664 (= k.64 0))) (let ((?v_3685 (=> true (=> (<= k.63 k.64) (=> (< k.64 2) (and (=> true (=> ?v_3664 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3665 ?v_63)) (=> true (=> ?v_3668 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_3666)))))) (=> true (=> (not ?v_3664) (and (=> true (=> ?v_3667 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3665 ?v_63)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_3669))))) (=> true (=> (not ?v_3667) (=> true (=> ?v_3668 ?v_3669)))))))))))) (?v_3683 (= k.61 0)) (?v_3684 (= k.61 1))) (let ((?v_3676 (=> true (=> (= k.63 k.62) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0.2) (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call30693formal.ret.0) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.2) ?v_3685)))))))))) (?v_3675 (= inline.AcquireDpcLock.4.myVar_0.2 hlock))) (let ((?v_3671 (=> true (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= lockStatus_1.7 lockStatus_1.6) ?v_3676))))) (let ((?v_3674 (=> true ?v_3671)) (?v_3672 (= lockStatus_0.6 lockStatus_0.5)) (?v_3673 (= lockStatus_1.6 lockStatus_1.5)) (?v_3670 (= k.62 1))) (let ((?v_3680 (not ?v_3670)) (?v_3371 (= k.62 0))) (let ((?v_3677 (not ?v_3371))) (let ((?v_3679 (and (=> true (=> ?v_3675 (=> true (=> (=> ?v_3371 (= lockStatus_0.5 0)) (=> (=> ?v_3670 (= lockStatus_1.5 0)) (and (=> true (=> ?v_3371 (=> true (=> (= lockStatus_0.6 1) (=> ?v_3673 ?v_3671))))) (=> true (=> ?v_3677 (and (=> true (=> ?v_3670 (=> true (=> ?v_3672 (=> (= lockStatus_1.6 1) ?v_3674))))) (=> true (=> ?v_3680 (=> true (=> ?v_3672 (=> ?v_3673 ?v_3674)))))))))))))) (=> true (=> (not ?v_3675) (=> true (=> (= lockStatus_0.7 lockStatus_0.5) (=> (= lockStatus_1.7 lockStatus_1.5) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3676)))))))))))))) (let ((?v_3681 (=> true (=> true (=> true (=> true ?v_3679))))) (?v_3678 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3682 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> ?v_3371 (=> (= inline.AcquireDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3678))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.0) ?v_3679))))) (=> true (=> ?v_3677 (and (=> true (=> ?v_3670 (=> (= inline.AcquireDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3678))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.1) ?v_3681))))) (=> true (=> ?v_3680 (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0) ?v_3681))))))))))))) (let ((?v_3690 (and (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.0) ?v_3682)))) (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3683 ?v_288) (=> (=> ?v_3684 ?v_289) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.1) ?v_3682))))) (=> true (=> (=> ?v_3683 ?v_391) (=> (=> ?v_3684 ?v_393) (=> true (=> (= k.63 k.61) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0) (=> (= lockStatus_0.8 lockStatus_0.5) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_1.8 lockStatus_1.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> true (=> true (=> true ?v_3685))))))))))))))))))))) (let ((?v_3695 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3690)))))))))) (?v_3692 (= errorReached.54 errorReached.52)) (?v_3693 (= k.61 k.59)) (?v_3694 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3697 (= inline.EvtRequestChildCancel.1.myVar_0.8 hdevice)) (?v_3696 (= inline.EvtRequestChildCancel.1.myVar_0.8 hqueue)) (?v_3691 (= inline.EvtRequestChildCancel.1.myVar_0.8 htimer)) (?v_3689 (= inline.EvtRequestChildCancel.1.myVar_0.8 hrequest)) (?v_3688 (=> true (=> (= errorReached.54 errorReached.53) (=> (= k.61 k.60) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call30403formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3690)))))) (?v_3686 (= k.60 0)) (?v_3687 (= k.60 1))) (let ((?v_3699 (and (=> true (=> ?v_3689 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> (=> ?v_3686 ?v_10) (=> (=> ?v_3687 ?v_11) (=> true (=> (= errorReached.53 1) ?v_3688))))) (=> true (=> (=> ?v_3686 ?v_2) (=> (=> ?v_3687 ?v_3) (=> true (=> (= errorReached.53 errorReached.52) (=> true ?v_3688)))))))))))) (=> true (=> (not ?v_3689) (and (=> true (=> ?v_3691 (=> true (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3695))))))) (=> true (=> (not ?v_3691) (and (=> true (=> ?v_3696 (=> true (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3695))))))) (=> true (=> (not ?v_3696) (and (=> true (=> ?v_3697 (=> true (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3695))))))) (=> true (=> (not ?v_3697) (=> true (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3695))))))))))))))))))) (let ((?v_3701 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3699)))))))))))) (?v_3700 (= k.59 1)) (?v_3698 (= k.59 0))) (let ((?v_3705 (=> true (=> (<= k.58 k.59) (=> (< k.59 2) (and (=> true (=> ?v_3698 (=> (= inline.EvtRequestChildCancel.1.myVar_0.6 ?v_3370) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.6) ?v_3699))))) (=> true (=> (not ?v_3698) (and (=> true (=> ?v_3700 (=> (= inline.EvtRequestChildCancel.1.myVar_0.7 ?v_3653) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.7) ?v_3701))))) (=> true (=> (not ?v_3700) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.5) ?v_3701)))))))))))) (?v_3702 (= k.58 0)) (?v_3703 (= k.58 1))) (let ((?v_3704 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call30283formal.ret.0) ?v_3705)))) (let ((?v_3710 (and (=> true (=> (=> ?v_3702 ?v_37) (=> (=> ?v_3703 ?v_39) ?v_3704))) (=> true (=> (=> ?v_3702 ?v_635) (=> (=> ?v_3703 ?v_637) (and (=> true (=> (=> ?v_3702 ?v_542) (=> (=> ?v_3703 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3704)))))))))))) (=> true (=> (=> ?v_3702 ?v_639) (=> (=> ?v_3703 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3705)))))))))))))))) (let ((?v_3712 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= errorReached.52 errorReached.50) (=> (= k.58 k.56) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3710))))))))))))) (?v_3714 (= inline.EvtRequestChildCancel.1.myVar_0.5 hdevice)) (?v_3713 (= inline.EvtRequestChildCancel.1.myVar_0.5 hqueue)) (?v_3711 (= inline.EvtRequestChildCancel.1.myVar_0.5 htimer)) (?v_3709 (= inline.EvtRequestChildCancel.1.myVar_0.5 hrequest)) (?v_3708 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call30086formal.ret.0) (=> (= errorReached.52 errorReached.51) (=> (= k.58 k.57) ?v_3710)))))) (?v_3706 (= k.57 0)) (?v_3707 (= k.57 1))) (let ((?v_3716 (and (=> true (=> ?v_3709 (=> true (=> (<= k.56 k.57) (=> (< k.57 2) (and (=> true (=> (=> ?v_3706 ?v_10) (=> (=> ?v_3707 ?v_11) (=> true (=> (= errorReached.51 1) ?v_3708))))) (=> true (=> (=> ?v_3706 ?v_2) (=> (=> ?v_3707 ?v_3) (=> true (=> (= errorReached.51 errorReached.50) (=> true ?v_3708)))))))))))) (=> true (=> (not ?v_3709) (and (=> true (=> ?v_3711 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3712)))) (=> true (=> (not ?v_3711) (and (=> true (=> ?v_3713 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3712)))) (=> true (=> (not ?v_3713) (and (=> true (=> ?v_3714 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3712)))) (=> true (=> (not ?v_3714) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3712)))))))))))))))) (let ((?v_3718 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3716)))))))))))) (?v_3717 (= k.56 1)) (?v_3715 (= k.56 0))) (let ((?v_3722 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> ?v_3715 (=> (= inline.EvtRequestChildCancel.1.myVar_0.4 ?v_3370) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.4) ?v_3716))))) (=> true (=> (not ?v_3715) (and (=> true (=> ?v_3717 (=> (= inline.EvtRequestChildCancel.1.myVar_0.3 ?v_3653) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.3) ?v_3718))))) (=> true (=> (not ?v_3717) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3718))))))))))))) (let ((?v_3726 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3722)))))))))) (?v_3723 (= errorReached.50 errorReached.48)) (?v_3724 (= k.55 k.53)) (?v_3725 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3721 (=> true (=> (= errorReached.50 errorReached.49) (=> (= k.55 k.54) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call29875formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3722)))))) (?v_3719 (= k.54 0)) (?v_3720 (= k.54 1))) (let ((?v_3730 (and (=> true (=> ?v_23 (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> (=> ?v_3719 ?v_10) (=> (=> ?v_3720 ?v_11) (=> true (=> (= errorReached.49 1) ?v_3721))))) (=> true (=> (=> ?v_3719 ?v_2) (=> (=> ?v_3720 ?v_3) (=> true (=> (= errorReached.49 errorReached.48) (=> true ?v_3721)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3726))))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3726))))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3726))))))) (=> true (=> ?v_528 (=> true (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3726))))))))))))))))))) (let ((?v_3733 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3730))))))))))))))))) (?v_3732 (= errorReached.48 errorReached.46)) (?v_3735 (= inline.EvtRequestChildCancel.1.myVar_0.2 hdevice)) (?v_3734 (= inline.EvtRequestChildCancel.1.myVar_0.2 hqueue)) (?v_3731 (= inline.EvtRequestChildCancel.1.myVar_0.2 htimer)) (?v_3729 (= inline.EvtRequestChildCancel.1.myVar_0.2 hrequest)) (?v_3728 (=> true (=> (= errorReached.48 errorReached.47) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3730)))) (?v_3369 (= k.53 0)) (?v_3727 (= k.53 1))) (let ((?v_3737 (and (=> true (=> ?v_3729 (and (=> true (=> (=> ?v_3369 ?v_10) (=> (=> ?v_3727 ?v_11) (=> true (=> (= errorReached.47 1) ?v_3728))))) (=> true (=> (=> ?v_3369 ?v_2) (=> (=> ?v_3727 ?v_3) (=> true (=> (= errorReached.47 errorReached.46) (=> true ?v_3728))))))))) (=> true (=> (not ?v_3729) (and (=> true (=> ?v_3731 (=> true (=> ?v_3732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3733))))) (=> true (=> (not ?v_3731) (and (=> true (=> ?v_3734 (=> true (=> ?v_3732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3733))))) (=> true (=> (not ?v_3734) (and (=> true (=> ?v_3735 (=> true (=> ?v_3732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3733))))) (=> true (=> (not ?v_3735) (=> true (=> ?v_3732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3733))))))))))))))))) (let ((?v_3738 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3737)))))))) (?v_3736 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3742 (and (=> true (=> ?v_3369 (=> (= inline.EvtRequestChildCancel.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3736))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.0) ?v_3737))))) (=> true (=> (not ?v_3369) (and (=> true (=> ?v_3727 (=> (= inline.EvtRequestChildCancel.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3736))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.1) ?v_3738))))) (=> true (=> (not ?v_3727) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0) ?v_3738))))))))) (?v_3743 (= errorReached.46 errorReached.42)) (?v_3744 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.))) (let ((?v_3745 (=> (= k.53 k.49) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3742)))))))))))) (?v_3741 (=> true (=> (= errorReached.46 errorReached.43) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 call29498formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.53 k.50) ?v_3742)))))) (?v_3739 (= k.50 0)) (?v_3740 (= k.50 1))) (let ((?v_3750 (and (=> true (=> ?v_22 (=> true (=> (<= k.49 k.50) (=> (< k.50 2) (and (=> true (=> (=> ?v_3739 ?v_10) (=> (=> ?v_3740 ?v_11) (=> true (=> (= errorReached.43 1) ?v_3741))))) (=> true (=> (=> ?v_3739 ?v_2) (=> (=> ?v_3740 ?v_3) (=> true (=> (= errorReached.43 errorReached.42) (=> true ?v_3741)))))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_3743 (=> ?v_3744 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3745)))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_3743 (=> ?v_3744 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3745)))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_3743 (=> ?v_3744 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3745)))))) (=> true (=> ?v_2511 (=> true (=> ?v_3743 (=> ?v_3744 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3745)))))))))))))))))) (let ((?v_3752 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3750)))))))))))))) (?v_3751 (= errorReached.42 errorReached.41)) (?v_3748 (= k.49 k.48)) (?v_3749 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call29387formal.ret.0)) (?v_3746 (= k.48 0)) (?v_3747 (= k.48 1)) (?v_3368 (int_2_U call29279formal.new.0))) (let ((?v_3887 (=> true (and ?v_1544 (=> ?v_1544 (=> (> call29279formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call29279formal.new.0 ?x359) (< ?x359 (+ call29279formal.new.0 1))) (= (Base ?x359) call29279formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call29279formal.new.0) (= (MapType0Select alloc.8 ?x360) (MapType0Select alloc.9 ?x360)))) :pattern ((MapType0Select alloc.9 ?x360)) )) (=> (and (= (MapType0Select alloc.8 ?v_3368) UNALLOCATED) (= (MapType0Select alloc.9 ?v_3368) ALLOCATED)) (and (=> true (=> (not ?v_3759) (and (=> true (=> ?v_3753 (and (=> true (=> ?v_23 (=> true (=> (<= k.47 k.48) (=> (< k.48 2) (and (=> true (=> (=> ?v_3746 ?v_10) (=> (=> ?v_3747 ?v_11) (=> true (=> (= errorReached.42 1) (=> ?v_3748 (=> ?v_3749 ?v_3750))))))) (=> true (=> (=> ?v_3746 ?v_2) (=> (=> ?v_3747 ?v_3) (=> true (=> ?v_3751 (=> ?v_3748 (=> ?v_3749 ?v_3752))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_3751 (=> (= k.49 k.47) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) ?v_3752))))))))) (=> true (=> (not ?v_3753) (=> true (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_3803 (=> (= errorReached.66 errorReached.41) (=> ?v_3804 (=> ?v_3805 (=> ?v_3754 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> (= reqCancelSet_0.7 reqCancelSet_0) (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> (= k.81 k.47) (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3755 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> (= reqCancelSet_1.7 reqCancelSet_1) (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3756 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3757 ?v_3875)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3759 (and (=> true (=> ?v_23 (=> true (=> (<= k.47 k.51) (=> (< k.51 2) (and (=> true (=> (=> ?v_3760 ?v_10) (=> (=> ?v_3876 ?v_11) (=> true (=> (= errorReached.44 1) ?v_3881))))) (=> true (=> (=> ?v_3760 ?v_2) (=> (=> ?v_3876 ?v_3) (=> true (=> (= errorReached.44 errorReached.41) (=> true ?v_3881)))))))))))) (=> true (=> ?v_487 (=> true (=> (= errorReached.45 errorReached.41) (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= k.52 k.47) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> true (=> true (=> true ?v_3882))))))))))))))))))))))) (?v_3889 (= errorReached.41 errorReached.39))) (let ((?v_3890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> (= k.47 k.45) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3887))))))))))) (?v_3892 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hdevice)) (?v_3891 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hqueue)) (?v_3888 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 htimer)) (?v_3886 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hrequest)) (?v_3885 (=> true (=> (= errorReached.41 errorReached.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 call29164formal.ret.0) (=> (= k.47 k.46) ?v_3887)))))) (?v_3883 (= k.46 0)) (?v_3884 (= k.46 1))) (let ((?v_3895 (and (=> true (=> ?v_3886 (=> true (=> (<= k.45 k.46) (=> (< k.46 2) (and (=> true (=> (=> ?v_3883 ?v_10) (=> (=> ?v_3884 ?v_11) (=> true (=> (= errorReached.40 1) ?v_3885))))) (=> true (=> (=> ?v_3883 ?v_2) (=> (=> ?v_3884 ?v_3) (=> true (=> (= errorReached.40 errorReached.39) (=> true ?v_3885)))))))))))) (=> true (=> (not ?v_3886) (and (=> true (=> ?v_3888 (=> true (=> ?v_3889 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3890))))) (=> true (=> (not ?v_3888) (and (=> true (=> ?v_3891 (=> true (=> ?v_3889 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3890))))) (=> true (=> (not ?v_3891) (and (=> true (=> ?v_3892 (=> true (=> ?v_3889 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3890))))) (=> true (=> (not ?v_3892) (=> true (=> ?v_3889 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3890))))))))))))))))) (let ((?v_3897 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3895)))))))) (?v_3896 (= k.45 1)) (?v_3894 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3893 (= k.45 0))) (let ((?v_3901 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_3893 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3894))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.1) ?v_3895))))) (=> true (=> (not ?v_3893) (and (=> true (=> ?v_3896 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3894))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.0) ?v_3897))))) (=> true (=> (not ?v_3896) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0) ?v_3897))))))))))))) (let ((?v_3903 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3901))))))))) (?v_3902 (= errorReached.39 errorReached.36)) (?v_3900 (=> true (=> (= errorReached.39 errorReached.38) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3901)))) (?v_3898 (= k.44 0))) (let ((?v_3904 (=> ?v_3898 ?v_2)) (?v_3899 (= k.44 1))) (let ((?v_3905 (=> ?v_3899 ?v_3)) (?v_3366 (=> ?v_3898 ?v_10)) (?v_3367 (=> ?v_3899 ?v_11))) (let ((?v_3907 (and (=> true (=> ?v_22 (and (=> true (=> ?v_3366 (=> ?v_3367 (=> true (=> (= errorReached.38 1) ?v_3900))))) (=> true (=> ?v_3904 (=> ?v_3905 (=> true (=> (= errorReached.38 errorReached.36) (=> true ?v_3900))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_3902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3903))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_3902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3903))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_3902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3903))))) (=> true (=> ?v_2511 (=> true (=> ?v_3902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3903))))))))))))))))) (let ((?v_3909 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3907)))))))))))))))) (?v_3908 (= errorReached.36 errorReached.34)) (?v_3906 (=> true (=> (= errorReached.36 errorReached.35) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3907))))) (let ((?v_3914 (and (=> true (=> ?v_23 (and (=> true (=> ?v_3366 (=> ?v_3367 (=> true (=> (= errorReached.35 1) ?v_3906))))) (=> true (=> ?v_3904 (=> ?v_3905 (=> true (=> (= errorReached.35 errorReached.34) (=> true ?v_3906))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3909))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3909))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3909))))) (=> true (=> ?v_528 (=> true (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3909))))))))))))))))) (let ((?v_3916 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3914))))))))))))) (?v_3915 (= errorReached.34 errorReached.33)) (?v_3912 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 call28696formal.ret.0)) (?v_3913 (= k.44 k.43)) (?v_3910 (= k.43 0)) (?v_3911 (= k.43 1))) (let ((?v_3919 (and (=> true (=> ?v_23 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> (=> ?v_3910 ?v_10) (=> (=> ?v_3911 ?v_11) (=> true (=> ?v_3912 (=> (= errorReached.34 1) (=> ?v_3913 ?v_3914))))))) (=> true (=> (=> ?v_3910 ?v_2) (=> (=> ?v_3911 ?v_3) (=> true (=> ?v_3912 (=> ?v_3915 (=> ?v_3913 ?v_3916))))))))))))) (=> true (=> ?v_487 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> ?v_3915 (=> (= k.44 k.42) ?v_3916))))))))) (let ((?v_3920 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3919))))))))))))))) (?v_3917 (= k.42 0)) (?v_3918 (= k.42 1))) (let ((?v_3925 (and (=> true (=> (=> ?v_3917 ?v_37) (=> (=> ?v_3918 ?v_39) ?v_3919))) (=> true (=> (=> ?v_3917 ?v_635) (=> (=> ?v_3918 ?v_637) (and (=> true (=> (=> ?v_3917 ?v_542) (=> (=> ?v_3918 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3920)))))))))))) (=> true (=> (=> ?v_3917 ?v_639) (=> (=> ?v_3918 ?v_640) ?v_3920)))))))))) (let ((?v_3930 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3925)))))))))) (?v_3927 (= errorReached.33 errorReached.31)) (?v_3928 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_3929 (= k.42 k.40)) (?v_3932 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hdevice)) (?v_3931 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hqueue)) (?v_3926 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 htimer)) (?v_3924 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hrequest)) (?v_3923 (=> true (=> (= errorReached.33 errorReached.32) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 call28444formal.ret.0) (=> (= k.42 k.41) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3925)))))) (?v_3921 (= k.41 0)) (?v_3922 (= k.41 1))) (let ((?v_3934 (and (=> true (=> ?v_3924 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> (=> ?v_3921 ?v_10) (=> (=> ?v_3922 ?v_11) (=> true (=> (= errorReached.32 1) ?v_3923))))) (=> true (=> (=> ?v_3921 ?v_2) (=> (=> ?v_3922 ?v_3) (=> true (=> (= errorReached.32 errorReached.31) (=> true ?v_3923)))))))))))) (=> true (=> (not ?v_3924) (and (=> true (=> ?v_3926 (=> true (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3930))))))) (=> true (=> (not ?v_3926) (and (=> true (=> ?v_3931 (=> true (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3930))))))) (=> true (=> (not ?v_3931) (and (=> true (=> ?v_3932 (=> true (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3930))))))) (=> true (=> (not ?v_3932) (=> true (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3930))))))))))))))))))) (let ((?v_3936 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3934)))))))))))) (?v_3935 (= k.40 1)) (?v_2714 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2748 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2714))) (?v_3933 (= k.40 0)) (?v_1538 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2714)))) (let ((?v_3952 (=> true (=> (<= k.39 k.40) (=> (< k.40 2) (and (=> true (=> ?v_3933 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 ?v_1538) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6) ?v_3934))))) (=> true (=> (not ?v_3933) (and (=> true (=> ?v_3935 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 ?v_2748) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7) ?v_3936))))) (=> true (=> (not ?v_3935) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) ?v_3936)))))))))))) (?v_3365 (= k.35 0)) (?v_3950 (= k.35 1))) (let ((?v_3944 (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= k.39 k.38) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.2) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myVar_0.2) ?v_3952)))))))))) (?v_3943 (= inline.ReleaseDpcLock.4.myVar_0.2 hlock))) (let ((?v_3938 (=> true (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call28297formal.ret.0) (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= k.38 k.37) ?v_3944))))))) (let ((?v_3942 (=> true ?v_3938)) (?v_3940 (= lockStatus_0.3 lockStatus_0.2)) (?v_3941 (= lockStatus_1.3 lockStatus_1.2)) (?v_3939 (= k.37 1)) (?v_3937 (= k.37 0))) (let ((?v_3947 (and (=> true (=> ?v_3943 (=> true (=> (<= k.36 k.37) (=> (< k.37 2) (and (=> true (=> ?v_3937 (=> true (=> (= lockStatus_0.3 0) (=> ?v_3941 ?v_3938))))) (=> true (=> (not ?v_3937) (and (=> true (=> ?v_3939 (=> true (=> ?v_3940 (=> (= lockStatus_1.3 0) ?v_3942))))) (=> true (=> (not ?v_3939) (=> true (=> ?v_3940 (=> ?v_3941 ?v_3942)))))))))))))) (=> true (=> (not ?v_3943) (=> true (=> (= lockStatus_0.4 lockStatus_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= k.38 k.36) (=> true (=> true (=> true ?v_3944))))))))))))) (let ((?v_3949 (=> true (=> true (=> true (=> true ?v_3947))))) (?v_3948 (= k.36 1)) (?v_3946 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3945 (= k.36 0))) (let ((?v_3951 (=> true (=> (<= k.35 k.36) (=> (< k.36 2) (and (=> true (=> ?v_3945 (=> (= inline.ReleaseDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3946))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.1) ?v_3947))))) (=> true (=> (not ?v_3945) (and (=> true (=> ?v_3948 (=> (= inline.ReleaseDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3946))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.0) ?v_3949))))) (=> true (=> (not ?v_3948) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0) ?v_3949))))))))))))) (let ((?v_3955 (and (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.1) ?v_3951)))) (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3365 ?v_288) (=> (=> ?v_3950 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.0) (=> true (=> true ?v_3951))))))) (=> true (=> (=> ?v_3365 ?v_391) (=> (=> ?v_3950 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= k.39 k.35) (=> (= lockStatus_0.5 lockStatus_0.2) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.0) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_3952))))))))))))))))))))) (let ((?v_3958 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3955)))))))))) (?v_3957 (= errorReached.31 errorReached.29)) (?v_3960 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hdevice)) (?v_3959 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hqueue)) (?v_3956 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 htimer)) (?v_3954 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hrequest)) (?v_3953 (=> true (=> (= errorReached.31 errorReached.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3955))))) (let ((?v_3961 (and (=> true (=> ?v_3954 (and (=> true (=> (=> ?v_3365 ?v_10) (=> (=> ?v_3950 ?v_11) (=> true (=> (= errorReached.30 1) ?v_3953))))) (=> true (=> (=> ?v_3365 ?v_2) (=> (=> ?v_3950 ?v_3) (=> true (=> (= errorReached.30 errorReached.29) (=> true ?v_3953))))))))) (=> true (=> (not ?v_3954) (and (=> true (=> ?v_3956 (=> true (=> ?v_3957 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3958))))) (=> true (=> (not ?v_3956) (and (=> true (=> ?v_3959 (=> true (=> ?v_3957 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3958))))) (=> true (=> (not ?v_3959) (and (=> true (=> ?v_3960 (=> true (=> ?v_3957 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3958))))) (=> true (=> (not ?v_3960) (=> true (=> ?v_3957 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3958))))))))))))))))) (let ((?v_3962 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3961))))))))))))) (let ((?v_3965 (=> true (=> (<= k.34 k.35) (=> (< k.35 2) (and (=> true (=> ?v_3365 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 ?v_1538) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4) ?v_3961))))) (=> true (=> (not ?v_3365) (and (=> true (=> ?v_3950 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 ?v_2748) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3) ?v_3962))))) (=> true (=> (not ?v_3950) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_3962))))))))))))) (let ((?v_3969 (=> true ?v_3965)) (?v_3967 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3968 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3966 (= k.34 1)) (?v_1529 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3964 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1529 ?v_63)) (?v_3963 (= k.34 0)) (?v_3364 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1529 ?v_63))) (let ((?v_3972 (=> true (=> (<= k.33 k.34) (=> (< k.34 2) (and (=> true (=> ?v_3963 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3364) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) (=> ?v_3968 ?v_3965)))))) (=> true (=> (not ?v_3963) (and (=> true (=> ?v_3966 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3964) (=> true (=> ?v_3967 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_3969)))))) (=> true (=> (not ?v_3966) (=> true (=> ?v_3967 (=> ?v_3968 ?v_3969))))))))))))) (?v_3974 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_3975 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_3972)))) (?v_3973 (= k.33 1)) (?v_1537 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3971 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1537 ?v_2759)) (?v_3970 (= k.33 0)) (?v_3363 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1537 ?v_2759)) (?v_3362 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 0)) (?v_2765 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_2766 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_2767 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2768 (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_2769 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_2770 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_2771 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_2772 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2773 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2774 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2775 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_2776 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2777 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2778 (= inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.6..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2779 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2780 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2782 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_2783 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2784 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_2785 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2786 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_2787 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2788 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2789 (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_2790 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2791 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_2792 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_2793 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_2795 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2796 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2797 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2798 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_2799 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_2800 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2802 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_2803 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2804 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2805 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2806 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2807 (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0)) (?v_2808 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3126 (= alloc.13 alloc.8)) (?v_2809 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2810 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_2811 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2812 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_3136 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2813 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2814 (= inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.6..result.GetDeviceContext.2392.52.1.)) (?v_2815 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2816 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2817 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2818 (= inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.23..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2819 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2820 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_2821 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2822 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2823 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3148 (= lockStatus_0.41 lockStatus_0.2)) (?v_2824 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2826 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_2827 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_2828 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_2829 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2830 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2831 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_2832 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2833 (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0)) (?v_2835 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2836 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2837 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2838 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2839 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2840 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_2841 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2843 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_2844 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0)) (?v_2845 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2846 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2847 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_2848 (= inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.34..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2849 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2850 (= inline.ReleaseDpcLock.6.myVar_0.4 inline.ReleaseDpcLock.6.myVar_0)) (?v_2851 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_2852 (= inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.26..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2853 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2854 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_2855 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2856 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_2857 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2858 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2859 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2860 (= inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.30..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2861 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2862 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2863 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2864 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2865 (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0)) (?v_2866 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2867 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2868 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2869 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2870 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_2871 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2872 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2873 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2874 (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0)) (?v_2875 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2876 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_2877 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2878 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2879 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3200 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2880 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_2881 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_2882 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_2883 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2884 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2885 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_2886 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_2887 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_2889 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_2890 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2891 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2892 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2893 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2894 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2895 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_2896 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2897 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_2898 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3213 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2899 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2900 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_2901 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_2902 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2903 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2904 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2905 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2906 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2907 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2908 (= inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.30..result.GetDeviceContext.137.0.1.)) (?v_2909 (= inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.34..result.GetDeviceContext.137.0.1.)) (?v_2910 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2911 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2912 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2913 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2914 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2915 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_2916 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2917 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2918 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2919 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2920 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2921 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2922 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2923 (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0)) (?v_3236 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2)) (?v_2924 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_2925 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2926 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2927 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2928 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2929 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_2930 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2931 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2932 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_2933 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_2934 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2935 (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2936 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2937 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2938 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2939 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_2941 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_2942 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2943 (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0)) (?v_2944 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_2945 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2946 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2947 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2948 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2950 (= inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.31..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2951 (= inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.23..result.GetDeviceContext.137.0.1.)) (?v_2952 (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_2953 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2954 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2955 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2956 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2957 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_2958 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2959 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2960 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2961 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2962 (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0)) (?v_2963 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_2964 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3282 (= lockStatus_1.41 lockStatus_1.2)) (?v_2965 (= inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.31..result.GetDeviceContext.137.0.1.)) (?v_2966 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2967 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2968 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_2969 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_2971 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2972 (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_2974 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2975 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2976 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2977 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_2978 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_2979 (= inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.27..result.GetDeviceContext.137.0.1.)) (?v_2980 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2981 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3306 (= reqCompleted_1.12 reqCompleted_1)) (?v_2982 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2983 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2984 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2985 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_2986 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2987 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2988 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_2989 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2991 (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0)) (?v_2992 (= inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.26..result.GetDeviceContext.137.0.1.)) (?v_2993 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2994 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2995 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_2996 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2997 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3321 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2998 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_2999 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3000 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3001 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3002 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3003 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3004 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3005 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3006 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3007 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3008 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3009 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3010 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3011 (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0)) (?v_3012 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_3013 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3014 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3015 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3016 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3017 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_3018 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3019 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_3020 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_3022 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3023 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_3024 (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3025 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3357 (= reqCompleted_0.12 reqCompleted_0)) (?v_3026 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3027 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3029 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_3030 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_3031 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3032 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_3033 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_3034 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_3035 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3036 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3037 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_3038 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3039 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_3040 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_3041 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_3042 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3043 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_3044 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3045 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_3046 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3047 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3048 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3049 (= inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.27..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3050 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3051 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3052 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_3053 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_3054 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1))) (let ((?v_3360 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3029 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3030 (=> ?v_3404 (=> ?v_3031 (=> ?v_3405 (=> ?v_3406 (=> ?v_3032 (=> ?v_3033 (=> ?v_3407 (=> ?v_3034 (=> ?v_3408 (=> ?v_3035 (=> ?v_3409 (=> ?v_3036 (=> ?v_3037 (=> ?v_3410 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> ?v_3411 (=> ?v_3042 (=> ?v_3412 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> ?v_3413 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3414 (=> ?v_3415 (=> ?v_3047 (=> ?v_3416 (=> ?v_3417 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3418 (=> ?v_3053 (=> ?v_3419 (=> ?v_3420 (=> ?v_3054 ?v_3421)))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1528 (= k.32 0)) (?v_3078 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1529)) 0)) (?v_1530 (= k.32 1)) (?v_3079 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1529)) 0)) (?v_2781 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2794 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2801 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2825 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0)) (?v_2834 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2842 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2888 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2940 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2949 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0)) (?v_2970 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2973 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2990 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call20786formal.ret.0)) (?v_3021 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_3028 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2764 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_341)))) (let ((?v_2210 (=> true (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0.4) (=> ?v_2765 (=> (= reqCancelSet_1.18 reqCancelSet_1.17) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2766 (=> ?v_2767 (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2769 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2770 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> ?v_2771 (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2772 (=> (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2773 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0) (=> ?v_2774 (=> (= inline.GetDeviceContext.17..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2775 (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2779 (=> ?v_2780 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> ?v_2781 (=> ?v_2782 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> ?v_2783 (=> (= inline.GetDeviceContext.17..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0) (=> ?v_2787 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_2788 (=> ?v_2789 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> ?v_2790 (=> ?v_2791 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2792 (=> ?v_2793 (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> ?v_2794 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2795 (=> ?v_2796 (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2797 (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2798 (=> ?v_2799 (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2800 (=> ?v_2801 (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> ?v_2802 (=> ?v_2803 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_2807 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2808 (=> (= alloc.13 alloc.12) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> ?v_2809 (=> ?v_2810 (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0) (=> ?v_2811 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> ?v_2812 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5) (=> ?v_2813 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2814 (=> ?v_2815 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2819 (=> ?v_2820 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2821 (=> (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0.3) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_2822 (=> ?v_2823 (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2824 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_2829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2830 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2831 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3) (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_2835 (=> (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0.15) (=> ?v_2836 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0) (=> ?v_2845 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2846 (=> ?v_2847 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.3) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> ?v_2851 (=> ?v_2852 (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2858 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2859 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0) (=> ?v_2865 (=> ?v_2866 (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2867 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2868 (=> ?v_2869 (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> ?v_2870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> ?v_2874 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2878 (=> ?v_2879 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2880 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2881 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2882 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2889 (=> (= inline.GetDeviceContext.9..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2891 (=> ?v_2892 (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2) (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= k.187 k.186) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2) (=> ?v_2899 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> ?v_2900 (=> ?v_2901 (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1) (=> ?v_2903 (=> (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0.3) (=> ?v_2904 (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0) (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0.4) (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_3389 (=> ?v_2912 (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> ?v_2913 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.9..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2914 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> (= inline.GetDeviceContext.16..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2918 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2928 (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_2930 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_2936 (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2937 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= errorReached.134 errorReached.133) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2946 (=> ?v_2947 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2948 (=> (= inline.GetDeviceContext.20..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2949 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetDeviceContext.20..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2950 (=> ?v_2951 (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> ?v_2952 (=> (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0.3) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0) (=> ?v_2953 (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2954 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2955 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2956 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0) (=> ?v_2957 (=> ?v_2958 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2959 (=> ?v_2960 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_2961 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> ?v_2962 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_2963 (=> ?v_2964 (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call27054formal.new.0) (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_2974 (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2978 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> ?v_2979 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2980 (=> ?v_2981 (=> (= reqCompleted_1.12 reqCompleted_1.11) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2982 (=> ?v_2983 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2984 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2985 (=> ?v_2986 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1) (=> ?v_2987 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2988 (=> ?v_2989 (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> ?v_2990 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_2991 (=> (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2992 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> ?v_2993 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_2994 (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> ?v_2998 (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2999 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_3000 (=> ?v_3001 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0) (=> ?v_3002 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call22787formal.ret.0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_3003 (=> ?v_3004 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_3010 (=> ?v_3011 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3012 (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0) (=> ?v_3013 (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3014 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3015 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_3019 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_3020 (=> ?v_3021 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.3) (=> (= inline.GetDeviceContext.16..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_0.12 reqCompleted_0.11) (=> ?v_3026 (=> ?v_3027 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3028 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3029 (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0.3) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0.4) (=> ?v_3030 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_3031 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1) (=> ?v_3032 (=> ?v_3033 (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> ?v_3034 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> ?v_3035 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_3036 (=> ?v_3037 (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> ?v_3042 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> ?v_3047 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_3053 (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3054 ?v_3055)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1560 (= k.182 0)) (?v_1561 (= k.182 1))) (let ((?v_2203 (=> true (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call27786formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= k.186 k.185) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0.2) (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myVar_0.2) ?v_2210))))))))))) (?v_2202 (= inline.AcquireDpcLock.3.myVar_0.2 hlock))) (let ((?v_2198 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call27734formal.ret.0) (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= k.185 k.184) ?v_2203))))))) (let ((?v_2201 (=> true ?v_2198)) (?v_2199 (= lockStatus_0.38 lockStatus_0.37)) (?v_2200 (= lockStatus_1.38 lockStatus_1.37)) (?v_2197 (= k.184 1)) (?v_1562 (= k.184 0))) (let ((?v_2206 (and (=> true (=> ?v_2202 (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (=> true (=> (=> ?v_1562 (= lockStatus_0.37 0)) (=> (=> ?v_2197 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1562 (=> true (=> (= lockStatus_0.38 1) (=> ?v_2200 ?v_2198))))) (=> true (=> (not ?v_1562) (and (=> true (=> ?v_2197 (=> true (=> ?v_2199 (=> (= lockStatus_1.38 1) ?v_2201))))) (=> true (=> (not ?v_2197) (=> true (=> ?v_2199 (=> ?v_2200 ?v_2201))))))))))))))))) (=> true (=> (not ?v_2202) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= k.185 k.183) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2203)))))))))))))))) (let ((?v_2208 (=> true (=> true (=> true (=> true ?v_2206))))) (?v_2207 (= k.183 1)) (?v_2205 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2204 (= k.183 0))) (let ((?v_2209 (=> true (=> (<= k.182 k.183) (=> (< k.183 2) (and (=> true (=> ?v_2204 (=> (= inline.AcquireDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2205))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.1) ?v_2206))))) (=> true (=> (not ?v_2204) (and (=> true (=> ?v_2207 (=> (= inline.AcquireDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2205))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.0) ?v_2208))))) (=> true (=> (not ?v_2207) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0) ?v_2208))))))))))))) (let ((?v_2215 (and (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.0) ?v_2209)))) (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_1560 ?v_288) (=> (=> ?v_1561 ?v_289) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.1) ?v_2209))))) (=> true (=> (=> ?v_1560 ?v_391) (=> (=> ?v_1561 ?v_393) (=> true (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.186 k.182) (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0) (=> (= lockStatus_1.40 lockStatus_1.37) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2210)))))))))))))))))))))))))) (let ((?v_2218 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2215)))))))))) (?v_2217 (= errorReached.133 errorReached.131)) (?v_2220 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hdevice)) (?v_2219 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hqueue)) (?v_2216 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 htimer)) (?v_2214 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hrequest)) (?v_2213 (=> true (=> (= errorReached.133 errorReached.132) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2215)))) (?v_2211 (= reqCompleted_0.11 0)) (?v_2212 (= reqCompleted_1.11 0))) (let ((?v_1552 (not ?v_2211)) (?v_1553 (not ?v_2212))) (let ((?v_2222 (and (=> true (=> ?v_2214 (and (=> true (=> (=> ?v_1560 ?v_1552) (=> (=> ?v_1561 ?v_1553) (=> true (=> (= errorReached.132 1) ?v_2213))))) (=> true (=> (=> ?v_1560 ?v_2211) (=> (=> ?v_1561 ?v_2212) (=> true (=> (= errorReached.132 errorReached.131) (=> true ?v_2213))))))))) (=> true (=> (not ?v_2214) (and (=> true (=> ?v_2216 (=> true (=> ?v_2217 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2218))))) (=> true (=> (not ?v_2216) (and (=> true (=> ?v_2219 (=> true (=> ?v_2217 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2218))))) (=> true (=> (not ?v_2219) (and (=> true (=> ?v_2220 (=> true (=> ?v_2217 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2218))))) (=> true (=> (not ?v_2220) (=> true (=> ?v_2217 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2218))))))))))))))))) (let ((?v_2223 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2222)))))))))))) (?v_2221 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2236 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2221))) (?v_1550 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2221)))) (let ((?v_2225 (and (=> true (=> ?v_1560 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.19) ?v_2222))))) (=> true (=> (not ?v_1560) (and (=> true (=> ?v_1561 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.18) ?v_2223))))) (=> true (=> (not ?v_1561) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) ?v_2223)))))))))) (let ((?v_2224 (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call27377formal.ret.0) ?v_2225)))) (let ((?v_2230 (and (=> true (=> (=> ?v_1560 ?v_37) (=> (=> ?v_1561 ?v_39) ?v_2224))) (=> true (=> (=> ?v_1560 ?v_635) (=> (=> ?v_1561 ?v_637) (and (=> true (=> (=> ?v_1560 ?v_542) (=> (=> ?v_1561 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2224)))))))))))) (=> true (=> (=> ?v_1560 ?v_639) (=> (=> ?v_1561 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_2225))))))))))))))))) (let ((?v_2232 (=> (= errorReached.131 errorReached.129) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= k.182 k.180) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2230))))))))))))) (?v_2234 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hdevice)) (?v_2233 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hqueue)) (?v_2231 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 htimer)) (?v_2229 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hrequest)) (?v_2228 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.131 errorReached.130) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call27180formal.ret.0) (=> (= k.182 k.181) ?v_2230)))))) (?v_2226 (= k.181 0)) (?v_2227 (= k.181 1))) (let ((?v_2237 (and (=> true (=> ?v_2229 (=> true (=> (<= k.180 k.181) (=> (< k.181 2) (and (=> true (=> (=> ?v_2226 ?v_1552) (=> (=> ?v_2227 ?v_1553) (=> true (=> (= errorReached.130 1) ?v_2228))))) (=> true (=> (=> ?v_2226 ?v_2211) (=> (=> ?v_2227 ?v_2212) (=> true (=> (= errorReached.130 errorReached.129) (=> true ?v_2228)))))))))))) (=> true (=> (not ?v_2229) (and (=> true (=> ?v_2231 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2232)))) (=> true (=> (not ?v_2231) (and (=> true (=> ?v_2233 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2232)))) (=> true (=> (not ?v_2233) (and (=> true (=> ?v_2234 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2232)))) (=> true (=> (not ?v_2234) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2232)))))))))))))))) (let ((?v_2239 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2237)))))))))))) (?v_2238 (= k.180 1)) (?v_2235 (= k.180 0)) (?v_1559 (int_2_U call27054formal.new.0))) (let ((?v_2240 (=> true (and ?v_1544 (=> ?v_1544 (=> (> call27054formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call27054formal.new.0 ?x361) (< ?x361 (+ call27054formal.new.0 1))) (= (Base ?x361) call27054formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call27054formal.new.0) (= (MapType0Select alloc.11 ?x362) (MapType0Select alloc.12 ?x362)))) :pattern ((MapType0Select alloc.12 ?x362)) )) (=> (and (= (MapType0Select alloc.11 ?v_1559) UNALLOCATED) (= (MapType0Select alloc.12 ?v_1559) ALLOCATED)) (=> true (=> (<= k.179 k.180) (=> (< k.180 2) (and (=> true (=> ?v_2235 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.16) ?v_2237))))) (=> true (=> (not ?v_2235) (and (=> true (=> ?v_2238 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.15) ?v_2239))))) (=> true (=> (not ?v_2238) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) ?v_2239)))))))))))))))))))) (let ((?v_2241 (=> true (=> true (=> true ?v_2240)))) (?v_1557 (= k.179 0)) (?v_1558 (= k.179 1))) (let ((?v_2244 (and (=> true (=> (=> ?v_1557 ?v_37) (=> (=> ?v_1558 ?v_39) ?v_2240))) (=> true (=> (=> ?v_1557 ?v_635) (=> (=> ?v_1558 ?v_637) (and (=> true (=> (=> ?v_1557 ?v_542) (=> (=> ?v_1558 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2241)))))))))))) (=> true (=> (=> ?v_1557 ?v_639) (=> (=> ?v_1558 ?v_640) ?v_2241)))))))))) (let ((?v_2247 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2244)))))))))) (?v_2246 (= errorReached.129 errorReached.127)) (?v_2249 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hdevice)) (?v_2248 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hqueue)) (?v_2245 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 htimer)) (?v_2243 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hrequest)) (?v_2242 (=> true (=> (= errorReached.129 errorReached.128) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2244))))) (let ((?v_2250 (and (=> true (=> ?v_2243 (and (=> true (=> (=> ?v_1557 ?v_1552) (=> (=> ?v_1558 ?v_1553) (=> true (=> (= errorReached.128 1) ?v_2242))))) (=> true (=> (=> ?v_1557 ?v_2211) (=> (=> ?v_1558 ?v_2212) (=> true (=> (= errorReached.128 errorReached.127) (=> true ?v_2242))))))))) (=> true (=> (not ?v_2243) (and (=> true (=> ?v_2245 (=> true (=> ?v_2246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2247))))) (=> true (=> (not ?v_2245) (and (=> true (=> ?v_2248 (=> true (=> ?v_2246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2247))))) (=> true (=> (not ?v_2248) (and (=> true (=> ?v_2249 (=> true (=> ?v_2246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2247))))) (=> true (=> (not ?v_2249) (=> true (=> ?v_2246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2247))))))))))))))))) (let ((?v_2251 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2250))))))))))))) (let ((?v_2268 (=> true (=> (<= k.178 k.179) (=> (< k.179 2) (and (=> true (=> ?v_1557 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.12) ?v_2250))))) (=> true (=> (not ?v_1557) (and (=> true (=> ?v_1558 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.13) ?v_2251))))) (=> true (=> (not ?v_1558) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) ?v_2251)))))))))))) (?v_2266 (= k.174 0)) (?v_2267 (= k.174 1))) (let ((?v_2259 (=> true (=> (= k.178 k.177) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.2) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0.2) ?v_2268)))))))))) (?v_2258 (= inline.ReleaseDpcLock.3.myVar_0.2 hlock))) (let ((?v_2253 (=> true (=> (= lockStatus_0.36 lockStatus_0.35) (=> (= lockStatus_1.36 lockStatus_1.35) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 call26667formal.ret.0) (=> (= k.177 k.176) ?v_2259))))))) (let ((?v_2257 (=> true ?v_2253)) (?v_2255 (= lockStatus_0.35 lockStatus_0.34)) (?v_2256 (= lockStatus_1.35 lockStatus_1.34)) (?v_2254 (= k.176 1)) (?v_2252 (= k.176 0))) (let ((?v_2262 (and (=> true (=> ?v_2258 (=> true (=> (<= k.175 k.176) (=> (< k.176 2) (and (=> true (=> ?v_2252 (=> true (=> (= lockStatus_0.35 0) (=> ?v_2256 ?v_2253))))) (=> true (=> (not ?v_2252) (and (=> true (=> ?v_2254 (=> true (=> ?v_2255 (=> (= lockStatus_1.35 0) ?v_2257))))) (=> true (=> (not ?v_2254) (=> true (=> ?v_2255 (=> ?v_2256 ?v_2257)))))))))))))) (=> true (=> (not ?v_2258) (=> true (=> (= lockStatus_0.36 lockStatus_0.34) (=> (= lockStatus_1.36 lockStatus_1.34) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= k.177 k.175) (=> true (=> true (=> true ?v_2259))))))))))))) (let ((?v_2264 (=> true (=> true (=> true (=> true ?v_2262))))) (?v_2263 (= k.175 1)) (?v_2261 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2260 (= k.175 0))) (let ((?v_2265 (=> true (=> (<= k.174 k.175) (=> (< k.175 2) (and (=> true (=> ?v_2260 (=> (= inline.ReleaseDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2261))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.0) ?v_2262))))) (=> true (=> (not ?v_2260) (and (=> true (=> ?v_2263 (=> (= inline.ReleaseDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2261))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.1) ?v_2264))))) (=> true (=> (not ?v_2263) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0) ?v_2264))))))))))))) (let ((?v_2273 (and (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.1) ?v_2265)))) (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2266 ?v_288) (=> (=> ?v_2267 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> true (=> true ?v_2265))))))) (=> true (=> (=> ?v_2266 ?v_391) (=> (=> ?v_2267 ?v_393) (=> true (=> (= k.178 k.174) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.37 lockStatus_1.34) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0) (=> true (=> true (=> true ?v_2268))))))))))))))))))))) (let ((?v_2275 (=> (= errorReached.127 errorReached.125) (=> (= k.174 k.172) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2273))))))))))))) (?v_2277 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hdevice)) (?v_2276 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hqueue)) (?v_2274 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 htimer)) (?v_2272 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hrequest)) (?v_2271 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.127 errorReached.126) (=> (= k.174 k.173) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 call26425formal.ret.0) ?v_2273)))))) (?v_2269 (= k.173 0)) (?v_2270 (= k.173 1))) (let ((?v_2279 (and (=> true (=> ?v_2272 (=> true (=> (<= k.172 k.173) (=> (< k.173 2) (and (=> true (=> (=> ?v_2269 ?v_1552) (=> (=> ?v_2270 ?v_1553) (=> true (=> (= errorReached.126 1) ?v_2271))))) (=> true (=> (=> ?v_2269 ?v_2211) (=> (=> ?v_2270 ?v_2212) (=> true (=> (= errorReached.126 errorReached.125) (=> true ?v_2271)))))))))))) (=> true (=> (not ?v_2272) (and (=> true (=> ?v_2274 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2275)))) (=> true (=> (not ?v_2274) (and (=> true (=> ?v_2276 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2275)))) (=> true (=> (not ?v_2276) (and (=> true (=> ?v_2277 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2275)))) (=> true (=> (not ?v_2277) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2275)))))))))))))))) (let ((?v_2281 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2279)))))))))))) (?v_2280 (= k.172 1)) (?v_2278 (= k.172 0))) (let ((?v_2291 (=> true (=> (<= k.171 k.172) (=> (< k.172 2) (and (=> true (=> ?v_2278 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.9) ?v_2279))))) (=> true (=> (not ?v_2278) (and (=> true (=> ?v_2280 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.10) ?v_2281))))) (=> true (=> (not ?v_2280) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) ?v_2281)))))))))))) (?v_1556 (= k.171 0)) (?v_1555 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2289 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1555)) hrequest)) (?v_2282 (= k.171 1)) (?v_2290 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1555)) hrequest)) (?v_2285 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_2291))))) (let ((?v_2288 (=> true ?v_2285)) (?v_2286 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2287 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2283 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2306 (and (=> true (=> (=> ?v_1556 ?v_2289) (=> (=> ?v_2282 ?v_2290) (and (=> true (=> ?v_1556 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2283 ?v_2284)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) (=> ?v_2287 ?v_2285)))))) (=> true (=> (not ?v_1556) (and (=> true (=> ?v_2282 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2283 ?v_2284)) (=> true (=> ?v_2286 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_2288)))))) (=> true (=> (not ?v_2282) (=> true (=> ?v_2286 (=> ?v_2287 ?v_2288)))))))))))) (=> true (=> (=> ?v_1556 (not ?v_2289)) (=> (=> ?v_2282 (not ?v_2290)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_2291)))))))) (?v_1551 (= k.167 0)) (?v_2304 (= k.167 1))) (let ((?v_2298 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.2) (=> (= k.171 k.170) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call26255formal.ret.0) (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= lockStatus_1.34 lockStatus_1.33) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0) ?v_2306))))))))))) (?v_2297 (= inline.AcquireDpcLock.2.myVar_0.2 hlock))) (let ((?v_2293 (=> true (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call26203formal.ret.0) (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= k.170 k.169) ?v_2298))))))) (let ((?v_2296 (=> true ?v_2293)) (?v_2294 (= lockStatus_0.32 lockStatus_0.31)) (?v_2295 (= lockStatus_1.32 lockStatus_1.31)) (?v_2292 (= k.169 1)) (?v_1554 (= k.169 0))) (let ((?v_2301 (and (=> true (=> ?v_2297 (=> true (=> (<= k.168 k.169) (=> (< k.169 2) (=> true (=> (=> ?v_1554 (= lockStatus_0.31 0)) (=> (=> ?v_2292 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1554 (=> true (=> (= lockStatus_0.32 1) (=> ?v_2295 ?v_2293))))) (=> true (=> (not ?v_1554) (and (=> true (=> ?v_2292 (=> true (=> ?v_2294 (=> (= lockStatus_1.32 1) ?v_2296))))) (=> true (=> (not ?v_2292) (=> true (=> ?v_2294 (=> ?v_2295 ?v_2296))))))))))))))))) (=> true (=> (not ?v_2297) (=> true (=> (= lockStatus_0.33 lockStatus_0.31) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.33 lockStatus_1.31) (=> (= k.170 k.168) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2298)))))))))))))))) (let ((?v_2303 (=> true (=> true (=> true (=> true ?v_2301))))) (?v_2302 (= k.168 1)) (?v_2300 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2299 (= k.168 0))) (let ((?v_2305 (=> true (=> (<= k.167 k.168) (=> (< k.168 2) (and (=> true (=> ?v_2299 (=> (= inline.AcquireDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2300))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.0) ?v_2301))))) (=> true (=> (not ?v_2299) (and (=> true (=> ?v_2302 (=> (= inline.AcquireDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2300))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.1) ?v_2303))))) (=> true (=> (not ?v_2302) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0) ?v_2303))))))))))))) (let ((?v_2309 (and (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.0) ?v_2305)))) (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_1551 ?v_288) (=> (=> ?v_2304 ?v_289) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.1) ?v_2305))))) (=> true (=> (=> ?v_1551 ?v_391) (=> (=> ?v_2304 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.1) (=> (= k.171 k.167) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.34 lockStatus_0.31) (=> (= lockStatus_1.34 lockStatus_1.31) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true ?v_2306))))))))))))))))))))))) (let ((?v_2312 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2309)))))))))) (?v_2311 (= errorReached.125 errorReached.123)) (?v_2314 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hdevice)) (?v_2313 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hqueue)) (?v_2310 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 htimer)) (?v_2308 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hrequest)) (?v_2307 (=> true (=> (= errorReached.125 errorReached.124) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2309))))) (let ((?v_2315 (and (=> true (=> ?v_2308 (and (=> true (=> (=> ?v_1551 ?v_1552) (=> (=> ?v_2304 ?v_1553) (=> true (=> (= errorReached.124 1) ?v_2307))))) (=> true (=> (=> ?v_1551 ?v_2211) (=> (=> ?v_2304 ?v_2212) (=> true (=> (= errorReached.124 errorReached.123) (=> true ?v_2307))))))))) (=> true (=> (not ?v_2308) (and (=> true (=> ?v_2310 (=> true (=> ?v_2311 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2312))))) (=> true (=> (not ?v_2310) (and (=> true (=> ?v_2313 (=> true (=> ?v_2311 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2312))))) (=> true (=> (not ?v_2313) (and (=> true (=> ?v_2314 (=> true (=> ?v_2311 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2312))))) (=> true (=> (not ?v_2314) (=> true (=> ?v_2311 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2312))))))))))))))))) (let ((?v_2316 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2315))))))))))))) (let ((?v_2320 (=> true (=> (<= k.166 k.167) (=> (< k.167 2) (and (=> true (=> ?v_1551 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.7) ?v_2315))))) (=> true (=> (not ?v_1551) (and (=> true (=> ?v_2304 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.6) ?v_2316))))) (=> true (=> (not ?v_2304) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) ?v_2316)))))))))))) (?v_2317 (= k.166 0)) (?v_2318 (= k.166 1))) (let ((?v_2319 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call25845formal.ret.0) ?v_2320)))) (let ((?v_2325 (and (=> true (=> (=> ?v_2317 ?v_37) (=> (=> ?v_2318 ?v_39) ?v_2319))) (=> true (=> (=> ?v_2317 ?v_635) (=> (=> ?v_2318 ?v_637) (and (=> true (=> (=> ?v_2317 ?v_542) (=> (=> ?v_2318 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2319)))))))))))) (=> true (=> (=> ?v_2317 ?v_639) (=> (=> ?v_2318 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2320))))))))))))))) (?v_2327 (= errorReached.123 errorReached.121))) (let ((?v_2328 (=> (= k.166 k.164) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2325)))))))))))) (?v_2330 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hdevice)) (?v_2329 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hqueue)) (?v_2326 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 htimer)) (?v_2324 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hrequest)) (?v_2323 (=> true (=> (= errorReached.123 errorReached.122) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.166 k.165) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 call25648formal.ret.0) ?v_2325)))))) (?v_2321 (= k.165 0)) (?v_2322 (= k.165 1))) (let ((?v_2332 (and (=> true (=> ?v_2324 (=> true (=> (<= k.164 k.165) (=> (< k.165 2) (and (=> true (=> (=> ?v_2321 ?v_1552) (=> (=> ?v_2322 ?v_1553) (=> true (=> (= errorReached.122 1) ?v_2323))))) (=> true (=> (=> ?v_2321 ?v_2211) (=> (=> ?v_2322 ?v_2212) (=> true (=> (= errorReached.122 errorReached.121) (=> true ?v_2323)))))))))))) (=> true (=> (not ?v_2324) (and (=> true (=> ?v_2326 (=> true (=> ?v_2327 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2328))))) (=> true (=> (not ?v_2326) (and (=> true (=> ?v_2329 (=> true (=> ?v_2327 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2328))))) (=> true (=> (not ?v_2329) (and (=> true (=> ?v_2330 (=> true (=> ?v_2327 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2328))))) (=> true (=> (not ?v_2330) (=> true (=> ?v_2327 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2328))))))))))))))))) (let ((?v_2334 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2332)))))))))))) (?v_2333 (= k.164 1)) (?v_2331 (= k.164 0))) (let ((?v_2520 (=> true (=> (<= k.163 k.164) (=> (< k.164 2) (and (=> true (=> ?v_2331 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 ?v_1550) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.3) ?v_2332))))) (=> true (=> (not ?v_2331) (and (=> true (=> ?v_2333 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 ?v_2236) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.4) ?v_2334))))) (=> true (=> (not ?v_2333) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) ?v_2334)))))))))))) (?v_2524 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2525 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2526 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2527 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2528 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2529 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2530 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_2531 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_2532 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2533 (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1.)) (?v_2534 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2535 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_2536 (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1.)) (?v_2537 (= lockStatus_0.31 lockStatus_0.15)) (?v_2538 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_2539 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2540 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2541 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2542 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2543 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2544 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_2545 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2546 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2547 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_2548 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2549 (= lockStatus_1.31 lockStatus_1.15)) (?v_2550 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_2551 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2552 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2553 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2554 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6)) (?v_2555 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_2556 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2557 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2558 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2559 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2560 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2561 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_2562 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2563 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2564 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2565 (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0)) (?v_2566 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2567 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_2568 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_2569 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2570 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6)) (?v_2571 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2572 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2573 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_2574 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2575 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_2576 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_2577 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2578 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2579 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2580 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2581 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2582 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2583 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2584 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_2585 (= k.163 k.129)) (?v_2586 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_2587 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2588 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_2589 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_2590 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2591 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_2592 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2593 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_2594 (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2595 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2596 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2597 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2598 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_2599 (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0)) (?v_2600 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2601 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_2602 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_2603 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2604 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2605 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_2606 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2607 (= reqCompleted_1.11 reqCompleted_1.7)) (?v_2608 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_2609 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2610 (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2611 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2612 (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_2613 (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0)) (?v_2614 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_2615 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2616 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2617 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2618 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_2619 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2620 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2621 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2622 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2623 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2624 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_2625 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_2626 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_2627 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2628 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2629 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2630 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2631 (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0)) (?v_2632 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_2633 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2634 (= reqCompleted_0.11 reqCompleted_0.7)) (?v_2635 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2636 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.))) (let ((?v_2637 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1) (=> true ?v_2520))))))))))))))))))))) (let ((?v_2645 (=> true (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= reqCancelSet_1.17 reqCancelSet_1.13) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> (= errorReached.121 errorReached.99) (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> (= reqCancelSet_0.17 reqCancelSet_0.13) (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) ?v_2637)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2638 (=> true (=> (= errorReached.99 errorReached.98) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= reqCancelSet_1.13 reqCancelSet_1.12) ?v_2645)))))) (let ((?v_2641 (=> true ?v_2638)) (?v_2639 (= reqCancelSet_0.12 reqCancelSet_0.11)) (?v_2640 (= reqCancelSet_1.12 reqCancelSet_1.11)) (?v_2513 (= k.129 1)) (?v_2512 (= k.129 0))) (let ((?v_2644 (and (=> true (=> ?v_2512 (=> true (=> (= reqCancelSet_0.12 1) (=> ?v_2640 ?v_2638))))) (=> true (=> (not ?v_2512) (and (=> true (=> ?v_2513 (=> true (=> ?v_2639 (=> (= reqCancelSet_1.12 1) ?v_2641))))) (=> true (=> (not ?v_2513) (=> true (=> ?v_2639 (=> ?v_2640 ?v_2641)))))))))) (?v_2346 (= reqCompleted_0.7 0))) (let ((?v_2642 (=> ?v_2512 ?v_2346)) (?v_2347 (= reqCompleted_1.7 0))) (let ((?v_2643 (=> ?v_2513 ?v_2347)) (?v_1542 (not ?v_2346))) (let ((?v_2522 (=> ?v_2512 ?v_1542)) (?v_1543 (not ?v_2347))) (let ((?v_2523 (=> ?v_2513 ?v_1543)) (?v_2521 (= (BINARY_BOTH_INT call22787formal.ret.0 2) 0)) (?v_2517 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2518 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call22811formal.ret.0)) (?v_2519 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2516 (= call22811formal.ret.0 ?v_341))) (let ((?v_2358 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.13..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetDeviceContext.12..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= reqCancelSet_1.17 reqCancelSet_1.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= errorReached.121 errorReached.120) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= reqCancelSet_0.17 reqCancelSet_0.16) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= k.163 k.162) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2517 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.GetDeviceContext.12..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0.3) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= reqCompleted_1.11 reqCompleted_1.10) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0.3) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.3) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2518 (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0.3) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= reqCompleted_0.11 reqCompleted_0.10) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2519 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> (= inline.GetDeviceContext.13..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.14) ?v_2520)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2363 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= errorReached.120 errorReached.119) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= k.162 k.161) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCompleted_0.10 reqCompleted_0.7) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= reqCompleted_1.10 reqCompleted_1.7) (=> (= reqCancelSet_0.16 reqCancelSet_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= reqCancelSet_1.16 reqCancelSet_1.11) (=> true (=> true (=> true ?v_2358))))))))))))))))))))))))))))))))))))))) (let ((?v_2368 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2363))))))))))))))))))) (?v_2365 (= errorReached.119 errorReached.113)) (?v_2366 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_2367 (= k.161 k.155)) (?v_2370 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_2369 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_2364 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_2362 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_2361 (=> true (=> (= errorReached.119 errorReached.118) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 call25066formal.ret.0) (=> (= k.161 k.160) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2363)))))) (?v_2359 (= k.160 0)) (?v_2360 (= k.160 1)) (?v_2357 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2349 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0) (=> (= errorReached.120 errorReached.117) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= k.162 k.159) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3) (=> (= reqCancelSet_1.16 reqCancelSet_1.15) ?v_2358)))))))))))))))))))))))))))))))))))) (let ((?v_2336 (=> true (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 call25429formal.ret.0) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= errorReached.117 errorReached.116) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= k.159 k.158) (=> (= reqCompleted_1.9 reqCompleted_1.8) ?v_2349)))))))))) (let ((?v_2339 (=> true ?v_2336)) (?v_2337 (= reqCancelSet_0.14 reqCancelSet_0.11)) (?v_2338 (= reqCancelSet_1.14 reqCancelSet_1.11)) (?v_2335 (= k.158 1))) (let ((?v_2342 (not ?v_2335)) (?v_1549 (= k.158 0))) (let ((?v_2340 (not ?v_1549))) (let ((?v_2341 (and (=> true (=> ?v_1549 (=> true (=> (= reqCancelSet_0.14 0) (=> ?v_2338 ?v_2336))))) (=> true (=> ?v_2340 (and (=> true (=> ?v_2335 (=> true (=> ?v_2337 (=> (= reqCancelSet_1.14 0) ?v_2339))))) (=> true (=> ?v_2342 (=> true (=> ?v_2337 (=> ?v_2338 ?v_2339))))))))))) (let ((?v_2345 (=> true (=> true ?v_2341))) (?v_2343 (= reqCompleted_0.8 reqCompleted_0.7)) (?v_2344 (= reqCompleted_1.8 reqCompleted_1.7))) (let ((?v_2348 (and (=> true (=> ?v_1549 (=> true (=> (= reqCompleted_0.8 1) (=> ?v_2344 ?v_2341))))) (=> true (=> ?v_2340 (and (=> true (=> ?v_2335 (=> true (=> ?v_2343 (=> (= reqCompleted_1.8 1) ?v_2345))))) (=> true (=> ?v_2342 (=> true (=> ?v_2343 (=> ?v_2344 ?v_2345))))))))))) (let ((?v_2350 (and (=> true (=> ?v_23 (=> true (=> (<= k.157 k.158) (=> (< k.158 2) (and (=> true (=> (=> ?v_1549 ?v_1542) (=> (=> ?v_2335 ?v_1543) (=> true (=> (= errorReached.116 1) ?v_2348))))) (=> true (=> (=> ?v_1549 ?v_2346) (=> (=> ?v_2335 ?v_2347) (=> true (=> (= errorReached.116 errorReached.115) (=> true ?v_2348)))))))))))) (=> true (=> ?v_487 (=> true (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.15 reqCancelSet_1.11) (=> (= reqCancelSet_0.15 reqCancelSet_0.11) (=> (= errorReached.117 errorReached.115) (=> (= reqCompleted_0.9 reqCompleted_0.7) (=> (= k.159 k.157) (=> (= reqCompleted_1.9 reqCompleted_1.7) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2349))))))))))))))))))) (let ((?v_2354 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2) ?v_2350)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2350)))))))))))))))) (?v_2355 (= errorReached.115 errorReached.113))) (let ((?v_2356 (=> (= k.157 k.155) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2354)))))))))))) (?v_2353 (=> true (=> (= errorReached.115 errorReached.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.157 k.156) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 call25278formal.ret.0) ?v_2354)))))) (?v_2351 (= k.156 0)) (?v_2352 (= k.156 1))) (let ((?v_2373 (and (=> true (=> (not ?v_2357) (and (=> true (=> ?v_23 (=> true (=> (<= k.155 k.156) (=> (< k.156 2) (and (=> true (=> (=> ?v_2351 ?v_1542) (=> (=> ?v_2352 ?v_1543) (=> true (=> (= errorReached.114 1) ?v_2353))))) (=> true (=> (=> ?v_2351 ?v_2346) (=> (=> ?v_2352 ?v_2347) (=> true (=> (= errorReached.114 errorReached.113) (=> true ?v_2353)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_2355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2356))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_2355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2356))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_2355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2356))))) (=> true (=> ?v_528 (=> true (=> ?v_2355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2356))))))))))))))))) (=> true (=> ?v_2357 (and (=> true (=> ?v_2362 (=> true (=> (<= k.155 k.160) (=> (< k.160 2) (and (=> true (=> (=> ?v_2359 ?v_1542) (=> (=> ?v_2360 ?v_1543) (=> true (=> (= errorReached.118 1) ?v_2361))))) (=> true (=> (=> ?v_2359 ?v_2346) (=> (=> ?v_2360 ?v_2347) (=> true (=> (= errorReached.118 errorReached.113) (=> true ?v_2361)))))))))))) (=> true (=> (not ?v_2362) (and (=> true (=> ?v_2364 (=> true (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2368))))))) (=> true (=> (not ?v_2364) (and (=> true (=> ?v_2369 (=> true (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2368))))))) (=> true (=> (not ?v_2369) (and (=> true (=> ?v_2370 (=> true (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2368))))))) (=> true (=> (not ?v_2370) (=> true (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2368)))))))))))))))))))))) (let ((?v_2374 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2373))))))) (?v_2371 (= k.155 0)) (?v_2372 (= k.155 1))) (let ((?v_2379 (and (=> true (=> (=> ?v_2371 ?v_37) (=> (=> ?v_2372 ?v_39) ?v_2373))) (=> true (=> (=> ?v_2371 ?v_635) (=> (=> ?v_2372 ?v_637) (and (=> true (=> (=> ?v_2371 ?v_542) (=> (=> ?v_2372 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2374)))))))))))) (=> true (=> (=> ?v_2371 ?v_639) (=> (=> ?v_2372 ?v_640) ?v_2374)))))))))) (let ((?v_2384 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2379)))))))))) (?v_2381 (= errorReached.113 errorReached.111)) (?v_2382 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_2383 (= k.155 k.153)) (?v_2386 (= inline.EvtRequestChildCancel.0.myVar_0.14 hdevice)) (?v_2385 (= inline.EvtRequestChildCancel.0.myVar_0.14 hqueue)) (?v_2380 (= inline.EvtRequestChildCancel.0.myVar_0.14 htimer)) (?v_2378 (= inline.EvtRequestChildCancel.0.myVar_0.14 hrequest)) (?v_2377 (=> true (=> (= errorReached.113 errorReached.112) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 call24776formal.ret.0) (=> (= k.155 k.154) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2379)))))) (?v_2375 (= k.154 0)) (?v_2376 (= k.154 1))) (let ((?v_2389 (and (=> true (=> ?v_2378 (=> true (=> (<= k.153 k.154) (=> (< k.154 2) (and (=> true (=> (=> ?v_2375 ?v_1542) (=> (=> ?v_2376 ?v_1543) (=> true (=> (= errorReached.112 1) ?v_2377))))) (=> true (=> (=> ?v_2375 ?v_2346) (=> (=> ?v_2376 ?v_2347) (=> true (=> (= errorReached.112 errorReached.111) (=> true ?v_2377)))))))))))) (=> true (=> (not ?v_2378) (and (=> true (=> ?v_2380 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2384))))))) (=> true (=> (not ?v_2380) (and (=> true (=> ?v_2385 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2384))))))) (=> true (=> (not ?v_2385) (and (=> true (=> ?v_2386 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2384))))))) (=> true (=> (not ?v_2386) (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2384))))))))))))))))))) (let ((?v_2391 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2389)))))))))))) (?v_2390 (= k.153 1)) (?v_2388 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2420 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2388))) (?v_2387 (= k.153 0)) (?v_1546 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2388)))) (let ((?v_2408 (=> true (=> (<= k.152 k.153) (=> (< k.153 2) (and (=> true (=> ?v_2387 (=> (= inline.EvtRequestChildCancel.0.myVar_0.13 ?v_1546) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.13) ?v_2389))))) (=> true (=> (not ?v_2387) (and (=> true (=> ?v_2390 (=> (= inline.EvtRequestChildCancel.0.myVar_0.12 ?v_2420) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.12) ?v_2391))))) (=> true (=> (not ?v_2390) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.11) ?v_2391)))))))))))) (?v_2406 (= k.148 0)) (?v_2407 (= k.148 1))) (let ((?v_2399 (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= k.152 k.151) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= lockStatus_1.30 lockStatus_1.29) (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myVar_0.2) ?v_2408)))))))))) (?v_2398 (= inline.ReleaseDpcLock.2.myVar_0.2 hlock))) (let ((?v_2393 (=> true (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= k.151 k.150) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call24629formal.ret.0) ?v_2399))))))) (let ((?v_2397 (=> true ?v_2393)) (?v_2395 (= lockStatus_0.28 lockStatus_0.27)) (?v_2396 (= lockStatus_1.28 lockStatus_1.27)) (?v_2394 (= k.150 1)) (?v_2392 (= k.150 0))) (let ((?v_2402 (and (=> true (=> ?v_2398 (=> true (=> (<= k.149 k.150) (=> (< k.150 2) (and (=> true (=> ?v_2392 (=> true (=> (= lockStatus_0.28 0) (=> ?v_2396 ?v_2393))))) (=> true (=> (not ?v_2392) (and (=> true (=> ?v_2394 (=> true (=> ?v_2395 (=> (= lockStatus_1.28 0) ?v_2397))))) (=> true (=> (not ?v_2394) (=> true (=> ?v_2395 (=> ?v_2396 ?v_2397)))))))))))))) (=> true (=> (not ?v_2398) (=> true (=> (= lockStatus_0.29 lockStatus_0.27) (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= k.151 k.149) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_2399))))))))))))) (let ((?v_2404 (=> true (=> true (=> true (=> true ?v_2402))))) (?v_2403 (= k.149 1)) (?v_2401 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2400 (= k.149 0))) (let ((?v_2405 (=> true (=> (<= k.148 k.149) (=> (< k.149 2) (and (=> true (=> ?v_2400 (=> (= inline.ReleaseDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2401))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.1) ?v_2402))))) (=> true (=> (not ?v_2400) (and (=> true (=> ?v_2403 (=> (= inline.ReleaseDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2401))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.0) ?v_2404))))) (=> true (=> (not ?v_2403) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0) ?v_2404))))))))))))) (let ((?v_2413 (and (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.1) ?v_2405)))) (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2406 ?v_288) (=> (=> ?v_2407 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> true (=> true ?v_2405))))))) (=> true (=> (=> ?v_2406 ?v_391) (=> (=> ?v_2407 ?v_393) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0) (=> (= k.152 k.148) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.30 lockStatus_1.27) (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true ?v_2408)))))))))))))))))))) (?v_2415 (= errorReached.111 errorReached.109))) (let ((?v_2416 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> (= k.148 k.146) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2413)))))))))))) (?v_2418 (= inline.EvtRequestChildCancel.0.myVar_0.11 hdevice)) (?v_2417 (= inline.EvtRequestChildCancel.0.myVar_0.11 hqueue)) (?v_2414 (= inline.EvtRequestChildCancel.0.myVar_0.11 htimer)) (?v_2412 (= inline.EvtRequestChildCancel.0.myVar_0.11 hrequest)) (?v_2411 (=> true (=> (= errorReached.111 errorReached.110) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 call24387formal.ret.0) (=> (= k.148 k.147) ?v_2413)))))) (?v_2409 (= k.147 0)) (?v_2410 (= k.147 1))) (let ((?v_2421 (and (=> true (=> ?v_2412 (=> true (=> (<= k.146 k.147) (=> (< k.147 2) (and (=> true (=> (=> ?v_2409 ?v_1542) (=> (=> ?v_2410 ?v_1543) (=> true (=> (= errorReached.110 1) ?v_2411))))) (=> true (=> (=> ?v_2409 ?v_2346) (=> (=> ?v_2410 ?v_2347) (=> true (=> (= errorReached.110 errorReached.109) (=> true ?v_2411)))))))))))) (=> true (=> (not ?v_2412) (and (=> true (=> ?v_2414 (=> true (=> ?v_2415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2416))))) (=> true (=> (not ?v_2414) (and (=> true (=> ?v_2417 (=> true (=> ?v_2415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2416))))) (=> true (=> (not ?v_2417) (and (=> true (=> ?v_2418 (=> true (=> ?v_2415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2416))))) (=> true (=> (not ?v_2418) (=> true (=> ?v_2415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2416))))))))))))))))) (let ((?v_2423 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2421)))))))))))) (?v_2422 (= k.146 1)) (?v_2419 (= k.146 0))) (let ((?v_2426 (=> true (=> (<= k.145 k.146) (=> (< k.146 2) (and (=> true (=> ?v_2419 (=> (= inline.EvtRequestChildCancel.0.myVar_0.9 ?v_1546) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.9) ?v_2421))))) (=> true (=> (not ?v_2419) (and (=> true (=> ?v_2422 (=> (= inline.EvtRequestChildCancel.0.myVar_0.10 ?v_2420) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.10) ?v_2423))))) (=> true (=> (not ?v_2422) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.8) ?v_2423))))))))))))) (let ((?v_2430 (=> true (=> true ?v_2426))) (?v_2428 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_2429 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_2427 (= k.145 1)) (?v_2425 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2424 (= k.145 0))) (let ((?v_2433 (=> true (=> (<= k.144 k.145) (=> (< k.145 2) (and (=> true (=> ?v_2424 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_2425 ?v_63)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) (=> ?v_2429 ?v_2426)))))) (=> true (=> (not ?v_2424) (and (=> true (=> ?v_2427 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_2425 ?v_63)) (=> true (=> ?v_2428 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_2430)))))) (=> true (=> (not ?v_2427) (=> true (=> ?v_2428 (=> ?v_2429 ?v_2430))))))))))))) (?v_2435 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6))) (let ((?v_2436 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> true ?v_2433))) (?v_2434 (= k.144 1)) (?v_2432 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2431 (= k.144 0))) (let ((?v_2451 (and (=> true (=> ?v_2431 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_2432 ?v_63)) (=> true (=> ?v_2435 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2433)))))) (=> true (=> (not ?v_2431) (and (=> true (=> ?v_2434 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_2432 ?v_63)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2436))))) (=> true (=> (not ?v_2434) (=> true (=> ?v_2435 ?v_2436))))))))) (?v_1547 (= k.140 0)) (?v_2449 (= k.140 1))) (let ((?v_2443 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= k.144 k.143) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call24188formal.ret.0) ?v_2451))))))))))) (?v_2442 (= inline.AcquireDpcLock.1.myVar_0.2 hlock))) (let ((?v_2438 (=> true (=> (= lockStatus_0.26 lockStatus_0.25) (=> (= lockStatus_1.26 lockStatus_1.25) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 call24136formal.ret.0) (=> (= k.143 k.142) ?v_2443))))))) (let ((?v_2441 (=> true ?v_2438)) (?v_2439 (= lockStatus_0.25 lockStatus_0.15)) (?v_2440 (= lockStatus_1.25 lockStatus_1.15)) (?v_2437 (= k.142 1)) (?v_1548 (= k.142 0))) (let ((?v_2446 (and (=> true (=> ?v_2442 (=> true (=> (<= k.141 k.142) (=> (< k.142 2) (=> true (=> (=> ?v_1548 (= lockStatus_0.15 0)) (=> (=> ?v_2437 (= lockStatus_1.15 0)) (and (=> true (=> ?v_1548 (=> true (=> (= lockStatus_0.25 1) (=> ?v_2440 ?v_2438))))) (=> true (=> (not ?v_1548) (and (=> true (=> ?v_2437 (=> true (=> ?v_2439 (=> (= lockStatus_1.25 1) ?v_2441))))) (=> true (=> (not ?v_2437) (=> true (=> ?v_2439 (=> ?v_2440 ?v_2441))))))))))))))))) (=> true (=> (not ?v_2442) (=> true (=> (= lockStatus_0.26 lockStatus_0.15) (=> (= lockStatus_1.26 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= k.143 k.141) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2443)))))))))))))))) (let ((?v_2448 (=> true (=> true (=> true (=> true ?v_2446))))) (?v_2447 (= k.141 1)) (?v_2445 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2444 (= k.141 0))) (let ((?v_2450 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (and (=> true (=> ?v_2444 (=> (= inline.AcquireDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2445))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.0) ?v_2446))))) (=> true (=> (not ?v_2444) (and (=> true (=> ?v_2447 (=> (= inline.AcquireDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2445))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.1) ?v_2448))))) (=> true (=> (not ?v_2447) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0) ?v_2448))))))))))))) (let ((?v_2454 (and (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.1) ?v_2450)))) (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1547 ?v_288) (=> (=> ?v_2449 ?v_289) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.0) ?v_2450))))) (=> true (=> (=> ?v_1547 ?v_391) (=> (=> ?v_2449 ?v_393) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.144 k.140) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.27 lockStatus_0.15) (=> (= lockStatus_1.27 lockStatus_1.15) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true (=> true ?v_2451))))))))))))))))))))))) (let ((?v_2457 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2454)))))))))) (?v_2456 (= errorReached.109 errorReached.107)) (?v_2459 (= inline.EvtRequestChildCancel.0.myVar_0.8 hdevice)) (?v_2458 (= inline.EvtRequestChildCancel.0.myVar_0.8 hqueue)) (?v_2455 (= inline.EvtRequestChildCancel.0.myVar_0.8 htimer)) (?v_2453 (= inline.EvtRequestChildCancel.0.myVar_0.8 hrequest)) (?v_2452 (=> true (=> (= errorReached.109 errorReached.108) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2454))))) (let ((?v_2460 (and (=> true (=> ?v_2453 (and (=> true (=> (=> ?v_1547 ?v_1542) (=> (=> ?v_2449 ?v_1543) (=> true (=> (= errorReached.108 1) ?v_2452))))) (=> true (=> (=> ?v_1547 ?v_2346) (=> (=> ?v_2449 ?v_2347) (=> true (=> (= errorReached.108 errorReached.107) (=> true ?v_2452))))))))) (=> true (=> (not ?v_2453) (and (=> true (=> ?v_2455 (=> true (=> ?v_2456 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2457))))) (=> true (=> (not ?v_2455) (and (=> true (=> ?v_2458 (=> true (=> ?v_2456 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2457))))) (=> true (=> (not ?v_2458) (and (=> true (=> ?v_2459 (=> true (=> ?v_2456 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2457))))) (=> true (=> (not ?v_2459) (=> true (=> ?v_2456 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2457))))))))))))))))) (let ((?v_2461 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2460))))))))))))) (let ((?v_2465 (=> true (=> (<= k.139 k.140) (=> (< k.140 2) (and (=> true (=> ?v_1547 (=> (= inline.EvtRequestChildCancel.0.myVar_0.6 ?v_1546) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.6) ?v_2460))))) (=> true (=> (not ?v_1547) (and (=> true (=> ?v_2449 (=> (= inline.EvtRequestChildCancel.0.myVar_0.7 ?v_2420) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.7) ?v_2461))))) (=> true (=> (not ?v_2449) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.5) ?v_2461)))))))))))) (?v_2462 (= k.139 0)) (?v_2463 (= k.139 1))) (let ((?v_2464 (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call23778formal.ret.0) ?v_2465)))) (let ((?v_2470 (and (=> true (=> (=> ?v_2462 ?v_37) (=> (=> ?v_2463 ?v_39) ?v_2464))) (=> true (=> (=> ?v_2462 ?v_635) (=> (=> ?v_2463 ?v_637) (and (=> true (=> (=> ?v_2462 ?v_542) (=> (=> ?v_2463 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2464)))))))))))) (=> true (=> (=> ?v_2462 ?v_639) (=> (=> ?v_2463 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2465))))))))))))))) (?v_2472 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.))) (let ((?v_2473 (=> (= k.139 k.137) (=> (= errorReached.107 errorReached.105) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2470)))))))))))) (?v_2475 (= inline.EvtRequestChildCancel.0.myVar_0.5 hdevice)) (?v_2474 (= inline.EvtRequestChildCancel.0.myVar_0.5 hqueue)) (?v_2471 (= inline.EvtRequestChildCancel.0.myVar_0.5 htimer)) (?v_2469 (= inline.EvtRequestChildCancel.0.myVar_0.5 hrequest)) (?v_2468 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 call23581formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.139 k.138) (=> (= errorReached.107 errorReached.106) ?v_2470)))))) (?v_2466 (= k.138 0)) (?v_2467 (= k.138 1))) (let ((?v_2477 (and (=> true (=> ?v_2469 (=> true (=> (<= k.137 k.138) (=> (< k.138 2) (and (=> true (=> (=> ?v_2466 ?v_1542) (=> (=> ?v_2467 ?v_1543) (=> true (=> (= errorReached.106 1) ?v_2468))))) (=> true (=> (=> ?v_2466 ?v_2346) (=> (=> ?v_2467 ?v_2347) (=> true (=> (= errorReached.106 errorReached.105) (=> true ?v_2468)))))))))))) (=> true (=> (not ?v_2469) (and (=> true (=> ?v_2471 (=> true (=> ?v_2472 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2473))))) (=> true (=> (not ?v_2471) (and (=> true (=> ?v_2474 (=> true (=> ?v_2472 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2473))))) (=> true (=> (not ?v_2474) (and (=> true (=> ?v_2475 (=> true (=> ?v_2472 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2473))))) (=> true (=> (not ?v_2475) (=> true (=> ?v_2472 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2473))))))))))))))))) (let ((?v_2479 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2477)))))))))))) (?v_2478 (= k.137 1)) (?v_2476 (= k.137 0))) (let ((?v_2483 (=> true (=> (<= k.136 k.137) (=> (< k.137 2) (and (=> true (=> ?v_2476 (=> (= inline.EvtRequestChildCancel.0.myVar_0.3 ?v_1546) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.3) ?v_2477))))) (=> true (=> (not ?v_2476) (and (=> true (=> ?v_2478 (=> (= inline.EvtRequestChildCancel.0.myVar_0.4 ?v_2420) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.4) ?v_2479))))) (=> true (=> (not ?v_2478) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.2) ?v_2479))))))))))))) (let ((?v_2487 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2483)))))))))) (?v_2484 (= errorReached.105 errorReached.103)) (?v_2485 (= k.136 k.134)) (?v_2486 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2482 (=> true (=> (= errorReached.105 errorReached.104) (=> (= k.136 k.135) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call23370formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2483)))))) (?v_2480 (= k.135 0)) (?v_2481 (= k.135 1))) (let ((?v_2492 (and (=> true (=> ?v_23 (=> true (=> (<= k.134 k.135) (=> (< k.135 2) (and (=> true (=> (=> ?v_2480 ?v_1542) (=> (=> ?v_2481 ?v_1543) (=> true (=> (= errorReached.104 1) ?v_2482))))) (=> true (=> (=> ?v_2480 ?v_2346) (=> (=> ?v_2481 ?v_2347) (=> true (=> (= errorReached.104 errorReached.103) (=> true ?v_2482)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2487))))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2487))))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2487))))))) (=> true (=> ?v_528 (=> true (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2487)))))))))))))))))) (?v_2494 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.))) (let ((?v_2495 (=> (= errorReached.103 errorReached.101) (=> (= k.134 k.132) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2492))))))))))))))))))) (?v_2497 (= inline.EvtRequestChildCancel.0.myVar_0.2 hdevice)) (?v_2496 (= inline.EvtRequestChildCancel.0.myVar_0.2 hqueue)) (?v_2493 (= inline.EvtRequestChildCancel.0.myVar_0.2 htimer)) (?v_2491 (= inline.EvtRequestChildCancel.0.myVar_0.2 hrequest)) (?v_2490 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call23199formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.103 errorReached.102) (=> (= k.134 k.133) ?v_2492)))))) (?v_2488 (= k.133 0)) (?v_2489 (= k.133 1))) (let ((?v_2500 (and (=> true (=> ?v_2491 (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (and (=> true (=> (=> ?v_2488 ?v_1542) (=> (=> ?v_2489 ?v_1543) (=> true (=> (= errorReached.102 1) ?v_2490))))) (=> true (=> (=> ?v_2488 ?v_2346) (=> (=> ?v_2489 ?v_2347) (=> true (=> (= errorReached.102 errorReached.101) (=> true ?v_2490)))))))))))) (=> true (=> (not ?v_2491) (and (=> true (=> ?v_2493 (=> true (=> ?v_2494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2495))))) (=> true (=> (not ?v_2493) (and (=> true (=> ?v_2496 (=> true (=> ?v_2494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2495))))) (=> true (=> (not ?v_2496) (and (=> true (=> ?v_2497 (=> true (=> ?v_2494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2495))))) (=> true (=> (not ?v_2497) (=> true (=> ?v_2494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2495))))))))))))))))) (let ((?v_2502 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2500)))))))) (?v_2501 (= k.132 1)) (?v_2499 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2498 (= k.132 0))) (let ((?v_2507 (=> true (=> (<= k.131 k.132) (=> (< k.132 2) (and (=> true (=> ?v_2498 (=> (= inline.EvtRequestChildCancel.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2499))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.0) ?v_2500))))) (=> true (=> (not ?v_2498) (and (=> true (=> ?v_2501 (=> (= inline.EvtRequestChildCancel.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2499))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.1) ?v_2502))))) (=> true (=> (not ?v_2501) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0) ?v_2502)))))))))))) (?v_2509 (= errorReached.101 errorReached.97))) (let ((?v_2510 (=> (= k.131 k.129) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2507)))))))))))) (?v_2505 (=> true (=> (= errorReached.101 errorReached.100) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.131 k.130) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 call22990formal.ret.0) ?v_2507)))))) (?v_2503 (= k.130 0)) (?v_2504 (= k.130 1))) (let ((?v_2514 (and (=> true (=> ?v_22 (=> true (=> (<= k.129 k.130) (=> (< k.130 2) (and (=> true (=> (=> ?v_2503 ?v_1542) (=> (=> ?v_2504 ?v_1543) (=> true (=> (= errorReached.100 1) ?v_2505))))) (=> true (=> (=> ?v_2503 ?v_2346) (=> (=> ?v_2504 ?v_2347) (=> true (=> (= errorReached.100 errorReached.97) (=> true ?v_2505)))))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2510))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2510))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2510))))) (=> true (=> ?v_2511 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2510))))))))))))))))) (let ((?v_2515 (=> true (=> (= errorReached.97 errorReached.96) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2514)))))))))))))))) (?v_1545 (int_2_U call22773formal.new.0))) (let ((?v_2650 (=> true (and ?v_1544 (=> ?v_1544 (=> (> call22773formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call22773formal.new.0 ?x363) (< ?x363 (+ call22773formal.new.0 1))) (= (Base ?x363) call22773formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call22773formal.new.0) (= (MapType0Select alloc.8 ?x364) (MapType0Select alloc.11 ?x364)))) :pattern ((MapType0Select alloc.11 ?x364)) )) (=> (and (= (MapType0Select alloc.8 ?v_1545) UNALLOCATED) (= (MapType0Select alloc.11 ?v_1545) ALLOCATED)) (and (=> true (=> (not ?v_2521) (and (=> true (=> ?v_2516 (and (=> true (=> ?v_23 (and (=> true (=> ?v_2522 (=> ?v_2523 (=> true (=> (= errorReached.97 1) ?v_2514))))) (=> true (=> ?v_2642 (=> ?v_2643 ?v_2515)))))) (=> true (=> ?v_487 ?v_2515))))) (=> true (=> (not ?v_2516) (=> true (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= reqCancelSet_1.17 reqCancelSet_1.11) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> (= errorReached.121 errorReached.96) (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> (= reqCancelSet_0.17 reqCancelSet_0.11) (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2517 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2518 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2519 ?v_2637))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2521 (and (=> true (=> ?v_23 (and (=> true (=> ?v_2522 (=> ?v_2523 (=> true (=> (= errorReached.98 1) ?v_2644))))) (=> true (=> ?v_2642 (=> ?v_2643 (=> true (=> (= errorReached.98 errorReached.96) (=> true ?v_2644))))))))) (=> true (=> ?v_487 (=> true (=> (= errorReached.99 errorReached.96) (=> (= reqCancelSet_0.13 reqCancelSet_0.11) (=> (= reqCancelSet_1.13 reqCancelSet_1.11) (=> true (=> true (=> true ?v_2645))))))))))))))))))))) (?v_2652 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.))) (let ((?v_2653 (=> (= k.129 k.127) (=> (= errorReached.96 errorReached.94) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2650))))))))))) (?v_2655 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hdevice)) (?v_2654 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hqueue)) (?v_2651 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 htimer)) (?v_2649 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hrequest)) (?v_2648 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 call22658formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.129 k.128) (=> (= errorReached.96 errorReached.95) ?v_2650)))))) (?v_2646 (= k.128 0)) (?v_2647 (= k.128 1))) (let ((?v_2658 (and (=> true (=> ?v_2649 (=> true (=> (<= k.127 k.128) (=> (< k.128 2) (and (=> true (=> (=> ?v_2646 ?v_1542) (=> (=> ?v_2647 ?v_1543) (=> true (=> (= errorReached.95 1) ?v_2648))))) (=> true (=> (=> ?v_2646 ?v_2346) (=> (=> ?v_2647 ?v_2347) (=> true (=> (= errorReached.95 errorReached.94) (=> true ?v_2648)))))))))))) (=> true (=> (not ?v_2649) (and (=> true (=> ?v_2651 (=> true (=> ?v_2652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2653))))) (=> true (=> (not ?v_2651) (and (=> true (=> ?v_2654 (=> true (=> ?v_2652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2653))))) (=> true (=> (not ?v_2654) (and (=> true (=> ?v_2655 (=> true (=> ?v_2652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2653))))) (=> true (=> (not ?v_2655) (=> true (=> ?v_2652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2653))))))))))))))))) (let ((?v_2660 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2658)))))))) (?v_2659 (= k.127 1)) (?v_2657 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2656 (= k.127 0))) (let ((?v_2664 (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> ?v_2656 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2657))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.0) ?v_2658))))) (=> true (=> (not ?v_2656) (and (=> true (=> ?v_2659 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2657))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.1) ?v_2660))))) (=> true (=> (not ?v_2659) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0) ?v_2660)))))))))))) (?v_2665 (= errorReached.94 errorReached.92))) (let ((?v_2666 (=> (= k.126 k.124) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2664))))))))))) (?v_2663 (=> true (=> (= errorReached.94 errorReached.93) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.126 k.125) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 call22450formal.ret.0) ?v_2664)))))) (?v_2661 (= k.125 0)) (?v_2662 (= k.125 1))) (let ((?v_2670 (and (=> true (=> ?v_22 (=> true (=> (<= k.124 k.125) (=> (< k.125 2) (and (=> true (=> (=> ?v_2661 ?v_1542) (=> (=> ?v_2662 ?v_1543) (=> true (=> (= errorReached.93 1) ?v_2663))))) (=> true (=> (=> ?v_2661 ?v_2346) (=> (=> ?v_2662 ?v_2347) (=> true (=> (= errorReached.93 errorReached.92) (=> true ?v_2663)))))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_2665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2666))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_2665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2666))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_2665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2666))))) (=> true (=> ?v_2511 (=> true (=> ?v_2665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2666))))))))))))))))) (let ((?v_2671 (=> (= errorReached.92 errorReached.90) (=> (= k.124 k.122) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2670))))))))))))))))))) (?v_2669 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.92 errorReached.91) (=> (= k.124 k.123) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call22296formal.ret.0) ?v_2670)))))) (?v_2667 (= k.123 0)) (?v_2668 (= k.123 1))) (let ((?v_2676 (and (=> true (=> ?v_23 (=> true (=> (<= k.122 k.123) (=> (< k.123 2) (and (=> true (=> (=> ?v_2667 ?v_1542) (=> (=> ?v_2668 ?v_1543) (=> true (=> (= errorReached.91 1) ?v_2669))))) (=> true (=> (=> ?v_2667 ?v_2346) (=> (=> ?v_2668 ?v_2347) (=> true (=> (= errorReached.91 errorReached.90) (=> true ?v_2669)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2671)))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2671)))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2671)))) (=> true (=> ?v_528 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2671)))))))))))))))) (let ((?v_2678 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2676))))))))))))) (?v_2677 (= errorReached.90 errorReached.89)) (?v_2674 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 call22186formal.ret.0)) (?v_2675 (= k.122 k.121)) (?v_2672 (= k.121 0)) (?v_2673 (= k.121 1))) (let ((?v_2691 (and (=> true (=> ?v_23 (=> true (=> (<= k.120 k.121) (=> (< k.121 2) (and (=> true (=> (=> ?v_2672 ?v_1542) (=> (=> ?v_2673 ?v_1543) (=> true (=> (= errorReached.90 1) (=> ?v_2674 (=> ?v_2675 ?v_2676))))))) (=> true (=> (=> ?v_2672 ?v_2346) (=> (=> ?v_2673 ?v_2347) (=> true (=> ?v_2677 (=> ?v_2674 (=> ?v_2675 ?v_2678))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_2677 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> (= k.122 k.120) ?v_2678)))))))) (?v_1531 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hrequest))) (let ((?v_2694 (not ?v_1531)) (?v_2680 (=> true (=> (= errorReached.89 errorReached.88) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 call22028formal.ret.0) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= k.120 k.119) (=> (= reqCompleted_1.7 reqCompleted_1.6) ?v_2691)))))))))) (let ((?v_2683 (=> true ?v_2680)) (?v_2681 (= reqCancelSet_0.10 reqCancelSet_0.9)) (?v_2682 (= reqCancelSet_1.10 reqCancelSet_1.9)) (?v_2679 (= k.119 1))) (let ((?v_2686 (not ?v_2679)) (?v_1541 (= k.119 0))) (let ((?v_2684 (not ?v_1541))) (let ((?v_2685 (and (=> true (=> ?v_1541 (=> true (=> (= reqCancelSet_0.10 0) (=> ?v_2682 ?v_2680))))) (=> true (=> ?v_2684 (and (=> true (=> ?v_2679 (=> true (=> ?v_2681 (=> (= reqCancelSet_1.10 0) ?v_2683))))) (=> true (=> ?v_2686 (=> true (=> ?v_2681 (=> ?v_2682 ?v_2683))))))))))) (let ((?v_2689 (=> true (=> true ?v_2685))) (?v_2687 (= reqCompleted_0.6 reqCompleted_0)) (?v_2688 (= reqCompleted_1.6 reqCompleted_1))) (let ((?v_2690 (and (=> true (=> ?v_1541 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2688 ?v_2685))))) (=> true (=> ?v_2684 (and (=> true (=> ?v_2679 (=> true (=> ?v_2687 (=> (= reqCompleted_1.6 1) ?v_2689))))) (=> true (=> ?v_2686 (=> true (=> ?v_2687 (=> ?v_2688 ?v_2689))))))))))) (let ((?v_2692 (and (=> true (=> ?v_1531 (=> true (=> (<= k.99 k.119) (=> (< k.119 2) (and (=> true (=> (=> ?v_1541 ?v_10) (=> (=> ?v_2679 ?v_11) (=> true (=> (= errorReached.88 1) ?v_2690))))) (=> true (=> (=> ?v_1541 ?v_2) (=> (=> ?v_2679 ?v_3) (=> true (=> (= errorReached.88 errorReached.87) (=> true ?v_2690)))))))))))) (=> true (=> ?v_2694 (=> true (=> (= errorReached.89 errorReached.87) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.11 reqCancelSet_0.9) (=> (= reqCancelSet_1.11 reqCancelSet_1.9) (=> (= reqCompleted_0.7 reqCompleted_0) (=> (= k.120 k.99) (=> (= reqCompleted_1.7 reqCompleted_1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2691)))))))))))))))))))))))))))))) (let ((?v_2695 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1) ?v_2692)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2692))))))))))))))))) (let ((?v_2698 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2695)))))))))) (?v_2697 (= errorReached.87 errorReached.76)) (?v_2700 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hdevice))) (let ((?v_3077 (not ?v_2700)) (?v_2699 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hqueue))) (let ((?v_3076 (not ?v_2699)) (?v_2696 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 htimer))) (let ((?v_3073 (not ?v_2696)) (?v_2693 (=> true (=> (= errorReached.87 errorReached.77) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2695)))) (?v_1539 (= k.99 0)) (?v_1540 (= k.99 1))) (let ((?v_2701 (and (=> true (=> ?v_1531 (and (=> true (=> (=> ?v_1539 ?v_10) (=> (=> ?v_1540 ?v_11) (=> true (=> (= errorReached.77 1) ?v_2693))))) (=> true (=> (=> ?v_1539 ?v_2) (=> (=> ?v_1540 ?v_3) (=> true (=> (= errorReached.77 errorReached.76) (=> true ?v_2693))))))))) (=> true (=> ?v_2694 (and (=> true (=> ?v_2696 (=> true (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2698))))) (=> true (=> ?v_3073 (and (=> true (=> ?v_2699 (=> true (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2698))))) (=> true (=> ?v_3076 (and (=> true (=> ?v_2700 (=> true (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2698))))) (=> true (=> ?v_3077 (=> true (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2698))))))))))))))))) (let ((?v_2702 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2701)))))))))))))))))))))) (let ((?v_2707 (and (=> true (=> (=> ?v_1539 ?v_37) (=> (=> ?v_1540 ?v_39) ?v_2701))) (=> true (=> (=> ?v_1539 ?v_635) (=> (=> ?v_1540 ?v_637) (and (=> true (=> (=> ?v_1539 ?v_542) (=> (=> ?v_1540 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2702)))))))))))) (=> true (=> (=> ?v_1539 ?v_639) (=> (=> ?v_1540 ?v_640) ?v_2702))))))))) (?v_2709 (= errorReached.76 errorReached.74))) (let ((?v_2710 (=> (= k.99 k.97) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2707)))))))))))) (?v_2712 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hdevice)) (?v_2711 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hqueue)) (?v_2708 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 htimer)) (?v_2706 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hrequest)) (?v_2705 (=> true (=> (= errorReached.76 errorReached.75) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.99 k.98) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call21576formal.ret.0) ?v_2707)))))) (?v_2703 (= k.98 0)) (?v_2704 (= k.98 1))) (let ((?v_2715 (and (=> true (=> ?v_2706 (=> true (=> (<= k.97 k.98) (=> (< k.98 2) (and (=> true (=> (=> ?v_2703 ?v_10) (=> (=> ?v_2704 ?v_11) (=> true (=> (= errorReached.75 1) ?v_2705))))) (=> true (=> (=> ?v_2703 ?v_2) (=> (=> ?v_2704 ?v_3) (=> true (=> (= errorReached.75 errorReached.74) (=> true ?v_2705)))))))))))) (=> true (=> (not ?v_2706) (and (=> true (=> ?v_2708 (=> true (=> ?v_2709 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2710))))) (=> true (=> (not ?v_2708) (and (=> true (=> ?v_2711 (=> true (=> ?v_2709 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2710))))) (=> true (=> (not ?v_2711) (and (=> true (=> ?v_2712 (=> true (=> ?v_2709 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2710))))) (=> true (=> (not ?v_2712) (=> true (=> ?v_2709 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2710))))))))))))))))) (let ((?v_2717 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2715)))))))))))) (?v_2716 (= k.97 1)) (?v_2713 (= k.97 0))) (let ((?v_2734 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> ?v_2713 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 ?v_1538) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13) ?v_2715))))) (=> true (=> (not ?v_2713) (and (=> true (=> ?v_2716 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 ?v_2748) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12) ?v_2717))))) (=> true (=> (not ?v_2716) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) ?v_2717)))))))))))) (?v_2732 (= k.92 0)) (?v_2733 (= k.92 1))) (let ((?v_2725 (=> true (=> (= lockStatus_1.15 lockStatus_1.14) (=> (= k.96 k.95) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0.2) ?v_2734)))))))))) (?v_2724 (= inline.ReleaseDpcLock.1.myVar_0.2 hlock))) (let ((?v_2719 (=> true (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call21429formal.ret.0) (=> (= k.95 k.94) ?v_2725))))))) (let ((?v_2723 (=> true ?v_2719)) (?v_2721 (= lockStatus_0.13 lockStatus_0.2)) (?v_2722 (= lockStatus_1.13 lockStatus_1.2)) (?v_2720 (= k.94 1)) (?v_2718 (= k.94 0))) (let ((?v_2728 (and (=> true (=> ?v_2724 (=> true (=> (<= k.93 k.94) (=> (< k.94 2) (and (=> true (=> ?v_2718 (=> true (=> (= lockStatus_0.13 0) (=> ?v_2722 ?v_2719))))) (=> true (=> (not ?v_2718) (and (=> true (=> ?v_2720 (=> true (=> ?v_2721 (=> (= lockStatus_1.13 0) ?v_2723))))) (=> true (=> (not ?v_2720) (=> true (=> ?v_2721 (=> ?v_2722 ?v_2723)))))))))))))) (=> true (=> (not ?v_2724) (=> true (=> (= lockStatus_0.14 lockStatus_0.2) (=> (= lockStatus_1.14 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= k.95 k.93) (=> true (=> true (=> true ?v_2725))))))))))))) (let ((?v_2730 (=> true (=> true (=> true (=> true ?v_2728))))) (?v_2729 (= k.93 1)) (?v_2727 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2726 (= k.93 0))) (let ((?v_2731 (=> true (=> (<= k.92 k.93) (=> (< k.93 2) (and (=> true (=> ?v_2726 (=> (= inline.ReleaseDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2727))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.1) ?v_2728))))) (=> true (=> (not ?v_2726) (and (=> true (=> ?v_2729 (=> (= inline.ReleaseDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2727))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.0) ?v_2730))))) (=> true (=> (not ?v_2729) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0) ?v_2730))))))))))))) (let ((?v_2739 (and (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.1) ?v_2731)))) (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2732 ?v_288) (=> (=> ?v_2733 ?v_289) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> true (=> true ?v_2731))))))) (=> true (=> (=> ?v_2732 ?v_391) (=> (=> ?v_2733 ?v_393) (=> true (=> (= lockStatus_1.15 lockStatus_1.2) (=> (= k.96 k.92) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_0.15 lockStatus_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0) (=> true (=> true (=> true ?v_2734))))))))))))))))))))) (let ((?v_2744 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2739)))))))))) (?v_2741 (= errorReached.74 errorReached.72)) (?v_2742 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2743 (= k.92 k.90)) (?v_2746 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hdevice)) (?v_2745 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hqueue)) (?v_2740 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 htimer)) (?v_2738 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hrequest)) (?v_2737 (=> true (=> (= errorReached.74 errorReached.73) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call21187formal.ret.0) (=> (= k.92 k.91) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2739)))))) (?v_2735 (= k.91 0)) (?v_2736 (= k.91 1))) (let ((?v_2749 (and (=> true (=> ?v_2738 (=> true (=> (<= k.90 k.91) (=> (< k.91 2) (and (=> true (=> (=> ?v_2735 ?v_10) (=> (=> ?v_2736 ?v_11) (=> true (=> (= errorReached.73 1) ?v_2737))))) (=> true (=> (=> ?v_2735 ?v_2) (=> (=> ?v_2736 ?v_3) (=> true (=> (= errorReached.73 errorReached.72) (=> true ?v_2737)))))))))))) (=> true (=> (not ?v_2738) (and (=> true (=> ?v_2740 (=> true (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2744))))))) (=> true (=> (not ?v_2740) (and (=> true (=> ?v_2745 (=> true (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2744))))))) (=> true (=> (not ?v_2745) (and (=> true (=> ?v_2746 (=> true (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2744))))))) (=> true (=> (not ?v_2746) (=> true (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2744))))))))))))))))))) (let ((?v_2751 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2749)))))))))))) (?v_2750 (= k.90 1)) (?v_2747 (= k.90 0))) (let ((?v_2753 (=> true (=> (<= k.89 k.90) (=> (< k.90 2) (and (=> true (=> ?v_2747 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 ?v_1538) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9) ?v_2749))))) (=> true (=> (not ?v_2747) (and (=> true (=> ?v_2750 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 ?v_2748) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10) ?v_2751))))) (=> true (=> (not ?v_2750) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_2751))))))))))))) (let ((?v_2757 (=> true ?v_2753)) (?v_2755 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2756 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2754 (= k.89 1)) (?v_2752 (= k.89 0))) (let ((?v_2760 (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (and (=> true (=> ?v_2752 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 ?v_3364) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> ?v_2756 ?v_2753)))))) (=> true (=> (not ?v_2752) (and (=> true (=> ?v_2754 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 ?v_3964) (=> true (=> ?v_2755 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_2757)))))) (=> true (=> (not ?v_2754) (=> true (=> ?v_2755 (=> ?v_2756 ?v_2757))))))))))))) (?v_2762 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_2763 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_2760)))) (?v_2761 (= k.88 1)) (?v_2758 (= k.88 0))) (let ((?v_3057 (and (=> true (=> ?v_2764 (=> true (=> (<= k.87 k.88) (=> (< k.88 2) (and (=> true (=> ?v_2758 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 ?v_3363) (=> true (=> ?v_2762 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_2760)))))) (=> true (=> (not ?v_2758) (and (=> true (=> ?v_2761 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 ?v_3971) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_2763))))) (=> true (=> (not ?v_2761) (=> true (=> ?v_2762 ?v_2763))))))))))))) (=> true (=> (not ?v_2764) (=> true (=> ?v_3080 (=> ?v_3081 (=> ?v_2765 (=> (= reqCancelSet_1.18 reqCancelSet_1.9) (=> ?v_3082 (=> ?v_3083 (=> ?v_2766 (=> ?v_2767 (=> ?v_3084 (=> ?v_3085 (=> ?v_2768 (=> ?v_3086 (=> ?v_2769 (=> ?v_3087 (=> ?v_3088 (=> ?v_2770 (=> ?v_3089 (=> ?v_2771 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_2772 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_2773 (=> ?v_3099 (=> ?v_2774 (=> ?v_3100 (=> ?v_2775 (=> ?v_3101 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_3102 (=> ?v_3103 (=> ?v_2779 (=> ?v_2780 (=> ?v_3104 (=> ?v_2781 (=> ?v_2782 (=> ?v_3105 (=> ?v_2783 (=> ?v_3106 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_3107 (=> ?v_2787 (=> ?v_3108 (=> ?v_2788 (=> ?v_2789 (=> ?v_3109 (=> ?v_2790 (=> ?v_2791 (=> ?v_3110 (=> ?v_3111 (=> ?v_2792 (=> ?v_2793 (=> ?v_3112 (=> ?v_2794 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_2795 (=> ?v_2796 (=> ?v_3119 (=> ?v_2797 (=> ?v_3120 (=> ?v_2798 (=> ?v_2799 (=> ?v_3121 (=> ?v_3122 (=> ?v_2800 (=> ?v_2801 (=> ?v_3123 (=> ?v_2802 (=> ?v_2803 (=> ?v_3124 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_2807 (=> ?v_3125 (=> ?v_2808 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_2809 (=> ?v_2810 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_2811 (=> ?v_3134 (=> ?v_3135 (=> ?v_2812 (=> ?v_3136 (=> ?v_3137 (=> ?v_2813 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_2814 (=> ?v_2815 (=> ?v_3141 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_3142 (=> ?v_2819 (=> ?v_2820 (=> ?v_3143 (=> ?v_3144 (=> ?v_2821 (=> ?v_3145 (=> ?v_3146 (=> ?v_2822 (=> ?v_2823 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_2824 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_2829 (=> ?v_3154 (=> ?v_2830 (=> ?v_3155 (=> ?v_2831 (=> ?v_3156 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_2835 (=> ?v_3160 (=> ?v_2836 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_3161 (=> ?v_3162 (=> ?v_2840 (=> ?v_3163 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> ?v_3164 (=> ?v_3165 (=> ?v_2845 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_2846 (=> ?v_2847 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_3177 (=> ?v_2851 (=> ?v_2852 (=> ?v_3178 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> ?v_3179 (=> ?v_2858 (=> ?v_3180 (=> ?v_3181 (=> ?v_2859 (=> ?v_3182 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_3183 (=> ?v_2865 (=> ?v_2866 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_2867 (=> ?v_3187 (=> ?v_2868 (=> ?v_2869 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_2870 (=> ?v_3193 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> (= reqCancelSet_0.18 reqCancelSet_0.9) (=> ?v_2874 (=> ?v_3194 (=> ?v_3195 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_2878 (=> ?v_2879 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_2880 (=> ?v_3202 (=> ?v_3203 (=> ?v_2881 (=> ?v_3204 (=> ?v_2882 (=> ?v_3205 (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> ?v_3206 (=> ?v_3207 (=> ?v_2889 (=> ?v_3208 (=> ?v_2890 (=> ?v_3209 (=> ?v_3210 (=> ?v_2891 (=> ?v_2892 (=> ?v_3211 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_3212 (=> ?v_3213 (=> (= k.187 k.87) (=> ?v_3214 (=> ?v_2899 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_2900 (=> ?v_2901 (=> ?v_3220 (=> ?v_3221 (=> ?v_2902 (=> ?v_3222 (=> ?v_3223 (=> ?v_2903 (=> ?v_3224 (=> ?v_2904 (=> ?v_3225 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_3226 (=> ?v_3227 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_3228 (=> ?v_1626 (=> ?v_2912 (=> ?v_3229 (=> ?v_2913 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_2914 (=> ?v_3233 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_3234 (=> ?v_2918 (=> ?v_3235 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_3236 (=> ?v_3237 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_3238 (=> ?v_3239 (=> ?v_2928 (=> ?v_3240 (=> ?v_3241 (=> ?v_2929 (=> ?v_3242 (=> ?v_3243 (=> ?v_2930 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_3247 (=> ?v_2936 (=> ?v_3248 (=> ?v_3249 (=> ?v_2937 (=> ?v_3250 (=> (= errorReached.134 errorReached.72) (=> ?v_3251 (=> ?v_3252 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_3256 (=> ?v_2946 (=> ?v_2947 (=> ?v_3257 (=> ?v_2948 (=> ?v_3258 (=> ?v_2949 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_2950 (=> ?v_2951 (=> ?v_3262 (=> ?v_2952 (=> ?v_3263 (=> ?v_3264 (=> ?v_2953 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> ?v_2954 (=> ?v_3270 (=> ?v_2955 (=> ?v_3271 (=> ?v_3272 (=> ?v_2956 (=> ?v_3273 (=> ?v_3274 (=> ?v_2957 (=> ?v_2958 (=> ?v_3275 (=> ?v_2959 (=> ?v_2960 (=> ?v_3276 (=> ?v_2961 (=> ?v_3277 (=> ?v_2962 (=> ?v_3278 (=> ?v_2963 (=> ?v_2964 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_2974 (=> ?v_3299 (=> ?v_3300 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_3301 (=> ?v_3302 (=> ?v_2978 (=> ?v_3303 (=> ?v_3304 (=> ?v_2979 (=> ?v_3305 (=> ?v_2980 (=> ?v_2981 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_2982 (=> ?v_2983 (=> ?v_3309 (=> ?v_2984 (=> ?v_3310 (=> ?v_2985 (=> ?v_2986 (=> ?v_3311 (=> ?v_2987 (=> ?v_3312 (=> ?v_2988 (=> ?v_2989 (=> ?v_3313 (=> ?v_2990 (=> ?v_3314 (=> ?v_2991 (=> ?v_3315 (=> ?v_3316 (=> ?v_2992 (=> ?v_3317 (=> ?v_3318 (=> ?v_2993 (=> ?v_3319 (=> ?v_2994 (=> ?v_3320 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_3321 (=> ?v_2998 (=> ?v_3322 (=> ?v_2999 (=> ?v_3323 (=> ?v_3324 (=> ?v_3000 (=> ?v_3001 (=> ?v_3325 (=> ?v_3002 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3003 (=> ?v_3004 (=> ?v_3332 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3333 (=> ?v_3334 (=> ?v_3010 (=> ?v_3011 (=> ?v_3335 (=> ?v_3336 (=> ?v_3012 (=> ?v_3337 (=> ?v_3013 (=> ?v_3338 (=> ?v_3339 (=> ?v_3014 (=> ?v_3340 (=> ?v_3341 (=> ?v_3015 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3345 (=> ?v_3019 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3020 (=> ?v_3021 (=> ?v_3351 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3026 (=> ?v_3027 (=> ?v_3358 (=> ?v_3359 (=> ?v_3028 ?v_3360))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3058 (=> true (=> true (=> true (=> true (=> true ?v_3057)))))) (?v_1536 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_3056 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_3064 (and (=> true (=> (not ?v_3056) (=> (not ?v_1536) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_3057))))) (=> true (=> ?v_3056 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_339) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_3058)))))) (=> true (=> ?v_1536 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_341) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_3058))))))))) (let ((?v_3070 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call20786formal.ret.0) (=> true ?v_3064))) (?v_3059 (= errorReached.72 errorReached.71)) (?v_3060 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 call20826formal.ret.0)) (?v_3061 (= reqCancelSet_0.9 reqCancelSet_0.8)) (?v_3062 (= reqCancelSet_1.9 reqCancelSet_1.8)) (?v_3063 (= k.87 k.86)) (?v_1532 (= k.86 0)) (?v_1533 (= reqCancelStarted_0 0)) (?v_1534 (= k.86 1)) (?v_1535 (= reqCancelStarted_1 0))) (let ((?v_3065 (and (=> true (=> (=> ?v_1532 (not ?v_1533)) (=> (=> ?v_1534 (not ?v_1535)) (=> true (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_1536 ?v_3064)))))))))) (=> true (=> (=> ?v_1532 ?v_1533) (=> (=> ?v_1534 ?v_1535) (=> true (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 ?v_3070)))))))))))) (let ((?v_3068 (=> true (=> true ?v_3065))) (?v_3066 (= reqCancelSet_0.8 reqCancelSet_0)) (?v_3067 (= reqCancelSet_1.8 reqCancelSet_1))) (let ((?v_3069 (and (=> true (=> ?v_1532 (=> true (=> (= reqCancelSet_0.8 0) (=> ?v_3067 ?v_3065))))) (=> true (=> (not ?v_1532) (and (=> true (=> ?v_1534 (=> true (=> ?v_3066 (=> (= reqCancelSet_1.8 0) ?v_3068))))) (=> true (=> (not ?v_1534) (=> true (=> ?v_3066 (=> ?v_3067 ?v_3068))))))))))) (let ((?v_3072 (and (=> true (=> ?v_1531 (=> true (=> (<= k.32 k.86) (=> (< k.86 2) (and (=> true (=> (=> ?v_1532 ?v_10) (=> (=> ?v_1534 ?v_11) (=> true (=> (= errorReached.71 1) ?v_3069))))) (=> true (=> (=> ?v_1532 ?v_2) (=> (=> ?v_1534 ?v_3) (=> true (=> (= errorReached.71 errorReached.70) (=> true ?v_3069)))))))))))) (=> true (=> ?v_2694 (=> true (=> (= errorReached.72 errorReached.70) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= reqCancelSet_0.9 reqCancelSet_0) (=> (= reqCancelSet_1.9 reqCancelSet_1) (=> (= k.87 k.32) ?v_3070))))))))))) (let ((?v_3075 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3072)))))))))))))))) (?v_3074 (= errorReached.70 errorReached.29)) (?v_3071 (=> true (=> (= errorReached.70 errorReached.37) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3072))))) (let ((?v_3361 (and (=> true (=> (=> ?v_1528 (not ?v_3078)) (=> (=> ?v_1530 (not ?v_3079)) (and (=> true (=> ?v_1531 (and (=> true (=> (=> ?v_1528 ?v_10) (=> (=> ?v_1530 ?v_11) (=> true (=> (= errorReached.37 1) ?v_3071))))) (=> true (=> (=> ?v_1528 ?v_2) (=> (=> ?v_1530 ?v_3) (=> true (=> (= errorReached.37 errorReached.29) (=> true ?v_3071))))))))) (=> true (=> ?v_2694 (and (=> true (=> ?v_2696 (=> true (=> ?v_3074 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3075))))) (=> true (=> ?v_3073 (and (=> true (=> ?v_2699 (=> true (=> ?v_3074 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3075))))) (=> true (=> ?v_3076 (and (=> true (=> ?v_2700 (=> true (=> ?v_3074 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3075))))) (=> true (=> ?v_3077 (=> true (=> ?v_3074 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3075)))))))))))))))))) (=> true (=> (=> ?v_1528 ?v_3078) (=> (=> ?v_1530 ?v_3079) (=> true (=> ?v_3080 (=> ?v_3081 (=> ?v_2765 (=> (= reqCancelSet_1.18 reqCancelSet_1) (=> ?v_3082 (=> ?v_3083 (=> ?v_2766 (=> ?v_2767 (=> ?v_3084 (=> ?v_3085 (=> ?v_2768 (=> ?v_3086 (=> ?v_2769 (=> ?v_3087 (=> ?v_3088 (=> ?v_2770 (=> ?v_3089 (=> ?v_2771 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_2772 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_2773 (=> ?v_3099 (=> ?v_2774 (=> ?v_3100 (=> ?v_2775 (=> ?v_3101 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_3102 (=> ?v_3103 (=> ?v_2779 (=> ?v_2780 (=> ?v_3104 (=> ?v_3382 (=> ?v_2782 (=> ?v_3105 (=> ?v_2783 (=> ?v_3106 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_3107 (=> ?v_2787 (=> ?v_3108 (=> ?v_2788 (=> ?v_2789 (=> ?v_3109 (=> ?v_2790 (=> ?v_2791 (=> ?v_3110 (=> ?v_3111 (=> ?v_2792 (=> ?v_2793 (=> ?v_3112 (=> ?v_3383 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_2795 (=> ?v_2796 (=> ?v_3119 (=> ?v_2797 (=> ?v_3120 (=> ?v_2798 (=> ?v_2799 (=> ?v_3121 (=> ?v_3122 (=> ?v_2800 (=> ?v_3384 (=> ?v_3123 (=> ?v_2802 (=> ?v_2803 (=> ?v_3124 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_2807 (=> ?v_3125 (=> ?v_2808 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_2809 (=> ?v_2810 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_2811 (=> ?v_3134 (=> ?v_3135 (=> ?v_2812 (=> ?v_3136 (=> ?v_3137 (=> ?v_2813 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_2814 (=> ?v_2815 (=> ?v_3141 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_3142 (=> ?v_2819 (=> ?v_2820 (=> ?v_3143 (=> ?v_3144 (=> ?v_2821 (=> ?v_3145 (=> ?v_3146 (=> ?v_2822 (=> ?v_2823 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_2824 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3385 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_2829 (=> ?v_3154 (=> ?v_2830 (=> ?v_3155 (=> ?v_2831 (=> ?v_3156 (=> ?v_2832 (=> ?v_2833 (=> ?v_3386 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_2835 (=> ?v_3160 (=> ?v_2836 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_3161 (=> ?v_3162 (=> ?v_2840 (=> ?v_3163 (=> ?v_2841 (=> ?v_3387 (=> ?v_2843 (=> ?v_2844 (=> ?v_3164 (=> ?v_3165 (=> ?v_2845 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_2846 (=> ?v_2847 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_3177 (=> ?v_2851 (=> ?v_2852 (=> ?v_3178 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> ?v_3179 (=> ?v_2858 (=> ?v_3180 (=> ?v_3181 (=> ?v_2859 (=> ?v_3182 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_3183 (=> ?v_2865 (=> ?v_2866 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_2867 (=> ?v_3187 (=> ?v_2868 (=> ?v_2869 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_2870 (=> ?v_3193 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> (= reqCancelSet_0.18 reqCancelSet_0) (=> ?v_2874 (=> ?v_3194 (=> ?v_3195 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_2878 (=> ?v_2879 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_2880 (=> ?v_3202 (=> ?v_3203 (=> ?v_2881 (=> ?v_3204 (=> ?v_2882 (=> ?v_3205 (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_2886 (=> ?v_2887 (=> ?v_3388 (=> ?v_3206 (=> ?v_3207 (=> ?v_2889 (=> ?v_3208 (=> ?v_2890 (=> ?v_3209 (=> ?v_3210 (=> ?v_2891 (=> ?v_2892 (=> ?v_3211 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_3212 (=> ?v_3213 (=> (= k.187 k.32) (=> ?v_3214 (=> ?v_2899 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_2900 (=> ?v_2901 (=> ?v_3220 (=> ?v_3221 (=> ?v_2902 (=> ?v_3222 (=> ?v_3223 (=> ?v_2903 (=> ?v_3224 (=> ?v_2904 (=> ?v_3225 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_3226 (=> ?v_3227 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_3228 (=> ?v_1626 (=> ?v_2912 (=> ?v_3229 (=> ?v_2913 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_2914 (=> ?v_3233 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_3234 (=> ?v_2918 (=> ?v_3235 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_3236 (=> ?v_3237 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_3238 (=> ?v_3239 (=> ?v_2928 (=> ?v_3240 (=> ?v_3241 (=> ?v_2929 (=> ?v_3242 (=> ?v_3243 (=> ?v_2930 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_3247 (=> ?v_2936 (=> ?v_3248 (=> ?v_3249 (=> ?v_2937 (=> ?v_3250 (=> (= errorReached.134 errorReached.29) (=> ?v_3251 (=> ?v_3252 (=> ?v_2938 (=> ?v_2939 (=> ?v_3390 (=> ?v_2941 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_3256 (=> ?v_2946 (=> ?v_2947 (=> ?v_3257 (=> ?v_2948 (=> ?v_3258 (=> ?v_3391 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_2950 (=> ?v_2951 (=> ?v_3262 (=> ?v_2952 (=> ?v_3263 (=> ?v_3264 (=> ?v_2953 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> ?v_2954 (=> ?v_3270 (=> ?v_2955 (=> ?v_3271 (=> ?v_3272 (=> ?v_2956 (=> ?v_3273 (=> ?v_3274 (=> ?v_2957 (=> ?v_2958 (=> ?v_3275 (=> ?v_2959 (=> ?v_2960 (=> ?v_3276 (=> ?v_2961 (=> ?v_3277 (=> ?v_2962 (=> ?v_3278 (=> ?v_2963 (=> ?v_2964 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2968 (=> ?v_2969 (=> ?v_3392 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_2971 (=> ?v_2972 (=> ?v_3393 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_2974 (=> ?v_3299 (=> ?v_3300 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_3301 (=> ?v_3302 (=> ?v_2978 (=> ?v_3303 (=> ?v_3304 (=> ?v_2979 (=> ?v_3305 (=> ?v_2980 (=> ?v_2981 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_2982 (=> ?v_2983 (=> ?v_3309 (=> ?v_2984 (=> ?v_3310 (=> ?v_2985 (=> ?v_2986 (=> ?v_3311 (=> ?v_2987 (=> ?v_3312 (=> ?v_2988 (=> ?v_2989 (=> ?v_3313 (=> ?v_3394 (=> ?v_3314 (=> ?v_2991 (=> ?v_3315 (=> ?v_3316 (=> ?v_2992 (=> ?v_3317 (=> ?v_3318 (=> ?v_2993 (=> ?v_3319 (=> ?v_2994 (=> ?v_3320 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_3321 (=> ?v_2998 (=> ?v_3322 (=> ?v_2999 (=> ?v_3323 (=> ?v_3324 (=> ?v_3000 (=> ?v_3001 (=> ?v_3325 (=> ?v_3002 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3003 (=> ?v_3004 (=> ?v_3332 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3333 (=> ?v_3334 (=> ?v_3010 (=> ?v_3011 (=> ?v_3335 (=> ?v_3336 (=> ?v_3012 (=> ?v_3337 (=> ?v_3013 (=> ?v_3338 (=> ?v_3339 (=> ?v_3014 (=> ?v_3340 (=> ?v_3341 (=> ?v_3015 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3345 (=> ?v_3019 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3020 (=> ?v_3395 (=> ?v_3351 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3026 (=> ?v_3027 (=> ?v_3358 (=> ?v_3359 (=> ?v_3396 ?v_3360)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3976 (and (=> true (=> (not ?v_3362) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) ?v_3361)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> true ?v_3361)))))))) (=> true (=> ?v_3362 (=> true (=> (<= k.32 k.33) (=> (< k.33 2) (and (=> true (=> ?v_3970 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3363) (=> true (=> ?v_3974 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_3972)))))) (=> true (=> (not ?v_3970) (and (=> true (=> ?v_3973 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3971) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_3975))))) (=> true (=> (not ?v_3973) (=> true (=> ?v_3974 ?v_3975)))))))))))))))) (let ((?v_3977 (=> true (=> true ?v_3976)))) (let ((?v_3982 (=> true (=> (<= k.31 k.32) (=> (< k.32 2) (and (=> true (=> ?v_1528 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1537))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0) ?v_3976))))) (=> true (=> (not ?v_1528) (and (=> true (=> ?v_1530 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1537))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1) ?v_3977))))) (=> true (=> (not ?v_1530) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) ?v_3977)))))))))))) (?v_3984 (= errorReached.29 errorReached.27)) (?v_3985 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.))) (let ((?v_3986 (=> (= k.31 k.29) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3982)))))))))) (?v_3988 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hdevice)) (?v_3987 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hqueue)) (?v_3983 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 htimer)) (?v_3981 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hrequest)) (?v_3980 (=> true (=> (= errorReached.29 errorReached.28) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call20331formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.31 k.30) ?v_3982)))))) (?v_3978 (= k.30 0)) (?v_3979 (= k.30 1))) (let ((?v_3991 (and (=> true (=> ?v_3981 (=> true (=> (<= k.29 k.30) (=> (< k.30 2) (and (=> true (=> (=> ?v_3978 ?v_10) (=> (=> ?v_3979 ?v_11) (=> true (=> (= errorReached.28 1) ?v_3980))))) (=> true (=> (=> ?v_3978 ?v_2) (=> (=> ?v_3979 ?v_3) (=> true (=> (= errorReached.28 errorReached.27) (=> true ?v_3980)))))))))))) (=> true (=> (not ?v_3981) (and (=> true (=> ?v_3983 (=> true (=> ?v_3984 (=> ?v_3985 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3986)))))) (=> true (=> (not ?v_3983) (and (=> true (=> ?v_3987 (=> true (=> ?v_3984 (=> ?v_3985 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3986)))))) (=> true (=> (not ?v_3987) (and (=> true (=> ?v_3988 (=> true (=> ?v_3984 (=> ?v_3985 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3986)))))) (=> true (=> (not ?v_3988) (=> true (=> ?v_3984 (=> ?v_3985 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3986)))))))))))))))))) (let ((?v_3993 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3991)))))))) (?v_3992 (= k.29 1)) (?v_3990 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3989 (= k.29 0))) (let ((?v_3997 (=> true (=> (<= k.28 k.29) (=> (< k.29 2) (and (=> true (=> ?v_3989 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3990))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0) ?v_3991))))) (=> true (=> (not ?v_3989) (and (=> true (=> ?v_3992 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3990))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1) ?v_3993))))) (=> true (=> (not ?v_3992) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) ?v_3993))))))))))))) (let ((?v_3999 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3997))))))))) (?v_3998 (= errorReached.27 errorReached.25)) (?v_3996 (=> true (=> (= errorReached.27 errorReached.26) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3997)))) (?v_3994 (= k.28 0)) (?v_3995 (= k.28 1))) (let ((?v_4004 (and (=> true (=> ?v_22 (and (=> true (=> (=> ?v_3994 ?v_10) (=> (=> ?v_3995 ?v_11) (=> true (=> (= errorReached.26 1) ?v_3996))))) (=> true (=> (=> ?v_3994 ?v_2) (=> (=> ?v_3995 ?v_3) (=> true (=> (= errorReached.26 errorReached.25) (=> true ?v_3996))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_3998 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3999))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_3998 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3999))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_3998 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3999))))) (=> true (=> ?v_2511 (=> true (=> ?v_3998 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3999))))))))))))))))) (let ((?v_4006 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4004)))))))))))) (?v_4005 (= errorReached.25 errorReached.24)) (?v_4002 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call20020formal.ret.0)) (?v_4003 (= k.28 k.27)) (?v_4000 (= k.27 0)) (?v_4001 (= k.27 1)) (?v_1527 (not (= call18835formal.ret.0 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)))) (let ((?v_4695 (and (=> true (=> ?v_1527 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 ?v_43) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_1563 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_1564 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_1565 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_1566 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_1567 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_1568 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_1569 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> (= alloc.14 alloc.8) (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_1570 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_1571 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_1572 (=> ?v_4138 (=> ?v_4139 (=> ?v_1573 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_1577 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_1578 (=> ?v_4156 (=> ?v_1579 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_1580 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_1581 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_1583 (=> ?v_1584 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_1585 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_1586 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_1587 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_1588 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_1589 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_1590 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_1591 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_1592 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_1593 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> (= k.188 k.26) (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_1594 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_1595 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_1596 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_1597 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_1598 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_1599 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> (= errorReached.135 errorReached.24) (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_1600 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_1601 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_1602 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_1603 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_1604 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_1605 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_1606 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_1607 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_1608 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_1609 (=> ?v_4469 (=> ?v_4470 (=> ?v_1610 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_1611 (=> ?v_4477 (=> ?v_1612 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_1613 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_1614 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_1615 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_1616 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_1617 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_1618 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3) (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_1619 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_1620 (=> ?v_1621 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_1622 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_1623 (=> ?v_1624 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 ?v_1625)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1527) (and (=> true (=> ?v_23 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> (=> ?v_4000 ?v_10) (=> (=> ?v_4001 ?v_11) (=> true (=> (= errorReached.25 1) (=> ?v_4002 (=> ?v_4003 ?v_4004))))))) (=> true (=> (=> ?v_4000 ?v_2) (=> (=> ?v_4001 ?v_3) (=> true (=> ?v_4005 (=> ?v_4002 (=> ?v_4003 ?v_4006))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_4005 (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= k.28 k.26) ?v_4006)))))))))))) (let ((?v_4705 (and (=> true (=> ?v_4696 (=> true (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call34722formal.ret.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 call34520formal.ret.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 call16648formal.new.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= errorReached.24 errorReached.23) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call34924formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 call34572formal.new.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.26 inline.EvtIoChildRead.0.myNondetVar_0.25) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call18581formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 call34572formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call34657formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 call34520formal.ret.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= alloc.8 alloc.7) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call34722formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34852formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16648formal.new.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34852formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call34852formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 call34852formal.ret.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34657formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= k.26 k.25) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 call34852formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call18581formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call34924formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4695))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4696) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4710 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4711 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4713 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4714 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4716 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.25) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4720 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4721 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4722 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4723 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4724 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4725 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4727 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4728 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.2) (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4730 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4731 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4732 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 call34924formal.ret.0) (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4733 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4734 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4735 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4736 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4737 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4739 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4740 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4741 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4742 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 call34924formal.ret.0) (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4743 (=> ?v_4477 (=> ?v_4744 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4745 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4746 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4747 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4748 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4749 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4750 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) ?v_4751))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4704 (= call34924formal.ret.0 0))) (let ((?v_4707 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4705))) (?v_4706 (= call34924formal.ret.0 1))) (let ((?v_4754 (and (=> true (=> ?v_4752 (and (=> true (=> (not ?v_4708) (and (=> true (=> (not ?v_4704) (=> (not ?v_4706) ?v_4707))) (=> true (=> ?v_4704 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_339) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4705))))))))))))))))))))) (=> true (=> ?v_4706 (=> true ?v_4707)))))) (=> true (=> ?v_4708 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 ?v_4709) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4710 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4711 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4713 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4714 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4716 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.22) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4720 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4721 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4722 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4723 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4724 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4725 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4727 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4728 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4730 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4731 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4732 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4733 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4734 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4735 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4736 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4737 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4739 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4740 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4741 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4742 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4743 (=> ?v_4477 (=> ?v_4744 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4745 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4746 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4747 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4748 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4749 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4750 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1) ?v_4751)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4752) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4710 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4711 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4714 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4716 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.21) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4718 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4720 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4722 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4723 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4724 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4725 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4727 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4728 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4730 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4731 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4732 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4733 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4734 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4735 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4736 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4737 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4739 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4740 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4741 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4742 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4764 (=> ?v_4477 (=> ?v_4744 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4745 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4746 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4748 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4749 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4750 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) ?v_4751))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4753 (= call34722formal.ret.0 0))) (let ((?v_4759 (and (=> true (=> (not ?v_4753) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_339) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) ?v_4754))))))) (=> true (=> ?v_4753 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_4754))))))))))))) (let ((?v_4761 (=> true (=> true (=> true ?v_4759)))) (?v_4760 (= errorReached.23 errorReached.22)) (?v_4757 (= k.25 k.24)) (?v_4758 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call34725formal.ret.0)) (?v_4755 (= k.24 0)) (?v_4756 (= k.24 1))) (let ((?v_4762 (and (=> true (=> ?v_23 (=> true (=> (<= k.23 k.24) (=> (< k.24 2) (and (=> true (=> (=> ?v_4755 ?v_10) (=> (=> ?v_4756 ?v_11) (=> true (=> (= errorReached.23 1) (=> ?v_4757 (=> ?v_4758 ?v_4759))))))) (=> true (=> (=> ?v_4755 ?v_2) (=> (=> ?v_4756 ?v_3) (=> true (=> ?v_4760 (=> ?v_4757 (=> ?v_4758 ?v_4761))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_4760 (=> (= k.25 k.23) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) ?v_4761)))))))) (?v_32 (>= 0 0)) (?v_4694 (int_2_U call34657formal.new.0))) (let ((?v_4772 (and (=> true (=> ?v_4763 (=> true (and ?v_32 (=> ?v_32 (=> (> call34657formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call34657formal.new.0 ?x365) (< ?x365 (+ call34657formal.new.0 0))) (= (Base ?x365) call34657formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call34657formal.new.0) (= (MapType0Select alloc.6 ?x366) (MapType0Select alloc.7 ?x366)))) :pattern ((MapType0Select alloc.7 ?x366)) )) (=> (and (= (MapType0Select alloc.6 ?v_4694) UNALLOCATED) (= (MapType0Select alloc.7 ?v_4694) ALLOCATED)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.19 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.21 inline.EvtIoChildRead.0.myNondetVar_0.19) ?v_4762)))) (=> true (=> (not (not (= inline.EvtIoChildRead.0.myNondetVar_0.20 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.21 inline.EvtIoChildRead.0.myNondetVar_0.20) (=> true (=> true (=> true (=> true (=> true ?v_4762))))))))))))))))))) (=> true (=> (not ?v_4763) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4643 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4644 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> (= alloc.14 alloc.6) (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4716 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> ?v_4781 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4652 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4654 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4656 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4723 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4724 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4725 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4664 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4728 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> (= k.188 k.23) (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4731 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4668 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4672 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> (= errorReached.135 errorReached.22) (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4674 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4736 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4737 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4739 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4740 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4741 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4682 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4764 (=> ?v_4477 (=> ?v_4744 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4686 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4746 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4748 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4749 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4750 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4765 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4766 (=> ?v_4767 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4768 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4769 ?v_4770)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4771 (= call34520formal.ret.0 0)) (?v_4693 (int_2_U call34572formal.new.0))) (let ((?v_4777 (=> true (and ?v_32 (=> ?v_32 (=> (> call34572formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call34572formal.new.0 ?x367) (< ?x367 (+ call34572formal.new.0 0))) (= (Base ?x367) call34572formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call34572formal.new.0) (= (MapType0Select alloc.4 ?x368) (MapType0Select alloc.6 ?x368)))) :pattern ((MapType0Select alloc.6 ?x368)) )) (=> (and (= (MapType0Select alloc.4 ?v_4693) UNALLOCATED) (= (MapType0Select alloc.6 ?v_4693) ALLOCATED)) (and (=> true (=> (not ?v_4771) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 ?v_43) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0) ?v_4772))))))) (=> true (=> ?v_4771 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4772)))))))))))))))))))) (let ((?v_4779 (=> true (=> true ?v_4777))) (?v_4778 (= errorReached.22 errorReached.21)) (?v_4775 (= k.23 k.22)) (?v_4776 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 call34523formal.ret.0)) (?v_4773 (= k.22 0)) (?v_4774 (= k.22 1))) (let ((?v_4784 (and (=> true (=> ?v_4780 (and (=> true (=> ?v_23 (=> true (=> (<= k.21 k.22) (=> (< k.22 2) (and (=> true (=> (=> ?v_4773 ?v_10) (=> (=> ?v_4774 ?v_11) (=> true (=> (= errorReached.22 1) (=> ?v_4775 (=> ?v_4776 ?v_4777))))))) (=> true (=> (=> ?v_4773 ?v_2) (=> (=> ?v_4774 ?v_3) (=> true (=> ?v_4778 (=> ?v_4775 (=> ?v_4776 ?v_4779))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_4778 (=> (= k.23 k.21) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) ?v_4779))))))))) (=> true (=> (not ?v_4780) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4643 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4644 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4712 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4790 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4715 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4716 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> ?v_4781 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4717 (=> ?v_4652 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4654 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4656 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4657 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4724 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4725 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4726 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4664 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4665 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4666 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4667 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4668 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4672 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> (= errorReached.135 errorReached.21) (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4674 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4675 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4737 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4738 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4739 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4679 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4680 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4682 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4764 (=> ?v_4477 (=> ?v_4744 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4686 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4687 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4689 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4749 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4691 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) ?v_4792))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4783 (= call18581formal.ret.0 0))) (let ((?v_4787 (and (=> true (=> (not ?v_4783) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_339) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) ?v_4784))))))) (=> true (=> ?v_4783 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_4784))))))))))))) (let ((?v_4788 (=> true (=> (= errorReached.21 errorReached.20) (=> true (=> true (=> true ?v_4787)))))) (?v_4785 (= k.21 0)) (?v_4786 (= k.21 1)) (?v_4638 (and (=> true (=> ?v_4007 (=> true (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= errorReached.24 errorReached.20) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.26 inline.EvtIoChildRead.0.myNondetVar_0.15) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16645formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= alloc.8 alloc.5) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call18746formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call18746formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= k.26 k.21) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call18685formal.new.0) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call18685formal.new.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) ?v_4695)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4007) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4643 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4644 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4645 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4648 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4649 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4650 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.15) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call18746formal.ret.0) (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4654 (=> ?v_4156 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call18746formal.ret.0) (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4656 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4657 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4658 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4660 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4663 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4664 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4665 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.1) (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4666 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4667 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4668 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4672 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4673 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4674 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4675 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4676 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4677 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4678 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4679 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4680 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4682 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4684 (=> ?v_4477 (=> ?v_4685 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4686 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4687 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4689 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4690 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4691 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) ?v_4692))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4637 (= call18746formal.ret.0 0))) (let ((?v_4640 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4638))) (?v_4639 (= call18746formal.ret.0 1)) (?v_33 (int_2_U call18685formal.new.0))) (let ((?v_4789 (and (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.12 1) (=> true (and ?v_32 (=> ?v_32 (=> (> call18685formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call18685formal.new.0 ?x369) (< ?x369 (+ call18685formal.new.0 0))) (= (Base ?x369) call18685formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call18685formal.new.0) (= (MapType0Select alloc.4 ?x370) (MapType0Select alloc.5 ?x370)))) :pattern ((MapType0Select alloc.5 ?x370)) )) (=> (and (= (MapType0Select alloc.4 ?v_33) UNALLOCATED) (= (MapType0Select alloc.5 ?v_33) ALLOCATED)) (and (=> true (=> (not ?v_4641) (and (=> true (=> (not ?v_4637) (=> (not ?v_4639) ?v_4640))) (=> true (=> ?v_4637 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_339) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4638))))))))))))))) (=> true (=> ?v_4639 (=> true ?v_4640)))))) (=> true (=> ?v_4641 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 ?v_4709) (=> true (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4697 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4642 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4643 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4644 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4645 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4646 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4647 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4648 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4649 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> ?v_4127 (=> ?v_4650 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4698 (=> ?v_4138 (=> ?v_4139 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.28 inline.EvtIoChildRead.0.myNondetVar_0.13) (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4699 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4654 (=> ?v_4156 (=> ?v_4700 (=> ?v_4157 (=> ?v_4158 (=> ?v_4159 (=> ?v_4160 (=> ?v_4161 (=> ?v_4655 (=> ?v_4162 (=> ?v_4163 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> ?v_4173 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4186 (=> ?v_4187 (=> ?v_4188 (=> ?v_4656 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_1582 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4701 (=> ?v_4657 (=> ?v_4197 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4201 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> ?v_4226 (=> ?v_4227 (=> ?v_4658 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4659 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4660 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4661 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4662 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4663 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> ?v_4664 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4665 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4729 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_4285 (=> ?v_4666 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> ?v_4303 (=> ?v_4304 (=> ?v_4305 (=> ?v_4667 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4668 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4669 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4670 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4671 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4672 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4673 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4674 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4675 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4676 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4677 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4678 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4679 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_2051 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4680 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4681 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4682 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4702 (=> ?v_4469 (=> ?v_4470 (=> ?v_4683 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4684 (=> ?v_4477 (=> ?v_4685 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4686 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4687 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4688 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4689 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4690 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4691 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_4572 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0) ?v_4692))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.14 1)) (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_4785 ?v_10) (=> (=> ?v_4786 ?v_11) (=> true (=> (= errorReached.21 1) ?v_4787))))) (=> true (=> (=> ?v_4785 ?v_2) (=> (=> ?v_4786 ?v_3) ?v_4788)))))) (=> true (=> ?v_487 ?v_4788)))))))) (let ((?v_4809 (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.6 0)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.7 0)) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.8 myNondetVar_0.0) (=> true (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 inline.EvtIoChildRead.0.myNondetVar_0.9) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.9) ?v_4789))))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.10 myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.10) (=> true ?v_4789))))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.16 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.17 inline.EvtIoChildRead.0.myNondetVar_0.16) ?v_4793))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.5 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.17 inline.EvtIoChildRead.0.myNondetVar_0.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4793))))))))))))))) (?v_4807 (= k.17 0)) (?v_4808 (= k.17 1))) (let ((?v_4800 (=> true (=> (= lockStatus_1.2 lockStatus_1.1) (=> (= k.21 k.20) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call18472formal.ret.0) (=> (= lockStatus_0.2 lockStatus_0.1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0) ?v_4809))))))))))) (?v_4799 (= inline.AcquireDpcLock.0.myVar_0.2 hlock))) (let ((?v_4795 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 call18420formal.ret.0) (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= k.20 k.19) ?v_4800))))))) (let ((?v_4798 (=> true ?v_4795)) (?v_4796 (= lockStatus_0.0 lockStatus_0)) (?v_4797 (= lockStatus_1.0 lockStatus_1)) (?v_4794 (= k.19 1)) (?v_31 (= k.19 0)) (?v_29 (= lockStatus_0 0)) (?v_30 (= lockStatus_1 0))) (let ((?v_4803 (and (=> true (=> ?v_4799 (=> true (=> (<= k.18 k.19) (=> (< k.19 2) (=> true (=> (=> ?v_31 ?v_29) (=> (=> ?v_4794 ?v_30) (and (=> true (=> ?v_31 (=> true (=> (= lockStatus_0.0 1) (=> ?v_4797 ?v_4795))))) (=> true (=> (not ?v_31) (and (=> true (=> ?v_4794 (=> true (=> ?v_4796 (=> (= lockStatus_1.0 1) ?v_4798))))) (=> true (=> (not ?v_4794) (=> true (=> ?v_4796 (=> ?v_4797 ?v_4798))))))))))))))))) (=> true (=> (not ?v_4799) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.1 lockStatus_0) (=> (= lockStatus_1.1 lockStatus_1) (=> (= k.20 k.18) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4800)))))))))))))))) (let ((?v_4805 (=> true (=> true (=> true (=> true ?v_4803))))) (?v_4804 (= k.18 1)) (?v_4802 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4801 (= k.18 0))) (let ((?v_4806 (=> true (=> (<= k.17 k.18) (=> (< k.18 2) (and (=> true (=> ?v_4801 (=> (= inline.AcquireDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4802))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.0) ?v_4803))))) (=> true (=> (not ?v_4801) (and (=> true (=> ?v_4804 (=> (= inline.AcquireDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4802))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.1) ?v_4805))))) (=> true (=> (not ?v_4804) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0) ?v_4805))))))))))))) (let ((?v_4814 (and (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.0) ?v_4806)))) (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_4807 ?v_288) (=> (=> ?v_4808 ?v_289) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.1) ?v_4806))))) (=> true (=> (=> ?v_4807 ?v_391) (=> (=> ?v_4808 ?v_393) (=> true (=> (= lockStatus_1.2 lockStatus_1) (=> (= k.21 k.17) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.2 lockStatus_0) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true ?v_4809)))))))))))))))))))))) (?v_4816 (= errorReached.20 errorReached.18)) (?v_4817 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.))) (let ((?v_4818 (=> (= k.17 k.15) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4814))))))))))) (?v_4820 (= inline.EvtIoChildRead.0.myVar_0.8 hdevice)) (?v_4819 (= inline.EvtIoChildRead.0.myVar_0.8 hqueue)) (?v_4815 (= inline.EvtIoChildRead.0.myVar_0.8 htimer)) (?v_4813 (= inline.EvtIoChildRead.0.myVar_0.8 hrequest)) (?v_4812 (=> true (=> (= errorReached.20 errorReached.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call18180formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.17 k.16) ?v_4814)))))) (?v_4810 (= k.16 0)) (?v_4811 (= k.16 1))) (let ((?v_4822 (and (=> true (=> ?v_4813 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_4810 ?v_10) (=> (=> ?v_4811 ?v_11) (=> true (=> (= errorReached.19 1) ?v_4812))))) (=> true (=> (=> ?v_4810 ?v_2) (=> (=> ?v_4811 ?v_3) (=> true (=> (= errorReached.19 errorReached.18) (=> true ?v_4812)))))))))))) (=> true (=> (not ?v_4813) (and (=> true (=> ?v_4815 (=> true (=> ?v_4816 (=> ?v_4817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4818)))))) (=> true (=> (not ?v_4815) (and (=> true (=> ?v_4819 (=> true (=> ?v_4816 (=> ?v_4817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4818)))))) (=> true (=> (not ?v_4819) (and (=> true (=> ?v_4820 (=> true (=> ?v_4816 (=> ?v_4817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4818)))))) (=> true (=> (not ?v_4820) (=> true (=> ?v_4816 (=> ?v_4817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4818)))))))))))))))))) (let ((?v_4824 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4822)))))))))))) (?v_4823 (= k.15 1)) (?v_4821 (= k.15 0))) (let ((?v_4826 (=> true (=> (<= k.10 k.15) (=> (< k.15 2) (and (=> true (=> ?v_4821 (=> (= inline.EvtIoChildRead.0.myVar_0.7 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.7) ?v_4822))))) (=> true (=> (not ?v_4821) (and (=> true (=> ?v_4823 (=> (= inline.EvtIoChildRead.0.myVar_0.6 ?v_1523) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.6) ?v_4824))))) (=> true (=> (not ?v_4823) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.8 inline.EvtIoChildRead.0.myVar_0.5) ?v_4824)))))))))))) (?v_24 (= k.10 0)) (?v_26 (= k.10 1))) (let ((?v_4825 (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call18060formal.ret.0) ?v_4826)))) (let ((?v_4829 (and (=> true (=> (=> ?v_24 ?v_37) (=> (=> ?v_26 ?v_39) ?v_4825))) (=> true (=> (=> ?v_24 ?v_635) (=> (=> ?v_26 ?v_637) (and (=> true (=> (=> ?v_24 ?v_542) (=> (=> ?v_26 ?v_543) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4825)))))))))))) (=> true (=> (=> ?v_24 ?v_639) (=> (=> ?v_26 ?v_640) (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_4826)))))))))))))))) (let ((?v_4832 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4829)))))))))) (?v_4831 (= errorReached.18 errorReached.12)) (?v_4834 (= inline.EvtIoChildRead.0.myVar_0.5 hdevice)) (?v_4833 (= inline.EvtIoChildRead.0.myVar_0.5 hqueue)) (?v_4830 (= inline.EvtIoChildRead.0.myVar_0.5 htimer)) (?v_4828 (= inline.EvtIoChildRead.0.myVar_0.5 hrequest)) (?v_4827 (=> true (=> (= errorReached.18 errorReached.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4829))))) (let ((?v_4835 (and (=> true (=> ?v_4828 (and (=> true (=> (=> ?v_24 ?v_10) (=> (=> ?v_26 ?v_11) (=> true (=> (= errorReached.17 1) ?v_4827))))) (=> true (=> (=> ?v_24 ?v_2) (=> (=> ?v_26 ?v_3) (=> true (=> (= errorReached.17 errorReached.12) (=> true ?v_4827))))))))) (=> true (=> (not ?v_4828) (and (=> true (=> ?v_4830 (=> true (=> ?v_4831 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4832))))) (=> true (=> (not ?v_4830) (and (=> true (=> ?v_4833 (=> true (=> ?v_4831 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4832))))) (=> true (=> (not ?v_4833) (and (=> true (=> ?v_4834 (=> true (=> ?v_4831 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4832))))) (=> true (=> (not ?v_4834) (=> true (=> ?v_4831 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4832))))))))))))))))) (let ((?v_4836 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4835))))))))))))) (let ((?v_4877 (and (=> true (=> (not ?v_4837) (=> true (=> (<= k.9 k.10) (=> (< k.10 2) (and (=> true (=> ?v_24 (=> (= inline.EvtIoChildRead.0.myVar_0.3 ?v_28) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.3) ?v_4835))))) (=> true (=> (not ?v_24) (and (=> true (=> ?v_26 (=> (= inline.EvtIoChildRead.0.myVar_0.4 ?v_1523) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.4) ?v_4836))))) (=> true (=> (not ?v_26) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.5 inline.EvtIoChildRead.0.myVar_0.2) ?v_4836))))))))))))) (=> true (=> ?v_4837 (and (=> true (=> ?v_23 (=> true (=> (<= k.9 k.11) (=> (< k.11 2) (and (=> true (=> (=> ?v_4871 ?v_10) (=> (=> ?v_4872 ?v_11) (=> true (=> (= errorReached.13 1) ?v_4873))))) (=> true (=> (=> ?v_4871 ?v_2) (=> (=> ?v_4872 ?v_3) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_4873)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_4875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4876))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_4875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4876))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_4875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4876))))) (=> true (=> ?v_528 (=> true (=> ?v_4875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4876)))))))))))))))))))) (let ((?v_4882 (and (=> true (=> ?v_686 ?v_4877)) (=> true (=> (not ?v_686) (=> true ?v_4877)))))) (let ((?v_4884 (=> true (=> true (=> true (=> true (=> true ?v_4882)))))) (?v_4883 (= errorReached.12 errorReached.11)) (?v_4880 (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 call17300formal.ret.0)) (?v_4881 (= k.9 k.8)) (?v_4878 (= k.8 0)) (?v_4879 (= k.8 1))) (let ((?v_4885 (and (=> true (=> ?v_23 (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (and (=> true (=> (=> ?v_4878 ?v_10) (=> (=> ?v_4879 ?v_11) (=> true (=> (= errorReached.12 1) (=> ?v_4880 (=> ?v_4881 ?v_4882))))))) (=> true (=> (=> ?v_4878 ?v_2) (=> (=> ?v_4879 ?v_3) (=> true (=> ?v_4883 (=> ?v_4880 (=> ?v_4881 ?v_4884))))))))))))) (=> true (=> ?v_487 (=> true (=> ?v_4883 (=> (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2.) (=> (= k.9 k.7) ?v_4884))))))))) (let ((?v_4889 (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.0 inline.EvtIoChildRead.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.4 inline.EvtIoChildRead.0.myNondetVar_0.3) ?v_4885)))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.2 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.4 inline.EvtIoChildRead.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_4885)))))))))))) (?v_4890 (= errorReached.11 errorReached.9))) (let ((?v_4891 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.) (=> (= k.7 k.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4889)))))))))))))) (?v_4888 (=> true (=> (= errorReached.11 errorReached.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call17118formal.ret.0) (=> (= k.7 k.6) ?v_4889)))))) (?v_4886 (= k.6 0)) (?v_4887 (= k.6 1))) (let ((?v_4896 (and (=> true (=> ?v_23 (=> true (=> (<= k.5 k.6) (=> (< k.6 2) (and (=> true (=> (=> ?v_4886 ?v_10) (=> (=> ?v_4887 ?v_11) (=> true (=> (= errorReached.10 1) ?v_4888))))) (=> true (=> (=> ?v_4886 ?v_2) (=> (=> ?v_4887 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_4888)))))))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_489 (=> true (=> ?v_4890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4891))))) (=> true (=> ?v_524 (and (=> true (=> ?v_492 (=> true (=> ?v_4890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4891))))) (=> true (=> ?v_527 (and (=> true (=> ?v_493 (=> true (=> ?v_4890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4891))))) (=> true (=> ?v_528 (=> true (=> ?v_4890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4891))))))))))))))))) (let ((?v_4901 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4896)))))))))))))))) (?v_4898 (= errorReached.9 errorReached.7)) (?v_4899 (= k.5 k.3)) (?v_4900 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.)) (?v_4903 (= inline.EvtIoChildRead.0.myVar_0.2 hdevice)) (?v_4902 (= inline.EvtIoChildRead.0.myVar_0.2 hqueue)) (?v_4897 (= inline.EvtIoChildRead.0.myVar_0.2 htimer)) (?v_4895 (= inline.EvtIoChildRead.0.myVar_0.2 hrequest)) (?v_4894 (=> true (=> (= errorReached.9 errorReached.8) (=> (= k.5 k.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call16948formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4896)))))) (?v_4892 (= k.4 0)) (?v_4893 (= k.4 1))) (let ((?v_4906 (and (=> true (=> ?v_4895 (=> true (=> (<= k.3 k.4) (=> (< k.4 2) (and (=> true (=> (=> ?v_4892 ?v_10) (=> (=> ?v_4893 ?v_11) (=> true (=> (= errorReached.8 1) ?v_4894))))) (=> true (=> (=> ?v_4892 ?v_2) (=> (=> ?v_4893 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_4894)))))))))))) (=> true (=> (not ?v_4895) (and (=> true (=> ?v_4897 (=> true (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4901))))))) (=> true (=> (not ?v_4897) (and (=> true (=> ?v_4902 (=> true (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4901))))))) (=> true (=> (not ?v_4902) (and (=> true (=> ?v_4903 (=> true (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4901))))))) (=> true (=> (not ?v_4903) (=> true (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4901))))))))))))))))))) (let ((?v_4908 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4906)))))))) (?v_4907 (= k.3 1)) (?v_4905 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4904 (= k.3 0))) (let ((?v_4912 (and (=> true (=> ?v_4904 (=> (= inline.EvtIoChildRead.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4905))) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0.0) ?v_4906))))) (=> true (=> (not ?v_4904) (and (=> true (=> ?v_4907 (=> (= inline.EvtIoChildRead.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4905))) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0.1) ?v_4908))))) (=> true (=> (not ?v_4907) (=> true (=> (= inline.EvtIoChildRead.0.myVar_0.2 inline.EvtIoChildRead.0.myVar_0) ?v_4908))))))))) (?v_4913 (= errorReached.7 errorReached.5))) (let ((?v_4914 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.) (=> ?v_4904 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4912)))))))))))) (?v_4911 (=> true (=> (= errorReached.7 errorReached.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call16741formal.ret.0) (=> (= k.3 k.2) ?v_4912)))))) (?v_4909 (= k.2 0)) (?v_4910 (= k.2 1)) (?v_16 (>= 4 0)) (?v_17 (int_2_U call16636formal.new.0)) (?v_18 (int_2_U call16639formal.new.0)) (?v_19 (int_2_U call16642formal.new.0)) (?v_20 (int_2_U call16645formal.new.0)) (?v_21 (int_2_U call16648formal.new.0)) (?v_13 (= k.1 0)) (?v_14 (= k.1 1)) (?v_12 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4919 (=> true (=> (=> ?v_13 (= (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> (=> ?v_14 (= (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> true (=> (=> ?v_13 ?v_288) (=> (=> ?v_14 ?v_289) (=> true (and ?v_16 (=> ?v_16 (=> (> call16636formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call16636formal.new.0 ?x371) (< ?x371 (+ call16636formal.new.0 4))) (= (Base ?x371) call16636formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call16636formal.new.0) (= (MapType0Select alloc ?x372) (MapType0Select alloc.0 ?x372)))) :pattern ((MapType0Select alloc.0 ?x372)) )) (=> (and (= (MapType0Select alloc ?v_17) UNALLOCATED) (= (MapType0Select alloc.0 ?v_17) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16639formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call16639formal.new.0 ?x373) (< ?x373 (+ call16639formal.new.0 4))) (= (Base ?x373) call16639formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call16639formal.new.0) (= (MapType0Select alloc.0 ?x374) (MapType0Select alloc.1 ?x374)))) :pattern ((MapType0Select alloc.1 ?x374)) )) (=> (and (= (MapType0Select alloc.0 ?v_18) UNALLOCATED) (= (MapType0Select alloc.1 ?v_18) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16642formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call16642formal.new.0 ?x375) (< ?x375 (+ call16642formal.new.0 4))) (= (Base ?x375) call16642formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call16642formal.new.0) (= (MapType0Select alloc.1 ?x376) (MapType0Select alloc.2 ?x376)))) :pattern ((MapType0Select alloc.2 ?x376)) )) (=> (and (= (MapType0Select alloc.1 ?v_19) UNALLOCATED) (= (MapType0Select alloc.2 ?v_19) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16645formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call16645formal.new.0 ?x377) (< ?x377 (+ call16645formal.new.0 4))) (= (Base ?x377) call16645formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call16645formal.new.0) (= (MapType0Select alloc.2 ?x378) (MapType0Select alloc.3 ?x378)))) :pattern ((MapType0Select alloc.3 ?x378)) )) (=> (and (= (MapType0Select alloc.2 ?v_20) UNALLOCATED) (= (MapType0Select alloc.3 ?v_20) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16648formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call16648formal.new.0 ?x379) (< ?x379 (+ call16648formal.new.0 4))) (= (Base ?x379) call16648formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call16648formal.new.0) (= (MapType0Select alloc.3 ?x380) (MapType0Select alloc.4 ?x380)))) :pattern ((MapType0Select alloc.4 ?x380)) )) (=> (and (= (MapType0Select alloc.3 ?v_21) UNALLOCATED) (= (MapType0Select alloc.4 ?v_21) ALLOCATED)) (and (=> true (=> ?v_22 (=> true (=> (<= 0 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_4909 ?v_10) (=> (=> ?v_4910 ?v_11) (=> true (=> (= errorReached.6 1) ?v_4911))))) (=> true (=> (=> ?v_4909 ?v_2) (=> (=> ?v_4910 ?v_3) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_4911)))))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> ?v_4913 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4914))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> ?v_4913 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4914))))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> ?v_4913 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4914))))) (=> true (=> ?v_2511 (=> true (=> ?v_4913 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4914))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4921 (= errorReached.5 errorReached.3))) (let ((?v_4922 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.) (=> ?v_13 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4919))))))))))) (?v_4917 (=> true (=> (= errorReached.5 errorReached.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call16447formal.ret.0) (=> (= k.1 k.0) ?v_4919)))))) (?v_4915 (= k.0 0)) (?v_4916 (= k.0 1)) (?v_0 (= 0 0)) (?v_9 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1 (= 0 1)) (?v_8 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4929 (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_8)) hdevice)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_8)) hdevice)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_9)) hlock)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_9)) hlock)) (and (=> true (=> ?v_44 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_4915 ?v_10) (=> (=> ?v_4916 ?v_11) (=> true (=> (= errorReached.4 1) ?v_4917))))) (=> true (=> (=> ?v_4915 ?v_2) (=> (=> ?v_4916 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_4917)))))))))))) (=> true (=> ?v_4918 (and (=> true (=> ?v_454 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4922))))) (=> true (=> ?v_4920 (and (=> true (=> ?v_457 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4922))))) (=> true (=> ?v_4923 (and (=> true (=> ?v_458 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4922))))) (=> true (=> ?v_4924 (=> true (=> ?v_4921 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4922))))))))))))))))))))))) (let ((?v_4932 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4929))))))))) (?v_4931 (= errorReached.3 errorReached.1)) (?v_4934 (= hdevice hdevice)) (?v_4933 (= hdevice hqueue)) (?v_4930 (= hdevice htimer)) (?v_4928 (= hdevice hrequest)) (?v_4927 (=> true (=> (= errorReached.3 errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4929)))) (?v_4925 (=> ?v_0 ?v_2)) (?v_4926 (=> ?v_1 ?v_3)) (?v_6 (=> ?v_0 ?v_10)) (?v_7 (=> ?v_1 ?v_11)) (?v_5 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4936 (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_5)) notused_hrequest)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_5)) notused_hrequest)) (and (=> true (=> ?v_4928 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.2 1) ?v_4927))))) (=> true (=> ?v_4925 (=> ?v_4926 (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_4927))))))))) (=> true (=> (not ?v_4928) (and (=> true (=> ?v_4930 (=> true (=> ?v_4931 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4932))))) (=> true (=> (not ?v_4930) (and (=> true (=> ?v_4933 (=> true (=> ?v_4931 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4932))))) (=> true (=> (not ?v_4933) (and (=> true (=> ?v_4934 (=> true (=> ?v_4931 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4932))))) (=> true (=> (not ?v_4934) (=> true (=> ?v_4931 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4932))))))))))))))))))))))) (let ((?v_4937 (=> (= errorReached.1 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4936)))))))))) (?v_4935 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.1 errorReached.0) ?v_4936))))) (not (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_1_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> ?v_4925 (=> ?v_4926 (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1533) (=> (=> ?v_1 ?v_1535) (=> true (=> (=> ?v_0 ?v_29) (=> (=> ?v_1 ?v_30) (=> true (=> (=> ?v_0 ?v_460) (=> (=> ?v_1 ?v_462) (=> true (=> (=> ?v_0 ?v_461) (=> (=> ?v_1 ?v_463) (and (=> true (=> ?v_22 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.0 1) ?v_4935))))) (=> true (=> ?v_4925 (=> ?v_4926 (=> true (=> (= errorReached.0 0) (=> true ?v_4935))))))))) (=> true (=> ?v_2506 (and (=> true (=> ?v_681 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4937)))) (=> true (=> ?v_2508 (and (=> true (=> ?v_682 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4937)))) (=> true (=> ?v_686 (and (=> true (=> ?v_687 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4937)))) (=> true (=> ?v_2511 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4937))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
