(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hln2 () Int)
(declare-fun hln3 () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun Mem_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.11 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.5 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun call36263formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.16 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.15 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 () Int)
(declare-fun k.196 () Int)
(declare-fun k.195 () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun errorReached.186 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun k.185 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqSent_0 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun call38187formal.ret.0 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun call38208formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.14 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun call38641formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun call39189formal.ret.0 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun k.193 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun k.191 () Int)
(declare-fun call39378formal.ret.0 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun k.192 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun call39650formal.ret.0 () Int)
(declare-fun k.190 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun k.186 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun k.189 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun call39675formal.ret.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun call39025formal.ret.0 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.TimerDpc.0.myVar_0.12 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.13 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun errorReached.205 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun k.188 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 () Int)
(declare-fun k.187 () Int)
(declare-fun call38313formal.ret.0 () Int)
(declare-fun errorReached.187 () Int)
(declare-fun k.183 () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun k.184 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.2 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun k.181 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.184 () Int)
(declare-fun k.182 () Int)
(declare-fun call37381formal.ret.0 () Int)
(declare-fun errorReached.185 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.10 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.9 () Int)
(declare-fun k.180 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun k.177 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun errorReached.179 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun call37878formal.ret.0 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun k.179 () Int)
(declare-fun k.178 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun errorReached.180 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun k.176 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun call37214formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.177 () Int)
(declare-fun k.175 () Int)
(declare-fun call36925formal.ret.0 () Int)
(declare-fun errorReached.178 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.6 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.7 () Int)
(declare-fun errorReached.175 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.3 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.4 () Int)
(declare-fun k.172 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.173 () Int)
(declare-fun k.173 () Int)
(declare-fun call36423formal.ret.0 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun inline.TimerDpc.0.myVar_0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.0 () Int)
(declare-fun errorReached.171 () Int)
(declare-fun errorReached.172 () Int)
(declare-fun call35980formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4. () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1. () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1. () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun k.171 () Int)
(declare-fun k.170 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun k.168 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun errorReached.168 () Int)
(declare-fun k.169 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun call40102formal.ret.0 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun errorReached.169 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.166 () Int)
(declare-fun k.167 () Int)
(declare-fun call39951formal.ret.0 () Int)
(declare-fun errorReached.167 () Int)
(declare-fun call35928formal.ret.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.14 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun k.166 () Int)
(declare-fun k.165 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun k.162 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun errorReached.161 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun errorReached.158 () Int)
(declare-fun errorReached.160 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun k.164 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun k.163 () Int)
(declare-fun call42824formal.ret.0 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun errorReached.163 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 () Int)
(declare-fun errorReached.159 () Int)
(declare-fun errorReached.156 () Int)
(declare-fun errorReached.157 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.13 () Int)
(declare-fun k.160 () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun k.161 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun errorReached.154 () Int)
(declare-fun errorReached.155 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.10 () Int)
(declare-fun k.159 () Int)
(declare-fun k.158 () Int)
(declare-fun k.157 () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun k.153 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.2 () Int)
(declare-fun k.156 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun call41593formal.ret.0 () Int)
(declare-fun k.154 () Int)
(declare-fun k.155 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun call41541formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun k.151 () Int)
(declare-fun errorReached.152 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.152 () Int)
(declare-fun errorReached.153 () Int)
(declare-fun call41301formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.6 () Int)
(declare-fun k.150 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call41181formal.ret.0 () Int)
(declare-fun k.148 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.150 () Int)
(declare-fun k.149 () Int)
(declare-fun call40984formal.ret.0 () Int)
(declare-fun errorReached.151 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.4 () Int)
(declare-fun k.147 () Int)
(declare-fun errorReached.148 () Int)
(declare-fun errorReached.149 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.146 () Int)
(declare-fun k.146 () Int)
(declare-fun call40604formal.ret.0 () Int)
(declare-fun errorReached.147 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.0 () Int)
(declare-fun errorReached.144 () Int)
(declare-fun errorReached.145 () Int)
(declare-fun errorReached.143 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun call35886formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun k.145 () Int)
(declare-fun k.142 () Int)
(declare-fun errorReached.138 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun k.144 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun k.143 () Int)
(declare-fun call33881formal.ret.0 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun k.140 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.136 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.14 () Int)
(declare-fun k.141 () Int)
(declare-fun call33418formal.ret.0 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.11 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.12 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun k.136 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun k.139 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.137 () Int)
(declare-fun k.138 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun call33272formal.ret.0 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun k.134 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.134 () Int)
(declare-fun k.135 () Int)
(declare-fun call33030formal.ret.0 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.10 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.9 () Int)
(declare-fun k.133 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9. () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11. () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12. () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16. () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4. () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23. () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun k.6 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20. () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19. () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8. () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2. () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21. () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun call32887formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun call16856formal.new.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18. () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24. () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10. () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1. () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13. () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 () Int)
(declare-fun call16859formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun call34029formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call34092formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.12 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.1 () Int)
(declare-fun call34179formal.ret.0 () Int)
(declare-fun myNondetVar_1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun myNondetVar_2.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun k.8 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 () Int)
(declare-fun call34307formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun call34501formal.ret.0 () Int)
(declare-fun k.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun call16862formal.new.0 () Int)
(declare-fun call34447formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun k.12 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun call34683formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.7 () Int)
(declare-fun call34629formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 () Int)
(declare-fun call34803formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call34873formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun k.14 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 () Int)
(declare-fun call34993formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.14 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call35064formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.15 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun call35168formal.ret.0 () Int)
(declare-fun call35129formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun call35365formal.ret.0 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun call35501formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 () Int)
(declare-fun call35619formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0 () Int)
(declare-fun call35722formal.ret.0 () Int)
(declare-fun call35679formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.10 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.16 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun k.132 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.16 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun call27739formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.3 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun call31996formal.new.0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun call32726formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun k.93 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun k.94 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun call32437formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 () Int)
(declare-fun call32318formal.ret.0 () Int)
(declare-fun k.91 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.92 () Int)
(declare-fun call32121formal.ret.0 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun k.89 () Int)
(declare-fun call31794formal.ret.0 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun k.90 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun k.85 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.88 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.86 () Int)
(declare-fun call31608formal.ret.0 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun k.87 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun k.83 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun k.84 () Int)
(declare-fun call31366formal.ret.0 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun k.80 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.2 () Int)
(declare-fun k.82 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun call31197formal.ret.0 () Int)
(declare-fun k.81 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun call31145formal.ret.0 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 () Int)
(declare-fun k.79 () Int)
(declare-fun call30788formal.ret.0 () Int)
(declare-fun k.77 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun k.78 () Int)
(declare-fun call30591formal.ret.0 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun k.42 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun call27763formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.14 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.11 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun k.76 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun k.73 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun k.71 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun k.72 () Int)
(declare-fun call30012formal.ret.0 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun k.75 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 () Int)
(declare-fun k.74 () Int)
(declare-fun call30224formal.ret.0 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun k.69 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun k.70 () Int)
(declare-fun call29722formal.ret.0 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.13 () Int)
(declare-fun k.68 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun k.64 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.2 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun k.65 () Int)
(declare-fun k.66 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun call29575formal.ret.0 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun k.62 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun k.63 () Int)
(declare-fun call29333formal.ret.0 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.9 () Int)
(declare-fun k.61 () Int)
(declare-fun k.60 () Int)
(declare-fun k.59 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.2 () Int)
(declare-fun call29133formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.6 () Int)
(declare-fun call28727formal.ret.0 () Int)
(declare-fun k.47 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.58 () Int)
(declare-fun call28530formal.ret.0 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.3 () Int)
(declare-fun k.45 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun k.46 () Int)
(declare-fun call28320formal.ret.0 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.0 () Int)
(declare-fun k.44 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun k.43 () Int)
(declare-fun call27833formal.ret.0 () Int)
(declare-fun call27725formal.new.0 () Int)
(declare-fun k.40 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun k.41 () Int)
(declare-fun call27610formal.ret.0 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.38 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.39 () Int)
(declare-fun call27251formal.ret.0 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 () Int)
(declare-fun k.37 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.2 () Int)
(declare-fun k.36 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.27 () Int)
(declare-fun call26746formal.ret.0 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun k.35 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.24 () Int)
(declare-fun call26504formal.ret.0 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun k.25 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 () Int)
(declare-fun k.23 () Int)
(declare-fun k.22 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun call19261formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun call25500formal.new.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.15 () Int)
(declare-fun k.131 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun call21252formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun k.127 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.2 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun call26232formal.ret.0 () Int)
(declare-fun k.130 () Int)
(declare-fun k.128 () Int)
(declare-fun k.129 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun call26180formal.ret.0 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun k.125 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun k.126 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun call25940formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 () Int)
(declare-fun call25821formal.ret.0 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 () Int)
(declare-fun k.124 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 () Int)
(declare-fun k.123 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun k.119 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.122 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.120 () Int)
(declare-fun k.121 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun call25112formal.ret.0 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.117 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun k.118 () Int)
(declare-fun call24870formal.ret.0 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 () Int)
(declare-fun k.115 () Int)
(declare-fun k.116 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun call24701formal.ret.0 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.113 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun k.114 () Int)
(declare-fun call24412formal.ret.0 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 () Int)
(declare-fun call24293formal.ret.0 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 () Int)
(declare-fun k.112 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun k.57 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun k.55 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun k.56 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun call26266formal.ret.0 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun call21276formal.ret.0 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.14 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.11 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun k.111 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun k.109 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun k.110 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun call23232formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.12 () Int)
(declare-fun k.108 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun k.105 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun k.107 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun k.106 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun call23085formal.ret.0 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun k.103 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun k.104 () Int)
(declare-fun call22844formal.ret.0 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.10 () Int)
(declare-fun k.102 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun call22645formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.6 () Int)
(declare-fun k.100 () Int)
(declare-fun call22238formal.ret.0 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.4 () Int)
(declare-fun k.98 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun k.99 () Int)
(declare-fun call21833formal.ret.0 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun k.96 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun k.97 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun call21662formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.0 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun call21238formal.new.0 () Int)
(declare-fun k.53 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun k.54 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun call21123formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun k.51 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun k.52 () Int)
(declare-fun call20764formal.ret.0 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun k.50 () Int)
(declare-fun call20498formal.ret.0 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 () Int)
(declare-fun k.34 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.48 () Int)
(declare-fun call20347formal.ret.0 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 () Int)
(declare-fun k.33 () Int)
(declare-fun k.31 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun k.29 () Int)
(declare-fun call19659formal.ret.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.20 () Int)
(declare-fun call18807formal.ret.0 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun k.21 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 () Int)
(declare-fun k.19 () Int)
(declare-fun k.17 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.18 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun call18599formal.ret.0 () Int)
(declare-fun k.15 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun k.16 () Int)
(declare-fun call18494formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun k.13 () Int)
(declare-fun call34876formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.11 () Int)
(declare-fun call34686formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun k.9 () Int)
(declare-fun call34504formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun k.7 () Int)
(declare-fun call34310formal.ret.0 () Int)
(declare-fun call35810formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun call18346formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.6 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.7 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call17940formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.4 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun k.5 () Int)
(declare-fun call17367formal.ret.0 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.0 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call16844formal.new.0 () Int)
(declare-fun call16847formal.new.0 () Int)
(declare-fun call16850formal.new.0 () Int)
(declare-fun call16853formal.new.0 () Int)
(declare-fun k.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.1 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.2 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun call16643formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2. () Int)
(declare-fun call16205formal.ret.0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun k.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hln2) (int_2_U hln3) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hln2 0)) (not (= hln3 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type alloc.21) ?v_1) (= (type alloc.18) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type alloc.20) ?v_1) (= (type alloc.19) ?v_1) (= (type Mem_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.9) ?v_1) (= (type alloc.17) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type alloc.16) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.14) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type alloc.15) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type alloc.13) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type alloc.11) ?v_1) (= (type alloc.8) ?v_1) (= (type alloc.10) ?v_1) (= (type alloc.7) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type alloc.1) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.5) ?v_1))))
(assert (let ((?v_15 (int_2_U G_SynchronizationScope)) (?v_2656 (int_2_U hrequest)) (?v_44 (not (not (= errorReached.207 0))))) (let ((?v_71 (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_0_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_0.28 reqCompleted_s_1) (=> (= lockStatus_0.59 lockStatus_s_1) (=> (= reqCancelSet_0.37 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_44 (=> ?v_44 true)))))))))))))))))) (let ((?v_106 (=> true (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myVar_0.2) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call36263formal.ret.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= errorReached.207 errorReached.206) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.3) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.11) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0.15) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= k.196 k.195) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myVar_0.11) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call36263formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= alloc.21 alloc.20) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0.3) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.3) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call36263formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0.3) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) ?v_71))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_262 (=> true (=> true (=> true ?v_106)))) (?v_185 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_186 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_187 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_188 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_189 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_190 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_191 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_192 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_193 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_194 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0)) (?v_195 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_196 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion)) (?v_197 (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.11)) (?v_198 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_199 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_200 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_201 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_202 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_203 (= reqSent_1.5 reqSent_1)) (?v_204 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_205 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_206 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_207 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0)) (?v_208 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_209 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_210 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_211 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_212 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_213 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_214 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_215 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_216 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_217 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_218 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_219 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_220 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_221 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_222 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_223 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_224 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_225 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_226 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_227 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1)) (?v_228 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_229 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_230 (= alloc.20 alloc.18)) (?v_231 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_232 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext)) (?v_233 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_234 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_235 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_236 (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0)) (?v_237 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_238 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_239 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_240 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_241 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_242 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_243 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_244 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_245 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_246 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_247 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_248 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_249 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_250 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_251 (= reqSent_0.5 reqSent_0)) (?v_252 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0)) (?v_253 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_254 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_255 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_256 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_257 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_258 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_259 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_260 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_261 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_184 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_105 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call38187formal.ret.0))) (let ((?v_109 (=> true (=> (= errorReached.206 errorReached.203) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> ?v_105 (=> ?v_186 (=> (= reqCompleted_0.27 reqCompleted_0.24) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> ?v_190 (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_192 (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call38208formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.14) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> ?v_200 (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_207 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= k.195 k.194) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> ?v_227 (=> ?v_228 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= alloc.20 alloc.19) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_232 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> ?v_235 (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> ?v_237 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> ?v_247 (=> ?v_248 (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call38641formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= reqSent_0.5 reqSent_0.4) (=> (= reqCancelSet_0.36 reqCancelSet_0.33) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4) (=> ?v_253 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_255 (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_257 (=> ?v_258 (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_1.36 reqCancelSet_1.33) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> (= reqCompleted_1.27 reqCompleted_1.24) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) ?v_262))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_121 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 call39189formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_1.24 reqCompleted_1.23) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.24 reqCompleted_0.23) (=> (= reqCancelSet_1.33 reqCancelSet_1.32) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_0.33 reqCancelSet_0.32) (=> (= k.194 k.193) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 call39189formal.ret.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= errorReached.203 errorReached.202) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3) (=> true (=> true (=> true ?v_109)))))))))))))))))))))))))))))))) (?v_62 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hrequest))) (let ((?v_90 (not ?v_62)) (?v_111 (=> true (=> (= reqCancelSet_1.32 reqCancelSet_1.31) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= reqCancelSet_0.32 reqCancelSet_0.31) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= errorReached.202 errorReached.201) ?v_121))))))) (?v_112 (= reqCancelSet_1.31 reqCancelSet_1.30))) (let ((?v_113 (=> (= reqCancelSet_0.31 reqCancelSet_0.30) (=> true ?v_111))) (?v_110 (= k.193 1))) (let ((?v_116 (not ?v_110)) (?v_108 (= k.193 0))) (let ((?v_114 (not ?v_108))) (let ((?v_115 (and (=> true (=> ?v_108 (=> true (=> ?v_112 (=> (= reqCancelSet_0.31 0) ?v_111))))) (=> true (=> ?v_114 (and (=> true (=> ?v_110 (=> true (=> (= reqCancelSet_1.31 0) ?v_113)))) (=> true (=> ?v_116 (=> true (=> ?v_112 ?v_113)))))))))) (let ((?v_119 (=> true (=> true ?v_115))) (?v_117 (= reqCompleted_0.22 reqCompleted_0.21)) (?v_118 (= reqCompleted_1.22 reqCompleted_1.21))) (let ((?v_120 (and (=> true (=> ?v_108 (=> true (=> (= reqCompleted_0.22 1) (=> ?v_118 ?v_115))))) (=> true (=> ?v_114 (and (=> true (=> ?v_110 (=> true (=> ?v_117 (=> (= reqCompleted_1.22 1) ?v_119))))) (=> true (=> ?v_116 (=> true (=> ?v_117 (=> ?v_118 ?v_119)))))))))) (?v_82 (= reqCompleted_0.21 0)) (?v_83 (= reqCompleted_1.21 0))) (let ((?v_52 (not ?v_82)) (?v_53 (not ?v_83))) (let ((?v_122 (and (=> true (=> ?v_62 (and (=> true (=> (=> ?v_108 ?v_52) (=> (=> ?v_110 ?v_53) (=> true (=> (= errorReached.201 1) ?v_120))))) (=> true (=> (=> ?v_108 ?v_82) (=> (=> ?v_110 ?v_83) (=> true (=> (= errorReached.201 errorReached.200) (=> true ?v_120))))))))) (=> true (=> ?v_90 (=> true (=> (= reqCancelSet_1.32 reqCancelSet_1.30) (=> (= reqCompleted_0.23 reqCompleted_0.21) (=> (= reqCancelSet_0.32 reqCancelSet_0.30) (=> (= reqCompleted_1.23 reqCompleted_1.21) (=> (= errorReached.202 errorReached.200) (=> true (=> true (=> true (=> true (=> true (=> true ?v_121))))))))))))))))) (let ((?v_126 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1) ?v_122)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_122))))))))))))))))) (let ((?v_128 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= errorReached.200 errorReached.198) (=> (= k.193 k.191) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_126))))))))))))) (?v_98 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hdevice))) (let ((?v_130 (not ?v_98)) (?v_97 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hqueue))) (let ((?v_129 (not ?v_97)) (?v_92 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 htimer))) (let ((?v_127 (not ?v_92)) (?v_125 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call39378formal.ret.0) (=> (= errorReached.200 errorReached.199) (=> (= k.193 k.192) ?v_126)))))) (?v_123 (= k.192 0)) (?v_124 (= k.192 1))) (let ((?v_132 (and (=> true (=> ?v_62 (=> true (=> (<= k.191 k.192) (=> (< k.192 2) (and (=> true (=> (=> ?v_123 ?v_52) (=> (=> ?v_124 ?v_53) (=> true (=> (= errorReached.199 1) ?v_125))))) (=> true (=> (=> ?v_123 ?v_82) (=> (=> ?v_124 ?v_83) (=> true (=> (= errorReached.199 errorReached.198) (=> true ?v_125)))))))))))) (=> true (=> ?v_90 (and (=> true (=> ?v_92 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_128)))) (=> true (=> ?v_127 (and (=> true (=> ?v_97 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_128)))) (=> true (=> ?v_129 (and (=> true (=> ?v_98 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_128)))) (=> true (=> ?v_130 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_128))))))))))))))) (?v_325 (- 0 1073741637)) (?v_131 (= call39189formal.ret.0 0))) (let ((?v_134 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_132))) (?v_133 (= call39189formal.ret.0 1))) (let ((?v_137 (and (=> true (=> (not ?v_131) (=> (not ?v_133) ?v_134))) (=> true (=> ?v_131 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_132))))))))))))))))))))))))))))))) (=> true (=> ?v_133 (=> true ?v_134)))))) (let ((?v_138 (=> true (=> (= errorReached.198 errorReached.197) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_137)))))))))) (?v_135 (= k.191 0)) (?v_136 (= k.191 1)) (?v_107 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_159 (and (=> true (=> (not ?v_107) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCompleted_1.24 reqCompleted_1.21) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCompleted_0.24 reqCompleted_0.21) (=> (= reqCancelSet_1.33 reqCancelSet_1.30) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= reqCancelSet_0.33 reqCancelSet_0.30) (=> (= k.194 k.191) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= errorReached.203 errorReached.197) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) ?v_109)))))))))))))))))))))))))))))) (=> true (=> ?v_107 (and (=> true (=> ?v_62 (and (=> true (=> (=> ?v_135 ?v_52) (=> (=> ?v_136 ?v_53) (=> true (=> (= errorReached.198 1) ?v_137))))) (=> true (=> (=> ?v_135 ?v_82) (=> (=> ?v_136 ?v_83) ?v_138)))))) (=> true (=> ?v_90 ?v_138)))))))) (let ((?v_169 (=> true (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= reqSent_0.4 reqSent_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call39650formal.ret.0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= k.191 k.190) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call39650formal.ret.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call39650formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call39650formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call39650formal.ret.0) (=> (= reqSent_1.4 reqSent_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= errorReached.197 errorReached.192) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0) (=> true ?v_159))))))))))))))))))))))))))))))))))))) (let ((?v_173 (=> true (=> true (=> true (=> true (=> true ?v_169)))))) (?v_171 (= reqSent_0.1 reqSent_0)) (?v_172 (= reqSent_1.1 reqSent_1)) (?v_166 (= k.190 k.189)) (?v_167 (= errorReached.192 errorReached.191)) (?v_168 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call39675formal.ret.0)) (?v_165 (= call39650formal.ret.0 0))) (let ((?v_161 (=> true (=> ?v_166 (=> (= reqSent_0.1 reqSent_0.0) (=> (= reqSent_1.1 reqSent_1.0) (=> ?v_167 (=> ?v_168 ?v_169)))))))) (let ((?v_164 (=> true ?v_161)) (?v_162 (= reqSent_0.0 reqSent_0)) (?v_163 (= reqSent_1.0 reqSent_1)) (?v_160 (= k.189 1)) (?v_158 (= k.189 0))) (let ((?v_170 (and (=> true (=> (not ?v_165) (and (=> true (=> ?v_158 (=> true (=> (= reqSent_0.0 1) (=> ?v_163 ?v_161))))) (=> true (=> (not ?v_158) (and (=> true (=> ?v_160 (=> true (=> ?v_162 (=> (= reqSent_1.0 1) ?v_164))))) (=> true (=> (not ?v_160) (=> true (=> ?v_162 (=> ?v_163 ?v_164))))))))))) (=> true (=> ?v_165 (=> true (=> ?v_166 (=> ?v_171 (=> ?v_172 (=> ?v_167 (=> ?v_168 ?v_173))))))))))) (let ((?v_180 (and (=> true (=> ?v_62 (=> true (=> (<= k.186 k.189) (=> (< k.189 2) (and (=> true (=> (=> ?v_158 ?v_52) (=> (=> ?v_160 ?v_53) (=> true (=> (= errorReached.191 1) ?v_170))))) (=> true (=> (=> ?v_158 ?v_82) (=> (=> ?v_160 ?v_83) (=> true (=> (= errorReached.191 errorReached.190) (=> true ?v_170)))))))))))) (=> true (=> ?v_90 (=> true (=> (= k.190 k.186) (=> ?v_171 (=> ?v_172 (=> (= errorReached.192 errorReached.190) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) ?v_173))))))))))) (let ((?v_175 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) (=> (= errorReached.190 errorReached.189) ?v_180))))) (?v_177 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_178 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_175))) (?v_139 (= k.186 1))) (let ((?v_176 (not ?v_139)) (?v_102 (= k.186 0))) (let ((?v_174 (not ?v_102))) (let ((?v_179 (and (=> true (=> ?v_102 (=> true (=> ?v_177 (=> (= reqCompleteSet_0.0 1) ?v_175))))) (=> true (=> ?v_174 (and (=> true (=> ?v_139 (=> true (=> (= reqCompleteSet_1.0 1) ?v_178)))) (=> true (=> ?v_176 (=> true (=> ?v_177 ?v_178))))))))) (?v_152 (=> ?v_102 ?v_82)) (?v_153 (=> ?v_139 ?v_83)) (?v_103 (=> ?v_102 ?v_52)) (?v_104 (=> ?v_139 ?v_53)) (?v_157 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_146 (=> true (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call39025formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqSent_0.4 reqSent_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call39025formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= k.191 k.186) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call39025formal.ret.0) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call39025formal.ret.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= reqSent_1.4 reqSent_1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call39025formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= errorReached.197 errorReached.196) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) ?v_159)))))))))))))))))))))))))))))))))))) (let ((?v_150 (=> true (=> true (=> true (=> true (=> true ?v_146)))))) (?v_148 (= reqSent_0.3 reqSent_0)) (?v_149 (= reqSent_1.3 reqSent_1)) (?v_145 (= errorReached.196 errorReached.195)) (?v_144 (= call39025formal.ret.0 0))) (let ((?v_140 (=> true (=> (= reqSent_0.3 reqSent_0.2) (=> (= reqSent_1.3 reqSent_1.2) (=> ?v_145 ?v_146)))))) (let ((?v_143 (=> true ?v_140)) (?v_141 (= reqSent_0.2 reqSent_0)) (?v_142 (= reqSent_1.2 reqSent_1))) (let ((?v_147 (and (=> true (=> (not ?v_144) (and (=> true (=> ?v_102 (=> true (=> (= reqSent_0.2 1) (=> ?v_142 ?v_140))))) (=> true (=> ?v_174 (and (=> true (=> ?v_139 (=> true (=> ?v_141 (=> (= reqSent_1.2 1) ?v_143))))) (=> true (=> ?v_176 (=> true (=> ?v_141 (=> ?v_142 ?v_143))))))))))) (=> true (=> ?v_144 (=> true (=> ?v_148 (=> ?v_149 (=> ?v_145 ?v_150))))))))) (let ((?v_151 (and (=> true (=> ?v_62 (and (=> true (=> ?v_103 (=> ?v_104 (=> true (=> (= errorReached.195 1) ?v_147))))) (=> true (=> ?v_152 (=> ?v_153 (=> true (=> (= errorReached.195 errorReached.194) (=> true ?v_147))))))))) (=> true (=> ?v_90 (=> true (=> ?v_148 (=> ?v_149 (=> (= errorReached.196 errorReached.194) ?v_150))))))))) (let ((?v_155 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1) ?v_151)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_151)))))))))))))))))))))))))))))))))) (let ((?v_156 (=> (= errorReached.194 errorReached.186) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_155))))))))))) (?v_154 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.194 errorReached.193) ?v_155)))) (?v_100 (>= 16 0)) (?v_101 (int_2_U call38641formal.new.0))) (let ((?v_182 (=> true (and ?v_100 (=> ?v_100 (=> (> call38641formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call38641formal.new.0 ?x355) (< ?x355 (+ call38641formal.new.0 16))) (= (Base ?x355) call38641formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call38641formal.new.0) (= (MapType0Select alloc.18 ?x356) (MapType0Select alloc.19 ?x356)))) :pattern ((MapType0Select alloc.19 ?x356)) )) (=> (and (= (MapType0Select alloc.18 ?v_101) UNALLOCATED) (= (MapType0Select alloc.19 ?v_101) ALLOCATED)) (and (=> true (=> (not ?v_157) (and (=> true (=> ?v_62 (and (=> true (=> ?v_103 (=> ?v_104 (=> true (=> (= errorReached.193 1) ?v_154))))) (=> true (=> ?v_152 (=> ?v_153 (=> true (=> (= errorReached.193 errorReached.186) (=> true ?v_154))))))))) (=> true (=> ?v_90 (and (=> true (=> ?v_92 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_156)))) (=> true (=> ?v_127 (and (=> true (=> ?v_97 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_156)))) (=> true (=> ?v_129 (and (=> true (=> ?v_98 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_156)))) (=> true (=> ?v_130 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_156)))))))))))))))) (=> true (=> ?v_157 (and (=> true (=> ?v_62 (and (=> true (=> ?v_103 (=> ?v_104 (=> true (=> (= errorReached.189 1) ?v_179))))) (=> true (=> ?v_152 (=> ?v_153 (=> true (=> (= errorReached.189 errorReached.186) (=> true ?v_179))))))))) (=> true (=> ?v_90 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> (= errorReached.190 errorReached.186) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_180))))))))))))))))))))))))))))) (let ((?v_183 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_182))))))))))) (?v_181 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_292 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_181))) (?v_68 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_181))) (?v_99 (= (BINARY_BOTH_INT call38187formal.ret.0 13) 0)) (?v_85 (=> true (=> (= errorReached.206 errorReached.205) (=> ?v_185 (=> ?v_105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_191 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3) (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0) (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> (= k.195 k.188) (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_233 (=> ?v_234 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_236 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> (= reqCancelSet_0.36 reqCancelSet_0.35) (=> ?v_252 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0) (=> ?v_254 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_256 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_259 (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> ?v_260 (=> (= reqCompleted_1.27 reqCompleted_1.26) (=> ?v_261 ?v_106))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_73 (=> true (=> (= reqCancelSet_1.35 reqCancelSet_1.34) (=> (= reqCompleted_0.26 reqCompleted_0.25) (=> (= reqCancelSet_0.35 reqCancelSet_0.34) (=> (= reqCompleted_1.26 reqCompleted_1.25) (=> (= errorReached.205 errorReached.204) ?v_85))))))) (?v_74 (= reqCancelSet_1.34 reqCancelSet_1.30))) (let ((?v_75 (=> (= reqCancelSet_0.34 reqCancelSet_0.30) (=> true ?v_73))) (?v_72 (= k.188 1))) (let ((?v_78 (not ?v_72)) (?v_70 (= k.188 0))) (let ((?v_76 (not ?v_70))) (let ((?v_77 (and (=> true (=> ?v_70 (=> true (=> ?v_74 (=> (= reqCancelSet_0.34 0) ?v_73))))) (=> true (=> ?v_76 (and (=> true (=> ?v_72 (=> true (=> (= reqCancelSet_1.34 0) ?v_75)))) (=> true (=> ?v_78 (=> true (=> ?v_74 ?v_75)))))))))) (let ((?v_81 (=> true (=> true ?v_77))) (?v_79 (= reqCompleted_0.25 reqCompleted_0.21)) (?v_80 (= reqCompleted_1.25 reqCompleted_1.21))) (let ((?v_84 (and (=> true (=> ?v_70 (=> true (=> (= reqCompleted_0.25 1) (=> ?v_80 ?v_77))))) (=> true (=> ?v_76 (and (=> true (=> ?v_72 (=> true (=> ?v_79 (=> (= reqCompleted_1.25 1) ?v_81))))) (=> true (=> ?v_78 (=> true (=> ?v_79 (=> ?v_80 ?v_81))))))))))) (let ((?v_86 (and (=> true (=> ?v_62 (and (=> true (=> (=> ?v_70 ?v_52) (=> (=> ?v_72 ?v_53) (=> true (=> (= errorReached.204 1) ?v_84))))) (=> true (=> (=> ?v_70 ?v_82) (=> (=> ?v_72 ?v_83) (=> true (=> (= errorReached.204 errorReached.188) (=> true ?v_84))))))))) (=> true (=> ?v_90 (=> true (=> (= reqCancelSet_1.35 reqCancelSet_1.30) (=> (= reqCompleted_0.26 reqCompleted_0.21) (=> (= reqCancelSet_0.35 reqCancelSet_0.30) (=> (= reqCompleted_1.26 reqCompleted_1.21) (=> (= errorReached.205 errorReached.188) (=> true (=> true (=> true (=> true (=> true (=> true ?v_85))))))))))))))))) (let ((?v_91 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2) ?v_86)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_86))))))))))))))))) (let ((?v_96 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_91)))))))))) (?v_93 (= k.188 k.185)) (?v_94 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_95 (= errorReached.188 errorReached.186)) (?v_89 (=> true (=> (= k.188 k.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call38313formal.ret.0) (=> (= errorReached.188 errorReached.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_91)))))) (?v_87 (= k.187 0)) (?v_88 (= k.187 1))) (let ((?v_279 (and (=> true (=> (not ?v_184) (and (=> true (=> (not ?v_99) (and (=> true (=> ?v_62 (=> true (=> (<= k.185 k.187) (=> (< k.187 2) (and (=> true (=> (=> ?v_87 ?v_52) (=> (=> ?v_88 ?v_53) (=> true (=> (= errorReached.187 1) ?v_89))))) (=> true (=> (=> ?v_87 ?v_82) (=> (=> ?v_88 ?v_83) (=> true (=> (= errorReached.187 errorReached.186) (=> true ?v_89)))))))))))) (=> true (=> ?v_90 (and (=> true (=> ?v_92 (=> true (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_96))))))) (=> true (=> ?v_127 (and (=> true (=> ?v_97 (=> true (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_96))))))) (=> true (=> ?v_129 (and (=> true (=> ?v_98 (=> true (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_96))))))) (=> true (=> ?v_130 (=> true (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_96))))))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call38208formal.ret.0 2) 0))) (=> true (=> (<= k.185 k.186) (=> (< k.186 2) (and (=> true (=> ?v_102 (=> (= inline.TimerDpc.0.myVar_0.13 ?v_68) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.13) ?v_182))))) (=> true (=> ?v_174 (and (=> true (=> ?v_139 (=> (= inline.TimerDpc.0.myVar_0.12 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.12) ?v_183))))) (=> true (=> ?v_176 (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.11) ?v_183)))))))))))))))))) (=> true (=> ?v_184 (=> true (=> (= errorReached.206 errorReached.186) (=> ?v_185 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> ?v_186 (=> (= reqCompleted_0.27 reqCompleted_0.21) (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> (= k.195 k.185) (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> (= reqCancelSet_0.36 reqCancelSet_0.30) (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> (= reqCancelSet_1.36 reqCancelSet_1.30) (=> ?v_260 (=> (= reqCompleted_1.27 reqCompleted_1.21) (=> ?v_261 ?v_262))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_277 (= k.183 0)) (?v_30 (U_2_int (MapType0Select Mem_0_T._WDF_SYNCHRONIZATION_SCOPE ?v_15)))) (let ((?v_274 (not (= ?v_30 2)))) (let ((?v_371 (not ?v_274)) (?v_278 (= k.183 1)) (?v_32 (U_2_int (MapType0Select Mem_1_T._WDF_SYNCHRONIZATION_SCOPE ?v_15)))) (let ((?v_275 (not (= ?v_32 2)))) (let ((?v_372 (not ?v_275)) (?v_268 (=> true (=> (= k.185 k.184) (=> (= lockStatus_1.58 lockStatus_1.57) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= lockStatus_0.58 lockStatus_0.57) ?v_279))))))))) (?v_267 (= inline.ReleaseDpcLock.7.myVar_0.2 hlock))) (let ((?v_263 (=> true (=> (= lockStatus_1.57 lockStatus_1.56) (=> (= lockStatus_0.57 lockStatus_0.56) ?v_268)))) (?v_265 (= lockStatus_1.56 lockStatus_1.55))) (let ((?v_266 (=> (= lockStatus_0.56 lockStatus_0.55) (=> true ?v_263))) (?v_264 (= k.184 1))) (let ((?v_272 (not ?v_264)) (?v_69 (= k.184 0))) (let ((?v_269 (not ?v_69))) (let ((?v_271 (and (=> true (=> ?v_267 (and (=> true (=> ?v_69 (=> true (=> ?v_265 (=> (= lockStatus_0.56 0) ?v_263))))) (=> true (=> ?v_269 (and (=> true (=> ?v_264 (=> true (=> (= lockStatus_1.56 0) ?v_266)))) (=> true (=> ?v_272 (=> true (=> ?v_265 ?v_266)))))))))) (=> true (=> (not ?v_267) (=> true (=> (= lockStatus_1.57 lockStatus_1.55) (=> (= lockStatus_0.57 lockStatus_0.55) (=> true (=> true (=> true ?v_268))))))))))) (let ((?v_273 (=> true (=> true (=> true (=> true ?v_271))))) (?v_270 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_276 (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (and (=> true (=> ?v_69 (=> (= inline.ReleaseDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_270))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.0) ?v_271))))) (=> true (=> ?v_269 (and (=> true (=> ?v_264 (=> (= inline.ReleaseDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_270))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.1) ?v_273))))) (=> true (=> ?v_272 (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0) ?v_273))))))))))))) (let ((?v_284 (and (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.1) ?v_276)))) (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_277 ?v_274) (=> (=> ?v_278 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> true (=> true ?v_276))))))) (=> true (=> (=> ?v_277 ?v_371) (=> (=> ?v_278 ?v_372) (=> true (=> (= k.185 k.183) (=> (= lockStatus_1.58 lockStatus_1.55) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0) (=> (= lockStatus_0.58 lockStatus_0.55) (=> true (=> true (=> true (=> true ?v_279)))))))))))))))))))) (?v_286 (= k.183 k.181)) (?v_287 (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.))) (let ((?v_288 (=> (= errorReached.186 errorReached.184) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_284))))))))))) (?v_290 (= inline.TimerDpc.0.myVar_0.11 hdevice)) (?v_289 (= inline.TimerDpc.0.myVar_0.11 hqueue)) (?v_285 (= inline.TimerDpc.0.myVar_0.11 htimer)) (?v_283 (= inline.TimerDpc.0.myVar_0.11 hrequest)) (?v_282 (=> true (=> (= k.183 k.182) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call37381formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.186 errorReached.185) ?v_284)))))) (?v_280 (= k.182 0)) (?v_281 (= k.182 1))) (let ((?v_293 (and (=> true (=> ?v_283 (=> true (=> (<= k.181 k.182) (=> (< k.182 2) (and (=> true (=> (=> ?v_280 ?v_52) (=> (=> ?v_281 ?v_53) (=> true (=> (= errorReached.185 1) ?v_282))))) (=> true (=> (=> ?v_280 ?v_82) (=> (=> ?v_281 ?v_83) (=> true (=> (= errorReached.185 errorReached.184) (=> true ?v_282)))))))))))) (=> true (=> (not ?v_283) (and (=> true (=> ?v_285 (=> true (=> ?v_286 (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_288)))))) (=> true (=> (not ?v_285) (and (=> true (=> ?v_289 (=> true (=> ?v_286 (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_288)))))) (=> true (=> (not ?v_289) (and (=> true (=> ?v_290 (=> true (=> ?v_286 (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_288)))))) (=> true (=> (not ?v_290) (=> true (=> ?v_286 (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_288)))))))))))))))))) (let ((?v_295 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_293)))))))))))) (?v_294 (= k.181 1)) (?v_291 (= k.181 0))) (let ((?v_323 (=> true (=> (<= k.180 k.181) (=> (< k.181 2) (and (=> true (=> ?v_291 (=> (= inline.TimerDpc.0.myVar_0.9 ?v_68) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.9) ?v_293))))) (=> true (=> (not ?v_291) (and (=> true (=> ?v_294 (=> (= inline.TimerDpc.0.myVar_0.10 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.10) ?v_295))))) (=> true (=> (not ?v_294) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.8) ?v_295)))))))))))) (?v_348 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_349 (= k.180 k.177)) (?v_350 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_351 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14))) (let ((?v_352 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0) ?v_323)))) (let ((?v_354 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) (=> ?v_348 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= reqCancelSet_0.30 reqCancelSet_0.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> ?v_184 (=> ?v_349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCancelSet_1.30 reqCancelSet_1.27) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> ?v_350 (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> ?v_351 (=> (= errorReached.184 errorReached.179) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) ?v_352))))))))))))))))))))))) (?v_353 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 0)) (?v_59 (= k.177 0)) (?v_60 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_346 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_60)) 0)) (?v_61 (= k.177 1)) (?v_347 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_60)) 0)) (?v_308 (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_309 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_310 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_311 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call37878formal.ret.0)) (?v_312 (= reqCancelSet_0.30 reqCancelSet_0.29)) (?v_313 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_314 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_315 (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_316 (= reqCancelSet_1.30 reqCancelSet_1.29)) (?v_317 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_318 (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0)) (?v_319 (= errorReached.184 errorReached.183)) (?v_320 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_321 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_322 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_327 (- 0 1073741536))) (let ((?v_307 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_327))) (?v_297 (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> (= k.180 k.179) (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_318 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0.0) ?v_323)))))))))))))))))))))))))) (let ((?v_301 (=> true ?v_297)) (?v_299 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_300 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_298 (= k.179 1)) (?v_67 (int_2_U 0)) (?v_296 (= k.179 0))) (let ((?v_303 (=> true (=> (<= k.178 k.179) (=> (< k.179 2) (and (=> true (=> ?v_296 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_60 ?v_67)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> ?v_300 ?v_297)))))) (=> true (=> (not ?v_296) (and (=> true (=> ?v_298 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_60 ?v_67)) (=> true (=> ?v_299 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_301)))))) (=> true (=> (not ?v_298) (=> true (=> ?v_299 (=> ?v_300 ?v_301))))))))))))) (?v_305 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14))) (let ((?v_306 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> true (=> true (=> true ?v_303))))) (?v_304 (= k.178 1)) (?v_66 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_302 (= k.178 0))) (let ((?v_326 (and (=> true (=> ?v_307 (=> true (=> (<= k.177 k.178) (=> (< k.178 2) (and (=> true (=> ?v_302 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_66 ?v_67)) (=> true (=> ?v_305 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_303)))))) (=> true (=> (not ?v_302) (and (=> true (=> ?v_304 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_66 ?v_67)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_306))))) (=> true (=> (not ?v_304) (=> true (=> ?v_305 ?v_306))))))))))))) (=> true (=> (not ?v_307) (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) (=> ?v_348 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_184 (=> ?v_349 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_350 (=> ?v_318 (=> ?v_351 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 ?v_352))))))))))))))))))))))))))) (let ((?v_328 (=> true (=> true (=> true (=> true (=> true ?v_326)))))) (?v_65 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_324 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_334 (and (=> true (=> (not ?v_324) (=> (not ?v_65) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_326))))) (=> true (=> ?v_324 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_328)))))) (=> true (=> ?v_65 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_327) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_328))))))))) (let ((?v_340 (=> true ?v_334)) (?v_339 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call37878formal.ret.0)) (?v_331 (= reqCancelSet_1.29 reqCancelSet_1.28)) (?v_332 (= reqCancelSet_0.29 reqCancelSet_0.28)) (?v_333 (= errorReached.183 errorReached.182)) (?v_329 (= reqCancelStarted_0.1 0)) (?v_330 (= reqCancelStarted_1.1 0))) (let ((?v_335 (and (=> true (=> (=> ?v_59 (not ?v_329)) (=> (=> ?v_61 (not ?v_330)) (=> true (=> ?v_65 (=> ?v_331 (=> ?v_332 (=> ?v_333 ?v_334)))))))) (=> true (=> (=> ?v_59 ?v_329) (=> (=> ?v_61 ?v_330) (=> true (=> ?v_339 (=> ?v_331 (=> ?v_332 (=> ?v_333 ?v_340)))))))))) (?v_336 (= reqCancelSet_1.28 reqCancelSet_1.27))) (let ((?v_337 (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> true (=> true ?v_335)))) (?v_357 (not ?v_61)) (?v_355 (not ?v_59))) (let ((?v_338 (and (=> true (=> ?v_59 (=> true (=> ?v_336 (=> (= reqCancelSet_0.28 0) ?v_335))))) (=> true (=> ?v_355 (and (=> true (=> ?v_61 (=> true (=> (= reqCancelSet_1.28 0) ?v_337)))) (=> true (=> ?v_357 (=> true (=> ?v_336 ?v_337))))))))) (?v_341 (=> ?v_59 ?v_82)) (?v_342 (=> ?v_61 ?v_83)) (?v_63 (=> ?v_59 ?v_52)) (?v_64 (=> ?v_61 ?v_53))) (let ((?v_344 (and (=> true (=> ?v_62 (and (=> true (=> ?v_63 (=> ?v_64 (=> true (=> (= errorReached.182 1) ?v_338))))) (=> true (=> ?v_341 (=> ?v_342 (=> true (=> (= errorReached.182 errorReached.181) (=> true ?v_338))))))))) (=> true (=> ?v_90 (=> true (=> ?v_339 (=> (= reqCancelSet_1.29 reqCancelSet_1.27) (=> (= reqCancelSet_0.29 reqCancelSet_0.27) (=> (= errorReached.183 errorReached.181) ?v_340)))))))))) (let ((?v_345 (=> (= errorReached.181 errorReached.179) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_344))))))))))))))))) (?v_343 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.181 errorReached.180) ?v_344))))) (let ((?v_356 (and (=> true (=> (not ?v_353) (and (=> true (=> (=> ?v_59 (not ?v_346)) (=> (=> ?v_61 (not ?v_347)) (and (=> true (=> ?v_62 (and (=> true (=> ?v_63 (=> ?v_64 (=> true (=> (= errorReached.180 1) ?v_343))))) (=> true (=> ?v_341 (=> ?v_342 (=> true (=> (= errorReached.180 errorReached.179) (=> true ?v_343))))))))) (=> true (=> ?v_90 (and (=> true (=> ?v_92 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_345)))) (=> true (=> ?v_127 (and (=> true (=> ?v_97 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_345)))) (=> true (=> ?v_129 (and (=> true (=> ?v_98 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_345)))) (=> true (=> ?v_130 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_345))))))))))))))))) (=> true (=> (=> ?v_59 ?v_346) (=> (=> ?v_61 ?v_347) ?v_354)))))) (=> true (=> ?v_353 ?v_354))))) (let ((?v_358 (=> true (=> true ?v_356)))) (let ((?v_373 (=> true (=> (<= k.176 k.177) (=> (< k.177 2) (and (=> true (=> ?v_59 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_66))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.0) ?v_356))))) (=> true (=> ?v_355 (and (=> true (=> ?v_61 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_66))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.1) ?v_358))))) (=> true (=> ?v_357 (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc) ?v_358)))))))))))) (?v_58 (= k.176 0)) (?v_359 (= k.176 1))) (let ((?v_364 (=> true (=> (= lockStatus_1.55 lockStatus_1.54) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call37214formal.ret.0) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.2) (=> (= lockStatus_0.55 lockStatus_0.54) ?v_373))))))))) (?v_363 (= inline.AcquireDpcLock.7.myVar_0.2 hlock))) (let ((?v_360 (=> true (=> (= lockStatus_1.54 lockStatus_1.53) (=> (= lockStatus_0.54 lockStatus_0.53) ?v_364)))) (?v_361 (= lockStatus_1.53 lockStatus_1.52))) (let ((?v_362 (=> (= lockStatus_0.53 lockStatus_0.52) (=> true ?v_360))) (?v_368 (not ?v_359)) (?v_365 (not ?v_58))) (let ((?v_367 (and (=> true (=> ?v_363 (=> true (=> (=> ?v_58 (= lockStatus_0.52 0)) (=> (=> ?v_359 (= lockStatus_1.52 0)) (and (=> true (=> ?v_58 (=> true (=> ?v_361 (=> (= lockStatus_0.53 1) ?v_360))))) (=> true (=> ?v_365 (and (=> true (=> ?v_359 (=> true (=> (= lockStatus_1.53 1) ?v_362)))) (=> true (=> ?v_368 (=> true (=> ?v_361 ?v_362))))))))))))) (=> true (=> (not ?v_363) (=> true (=> (= lockStatus_1.54 lockStatus_1.52) (=> (= lockStatus_0.54 lockStatus_0.52) (=> true (=> true (=> true (=> true (=> true (=> true ?v_364)))))))))))))) (let ((?v_369 (=> true (=> true (=> true (=> true ?v_367))))) (?v_366 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_370 (and (=> true (=> ?v_58 (=> (= inline.AcquireDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_366))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.1) ?v_367))))) (=> true (=> ?v_365 (and (=> true (=> ?v_359 (=> (= inline.AcquireDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_366))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.0) ?v_369))))) (=> true (=> ?v_368 (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0) ?v_369)))))))))) (let ((?v_378 (and (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.1) ?v_370)))) (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_58 ?v_274) (=> (=> ?v_359 ?v_275) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.0) (=> true ?v_370)))))) (=> true (=> (=> ?v_58 ?v_371) (=> (=> ?v_359 ?v_372) (=> true (=> (= lockStatus_1.55 lockStatus_1.52) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.0) (=> (= lockStatus_0.55 lockStatus_0.52) (=> true (=> true (=> true ?v_373))))))))))))))))))) (?v_380 (= k.176 k.174))) (let ((?v_381 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= errorReached.179 errorReached.177) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_378)))))))))))) (?v_383 (= inline.TimerDpc.0.myVar_0.8 hdevice)) (?v_382 (= inline.TimerDpc.0.myVar_0.8 hqueue)) (?v_379 (= inline.TimerDpc.0.myVar_0.8 htimer)) (?v_377 (= inline.TimerDpc.0.myVar_0.8 hrequest)) (?v_376 (=> true (=> (= k.176 k.175) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call36925formal.ret.0) (=> (= errorReached.179 errorReached.178) ?v_378)))))) (?v_374 (= k.175 0)) (?v_375 (= k.175 1))) (let ((?v_384 (and (=> true (=> ?v_377 (=> true (=> (<= k.174 k.175) (=> (< k.175 2) (and (=> true (=> (=> ?v_374 ?v_52) (=> (=> ?v_375 ?v_53) (=> true (=> (= errorReached.178 1) ?v_376))))) (=> true (=> (=> ?v_374 ?v_82) (=> (=> ?v_375 ?v_83) (=> true (=> (= errorReached.178 errorReached.177) (=> true ?v_376)))))))))))) (=> true (=> (not ?v_377) (and (=> true (=> ?v_379 (=> true (=> ?v_380 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_381))))) (=> true (=> (not ?v_379) (and (=> true (=> ?v_382 (=> true (=> ?v_380 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_381))))) (=> true (=> (not ?v_382) (and (=> true (=> ?v_383 (=> true (=> ?v_380 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_381))))) (=> true (=> (not ?v_383) (=> true (=> ?v_380 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_381))))))))))))))))) (let ((?v_385 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_384)))))))))))) (?v_57 (= k.174 1))) (let ((?v_396 (not ?v_57)) (?v_55 (= k.174 0))) (let ((?v_393 (not ?v_55))) (let ((?v_388 (and (=> true (=> ?v_55 (=> (= inline.TimerDpc.0.myVar_0.7 ?v_68) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.7) ?v_384))))) (=> true (=> ?v_393 (and (=> true (=> ?v_57 (=> (= inline.TimerDpc.0.myVar_0.6 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.6) ?v_385))))) (=> true (=> ?v_396 (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.5) ?v_385)))))))))) (let ((?v_390 (=> (= errorReached.177 errorReached.175) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_388)))))))))))) (?v_392 (= inline.TimerDpc.0.myVar_0.5 hdevice)) (?v_391 (= inline.TimerDpc.0.myVar_0.5 hqueue)) (?v_389 (= inline.TimerDpc.0.myVar_0.5 htimer)) (?v_387 (= inline.TimerDpc.0.myVar_0.5 hrequest)) (?v_386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.177 errorReached.176) ?v_388))))) (let ((?v_395 (and (=> true (=> ?v_387 (and (=> true (=> (=> ?v_55 ?v_52) (=> (=> ?v_57 ?v_53) (=> true (=> (= errorReached.176 1) ?v_386))))) (=> true (=> (=> ?v_55 ?v_82) (=> (=> ?v_57 ?v_83) (=> true (=> (= errorReached.176 errorReached.175) (=> true ?v_386))))))))) (=> true (=> (not ?v_387) (and (=> true (=> ?v_389 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_390)))) (=> true (=> (not ?v_389) (and (=> true (=> ?v_391 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_390)))) (=> true (=> (not ?v_391) (and (=> true (=> ?v_392 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_390)))) (=> true (=> (not ?v_392) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_390)))))))))))))))) (let ((?v_397 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_395)))))))) (?v_54 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_394 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_54))) (?v_56 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_54)))) (let ((?v_400 (and (=> true (=> ?v_55 (=> (= inline.TimerDpc.0.myVar_0.4 ?v_56) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.4) ?v_395))))) (=> true (=> ?v_393 (and (=> true (=> ?v_57 (=> (= inline.TimerDpc.0.myVar_0.3 ?v_394) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.3) ?v_397))))) (=> true (=> ?v_396 (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.2) ?v_397))))))))) (?v_398 (= ?v_56 0)) (?v_399 (= ?v_394 0))) (let ((?v_405 (and (=> true (=> (=> ?v_55 (not ?v_398)) (=> (=> ?v_57 (not ?v_399)) ?v_400))) (=> true (=> (=> ?v_55 ?v_398) (=> (=> ?v_57 ?v_399) (=> true ?v_400)))))) (?v_407 (= k.174 k.172)) (?v_408 (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.))) (let ((?v_409 (=> (= errorReached.175 errorReached.173) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_405))))))))))) (?v_411 (= inline.TimerDpc.0.myVar_0.2 hdevice)) (?v_410 (= inline.TimerDpc.0.myVar_0.2 hqueue)) (?v_406 (= inline.TimerDpc.0.myVar_0.2 htimer)) (?v_404 (= inline.TimerDpc.0.myVar_0.2 hrequest)) (?v_403 (=> true (=> (= k.174 k.173) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 call36423formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.175 errorReached.174) ?v_405)))))) (?v_401 (= k.173 0)) (?v_402 (= k.173 1))) (let ((?v_412 (and (=> true (=> ?v_404 (=> true (=> (<= k.172 k.173) (=> (< k.173 2) (and (=> true (=> (=> ?v_401 ?v_52) (=> (=> ?v_402 ?v_53) (=> true (=> (= errorReached.174 1) ?v_403))))) (=> true (=> (=> ?v_401 ?v_82) (=> (=> ?v_402 ?v_83) (=> true (=> (= errorReached.174 errorReached.173) (=> true ?v_403)))))))))))) (=> true (=> (not ?v_404) (and (=> true (=> ?v_406 (=> true (=> ?v_407 (=> ?v_408 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_409)))))) (=> true (=> (not ?v_406) (and (=> true (=> ?v_410 (=> true (=> ?v_407 (=> ?v_408 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_409)))))) (=> true (=> (not ?v_410) (and (=> true (=> ?v_411 (=> true (=> ?v_407 (=> ?v_408 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_409)))))) (=> true (=> (not ?v_411) (=> true (=> ?v_407 (=> ?v_408 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_409)))))))))))))))))) (let ((?v_413 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_412)))))))) (?v_48 (= k.172 1)) (?v_49 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_51 (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_49))) (?v_47 (= k.172 0)) (?v_50 (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_49)))) (let ((?v_416 (and (=> true (=> ?v_47 (=> (= inline.TimerDpc.0.myVar_0.0 ?v_50) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.0) ?v_412))))) (=> true (=> (not ?v_47) (and (=> true (=> ?v_48 (=> (= inline.TimerDpc.0.myVar_0.1 ?v_51) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.1) ?v_413))))) (=> true (=> (not ?v_48) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0) ?v_413))))))))) (?v_414 (not (= ?v_50 call36263formal.ret.0))) (?v_415 (not (= ?v_51 call36263formal.ret.0)))) (let ((?v_419 (and (=> true (=> (=> ?v_47 ?v_414) (=> (=> ?v_48 ?v_415) ?v_416))) (=> true (=> (=> ?v_47 (not ?v_414)) (=> (=> ?v_48 (not ?v_415)) (=> true ?v_416)))))) (?v_417 (= ?v_50 0)) (?v_418 (= ?v_51 0))) (let ((?v_421 (and (=> true (=> (=> ?v_47 (not ?v_417)) (=> (=> ?v_48 (not ?v_418)) ?v_419))) (=> true (=> (=> ?v_47 ?v_417) (=> (=> ?v_48 ?v_418) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_419))))))))))))))) (let ((?v_423 (=> (= errorReached.173 errorReached.171) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_421))))))))))) (?v_425 (= htimer hdevice))) (let ((?v_4380 (not ?v_425)) (?v_424 (= htimer hqueue))) (let ((?v_4379 (not ?v_424)) (?v_422 (= htimer htimer))) (let ((?v_4375 (not ?v_422)) (?v_46 (= htimer hrequest))) (let ((?v_4373 (not ?v_46)) (?v_420 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.173 errorReached.172) ?v_421)))) (?v_36 (- 0 1073741823)) (?v_45 (= call35980formal.ret.0 0))) (let ((?v_434 (=> true (=> (<= 0 k.172) (=> (< k.172 2) (and (=> true (=> (not ?v_45) (=> true (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= errorReached.207 errorReached.171) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= lockStatus_0.59 lockStatus_0.52) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.TimerDpc.0..result.GetDeviceContext.2073.36.4.) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_1.37 reqCancelSet_1.27) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= k.196 k.172) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1.) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2.) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1.) (=> (= reqCompleted_0.28 reqCompleted_0.21) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3.) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= alloc.21 alloc.18) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= reqCompleted_1.28 reqCompleted_1.21) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1.) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= lockStatus_1.59 lockStatus_1.52) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= reqCancelSet_0.37 reqCancelSet_0.27) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1.) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) ?v_71))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_45 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_36) (and (=> true (=> ?v_46 (and (=> true (=> (=> ?v_47 ?v_52) (=> (=> ?v_48 ?v_53) (=> true (=> (= errorReached.172 1) ?v_420))))) (=> true (=> (=> ?v_47 ?v_82) (=> (=> ?v_48 ?v_83) (=> true (=> (= errorReached.172 errorReached.171) (=> true ?v_420))))))))) (=> true (=> ?v_4373 (and (=> true (=> ?v_422 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_423)))) (=> true (=> ?v_4375 (and (=> true (=> ?v_424 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_423)))) (=> true (=> ?v_4379 (and (=> true (=> ?v_425 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_423)))) (=> true (=> ?v_4380 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_423)))))))))))))))))))))))) (let ((?v_448 (=> true (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= reqCompleted_0.21 reqCompleted_0.20) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqCancelSet_0.27 reqCancelSet_0.26) (=> (= k.171 k.170) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= errorReached.171 errorReached.170) (=> (= reqCancelSet_1.27 reqCancelSet_1.26) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_1.21 reqCompleted_1.20) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> true (=> true ?v_434)))))))))))))))))))))))))))))) (?v_26 (= hrequest hrequest))) (let ((?v_453 (not ?v_26)) (?v_436 (=> true (=> (= k.170 k.169) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call40102formal.ret.0) (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= errorReached.170 errorReached.169) ?v_448))))))))) (?v_437 (= reqCancelSet_1.25 reqCancelSet_1.24))) (let ((?v_438 (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> true ?v_436))) (?v_435 (= k.169 1))) (let ((?v_441 (not ?v_435)) (?v_433 (= k.169 0))) (let ((?v_439 (not ?v_433))) (let ((?v_440 (and (=> true (=> ?v_433 (=> true (=> ?v_437 (=> (= reqCancelSet_0.25 0) ?v_436))))) (=> true (=> ?v_439 (and (=> true (=> ?v_435 (=> true (=> (= reqCancelSet_1.25 0) ?v_438)))) (=> true (=> ?v_441 (=> true (=> ?v_437 ?v_438)))))))))) (let ((?v_444 (=> true (=> true ?v_440))) (?v_442 (= reqCompleted_0.19 reqCompleted_0.18)) (?v_443 (= reqCompleted_1.19 reqCompleted_1.18))) (let ((?v_447 (and (=> true (=> ?v_433 (=> true (=> (= reqCompleted_0.19 1) (=> ?v_443 ?v_440))))) (=> true (=> ?v_439 (and (=> true (=> ?v_435 (=> true (=> ?v_442 (=> (= reqCompleted_1.19 1) ?v_444))))) (=> true (=> ?v_441 (=> true (=> ?v_442 (=> ?v_443 ?v_444)))))))))) (?v_445 (= reqCompleted_0.18 0)) (?v_446 (= reqCompleted_1.18 0))) (let ((?v_431 (not ?v_445)) (?v_432 (not ?v_446))) (let ((?v_449 (and (=> true (=> ?v_26 (=> true (=> (<= k.168 k.169) (=> (< k.169 2) (and (=> true (=> (=> ?v_433 ?v_431) (=> (=> ?v_435 ?v_432) (=> true (=> (= errorReached.169 1) ?v_447))))) (=> true (=> (=> ?v_433 ?v_445) (=> (=> ?v_435 ?v_446) (=> true (=> (= errorReached.169 errorReached.168) (=> true ?v_447)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.170 k.168) (=> (= reqCancelSet_1.26 reqCancelSet_1.24) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_0.20 reqCompleted_0.18) (=> (= reqCancelSet_0.26 reqCancelSet_0.24) (=> (= reqCompleted_1.20 reqCompleted_1.18) (=> (= errorReached.170 errorReached.168) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_448)))))))))))))))))))))) (let ((?v_454 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2) ?v_449)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_449)))))))))))))))) (?v_456 (= k.168 0)) (?v_457 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.))) (let ((?v_458 (=> (= errorReached.168 errorReached.166) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_454))))))))))) (?v_460 (= hrequest hdevice))) (let ((?v_496 (not ?v_460)) (?v_459 (= hrequest hqueue))) (let ((?v_495 (not ?v_459)) (?v_455 (= hrequest htimer))) (let ((?v_493 (not ?v_455)) (?v_452 (=> true (=> (= k.168 k.167) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call39951formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.168 errorReached.167) ?v_454)))))) (?v_450 (= k.167 0)) (?v_451 (= k.167 1)) (?v_0 (= 0 0)) (?v_427 (= reqCompleteSet_0 0)) (?v_428 (= reqSent_0 0)) (?v_1 (= 0 1)) (?v_429 (= reqCompleteSet_1 0)) (?v_430 (= reqSent_1 0)) (?v_426 (= call35928formal.ret.0 0))) (let ((?v_475 (and (=> true (=> (not ?v_426) (=> true (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCompleted_0.21 reqCompleted_0.18) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCancelSet_0.27 reqCancelSet_0.24) (=> (= k.171 0) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= errorReached.171 errorReached.166) (=> (= reqCancelSet_1.27 reqCancelSet_1.24) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleted_1.21 reqCompleted_1.18) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) ?v_434))))))))))))))))))))))))))))) (=> true (=> ?v_426 (=> true (=> (=> ?v_0 (and (not ?v_427) (not ?v_428))) (=> (=> ?v_1 (and (not ?v_429) (not ?v_430))) (and (=> true (=> ?v_26 (=> true (=> (<= 0 k.167) (=> (< k.167 2) (and (=> true (=> (=> ?v_450 ?v_431) (=> (=> ?v_451 ?v_432) (=> true (=> (= errorReached.167 1) ?v_452))))) (=> true (=> (=> ?v_450 ?v_445) (=> (=> ?v_451 ?v_446) (=> true (=> (= errorReached.167 errorReached.166) (=> true ?v_452)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_458)))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_458)))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_458)))))) (=> true (=> ?v_496 (=> true (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_458)))))))))))))))))))))))) (let ((?v_498 (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= errorReached.166 errorReached.165) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.3) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0.3) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= k.166 k.165) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0.1) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0.3) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> true (=> true (=> true (=> true (=> true ?v_475)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_503 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCompleted_1.17 reqCompleted_1.14) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleted_0.17 reqCompleted_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= k.165 k.162) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCancelSet_0.23 reqCancelSet_0.20) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= errorReached.165 errorReached.161) (=> (= reqCancelSet_1.23 reqCancelSet_1.20) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> true (=> true (=> true ?v_498))))))))))))))))))))))))))))))))))))) (let ((?v_505 (=> (= errorReached.161 errorReached.158) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_503)))))))))))))))))))) (?v_507 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_506 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_504 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_502 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_501 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.161 errorReached.160) ?v_503)))) (?v_470 (= k.162 0)) (?v_486 (= reqCompleted_0.14 0))) (let ((?v_499 (=> ?v_470 ?v_486)) (?v_471 (= k.162 1)) (?v_487 (= reqCompleted_1.14 0))) (let ((?v_500 (=> ?v_471 ?v_487)) (?v_464 (not ?v_486))) (let ((?v_472 (=> ?v_470 ?v_464)) (?v_465 (not ?v_487))) (let ((?v_473 (=> ?v_471 ?v_465)) (?v_497 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_489 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= reqCompleted_1.17 reqCompleted_1.16) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqCompleted_0.17 reqCompleted_0.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= k.165 k.164) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= reqCancelSet_0.23 reqCancelSet_0.22) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= errorReached.165 errorReached.164) (=> (= reqCancelSet_1.23 reqCancelSet_1.22) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) ?v_498)))))))))))))))))))))))))))))))))) (let ((?v_477 (=> true (=> (= k.164 k.163) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call42824formal.ret.0) (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> (= errorReached.164 errorReached.163) ?v_489))))))))) (?v_478 (= reqCancelSet_1.21 reqCancelSet_1.20))) (let ((?v_479 (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> true ?v_477))) (?v_476 (= k.163 1))) (let ((?v_482 (not ?v_476)) (?v_474 (= k.163 0))) (let ((?v_480 (not ?v_474))) (let ((?v_481 (and (=> true (=> ?v_474 (=> true (=> ?v_478 (=> (= reqCancelSet_0.21 0) ?v_477))))) (=> true (=> ?v_480 (and (=> true (=> ?v_476 (=> true (=> (= reqCancelSet_1.21 0) ?v_479)))) (=> true (=> ?v_482 (=> true (=> ?v_478 ?v_479)))))))))) (let ((?v_485 (=> true (=> true ?v_481))) (?v_483 (= reqCompleted_0.15 reqCompleted_0.14)) (?v_484 (= reqCompleted_1.15 reqCompleted_1.14))) (let ((?v_488 (and (=> true (=> ?v_474 (=> true (=> (= reqCompleted_0.15 1) (=> ?v_484 ?v_481))))) (=> true (=> ?v_480 (and (=> true (=> ?v_476 (=> true (=> ?v_483 (=> (= reqCompleted_1.15 1) ?v_485))))) (=> true (=> ?v_482 (=> true (=> ?v_483 (=> ?v_484 ?v_485))))))))))) (let ((?v_490 (and (=> true (=> ?v_26 (=> true (=> (<= k.162 k.163) (=> (< k.163 2) (and (=> true (=> (=> ?v_474 ?v_464) (=> (=> ?v_476 ?v_465) (=> true (=> (= errorReached.163 1) ?v_488))))) (=> true (=> (=> ?v_474 ?v_486) (=> (=> ?v_476 ?v_487) (=> true (=> (= errorReached.163 errorReached.162) (=> true ?v_488)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.164 k.162) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.22 reqCancelSet_1.20) (=> (= reqCompleted_0.16 reqCompleted_0.14) (=> (= reqCancelSet_0.22 reqCancelSet_0.20) (=> (= reqCompleted_1.16 reqCompleted_1.14) (=> (= errorReached.164 errorReached.162) (=> true (=> true (=> true (=> true (=> true (=> true ?v_489))))))))))))))))))) (let ((?v_492 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2) ?v_490)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_490))))))))))))))))) (let ((?v_494 (=> (= errorReached.162 errorReached.158) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_492))))))))))) (?v_491 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.162 errorReached.159) ?v_492))))) (let ((?v_508 (and (=> true (=> (not ?v_497) (and (=> true (=> ?v_26 (and (=> true (=> ?v_472 (=> ?v_473 (=> true (=> (= errorReached.159 1) ?v_491))))) (=> true (=> ?v_499 (=> ?v_500 (=> true (=> (= errorReached.159 errorReached.158) (=> true ?v_491))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_494)))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_494)))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_494)))) (=> true (=> ?v_496 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_494)))))))))))))))) (=> true (=> ?v_497 (and (=> true (=> ?v_502 (and (=> true (=> ?v_472 (=> ?v_473 (=> true (=> (= errorReached.160 1) ?v_501))))) (=> true (=> ?v_499 (=> ?v_500 (=> true (=> (= errorReached.160 errorReached.158) (=> true ?v_501))))))))) (=> true (=> (not ?v_502) (and (=> true (=> ?v_504 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_505)))) (=> true (=> (not ?v_504) (and (=> true (=> ?v_506 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_505)))) (=> true (=> (not ?v_506) (and (=> true (=> ?v_507 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_505)))) (=> true (=> (not ?v_507) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_505))))))))))))))))))) (let ((?v_511 (=> true (=> true (=> true (=> true (=> true (=> true ?v_508))))))) (?v_509 (= ?v_30 4))) (let ((?v_596 (not ?v_509)) (?v_510 (= ?v_32 4))) (let ((?v_597 (not ?v_510)) (?v_39 (= ?v_30 1))) (let ((?v_592 (not ?v_39)) (?v_40 (= ?v_32 1))) (let ((?v_594 (not ?v_40))) (let ((?v_514 (and (=> true (=> (=> ?v_470 ?v_39) (=> (=> ?v_471 ?v_40) ?v_508))) (=> true (=> (=> ?v_470 ?v_592) (=> (=> ?v_471 ?v_594) (and (=> true (=> (=> ?v_470 ?v_509) (=> (=> ?v_471 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_511)))))))))))) (=> true (=> (=> ?v_470 ?v_596) (=> (=> ?v_471 ?v_597) ?v_511)))))))))) (let ((?v_516 (=> (= errorReached.158 errorReached.156) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_514))))))))))) (?v_518 (= inline.EvtRequestChildCancel.2.myVar_0.14 hdevice)) (?v_517 (= inline.EvtRequestChildCancel.2.myVar_0.14 hqueue)) (?v_515 (= inline.EvtRequestChildCancel.2.myVar_0.14 htimer)) (?v_513 (= inline.EvtRequestChildCancel.2.myVar_0.14 hrequest)) (?v_512 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.158 errorReached.157) ?v_514))))) (let ((?v_520 (and (=> true (=> ?v_513 (and (=> true (=> ?v_472 (=> ?v_473 (=> true (=> (= errorReached.157 1) ?v_512))))) (=> true (=> ?v_499 (=> ?v_500 (=> true (=> (= errorReached.157 errorReached.156) (=> true ?v_512))))))))) (=> true (=> (not ?v_513) (and (=> true (=> ?v_515 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_516)))) (=> true (=> (not ?v_515) (and (=> true (=> ?v_517 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_516)))) (=> true (=> (not ?v_517) (and (=> true (=> ?v_518 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_516)))) (=> true (=> (not ?v_518) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_516)))))))))))))))) (let ((?v_521 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_520)))))))))))) (?v_519 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_544 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_519))) (?v_466 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_519)))) (let ((?v_535 (and (=> true (=> ?v_470 (=> (= inline.EvtRequestChildCancel.2.myVar_0.13 ?v_466) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.13) ?v_520))))) (=> true (=> (not ?v_470) (and (=> true (=> ?v_471 (=> (= inline.EvtRequestChildCancel.2.myVar_0.12 ?v_544) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.12) ?v_521))))) (=> true (=> (not ?v_471) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.11) ?v_521))))))))) (?v_468 (= k.160 0)) (?v_533 (= k.160 1))) (let ((?v_527 (=> true (=> (= k.162 k.161) (=> (= lockStatus_1.51 lockStatus_1.50) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= lockStatus_0.51 lockStatus_0.50) ?v_535))))))))) (?v_526 (= inline.ReleaseDpcLock.8.myVar_0.2 hlock))) (let ((?v_522 (=> true (=> (= lockStatus_1.50 lockStatus_1.49) (=> (= lockStatus_0.50 lockStatus_0.49) ?v_527)))) (?v_524 (= lockStatus_1.49 lockStatus_1.48))) (let ((?v_525 (=> (= lockStatus_0.49 lockStatus_0.48) (=> true ?v_522))) (?v_523 (= k.161 1))) (let ((?v_531 (not ?v_523)) (?v_469 (= k.161 0))) (let ((?v_528 (not ?v_469))) (let ((?v_530 (and (=> true (=> ?v_526 (and (=> true (=> ?v_469 (=> true (=> ?v_524 (=> (= lockStatus_0.49 0) ?v_522))))) (=> true (=> ?v_528 (and (=> true (=> ?v_523 (=> true (=> (= lockStatus_1.49 0) ?v_525)))) (=> true (=> ?v_531 (=> true (=> ?v_524 ?v_525)))))))))) (=> true (=> (not ?v_526) (=> true (=> (= lockStatus_1.50 lockStatus_1.48) (=> (= lockStatus_0.50 lockStatus_0.48) (=> true (=> true (=> true ?v_527))))))))))) (let ((?v_532 (=> true (=> true (=> true (=> true ?v_530))))) (?v_529 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_534 (=> true (=> (<= k.160 k.161) (=> (< k.161 2) (and (=> true (=> ?v_469 (=> (= inline.ReleaseDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_529))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.1) ?v_530))))) (=> true (=> ?v_528 (and (=> true (=> ?v_523 (=> (= inline.ReleaseDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_529))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.0) ?v_532))))) (=> true (=> ?v_531 (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0) ?v_532))))))))))))) (let ((?v_538 (and (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.0) ?v_534)))) (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_468 ?v_274) (=> (=> ?v_533 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> true (=> true ?v_534))))))) (=> true (=> (=> ?v_468 ?v_371) (=> (=> ?v_533 ?v_372) (=> true (=> (= k.162 k.160) (=> (= lockStatus_1.51 lockStatus_1.48) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.51 lockStatus_0.48) (=> true (=> true (=> true (=> true ?v_535))))))))))))))))))))) (let ((?v_541 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_538)))))))))) (?v_540 (= errorReached.156 errorReached.154)) (?v_543 (= inline.EvtRequestChildCancel.2.myVar_0.11 hdevice)) (?v_542 (= inline.EvtRequestChildCancel.2.myVar_0.11 hqueue)) (?v_539 (= inline.EvtRequestChildCancel.2.myVar_0.11 htimer)) (?v_537 (= inline.EvtRequestChildCancel.2.myVar_0.11 hrequest)) (?v_536 (=> true (=> (= errorReached.156 errorReached.155) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_538))))) (let ((?v_545 (and (=> true (=> ?v_537 (and (=> true (=> (=> ?v_468 ?v_464) (=> (=> ?v_533 ?v_465) (=> true (=> (= errorReached.155 1) ?v_536))))) (=> true (=> (=> ?v_468 ?v_486) (=> (=> ?v_533 ?v_487) (=> true (=> (= errorReached.155 errorReached.154) (=> true ?v_536))))))))) (=> true (=> (not ?v_537) (and (=> true (=> ?v_539 (=> true (=> ?v_540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_541))))) (=> true (=> (not ?v_539) (and (=> true (=> ?v_542 (=> true (=> ?v_540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_541))))) (=> true (=> (not ?v_542) (and (=> true (=> ?v_543 (=> true (=> ?v_540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_541))))) (=> true (=> (not ?v_543) (=> true (=> ?v_540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_541))))))))))))))))) (let ((?v_546 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_545))))))))))))) (let ((?v_549 (=> true (=> (<= k.159 k.160) (=> (< k.160 2) (and (=> true (=> ?v_468 (=> (= inline.EvtRequestChildCancel.2.myVar_0.10 ?v_466) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.10) ?v_545))))) (=> true (=> (not ?v_468) (and (=> true (=> ?v_533 (=> (= inline.EvtRequestChildCancel.2.myVar_0.9 ?v_544) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.9) ?v_546))))) (=> true (=> (not ?v_533) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.8) ?v_546))))))))))))) (let ((?v_553 (=> true (=> true ?v_549))) (?v_551 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_552 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_550 (= k.159 1)) (?v_548 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_547 (= k.159 0))) (let ((?v_556 (=> true (=> (<= k.158 k.159) (=> (< k.159 2) (and (=> true (=> ?v_547 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_548 ?v_67)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> ?v_552 ?v_549)))))) (=> true (=> (not ?v_547) (and (=> true (=> ?v_550 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_548 ?v_67)) (=> true (=> ?v_551 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_553)))))) (=> true (=> (not ?v_550) (=> true (=> ?v_551 (=> ?v_552 ?v_553))))))))))))) (?v_558 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11))) (let ((?v_559 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> true ?v_556))) (?v_557 (= k.158 1)) (?v_555 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_554 (= k.158 0))) (let ((?v_574 (=> true (=> (<= k.157 k.158) (=> (< k.158 2) (and (=> true (=> ?v_554 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_555 ?v_67)) (=> true (=> ?v_558 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_556)))))) (=> true (=> (not ?v_554) (and (=> true (=> ?v_557 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_555 ?v_67)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_559))))) (=> true (=> (not ?v_557) (=> true (=> ?v_558 ?v_559)))))))))))) (?v_572 (= k.153 0)) (?v_573 (= k.153 1))) (let ((?v_565 (=> true (=> (= lockStatus_0.48 lockStatus_0.47) (=> (= lockStatus_1.48 lockStatus_1.47) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= k.157 k.156) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call41593formal.ret.0) ?v_574))))))))))) (?v_564 (= inline.AcquireDpcLock.8.myVar_0.2 hlock))) (let ((?v_561 (=> true (=> (= k.156 k.155) (=> (= lockStatus_0.47 lockStatus_0.46) (=> (= lockStatus_1.47 lockStatus_1.46) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call41541formal.ret.0) ?v_565)))))) (?v_562 (= lockStatus_1.46 lockStatus_1.45))) (let ((?v_563 (=> (= lockStatus_0.46 lockStatus_0.45) (=> true ?v_561))) (?v_560 (= k.155 1)) (?v_467 (= k.155 0))) (let ((?v_568 (and (=> true (=> ?v_564 (=> true (=> (<= k.154 k.155) (=> (< k.155 2) (=> true (=> (=> ?v_467 (= lockStatus_0.45 0)) (=> (=> ?v_560 (= lockStatus_1.45 0)) (and (=> true (=> ?v_467 (=> true (=> ?v_562 (=> (= lockStatus_0.46 1) ?v_561))))) (=> true (=> (not ?v_467) (and (=> true (=> ?v_560 (=> true (=> (= lockStatus_1.46 1) ?v_563)))) (=> true (=> (not ?v_560) (=> true (=> ?v_562 ?v_563)))))))))))))))) (=> true (=> (not ?v_564) (=> true (=> (= k.156 k.154) (=> (= lockStatus_0.47 lockStatus_0.45) (=> (= lockStatus_1.47 lockStatus_1.45) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_565)))))))))))))))) (let ((?v_570 (=> true (=> true (=> true (=> true ?v_568))))) (?v_569 (= k.154 1)) (?v_567 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_566 (= k.154 0))) (let ((?v_571 (=> true (=> (<= k.153 k.154) (=> (< k.154 2) (and (=> true (=> ?v_566 (=> (= inline.AcquireDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_567))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.1) ?v_568))))) (=> true (=> (not ?v_566) (and (=> true (=> ?v_569 (=> (= inline.AcquireDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_567))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.0) ?v_570))))) (=> true (=> (not ?v_569) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0) ?v_570))))))))))))) (let ((?v_579 (and (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.0) ?v_571)))) (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_572 ?v_274) (=> (=> ?v_573 ?v_275) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.1) ?v_571))))) (=> true (=> (=> ?v_572 ?v_371) (=> (=> ?v_573 ?v_372) (=> true (=> (= lockStatus_0.48 lockStatus_0.45) (=> (= lockStatus_1.48 lockStatus_1.45) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.157 k.153) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true ?v_574)))))))))))))))))))))) (let ((?v_584 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_579)))))))))) (?v_581 (= k.153 k.151)) (?v_582 (= errorReached.154 errorReached.152)) (?v_583 (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.)) (?v_586 (= inline.EvtRequestChildCancel.2.myVar_0.8 hdevice)) (?v_585 (= inline.EvtRequestChildCancel.2.myVar_0.8 hqueue)) (?v_580 (= inline.EvtRequestChildCancel.2.myVar_0.8 htimer)) (?v_578 (= inline.EvtRequestChildCancel.2.myVar_0.8 hrequest)) (?v_577 (=> true (=> (= k.153 k.152) (=> (= errorReached.154 errorReached.153) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 call41301formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_579)))))) (?v_575 (= k.152 0)) (?v_576 (= k.152 1))) (let ((?v_588 (and (=> true (=> ?v_578 (=> true (=> (<= k.151 k.152) (=> (< k.152 2) (and (=> true (=> (=> ?v_575 ?v_464) (=> (=> ?v_576 ?v_465) (=> true (=> (= errorReached.153 1) ?v_577))))) (=> true (=> (=> ?v_575 ?v_486) (=> (=> ?v_576 ?v_487) (=> true (=> (= errorReached.153 errorReached.152) (=> true ?v_577)))))))))))) (=> true (=> (not ?v_578) (and (=> true (=> ?v_580 (=> true (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_584))))))) (=> true (=> (not ?v_580) (and (=> true (=> ?v_585 (=> true (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_584))))))) (=> true (=> (not ?v_585) (and (=> true (=> ?v_586 (=> true (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_584))))))) (=> true (=> (not ?v_586) (=> true (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_584))))))))))))))))))) (let ((?v_590 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_588)))))))))))) (?v_589 (= k.151 1)) (?v_587 (= k.151 0))) (let ((?v_598 (=> true (=> (<= k.150 k.151) (=> (< k.151 2) (and (=> true (=> ?v_587 (=> (= inline.EvtRequestChildCancel.2.myVar_0.6 ?v_466) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.6) ?v_588))))) (=> true (=> (not ?v_587) (and (=> true (=> ?v_589 (=> (= inline.EvtRequestChildCancel.2.myVar_0.7 ?v_544) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.7) ?v_590))))) (=> true (=> (not ?v_589) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.5) ?v_590)))))))))))) (?v_591 (= k.150 0)) (?v_593 (= k.150 1))) (let ((?v_595 (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call41181formal.ret.0) ?v_598)))) (let ((?v_603 (and (=> true (=> (=> ?v_591 ?v_39) (=> (=> ?v_593 ?v_40) ?v_595))) (=> true (=> (=> ?v_591 ?v_592) (=> (=> ?v_593 ?v_594) (and (=> true (=> (=> ?v_591 ?v_509) (=> (=> ?v_593 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_595)))))))))))) (=> true (=> (=> ?v_591 ?v_596) (=> (=> ?v_593 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_598)))))))))))))))) (let ((?v_608 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_603)))))))))) (?v_605 (= k.150 k.148)) (?v_606 (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.)) (?v_607 (= errorReached.152 errorReached.150)) (?v_610 (= inline.EvtRequestChildCancel.2.myVar_0.5 hdevice)) (?v_609 (= inline.EvtRequestChildCancel.2.myVar_0.5 hqueue)) (?v_604 (= inline.EvtRequestChildCancel.2.myVar_0.5 htimer)) (?v_602 (= inline.EvtRequestChildCancel.2.myVar_0.5 hrequest)) (?v_601 (=> true (=> (= k.150 k.149) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call40984formal.ret.0) (=> (= errorReached.152 errorReached.151) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_603)))))) (?v_599 (= k.149 0)) (?v_600 (= k.149 1))) (let ((?v_612 (and (=> true (=> ?v_602 (=> true (=> (<= k.148 k.149) (=> (< k.149 2) (and (=> true (=> (=> ?v_599 ?v_464) (=> (=> ?v_600 ?v_465) (=> true (=> (= errorReached.151 1) ?v_601))))) (=> true (=> (=> ?v_599 ?v_486) (=> (=> ?v_600 ?v_487) (=> true (=> (= errorReached.151 errorReached.150) (=> true ?v_601)))))))))))) (=> true (=> (not ?v_602) (and (=> true (=> ?v_604 (=> true (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_608))))))) (=> true (=> (not ?v_604) (and (=> true (=> ?v_609 (=> true (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_608))))))) (=> true (=> (not ?v_609) (and (=> true (=> ?v_610 (=> true (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_608))))))) (=> true (=> (not ?v_610) (=> true (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_608))))))))))))))))))) (let ((?v_614 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_612)))))))))))) (?v_613 (= k.148 1)) (?v_611 (= k.148 0))) (let ((?v_618 (=> true (=> (<= k.147 k.148) (=> (< k.148 2) (and (=> true (=> ?v_611 (=> (= inline.EvtRequestChildCancel.2.myVar_0.4 ?v_466) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.4) ?v_612))))) (=> true (=> (not ?v_611) (and (=> true (=> ?v_613 (=> (= inline.EvtRequestChildCancel.2.myVar_0.3 ?v_544) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.3) ?v_614))))) (=> true (=> (not ?v_613) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.2) ?v_614))))))))))))) (let ((?v_619 (=> (= errorReached.150 errorReached.148) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_618))))))))))) (?v_617 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.150 errorReached.149) ?v_618)))) (?v_615 (= k.147 0)) (?v_616 (= k.147 1))) (let ((?v_624 (and (=> true (=> ?v_26 (and (=> true (=> (=> ?v_615 ?v_464) (=> (=> ?v_616 ?v_465) (=> true (=> (= errorReached.149 1) ?v_617))))) (=> true (=> (=> ?v_615 ?v_486) (=> (=> ?v_616 ?v_487) (=> true (=> (= errorReached.149 errorReached.148) (=> true ?v_617))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_619)))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_619)))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_619)))) (=> true (=> ?v_496 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_619)))))))))))))))) (let ((?v_628 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_624))))))))))))))))) (?v_626 (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.)) (?v_627 (= errorReached.148 errorReached.146)) (?v_630 (= inline.EvtRequestChildCancel.2.myVar_0.2 hdevice)) (?v_629 (= inline.EvtRequestChildCancel.2.myVar_0.2 hqueue)) (?v_625 (= inline.EvtRequestChildCancel.2.myVar_0.2 htimer)) (?v_623 (= inline.EvtRequestChildCancel.2.myVar_0.2 hrequest)) (?v_622 (=> true (=> (= k.147 k.146) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call40604formal.ret.0) (=> (= errorReached.148 errorReached.147) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_624)))))) (?v_620 (= k.146 0)) (?v_621 (= k.146 1))) (let ((?v_632 (and (=> true (=> ?v_623 (=> true (=> (<= 0 k.146) (=> (< k.146 2) (and (=> true (=> (=> ?v_620 ?v_464) (=> (=> ?v_621 ?v_465) (=> true (=> (= errorReached.147 1) ?v_622))))) (=> true (=> (=> ?v_620 ?v_486) (=> (=> ?v_621 ?v_487) (=> true (=> (= errorReached.147 errorReached.146) (=> true ?v_622)))))))))))) (=> true (=> (not ?v_623) (and (=> true (=> ?v_625 (=> true (=> ?v_615 (=> ?v_626 (=> ?v_627 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_628))))))) (=> true (=> (not ?v_625) (and (=> true (=> ?v_629 (=> true (=> ?v_615 (=> ?v_626 (=> ?v_627 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_628))))))) (=> true (=> (not ?v_629) (and (=> true (=> ?v_630 (=> true (=> ?v_615 (=> ?v_626 (=> ?v_627 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_628))))))) (=> true (=> (not ?v_630) (=> true (=> ?v_615 (=> ?v_626 (=> ?v_627 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_628))))))))))))))))))) (let ((?v_633 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_632)))))))) (?v_648 (not ?v_1)) (?v_631 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_646 (not ?v_0))) (let ((?v_635 (and (=> true (=> ?v_0 (=> (= inline.EvtRequestChildCancel.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_631))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.0) ?v_632))))) (=> true (=> ?v_646 (and (=> true (=> ?v_1 (=> (= inline.EvtRequestChildCancel.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_631))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.1) ?v_633))))) (=> true (=> ?v_648 (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0) ?v_633)))))))))) (let ((?v_639 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_635))))))))))) (?v_638 (= errorReached.146 errorReached.144)) (?v_641 (= hqueue hdevice))) (let ((?v_2414 (not ?v_641)) (?v_637 (= hqueue hqueue))) (let ((?v_640 (not ?v_637)) (?v_636 (= hqueue htimer))) (let ((?v_2411 (not ?v_636)) (?v_24 (= hqueue hrequest))) (let ((?v_2409 (not ?v_24)) (?v_634 (=> true (=> (= errorReached.146 errorReached.145) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_635)))) (?v_642 (=> ?v_0 ?v_486)) (?v_643 (=> ?v_1 ?v_487)) (?v_462 (=> ?v_0 ?v_464)) (?v_463 (=> ?v_1 ?v_465))) (let ((?v_644 (and (=> true (=> ?v_24 (and (=> true (=> ?v_462 (=> ?v_463 (=> true (=> (= errorReached.145 1) ?v_634))))) (=> true (=> ?v_642 (=> ?v_643 (=> true (=> (= errorReached.145 errorReached.144) (=> true ?v_634))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> ?v_638 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_639))))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> ?v_638 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_639))))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> ?v_638 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_639))))) (=> true (=> ?v_2414 (=> true (=> ?v_638 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_639))))))))))))))))) (let ((?v_645 (=> true (=> (= errorReached.144 errorReached.143) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_644))))))))))))))))) (let ((?v_647 (and (=> true (=> ?v_26 (and (=> true (=> ?v_462 (=> ?v_463 (=> true (=> (= errorReached.144 1) ?v_644))))) (=> true (=> ?v_642 (=> ?v_643 ?v_645)))))) (=> true (=> ?v_453 ?v_645))))) (let ((?v_651 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_647)))))))))) (?v_649 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_650 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_461 (= call35886formal.ret.0 0))) (let ((?v_672 (and (=> true (=> (not ?v_461) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2.) (=> (= lockStatus_0.52 lockStatus_0.45) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= errorReached.166 errorReached.143) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= lockStatus_1.52 lockStatus_1.45) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCancelSet_1.24 reqCancelSet_1.20) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= k.166 0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1.) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_0.24 reqCancelSet_0.20) (=> (= reqCompleted_0.18 reqCompleted_0.14) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleted_1.18 reqCompleted_1.14) ?v_475))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_461 (=> true (=> (=> ?v_0 (not (= reqCancelSet_0.20 0))) (=> (=> ?v_1 (not (= reqCancelSet_1.20 0))) (and (=> true (=> ?v_0 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_650 ?v_647))))) (=> true (=> ?v_646 (and (=> true (=> ?v_1 (=> true (=> ?v_649 (=> (= reqCancelStarted_1.0 1) ?v_651))))) (=> true (=> ?v_648 (=> true (=> ?v_649 (=> ?v_650 ?v_651)))))))))))))))) (?v_671 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 0))) (let ((?v_665 (=> true (=> (= reqCompleted_1.14 reqCompleted_1.13) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_0.14 reqCompleted_0.13) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= reqCancelSet_0.20 reqCancelSet_0.19) (=> (= k.145 k.144) (=> (= errorReached.143 errorReached.142) (=> (= reqCancelSet_1.20 reqCancelSet_1.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3) ?v_672))))))))))))))))))))))))) (let ((?v_653 (=> true (=> (= k.144 k.143) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 call33881formal.ret.0) (=> (= reqCancelSet_1.19 reqCancelSet_1.18) (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> (= reqCancelSet_0.19 reqCancelSet_0.18) (=> (= reqCompleted_1.13 reqCompleted_1.12) (=> (= errorReached.142 errorReached.141) ?v_665))))))))) (?v_654 (= reqCancelSet_1.18 reqCancelSet_1.17))) (let ((?v_655 (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> true ?v_653))) (?v_652 (= k.143 1))) (let ((?v_658 (not ?v_652)) (?v_43 (= k.143 0))) (let ((?v_656 (not ?v_43))) (let ((?v_657 (and (=> true (=> ?v_43 (=> true (=> ?v_654 (=> (= reqCancelSet_0.18 0) ?v_653))))) (=> true (=> ?v_656 (and (=> true (=> ?v_652 (=> true (=> (= reqCancelSet_1.18 0) ?v_655)))) (=> true (=> ?v_658 (=> true (=> ?v_654 ?v_655)))))))))) (let ((?v_661 (=> true (=> true ?v_657))) (?v_659 (= reqCompleted_0.12 reqCompleted_0.11)) (?v_660 (= reqCompleted_1.12 reqCompleted_1.11))) (let ((?v_664 (and (=> true (=> ?v_43 (=> true (=> (= reqCompleted_0.12 1) (=> ?v_660 ?v_657))))) (=> true (=> ?v_656 (and (=> true (=> ?v_652 (=> true (=> ?v_659 (=> (= reqCompleted_1.12 1) ?v_661))))) (=> true (=> ?v_658 (=> true (=> ?v_659 (=> ?v_660 ?v_661)))))))))) (?v_662 (= reqCompleted_0.11 0)) (?v_663 (= reqCompleted_1.11 0))) (let ((?v_37 (not ?v_662)) (?v_38 (not ?v_663))) (let ((?v_666 (and (=> true (=> ?v_26 (=> true (=> (<= k.142 k.143) (=> (< k.143 2) (and (=> true (=> (=> ?v_43 ?v_37) (=> (=> ?v_652 ?v_38) (=> true (=> (= errorReached.141 1) ?v_664))))) (=> true (=> (=> ?v_43 ?v_662) (=> (=> ?v_652 ?v_663) (=> true (=> (= errorReached.141 errorReached.140) (=> true ?v_664)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.144 k.142) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.19 reqCancelSet_1.17) (=> (= reqCompleted_0.13 reqCompleted_0.11) (=> (= reqCancelSet_0.19 reqCancelSet_0.17) (=> (= reqCompleted_1.13 reqCompleted_1.11) (=> (= errorReached.142 errorReached.140) (=> true (=> true (=> true (=> true (=> true (=> true ?v_665))))))))))))))))))) (let ((?v_668 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1) ?v_666)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_666))))))))))))))))) (let ((?v_670 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_668)))))))))) (?v_669 (= errorReached.140 errorReached.138)) (?v_667 (=> true (=> (= errorReached.140 errorReached.139) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_668)))) (?v_41 (= k.142 0)) (?v_42 (= k.142 1))) (let ((?v_673 (and (=> true (=> (not ?v_671) (and (=> true (=> ?v_26 (and (=> true (=> (=> ?v_41 ?v_37) (=> (=> ?v_42 ?v_38) (=> true (=> (= errorReached.139 1) ?v_667))))) (=> true (=> (=> ?v_41 ?v_662) (=> (=> ?v_42 ?v_663) (=> true (=> (= errorReached.139 errorReached.138) (=> true ?v_667))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_669 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_670))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_669 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_670))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_669 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_670))))) (=> true (=> ?v_496 (=> true (=> ?v_669 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_670))))))))))))))))) (=> true (=> ?v_671 (=> true (=> (= reqCompleted_1.14 reqCompleted_1.11) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleted_0.14 reqCompleted_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCancelSet_0.20 reqCancelSet_0.17) (=> (= k.145 k.142) (=> (= errorReached.143 errorReached.138) (=> (= reqCancelSet_1.20 reqCancelSet_1.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_672)))))))))))))))))))))))))))))))))))) (let ((?v_674 (=> true (=> true (=> true (=> true ?v_673)))))) (let ((?v_679 (and (=> true (=> (=> ?v_41 ?v_39) (=> (=> ?v_42 ?v_40) ?v_673))) (=> true (=> (=> ?v_41 ?v_592) (=> (=> ?v_42 ?v_594) (and (=> true (=> (=> ?v_41 ?v_509) (=> (=> ?v_42 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_674)))))))))))) (=> true (=> (=> ?v_41 ?v_596) (=> (=> ?v_42 ?v_597) ?v_674))))))))) (?v_681 (= k.142 k.140)) (?v_682 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.))) (let ((?v_683 (=> (= errorReached.138 errorReached.136) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_679))))))))))) (?v_685 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hdevice)) (?v_684 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hqueue)) (?v_680 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 htimer)) (?v_678 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hrequest)) (?v_677 (=> true (=> (= k.142 k.141) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call33418formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.138 errorReached.137) ?v_679)))))) (?v_675 (= k.141 0)) (?v_676 (= k.141 1))) (let ((?v_688 (and (=> true (=> ?v_678 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (and (=> true (=> (=> ?v_675 ?v_37) (=> (=> ?v_676 ?v_38) (=> true (=> (= errorReached.137 1) ?v_677))))) (=> true (=> (=> ?v_675 ?v_662) (=> (=> ?v_676 ?v_663) (=> true (=> (= errorReached.137 errorReached.136) (=> true ?v_677)))))))))))) (=> true (=> (not ?v_678) (and (=> true (=> ?v_680 (=> true (=> ?v_681 (=> ?v_682 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_683)))))) (=> true (=> (not ?v_680) (and (=> true (=> ?v_684 (=> true (=> ?v_681 (=> ?v_682 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_683)))))) (=> true (=> (not ?v_684) (and (=> true (=> ?v_685 (=> true (=> ?v_681 (=> ?v_682 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_683)))))) (=> true (=> (not ?v_685) (=> true (=> ?v_681 (=> ?v_682 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_683)))))))))))))))))) (let ((?v_690 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_688)))))))))))) (?v_689 (= k.140 1)) (?v_687 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_719 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_687))) (?v_686 (= k.140 0)) (?v_33 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_687)))) (let ((?v_706 (and (=> true (=> ?v_686 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.12 ?v_33) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.12) ?v_688))))) (=> true (=> (not ?v_686) (and (=> true (=> ?v_689 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.13 ?v_719) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.13) ?v_690))))) (=> true (=> (not ?v_689) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.11) ?v_690))))))))) (?v_704 (= k.136 0)) (?v_705 (= k.136 1))) (let ((?v_697 (=> true (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= lockStatus_1.45 lockStatus_1.44) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.2) (=> (= k.140 k.139) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) ?v_706)))))))))) (?v_696 (= inline.ReleaseDpcLock.6.myVar_0.2 hlock))) (let ((?v_692 (=> true (=> (= k.139 k.138) (=> (= lockStatus_1.44 lockStatus_1.43) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call33272formal.ret.0) (=> (= lockStatus_0.44 lockStatus_0.43) ?v_697)))))) (?v_694 (= lockStatus_1.43 lockStatus_1.42))) (let ((?v_695 (=> (= lockStatus_0.43 lockStatus_0.42) (=> true ?v_692))) (?v_693 (= k.138 1)) (?v_691 (= k.138 0))) (let ((?v_700 (and (=> true (=> ?v_696 (=> true (=> (<= k.137 k.138) (=> (< k.138 2) (and (=> true (=> ?v_691 (=> true (=> ?v_694 (=> (= lockStatus_0.43 0) ?v_692))))) (=> true (=> (not ?v_691) (and (=> true (=> ?v_693 (=> true (=> (= lockStatus_1.43 0) ?v_695)))) (=> true (=> (not ?v_693) (=> true (=> ?v_694 ?v_695))))))))))))) (=> true (=> (not ?v_696) (=> true (=> (= k.139 k.137) (=> (= lockStatus_1.44 lockStatus_1.42) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.44 lockStatus_0.42) (=> true (=> true (=> true ?v_697))))))))))))) (let ((?v_702 (=> true (=> true (=> true (=> true ?v_700))))) (?v_701 (= k.137 1)) (?v_699 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_698 (= k.137 0))) (let ((?v_703 (=> true (=> (<= k.136 k.137) (=> (< k.137 2) (and (=> true (=> ?v_698 (=> (= inline.ReleaseDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_699))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.1) ?v_700))))) (=> true (=> (not ?v_698) (and (=> true (=> ?v_701 (=> (= inline.ReleaseDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_699))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.0) ?v_702))))) (=> true (=> (not ?v_701) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0) ?v_702))))))))))))) (let ((?v_711 (and (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.1) ?v_703)))) (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_704 ?v_274) (=> (=> ?v_705 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.0) (=> true (=> true ?v_703))))))) (=> true (=> (=> ?v_704 ?v_371) (=> (=> ?v_705 ?v_372) (=> true (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= lockStatus_1.45 lockStatus_1.42) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.0) (=> (= k.140 k.136) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true (=> true ?v_706))))))))))))))))))))) (?v_713 (= k.136 k.134)) (?v_714 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.))) (let ((?v_715 (=> (= errorReached.136 errorReached.134) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_711))))))))))) (?v_717 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hdevice)) (?v_716 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hqueue)) (?v_712 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 htimer)) (?v_710 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hrequest)) (?v_709 (=> true (=> (= k.136 k.135) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call33030formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.136 errorReached.135) ?v_711)))))) (?v_707 (= k.135 0)) (?v_708 (= k.135 1))) (let ((?v_720 (and (=> true (=> ?v_710 (=> true (=> (<= k.134 k.135) (=> (< k.135 2) (and (=> true (=> (=> ?v_707 ?v_37) (=> (=> ?v_708 ?v_38) (=> true (=> (= errorReached.135 1) ?v_709))))) (=> true (=> (=> ?v_707 ?v_662) (=> (=> ?v_708 ?v_663) (=> true (=> (= errorReached.135 errorReached.134) (=> true ?v_709)))))))))))) (=> true (=> (not ?v_710) (and (=> true (=> ?v_712 (=> true (=> ?v_713 (=> ?v_714 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_715)))))) (=> true (=> (not ?v_712) (and (=> true (=> ?v_716 (=> true (=> ?v_713 (=> ?v_714 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_715)))))) (=> true (=> (not ?v_716) (and (=> true (=> ?v_717 (=> true (=> ?v_713 (=> ?v_714 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_715)))))) (=> true (=> (not ?v_717) (=> true (=> ?v_713 (=> ?v_714 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_715)))))))))))))))))) (let ((?v_722 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_720)))))))))))) (?v_721 (= k.134 1)) (?v_718 (= k.134 0))) (let ((?v_1426 (=> true (=> (<= k.133 k.134) (=> (< k.134 2) (and (=> true (=> ?v_718 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.9 ?v_33) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.9) ?v_720))))) (=> true (=> (not ?v_718) (and (=> true (=> ?v_721 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.10 ?v_719) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.10) ?v_722))))) (=> true (=> (not ?v_721) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.8) ?v_722)))))))))))) (?v_724 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_725 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_726 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_727 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_728 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_729 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_730 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_731 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_732 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_733 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_734 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_735 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0)) (?v_736 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_737 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_738 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_739 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_740 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_746 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_747 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_748 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_749 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_750 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_751 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0)) (?v_752 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4279 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_754 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_755 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_756 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_757 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_758 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_759 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_760 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_4281 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_4057 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_762 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_763 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3912 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_764 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_765 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_766 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_767 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_768 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_769 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_770 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_771 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_3913 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_772 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_773 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_774 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_775 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_776 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_777 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_778 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_779 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_780 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_781 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_782 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_783 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_784 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_785 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.)) (?v_786 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_787 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_788 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_789 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_790 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_791 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_792 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_793 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_794 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_795 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_796 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_797 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_798 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_799 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_800 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_801 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_802 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_803 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_804 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_805 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_806 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_807 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3940 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_808 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_809 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_4058 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_810 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_811 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_812 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_813 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_814 (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0)) (?v_815 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_816 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.)) (?v_817 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_818 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0)) (?v_819 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_820 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_3928 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_821 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_4059 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_822 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_823 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3915 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_824 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_825 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3916 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_826 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_827 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3917 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_828 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_829 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3880 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_830 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_831 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_832 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_3941 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_833 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked)) (?v_834 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_835 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0)) (?v_836 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_837 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_838 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_839 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_840 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_841 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_842 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_843 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_844 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_845 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_846 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_847 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_848 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_849 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_850 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_851 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_852 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_853 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_854 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0)) (?v_855 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_856 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_857 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_858 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1)) (?v_859 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_860 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_861 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_862 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_863 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_3918 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_864 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_865 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_866 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_867 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_868 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_869 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_870 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_871 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_872 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_873 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_874 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_875 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_876 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_877 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_878 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_879 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_880 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_881 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_882 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_883 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_884 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_885 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_886 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_887 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4271 (= errorReached.134 errorReached.16)) (?v_4060 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_888 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_889 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_890 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_891 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_892 (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0)) (?v_893 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_894 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_895 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_896 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_897 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_898 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_899 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_900 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_901 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_902 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0)) (?v_903 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_904 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_905 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_906 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_907 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0)) (?v_908 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_909 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_910 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_911 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_912 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_913 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_914 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_915 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_916 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_917 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_918 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_919 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_920 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_921 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_922 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0)) (?v_923 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_924 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_925 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_926 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_927 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_928 (= k.133 k.6)) (?v_929 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_930 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_931 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_932 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_933 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_934 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_935 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_936 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_937 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_938 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.)) (?v_939 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_940 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.)) (?v_941 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_942 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_943 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_944 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_945 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_946 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_947 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_948 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_949 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_950 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_951 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_952 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_953 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_954 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_955 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_956 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_957 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_958 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_959 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_960 (= reqCompleted_0.11 reqCompleted_0)) (?v_961 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_962 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_963 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_964 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_965 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_966 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_967 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_968 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_969 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_970 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_971 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_972 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_973 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_974 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_975 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_976 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_977 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_978 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_979 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_980 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_981 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_982 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_983 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0)) (?v_984 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_985 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_986 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_987 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_988 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_989 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_990 (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_991 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_992 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_993 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_994 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_995 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_996 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_997 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_998 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_999 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1000 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1001 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_1002 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_1003 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_1004 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_1005 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_1006 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1007 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 0)) (?v_1008 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0)) (?v_1009 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1010 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_1011 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_1012 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_1013 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1014 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1015 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1016 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3919 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_1017 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_1018 (= lockStatus_0.42 lockStatus_0.2)) (?v_1019 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1020 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_1021 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1022 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_1023 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_1024 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1025 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_1026 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_1027 (= reqCompleted_1.11 reqCompleted_1)) (?v_1028 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1029 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_1030 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1031 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_1032 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_1033 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1034 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_1035 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_1036 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_1037 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_1038 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_1039 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1040 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1041 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1042 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1043 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1044 (= inline.ReleaseDpcLock.0.myNondetVar_0.5 inline.ReleaseDpcLock.0.myNondetVar_0)) (?v_1045 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0)) (?v_1046 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_1047 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1048 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_1049 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1050 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_1051 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_1052 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1053 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_1054 (= reqCancelSet_0.17 reqCancelSet_0)) (?v_1055 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0)) (?v_1056 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1057 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3942 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1058 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_1059 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_1060 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_1061 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1062 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_1063 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_1064 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1065 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_1066 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0)) (?v_1067 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_1068 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_1069 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_1070 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1071 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_1072 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_1073 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_1074 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1075 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0)) (?v_1076 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_4289 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1077 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_1078 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1079 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_1080 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1081 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1082 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_1083 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_1084 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_1085 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_1086 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3920 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3943 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_1087 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_1088 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1089 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_1090 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_1091 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1092 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_1093 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1094 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0)) (?v_1095 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_1096 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_1097 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1098 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_1099 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3930 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_1100 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_1101 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1102 (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30.)) (?v_1103 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1104 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1105 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_1106 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1107 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_1108 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_1109 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_1110 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_4061 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_1111 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_1112 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_1113 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_1114 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_1115 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_1116 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_1117 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_1118 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_1119 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1120 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_1121 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_1122 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_1123 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_1124 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_1125 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4062 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_1126 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_1127 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1128 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_1129 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_1130 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1131 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1132 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_1133 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_1134 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1135 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_1136 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1137 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_1138 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1139 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_1140 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1141 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3921 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 0)) (?v_3922 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_1142 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1143 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1144 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4291 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1146 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_1147 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_1148 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3923 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1149 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_1150 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_1151 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_1152 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1153 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1154 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_1155 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_1156 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_1157 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0)) (?v_1158 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1159 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_1160 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1161 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_1162 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_1163 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_1164 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1165 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_1166 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_1167 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_1168 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_1169 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_1170 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0)) (?v_1171 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_1172 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4293 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call32887formal.new.0)) (?v_4294 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16856formal.new.0)) (?v_1175 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_1176 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3944 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1177 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1178 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4063 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_1179 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_1180 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1181 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_1182 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_1183 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_1184 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_1185 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1186 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3931 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_1187 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1188 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1189 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3924 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1190 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0)) (?v_1191 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_1192 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1193 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3925 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1194 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_1195 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_1196 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_1197 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_1198 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_1199 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_1200 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_1201 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_1202 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_1203 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_3902 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_1204 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_1205 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_1206 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1207 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1208 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_1209 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_1210 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_1211 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1212 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1213 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_1214 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_1215 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_1216 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1217 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_1218 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_1219 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1220 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1221 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_1222 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1223 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_1224 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0)) (?v_1225 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1226 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1227 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_1228 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1229 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_1230 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_1231 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_1232 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1233 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_1234 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1235 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_1236 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1237 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1238 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_1239 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1240 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1241 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1242 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1243 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1244 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_1245 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1246 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_1247 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1248 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1249 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1250 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1251 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_1252 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1253 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_1254 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3903 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_1255 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_1256 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1257 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_1258 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1259 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_1260 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_1261 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1262 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_1263 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1264 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1265 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_1266 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1267 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1268 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_1269 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_1270 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_1271 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_1272 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1273 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1274 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_1275 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1276 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3933 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_1277 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_1278 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_1279 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_1280 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_1281 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_1282 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_1283 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked)) (?v_1284 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_1285 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_1286 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1287 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_1288 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_1289 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_1290 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_1291 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_1292 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_1293 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_1294 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_1295 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_1296 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1297 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_1298 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_1299 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1300 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1301 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1302 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_1303 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1304 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_1305 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1306 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_1307 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_1308 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_1309 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1310 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1311 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1312 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_1313 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1.)) (?v_1314 (= reqCancelSet_1.17 reqCancelSet_1)) (?v_1315 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_1316 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1317 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_1318 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_4308 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call32887formal.new.0)) (?v_1320 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1321 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_1322 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_1323 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1324 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_1325 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1326 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1327 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_1328 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0)) (?v_1329 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1330 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3905 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_1331 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_1332 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_4064 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_1333 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_1334 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1335 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_1336 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_1337 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1338 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_1339 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_1340 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0)) (?v_1341 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1342 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_1343 (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_1344 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_1345 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_1346 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_1347 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_1348 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0)) (?v_1349 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_1350 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_1351 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_1352 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1353 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1354 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_1355 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1356 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_1357 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1358 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1359 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_1360 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1361 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1362 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0)) (?v_1363 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_1364 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1365 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_1366 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1367 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1368 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1369 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_1370 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_1371 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_1372 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext)) (?v_1373 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1374 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_1375 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_1376 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1377 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0)) (?v_4065 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_4066 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_4067 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_4068 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_4069 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2120 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 1)) (?v_4070 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_4071 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4072 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4073 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4074 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4075 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_4076 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_4077 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4078 (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0)) (?v_4079 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_4220 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 0)) (?v_4080 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_4081 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4082 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4083 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4084 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_4085 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_4210 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_4086 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4087 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_4088 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_4089 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_4090 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_4091 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_4092 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4093 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_4218 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_4094 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_4095 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4096 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_4097 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4098 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_4099 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4100 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_4101 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete))) (let ((?v_4102 (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= lockStatus_1.42 lockStatus_1.2) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) ?v_1426))))))))))))))))))))) (let ((?v_4221 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4210 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4218 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.) ?v_4102)))))))))))))))))))))))) (let ((?v_4272 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.) ?v_4221)))))) (let ((?v_1378 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4220 ?v_4272)))))))))))))))))) (let ((?v_3946 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 ?v_1378)))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4309 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 ?v_3946)))))))))))))))) (?v_4307 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_4280 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16859formal.new.0)) (?v_4282 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4283 (= alloc.18 alloc.10)) (?v_4284 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4285 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34029formal.new.0)) (?v_4288 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call34029formal.new.0)) (?v_4297 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4300 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_4308 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) ?v_4272)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4306 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 ?v_4300)))))))))))))))))) (?v_4305 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 0)) (?v_4278 (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4286 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call34092formal.ret.0)) (?v_4287 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4290 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4292 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call34092formal.ret.0)) (?v_4295 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4296 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.12)) (?v_4298 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1)) (?v_4299 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4277 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4273 (not (= call34179formal.ret.0 myNondetVar_1.0))) (?v_753 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_761 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3914 (= alloc.18 alloc.6)) (?v_3929 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 0)) (?v_1145 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_1173 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_1174 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3932 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4)) (?v_1319 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer))) (let ((?v_741 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_3914 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4271 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_3932 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 ?v_4309))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_742 (not (= myNondetVar_1.0 myNondetVar_2.0))) (?v_4144 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0)) (?v_4194 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest)) (?v_4198 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 call34307formal.ret.0)) (?v_4202 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call34307formal.ret.0)) (?v_4203 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4204 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_4205 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2)) (?v_4209 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1))) (let ((?v_4245 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4220 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4209 ?v_4221)))))))))))))))))))))))))))))))) (let ((?v_4255 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4202 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_4203 (=> ?v_1295 (=> ?v_1296 (=> ?v_4204 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_4205 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 ?v_4245))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4254 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4104 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_4105 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0)) (?v_4107 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4111 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4119 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call34501formal.ret.0)) (?v_4125 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_4130 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16862formal.new.0)) (?v_4138 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4143 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34447formal.new.0)) (?v_4147 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call34501formal.ret.0)) (?v_4148 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 call34447formal.new.0)) (?v_4149 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4151 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4195 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4201 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_4244 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4112 (= alloc.18 alloc.11)) (?v_4115 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4233 (= errorReached.134 errorReached.21)) (?v_4120 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2)) (?v_4234 (= k.133 k.12)) (?v_4123 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4124 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest)) (?v_4127 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0)) (?v_4132 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4134 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4146 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4193 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call34683formal.ret.0)) (?v_4196 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest)) (?v_4197 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4199 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call34683formal.ret.0)) (?v_4200 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34629formal.new.0)) (?v_4206 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 call34629formal.new.0)) (?v_4207 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16862formal.new.0))) (let ((?v_4235 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_4196 (=> ?v_4197 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_4199 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_4200 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_4201 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4202 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_4203 (=> ?v_1295 (=> ?v_1296 (=> ?v_4204 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_4205 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4206 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_4207 ?v_4245))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4232 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4109 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call34803formal.ret.0)) (?v_4126 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 call34803formal.ret.0)) (?v_4129 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34803formal.ret.0)) (?v_4135 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34803formal.ret.0)) (?v_4141 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call34803formal.ret.0))) (let ((?v_4231 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4193 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.13) ?v_4235)))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4217 (- 0 1073741670)) (?v_4230 (= call34803formal.ret.0 0)) (?v_4106 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call34873formal.ret.0)) (?v_4110 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_4114 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call34873formal.ret.0)) (?v_4117 (= errorReached.134 errorReached.22)) (?v_4121 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_4122 (= k.133 k.14)) (?v_4133 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4136 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_4145 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0)) (?v_4150 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4219 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4108 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 call34993formal.ret.0)) (?v_4128 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34993formal.ret.0)) (?v_4137 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34993formal.ret.0)) (?v_4208 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 call34993formal.ret.0)) (?v_4211 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 call34993formal.ret.0) ?v_4102)))))))))) (?v_4216 (= call34993formal.ret.0 0)) (?v_4192 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4113 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_4116 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0)) (?v_4118 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_4131 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 call35129formal.ret.0)) (?v_4139 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_4140 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_4142 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 call35129formal.ret.0))) (let ((?v_4152 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4193 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_4196 (=> ?v_4197 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_4199 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_4200 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 call35129formal.ret.0) (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_4201 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4202 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_4203 (=> ?v_1295 (=> ?v_1296 (=> ?v_4204 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_4205 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4206 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_4207 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4208 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4209 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 call35129formal.ret.0) (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) ?v_4211)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4153 (not (= call35168formal.ret.0 myNondetVar_1.0))) (?v_4103 (not (= call35129formal.ret.0 myNondetVar_1.0))) (?v_3869 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 call35365formal.ret.0)) (?v_3873 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3875 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call35365formal.ret.0)) (?v_3884 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_3891 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)) (?v_3892 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3897 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest)) (?v_3945 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2)) (?v_3939 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3868 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3872 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2)) (?v_3881 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest)) (?v_3883 (= errorReached.134 errorReached.20)) (?v_3886 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call35501formal.ret.0)) (?v_3889 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 call35501formal.ret.0)) (?v_3896 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest))) (let ((?v_3906 (=> ?v_1331 (=> ?v_1332 (=> ?v_3945 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) ?v_1378))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3934 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 ?v_3906)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3927 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3874 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call35619formal.ret.0)) (?v_3887 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call35619formal.ret.0)) (?v_3890 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call35619formal.ret.0)) (?v_3898 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 call35619formal.ret.0)) (?v_3904 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 call35619formal.ret.0))) (let ((?v_3926 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3904 ?v_3934))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3911 (= call35619formal.ret.0 0)) (?v_3870 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3871 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3876 (= alloc.18 alloc.9)) (?v_3877 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3878 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3879 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 call35722formal.ret.0)) (?v_3882 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 call35722formal.ret.0)) (?v_3885 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3888 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16862formal.new.0)) (?v_3893 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3894 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 call35679formal.new.0)) (?v_3895 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3899 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call35679formal.new.0)) (?v_3900 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3901 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.10)) (?v_3867 (<= 0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1428 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1429 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_1430 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1431 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1432 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1433 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1434 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_1435 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0)) (?v_1436 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1)) (?v_1437 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0)) (?v_1438 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_1439 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0.3)) (?v_1440 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1441 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_1442 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1443 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1444 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1445 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1446 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2)) (?v_1447 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1448 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2)) (?v_1449 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1450 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_1451 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1452 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1453 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1454 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1455 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1456 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1)) (?v_1457 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1458 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1459 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest)) (?v_1460 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1461 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0)) (?v_1462 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1463 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2)) (?v_1464 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0)) (?v_1465 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0)) (?v_1466 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1467 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1)) (?v_1468 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1469 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1470 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2)) (?v_1471 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0)) (?v_1472 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0)) (?v_1473 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0)) (?v_1474 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1)) (?v_1475 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0)) (?v_1476 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_1477 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1478 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0.4)) (?v_1479 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1)) (?v_1480 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1)) (?v_1481 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1)) (?v_1482 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1)) (?v_1483 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0)) (?v_1484 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0)) (?v_1485 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_1486 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_1487 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0)) (?v_1488 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0)) (?v_1489 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3)) (?v_1490 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0)) (?v_1491 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1)) (?v_1492 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1)) (?v_1493 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1494 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_1495 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1496 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1497 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1498 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1499 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1500 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1)) (?v_1501 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1502 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1503 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1)) (?v_1504 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0)) (?v_1505 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_1506 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1507 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1)) (?v_1508 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1509 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1510 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3)) (?v_1511 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1)) (?v_1512 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1)) (?v_1513 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2)) (?v_1514 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_1515 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0)) (?v_1516 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_1517 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0)) (?v_1518 (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0.4)) (?v_1519 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0)) (?v_1520 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1521 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1522 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1)) (?v_1523 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0)) (?v_1524 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0)) (?v_1525 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1526 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1527 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1528 (= alloc.18 alloc.17)) (?v_1529 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1530 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1531 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1532 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_1533 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1534 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1535 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_1536 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1537 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0)) (?v_1538 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1)) (?v_1539 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1)) (?v_1540 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0)) (?v_1541 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_1542 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2)) (?v_1543 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0)) (?v_1544 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1545 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1546 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_1547 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_1548 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1549 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2)) (?v_1550 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1)) (?v_1551 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1)) (?v_1552 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0)) (?v_1553 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1554 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1)) (?v_1555 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0)) (?v_1556 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0)) (?v_1557 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1558 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0)) (?v_1559 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1560 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1561 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1562 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1563 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1564 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1)) (?v_1565 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0)) (?v_1566 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0.4)) (?v_1567 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1568 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0)) (?v_1569 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0)) (?v_1570 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1571 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2)) (?v_1572 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1)) (?v_1573 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0)) (?v_1574 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1)) (?v_1575 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1576 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1577 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1578 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0)) (?v_1579 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1580 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1581 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1582 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0)) (?v_1583 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1584 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1)) (?v_1585 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_1586 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1587 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0)) (?v_1588 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1589 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1590 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1591 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1592 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1593 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1)) (?v_1594 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1)) (?v_1595 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1596 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3)) (?v_1597 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1598 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1599 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1)) (?v_1600 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1601 (= errorReached.134 errorReached.133)) (?v_1602 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0)) (?v_1603 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0)) (?v_1604 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1)) (?v_1605 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1606 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1607 (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0.3)) (?v_1608 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_1609 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1610 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_1611 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1612 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_1613 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue)) (?v_1614 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1615 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1616 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1617 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0.4)) (?v_1618 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0)) (?v_1619 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1620 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1)) (?v_1621 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2)) (?v_1622 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0.4)) (?v_1623 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1)) (?v_1624 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1625 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0)) (?v_1626 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1627 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3)) (?v_1628 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1629 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1630 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1631 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1632 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0)) (?v_1633 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0)) (?v_1634 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0)) (?v_1635 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0)) (?v_1636 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1637 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0.16)) (?v_1638 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2)) (?v_1639 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1640 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1641 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1642 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1643 (= k.133 k.132)) (?v_1644 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0)) (?v_1645 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1)) (?v_1646 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1647 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1648 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1649 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0)) (?v_1650 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1)) (?v_1651 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_1652 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1653 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1654 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1655 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1656 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1657 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1)) (?v_1658 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1659 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1660 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1661 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1662 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1663 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1664 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1665 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_1666 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0)) (?v_1667 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1668 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1669 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1670 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_1671 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0)) (?v_1672 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2)) (?v_1673 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1674 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1675 (= reqCompleted_0.11 reqCompleted_0.10)) (?v_1676 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1)) (?v_1677 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1)) (?v_1678 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1679 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1680 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1681 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1682 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1683 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1684 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2)) (?v_1685 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue)) (?v_1686 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1687 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1688 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0)) (?v_1689 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_1690 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1691 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1)) (?v_1692 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1693 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1694 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1695 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1696 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1697 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1698 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0.5)) (?v_1699 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1700 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1701 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1702 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1703 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1704 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1705 (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.5)) (?v_1706 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1707 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1708 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1709 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0.3)) (?v_1710 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0)) (?v_1711 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_1712 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0)) (?v_1713 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1714 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1715 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1716 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1)) (?v_1717 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1718 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1719 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1)) (?v_1720 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0)) (?v_1721 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1722 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0)) (?v_1723 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_1724 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1725 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1726 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1)) (?v_1727 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.5)) (?v_1728 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1729 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1730 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1731 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1)) (?v_1732 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1)) (?v_1733 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1)) (?v_1734 (= lockStatus_0.42 lockStatus_0.41)) (?v_1735 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1736 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0)) (?v_1737 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1738 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0)) (?v_1739 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0)) (?v_1740 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1741 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1742 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0)) (?v_1743 (= reqCompleted_1.11 reqCompleted_1.10)) (?v_1744 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1745 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_1746 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1747 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0)) (?v_1748 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2)) (?v_1749 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1750 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1751 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1)) (?v_1752 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1753 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2)) (?v_1754 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1755 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1756 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1757 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1758 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1759 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1760 (= inline.ReleaseDpcLock.0.myNondetVar_0.5 inline.ReleaseDpcLock.0.myNondetVar_0.4)) (?v_1761 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1762 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1763 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1764 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1)) (?v_1765 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1766 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_1767 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0.21)) (?v_1768 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1769 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6)) (?v_1770 (= reqCancelSet_0.17 reqCancelSet_0.16)) (?v_1771 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2)) (?v_1772 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1773 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_1774 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1775 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0)) (?v_1776 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2)) (?v_1777 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1)) (?v_1778 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1779 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1)) (?v_1780 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1781 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0)) (?v_1782 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1783 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0.5)) (?v_1784 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1785 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0.4)) (?v_1786 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2)) (?v_1787 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1788 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1789 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1790 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1791 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1792 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0.4)) (?v_1793 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_1794 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0)) (?v_1795 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2)) (?v_1796 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1797 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2)) (?v_1798 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1799 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1800 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.5)) (?v_1801 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1)) (?v_1802 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6)) (?v_1803 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1804 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1)) (?v_1805 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1806 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0)) (?v_1807 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1)) (?v_1808 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_1809 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0)) (?v_1810 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1811 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_1812 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0)) (?v_1813 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1814 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0.16)) (?v_1815 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1)) (?v_1816 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1817 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1818 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0)) (?v_1819 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1820 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1821 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2)) (?v_1822 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1823 (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1824 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1825 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1826 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1)) (?v_1827 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1828 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1)) (?v_1829 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_1830 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0)) (?v_1831 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1)) (?v_1832 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1)) (?v_1833 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1)) (?v_1834 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0)) (?v_1835 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1836 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0)) (?v_1837 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1838 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0)) (?v_1839 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1840 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1841 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1842 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2)) (?v_1843 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0)) (?v_1844 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1845 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1)) (?v_1846 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1847 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1848 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0)) (?v_1849 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2)) (?v_1850 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1851 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0)) (?v_1852 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3)) (?v_1853 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1854 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1855 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0)) (?v_1856 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1857 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1858 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_1859 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1860 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0)) (?v_1861 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1862 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0.4)) (?v_1863 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1864 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1865 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0)) (?v_1866 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0)) (?v_1867 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1868 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1869 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1870 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0)) (?v_1871 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_1872 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0)) (?v_1873 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1)) (?v_1874 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1875 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_1876 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0)) (?v_1877 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1878 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1879 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1880 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2)) (?v_1881 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_1882 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1883 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0.5)) (?v_1884 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1885 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1)) (?v_1886 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1887 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1888 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1889 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0)) (?v_1890 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1891 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2)) (?v_1892 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0.21)) (?v_1893 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_1894 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_1895 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4)) (?v_1896 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0.5)) (?v_1897 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0.4)) (?v_1898 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1899 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_1900 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1901 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0)) (?v_1902 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1903 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1904 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1905 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1906 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1907 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_1908 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1909 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1910 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2)) (?v_1911 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1)) (?v_1912 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0)) (?v_1913 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1914 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1915 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0)) (?v_1916 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1917 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1918 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1)) (?v_1919 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1920 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0.4)) (?v_1921 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_1922 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1923 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue)) (?v_1924 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1925 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1)) (?v_1926 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1)) (?v_1927 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.17)) (?v_1928 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0.4)) (?v_1929 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0)) (?v_1930 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0)) (?v_1931 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1932 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_1933 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.5)) (?v_1934 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1)) (?v_1935 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0)) (?v_1936 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1937 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_1938 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1)) (?v_1939 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest)) (?v_1940 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1941 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1942 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1943 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1944 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1945 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1946 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0)) (?v_1947 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1)) (?v_1948 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0)) (?v_1949 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_1950 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2)) (?v_1951 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_1952 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1953 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1954 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0)) (?v_1955 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1956 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1)) (?v_1957 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0.4)) (?v_1958 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1959 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1960 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0)) (?v_1961 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1962 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_1963 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1964 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0)) (?v_1965 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1966 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1967 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1968 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0)) (?v_1969 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1970 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1971 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1)) (?v_1972 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1973 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1974 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1975 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1976 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1977 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3)) (?v_1978 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1979 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1980 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1981 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_1982 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1983 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_1984 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_1985 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1986 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1987 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1988 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0)) (?v_1989 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0)) (?v_1990 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1991 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0)) (?v_1992 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1993 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1994 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1995 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1996 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1997 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1998 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1999 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_2000 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2001 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2002 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_2003 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0)) (?v_2004 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_2005 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2)) (?v_2006 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_2007 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2008 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0)) (?v_2009 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2010 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_2011 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0)) (?v_2012 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1)) (?v_2013 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1)) (?v_2014 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.2)) (?v_2015 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0)) (?v_2016 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_2017 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_2018 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2019 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0)) (?v_2020 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0)) (?v_2021 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_2022 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1)) (?v_2023 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0)) (?v_2024 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1)) (?v_2025 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0)) (?v_2026 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1)) (?v_2027 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_2028 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue)) (?v_2029 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0)) (?v_2030 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2)) (?v_2031 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_2032 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0)) (?v_2033 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_2034 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2035 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2036 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2037 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0)) (?v_2038 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_2039 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1)) (?v_2040 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2041 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0)) (?v_2042 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1)) (?v_2043 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0)) (?v_2044 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_2045 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2046 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_2047 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0)) (?v_2048 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2049 (= reqCancelSet_1.17 reqCancelSet_1.16)) (?v_2050 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0)) (?v_2051 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2052 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0)) (?v_2053 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0)) (?v_2054 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_2055 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_2056 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2)) (?v_2057 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3)) (?v_2058 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2059 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0.4)) (?v_2060 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_2061 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2062 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_2063 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_2064 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2065 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_2066 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0)) (?v_2067 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1)) (?v_2068 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_2069 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3)) (?v_2070 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0)) (?v_2071 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2072 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_2073 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0)) (?v_2074 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_2075 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1)) (?v_2076 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest)) (?v_2077 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0.1)) (?v_2078 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_2079 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2)) (?v_2080 (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0.4)) (?v_2081 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_2082 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1)) (?v_2083 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_2084 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4)) (?v_2085 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0)) (?v_2086 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0)) (?v_2087 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2)) (?v_2088 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1)) (?v_2089 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_2090 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2091 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0)) (?v_2092 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_2093 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0)) (?v_2094 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2095 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2096 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_2097 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2098 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_2099 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0.4)) (?v_2100 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0)) (?v_2101 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_2102 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0)) (?v_2103 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2104 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2105 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_2106 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_2107 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0)) (?v_2108 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1)) (?v_2109 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2110 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_2111 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1)) (?v_2112 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_2113 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_2114 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15)) (?v_2115 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_2116 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1)) (?v_2117 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0)) (?v_2118 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1)) (?v_2119 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2121 (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0.1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3) (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2) (=> (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0) (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= lockStatus_1.42 lockStatus_1.41) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) ?v_1426))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1427 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_2948 (and (=> true (=> (not ?v_1427) (=> true (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15) (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_671 ?v_2121))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1427 (=> true (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 0) (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 ?v_2121)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3310 (=> true (=> true (=> true (=> true (=> true ?v_2948)))))) (?v_2972 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2973 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2974 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2975 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2976 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2977 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2978 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_2979 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2980 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2981 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_2982 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2983 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_2984 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_2985 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2986 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2987 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_2988 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_2989 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_2990 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2991 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2992 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_2993 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_2994 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_2995 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3280 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_2996 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_2997 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_2998 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_2999 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3281 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3000 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_3282 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_3001 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_3002 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3003 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3004 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_3005 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_3006 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_3007 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_3008 (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0)) (?v_3009 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3283 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_3010 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_3011 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3013 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3014 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3015 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3016 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3017 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3018 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3019 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_3020 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_3021 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3022 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3023 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_3024 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3025 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3026 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3027 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_3028 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_3029 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3030 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3031 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3032 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3033 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3034 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3035 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3036 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3037 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_3038 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3039 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3040 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_3041 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3042 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3043 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0)) (?v_3044 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_3284 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3045 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3046 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3285 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_3047 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3048 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3049 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_3050 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_3051 (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0)) (?v_3052 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3054 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3055 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_3056 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3057 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3058 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3286 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3059 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3060 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3061 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3287 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3062 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3063 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3064 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_3066 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3067 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3068 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3069 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3070 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3071 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3072 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3073 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3074 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3075 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3076 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3077 (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0)) (?v_3078 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3079 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3080 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3081 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3082 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_3083 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3084 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3085 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3086 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3087 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3088 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3089 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3090 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3091 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3092 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_3093 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3094 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3096 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3097 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3098 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3099 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3100 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3101 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3102 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3103 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3104 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3105 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3106 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3107 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3108 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3109 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3110 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3111 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3112 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_3113 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3114 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_3115 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3116 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3117 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_3118 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3120 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3121 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3122 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_3123 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3124 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3125 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3126 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3127 (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0)) (?v_3129 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3130 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3131 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3132 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_3133 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3134 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3135 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3136 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3137 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3138 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3139 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3140 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_3141 (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0)) (?v_3142 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3143 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3144 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3145 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3146 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3147 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3148 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3149 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3150 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3151 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_3152 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3153 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3154 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_3155 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3156 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_3157 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_3158 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3159 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3160 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3161 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3162 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0)) (?v_3163 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3164 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3165 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3166 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_3167 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3168 (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0)) (?v_3169 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3170 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_3171 (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_3172 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3173 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_3174 (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_3175 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3176 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3177 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_3178 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3179 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_3181 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_3182 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3183 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3184 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_3185 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3186 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3187 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_3188 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3189 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_3190 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_3191 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3192 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3193 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3194 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3195 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3196 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3197 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3198 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_3199 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3200 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3201 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3202 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3203 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_3204 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3205 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3206 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3207 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_3208 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_3209 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3288 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3210 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_3211 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_3213 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3214 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3289 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3215 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3216 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_3217 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3218 (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3219 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3220 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3221 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3223 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3224 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3225 (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_3226 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3227 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3228 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3230 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_3231 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_3232 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3233 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3290 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_3234 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3235 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3236 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3291 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3237 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3238 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3239 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3240 (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0)) (?v_3241 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_3242 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3243 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3292 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3244 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_3245 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3247 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3248 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3249 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_3250 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3251 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3293 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_3294 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0)) (?v_3295 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3296 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3297 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3298 (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_3299 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_3300 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3301 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3302 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_3303 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_3304 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3305 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_3306 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_3307 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3308 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3309 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1))) (let ((?v_3323 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_2972 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2) (=> ?v_2976 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2977 (=> ?v_2978 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2979 (=> ?v_2980 (=> (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1) (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_2984 (=> ?v_2985 (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_2989 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_2990 (=> ?v_2991 (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> ?v_3280 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3281 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_3000 (=> ?v_3282 (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> ?v_3008 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_3009 (=> ?v_3283 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3010 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_3011 (=> (= alloc.17 alloc.15) (=> ?v_3013 (=> ?v_3014 (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_3015 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_3016 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_3020 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> ?v_3021 (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3022 (=> ?v_3023 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_3024 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> ?v_3025 (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> ?v_3026 (=> ?v_3027 (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_3028 (=> ?v_3029 (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> ?v_3030 (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3037 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_3038 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_3039 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3044 (=> (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0.3) (=> ?v_3284 (=> ?v_3045 (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> ?v_3046 (=> ?v_3285 (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3047 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_3048 (=> ?v_3049 (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3050 (=> (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3051 (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3052 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= k.132 k.95) (=> ?v_3054 (=> ?v_3055 (=> (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1) (=> ?v_3056 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> ?v_3057 (=> ?v_3058 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_3286 (=> ?v_3059 (=> ?v_3060 (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_3061 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call27739formal.ret.0) (=> ?v_3287 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= reqCompleted_0.10 reqCompleted_0.5) (=> ?v_3066 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> ?v_3067 (=> ?v_3068 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3069 (=> ?v_3070 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1) (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> ?v_3084 (=> ?v_3085 (=> (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3089 (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0) (=> (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0) (=> ?v_3093 (=> ?v_3094 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= reqCompleted_1.10 reqCompleted_1.5) (=> ?v_3096 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3097 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> ?v_3098 (=> ?v_3099 (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1) (=> ?v_3100 (=> ?v_3101 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3102 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_3103 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3104 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5) (=> (= reqCancelSet_0.16 reqCancelSet_0.11) (=> ?v_3105 (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3106 (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3112 (=> (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0.3) (=> (= errorReached.133 errorReached.97) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3117 (=> ?v_3118 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> ?v_3120 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0.15) (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> ?v_3129 (=> ?v_3130 (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> ?v_3131 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.3) (=> ?v_3132 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3133 (=> ?v_3134 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3135 (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_3136 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_3141 (=> ?v_3142 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3143 (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.3) (=> (= reqCancelSet_1.16 reqCancelSet_1.11) (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0) (=> ?v_3147 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0.4) (=> ?v_3152 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0.4) (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2) (=> ?v_3161 (=> ?v_3162 (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0.3) (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3163 (=> ?v_3164 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call31996formal.new.0) (=> ?v_3165 (=> ?v_3166 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3167 (=> ?v_3168 (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> ?v_3169 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_3173 (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_3174 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_3178 (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3179 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1) (=> ?v_3181 (=> ?v_3182 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0.4) (=> ?v_3183 (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3189 (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3190 (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3191 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3192 (=> ?v_3193 (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3199 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> ?v_3208 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> ?v_3209 (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3288 (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3210 (=> ?v_3211 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> ?v_3213 (=> ?v_3214 (=> ?v_3289 (=> ?v_3215 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3219 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3220 (=> ?v_3221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_3226 (=> ?v_3227 (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_3228 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3230 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0) (=> ?v_3231 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_3232 (=> ?v_3233 (=> ?v_3290 (=> ?v_3234 (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_3235 (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0.3) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3236 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> ?v_3291 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_3242 (=> ?v_3243 (=> ?v_3292 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> ?v_3244 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3245 (=> (= lockStatus_0.41 lockStatus_0.24) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_3251 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3296 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3297 (=> ?v_3298 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0) (=> ?v_3299 (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3300 (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3301 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_3302 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3303 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3304 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_3305 (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) ?v_3310))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3279 (= k.95 0)) (?v_3311 (= k.95 1))) (let ((?v_3316 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call32726formal.ret.0) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= lockStatus_0.24 lockStatus_0.23) ?v_3323))))))))) (?v_3315 (= inline.AcquireDpcLock.6.myVar_0.2 hlock))) (let ((?v_3312 (=> true (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= lockStatus_0.23 lockStatus_0.22) ?v_3316)))) (?v_3313 (= lockStatus_1.22 lockStatus_1.21))) (let ((?v_3314 (=> (= lockStatus_0.22 lockStatus_0.21) (=> true ?v_3312))) (?v_3320 (not ?v_3311)) (?v_3317 (not ?v_3279))) (let ((?v_3319 (and (=> true (=> ?v_3315 (=> true (=> (=> ?v_3279 (= lockStatus_0.21 0)) (=> (=> ?v_3311 (= lockStatus_1.21 0)) (and (=> true (=> ?v_3279 (=> true (=> ?v_3313 (=> (= lockStatus_0.22 1) ?v_3312))))) (=> true (=> ?v_3317 (and (=> true (=> ?v_3311 (=> true (=> (= lockStatus_1.22 1) ?v_3314)))) (=> true (=> ?v_3320 (=> true (=> ?v_3313 ?v_3314))))))))))))) (=> true (=> (not ?v_3315) (=> true (=> (= lockStatus_1.23 lockStatus_1.21) (=> (= lockStatus_0.23 lockStatus_0.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3316)))))))))))))) (let ((?v_3321 (=> true (=> true (=> true (=> true ?v_3319))))) (?v_3318 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3322 (and (=> true (=> ?v_3279 (=> (= inline.AcquireDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3318))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.0) ?v_3319))))) (=> true (=> ?v_3317 (and (=> true (=> ?v_3311 (=> (= inline.AcquireDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3318))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.1) ?v_3321))))) (=> true (=> ?v_3320 (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0) ?v_3321)))))))))) (let ((?v_3330 (and (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.0) ?v_3322)))) (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3279 ?v_274) (=> (=> ?v_3311 ?v_275) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> true ?v_3322)))))) (=> true (=> (=> ?v_3279 ?v_371) (=> (=> ?v_3311 ?v_372) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.24 lockStatus_0.21) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3323))))))))))))))))))))))) (?v_3332 (= k.95 k.93))) (let ((?v_3333 (=> (= errorReached.97 errorReached.95) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3330)))))))))))) (?v_3335 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hdevice)) (?v_3334 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hqueue)) (?v_3331 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 htimer)) (?v_3329 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hrequest)) (?v_3328 (=> true (=> (= k.95 k.94) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.97 errorReached.96) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 call32437formal.ret.0) ?v_3330)))))) (?v_3324 (= k.94 0)) (?v_3325 (= reqCompleted_0.5 0)) (?v_3326 (= k.94 1)) (?v_3327 (= reqCompleted_1.5 0))) (let ((?v_3271 (not ?v_3325)) (?v_3272 (not ?v_3327))) (let ((?v_3338 (and (=> true (=> ?v_3329 (=> true (=> (<= k.93 k.94) (=> (< k.94 2) (and (=> true (=> (=> ?v_3324 ?v_3271) (=> (=> ?v_3326 ?v_3272) (=> true (=> (= errorReached.96 1) ?v_3328))))) (=> true (=> (=> ?v_3324 ?v_3325) (=> (=> ?v_3326 ?v_3327) (=> true (=> (= errorReached.96 errorReached.95) (=> true ?v_3328)))))))))))) (=> true (=> (not ?v_3329) (and (=> true (=> ?v_3331 (=> true (=> ?v_3332 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3333))))) (=> true (=> (not ?v_3331) (and (=> true (=> ?v_3334 (=> true (=> ?v_3332 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3333))))) (=> true (=> (not ?v_3334) (and (=> true (=> ?v_3335 (=> true (=> ?v_3332 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3333))))) (=> true (=> (not ?v_3335) (=> true (=> ?v_3332 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3333))))))))))))))))) (let ((?v_3339 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3338)))))))))))) (?v_3336 (= k.93 1)) (?v_3337 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3353 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3337))) (?v_3278 (= k.93 0)) (?v_3269 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3337)))) (let ((?v_3341 (and (=> true (=> ?v_3278 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.19) ?v_3338))))) (=> true (=> (not ?v_3278) (and (=> true (=> ?v_3336 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.18) ?v_3339))))) (=> true (=> (not ?v_3336) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) ?v_3339)))))))))) (let ((?v_3340 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call32318formal.ret.0) ?v_3341)))) (let ((?v_3346 (and (=> true (=> (=> ?v_3278 ?v_39) (=> (=> ?v_3336 ?v_40) ?v_3340))) (=> true (=> (=> ?v_3278 ?v_592) (=> (=> ?v_3336 ?v_594) (and (=> true (=> (=> ?v_3278 ?v_509) (=> (=> ?v_3336 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3340)))))))))))) (=> true (=> (=> ?v_3278 ?v_596) (=> (=> ?v_3336 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_3341)))))))))))))))) (?v_3348 (= k.93 k.91))) (let ((?v_3349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.) (=> (= errorReached.95 errorReached.93) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3346)))))))))))) (?v_3351 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hdevice)) (?v_3350 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hqueue)) (?v_3347 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 htimer)) (?v_3345 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hrequest)) (?v_3344 (=> true (=> (= k.93 k.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call32121formal.ret.0) (=> (= errorReached.95 errorReached.94) ?v_3346)))))) (?v_3342 (= k.92 0)) (?v_3343 (= k.92 1))) (let ((?v_3354 (and (=> true (=> ?v_3345 (=> true (=> (<= k.91 k.92) (=> (< k.92 2) (and (=> true (=> (=> ?v_3342 ?v_3271) (=> (=> ?v_3343 ?v_3272) (=> true (=> (= errorReached.94 1) ?v_3344))))) (=> true (=> (=> ?v_3342 ?v_3325) (=> (=> ?v_3343 ?v_3327) (=> true (=> (= errorReached.94 errorReached.93) (=> true ?v_3344)))))))))))) (=> true (=> (not ?v_3345) (and (=> true (=> ?v_3347 (=> true (=> ?v_3348 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3349))))) (=> true (=> (not ?v_3347) (and (=> true (=> ?v_3350 (=> true (=> ?v_3348 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3349))))) (=> true (=> (not ?v_3350) (and (=> true (=> ?v_3351 (=> true (=> ?v_3348 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3349))))) (=> true (=> (not ?v_3351) (=> true (=> ?v_3348 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3349))))))))))))))))) (let ((?v_3355 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3354)))))))))))) (?v_3352 (= k.91 1)) (?v_3277 (= k.91 0)) (?v_1399 (>= 1 0)) (?v_3276 (int_2_U call31996formal.new.0))) (let ((?v_3356 (=> true (and ?v_1399 (=> ?v_1399 (=> (> call31996formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call31996formal.new.0 ?x357) (< ?x357 (+ call31996formal.new.0 1))) (= (Base ?x357) call31996formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call31996formal.new.0) (= (MapType0Select alloc.13 ?x358) (MapType0Select alloc.15 ?x358)))) :pattern ((MapType0Select alloc.15 ?x358)) )) (=> (and (= (MapType0Select alloc.13 ?v_3276) UNALLOCATED) (= (MapType0Select alloc.15 ?v_3276) ALLOCATED)) (and (=> true (=> ?v_3277 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.15) ?v_3354))))) (=> true (=> (not ?v_3277) (and (=> true (=> ?v_3352 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.16) ?v_3355))))) (=> true (=> (not ?v_3352) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) ?v_3355))))))))))))))))) (let ((?v_3357 (=> true (=> true (=> true ?v_3356))))) (let ((?v_3362 (and (=> true (=> (=> ?v_3277 ?v_39) (=> (=> ?v_3352 ?v_40) ?v_3356))) (=> true (=> (=> ?v_3277 ?v_592) (=> (=> ?v_3352 ?v_594) (and (=> true (=> (=> ?v_3277 ?v_509) (=> (=> ?v_3352 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3357)))))))))))) (=> true (=> (=> ?v_3277 ?v_596) (=> (=> ?v_3352 ?v_597) ?v_3357))))))))) (?v_3364 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.))) (let ((?v_3365 (=> (= errorReached.93 errorReached.91) (=> (= k.91 k.89) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3362)))))))))))) (?v_3367 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hdevice)) (?v_3366 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hqueue)) (?v_3363 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 htimer)) (?v_3361 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hrequest)) (?v_3360 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call31794formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.93 errorReached.92) (=> (= k.91 k.90) ?v_3362)))))) (?v_3358 (= k.90 0)) (?v_3359 (= k.90 1))) (let ((?v_3369 (and (=> true (=> ?v_3361 (=> true (=> (<= k.89 k.90) (=> (< k.90 2) (and (=> true (=> (=> ?v_3358 ?v_3271) (=> (=> ?v_3359 ?v_3272) (=> true (=> (= errorReached.92 1) ?v_3360))))) (=> true (=> (=> ?v_3358 ?v_3325) (=> (=> ?v_3359 ?v_3327) (=> true (=> (= errorReached.92 errorReached.91) (=> true ?v_3360)))))))))))) (=> true (=> (not ?v_3361) (and (=> true (=> ?v_3363 (=> true (=> ?v_3364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3365))))) (=> true (=> (not ?v_3363) (and (=> true (=> ?v_3366 (=> true (=> ?v_3364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3365))))) (=> true (=> (not ?v_3366) (and (=> true (=> ?v_3367 (=> true (=> ?v_3364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3365))))) (=> true (=> (not ?v_3367) (=> true (=> ?v_3364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3365))))))))))))))))) (let ((?v_3371 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3369)))))))))))) (?v_3370 (= k.89 1)) (?v_3368 (= k.89 0))) (let ((?v_3387 (and (=> true (=> ?v_3368 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.13) ?v_3369))))) (=> true (=> (not ?v_3368) (and (=> true (=> ?v_3370 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.12) ?v_3371))))) (=> true (=> (not ?v_3370) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) ?v_3371))))))))) (?v_3385 (= k.85 0)) (?v_3386 (= k.85 1))) (let ((?v_3378 (=> true (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0) (=> (= k.89 k.88) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.2) ?v_3387)))))))))) (?v_3377 (= inline.ReleaseDpcLock.5.myVar_0.2 hlock))) (let ((?v_3373 (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 call31608formal.ret.0) (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= k.88 k.87) (=> (= lockStatus_0.20 lockStatus_0.19) ?v_3378)))))) (?v_3375 (= lockStatus_1.19 lockStatus_1.18))) (let ((?v_3376 (=> (= lockStatus_0.19 lockStatus_0.18) (=> true ?v_3373))) (?v_3374 (= k.87 1)) (?v_3372 (= k.87 0))) (let ((?v_3381 (and (=> true (=> ?v_3377 (=> true (=> (<= k.86 k.87) (=> (< k.87 2) (and (=> true (=> ?v_3372 (=> true (=> ?v_3375 (=> (= lockStatus_0.19 0) ?v_3373))))) (=> true (=> (not ?v_3372) (and (=> true (=> ?v_3374 (=> true (=> (= lockStatus_1.19 0) ?v_3376)))) (=> true (=> (not ?v_3374) (=> true (=> ?v_3375 ?v_3376))))))))))))) (=> true (=> (not ?v_3377) (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.20 lockStatus_1.18) (=> (= k.88 k.86) (=> (= lockStatus_0.20 lockStatus_0.18) (=> true (=> true (=> true ?v_3378))))))))))))) (let ((?v_3383 (=> true (=> true (=> true (=> true ?v_3381))))) (?v_3382 (= k.86 1)) (?v_3380 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3379 (= k.86 0))) (let ((?v_3384 (=> true (=> (<= k.85 k.86) (=> (< k.86 2) (and (=> true (=> ?v_3379 (=> (= inline.ReleaseDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3380))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.1) ?v_3381))))) (=> true (=> (not ?v_3379) (and (=> true (=> ?v_3382 (=> (= inline.ReleaseDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3380))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.0) ?v_3383))))) (=> true (=> (not ?v_3382) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0) ?v_3383))))))))))))) (let ((?v_3392 (and (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.1) ?v_3384)))) (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3385 ?v_274) (=> (=> ?v_3386 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.0) (=> true (=> true ?v_3384))))))) (=> true (=> (=> ?v_3385 ?v_371) (=> (=> ?v_3386 ?v_372) (=> true (=> (= lockStatus_0.21 lockStatus_0.18) (=> (= lockStatus_1.21 lockStatus_1.18) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= k.89 k.85) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.0) (=> true (=> true (=> true (=> true ?v_3387))))))))))))))))))))) (?v_3394 (= k.85 k.83)) (?v_3395 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.))) (let ((?v_3396 (=> (= errorReached.91 errorReached.89) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3392))))))))))) (?v_3398 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hdevice)) (?v_3397 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hqueue)) (?v_3393 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 htimer)) (?v_3391 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hrequest)) (?v_3390 (=> true (=> (= k.85 k.84) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 call31366formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.91 errorReached.90) ?v_3392)))))) (?v_3388 (= k.84 0)) (?v_3389 (= k.84 1))) (let ((?v_3400 (and (=> true (=> ?v_3391 (=> true (=> (<= k.83 k.84) (=> (< k.84 2) (and (=> true (=> (=> ?v_3388 ?v_3271) (=> (=> ?v_3389 ?v_3272) (=> true (=> (= errorReached.90 1) ?v_3390))))) (=> true (=> (=> ?v_3388 ?v_3325) (=> (=> ?v_3389 ?v_3327) (=> true (=> (= errorReached.90 errorReached.89) (=> true ?v_3390)))))))))))) (=> true (=> (not ?v_3391) (and (=> true (=> ?v_3393 (=> true (=> ?v_3394 (=> ?v_3395 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3396)))))) (=> true (=> (not ?v_3393) (and (=> true (=> ?v_3397 (=> true (=> ?v_3394 (=> ?v_3395 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3396)))))) (=> true (=> (not ?v_3397) (and (=> true (=> ?v_3398 (=> true (=> ?v_3394 (=> ?v_3395 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3396)))))) (=> true (=> (not ?v_3398) (=> true (=> ?v_3394 (=> ?v_3395 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3396)))))))))))))))))) (let ((?v_3401 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3400)))))))))))) (?v_3399 (= k.83 1))) (let ((?v_3405 (not ?v_3399)) (?v_3275 (= k.83 0))) (let ((?v_3402 (not ?v_3275))) (let ((?v_3411 (and (=> true (=> ?v_3275 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.9) ?v_3400))))) (=> true (=> ?v_3402 (and (=> true (=> ?v_3399 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.10) ?v_3401))))) (=> true (=> ?v_3405 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) ?v_3401))))))))) (?v_3274 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3409 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3274)) hrequest)) (?v_3410 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3274)) hrequest)) (?v_3404 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_3411))))) (let ((?v_3408 (=> true ?v_3404)) (?v_3406 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3407 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3403 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2214 (int_2_U 1))) (let ((?v_3423 (and (=> true (=> (=> ?v_3275 ?v_3409) (=> (=> ?v_3399 ?v_3410) (and (=> true (=> ?v_3275 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3403 ?v_2214)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) (=> ?v_3407 ?v_3404)))))) (=> true (=> ?v_3402 (and (=> true (=> ?v_3399 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3403 ?v_2214)) (=> true (=> ?v_3406 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_3408)))))) (=> true (=> ?v_3405 (=> true (=> ?v_3406 (=> ?v_3407 ?v_3408)))))))))))) (=> true (=> (=> ?v_3275 (not ?v_3409)) (=> (=> ?v_3399 (not ?v_3410)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> true ?v_3411))))))))) (?v_3270 (= k.80 0)) (?v_3418 (= k.80 1))) (let ((?v_3417 (=> true (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= k.83 k.82) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call31197formal.ret.0) ?v_3423))))))))))) (?v_3416 (= inline.AcquireDpcLock.5.myVar_0.2 hlock))) (let ((?v_3413 (=> true (=> (= k.82 k.81) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call31145formal.ret.0) (=> (= lockStatus_0.17 lockStatus_0.16) ?v_3417)))))) (?v_3414 (= lockStatus_1.16 lockStatus_1.15))) (let ((?v_3415 (=> (= lockStatus_0.16 lockStatus_0.15) (=> true ?v_3413))) (?v_3412 (= k.81 1)) (?v_3273 (= k.81 0))) (let ((?v_3420 (and (=> true (=> ?v_3416 (=> true (=> (<= k.80 k.81) (=> (< k.81 2) (=> true (=> (=> ?v_3273 (= lockStatus_0.15 0)) (=> (=> ?v_3412 (= lockStatus_1.15 0)) (and (=> true (=> ?v_3273 (=> true (=> ?v_3414 (=> (= lockStatus_0.16 1) ?v_3413))))) (=> true (=> (not ?v_3273) (and (=> true (=> ?v_3412 (=> true (=> (= lockStatus_1.16 1) ?v_3415)))) (=> true (=> (not ?v_3412) (=> true (=> ?v_3414 ?v_3415)))))))))))))))) (=> true (=> (not ?v_3416) (=> true (=> (= k.82 k.80) (=> (= lockStatus_1.17 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.17 lockStatus_0.15) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3417)))))))))))))))) (let ((?v_3421 (=> true (=> true (=> true (=> true ?v_3420))))) (?v_3433 (not ?v_3418)) (?v_3419 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3431 (not ?v_3270))) (let ((?v_3422 (and (=> true (=> ?v_3270 (=> (= inline.AcquireDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3419))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.0) ?v_3420))))) (=> true (=> ?v_3431 (and (=> true (=> ?v_3418 (=> (= inline.AcquireDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3419))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.1) ?v_3421))))) (=> true (=> ?v_3433 (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0) ?v_3421)))))))))) (let ((?v_3426 (and (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.0) ?v_3422)))) (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3270 ?v_274) (=> (=> ?v_3418 ?v_275) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.1) (=> true ?v_3422)))))) (=> true (=> (=> ?v_3270 ?v_371) (=> (=> ?v_3418 ?v_372) (=> true (=> (= lockStatus_0.18 lockStatus_0.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.83 k.80) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.18 lockStatus_1.15) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true (=> true ?v_3423))))))))))))))))))))))) (let ((?v_3428 (=> (= errorReached.89 errorReached.87) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3426))))))))))) (?v_3430 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hdevice)) (?v_3429 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hqueue)) (?v_3427 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 htimer)) (?v_3425 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hrequest)) (?v_3424 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.89 errorReached.88) ?v_3426))))) (let ((?v_3432 (and (=> true (=> ?v_3425 (and (=> true (=> (=> ?v_3270 ?v_3271) (=> (=> ?v_3418 ?v_3272) (=> true (=> (= errorReached.88 1) ?v_3424))))) (=> true (=> (=> ?v_3270 ?v_3325) (=> (=> ?v_3418 ?v_3327) (=> true (=> (= errorReached.88 errorReached.87) (=> true ?v_3424))))))))) (=> true (=> (not ?v_3425) (and (=> true (=> ?v_3427 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3428)))) (=> true (=> (not ?v_3427) (and (=> true (=> ?v_3429 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3428)))) (=> true (=> (not ?v_3429) (and (=> true (=> ?v_3430 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3428)))) (=> true (=> (not ?v_3430) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3428)))))))))))))))) (let ((?v_3434 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3432))))))))))))) (let ((?v_3438 (=> true (=> (<= k.79 k.80) (=> (< k.80 2) (and (=> true (=> ?v_3270 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.6) ?v_3432))))) (=> true (=> ?v_3431 (and (=> true (=> ?v_3418 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.7) ?v_3434))))) (=> true (=> ?v_3433 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3434)))))))))))) (?v_3435 (= k.79 0)) (?v_3436 (= k.79 1))) (let ((?v_3437 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call30788formal.ret.0) ?v_3438)))) (let ((?v_3443 (and (=> true (=> (=> ?v_3435 ?v_39) (=> (=> ?v_3436 ?v_40) ?v_3437))) (=> true (=> (=> ?v_3435 ?v_592) (=> (=> ?v_3436 ?v_594) (and (=> true (=> (=> ?v_3435 ?v_509) (=> (=> ?v_3436 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3437)))))))))))) (=> true (=> (=> ?v_3435 ?v_596) (=> (=> ?v_3436 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3438))))))))))))))) (?v_3445 (= k.79 k.77))) (let ((?v_3446 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= errorReached.87 errorReached.85) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3443)))))))))))) (?v_3448 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hdevice)) (?v_3447 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hqueue)) (?v_3444 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 htimer)) (?v_3442 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hrequest)) (?v_3441 (=> true (=> (= k.79 k.78) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call30591formal.ret.0) (=> (= errorReached.87 errorReached.86) ?v_3443)))))) (?v_3439 (= k.78 0)) (?v_3440 (= k.78 1))) (let ((?v_3450 (and (=> true (=> ?v_3442 (=> true (=> (<= k.77 k.78) (=> (< k.78 2) (and (=> true (=> (=> ?v_3439 ?v_3271) (=> (=> ?v_3440 ?v_3272) (=> true (=> (= errorReached.86 1) ?v_3441))))) (=> true (=> (=> ?v_3439 ?v_3325) (=> (=> ?v_3440 ?v_3327) (=> true (=> (= errorReached.86 errorReached.85) (=> true ?v_3441)))))))))))) (=> true (=> (not ?v_3442) (and (=> true (=> ?v_3444 (=> true (=> ?v_3445 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3446))))) (=> true (=> (not ?v_3444) (and (=> true (=> ?v_3447 (=> true (=> ?v_3445 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3446))))) (=> true (=> (not ?v_3447) (and (=> true (=> ?v_3448 (=> true (=> ?v_3445 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3446))))) (=> true (=> (not ?v_3448) (=> true (=> ?v_3445 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3446))))))))))))))))) (let ((?v_3452 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3450)))))))))))) (?v_3451 (= k.77 1)) (?v_3449 (= k.77 0))) (let ((?v_3620 (and (=> true (=> ?v_3449 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 ?v_3269) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.3) ?v_3450))))) (=> true (=> (not ?v_3449) (and (=> true (=> ?v_3451 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 ?v_3353) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.4) ?v_3452))))) (=> true (=> (not ?v_3451) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) ?v_3452))))))))) (?v_3623 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3624 (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3625 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3626 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3627 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3628 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3629 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_3630 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3631 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_3632 (= reqCompleted_0.5 reqCompleted_0)) (?v_3633 (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0)) (?v_3634 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3635 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3636 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_3637 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3638 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3639 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3640 (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0)) (?v_3641 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3642 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3643 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_3644 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3645 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3646 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3647 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3648 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3649 (= lockStatus_1.15 lockStatus_1.8)) (?v_3650 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_3651 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3652 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3653 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3654 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3655 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_3656 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3657 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3658 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3659 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3660 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3661 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3662 (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_3663 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3664 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_3665 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_3666 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3667 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3668 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3669 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3670 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_3671 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3672 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3673 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3674 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3675 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3676 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3677 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3678 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3679 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3680 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_3681 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3682 (= k.77 k.42)) (?v_3683 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3684 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3685 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_3686 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_3687 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3688 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3689 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3690 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3691 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3692 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_3693 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3694 (= lockStatus_0.15 lockStatus_0.8)) (?v_3695 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3696 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3697 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3698 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3699 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3700 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3701 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_3702 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3703 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3704 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3705 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3706 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3707 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_3708 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_3709 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3710 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3711 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3712 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3713 (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_3714 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_3715 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3716 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3717 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3718 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3719 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3720 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3721 (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0)) (?v_3722 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3723 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_3724 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3725 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3726 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3727 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3728 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3729 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3730 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3731 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3732 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3733 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3734 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3735 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3736 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3737 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3738 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3739 (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0)) (?v_3740 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3741 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3742 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3743 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3744 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3745 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.))) (let ((?v_3746 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCompleted_1.5 reqCompleted_1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1) (=> true (=> true ?v_3620))))))))) (let ((?v_3752 (=> true (=> ?v_3623 (=> ?v_3624 (=> (= errorReached.85 errorReached.49) (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> (= reqCancelSet_0.11 reqCancelSet_0.3) (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> (= reqCancelSet_1.11 reqCancelSet_1.3) ?v_3746)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3748 (=> true (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= errorReached.49 errorReached.48) ?v_3752))))) (?v_3749 (= reqCancelSet_1.2 reqCancelSet_1))) (let ((?v_3750 (=> (= reqCancelSet_0.2 reqCancelSet_0) (=> true ?v_3748))) (?v_3747 (= k.42 1)) (?v_3622 (= k.42 0))) (let ((?v_3751 (and (=> true (=> ?v_3622 (=> true (=> ?v_3749 (=> (= reqCancelSet_0.2 1) ?v_3748))))) (=> true (=> (not ?v_3622) (and (=> true (=> ?v_3747 (=> true (=> (= reqCancelSet_1.2 1) ?v_3750)))) (=> true (=> (not ?v_3747) (=> true (=> ?v_3749 ?v_3750))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_8 (not ?v_2)) (?v_9 (not ?v_3)) (?v_3621 (= (BINARY_BOTH_INT call27739formal.ret.0 2) 0)) (?v_3617 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3618 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3619 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call27763formal.ret.0)) (?v_3616 (= call27763formal.ret.0 ?v_327))) (let ((?v_3473 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= errorReached.85 errorReached.84) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> (= lockStatus_1.15 lockStatus_1.14) (=> ?v_3617 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.3) (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3618 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= k.77 k.76) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> ?v_3619 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.3) (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3620))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3478 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCompleted_1.4 reqCompleted_1) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= reqCompleted_0.4 reqCompleted_0) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= reqCancelSet_0.10 reqCancelSet_0) (=> (= k.76 k.73) (=> (= reqCancelSet_1.10 reqCancelSet_1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= errorReached.84 errorReached.79) (=> true (=> true (=> true ?v_3473))))))))))))))))))))))))))))))))))))) (?v_3480 (= k.73 k.71))) (let ((?v_3481 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= errorReached.79 errorReached.77) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3478))))))))))))))))))))) (?v_3483 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_3482 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_3479 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_3477 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_3476 (=> true (=> (= k.73 k.72) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call30012formal.ret.0) (=> (= errorReached.79 errorReached.78) ?v_3478)))))) (?v_3474 (= k.72 0)) (?v_3475 (= k.72 1)) (?v_3472 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_3464 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= reqCancelSet_0.10 reqCancelSet_0.9) (=> (= k.76 k.75) (=> (= reqCancelSet_1.10 reqCancelSet_1.9) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= errorReached.84 errorReached.83) ?v_3473))))))))))))))))))))))))))))))))))) (let ((?v_3454 (=> true (=> (= reqCancelSet_1.9 reqCancelSet_1.8) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= reqCancelSet_0.9 reqCancelSet_0.8) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= errorReached.83 errorReached.82) ?v_3464))))))) (?v_3455 (= reqCancelSet_1.8 reqCancelSet_1))) (let ((?v_3456 (=> (= reqCancelSet_0.8 reqCancelSet_0) (=> true ?v_3454))) (?v_3453 (= k.75 1))) (let ((?v_3459 (not ?v_3453)) (?v_3268 (= k.75 0))) (let ((?v_3457 (not ?v_3268))) (let ((?v_3458 (and (=> true (=> ?v_3268 (=> true (=> ?v_3455 (=> (= reqCancelSet_0.8 0) ?v_3454))))) (=> true (=> ?v_3457 (and (=> true (=> ?v_3453 (=> true (=> (= reqCancelSet_1.8 0) ?v_3456)))) (=> true (=> ?v_3459 (=> true (=> ?v_3455 ?v_3456)))))))))) (let ((?v_3462 (=> true (=> true ?v_3458))) (?v_3460 (= reqCompleted_0.2 reqCompleted_0)) (?v_3461 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_3463 (and (=> true (=> ?v_3268 (=> true (=> (= reqCompleted_0.2 1) (=> ?v_3461 ?v_3458))))) (=> true (=> ?v_3457 (and (=> true (=> ?v_3453 (=> true (=> ?v_3460 (=> (= reqCompleted_1.2 1) ?v_3462))))) (=> true (=> ?v_3459 (=> true (=> ?v_3460 (=> ?v_3461 ?v_3462))))))))))) (let ((?v_3465 (and (=> true (=> ?v_26 (and (=> true (=> (=> ?v_3268 ?v_8) (=> (=> ?v_3453 ?v_9) (=> true (=> (= errorReached.82 1) ?v_3463))))) (=> true (=> (=> ?v_3268 ?v_2) (=> (=> ?v_3453 ?v_3) (=> true (=> (= errorReached.82 errorReached.81) (=> true ?v_3463))))))))) (=> true (=> ?v_453 (=> true (=> (= reqCancelSet_1.9 reqCancelSet_1) (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= reqCancelSet_0.9 reqCancelSet_0) (=> (= reqCompleted_1.3 reqCompleted_1) (=> (= errorReached.83 errorReached.81) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3464))))))))))))))))) (let ((?v_3469 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2) ?v_3465)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3465)))))))))))))))) (?v_3470 (= k.75 k.71))) (let ((?v_3471 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= errorReached.81 errorReached.77) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3469)))))))))))) (?v_3468 (=> true (=> (= k.75 k.74) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call30224formal.ret.0) (=> (= errorReached.81 errorReached.80) ?v_3469)))))) (?v_3466 (= k.74 0)) (?v_3467 (= k.74 1))) (let ((?v_3486 (and (=> true (=> (not ?v_3472) (and (=> true (=> ?v_26 (=> true (=> (<= k.71 k.74) (=> (< k.74 2) (and (=> true (=> (=> ?v_3466 ?v_8) (=> (=> ?v_3467 ?v_9) (=> true (=> (= errorReached.80 1) ?v_3468))))) (=> true (=> (=> ?v_3466 ?v_2) (=> (=> ?v_3467 ?v_3) (=> true (=> (= errorReached.80 errorReached.77) (=> true ?v_3468)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_3470 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3471))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_3470 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3471))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_3470 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3471))))) (=> true (=> ?v_496 (=> true (=> ?v_3470 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3471))))))))))))))))) (=> true (=> ?v_3472 (and (=> true (=> ?v_3477 (=> true (=> (<= k.71 k.72) (=> (< k.72 2) (and (=> true (=> (=> ?v_3474 ?v_8) (=> (=> ?v_3475 ?v_9) (=> true (=> (= errorReached.78 1) ?v_3476))))) (=> true (=> (=> ?v_3474 ?v_2) (=> (=> ?v_3475 ?v_3) (=> true (=> (= errorReached.78 errorReached.77) (=> true ?v_3476)))))))))))) (=> true (=> (not ?v_3477) (and (=> true (=> ?v_3479 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3481))))) (=> true (=> (not ?v_3479) (and (=> true (=> ?v_3482 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3481))))) (=> true (=> (not ?v_3482) (and (=> true (=> ?v_3483 (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3481))))) (=> true (=> (not ?v_3483) (=> true (=> ?v_3480 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3481)))))))))))))))))))) (let ((?v_3487 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3486))))))) (?v_3484 (= k.71 0)) (?v_3485 (= k.71 1))) (let ((?v_3492 (and (=> true (=> (=> ?v_3484 ?v_39) (=> (=> ?v_3485 ?v_40) ?v_3486))) (=> true (=> (=> ?v_3484 ?v_592) (=> (=> ?v_3485 ?v_594) (and (=> true (=> (=> ?v_3484 ?v_509) (=> (=> ?v_3485 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3487)))))))))))) (=> true (=> (=> ?v_3484 ?v_596) (=> (=> ?v_3485 ?v_597) ?v_3487))))))))) (?v_3494 (= k.71 k.69)) (?v_3495 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.))) (let ((?v_3496 (=> (= errorReached.77 errorReached.75) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3492))))))))))) (?v_3498 (= inline.EvtRequestChildCancel.1.myVar_0.14 hdevice)) (?v_3497 (= inline.EvtRequestChildCancel.1.myVar_0.14 hqueue)) (?v_3493 (= inline.EvtRequestChildCancel.1.myVar_0.14 htimer)) (?v_3491 (= inline.EvtRequestChildCancel.1.myVar_0.14 hrequest)) (?v_3490 (=> true (=> (= k.71 k.70) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call29722formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.77 errorReached.76) ?v_3492)))))) (?v_3488 (= k.70 0)) (?v_3489 (= k.70 1))) (let ((?v_3501 (and (=> true (=> ?v_3491 (=> true (=> (<= k.69 k.70) (=> (< k.70 2) (and (=> true (=> (=> ?v_3488 ?v_8) (=> (=> ?v_3489 ?v_9) (=> true (=> (= errorReached.76 1) ?v_3490))))) (=> true (=> (=> ?v_3488 ?v_2) (=> (=> ?v_3489 ?v_3) (=> true (=> (= errorReached.76 errorReached.75) (=> true ?v_3490)))))))))))) (=> true (=> (not ?v_3491) (and (=> true (=> ?v_3493 (=> true (=> ?v_3494 (=> ?v_3495 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3496)))))) (=> true (=> (not ?v_3493) (and (=> true (=> ?v_3497 (=> true (=> ?v_3494 (=> ?v_3495 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3496)))))) (=> true (=> (not ?v_3497) (and (=> true (=> ?v_3498 (=> true (=> ?v_3494 (=> ?v_3495 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3496)))))) (=> true (=> (not ?v_3498) (=> true (=> ?v_3494 (=> ?v_3495 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3496)))))))))))))))))) (let ((?v_3503 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3501)))))))))))) (?v_3502 (= k.69 1)) (?v_3500 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3531 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3500))) (?v_3499 (= k.69 0)) (?v_3266 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3500)))) (let ((?v_3519 (=> true (=> (<= k.68 k.69) (=> (< k.69 2) (and (=> true (=> ?v_3499 (=> (= inline.EvtRequestChildCancel.1.myVar_0.13 ?v_3266) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.13) ?v_3501))))) (=> true (=> (not ?v_3499) (and (=> true (=> ?v_3502 (=> (= inline.EvtRequestChildCancel.1.myVar_0.12 ?v_3531) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.12) ?v_3503))))) (=> true (=> (not ?v_3502) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.11) ?v_3503)))))))))))) (?v_3517 (= k.64 0)) (?v_3518 (= k.64 1))) (let ((?v_3510 (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= k.68 k.67) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.2) ?v_3519)))))))))) (?v_3509 (= inline.ReleaseDpcLock.4.myVar_0.2 hlock))) (let ((?v_3505 (=> true (=> (= k.67 k.66) (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call29575formal.ret.0) (=> (= lockStatus_0.13 lockStatus_0.12) ?v_3510)))))) (?v_3507 (= lockStatus_1.12 lockStatus_1.11))) (let ((?v_3508 (=> (= lockStatus_0.12 lockStatus_0.11) (=> true ?v_3505))) (?v_3506 (= k.66 1)) (?v_3504 (= k.66 0))) (let ((?v_3513 (and (=> true (=> ?v_3509 (=> true (=> (<= k.65 k.66) (=> (< k.66 2) (and (=> true (=> ?v_3504 (=> true (=> ?v_3507 (=> (= lockStatus_0.12 0) ?v_3505))))) (=> true (=> (not ?v_3504) (and (=> true (=> ?v_3506 (=> true (=> (= lockStatus_1.12 0) ?v_3508)))) (=> true (=> (not ?v_3506) (=> true (=> ?v_3507 ?v_3508))))))))))))) (=> true (=> (not ?v_3509) (=> true (=> (= k.67 k.65) (=> (= lockStatus_1.13 lockStatus_1.11) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.13 lockStatus_0.11) (=> true (=> true (=> true ?v_3510))))))))))))) (let ((?v_3515 (=> true (=> true (=> true (=> true ?v_3513))))) (?v_3514 (= k.65 1)) (?v_3512 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3511 (= k.65 0))) (let ((?v_3516 (=> true (=> (<= k.64 k.65) (=> (< k.65 2) (and (=> true (=> ?v_3511 (=> (= inline.ReleaseDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3512))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.1) ?v_3513))))) (=> true (=> (not ?v_3511) (and (=> true (=> ?v_3514 (=> (= inline.ReleaseDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3512))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.0) ?v_3515))))) (=> true (=> (not ?v_3514) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0) ?v_3515))))))))))))) (let ((?v_3524 (and (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.0) ?v_3516)))) (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3517 ?v_274) (=> (=> ?v_3518 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> true (=> true ?v_3516))))))) (=> true (=> (=> ?v_3517 ?v_371) (=> (=> ?v_3518 ?v_372) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0) (=> (= lockStatus_1.14 lockStatus_1.11) (=> (= lockStatus_0.14 lockStatus_0.11) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= k.68 k.64) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> true (=> true (=> true ?v_3519)))))))))))))))))))) (?v_3526 (= k.64 k.62))) (let ((?v_3527 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> (= errorReached.75 errorReached.73) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3524)))))))))))) (?v_3529 (= inline.EvtRequestChildCancel.1.myVar_0.11 hdevice)) (?v_3528 (= inline.EvtRequestChildCancel.1.myVar_0.11 hqueue)) (?v_3525 (= inline.EvtRequestChildCancel.1.myVar_0.11 htimer)) (?v_3523 (= inline.EvtRequestChildCancel.1.myVar_0.11 hrequest)) (?v_3522 (=> true (=> (= k.64 k.63) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 call29333formal.ret.0) (=> (= errorReached.75 errorReached.74) ?v_3524)))))) (?v_3520 (= k.63 0)) (?v_3521 (= k.63 1))) (let ((?v_3532 (and (=> true (=> ?v_3523 (=> true (=> (<= k.62 k.63) (=> (< k.63 2) (and (=> true (=> (=> ?v_3520 ?v_8) (=> (=> ?v_3521 ?v_9) (=> true (=> (= errorReached.74 1) ?v_3522))))) (=> true (=> (=> ?v_3520 ?v_2) (=> (=> ?v_3521 ?v_3) (=> true (=> (= errorReached.74 errorReached.73) (=> true ?v_3522)))))))))))) (=> true (=> (not ?v_3523) (and (=> true (=> ?v_3525 (=> true (=> ?v_3526 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3527))))) (=> true (=> (not ?v_3525) (and (=> true (=> ?v_3528 (=> true (=> ?v_3526 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3527))))) (=> true (=> (not ?v_3528) (and (=> true (=> ?v_3529 (=> true (=> ?v_3526 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3527))))) (=> true (=> (not ?v_3529) (=> true (=> ?v_3526 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3527))))))))))))))))) (let ((?v_3534 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3532)))))))))))) (?v_3533 (= k.62 1)) (?v_3530 (= k.62 0))) (let ((?v_3537 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> ?v_3530 (=> (= inline.EvtRequestChildCancel.1.myVar_0.9 ?v_3266) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.9) ?v_3532))))) (=> true (=> (not ?v_3530) (and (=> true (=> ?v_3533 (=> (= inline.EvtRequestChildCancel.1.myVar_0.10 ?v_3531) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.10) ?v_3534))))) (=> true (=> (not ?v_3533) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.8) ?v_3534))))))))))))) (let ((?v_3541 (=> true (=> true ?v_3537))) (?v_3539 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3540 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3538 (= k.61 1)) (?v_3536 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3535 (= k.61 0))) (let ((?v_3544 (=> true (=> (<= k.60 k.61) (=> (< k.61 2) (and (=> true (=> ?v_3535 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3536 ?v_67)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> ?v_3540 ?v_3537)))))) (=> true (=> (not ?v_3535) (and (=> true (=> ?v_3538 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3536 ?v_67)) (=> true (=> ?v_3539 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_3541)))))) (=> true (=> (not ?v_3538) (=> true (=> ?v_3539 (=> ?v_3540 ?v_3541))))))))))))) (?v_3546 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1))) (let ((?v_3547 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) (=> true ?v_3544))) (?v_3545 (= k.60 1)) (?v_3543 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3542 (= k.60 0))) (let ((?v_3559 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> ?v_3542 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3543 ?v_67)) (=> true (=> ?v_3546 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3544)))))) (=> true (=> (not ?v_3542) (and (=> true (=> ?v_3545 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3543 ?v_67)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3547))))) (=> true (=> (not ?v_3545) (=> true (=> ?v_3546 ?v_3547)))))))))))) (?v_3265 (= k.59 0)) (?v_3267 (= k.59 1))) (let ((?v_3552 (=> true (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call29133formal.ret.0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.2) (=> (= lockStatus_1.11 lockStatus_1.10) ?v_3559))))))))) (?v_3551 (= inline.AcquireDpcLock.4.myVar_0.2 hlock))) (let ((?v_3548 (=> true (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= lockStatus_0.10 lockStatus_0.9) ?v_3552)))) (?v_3549 (= lockStatus_1.9 lockStatus_1.8))) (let ((?v_3550 (=> (= lockStatus_0.9 lockStatus_0.8) (=> true ?v_3548))) (?v_3556 (not ?v_3267)) (?v_3553 (not ?v_3265))) (let ((?v_3555 (and (=> true (=> ?v_3551 (=> true (=> (=> ?v_3265 (= lockStatus_0.8 0)) (=> (=> ?v_3267 (= lockStatus_1.8 0)) (and (=> true (=> ?v_3265 (=> true (=> ?v_3549 (=> (= lockStatus_0.9 1) ?v_3548))))) (=> true (=> ?v_3553 (and (=> true (=> ?v_3267 (=> true (=> (= lockStatus_1.9 1) ?v_3550)))) (=> true (=> ?v_3556 (=> true (=> ?v_3549 ?v_3550))))))))))))) (=> true (=> (not ?v_3551) (=> true (=> (= lockStatus_1.10 lockStatus_1.8) (=> (= lockStatus_0.10 lockStatus_0.8) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3552)))))))))))))) (let ((?v_3557 (=> true (=> true (=> true (=> true ?v_3555))))) (?v_3554 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3558 (and (=> true (=> ?v_3265 (=> (= inline.AcquireDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3554))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.0) ?v_3555))))) (=> true (=> ?v_3553 (and (=> true (=> ?v_3267 (=> (= inline.AcquireDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3554))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.1) ?v_3557))))) (=> true (=> ?v_3556 (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0) ?v_3557)))))))))) (let ((?v_3562 (and (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.0) ?v_3558)))) (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3265 ?v_274) (=> (=> ?v_3267 ?v_275) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> true ?v_3558)))))) (=> true (=> (=> ?v_3265 ?v_371) (=> (=> ?v_3267 ?v_372) (=> true (=> (= lockStatus_0.11 lockStatus_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> (= lockStatus_1.11 lockStatus_1.8) (=> true (=> true (=> true ?v_3559)))))))))))))))))))) (let ((?v_3564 (=> (= errorReached.73 errorReached.71) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3562))))))))))) (?v_3566 (= inline.EvtRequestChildCancel.1.myVar_0.8 hdevice)) (?v_3565 (= inline.EvtRequestChildCancel.1.myVar_0.8 hqueue)) (?v_3563 (= inline.EvtRequestChildCancel.1.myVar_0.8 htimer)) (?v_3561 (= inline.EvtRequestChildCancel.1.myVar_0.8 hrequest)) (?v_3560 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.73 errorReached.72) ?v_3562))))) (let ((?v_3567 (and (=> true (=> ?v_3561 (and (=> true (=> (=> ?v_3265 ?v_8) (=> (=> ?v_3267 ?v_9) (=> true (=> (= errorReached.72 1) ?v_3560))))) (=> true (=> (=> ?v_3265 ?v_2) (=> (=> ?v_3267 ?v_3) (=> true (=> (= errorReached.72 errorReached.71) (=> true ?v_3560))))))))) (=> true (=> (not ?v_3561) (and (=> true (=> ?v_3563 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3564)))) (=> true (=> (not ?v_3563) (and (=> true (=> ?v_3565 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3564)))) (=> true (=> (not ?v_3565) (and (=> true (=> ?v_3566 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3564)))) (=> true (=> (not ?v_3566) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3564)))))))))))))))) (let ((?v_3568 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3567))))))))))))) (let ((?v_3570 (and (=> true (=> ?v_3265 (=> (= inline.EvtRequestChildCancel.1.myVar_0.6 ?v_3266) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.6) ?v_3567))))) (=> true (=> ?v_3553 (and (=> true (=> ?v_3267 (=> (= inline.EvtRequestChildCancel.1.myVar_0.7 ?v_3531) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.7) ?v_3568))))) (=> true (=> ?v_3556 (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.5) ?v_3568)))))))))) (let ((?v_3569 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call28727formal.ret.0) ?v_3570)))) (let ((?v_3575 (and (=> true (=> (=> ?v_3265 ?v_39) (=> (=> ?v_3267 ?v_40) ?v_3569))) (=> true (=> (=> ?v_3265 ?v_592) (=> (=> ?v_3267 ?v_594) (and (=> true (=> (=> ?v_3265 ?v_509) (=> (=> ?v_3267 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3569)))))))))))) (=> true (=> (=> ?v_3265 ?v_596) (=> (=> ?v_3267 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_3570))))))))))))))))) (let ((?v_3580 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3575)))))))))) (?v_3577 (= k.59 k.47)) (?v_3578 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_3579 (= errorReached.71 errorReached.56)) (?v_3582 (= inline.EvtRequestChildCancel.1.myVar_0.5 hdevice)) (?v_3581 (= inline.EvtRequestChildCancel.1.myVar_0.5 hqueue)) (?v_3576 (= inline.EvtRequestChildCancel.1.myVar_0.5 htimer)) (?v_3574 (= inline.EvtRequestChildCancel.1.myVar_0.5 hrequest)) (?v_3573 (=> true (=> (= k.59 k.58) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 call28530formal.ret.0) (=> (= errorReached.71 errorReached.70) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3575)))))) (?v_3571 (= k.58 0)) (?v_3572 (= k.58 1))) (let ((?v_3584 (and (=> true (=> ?v_3574 (=> true (=> (<= k.47 k.58) (=> (< k.58 2) (and (=> true (=> (=> ?v_3571 ?v_8) (=> (=> ?v_3572 ?v_9) (=> true (=> (= errorReached.70 1) ?v_3573))))) (=> true (=> (=> ?v_3571 ?v_2) (=> (=> ?v_3572 ?v_3) (=> true (=> (= errorReached.70 errorReached.56) (=> true ?v_3573)))))))))))) (=> true (=> (not ?v_3574) (and (=> true (=> ?v_3576 (=> true (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3580))))))) (=> true (=> (not ?v_3576) (and (=> true (=> ?v_3581 (=> true (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3580))))))) (=> true (=> (not ?v_3581) (and (=> true (=> ?v_3582 (=> true (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3580))))))) (=> true (=> (not ?v_3582) (=> true (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3580))))))))))))))))))) (let ((?v_3586 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3584)))))))))))) (?v_3585 (= k.47 1)) (?v_3583 (= k.47 0))) (let ((?v_3590 (and (=> true (=> ?v_3583 (=> (= inline.EvtRequestChildCancel.1.myVar_0.3 ?v_3266) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.3) ?v_3584))))) (=> true (=> (not ?v_3583) (and (=> true (=> ?v_3585 (=> (= inline.EvtRequestChildCancel.1.myVar_0.4 ?v_3531) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.4) ?v_3586))))) (=> true (=> (not ?v_3585) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3586))))))))) (?v_3591 (= k.47 k.45)) (?v_3592 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.))) (let ((?v_3593 (=> (= errorReached.56 errorReached.54) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3590)))))))))))) (?v_3589 (=> true (=> (= k.47 k.46) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 call28320formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.56 errorReached.55) ?v_3590)))))) (?v_3587 (= k.46 0)) (?v_3588 (= k.46 1))) (let ((?v_3597 (and (=> true (=> ?v_26 (=> true (=> (<= k.45 k.46) (=> (< k.46 2) (and (=> true (=> (=> ?v_3587 ?v_8) (=> (=> ?v_3588 ?v_9) (=> true (=> (= errorReached.55 1) ?v_3589))))) (=> true (=> (=> ?v_3587 ?v_2) (=> (=> ?v_3588 ?v_3) (=> true (=> (= errorReached.55 errorReached.54) (=> true ?v_3589)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_3591 (=> ?v_3592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3593)))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_3591 (=> ?v_3592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3593)))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_3591 (=> ?v_3592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3593)))))) (=> true (=> ?v_496 (=> true (=> ?v_3591 (=> ?v_3592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3593)))))))))))))))))) (let ((?v_3599 (=> (= errorReached.54 errorReached.52) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3597)))))))))))))))))) (?v_3601 (= inline.EvtRequestChildCancel.1.myVar_0.2 hdevice)) (?v_3600 (= inline.EvtRequestChildCancel.1.myVar_0.2 hqueue)) (?v_3598 (= inline.EvtRequestChildCancel.1.myVar_0.2 htimer)) (?v_3596 (= inline.EvtRequestChildCancel.1.myVar_0.2 hrequest)) (?v_3595 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.54 errorReached.53) ?v_3597)))) (?v_3264 (= k.45 0)) (?v_3594 (= k.45 1))) (let ((?v_3603 (and (=> true (=> ?v_3596 (and (=> true (=> (=> ?v_3264 ?v_8) (=> (=> ?v_3594 ?v_9) (=> true (=> (= errorReached.53 1) ?v_3595))))) (=> true (=> (=> ?v_3264 ?v_2) (=> (=> ?v_3594 ?v_3) (=> true (=> (= errorReached.53 errorReached.52) (=> true ?v_3595))))))))) (=> true (=> (not ?v_3596) (and (=> true (=> ?v_3598 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3599)))) (=> true (=> (not ?v_3598) (and (=> true (=> ?v_3600 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3599)))) (=> true (=> (not ?v_3600) (and (=> true (=> ?v_3601 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3599)))) (=> true (=> (not ?v_3601) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3599)))))))))))))))) (let ((?v_3604 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3603)))))))) (?v_3602 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3608 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_3264 (=> (= inline.EvtRequestChildCancel.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3602))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.0) ?v_3603))))) (=> true (=> (not ?v_3264) (and (=> true (=> ?v_3594 (=> (= inline.EvtRequestChildCancel.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3602))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.1) ?v_3604))))) (=> true (=> (not ?v_3594) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0) ?v_3604))))))))))))) (let ((?v_3609 (=> (= errorReached.52 errorReached.50) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3608))))))))))) (?v_3607 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.52 errorReached.51) ?v_3608)))) (?v_3605 (= k.44 0)) (?v_3606 (= k.44 1))) (let ((?v_3614 (and (=> true (=> ?v_24 (and (=> true (=> (=> ?v_3605 ?v_8) (=> (=> ?v_3606 ?v_9) (=> true (=> (= errorReached.51 1) ?v_3607))))) (=> true (=> (=> ?v_3605 ?v_2) (=> (=> ?v_3606 ?v_3) (=> true (=> (= errorReached.51 errorReached.50) (=> true ?v_3607))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3609)))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3609)))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3609)))) (=> true (=> ?v_2414 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3609)))))))))))))))) (let ((?v_3615 (=> (= errorReached.50 errorReached.47) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3614))))))))))))))) (?v_3612 (= k.44 k.43)) (?v_3613 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call27833formal.ret.0)) (?v_3610 (= k.43 0)) (?v_3611 (= k.43 1)) (?v_3263 (int_2_U call27725formal.new.0))) (let ((?v_3757 (=> true (and ?v_1399 (=> ?v_1399 (=> (> call27725formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call27725formal.new.0 ?x359) (< ?x359 (+ call27725formal.new.0 1))) (= (Base ?x359) call27725formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call27725formal.new.0) (= (MapType0Select alloc.12 ?x360) (MapType0Select alloc.13 ?x360)))) :pattern ((MapType0Select alloc.13 ?x360)) )) (=> (and (= (MapType0Select alloc.12 ?v_3263) UNALLOCATED) (= (MapType0Select alloc.13 ?v_3263) ALLOCATED)) (and (=> true (=> (not ?v_3621) (and (=> true (=> ?v_3616 (and (=> true (=> ?v_26 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> (=> ?v_3610 ?v_8) (=> (=> ?v_3611 ?v_9) (=> true (=> ?v_3612 (=> ?v_3613 (=> (= errorReached.50 1) ?v_3614))))))) (=> true (=> (=> ?v_3610 ?v_2) (=> (=> ?v_3611 ?v_3) (=> true (=> ?v_3612 (=> ?v_3613 ?v_3615)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.44 k.42) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) ?v_3615)))))))) (=> true (=> (not ?v_3616) (=> true (=> ?v_3623 (=> ?v_3624 (=> (= errorReached.85 errorReached.47) (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3617 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3618 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3619 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> (= reqCancelSet_0.11 reqCancelSet_0) (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> (= reqCancelSet_1.11 reqCancelSet_1) ?v_3746))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3621 (and (=> true (=> ?v_26 (and (=> true (=> (=> ?v_3622 ?v_8) (=> (=> ?v_3747 ?v_9) (=> true (=> (= errorReached.48 1) ?v_3751))))) (=> true (=> (=> ?v_3622 ?v_2) (=> (=> ?v_3747 ?v_3) (=> true (=> (= errorReached.48 errorReached.47) (=> true ?v_3751))))))))) (=> true (=> ?v_453 (=> true (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= errorReached.49 errorReached.47) (=> true (=> true (=> true ?v_3752))))))))))))))))))))) (?v_3759 (= k.42 k.40)) (?v_3760 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.))) (let ((?v_3761 (=> (= errorReached.47 errorReached.45) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3757)))))))))) (?v_3763 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hdevice)) (?v_3762 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hqueue)) (?v_3758 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 htimer)) (?v_3756 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hrequest)) (?v_3755 (=> true (=> (= k.42 k.41) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 call27610formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.47 errorReached.46) ?v_3757)))))) (?v_3753 (= k.41 0)) (?v_3754 (= k.41 1))) (let ((?v_3766 (and (=> true (=> ?v_3756 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> (=> ?v_3753 ?v_8) (=> (=> ?v_3754 ?v_9) (=> true (=> (= errorReached.46 1) ?v_3755))))) (=> true (=> (=> ?v_3753 ?v_2) (=> (=> ?v_3754 ?v_3) (=> true (=> (= errorReached.46 errorReached.45) (=> true ?v_3755)))))))))))) (=> true (=> (not ?v_3756) (and (=> true (=> ?v_3758 (=> true (=> ?v_3759 (=> ?v_3760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3761)))))) (=> true (=> (not ?v_3758) (and (=> true (=> ?v_3762 (=> true (=> ?v_3759 (=> ?v_3760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3761)))))) (=> true (=> (not ?v_3762) (and (=> true (=> ?v_3763 (=> true (=> ?v_3759 (=> ?v_3760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3761)))))) (=> true (=> (not ?v_3763) (=> true (=> ?v_3759 (=> ?v_3760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3761)))))))))))))))))) (let ((?v_3767 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3766)))))))) (?v_3764 (= k.40 1)) (?v_3765 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3262 (= k.40 0))) (let ((?v_3769 (and (=> true (=> ?v_3262 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3765))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.0) ?v_3766))))) (=> true (=> (not ?v_3262) (and (=> true (=> ?v_3764 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3765))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.1) ?v_3767))))) (=> true (=> (not ?v_3764) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0) ?v_3767)))))))))) (let ((?v_3771 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3769)))))))))) (?v_3770 (= errorReached.45 errorReached.43)) (?v_3768 (=> true (=> (= errorReached.45 errorReached.44) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3769))))) (let ((?v_3775 (and (=> true (=> ?v_24 (and (=> true (=> (=> ?v_3262 ?v_8) (=> (=> ?v_3764 ?v_9) (=> true (=> (= errorReached.44 1) ?v_3768))))) (=> true (=> (=> ?v_3262 ?v_2) (=> (=> ?v_3764 ?v_3) (=> true (=> (= errorReached.44 errorReached.43) (=> true ?v_3768))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> ?v_3770 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3771))))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> ?v_3770 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3771))))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> ?v_3770 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3771))))) (=> true (=> ?v_2414 (=> true (=> ?v_3770 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3771)))))))))))))))) (?v_3776 (= k.40 k.38))) (let ((?v_3777 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= errorReached.43 errorReached.41) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3775)))))))))))))))))) (?v_3774 (=> true (=> (= k.40 k.39) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call27251formal.ret.0) (=> (= errorReached.43 errorReached.42) ?v_3775)))))) (?v_3772 (= k.39 0)) (?v_3773 (= k.39 1))) (let ((?v_3778 (and (=> true (=> ?v_26 (=> true (=> (<= k.38 k.39) (=> (< k.39 2) (and (=> true (=> (=> ?v_3772 ?v_8) (=> (=> ?v_3773 ?v_9) (=> true (=> (= errorReached.42 1) ?v_3774))))) (=> true (=> (=> ?v_3772 ?v_2) (=> (=> ?v_3773 ?v_3) (=> true (=> (= errorReached.42 errorReached.41) (=> true ?v_3774)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_3776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3777))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_3776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3777))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_3776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3777))))) (=> true (=> ?v_496 (=> true (=> ?v_3776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3777))))))))))))))))) (let ((?v_3779 (=> true (=> (= errorReached.41 errorReached.40) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3778))))))))))))))) (?v_3258 (= k.38 0))) (let ((?v_3782 (=> ?v_3258 ?v_2)) (?v_3259 (= k.38 1))) (let ((?v_3783 (=> ?v_3259 ?v_3)) (?v_3260 (=> ?v_3258 ?v_8)) (?v_3261 (=> ?v_3259 ?v_9))) (let ((?v_3780 (and (=> true (=> ?v_26 (and (=> true (=> ?v_3260 (=> ?v_3261 (=> true (=> (= errorReached.41 1) ?v_3778))))) (=> true (=> ?v_3782 (=> ?v_3783 ?v_3779)))))) (=> true (=> ?v_453 ?v_3779))))) (let ((?v_3781 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3780)))))))))))))))) (let ((?v_3786 (and (=> true (=> (=> ?v_3258 ?v_39) (=> (=> ?v_3259 ?v_40) ?v_3780))) (=> true (=> (=> ?v_3258 ?v_592) (=> (=> ?v_3259 ?v_594) (and (=> true (=> (=> ?v_3258 ?v_509) (=> (=> ?v_3259 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3781)))))))))))) (=> true (=> (=> ?v_3258 ?v_596) (=> (=> ?v_3259 ?v_597) ?v_3781)))))))))) (let ((?v_3788 (=> (= errorReached.40 errorReached.31) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3786))))))))))) (?v_3790 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hdevice)) (?v_3789 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hqueue)) (?v_3787 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 htimer)) (?v_3785 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hrequest)) (?v_3784 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.40 errorReached.39) ?v_3786))))) (let ((?v_3791 (and (=> true (=> ?v_3785 (and (=> true (=> ?v_3260 (=> ?v_3261 (=> true (=> (= errorReached.39 1) ?v_3784))))) (=> true (=> ?v_3782 (=> ?v_3783 (=> true (=> (= errorReached.39 errorReached.31) (=> true ?v_3784))))))))) (=> true (=> (not ?v_3785) (and (=> true (=> ?v_3787 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3788)))) (=> true (=> (not ?v_3787) (and (=> true (=> ?v_3789 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3788)))) (=> true (=> (not ?v_3789) (and (=> true (=> ?v_3790 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3788)))) (=> true (=> (not ?v_3790) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3788)))))))))))))))) (let ((?v_3792 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3791)))))))))))) (?v_2618 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2645 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2618))) (?v_1392 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2618)))) (let ((?v_3808 (=> true (=> (<= k.37 k.38) (=> (< k.38 2) (and (=> true (=> ?v_3258 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 ?v_1392) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12) ?v_3791))))) (=> true (=> (not ?v_3258) (and (=> true (=> ?v_3259 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 ?v_2645) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13) ?v_3792))))) (=> true (=> (not ?v_3259) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) ?v_3792)))))))))))) (?v_3806 (= k.26 0)) (?v_3807 (= k.26 1))) (let ((?v_3799 (=> true (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= k.37 k.36) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0) ?v_3808)))))))))) (?v_3798 (= inline.ReleaseDpcLock.3.myVar_0.2 hlock))) (let ((?v_3794 (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 call26746formal.ret.0) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= k.36 k.35) (=> (= lockStatus_0.7 lockStatus_0.6) ?v_3799)))))) (?v_3796 (= lockStatus_1.6 lockStatus_1.2))) (let ((?v_3797 (=> (= lockStatus_0.6 lockStatus_0.2) (=> true ?v_3794))) (?v_3795 (= k.35 1)) (?v_3793 (= k.35 0))) (let ((?v_3802 (and (=> true (=> ?v_3798 (=> true (=> (<= k.27 k.35) (=> (< k.35 2) (and (=> true (=> ?v_3793 (=> true (=> ?v_3796 (=> (= lockStatus_0.6 0) ?v_3794))))) (=> true (=> (not ?v_3793) (and (=> true (=> ?v_3795 (=> true (=> (= lockStatus_1.6 0) ?v_3797)))) (=> true (=> (not ?v_3795) (=> true (=> ?v_3796 ?v_3797))))))))))))) (=> true (=> (not ?v_3798) (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= k.36 k.27) (=> (= lockStatus_0.7 lockStatus_0.2) (=> true (=> true (=> true ?v_3799))))))))))))) (let ((?v_3804 (=> true (=> true (=> true (=> true ?v_3802))))) (?v_3803 (= k.27 1)) (?v_3801 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3800 (= k.27 0))) (let ((?v_3805 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> ?v_3800 (=> (= inline.ReleaseDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3801))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.1) ?v_3802))))) (=> true (=> (not ?v_3800) (and (=> true (=> ?v_3803 (=> (= inline.ReleaseDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3801))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.0) ?v_3804))))) (=> true (=> (not ?v_3803) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0) ?v_3804))))))))))))) (let ((?v_3813 (and (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.0) ?v_3805)))) (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3806 ?v_274) (=> (=> ?v_3807 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.1) (=> true (=> true ?v_3805))))))) (=> true (=> (=> ?v_3806 ?v_371) (=> (=> ?v_3807 ?v_372) (=> true (=> (= lockStatus_0.8 lockStatus_0.2) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0) (=> (= k.37 k.26) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_3808))))))))))))))))))))) (let ((?v_3815 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.) (=> (= errorReached.31 errorReached.28) (=> (= k.26 k.24) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3813))))))))))))) (?v_3817 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hdevice)) (?v_3816 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hqueue)) (?v_3814 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 htimer)) (?v_3812 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hrequest)) (?v_3811 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 call26504formal.ret.0) (=> (= errorReached.31 errorReached.30) (=> (= k.26 k.25) ?v_3813)))))) (?v_3809 (= k.25 0)) (?v_3810 (= k.25 1))) (let ((?v_3818 (and (=> true (=> ?v_3812 (=> true (=> (<= k.24 k.25) (=> (< k.25 2) (and (=> true (=> (=> ?v_3809 ?v_8) (=> (=> ?v_3810 ?v_9) (=> true (=> (= errorReached.30 1) ?v_3811))))) (=> true (=> (=> ?v_3809 ?v_2) (=> (=> ?v_3810 ?v_3) (=> true (=> (= errorReached.30 errorReached.28) (=> true ?v_3811)))))))))))) (=> true (=> (not ?v_3812) (and (=> true (=> ?v_3814 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3815)))) (=> true (=> (not ?v_3814) (and (=> true (=> ?v_3816 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3815)))) (=> true (=> (not ?v_3816) (and (=> true (=> ?v_3817 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3815)))) (=> true (=> (not ?v_3817) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3815)))))))))))))))) (let ((?v_3820 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3818)))))))))))) (?v_3819 (= k.24 1))) (let ((?v_3824 (not ?v_3819)) (?v_3257 (= k.24 0))) (let ((?v_3821 (not ?v_3257))) (let ((?v_3823 (and (=> true (=> ?v_3257 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 ?v_1392) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4) ?v_3818))))) (=> true (=> ?v_3821 (and (=> true (=> ?v_3819 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 ?v_2645) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3) ?v_3820))))) (=> true (=> ?v_3824 (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_3820)))))))))) (let ((?v_3827 (=> true (=> true ?v_3823))) (?v_3825 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3826 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1381 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3822 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1381 ?v_67)) (?v_3256 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1381 ?v_67))) (let ((?v_3830 (=> true (=> (<= k.23 k.24) (=> (< k.24 2) (and (=> true (=> ?v_3257 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3256) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) (=> ?v_3826 ?v_3823)))))) (=> true (=> ?v_3821 (and (=> true (=> ?v_3819 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3822) (=> true (=> ?v_3825 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_3827)))))) (=> true (=> ?v_3824 (=> true (=> ?v_3825 (=> ?v_3826 ?v_3827))))))))))))) (?v_3832 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_3833 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_3830)))) (?v_3831 (= k.23 1)) (?v_1389 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3829 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1389 ?v_2656)) (?v_3828 (= k.23 0)) (?v_3255 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1389 ?v_2656)) (?v_3254 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 0)) (?v_2662 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2663 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2664 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2665 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_2666 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0)) (?v_2667 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2668 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2669 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2670 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2671 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2672 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2673 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_2674 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2675 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2676 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_2677 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_2678 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2679 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_2682 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2683 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2685 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2686 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_2687 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2688 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2689 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2690 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_2691 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_2693 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_2694 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2695 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3012 (= alloc.17 alloc.12)) (?v_2696 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_2697 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2698 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2699 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_2700 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_2701 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2702 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2703 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_2704 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2705 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_2706 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_2707 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2708 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2709 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_2710 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_2711 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2712 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_2713 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_2714 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2715 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_2716 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2717 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2718 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_2719 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2720 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2721 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2722 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2723 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_2724 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_2725 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2726 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_2727 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_2728 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2729 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2730 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2731 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2732 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2733 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_2734 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2735 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_2736 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2737 (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0)) (?v_2739 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_2740 (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0)) (?v_2741 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_2743 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2744 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2745 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_2746 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2747 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_2748 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2749 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_2750 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3053 (= k.132 k.22)) (?v_2751 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_2752 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_2753 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2755 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2756 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2757 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_2759 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3065 (= reqCompleted_0.10 reqCompleted_0)) (?v_2760 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2761 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2762 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2763 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2764 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2765 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_2766 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2767 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2768 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2769 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_2770 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_2771 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_2772 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_2773 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_2774 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2775 (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2776 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2777 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2778 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2779 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2780 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2781 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_2782 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3095 (= reqCompleted_1.10 reqCompleted_1)) (?v_2783 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_2784 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2785 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2786 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_2787 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2788 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_2789 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2790 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_2791 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2792 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2793 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_2794 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_2795 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2796 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2797 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2798 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_2799 (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0)) (?v_2800 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2801 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2802 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3119 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2803 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2804 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2805 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2806 (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3128 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2)) (?v_2807 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2808 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2809 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_2810 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2811 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2812 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_2813 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2814 (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_2815 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_2816 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2817 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2818 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_2819 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_2820 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2821 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2822 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2823 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2824 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2825 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_2826 (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_2827 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2828 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2829 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_2830 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2831 (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0)) (?v_2832 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2833 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_2834 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_2835 (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_2836 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2837 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2838 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2839 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2840 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_2841 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_2842 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2843 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2844 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2845 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2846 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_2847 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_2848 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_2849 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_2850 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2851 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2852 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2853 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2854 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2855 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_3180 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2856 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_2857 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_2858 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2859 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0)) (?v_2860 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_2861 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2862 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2863 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2864 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2865 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2866 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2867 (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_2868 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2869 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2870 (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0)) (?v_2871 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2872 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2873 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2874 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2875 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2876 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2877 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2878 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2879 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2880 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_2881 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2882 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_2883 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2885 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3212 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2886 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2888 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2889 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_2890 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2891 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2892 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2893 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_2894 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3222 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2895 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2896 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2897 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2898 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_3229 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2899 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2900 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2901 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_2902 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2903 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_2904 (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0)) (?v_2905 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2906 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2907 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2908 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2909 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_2910 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_2912 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2913 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2915 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2916 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2917 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2918 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2919 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3246 (= lockStatus_0.41 lockStatus_0.2)) (?v_2920 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2921 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_2922 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2923 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_2924 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_2925 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_2926 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2927 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2929 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_2930 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2931 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2932 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_2933 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2934 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2935 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2936 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_2937 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2938 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_2939 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_2940 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2941 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2942 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2943 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2944 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2945 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2946 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2947 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1))) (let ((?v_3252 (=> ?v_3294 (=> ?v_3295 (=> ?v_2929 (=> ?v_2930 (=> ?v_3296 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_3297 (=> ?v_3298 (=> ?v_2935 (=> ?v_2936 (=> ?v_3299 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_3300 (=> ?v_2940 (=> ?v_2941 (=> ?v_3301 (=> ?v_2942 (=> ?v_3302 (=> ?v_2943 (=> ?v_3303 (=> ?v_2944 (=> ?v_3304 (=> ?v_2945 (=> ?v_3305 (=> (= lockStatus_1.41 lockStatus_1.2) (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_2946 (=> ?v_2947 ?v_3310))))))))))))))))))))))))))))))))))))) (?v_1380 (= k.22 0)) (?v_2970 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1381)) 0)) (?v_1382 (= k.22 1)) (?v_2971 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1381)) 0)) (?v_2680 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2681 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2684 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2692 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0)) (?v_2738 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call19261formal.ret.0)) (?v_2742 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2754 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2758 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2884 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2887 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2911 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2914 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2928 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2661 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_327)))) (let ((?v_2136 (=> true (=> ?v_2662 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> ?v_2666 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2667 (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_2668 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2669 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2670 (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2671 (=> ?v_2672 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2673 (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2674 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_2679 (=> ?v_2680 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call25500formal.new.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> ?v_2684 (=> ?v_2685 (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2690 (=> (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0.3) (=> ?v_2691 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2692 (=> ?v_2693 (=> (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2694 (=> ?v_2695 (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> (= alloc.17 alloc.16) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2698 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2699 (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1) (=> ?v_2700 (=> ?v_2701 (=> (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1) (=> ?v_2702 (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2707 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2708 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1) (=> ?v_2713 (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2714 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2715 (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_2728 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> ?v_2729 (=> ?v_2730 (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_2731 (=> ?v_2732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2) (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> ?v_2737 (=> ?v_2738 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2744 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2745 (=> ?v_2746 (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2747 (=> (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0.15) (=> ?v_2748 (=> ?v_2749 (=> (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2750 (=> (= k.132 k.131) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_2751 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2752 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2753 (=> ?v_2754 (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2755 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2759 (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2760 (=> ?v_2761 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_2762 (=> ?v_2763 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> ?v_2764 (=> ?v_2765 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2766 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2767 (=> (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0.4) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2768 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2769 (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2770 (=> ?v_2771 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2782 (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0) (=> ?v_2783 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2784 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> ?v_2785 (=> ?v_2786 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2787 (=> ?v_2788 (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> ?v_2789 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2793 (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0) (=> ?v_2794 (=> ?v_2795 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2796 (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1) (=> ?v_2797 (=> ?v_2798 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3) (=> ?v_2799 (=> (= errorReached.133 errorReached.132) (=> ?v_2800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_2801 (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2802 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0.3) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2815 (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_2816 (=> ?v_2817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_2821 (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> ?v_2822 (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0.3) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2826 (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2827 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2828 (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> ?v_2829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2830 (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_2831 (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0.4) (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2838 (=> ?v_2839 (=> ?v_2840 (=> ?v_2841 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0) (=> ?v_2842 (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0.3) (=> ?v_2843 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_2844 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2845 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2846 (=> (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> ?v_2847 (=> ?v_2848 (=> ?v_2849 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2854 (=> ?v_2855 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call21252formal.ret.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> ?v_2856 (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2857 (=> ?v_2858 (=> ?v_2859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2863 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2867 (=> ?v_2868 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2869 (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_2870 (=> (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1) (=> (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> ?v_2871 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0) (=> ?v_2878 (=> ?v_2879 (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2880 (=> ?v_2881 (=> ?v_2882 (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> ?v_2886 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2887 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_2888 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> ?v_2889 (=> ?v_2890 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2891 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.3) (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0) (=> ?v_2898 (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2899 (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2900 (=> ?v_2901 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> ?v_2902 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_3290 (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> ?v_2903 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0.3) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_2913 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2918 (=> ?v_2919 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= lockStatus_0.41 lockStatus_0.40) (=> ?v_2920 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2929 (=> ?v_2930 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.3) (=> ?v_2935 (=> ?v_2936 (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0) (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2940 (=> ?v_2941 (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2942 (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0) (=> ?v_2943 (=> (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0) (=> ?v_2944 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2945 (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2946 (=> ?v_2947 ?v_2948))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2134 (= k.127 0)) (?v_2135 (= k.127 1))) (let ((?v_2127 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call26232formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= k.131 k.130) ?v_2136))))))))))) (?v_2126 (= inline.AcquireDpcLock.3.myVar_0.2 hlock))) (let ((?v_2123 (=> true (=> (= k.130 k.129) (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call26180formal.ret.0) (=> (= lockStatus_0.39 lockStatus_0.38) ?v_2127)))))) (?v_2124 (= lockStatus_1.38 lockStatus_1.37))) (let ((?v_2125 (=> (= lockStatus_0.38 lockStatus_0.37) (=> true ?v_2123))) (?v_2122 (= k.129 1)) (?v_1425 (= k.129 0))) (let ((?v_2130 (and (=> true (=> ?v_2126 (=> true (=> (<= k.128 k.129) (=> (< k.129 2) (=> true (=> (=> ?v_1425 (= lockStatus_0.37 0)) (=> (=> ?v_2122 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1425 (=> true (=> ?v_2124 (=> (= lockStatus_0.38 1) ?v_2123))))) (=> true (=> (not ?v_1425) (and (=> true (=> ?v_2122 (=> true (=> (= lockStatus_1.38 1) ?v_2125)))) (=> true (=> (not ?v_2122) (=> true (=> ?v_2124 ?v_2125)))))))))))))))) (=> true (=> (not ?v_2126) (=> true (=> (= k.130 k.128) (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.39 lockStatus_0.37) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2127)))))))))))))))) (let ((?v_2132 (=> true (=> true (=> true (=> true ?v_2130))))) (?v_2131 (= k.128 1)) (?v_2129 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2128 (= k.128 0))) (let ((?v_2133 (=> true (=> (<= k.127 k.128) (=> (< k.128 2) (and (=> true (=> ?v_2128 (=> (= inline.AcquireDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2129))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.1) ?v_2130))))) (=> true (=> (not ?v_2128) (and (=> true (=> ?v_2131 (=> (= inline.AcquireDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2129))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.0) ?v_2132))))) (=> true (=> (not ?v_2131) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0) ?v_2132))))))))))))) (let ((?v_2143 (and (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.0) ?v_2133)))) (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_2134 ?v_274) (=> (=> ?v_2135 ?v_275) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.1) ?v_2133))))) (=> true (=> (=> ?v_2134 ?v_371) (=> (=> ?v_2135 ?v_372) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.40 lockStatus_1.37) (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= k.131 k.127) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2136)))))))))))))))))))))))))) (let ((?v_2148 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2143)))))))))) (?v_2145 (= k.127 k.125)) (?v_2146 (= errorReached.132 errorReached.130)) (?v_2147 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_2150 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hdevice)) (?v_2149 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hqueue)) (?v_2144 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 htimer)) (?v_2142 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hrequest)) (?v_2141 (=> true (=> (= k.127 k.126) (=> (= errorReached.132 errorReached.131) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 call25940formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2143)))))) (?v_2137 (= k.126 0)) (?v_2138 (= reqCompleted_0.9 0)) (?v_2139 (= k.126 1)) (?v_2140 (= reqCompleted_1.9 0))) (let ((?v_1415 (not ?v_2138)) (?v_1416 (not ?v_2140))) (let ((?v_2152 (and (=> true (=> ?v_2142 (=> true (=> (<= k.125 k.126) (=> (< k.126 2) (and (=> true (=> (=> ?v_2137 ?v_1415) (=> (=> ?v_2139 ?v_1416) (=> true (=> (= errorReached.131 1) ?v_2141))))) (=> true (=> (=> ?v_2137 ?v_2138) (=> (=> ?v_2139 ?v_2140) (=> true (=> (= errorReached.131 errorReached.130) (=> true ?v_2141)))))))))))) (=> true (=> (not ?v_2142) (and (=> true (=> ?v_2144 (=> true (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2148))))))) (=> true (=> (not ?v_2144) (and (=> true (=> ?v_2149 (=> true (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2148))))))) (=> true (=> (not ?v_2149) (and (=> true (=> ?v_2150 (=> true (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2148))))))) (=> true (=> (not ?v_2150) (=> true (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2148))))))))))))))))))) (let ((?v_2153 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2152)))))))))))) (?v_1424 (= k.125 1))) (let ((?v_2167 (not ?v_1424)) (?v_2151 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2165 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2151))) (?v_1423 (= k.125 0))) (let ((?v_2164 (not ?v_1423)) (?v_1414 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2151)))) (let ((?v_2155 (and (=> true (=> ?v_1423 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.19) ?v_2152))))) (=> true (=> ?v_2164 (and (=> true (=> ?v_1424 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.18) ?v_2153))))) (=> true (=> ?v_2167 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) ?v_2153)))))))))) (let ((?v_2154 (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call25821formal.ret.0) ?v_2155)))) (let ((?v_2158 (and (=> true (=> (=> ?v_1423 ?v_39) (=> (=> ?v_1424 ?v_40) ?v_2154))) (=> true (=> (=> ?v_1423 ?v_592) (=> (=> ?v_1424 ?v_594) (and (=> true (=> (=> ?v_1423 ?v_509) (=> (=> ?v_1424 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2154)))))))))))) (=> true (=> (=> ?v_1423 ?v_596) (=> (=> ?v_1424 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_2155))))))))))))))))) (let ((?v_2161 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2158)))))))))) (?v_2160 (= errorReached.130 errorReached.128)) (?v_2163 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hdevice)) (?v_2162 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hqueue)) (?v_2159 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 htimer)) (?v_2157 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hrequest)) (?v_2156 (=> true (=> (= errorReached.130 errorReached.129) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2158))))) (let ((?v_2166 (and (=> true (=> ?v_2157 (and (=> true (=> (=> ?v_1423 ?v_1415) (=> (=> ?v_1424 ?v_1416) (=> true (=> (= errorReached.129 1) ?v_2156))))) (=> true (=> (=> ?v_1423 ?v_2138) (=> (=> ?v_1424 ?v_2140) (=> true (=> (= errorReached.129 errorReached.128) (=> true ?v_2156))))))))) (=> true (=> (not ?v_2157) (and (=> true (=> ?v_2159 (=> true (=> ?v_2160 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2161))))) (=> true (=> (not ?v_2159) (and (=> true (=> ?v_2162 (=> true (=> ?v_2160 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2161))))) (=> true (=> (not ?v_2162) (and (=> true (=> ?v_2163 (=> true (=> ?v_2160 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2161))))) (=> true (=> (not ?v_2163) (=> true (=> ?v_2160 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2161))))))))))))))))) (let ((?v_2168 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2166)))))))))))) (?v_1422 (int_2_U call25500formal.new.0))) (let ((?v_2169 (=> true (and ?v_1399 (=> ?v_1399 (=> (> call25500formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call25500formal.new.0 ?x361) (< ?x361 (+ call25500formal.new.0 1))) (= (Base ?x361) call25500formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call25500formal.new.0) (= (MapType0Select alloc.14 ?x362) (MapType0Select alloc.16 ?x362)))) :pattern ((MapType0Select alloc.16 ?x362)) )) (=> (and (= (MapType0Select alloc.14 ?v_1422) UNALLOCATED) (= (MapType0Select alloc.16 ?v_1422) ALLOCATED)) (=> true (=> (<= k.124 k.125) (=> (< k.125 2) (and (=> true (=> ?v_1423 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.15) ?v_2166))))) (=> true (=> ?v_2164 (and (=> true (=> ?v_1424 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.16) ?v_2168))))) (=> true (=> ?v_2167 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) ?v_2168)))))))))))))))))))) (let ((?v_2170 (=> true (=> true (=> true ?v_2169)))) (?v_1420 (= k.124 0)) (?v_1421 (= k.124 1))) (let ((?v_2173 (and (=> true (=> (=> ?v_1420 ?v_39) (=> (=> ?v_1421 ?v_40) ?v_2169))) (=> true (=> (=> ?v_1420 ?v_592) (=> (=> ?v_1421 ?v_594) (and (=> true (=> (=> ?v_1420 ?v_509) (=> (=> ?v_1421 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2170)))))))))))) (=> true (=> (=> ?v_1420 ?v_596) (=> (=> ?v_1421 ?v_597) ?v_2170)))))))))) (let ((?v_2175 (=> (= errorReached.128 errorReached.126) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2173))))))))))) (?v_2177 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hdevice)) (?v_2176 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hqueue)) (?v_2174 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 htimer)) (?v_2172 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hrequest)) (?v_2171 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.128 errorReached.127) ?v_2173))))) (let ((?v_2178 (and (=> true (=> ?v_2172 (and (=> true (=> (=> ?v_1420 ?v_1415) (=> (=> ?v_1421 ?v_1416) (=> true (=> (= errorReached.127 1) ?v_2171))))) (=> true (=> (=> ?v_1420 ?v_2138) (=> (=> ?v_1421 ?v_2140) (=> true (=> (= errorReached.127 errorReached.126) (=> true ?v_2171))))))))) (=> true (=> (not ?v_2172) (and (=> true (=> ?v_2174 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2175)))) (=> true (=> (not ?v_2174) (and (=> true (=> ?v_2176 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2175)))) (=> true (=> (not ?v_2176) (and (=> true (=> ?v_2177 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2175)))) (=> true (=> (not ?v_2177) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2175)))))))))))))))) (let ((?v_2179 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2178))))))))))))) (let ((?v_2195 (=> true (=> (<= k.123 k.124) (=> (< k.124 2) (and (=> true (=> ?v_1420 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.12) ?v_2178))))) (=> true (=> (not ?v_1420) (and (=> true (=> ?v_1421 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.13) ?v_2179))))) (=> true (=> (not ?v_1421) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) ?v_2179)))))))))))) (?v_2193 (= k.119 0)) (?v_2194 (= k.119 1))) (let ((?v_2186 (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= k.123 k.122) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.2) ?v_2195)))))))))) (?v_2185 (= inline.ReleaseDpcLock.2.myVar_0.2 hlock))) (let ((?v_2181 (=> true (=> (= k.122 k.121) (=> (= lockStatus_1.36 lockStatus_1.35) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call25112formal.ret.0) (=> (= lockStatus_0.36 lockStatus_0.35) ?v_2186)))))) (?v_2183 (= lockStatus_1.35 lockStatus_1.34))) (let ((?v_2184 (=> (= lockStatus_0.35 lockStatus_0.34) (=> true ?v_2181))) (?v_2182 (= k.121 1)) (?v_2180 (= k.121 0))) (let ((?v_2189 (and (=> true (=> ?v_2185 (=> true (=> (<= k.120 k.121) (=> (< k.121 2) (and (=> true (=> ?v_2180 (=> true (=> ?v_2183 (=> (= lockStatus_0.35 0) ?v_2181))))) (=> true (=> (not ?v_2180) (and (=> true (=> ?v_2182 (=> true (=> (= lockStatus_1.35 0) ?v_2184)))) (=> true (=> (not ?v_2182) (=> true (=> ?v_2183 ?v_2184))))))))))))) (=> true (=> (not ?v_2185) (=> true (=> (= k.122 k.120) (=> (= lockStatus_1.36 lockStatus_1.34) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.36 lockStatus_0.34) (=> true (=> true (=> true ?v_2186))))))))))))) (let ((?v_2191 (=> true (=> true (=> true (=> true ?v_2189))))) (?v_2190 (= k.120 1)) (?v_2188 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2187 (= k.120 0))) (let ((?v_2192 (=> true (=> (<= k.119 k.120) (=> (< k.120 2) (and (=> true (=> ?v_2187 (=> (= inline.ReleaseDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2188))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.0) ?v_2189))))) (=> true (=> (not ?v_2187) (and (=> true (=> ?v_2190 (=> (= inline.ReleaseDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2188))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.1) ?v_2191))))) (=> true (=> (not ?v_2190) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0) ?v_2191))))))))))))) (let ((?v_2200 (and (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.1) ?v_2192)))) (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2193 ?v_274) (=> (=> ?v_2194 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> true (=> true ?v_2192))))))) (=> true (=> (=> ?v_2193 ?v_371) (=> (=> ?v_2194 ?v_372) (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= lockStatus_1.37 lockStatus_1.34) (=> (= k.123 k.119) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> true (=> true (=> true ?v_2195))))))))))))))))))))) (let ((?v_2205 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2200)))))))))) (?v_2202 (= k.119 k.117)) (?v_2203 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_2204 (= errorReached.126 errorReached.124)) (?v_2207 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hdevice)) (?v_2206 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hqueue)) (?v_2201 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 htimer)) (?v_2199 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hrequest)) (?v_2198 (=> true (=> (= k.119 k.118) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 call24870formal.ret.0) (=> (= errorReached.126 errorReached.125) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2200)))))) (?v_2196 (= k.118 0)) (?v_2197 (= k.118 1))) (let ((?v_2209 (and (=> true (=> ?v_2199 (=> true (=> (<= k.117 k.118) (=> (< k.118 2) (and (=> true (=> (=> ?v_2196 ?v_1415) (=> (=> ?v_2197 ?v_1416) (=> true (=> (= errorReached.125 1) ?v_2198))))) (=> true (=> (=> ?v_2196 ?v_2138) (=> (=> ?v_2197 ?v_2140) (=> true (=> (= errorReached.125 errorReached.124) (=> true ?v_2198)))))))))))) (=> true (=> (not ?v_2199) (and (=> true (=> ?v_2201 (=> true (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2205))))))) (=> true (=> (not ?v_2201) (and (=> true (=> ?v_2206 (=> true (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2205))))))) (=> true (=> (not ?v_2206) (and (=> true (=> ?v_2207 (=> true (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2205))))))) (=> true (=> (not ?v_2207) (=> true (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2205))))))))))))))))))) (let ((?v_2211 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2209)))))))))))) (?v_2210 (= k.117 1)) (?v_2208 (= k.117 0))) (let ((?v_2222 (and (=> true (=> ?v_2208 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.9) ?v_2209))))) (=> true (=> (not ?v_2208) (and (=> true (=> ?v_2210 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.10) ?v_2211))))) (=> true (=> (not ?v_2210) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) ?v_2211))))))))) (?v_1417 (= k.115 0)) (?v_1419 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2220 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1419)) hrequest)) (?v_1418 (= k.115 1)) (?v_2221 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1419)) hrequest)) (?v_2215 (=> true (=> (= k.117 k.116) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_2222)))))) (let ((?v_2219 (=> true ?v_2215)) (?v_2217 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2218 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2216 (= k.116 1)) (?v_2213 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2212 (= k.116 0))) (let ((?v_2234 (and (=> true (=> (=> ?v_1417 ?v_2220) (=> (=> ?v_1418 ?v_2221) (=> true (=> (<= k.115 k.116) (=> (< k.116 2) (and (=> true (=> ?v_2212 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2213 ?v_2214)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) (=> ?v_2218 ?v_2215)))))) (=> true (=> (not ?v_2212) (and (=> true (=> ?v_2216 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2213 ?v_2214)) (=> true (=> ?v_2217 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_2219)))))) (=> true (=> (not ?v_2216) (=> true (=> ?v_2217 (=> ?v_2218 ?v_2219))))))))))))))) (=> true (=> (=> ?v_1417 (not ?v_2220)) (=> (=> ?v_1418 (not ?v_2221)) (=> true (=> (= k.117 k.115) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> true ?v_2222))))))))))) (let ((?v_2227 (=> true (=> (= lockStatus_1.34 lockStatus_1.33) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call24701formal.ret.0) (=> (= lockStatus_0.34 lockStatus_0.33) ?v_2234))))))))) (?v_2226 (= inline.AcquireDpcLock.2.myVar_0.2 hlock))) (let ((?v_2223 (=> true (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= lockStatus_0.33 lockStatus_0.32) ?v_2227)))) (?v_2224 (= lockStatus_1.32 lockStatus_1.31))) (let ((?v_2225 (=> (= lockStatus_0.32 lockStatus_0.31) (=> true ?v_2223))) (?v_2231 (not ?v_1418)) (?v_2228 (not ?v_1417))) (let ((?v_2230 (and (=> true (=> ?v_2226 (=> true (=> (=> ?v_1417 (= lockStatus_0.31 0)) (=> (=> ?v_1418 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1417 (=> true (=> ?v_2224 (=> (= lockStatus_0.32 1) ?v_2223))))) (=> true (=> ?v_2228 (and (=> true (=> ?v_1418 (=> true (=> (= lockStatus_1.32 1) ?v_2225)))) (=> true (=> ?v_2231 (=> true (=> ?v_2224 ?v_2225))))))))))))) (=> true (=> (not ?v_2226) (=> true (=> (= lockStatus_1.33 lockStatus_1.31) (=> (= lockStatus_0.33 lockStatus_0.31) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2227)))))))))))))) (let ((?v_2232 (=> true (=> true (=> true (=> true ?v_2230))))) (?v_2229 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2233 (and (=> true (=> ?v_1417 (=> (= inline.AcquireDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2229))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.0) ?v_2230))))) (=> true (=> ?v_2228 (and (=> true (=> ?v_1418 (=> (= inline.AcquireDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2229))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.1) ?v_2232))))) (=> true (=> ?v_2231 (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0) ?v_2232)))))))))) (let ((?v_2239 (and (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.1) ?v_2233)))) (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1417 ?v_274) (=> (=> ?v_1418 ?v_275) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.0) (=> true ?v_2233)))))) (=> true (=> (=> ?v_1417 ?v_371) (=> (=> ?v_1418 ?v_372) (=> true (=> (= lockStatus_1.34 lockStatus_1.31) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.34 lockStatus_0.31) (=> true (=> true (=> true (=> true ?v_2234)))))))))))))))))))) (?v_2241 (= k.115 k.113))) (let ((?v_2242 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= errorReached.124 errorReached.122) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2239)))))))))))) (?v_2244 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hdevice)) (?v_2243 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hqueue)) (?v_2240 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 htimer)) (?v_2238 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hrequest)) (?v_2237 (=> true (=> (= k.115 k.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 call24412formal.ret.0) (=> (= errorReached.124 errorReached.123) ?v_2239)))))) (?v_2235 (= k.114 0)) (?v_2236 (= k.114 1))) (let ((?v_2245 (and (=> true (=> ?v_2238 (=> true (=> (<= k.113 k.114) (=> (< k.114 2) (and (=> true (=> (=> ?v_2235 ?v_1415) (=> (=> ?v_2236 ?v_1416) (=> true (=> (= errorReached.123 1) ?v_2237))))) (=> true (=> (=> ?v_2235 ?v_2138) (=> (=> ?v_2236 ?v_2140) (=> true (=> (= errorReached.123 errorReached.122) (=> true ?v_2237)))))))))))) (=> true (=> (not ?v_2238) (and (=> true (=> ?v_2240 (=> true (=> ?v_2241 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2242))))) (=> true (=> (not ?v_2240) (and (=> true (=> ?v_2243 (=> true (=> ?v_2241 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2242))))) (=> true (=> (not ?v_2243) (and (=> true (=> ?v_2244 (=> true (=> ?v_2241 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2242))))) (=> true (=> (not ?v_2244) (=> true (=> ?v_2241 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2242))))))))))))))))) (let ((?v_2246 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2245)))))))))))) (?v_1413 (= k.113 1))) (let ((?v_2258 (not ?v_1413)) (?v_1412 (= k.113 0))) (let ((?v_2256 (not ?v_1412))) (let ((?v_2248 (and (=> true (=> ?v_1412 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.6) ?v_2245))))) (=> true (=> ?v_2256 (and (=> true (=> ?v_1413 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.7) ?v_2246))))) (=> true (=> ?v_2258 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) ?v_2246)))))))))) (let ((?v_2247 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call24293formal.ret.0) ?v_2248)))) (let ((?v_2251 (and (=> true (=> (=> ?v_1412 ?v_39) (=> (=> ?v_1413 ?v_40) ?v_2247))) (=> true (=> (=> ?v_1412 ?v_592) (=> (=> ?v_1413 ?v_594) (and (=> true (=> (=> ?v_1412 ?v_509) (=> (=> ?v_1413 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2247)))))))))))) (=> true (=> (=> ?v_1412 ?v_596) (=> (=> ?v_1413 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_2248))))))))))))))))) (let ((?v_2253 (=> (= errorReached.122 errorReached.120) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2251))))))))))) (?v_2255 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hdevice)) (?v_2254 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hqueue)) (?v_2252 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 htimer)) (?v_2250 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hrequest)) (?v_2249 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.122 errorReached.121) ?v_2251))))) (let ((?v_2257 (and (=> true (=> ?v_2250 (and (=> true (=> (=> ?v_1412 ?v_1415) (=> (=> ?v_1413 ?v_1416) (=> true (=> (= errorReached.121 1) ?v_2249))))) (=> true (=> (=> ?v_1412 ?v_2138) (=> (=> ?v_1413 ?v_2140) (=> true (=> (= errorReached.121 errorReached.120) (=> true ?v_2249))))))))) (=> true (=> (not ?v_2250) (and (=> true (=> ?v_2252 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2253)))) (=> true (=> (not ?v_2252) (and (=> true (=> ?v_2254 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2253)))) (=> true (=> (not ?v_2254) (and (=> true (=> ?v_2255 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2253)))) (=> true (=> (not ?v_2255) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2253)))))))))))))))) (let ((?v_2259 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2257))))))))))))) (let ((?v_2424 (=> true (=> (<= k.112 k.113) (=> (< k.113 2) (and (=> true (=> ?v_1412 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 ?v_1414) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.3) ?v_2257))))) (=> true (=> ?v_2256 (and (=> true (=> ?v_1413 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 ?v_2165) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.4) ?v_2259))))) (=> true (=> ?v_2258 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) ?v_2259)))))))))))) (?v_2427 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_2428 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_2429 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2430 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_2431 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2432 (= lockStatus_0.31 lockStatus_0.5)) (?v_2433 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2434 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2435 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2436 (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0)) (?v_2437 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2438 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2439 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_2440 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_2441 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2442 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2443 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_2444 (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0)) (?v_2445 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_2446 (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2447 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2448 (= lockStatus_1.31 lockStatus_1.5)) (?v_2449 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_2450 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2451 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2452 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2453 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_2454 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2455 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2456 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2457 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2458 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2459 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2460 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2461 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2462 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2463 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2464 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2465 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2466 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2467 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0)) (?v_2468 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2469 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2470 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_2471 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2472 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2473 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2474 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2475 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_2476 (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0)) (?v_2477 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_2478 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2479 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2480 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2481 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2482 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_2483 (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0)) (?v_2484 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_2485 (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_2486 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_2487 (= reqCompleted_0.9 reqCompleted_0.1)) (?v_2488 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_2489 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_2490 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2491 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_2492 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_2493 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2494 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2495 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2496 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2497 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2498 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_2499 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2500 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2501 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_2502 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_2503 (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0)) (?v_2504 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_2505 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_2506 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_2507 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2508 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2509 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_2510 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2511 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_2512 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2513 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2514 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_2515 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2516 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2517 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2518 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2519 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2520 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2521 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2522 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2523 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_2524 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2525 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2526 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_2527 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2528 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2529 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_2530 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2531 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2532 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2533 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2534 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2535 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_2536 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2537 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2538 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2539 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2540 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2541 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_2542 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_2543 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2544 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2545 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2546 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_2547 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2548 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem))) (let ((?v_2549 (=> (= reqCompleted_1.9 reqCompleted_1.1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> true ?v_2424))))) (let ((?v_2555 (=> true (=> (= errorReached.120 errorReached.69) (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0) (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> (= k.112 k.57) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> (= reqCancelSet_0.15 reqCancelSet_0.7) (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= reqCancelSet_1.15 reqCancelSet_1.7) (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) ?v_2549))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2551 (=> true (=> (= k.57 k.56) (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 call26266formal.ret.0) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) (=> (= errorReached.69 errorReached.68) ?v_2555))))))) (?v_2552 (= reqCancelSet_1.6 reqCancelSet_1.5))) (let ((?v_2553 (=> (= reqCancelSet_0.6 reqCancelSet_0.5) (=> true ?v_2551))) (?v_2550 (= k.56 1)) (?v_2426 (= k.56 0))) (let ((?v_2554 (and (=> true (=> ?v_2426 (=> true (=> ?v_2552 (=> (= reqCancelSet_0.6 1) ?v_2551))))) (=> true (=> (not ?v_2426) (and (=> true (=> ?v_2550 (=> true (=> (= reqCancelSet_1.6 1) ?v_2553)))) (=> true (=> (not ?v_2550) (=> true (=> ?v_2552 ?v_2553))))))))) (?v_2269 (= reqCompleted_0.1 0)) (?v_2270 (= reqCompleted_1.1 0))) (let ((?v_1396 (not ?v_2269)) (?v_1397 (not ?v_2270)) (?v_2425 (= (BINARY_BOTH_INT call21252formal.ret.0 2) 0)) (?v_2420 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2421 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2422 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call21276formal.ret.0)) (?v_2423 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2419 (= call21276formal.ret.0 ?v_327))) (let ((?v_2280 (=> true (=> (= errorReached.120 errorReached.119) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0.3) (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> ?v_2420 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> ?v_2421 (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0.3) (=> ?v_2422 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= k.112 k.111) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> ?v_2423 (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) ?v_2424))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2283 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0) (=> (= reqCancelSet_0.14 reqCancelSet_0.5) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleted_0.8 reqCompleted_0.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= errorReached.119 errorReached.116) (=> (= reqCancelSet_1.14 reqCancelSet_1.5) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCompleted_1.8 reqCompleted_1.1) (=> true (=> true (=> true ?v_2280))))))))))))))))))))))))))))))))))) (let ((?v_2285 (=> (= errorReached.116 errorReached.112) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2283)))))))))))))))))))) (?v_2287 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_2286 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_2284 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_2282 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_2281 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.116 errorReached.115) ?v_2283)))) (?v_1408 (= k.111 0))) (let ((?v_2274 (=> ?v_1408 ?v_2269)) (?v_1409 (= k.111 1))) (let ((?v_2275 (=> ?v_1409 ?v_2270)) (?v_1410 (=> ?v_1408 ?v_1396)) (?v_1411 (=> ?v_1409 ?v_1397)) (?v_2279 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2272 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3) (=> (= reqCancelSet_0.14 reqCancelSet_0.13) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqCompleted_0.8 reqCompleted_0.7) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= errorReached.119 errorReached.118) (=> (= reqCancelSet_1.14 reqCancelSet_1.13) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= reqCompleted_1.8 reqCompleted_1.7) ?v_2280)))))))))))))))))))))))))))))))) (let ((?v_2260 (=> true (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= reqCompleted_1.7 reqCompleted_1.6) (=> (= errorReached.118 errorReached.117) ?v_2272))))))) (?v_2261 (= reqCancelSet_1.12 reqCancelSet_1.5))) (let ((?v_2262 (=> (= reqCancelSet_0.12 reqCancelSet_0.5) (=> true ?v_2260))) (?v_2265 (not ?v_1409)) (?v_2263 (not ?v_1408))) (let ((?v_2264 (and (=> true (=> ?v_1408 (=> true (=> ?v_2261 (=> (= reqCancelSet_0.12 0) ?v_2260))))) (=> true (=> ?v_2263 (and (=> true (=> ?v_1409 (=> true (=> (= reqCancelSet_1.12 0) ?v_2262)))) (=> true (=> ?v_2265 (=> true (=> ?v_2261 ?v_2262)))))))))) (let ((?v_2268 (=> true (=> true ?v_2264))) (?v_2266 (= reqCompleted_0.6 reqCompleted_0.1)) (?v_2267 (= reqCompleted_1.6 reqCompleted_1.1))) (let ((?v_2271 (and (=> true (=> ?v_1408 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2267 ?v_2264))))) (=> true (=> ?v_2263 (and (=> true (=> ?v_1409 (=> true (=> ?v_2266 (=> (= reqCompleted_1.6 1) ?v_2268))))) (=> true (=> ?v_2265 (=> true (=> ?v_2266 (=> ?v_2267 ?v_2268))))))))))) (let ((?v_2273 (and (=> true (=> ?v_26 (and (=> true (=> ?v_1410 (=> ?v_1411 (=> true (=> (= errorReached.117 1) ?v_2271))))) (=> true (=> ?v_2274 (=> ?v_2275 (=> true (=> (= errorReached.117 errorReached.114) (=> true ?v_2271))))))))) (=> true (=> ?v_453 (=> true (=> (= reqCancelSet_1.13 reqCancelSet_1.5) (=> (= reqCompleted_0.7 reqCompleted_0.1) (=> (= reqCancelSet_0.13 reqCancelSet_0.5) (=> (= reqCompleted_1.7 reqCompleted_1.1) (=> (= errorReached.118 errorReached.114) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2272))))))))))))))))) (let ((?v_2277 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1) ?v_2273)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2273))))))))))))))))) (let ((?v_2278 (=> (= errorReached.114 errorReached.112) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2277))))))))))) (?v_2276 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.114 errorReached.113) ?v_2277))))) (let ((?v_2288 (and (=> true (=> (not ?v_2279) (and (=> true (=> ?v_26 (and (=> true (=> ?v_1410 (=> ?v_1411 (=> true (=> (= errorReached.113 1) ?v_2276))))) (=> true (=> ?v_2274 (=> ?v_2275 (=> true (=> (= errorReached.113 errorReached.112) (=> true ?v_2276))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2278)))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2278)))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2278)))) (=> true (=> ?v_496 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2278)))))))))))))))) (=> true (=> ?v_2279 (and (=> true (=> ?v_2282 (and (=> true (=> ?v_1410 (=> ?v_1411 (=> true (=> (= errorReached.115 1) ?v_2281))))) (=> true (=> ?v_2274 (=> ?v_2275 (=> true (=> (= errorReached.115 errorReached.112) (=> true ?v_2281))))))))) (=> true (=> (not ?v_2282) (and (=> true (=> ?v_2284 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2285)))) (=> true (=> (not ?v_2284) (and (=> true (=> ?v_2286 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2285)))) (=> true (=> (not ?v_2286) (and (=> true (=> ?v_2287 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2285)))) (=> true (=> (not ?v_2287) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2285))))))))))))))))))) (let ((?v_2289 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2288)))))))) (let ((?v_2294 (and (=> true (=> (=> ?v_1408 ?v_39) (=> (=> ?v_1409 ?v_40) ?v_2288))) (=> true (=> (=> ?v_1408 ?v_592) (=> (=> ?v_1409 ?v_594) (and (=> true (=> (=> ?v_1408 ?v_509) (=> (=> ?v_1409 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2289)))))))))))) (=> true (=> (=> ?v_1408 ?v_596) (=> (=> ?v_1409 ?v_597) ?v_2289)))))))))) (let ((?v_2299 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2294)))))))))) (?v_2296 (= k.111 k.109)) (?v_2297 (= errorReached.112 errorReached.110)) (?v_2298 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2301 (= inline.EvtRequestChildCancel.0.myVar_0.14 hdevice)) (?v_2300 (= inline.EvtRequestChildCancel.0.myVar_0.14 hqueue)) (?v_2295 (= inline.EvtRequestChildCancel.0.myVar_0.14 htimer)) (?v_2293 (= inline.EvtRequestChildCancel.0.myVar_0.14 hrequest)) (?v_2292 (=> true (=> (= k.111 k.110) (=> (= errorReached.112 errorReached.111) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call23232formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2294)))))) (?v_2290 (= k.110 0)) (?v_2291 (= k.110 1))) (let ((?v_2304 (and (=> true (=> ?v_2293 (=> true (=> (<= k.109 k.110) (=> (< k.110 2) (and (=> true (=> (=> ?v_2290 ?v_1396) (=> (=> ?v_2291 ?v_1397) (=> true (=> (= errorReached.111 1) ?v_2292))))) (=> true (=> (=> ?v_2290 ?v_2269) (=> (=> ?v_2291 ?v_2270) (=> true (=> (= errorReached.111 errorReached.110) (=> true ?v_2292)))))))))))) (=> true (=> (not ?v_2293) (and (=> true (=> ?v_2295 (=> true (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2299))))))) (=> true (=> (not ?v_2295) (and (=> true (=> ?v_2300 (=> true (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2299))))))) (=> true (=> (not ?v_2300) (and (=> true (=> ?v_2301 (=> true (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2299))))))) (=> true (=> (not ?v_2301) (=> true (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2299))))))))))))))))))) (let ((?v_2306 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2304)))))))))))) (?v_2305 (= k.109 1)) (?v_2303 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2334 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2303))) (?v_2302 (= k.109 0)) (?v_1405 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2303)))) (let ((?v_2320 (=> true (=> (<= k.108 k.109) (=> (< k.109 2) (and (=> true (=> ?v_2302 (=> (= inline.EvtRequestChildCancel.0.myVar_0.12 ?v_1405) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.12) ?v_2304))))) (=> true (=> (not ?v_2302) (and (=> true (=> ?v_2305 (=> (= inline.EvtRequestChildCancel.0.myVar_0.13 ?v_2334) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.13) ?v_2306))))) (=> true (=> (not ?v_2305) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.11) ?v_2306)))))))))))) (?v_2314 (= k.105 0)) (?v_2317 (= k.105 1))) (let ((?v_2313 (=> true (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= lockStatus_1.30 lockStatus_1.29) (=> (= k.108 k.107) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0.2) ?v_2320)))))))))) (?v_2312 (= inline.ReleaseDpcLock.1.myVar_0.2 hlock))) (let ((?v_2308 (=> true (=> (= k.107 k.106) (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call23085formal.ret.0) (=> (= lockStatus_0.29 lockStatus_0.28) ?v_2313)))))) (?v_2310 (= lockStatus_1.28 lockStatus_1.27))) (let ((?v_2311 (=> (= lockStatus_0.28 lockStatus_0.27) (=> true ?v_2308))) (?v_2309 (= k.106 1)) (?v_2307 (= k.106 0))) (let ((?v_2316 (and (=> true (=> ?v_2312 (=> true (=> (<= k.105 k.106) (=> (< k.106 2) (and (=> true (=> ?v_2307 (=> true (=> ?v_2310 (=> (= lockStatus_0.28 0) ?v_2308))))) (=> true (=> (not ?v_2307) (and (=> true (=> ?v_2309 (=> true (=> (= lockStatus_1.28 0) ?v_2311)))) (=> true (=> (not ?v_2309) (=> true (=> ?v_2310 ?v_2311))))))))))))) (=> true (=> (not ?v_2312) (=> true (=> (= k.107 k.105) (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.29 lockStatus_0.27) (=> true (=> true (=> true ?v_2313))))))))))))) (let ((?v_2318 (=> true (=> true (=> true (=> true ?v_2316))))) (?v_2315 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2319 (and (=> true (=> ?v_2314 (=> (= inline.ReleaseDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2315))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.0) ?v_2316))))) (=> true (=> (not ?v_2314) (and (=> true (=> ?v_2317 (=> (= inline.ReleaseDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2315))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.1) ?v_2318))))) (=> true (=> (not ?v_2317) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0) ?v_2318)))))))))) (let ((?v_2325 (and (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.1) ?v_2319)))) (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2314 ?v_274) (=> (=> ?v_2317 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> true (=> true (=> true ?v_2319)))))))) (=> true (=> (=> ?v_2314 ?v_371) (=> (=> ?v_2317 ?v_372) (=> true (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= lockStatus_1.30 lockStatus_1.27) (=> (= k.108 k.105) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0) (=> true (=> true (=> true ?v_2320))))))))))))))))))))) (let ((?v_2330 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2325)))))))))) (?v_2327 (= k.105 k.103)) (?v_2328 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2329 (= errorReached.110 errorReached.108)) (?v_2332 (= inline.EvtRequestChildCancel.0.myVar_0.11 hdevice)) (?v_2331 (= inline.EvtRequestChildCancel.0.myVar_0.11 hqueue)) (?v_2326 (= inline.EvtRequestChildCancel.0.myVar_0.11 htimer)) (?v_2324 (= inline.EvtRequestChildCancel.0.myVar_0.11 hrequest)) (?v_2323 (=> true (=> (= k.105 k.104) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call22844formal.ret.0) (=> (= errorReached.110 errorReached.109) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2325)))))) (?v_2321 (= k.104 0)) (?v_2322 (= k.104 1))) (let ((?v_2335 (and (=> true (=> ?v_2324 (=> true (=> (<= k.103 k.104) (=> (< k.104 2) (and (=> true (=> (=> ?v_2321 ?v_1396) (=> (=> ?v_2322 ?v_1397) (=> true (=> (= errorReached.109 1) ?v_2323))))) (=> true (=> (=> ?v_2321 ?v_2269) (=> (=> ?v_2322 ?v_2270) (=> true (=> (= errorReached.109 errorReached.108) (=> true ?v_2323)))))))))))) (=> true (=> (not ?v_2324) (and (=> true (=> ?v_2326 (=> true (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2330))))))) (=> true (=> (not ?v_2326) (and (=> true (=> ?v_2331 (=> true (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2330))))))) (=> true (=> (not ?v_2331) (and (=> true (=> ?v_2332 (=> true (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2330))))))) (=> true (=> (not ?v_2332) (=> true (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2330))))))))))))))))))) (let ((?v_2337 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2335)))))))))))) (?v_2336 (= k.103 1)) (?v_2333 (= k.103 0))) (let ((?v_2340 (=> true (=> (<= k.102 k.103) (=> (< k.103 2) (and (=> true (=> ?v_2333 (=> (= inline.EvtRequestChildCancel.0.myVar_0.10 ?v_1405) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.10) ?v_2335))))) (=> true (=> (not ?v_2333) (and (=> true (=> ?v_2336 (=> (= inline.EvtRequestChildCancel.0.myVar_0.9 ?v_2334) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.9) ?v_2337))))) (=> true (=> (not ?v_2336) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.8) ?v_2337))))))))))))) (let ((?v_2344 (=> true (=> true ?v_2340))) (?v_2342 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2343 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2341 (= k.102 1)) (?v_2339 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2338 (= k.102 0))) (let ((?v_2346 (=> true (=> (<= k.101 k.102) (=> (< k.102 2) (and (=> true (=> ?v_2338 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2339 ?v_67)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) (=> ?v_2343 ?v_2340)))))) (=> true (=> (not ?v_2338) (and (=> true (=> ?v_2341 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2339 ?v_67)) (=> true (=> ?v_2342 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_2344)))))) (=> true (=> (not ?v_2341) (=> true (=> ?v_2342 (=> ?v_2343 ?v_2344))))))))))))) (?v_2347 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3))) (let ((?v_2348 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) (=> true ?v_2346))) (?v_1407 (= k.101 1))) (let ((?v_2351 (not ?v_1407)) (?v_2345 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1406 (= k.101 0))) (let ((?v_2349 (not ?v_1406))) (let ((?v_2360 (and (=> true (=> ?v_1406 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2345 ?v_67)) (=> true (=> ?v_2347 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2346)))))) (=> true (=> ?v_2349 (and (=> true (=> ?v_1407 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2345 ?v_67)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2348))))) (=> true (=> ?v_2351 (=> true (=> ?v_2347 ?v_2348)))))))))) (let ((?v_2355 (=> true (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call22645formal.ret.0) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myVar_0.2) ?v_2360))))))))) (?v_2354 (= inline.AcquireDpcLock.1.myVar_0.2 hlock))) (let ((?v_2350 (=> true (=> (= lockStatus_1.26 lockStatus_1.25) (=> (= lockStatus_0.26 lockStatus_0.25) ?v_2355)))) (?v_2352 (= lockStatus_1.25 lockStatus_1.5))) (let ((?v_2353 (=> (= lockStatus_0.25 lockStatus_0.5) (=> true ?v_2350)))) (let ((?v_2357 (and (=> true (=> ?v_2354 (=> true (=> (=> ?v_1406 (= lockStatus_0.5 0)) (=> (=> ?v_1407 (= lockStatus_1.5 0)) (and (=> true (=> ?v_1406 (=> true (=> ?v_2352 (=> (= lockStatus_0.25 1) ?v_2350))))) (=> true (=> ?v_2349 (and (=> true (=> ?v_1407 (=> true (=> (= lockStatus_1.25 1) ?v_2353)))) (=> true (=> ?v_2351 (=> true (=> ?v_2352 ?v_2353))))))))))))) (=> true (=> (not ?v_2354) (=> true (=> (= lockStatus_1.26 lockStatus_1.5) (=> (= lockStatus_0.26 lockStatus_0.5) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2355)))))))))))))) (let ((?v_2358 (=> true (=> true (=> true (=> true ?v_2357))))) (?v_2356 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2359 (and (=> true (=> ?v_1406 (=> (= inline.AcquireDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2356))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.0) ?v_2357))))) (=> true (=> ?v_2349 (and (=> true (=> ?v_1407 (=> (= inline.AcquireDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2356))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.1) ?v_2358))))) (=> true (=> ?v_2351 (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0) ?v_2358)))))))))) (let ((?v_2363 (and (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.1) ?v_2359)))) (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1406 ?v_274) (=> (=> ?v_1407 ?v_275) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.0) (=> true ?v_2359)))))) (=> true (=> (=> ?v_1406 ?v_371) (=> (=> ?v_1407 ?v_372) (=> true (=> (= lockStatus_0.27 lockStatus_0.5) (=> (= lockStatus_1.27 lockStatus_1.5) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> true (=> true (=> true (=> true ?v_2360))))))))))))))))))))) (let ((?v_2365 (=> (= errorReached.108 errorReached.106) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2363))))))))))) (?v_2367 (= inline.EvtRequestChildCancel.0.myVar_0.8 hdevice)) (?v_2366 (= inline.EvtRequestChildCancel.0.myVar_0.8 hqueue)) (?v_2364 (= inline.EvtRequestChildCancel.0.myVar_0.8 htimer)) (?v_2362 (= inline.EvtRequestChildCancel.0.myVar_0.8 hrequest)) (?v_2361 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.108 errorReached.107) ?v_2363))))) (let ((?v_2368 (and (=> true (=> ?v_2362 (and (=> true (=> (=> ?v_1406 ?v_1396) (=> (=> ?v_1407 ?v_1397) (=> true (=> (= errorReached.107 1) ?v_2361))))) (=> true (=> (=> ?v_1406 ?v_2269) (=> (=> ?v_1407 ?v_2270) (=> true (=> (= errorReached.107 errorReached.106) (=> true ?v_2361))))))))) (=> true (=> (not ?v_2362) (and (=> true (=> ?v_2364 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2365)))) (=> true (=> (not ?v_2364) (and (=> true (=> ?v_2366 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2365)))) (=> true (=> (not ?v_2366) (and (=> true (=> ?v_2367 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2365)))) (=> true (=> (not ?v_2367) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2365)))))))))))))))) (let ((?v_2369 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2368))))))))))))) (let ((?v_2371 (=> true (=> (<= k.100 k.101) (=> (< k.101 2) (and (=> true (=> ?v_1406 (=> (= inline.EvtRequestChildCancel.0.myVar_0.6 ?v_1405) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.6) ?v_2368))))) (=> true (=> ?v_2349 (and (=> true (=> ?v_1407 (=> (= inline.EvtRequestChildCancel.0.myVar_0.7 ?v_2334) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.7) ?v_2369))))) (=> true (=> ?v_2351 (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.5) ?v_2369)))))))))))) (?v_1403 (= k.100 0)) (?v_1404 (= k.100 1))) (let ((?v_2370 (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call22238formal.ret.0) ?v_2371)))) (let ((?v_2374 (and (=> true (=> (=> ?v_1403 ?v_39) (=> (=> ?v_1404 ?v_40) ?v_2370))) (=> true (=> (=> ?v_1403 ?v_592) (=> (=> ?v_1404 ?v_594) (and (=> true (=> (=> ?v_1403 ?v_509) (=> (=> ?v_1404 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2370)))))))))))) (=> true (=> (=> ?v_1403 ?v_596) (=> (=> ?v_1404 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2371)))))))))))))))) (let ((?v_2377 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2374)))))))))) (?v_2376 (= errorReached.106 errorReached.104)) (?v_2379 (= inline.EvtRequestChildCancel.0.myVar_0.5 hdevice)) (?v_2378 (= inline.EvtRequestChildCancel.0.myVar_0.5 hqueue)) (?v_2375 (= inline.EvtRequestChildCancel.0.myVar_0.5 htimer)) (?v_2373 (= inline.EvtRequestChildCancel.0.myVar_0.5 hrequest)) (?v_2372 (=> true (=> (= errorReached.106 errorReached.105) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2374))))) (let ((?v_2380 (and (=> true (=> ?v_2373 (and (=> true (=> (=> ?v_1403 ?v_1396) (=> (=> ?v_1404 ?v_1397) (=> true (=> (= errorReached.105 1) ?v_2372))))) (=> true (=> (=> ?v_1403 ?v_2269) (=> (=> ?v_1404 ?v_2270) (=> true (=> (= errorReached.105 errorReached.104) (=> true ?v_2372))))))))) (=> true (=> (not ?v_2373) (and (=> true (=> ?v_2375 (=> true (=> ?v_2376 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2377))))) (=> true (=> (not ?v_2375) (and (=> true (=> ?v_2378 (=> true (=> ?v_2376 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2377))))) (=> true (=> (not ?v_2378) (and (=> true (=> ?v_2379 (=> true (=> ?v_2376 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2377))))) (=> true (=> (not ?v_2379) (=> true (=> ?v_2376 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2377))))))))))))))))) (let ((?v_2381 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2380))))))))))))) (let ((?v_2385 (and (=> true (=> ?v_1403 (=> (= inline.EvtRequestChildCancel.0.myVar_0.4 ?v_1405) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.4) ?v_2380))))) (=> true (=> (not ?v_1403) (and (=> true (=> ?v_1404 (=> (= inline.EvtRequestChildCancel.0.myVar_0.3 ?v_2334) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.3) ?v_2381))))) (=> true (=> (not ?v_1404) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.2) ?v_2381))))))))) (?v_2386 (= k.100 k.98)) (?v_2387 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.))) (let ((?v_2388 (=> (= errorReached.104 errorReached.102) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2385)))))))))))) (?v_2384 (=> true (=> (= k.100 k.99) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 call21833formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.104 errorReached.103) ?v_2385)))))) (?v_2382 (= k.99 0)) (?v_2383 (= k.99 1))) (let ((?v_2393 (and (=> true (=> ?v_26 (=> true (=> (<= k.98 k.99) (=> (< k.99 2) (and (=> true (=> (=> ?v_2382 ?v_1396) (=> (=> ?v_2383 ?v_1397) (=> true (=> (= errorReached.103 1) ?v_2384))))) (=> true (=> (=> ?v_2382 ?v_2269) (=> (=> ?v_2383 ?v_2270) (=> true (=> (= errorReached.103 errorReached.102) (=> true ?v_2384)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_2386 (=> ?v_2387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2388)))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_2386 (=> ?v_2387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2388)))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_2386 (=> ?v_2387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2388)))))) (=> true (=> ?v_496 (=> true (=> ?v_2386 (=> ?v_2387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2388)))))))))))))))))) (let ((?v_2398 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2393))))))))))))))))) (?v_2395 (= k.98 k.96)) (?v_2396 (= errorReached.102 errorReached.100)) (?v_2397 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2400 (= inline.EvtRequestChildCancel.0.myVar_0.2 hdevice)) (?v_2399 (= inline.EvtRequestChildCancel.0.myVar_0.2 hqueue)) (?v_2394 (= inline.EvtRequestChildCancel.0.myVar_0.2 htimer)) (?v_2392 (= inline.EvtRequestChildCancel.0.myVar_0.2 hrequest)) (?v_2391 (=> true (=> (= k.98 k.97) (=> (= errorReached.102 errorReached.101) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call21662formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2393)))))) (?v_2389 (= k.97 0)) (?v_2390 (= k.97 1))) (let ((?v_2403 (and (=> true (=> ?v_2392 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> (=> ?v_2389 ?v_1396) (=> (=> ?v_2390 ?v_1397) (=> true (=> (= errorReached.101 1) ?v_2391))))) (=> true (=> (=> ?v_2389 ?v_2269) (=> (=> ?v_2390 ?v_2270) (=> true (=> (= errorReached.101 errorReached.100) (=> true ?v_2391)))))))))))) (=> true (=> (not ?v_2392) (and (=> true (=> ?v_2394 (=> true (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2398))))))) (=> true (=> (not ?v_2394) (and (=> true (=> ?v_2399 (=> true (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2398))))))) (=> true (=> (not ?v_2399) (and (=> true (=> ?v_2400 (=> true (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2398))))))) (=> true (=> (not ?v_2400) (=> true (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2398))))))))))))))))))) (let ((?v_2405 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2403)))))))) (?v_2404 (= k.96 1)) (?v_2402 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2401 (= k.96 0))) (let ((?v_2410 (=> true (=> (<= k.55 k.96) (=> (< k.96 2) (and (=> true (=> ?v_2401 (=> (= inline.EvtRequestChildCancel.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2402))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.0) ?v_2403))))) (=> true (=> (not ?v_2401) (and (=> true (=> ?v_2404 (=> (= inline.EvtRequestChildCancel.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2402))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.1) ?v_2405))))) (=> true (=> (not ?v_2404) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0) ?v_2405))))))))))))) (let ((?v_2413 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2410)))))))))) (?v_2412 (= errorReached.100 errorReached.98)) (?v_2408 (=> true (=> (= errorReached.100 errorReached.99) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2410)))) (?v_2406 (= k.55 0))) (let ((?v_2415 (=> ?v_2406 ?v_2269)) (?v_2407 (= k.55 1))) (let ((?v_2416 (=> ?v_2407 ?v_2270)) (?v_1401 (=> ?v_2406 ?v_1396)) (?v_1402 (=> ?v_2407 ?v_1397))) (let ((?v_2417 (and (=> true (=> ?v_24 (and (=> true (=> ?v_1401 (=> ?v_1402 (=> true (=> (= errorReached.99 1) ?v_2408))))) (=> true (=> ?v_2415 (=> ?v_2416 (=> true (=> (= errorReached.99 errorReached.98) (=> true ?v_2408))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> ?v_2412 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2413))))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> ?v_2412 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2413))))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> ?v_2412 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2413))))) (=> true (=> ?v_2414 (=> true (=> ?v_2412 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2413))))))))))))))))) (let ((?v_2418 (=> true (=> (= errorReached.98 errorReached.67) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2417)))))))))))))))) (?v_1400 (int_2_U call21238formal.new.0))) (let ((?v_2560 (=> true (and ?v_1399 (=> ?v_1399 (=> (> call21238formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call21238formal.new.0 ?x363) (< ?x363 (+ call21238formal.new.0 1))) (= (Base ?x363) call21238formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call21238formal.new.0) (= (MapType0Select alloc.12 ?x364) (MapType0Select alloc.14 ?x364)))) :pattern ((MapType0Select alloc.14 ?x364)) )) (=> (and (= (MapType0Select alloc.12 ?v_1400) UNALLOCATED) (= (MapType0Select alloc.14 ?v_1400) ALLOCATED)) (and (=> true (=> (not ?v_2425) (and (=> true (=> ?v_2419 (and (=> true (=> ?v_26 (and (=> true (=> ?v_1401 (=> ?v_1402 (=> true (=> (= errorReached.98 1) ?v_2417))))) (=> true (=> ?v_2415 (=> ?v_2416 ?v_2418)))))) (=> true (=> ?v_453 ?v_2418))))) (=> true (=> (not ?v_2419) (=> true (=> (= errorReached.120 errorReached.67) (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2420 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2421 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2422 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> (= k.112 k.55) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> (= reqCancelSet_0.15 reqCancelSet_0.5) (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= reqCancelSet_1.15 reqCancelSet_1.5) (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2423 ?v_2549)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2425 (and (=> true (=> ?v_26 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> (=> ?v_2426 ?v_1396) (=> (=> ?v_2550 ?v_1397) (=> true (=> (= errorReached.68 1) ?v_2554))))) (=> true (=> (=> ?v_2426 ?v_2269) (=> (=> ?v_2550 ?v_2270) (=> true (=> (= errorReached.68 errorReached.67) (=> true ?v_2554)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.57 k.55) (=> (= reqCancelSet_1.7 reqCancelSet_1.5) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= reqCancelSet_0.7 reqCancelSet_0.5) (=> (= errorReached.69 errorReached.67) (=> true (=> true (=> true ?v_2555)))))))))))))))))))))))) (let ((?v_2565 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2560))))))))) (?v_2562 (= k.55 k.53)) (?v_2563 (= errorReached.67 errorReached.65)) (?v_2564 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_2567 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hdevice)) (?v_2566 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hqueue)) (?v_2561 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 htimer)) (?v_2559 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hrequest)) (?v_2558 (=> true (=> (= k.55 k.54) (=> (= errorReached.67 errorReached.66) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call21123formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2560)))))) (?v_2556 (= k.54 0)) (?v_2557 (= k.54 1))) (let ((?v_2570 (and (=> true (=> ?v_2559 (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> (=> ?v_2556 ?v_1396) (=> (=> ?v_2557 ?v_1397) (=> true (=> (= errorReached.66 1) ?v_2558))))) (=> true (=> (=> ?v_2556 ?v_2269) (=> (=> ?v_2557 ?v_2270) (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_2558)))))))))))) (=> true (=> (not ?v_2559) (and (=> true (=> ?v_2561 (=> true (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2565))))))) (=> true (=> (not ?v_2561) (and (=> true (=> ?v_2566 (=> true (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2565))))))) (=> true (=> (not ?v_2566) (and (=> true (=> ?v_2567 (=> true (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2565))))))) (=> true (=> (not ?v_2567) (=> true (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2565))))))))))))))))))) (let ((?v_2571 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2570)))))))) (?v_2568 (= k.53 1)) (?v_2569 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1398 (= k.53 0))) (let ((?v_2573 (and (=> true (=> ?v_1398 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2569))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.1) ?v_2570))))) (=> true (=> (not ?v_1398) (and (=> true (=> ?v_2568 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2569))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.0) ?v_2571))))) (=> true (=> (not ?v_2568) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0) ?v_2571)))))))))) (let ((?v_2574 (=> (= errorReached.65 errorReached.63) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2573))))))))))) (?v_2572 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.65 errorReached.64) ?v_2573))))) (let ((?v_2578 (and (=> true (=> ?v_24 (and (=> true (=> (=> ?v_1398 ?v_1396) (=> (=> ?v_2568 ?v_1397) (=> true (=> (= errorReached.64 1) ?v_2572))))) (=> true (=> (=> ?v_1398 ?v_2269) (=> (=> ?v_2568 ?v_2270) (=> true (=> (= errorReached.64 errorReached.63) (=> true ?v_2572))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2574)))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2574)))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2574)))) (=> true (=> ?v_2414 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2574))))))))))))))) (?v_2579 (= k.53 k.51)) (?v_2580 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.))) (let ((?v_2581 (=> (= errorReached.63 errorReached.61) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2578))))))))))))))))) (?v_2577 (=> true (=> (= k.53 k.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call20764formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.63 errorReached.62) ?v_2578)))))) (?v_2575 (= k.52 0)) (?v_2576 (= k.52 1))) (let ((?v_2584 (and (=> true (=> ?v_26 (=> true (=> (<= k.51 k.52) (=> (< k.52 2) (and (=> true (=> (=> ?v_2575 ?v_1396) (=> (=> ?v_2576 ?v_1397) (=> true (=> (= errorReached.62 1) ?v_2577))))) (=> true (=> (=> ?v_2575 ?v_2269) (=> (=> ?v_2576 ?v_2270) (=> true (=> (= errorReached.62 errorReached.61) (=> true ?v_2577)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_2579 (=> ?v_2580 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2581)))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_2579 (=> ?v_2580 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2581)))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_2579 (=> ?v_2580 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2581)))))) (=> true (=> ?v_496 (=> true (=> ?v_2579 (=> ?v_2580 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2581)))))))))))))))))) (let ((?v_2585 (=> true (=> (= errorReached.61 errorReached.60) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2584))))))))))))))) (?v_2582 (= k.51 0)) (?v_2583 (= k.51 1))) (let ((?v_2597 (and (=> true (=> ?v_26 (and (=> true (=> (=> ?v_2582 ?v_1396) (=> (=> ?v_2583 ?v_1397) (=> true (=> (= errorReached.61 1) ?v_2584))))) (=> true (=> (=> ?v_2582 ?v_2269) (=> (=> ?v_2583 ?v_2270) ?v_2585)))))) (=> true (=> ?v_453 ?v_2585)))) (?v_1383 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hrequest))) (let ((?v_2602 (not ?v_1383)) (?v_2587 (=> true (=> (= k.51 k.50) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call20498formal.ret.0) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= errorReached.60 errorReached.59) ?v_2597))))))))) (?v_2588 (= reqCancelSet_1.4 reqCancelSet_1.1))) (let ((?v_2589 (=> (= reqCancelSet_0.4 reqCancelSet_0.1) (=> true ?v_2587))) (?v_2586 (= k.50 1))) (let ((?v_2592 (not ?v_2586)) (?v_1395 (= k.50 0))) (let ((?v_2590 (not ?v_1395))) (let ((?v_2591 (and (=> true (=> ?v_1395 (=> true (=> ?v_2588 (=> (= reqCancelSet_0.4 0) ?v_2587))))) (=> true (=> ?v_2590 (and (=> true (=> ?v_2586 (=> true (=> (= reqCancelSet_1.4 0) ?v_2589)))) (=> true (=> ?v_2592 (=> true (=> ?v_2588 ?v_2589)))))))))) (let ((?v_2595 (=> true (=> true ?v_2591))) (?v_2593 (= reqCompleted_0.0 reqCompleted_0)) (?v_2594 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_2596 (and (=> true (=> ?v_1395 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_2594 ?v_2591))))) (=> true (=> ?v_2590 (and (=> true (=> ?v_2586 (=> true (=> ?v_2593 (=> (= reqCompleted_1.0 1) ?v_2595))))) (=> true (=> ?v_2592 (=> true (=> ?v_2593 (=> ?v_2594 ?v_2595))))))))))) (let ((?v_2598 (and (=> true (=> ?v_1383 (=> true (=> (<= k.49 k.50) (=> (< k.50 2) (and (=> true (=> (=> ?v_1395 ?v_8) (=> (=> ?v_2586 ?v_9) (=> true (=> (= errorReached.59 1) ?v_2596))))) (=> true (=> (=> ?v_1395 ?v_2) (=> (=> ?v_2586 ?v_3) (=> true (=> (= errorReached.59 errorReached.58) (=> true ?v_2596)))))))))))) (=> true (=> ?v_2602 (=> true (=> (= k.51 k.49) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.5 reqCancelSet_1.1) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= reqCancelSet_0.5 reqCancelSet_0.1) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= errorReached.60 errorReached.58) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2597)))))))))))))))))))))))))))))) (let ((?v_2603 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2) ?v_2598)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2598)))))))))))))))) (?v_2605 (= k.49 k.34))) (let ((?v_2606 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> (= errorReached.58 errorReached.38) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2603)))))))))))) (?v_2608 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hdevice))) (let ((?v_2969 (not ?v_2608)) (?v_2607 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hqueue))) (let ((?v_2968 (not ?v_2607)) (?v_2604 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 htimer))) (let ((?v_2966 (not ?v_2604)) (?v_2601 (=> true (=> (= k.49 k.48) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call20347formal.ret.0) (=> (= errorReached.58 errorReached.57) ?v_2603)))))) (?v_2599 (= k.48 0)) (?v_2600 (= k.48 1))) (let ((?v_2609 (and (=> true (=> ?v_1383 (=> true (=> (<= k.34 k.48) (=> (< k.48 2) (and (=> true (=> (=> ?v_2599 ?v_8) (=> (=> ?v_2600 ?v_9) (=> true (=> (= errorReached.57 1) ?v_2601))))) (=> true (=> (=> ?v_2599 ?v_2) (=> (=> ?v_2600 ?v_3) (=> true (=> (= errorReached.57 errorReached.38) (=> true ?v_2601)))))))))))) (=> true (=> ?v_2602 (and (=> true (=> ?v_2604 (=> true (=> ?v_2605 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2606))))) (=> true (=> ?v_2966 (and (=> true (=> ?v_2607 (=> true (=> ?v_2605 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2606))))) (=> true (=> ?v_2968 (and (=> true (=> ?v_2608 (=> true (=> ?v_2605 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2606))))) (=> true (=> ?v_2969 (=> true (=> ?v_2605 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2606))))))))))))))))) (let ((?v_2610 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2609))))))))))))))))))))) (?v_1393 (= k.34 0)) (?v_1394 (= k.34 1))) (let ((?v_2613 (and (=> true (=> (=> ?v_1393 ?v_39) (=> (=> ?v_1394 ?v_40) ?v_2609))) (=> true (=> (=> ?v_1393 ?v_592) (=> (=> ?v_1394 ?v_594) (and (=> true (=> (=> ?v_1393 ?v_509) (=> (=> ?v_1394 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2610)))))))))))) (=> true (=> (=> ?v_1393 ?v_596) (=> (=> ?v_1394 ?v_597) ?v_2610)))))))))) (let ((?v_2615 (=> (= errorReached.38 errorReached.36) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2613))))))))))) (?v_2617 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hdevice)) (?v_2616 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hqueue)) (?v_2614 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 htimer)) (?v_2612 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hrequest)) (?v_2611 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.38 errorReached.37) ?v_2613))))) (let ((?v_2619 (and (=> true (=> ?v_2612 (and (=> true (=> (=> ?v_1393 ?v_8) (=> (=> ?v_1394 ?v_9) (=> true (=> (= errorReached.37 1) ?v_2611))))) (=> true (=> (=> ?v_1393 ?v_2) (=> (=> ?v_1394 ?v_3) (=> true (=> (= errorReached.37 errorReached.36) (=> true ?v_2611))))))))) (=> true (=> (not ?v_2612) (and (=> true (=> ?v_2614 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2615)))) (=> true (=> (not ?v_2614) (and (=> true (=> ?v_2616 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2615)))) (=> true (=> (not ?v_2616) (and (=> true (=> ?v_2617 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2615)))) (=> true (=> (not ?v_2617) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2615)))))))))))))))) (let ((?v_2620 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2619))))))))))))) (let ((?v_2635 (=> true (=> (<= k.33 k.34) (=> (< k.34 2) (and (=> true (=> ?v_1393 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 ?v_1392) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10) ?v_2619))))) (=> true (=> (not ?v_1393) (and (=> true (=> ?v_1394 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 ?v_2645) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9) ?v_2620))))) (=> true (=> (not ?v_1394) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) ?v_2620)))))))))))) (?v_2633 (= k.31 0)) (?v_2634 (= k.31 1))) (let ((?v_2626 (=> true (=> (= k.33 k.32) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= lockStatus_0.5 lockStatus_0.4) ?v_2635))))))))) (?v_2625 (= inline.ReleaseDpcLock.0.myVar_0.2 hlock))) (let ((?v_2621 (=> true (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= lockStatus_0.4 lockStatus_0.3) ?v_2626)))) (?v_2623 (= lockStatus_1.3 lockStatus_1.2))) (let ((?v_2624 (=> (= lockStatus_0.3 lockStatus_0.2) (=> true ?v_2621))) (?v_2622 (= k.32 1))) (let ((?v_2630 (not ?v_2622)) (?v_1391 (= k.32 0))) (let ((?v_2627 (not ?v_1391))) (let ((?v_2629 (and (=> true (=> ?v_2625 (and (=> true (=> ?v_1391 (=> true (=> ?v_2623 (=> (= lockStatus_0.3 0) ?v_2621))))) (=> true (=> ?v_2627 (and (=> true (=> ?v_2622 (=> true (=> (= lockStatus_1.3 0) ?v_2624)))) (=> true (=> ?v_2630 (=> true (=> ?v_2623 ?v_2624)))))))))) (=> true (=> (not ?v_2625) (=> true (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= lockStatus_0.4 lockStatus_0.2) (=> true (=> true (=> true ?v_2626))))))))))) (let ((?v_2631 (=> true (=> true (=> true (=> true ?v_2629))))) (?v_2628 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2632 (=> true (=> (<= k.31 k.32) (=> (< k.32 2) (and (=> true (=> ?v_1391 (=> (= inline.ReleaseDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2628))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.0) ?v_2629))))) (=> true (=> ?v_2627 (and (=> true (=> ?v_2622 (=> (= inline.ReleaseDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2628))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.1) ?v_2631))))) (=> true (=> ?v_2630 (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0) ?v_2631))))))))))))) (let ((?v_2640 (and (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.0) ?v_2632)))) (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_2633 ?v_274) (=> (=> ?v_2634 ?v_275) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.1) (=> true (=> true ?v_2632))))))) (=> true (=> (=> ?v_2633 ?v_371) (=> (=> ?v_2634 ?v_372) (=> true (=> (= k.33 k.31) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= lockStatus_0.5 lockStatus_0.2) (=> true (=> true (=> true ?v_2635)))))))))))))))))))) (let ((?v_2642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.) (=> (= errorReached.36 errorReached.34) (=> (= k.31 k.29) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2640))))))))))))) (?v_2644 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hdevice)) (?v_2643 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hqueue)) (?v_2641 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 htimer)) (?v_2639 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hrequest)) (?v_2638 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call19659formal.ret.0) (=> (= errorReached.36 errorReached.35) (=> (= k.31 k.30) ?v_2640)))))) (?v_2636 (= k.30 0)) (?v_2637 (= k.30 1))) (let ((?v_2646 (and (=> true (=> ?v_2639 (=> true (=> (<= k.29 k.30) (=> (< k.30 2) (and (=> true (=> (=> ?v_2636 ?v_8) (=> (=> ?v_2637 ?v_9) (=> true (=> (= errorReached.35 1) ?v_2638))))) (=> true (=> (=> ?v_2636 ?v_2) (=> (=> ?v_2637 ?v_3) (=> true (=> (= errorReached.35 errorReached.34) (=> true ?v_2638)))))))))))) (=> true (=> (not ?v_2639) (and (=> true (=> ?v_2641 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2642)))) (=> true (=> (not ?v_2641) (and (=> true (=> ?v_2643 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2642)))) (=> true (=> (not ?v_2643) (and (=> true (=> ?v_2644 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2642)))) (=> true (=> (not ?v_2644) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2642)))))))))))))))) (let ((?v_2648 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2646)))))))))))) (?v_2647 (= k.29 1))) (let ((?v_2651 (not ?v_2647)) (?v_1390 (= k.29 0))) (let ((?v_2649 (not ?v_1390))) (let ((?v_2650 (and (=> true (=> ?v_1390 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 ?v_1392) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6) ?v_2646))))) (=> true (=> ?v_2649 (and (=> true (=> ?v_2647 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 ?v_2645) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7) ?v_2648))))) (=> true (=> ?v_2651 (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_2648)))))))))) (let ((?v_2654 (=> true (=> true ?v_2650))) (?v_2652 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2653 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT))) (let ((?v_2657 (=> true (=> (<= k.28 k.29) (=> (< k.29 2) (and (=> true (=> ?v_1390 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3256) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) (=> ?v_2653 ?v_2650)))))) (=> true (=> ?v_2649 (and (=> true (=> ?v_2647 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3822) (=> true (=> ?v_2652 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_2654)))))) (=> true (=> ?v_2651 (=> true (=> ?v_2652 (=> ?v_2653 ?v_2654))))))))))))) (?v_2659 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_2660 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_2657)))) (?v_2658 (= k.28 1)) (?v_2655 (= k.28 0))) (let ((?v_2950 (and (=> true (=> ?v_2661 (=> true (=> (<= k.22 k.28) (=> (< k.28 2) (and (=> true (=> ?v_2655 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3255) (=> true (=> ?v_2659 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2657)))))) (=> true (=> (not ?v_2655) (and (=> true (=> ?v_2658 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3829) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2660))))) (=> true (=> (not ?v_2658) (=> true (=> ?v_2659 ?v_2660))))))))))))) (=> true (=> (not ?v_2661) (=> true (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2666 (=> ?v_2976 (=> ?v_2667 (=> ?v_2977 (=> ?v_2978 (=> ?v_2668 (=> ?v_2979 (=> ?v_2980 (=> ?v_2669 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2670 (=> ?v_2984 (=> ?v_2985 (=> ?v_2671 (=> ?v_2672 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2673 (=> ?v_2989 (=> ?v_2674 (=> ?v_2990 (=> ?v_2991 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2679 (=> ?v_2680 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_3000 (=> ?v_2684 (=> ?v_2685 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_2690 (=> ?v_3008 (=> ?v_2691 (=> ?v_3009 (=> ?v_2692 (=> ?v_2693 (=> ?v_3010 (=> ?v_2694 (=> ?v_2695 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_2696 (=> ?v_2697 (=> ?v_3015 (=> ?v_2698 (=> ?v_3016 (=> ?v_2699 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_2700 (=> ?v_2701 (=> ?v_3020 (=> ?v_2702 (=> ?v_3021 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_3022 (=> ?v_3023 (=> ?v_2707 (=> ?v_3024 (=> ?v_2708 (=> ?v_3025 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_3026 (=> ?v_3027 (=> ?v_2713 (=> ?v_3028 (=> ?v_3029 (=> ?v_2714 (=> ?v_3030 (=> ?v_2715 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_3037 (=> ?v_2728 (=> ?v_3038 (=> ?v_2729 (=> ?v_2730 (=> ?v_3039 (=> ?v_2731 (=> ?v_2732 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_3044 (=> ?v_2737 (=> ?v_2738 (=> ?v_3045 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_3046 (=> ?v_2742 (=> ?v_2743 (=> ?v_3047 (=> ?v_2744 (=> ?v_3048 (=> ?v_3049 (=> ?v_2745 (=> ?v_2746 (=> ?v_3050 (=> ?v_2747 (=> ?v_3051 (=> ?v_2748 (=> ?v_2749 (=> ?v_3052 (=> ?v_2750 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_2751 (=> ?v_3056 (=> ?v_2752 (=> ?v_3057 (=> ?v_3058 (=> ?v_2753 (=> ?v_2754 (=> ?v_3059 (=> ?v_3060 (=> ?v_2755 (=> ?v_3061 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_2759 (=> ?v_3065 (=> ?v_3066 (=> ?v_2760 (=> ?v_2761 (=> ?v_3067 (=> ?v_3068 (=> ?v_2762 (=> ?v_2763 (=> ?v_3069 (=> ?v_3070 (=> ?v_2764 (=> ?v_2765 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_2766 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_2767 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_2768 (=> ?v_3084 (=> ?v_3085 (=> ?v_2769 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_2770 (=> ?v_2771 (=> ?v_3089 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_3093 (=> ?v_3094 (=> ?v_2782 (=> ?v_3095 (=> ?v_3096 (=> ?v_2783 (=> ?v_3097 (=> ?v_2784 (=> ?v_3098 (=> ?v_3099 (=> ?v_2785 (=> ?v_2786 (=> ?v_3100 (=> ?v_3101 (=> ?v_2787 (=> ?v_2788 (=> ?v_3102 (=> ?v_2789 (=> ?v_3103 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_3104 (=> ?v_2793 (=> (= reqCancelSet_0.16 reqCancelSet_0.1) (=> ?v_3105 (=> ?v_2794 (=> ?v_2795 (=> ?v_3106 (=> ?v_2796 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_2797 (=> ?v_2798 (=> ?v_3112 (=> ?v_2799 (=> (= errorReached.133 errorReached.34) (=> ?v_2800 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_2801 (=> ?v_3117 (=> ?v_3118 (=> ?v_2802 (=> ?v_3119 (=> ?v_3120 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_3131 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_3132 (=> ?v_2815 (=> ?v_3133 (=> ?v_3134 (=> ?v_2816 (=> ?v_2817 (=> ?v_3135 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_3136 (=> ?v_2821 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_2822 (=> ?v_3141 (=> ?v_3142 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_3143 (=> ?v_2826 (=> (= reqCancelSet_1.16 reqCancelSet_1.1) (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_2827 (=> ?v_3147 (=> ?v_2828 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_2829 (=> ?v_3152 (=> ?v_2830 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_2831 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_3161 (=> ?v_3162 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_3163 (=> ?v_3164 (=> ?v_2838 (=> ?v_2839 (=> ?v_2840 (=> ?v_2841 (=> ?v_3165 (=> ?v_3166 (=> ?v_2842 (=> ?v_3167 (=> ?v_3168 (=> ?v_2843 (=> ?v_3169 (=> ?v_2844 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_2845 (=> ?v_3173 (=> ?v_2846 (=> ?v_3174 (=> ?v_2847 (=> ?v_2848 (=> ?v_2849 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_3178 (=> ?v_2854 (=> ?v_2855 (=> ?v_3179 (=> ?v_3180 (=> ?v_2856 (=> ?v_3181 (=> ?v_3182 (=> ?v_2857 (=> ?v_2858 (=> ?v_2859 (=> ?v_3183 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_2863 (=> ?v_3189 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> ?v_3190 (=> ?v_2867 (=> ?v_2868 (=> ?v_3191 (=> ?v_2869 (=> ?v_3192 (=> ?v_3193 (=> ?v_2870 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_2871 (=> ?v_3199 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_2878 (=> ?v_2879 (=> ?v_3208 (=> ?v_2880 (=> ?v_2881 (=> ?v_2882 (=> ?v_3209 (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_2886 (=> ?v_3213 (=> ?v_3214 (=> ?v_2887 (=> ?v_3215 (=> ?v_2888 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_2889 (=> ?v_2890 (=> ?v_3219 (=> ?v_2891 (=> ?v_3220 (=> ?v_3221 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_3226 (=> ?v_3227 (=> ?v_2898 (=> ?v_3228 (=> ?v_3229 (=> ?v_2899 (=> ?v_3230 (=> ?v_2900 (=> ?v_2901 (=> ?v_3231 (=> ?v_2902 (=> ?v_3232 (=> ?v_3233 (=> ?v_1427 (=> ?v_3234 (=> ?v_2903 (=> ?v_3235 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_3236 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_2913 (=> ?v_3242 (=> ?v_3243 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_3244 (=> ?v_2918 (=> ?v_2919 (=> ?v_3245 (=> ?v_3246 (=> ?v_2920 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_3251 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 ?v_3252))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2951 (=> true (=> true (=> true (=> true (=> true ?v_2950)))))) (?v_1388 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_2949 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_2955 (and (=> true (=> (not ?v_2949) (=> (not ?v_1388) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_2950))))) (=> true (=> ?v_2949 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_2951)))))) (=> true (=> ?v_1388 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_327) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_2951))))))))) (let ((?v_2961 (=> true ?v_2955)) (?v_2960 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call19261formal.ret.0)) (?v_2952 (= reqCancelSet_1.1 reqCancelSet_1.0)) (?v_2953 (= reqCancelSet_0.1 reqCancelSet_0.0)) (?v_2954 (= errorReached.34 errorReached.33)) (?v_1386 (= reqCancelStarted_0 0)) (?v_1387 (= reqCancelStarted_1 0))) (let ((?v_2956 (and (=> true (=> (=> ?v_1380 (not ?v_1386)) (=> (=> ?v_1382 (not ?v_1387)) (=> true (=> ?v_1388 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 ?v_2955)))))))) (=> true (=> (=> ?v_1380 ?v_1386) (=> (=> ?v_1382 ?v_1387) (=> true (=> ?v_2960 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 ?v_2961)))))))))) (?v_2957 (= reqCancelSet_1.0 reqCancelSet_1))) (let ((?v_2958 (=> (= reqCancelSet_0.0 reqCancelSet_0) (=> true (=> true ?v_2956)))) (?v_3836 (not ?v_1382)) (?v_3834 (not ?v_1380))) (let ((?v_2959 (and (=> true (=> ?v_1380 (=> true (=> ?v_2957 (=> (= reqCancelSet_0.0 0) ?v_2956))))) (=> true (=> ?v_3834 (and (=> true (=> ?v_1382 (=> true (=> (= reqCancelSet_1.0 0) ?v_2958)))) (=> true (=> ?v_3836 (=> true (=> ?v_2957 ?v_2958))))))))) (?v_2962 (=> ?v_1380 ?v_2)) (?v_2963 (=> ?v_1382 ?v_3)) (?v_1384 (=> ?v_1380 ?v_8)) (?v_1385 (=> ?v_1382 ?v_9))) (let ((?v_2965 (and (=> true (=> ?v_1383 (and (=> true (=> ?v_1384 (=> ?v_1385 (=> true (=> (= errorReached.33 1) ?v_2959))))) (=> true (=> ?v_2962 (=> ?v_2963 (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_2959))))))))) (=> true (=> ?v_2602 (=> true (=> ?v_2960 (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= errorReached.34 errorReached.32) ?v_2961)))))))))) (let ((?v_2967 (=> (= errorReached.32 errorReached.28) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2965))))))))))))))))) (?v_2964 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.32 errorReached.29) ?v_2965))))) (let ((?v_3253 (and (=> true (=> (=> ?v_1380 (not ?v_2970)) (=> (=> ?v_1382 (not ?v_2971)) (and (=> true (=> ?v_1383 (and (=> true (=> ?v_1384 (=> ?v_1385 (=> true (=> (= errorReached.29 1) ?v_2964))))) (=> true (=> ?v_2962 (=> ?v_2963 (=> true (=> (= errorReached.29 errorReached.28) (=> true ?v_2964))))))))) (=> true (=> ?v_2602 (and (=> true (=> ?v_2604 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2967)))) (=> true (=> ?v_2966 (and (=> true (=> ?v_2607 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2967)))) (=> true (=> ?v_2968 (and (=> true (=> ?v_2608 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2967)))) (=> true (=> ?v_2969 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2967))))))))))))))))) (=> true (=> (=> ?v_1380 ?v_2970) (=> (=> ?v_1382 ?v_2971) (=> true (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2666 (=> ?v_2976 (=> ?v_2667 (=> ?v_2977 (=> ?v_2978 (=> ?v_2668 (=> ?v_2979 (=> ?v_2980 (=> ?v_2669 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2670 (=> ?v_2984 (=> ?v_2985 (=> ?v_2671 (=> ?v_2672 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2673 (=> ?v_2989 (=> ?v_2674 (=> ?v_2990 (=> ?v_2991 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2679 (=> ?v_3280 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3281 (=> ?v_2682 (=> ?v_2683 (=> ?v_3000 (=> ?v_3282 (=> ?v_2685 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_2690 (=> ?v_3008 (=> ?v_2691 (=> ?v_3009 (=> ?v_3283 (=> ?v_2693 (=> ?v_3010 (=> ?v_2694 (=> ?v_2695 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_2696 (=> ?v_2697 (=> ?v_3015 (=> ?v_2698 (=> ?v_3016 (=> ?v_2699 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_2700 (=> ?v_2701 (=> ?v_3020 (=> ?v_2702 (=> ?v_3021 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_3022 (=> ?v_3023 (=> ?v_2707 (=> ?v_3024 (=> ?v_2708 (=> ?v_3025 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_3026 (=> ?v_3027 (=> ?v_2713 (=> ?v_3028 (=> ?v_3029 (=> ?v_2714 (=> ?v_3030 (=> ?v_2715 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_3037 (=> ?v_2728 (=> ?v_3038 (=> ?v_2729 (=> ?v_2730 (=> ?v_3039 (=> ?v_2731 (=> ?v_2732 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_3044 (=> ?v_2737 (=> ?v_3284 (=> ?v_3045 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_3046 (=> ?v_3285 (=> ?v_2743 (=> ?v_3047 (=> ?v_2744 (=> ?v_3048 (=> ?v_3049 (=> ?v_2745 (=> ?v_2746 (=> ?v_3050 (=> ?v_2747 (=> ?v_3051 (=> ?v_2748 (=> ?v_2749 (=> ?v_3052 (=> ?v_2750 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_2751 (=> ?v_3056 (=> ?v_2752 (=> ?v_3057 (=> ?v_3058 (=> ?v_2753 (=> ?v_3286 (=> ?v_3059 (=> ?v_3060 (=> ?v_2755 (=> ?v_3061 (=> ?v_2756 (=> ?v_2757 (=> ?v_3287 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_2759 (=> ?v_3065 (=> ?v_3066 (=> ?v_2760 (=> ?v_2761 (=> ?v_3067 (=> ?v_3068 (=> ?v_2762 (=> ?v_2763 (=> ?v_3069 (=> ?v_3070 (=> ?v_2764 (=> ?v_2765 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_2766 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_2767 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_2768 (=> ?v_3084 (=> ?v_3085 (=> ?v_2769 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_2770 (=> ?v_2771 (=> ?v_3089 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_3093 (=> ?v_3094 (=> ?v_2782 (=> ?v_3095 (=> ?v_3096 (=> ?v_2783 (=> ?v_3097 (=> ?v_2784 (=> ?v_3098 (=> ?v_3099 (=> ?v_2785 (=> ?v_2786 (=> ?v_3100 (=> ?v_3101 (=> ?v_2787 (=> ?v_2788 (=> ?v_3102 (=> ?v_2789 (=> ?v_3103 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_3104 (=> ?v_2793 (=> (= reqCancelSet_0.16 reqCancelSet_0) (=> ?v_3105 (=> ?v_2794 (=> ?v_2795 (=> ?v_3106 (=> ?v_2796 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_2797 (=> ?v_2798 (=> ?v_3112 (=> ?v_2799 (=> (= errorReached.133 errorReached.28) (=> ?v_2800 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_2801 (=> ?v_3117 (=> ?v_3118 (=> ?v_2802 (=> ?v_3119 (=> ?v_3120 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_3131 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_3132 (=> ?v_2815 (=> ?v_3133 (=> ?v_3134 (=> ?v_2816 (=> ?v_2817 (=> ?v_3135 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_3136 (=> ?v_2821 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_2822 (=> ?v_3141 (=> ?v_3142 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_3143 (=> ?v_2826 (=> (= reqCancelSet_1.16 reqCancelSet_1) (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_2827 (=> ?v_3147 (=> ?v_2828 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_2829 (=> ?v_3152 (=> ?v_2830 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_2831 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_3161 (=> ?v_3162 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_3163 (=> ?v_3164 (=> ?v_2838 (=> ?v_2839 (=> ?v_2840 (=> ?v_2841 (=> ?v_3165 (=> ?v_3166 (=> ?v_2842 (=> ?v_3167 (=> ?v_3168 (=> ?v_2843 (=> ?v_3169 (=> ?v_2844 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_2845 (=> ?v_3173 (=> ?v_2846 (=> ?v_3174 (=> ?v_2847 (=> ?v_2848 (=> ?v_2849 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_3178 (=> ?v_2854 (=> ?v_2855 (=> ?v_3179 (=> ?v_3180 (=> ?v_2856 (=> ?v_3181 (=> ?v_3182 (=> ?v_2857 (=> ?v_2858 (=> ?v_2859 (=> ?v_3183 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_2863 (=> ?v_3189 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> ?v_3190 (=> ?v_2867 (=> ?v_2868 (=> ?v_3191 (=> ?v_2869 (=> ?v_3192 (=> ?v_3193 (=> ?v_2870 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_2871 (=> ?v_3199 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_2878 (=> ?v_2879 (=> ?v_3208 (=> ?v_2880 (=> ?v_2881 (=> ?v_2882 (=> ?v_3209 (=> ?v_2883 (=> ?v_3288 (=> ?v_2885 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_2886 (=> ?v_3213 (=> ?v_3214 (=> ?v_3289 (=> ?v_3215 (=> ?v_2888 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_2889 (=> ?v_2890 (=> ?v_3219 (=> ?v_2891 (=> ?v_3220 (=> ?v_3221 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_3226 (=> ?v_3227 (=> ?v_2898 (=> ?v_3228 (=> ?v_3229 (=> ?v_2899 (=> ?v_3230 (=> ?v_2900 (=> ?v_2901 (=> ?v_3231 (=> ?v_2902 (=> ?v_3232 (=> ?v_3233 (=> ?v_1427 (=> ?v_3234 (=> ?v_2903 (=> ?v_3235 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_3236 (=> ?v_2910 (=> ?v_3291 (=> ?v_2912 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_2913 (=> ?v_3242 (=> ?v_3243 (=> ?v_3292 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_3244 (=> ?v_2918 (=> ?v_2919 (=> ?v_3245 (=> ?v_3246 (=> ?v_2920 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_3251 (=> ?v_2926 (=> ?v_2927 (=> ?v_3293 ?v_3252)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3835 (and (=> true (=> (not ?v_3254) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) ?v_3253)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) (=> true ?v_3253)))))))) (=> true (=> ?v_3254 (=> true (=> (<= k.22 k.23) (=> (< k.23 2) (and (=> true (=> ?v_3828 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3255) (=> true (=> ?v_3832 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_3830)))))) (=> true (=> (not ?v_3828) (and (=> true (=> ?v_3831 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3829) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_3833))))) (=> true (=> (not ?v_3831) (=> true (=> ?v_3832 ?v_3833)))))))))))))))) (let ((?v_3837 (=> true (=> true ?v_3835)))) (let ((?v_3842 (and (=> true (=> ?v_1380 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1389))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1) ?v_3835))))) (=> true (=> ?v_3834 (and (=> true (=> ?v_1382 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1389))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0) ?v_3837))))) (=> true (=> ?v_3836 (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) ?v_3837))))))))) (?v_3844 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.))) (let ((?v_3845 (=> (= errorReached.28 errorReached.26) (=> (= k.22 k.20) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3842)))))))))))) (?v_3847 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hdevice)) (?v_3846 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hqueue)) (?v_3843 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 htimer)) (?v_3841 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hrequest)) (?v_3840 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call18807formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.28 errorReached.27) (=> (= k.22 k.21) ?v_3842)))))) (?v_3838 (= k.21 0)) (?v_3839 (= k.21 1))) (let ((?v_3850 (and (=> true (=> ?v_3841 (=> true (=> (<= k.20 k.21) (=> (< k.21 2) (and (=> true (=> (=> ?v_3838 ?v_8) (=> (=> ?v_3839 ?v_9) (=> true (=> (= errorReached.27 1) ?v_3840))))) (=> true (=> (=> ?v_3838 ?v_2) (=> (=> ?v_3839 ?v_3) (=> true (=> (= errorReached.27 errorReached.26) (=> true ?v_3840)))))))))))) (=> true (=> (not ?v_3841) (and (=> true (=> ?v_3843 (=> true (=> ?v_3844 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3845))))) (=> true (=> (not ?v_3843) (and (=> true (=> ?v_3846 (=> true (=> ?v_3844 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3845))))) (=> true (=> (not ?v_3846) (and (=> true (=> ?v_3847 (=> true (=> ?v_3844 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3845))))) (=> true (=> (not ?v_3847) (=> true (=> ?v_3844 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3845))))))))))))))))) (let ((?v_3852 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3850)))))))) (?v_3851 (= k.20 1)) (?v_3849 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3848 (= k.20 0))) (let ((?v_3856 (=> true (=> (<= k.19 k.20) (=> (< k.20 2) (and (=> true (=> ?v_3848 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3849))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0) ?v_3850))))) (=> true (=> (not ?v_3848) (and (=> true (=> ?v_3851 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3849))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1) ?v_3852))))) (=> true (=> (not ?v_3851) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) ?v_3852))))))))))))) (let ((?v_3860 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3856))))))))) (?v_3857 (= k.19 k.17)) (?v_3858 (= errorReached.26 errorReached.24)) (?v_3859 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_3855 (=> true (=> (= k.19 k.18) (=> (= errorReached.26 errorReached.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call18599formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3856)))))) (?v_3853 (= k.18 0)) (?v_3854 (= k.18 1))) (let ((?v_3865 (and (=> true (=> ?v_24 (=> true (=> (<= k.17 k.18) (=> (< k.18 2) (and (=> true (=> (=> ?v_3853 ?v_8) (=> (=> ?v_3854 ?v_9) (=> true (=> (= errorReached.25 1) ?v_3855))))) (=> true (=> (=> ?v_3853 ?v_2) (=> (=> ?v_3854 ?v_3) (=> true (=> (= errorReached.25 errorReached.24) (=> true ?v_3855)))))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3860))))))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3860))))))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3860))))))) (=> true (=> ?v_2414 (=> true (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3860))))))))))))))))))) (let ((?v_3866 (=> (= errorReached.24 errorReached.23) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3865))))))))))))) (?v_3863 (= k.17 k.16)) (?v_3864 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call18494formal.ret.0)) (?v_3861 (= k.16 0)) (?v_3862 (= k.16 1))) (let ((?v_4046 (and (=> true (=> ?v_26 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_3861 ?v_8) (=> (=> ?v_3862 ?v_9) (=> true (=> ?v_3863 (=> ?v_3864 (=> (= errorReached.24 1) ?v_3865))))))) (=> true (=> (=> ?v_3861 ?v_2) (=> (=> ?v_3862 ?v_3) (=> true (=> ?v_3863 (=> ?v_3864 ?v_3866)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.17 k.15) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) ?v_3866)))))))) (let ((?v_4276 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4046))))))))))))))) (?v_4274 (= errorReached.23 errorReached.16)) (?v_3954 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_3955 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_3956 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3957 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3958 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3959 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_3960 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_3961 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_3962 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_3963 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_3964 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3965 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3966 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_3967 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3968 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4154 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3969 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_3970 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_4155 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_3971 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3972 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_3973 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_4156 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_4157 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_3974 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4158 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_4159 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_3975 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_4160 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_3976 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_3977 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_3978 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_4161 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3979 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_4162 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_3980 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_3981 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_4163 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_3982 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.)) (?v_4164 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3983 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3984 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_4165 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_3985 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_3986 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_3987 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_3988 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3989 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_4166 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4167 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_3990 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_4168 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3991 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3992 (= k.15 k.6)) (?v_3993 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 0)) (?v_3994 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4169 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_3995 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_3996 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_3997 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_3998 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_4170 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_3999 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_4000 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_4001 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4002 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_4003 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_4171 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_4004 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4005 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_4006 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_4172 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4007 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4008 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_4009 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_4010 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4173 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_4011 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_4012 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4013 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_4014 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_4174 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_4015 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_4016 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4017 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_4018 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_4019 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_4175 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_4176 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_4177 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_4178 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4179 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_4020 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_4021 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_4180 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_4022 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_4023 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_4024 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 0)) (?v_4181 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_4025 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_4182 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4275 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 0)) (?v_4026 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4027 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_4028 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_4183 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4029 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_4030 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4031 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_4032 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4033 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4184 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_4034 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_4185 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4035 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_4036 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.)) (?v_4037 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4186 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_4187 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_4038 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_4188 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4039 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_4040 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4041 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_4042 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_4043 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4044 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_4045 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.))) (let ((?v_4189 (=> ?v_4045 ?v_4276))) (let ((?v_4048 (=> true (=> ?v_4274 (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> ?v_3962 (=> ?v_3963 (=> ?v_3964 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4) (=> ?v_3965 (=> ?v_3966 (=> ?v_3967 (=> ?v_3968 (=> ?v_4154 (=> ?v_3969 (=> ?v_3970 (=> ?v_4155 (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_4156 (=> ?v_4157 (=> ?v_3974 (=> ?v_4158 (=> ?v_4159 (=> ?v_3975 (=> ?v_4160 (=> ?v_3976 (=> ?v_3977 (=> ?v_3978 (=> ?v_4161 (=> ?v_3979 (=> ?v_4162 (=> ?v_3980 (=> ?v_3981 (=> ?v_4163 (=> ?v_3982 (=> ?v_4164 (=> ?v_3983 (=> ?v_3984 (=> ?v_4165 (=> ?v_3985 (=> ?v_3986 (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> ?v_4166 (=> ?v_4167 (=> ?v_3990 (=> ?v_4168 (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> ?v_4169 (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> ?v_3998 (=> ?v_4170 (=> ?v_3999 (=> ?v_4000 (=> ?v_4001 (=> ?v_4002 (=> ?v_4003 (=> ?v_4171 (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> ?v_4172 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> (= alloc.12 alloc.6) (=> ?v_4173 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> ?v_4174 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4020 (=> ?v_4021 (=> ?v_4180 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4181 (=> ?v_4025 (=> ?v_4182 (=> ?v_4275 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4183 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4184 (=> ?v_4034 (=> ?v_4185 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 0) (=> ?v_4035 (=> ?v_4036 (=> ?v_4037 (=> ?v_4186 (=> ?v_4187 (=> ?v_4038 (=> ?v_4188 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0) (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 ?v_4189)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4047 (= myNondetVar_1.0 0))) (let ((?v_4265 (=> true (=> ?v_4047 ?v_4048))) (?v_3953 (= myNondetVar_2.0 0))) (let ((?v_4264 (=> true (=> ?v_3953 ?v_4048))) (?v_4302 (and (=> true (=> ?v_4277 (and (=> true (=> ?v_4273 (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_4278 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_4279 (=> ?v_754 (=> ?v_4280 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_4281 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_4282 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4283 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_4284 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4271 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_4285 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_4287 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4288 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4289 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4290 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_4291 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_4292 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_4293 (=> ?v_4294 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_4295 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_4296 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 call34179formal.ret.0) (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_4297 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 call34179formal.ret.0) (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_4298 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_4299 (=> ?v_1286 (=> ?v_1287 (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 call34179formal.ret.0) (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 call34179formal.ret.0) ?v_4300)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4273) (=> true (=> ?v_4274 (=> ?v_3954 (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> ?v_3962 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 call34179formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.12) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call34092formal.ret.0) (=> ?v_3966 (=> ?v_3967 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4154 (=> ?v_3969 (=> ?v_3970 (=> ?v_4155 (=> ?v_3971 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3973 (=> ?v_4156 (=> ?v_4157 (=> ?v_3974 (=> ?v_4158 (=> ?v_4159 (=> ?v_3975 (=> ?v_4160 (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call34179formal.ret.0) (=> ?v_3977 (=> ?v_3978 (=> ?v_4161 (=> ?v_3979 (=> ?v_4162 (=> ?v_3980 (=> ?v_3981 (=> ?v_4163 (=> ?v_3982 (=> ?v_4164 (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34029formal.new.0) (=> ?v_3984 (=> ?v_4165 (=> ?v_3985 (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call34029formal.new.0) (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> ?v_4166 (=> ?v_4167 (=> ?v_3990 (=> ?v_4168 (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> ?v_4169 (=> ?v_3995 (=> ?v_3996 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_3998 (=> ?v_4170 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4000 (=> ?v_4001 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call34179formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4171 (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> ?v_4172 (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16859formal.new.0) (=> ?v_4008 (=> ?v_4009 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16856formal.new.0) (=> (= alloc.12 alloc.10) (=> ?v_4173 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> ?v_4174 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> ?v_4020 (=> ?v_4021 (=> ?v_4180 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call34092formal.ret.0) (=> ?v_4023 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4181 (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call34179formal.ret.0) (=> ?v_4182 (=> ?v_4275 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call32887formal.new.0) (=> ?v_4027 (=> ?v_4028 (=> ?v_4183 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4184 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1) (=> ?v_4185 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_4035 (=> ?v_4036 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call32887formal.new.0) (=> ?v_4186 (=> ?v_4187 (=> ?v_4038 (=> ?v_4188 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) ?v_4276))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4277) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_4278 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_4279 (=> ?v_754 (=> ?v_4280 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_4281 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_4282 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4283 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_4284 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4271 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_4285 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_4287 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4288 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4289 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4290 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_4291 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_4292 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_4293 (=> ?v_4294 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_4295 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_4296 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_4297 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_4298 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_4299 ?v_4306))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4301 (= call34092formal.ret.0 0))) (let ((?v_4304 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4302))) (?v_4303 (= call34092formal.ret.0 1)) (?v_744 (>= 0 0)) (?v_4270 (int_2_U call34029formal.new.0)) (?v_4269 (int_2_U call32887formal.new.0)) (?v_4054 (not ?v_742)) (?v_4053 (not ?v_3953)) (?v_4052 (not ?v_4047)) (?v_4268 (= myNondetVar_0.0 2228243)) (?v_4191 (and (=> true (=> ?v_4103 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 ?v_36) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_4106 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_4108 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_4110 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_4113 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_4114 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_4116 (=> ?v_887 (=> ?v_4117 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4118 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_4121 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4122 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4128 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_4131 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_4133 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_4136 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_4137 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4139 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4140 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_4142 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_4145 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_4150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 ?v_4152)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4103) (and (=> true (=> ?v_4153 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 ?v_36) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_4106 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_4108 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_4110 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_4113 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_4114 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_4116 (=> ?v_887 (=> ?v_4117 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4118 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_4121 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4122 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 call35168formal.ret.0) (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4128 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_4131 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_4133 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 call35168formal.ret.0) (=> ?v_1032 (=> ?v_1033 (=> ?v_4136 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_4137 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4139 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4140 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 call35168formal.ret.0) (=> ?v_1090 (=> ?v_1091 (=> ?v_4142 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_4145 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_4150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 call35168formal.ret.0) ?v_4152)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4153) (=> true (=> (= errorReached.23 errorReached.22) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 call34447formal.new.0) (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 call35168formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call34683formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_3963 (=> ?v_3964 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16) (=> ?v_3965 (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 call35129formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16862formal.new.0) (=> ?v_3968 (=> ?v_4154 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 call34629formal.new.0) (=> ?v_4155 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_3972 (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 call35168formal.ret.0) (=> ?v_4156 (=> ?v_4157 (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_4158 (=> ?v_4159 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4160 (=> ?v_3976 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34993formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call34501formal.ret.0) (=> ?v_4161 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> ?v_4162 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> ?v_4163 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 call34993formal.ret.0) (=> ?v_4164 (=> ?v_3983 (=> (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_4165 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> ?v_3986 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34803formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call34873formal.ret.0) (=> ?v_4166 (=> ?v_4167 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4168 (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34629formal.new.0) (=> (= k.15 k.14) (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16862formal.new.0) (=> ?v_4169 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call34307formal.ret.0) (=> ?v_3997 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 call34307formal.ret.0) (=> ?v_4170 (=> ?v_3999 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 call35129formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> ?v_4002 (=> ?v_4003 (=> ?v_4171 (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34447formal.new.0) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 call35168formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> ?v_4172 (=> ?v_4007 (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 call35168formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) (=> ?v_4010 (=> (= alloc.12 alloc.11) (=> ?v_4173 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call34501formal.ret.0) (=> ?v_4174 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> ?v_4175 (=> ?v_4176 (=> ?v_4177 (=> ?v_4178 (=> ?v_4179 (=> (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> ?v_4180 (=> ?v_4022 (=> (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 call35129formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 call34993formal.ret.0) (=> ?v_4181 (=> ?v_4025 (=> ?v_4182 (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_4026 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> ?v_4183 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call34683formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34993formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call34873formal.ret.0) (=> ?v_4184 (=> ?v_4034 (=> ?v_4185 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call34803formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 call34993formal.ret.0) (=> ?v_4037 (=> ?v_4186 (=> ?v_4187 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_4188 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 call34803formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34803formal.ret.0) (=> (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 call35129formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call34803formal.ret.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2) ?v_4189))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4213 (and (=> true (=> ?v_4192 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call35064formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 inline.EvtIoChildDeviceControl.0.myNondetVar_0.15) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call35064formal.ret.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4191)))))))))))))))))))))) (=> true (=> (not ?v_4192) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_4106 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_4108 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_4110 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_4114 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_887 (=> ?v_4117 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_4121 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4122 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4128 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_4133 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_4136 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_4137 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 call35064formal.ret.0) (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_4145 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_4150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4193 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.15) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_4196 (=> ?v_4197 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_4199 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_4200 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_4201 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4202 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_4203 (=> ?v_1295 (=> ?v_1296 (=> ?v_4204 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_4205 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4206 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_4207 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4208 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4209 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4210 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 call35064formal.ret.0) ?v_4211))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4212 (= call35064formal.ret.0 0))) (let ((?v_4215 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4213))) (?v_4214 (= call35064formal.ret.0 1)) (?v_4051 (= myNondetVar_0.0 2228233))) (let ((?v_4190 (not ?v_4051))) (let ((?v_4223 (and (=> true (=> ?v_4219 (and (=> true (=> (not ?v_4216) (and (=> true (=> ?v_4051 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 inline.EvtIoChildDeviceControl.0.myNondetVar_0.14) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) ?v_4191))))))))))) (=> true (=> ?v_4190 (and (=> true (=> (not ?v_4212) (=> (not ?v_4214) ?v_4215))) (=> true (=> ?v_4212 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4213))))))))))))))) (=> true (=> ?v_4214 (=> true ?v_4215))))))))) (=> true (=> ?v_4216 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 ?v_4217) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_4106 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_4108 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_4110 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_4114 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4117 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_4121 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4122 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4128 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_4133 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_4136 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_4137 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_4145 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_4150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4193 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.14) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_4196 (=> ?v_4197 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_4199 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_4200 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_4201 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_4202 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_4203 (=> ?v_1295 (=> ?v_1296 (=> ?v_4204 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_4205 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4206 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_4207 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_2120 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4208 (=> ?v_4080 (=> ?v_4081 (=> ?v_4082 (=> ?v_4209 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4210 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4218 ?v_4211)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4219) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_4106 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_4110 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_4114 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4117 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_4121 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4122 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_4133 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_4136 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_4145 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_4150 ?v_4231))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4222 (= call34873formal.ret.0 0))) (let ((?v_4228 (and (=> true (=> (not ?v_4222) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_4223))))))) (=> true (=> ?v_4222 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4223))))))))))))) (let ((?v_4229 (=> (= errorReached.22 errorReached.21) (=> true (=> true (=> true ?v_4228))))) (?v_4226 (= k.14 k.13)) (?v_4227 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call34876formal.ret.0)) (?v_4224 (= k.13 0)) (?v_4225 (= k.13 1))) (let ((?v_4237 (and (=> true (=> ?v_4232 (and (=> true (=> (not ?v_4230) (and (=> true (=> ?v_26 (=> true (=> (<= k.12 k.13) (=> (< k.13 2) (and (=> true (=> (=> ?v_4224 ?v_8) (=> (=> ?v_4225 ?v_9) (=> true (=> ?v_4226 (=> ?v_4227 (=> (= errorReached.22 1) ?v_4228))))))) (=> true (=> (=> ?v_4224 ?v_2) (=> (=> ?v_4225 ?v_3) (=> true (=> ?v_4226 (=> ?v_4227 ?v_4229)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.14 k.12) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) ?v_4229)))))))) (=> true (=> ?v_4230 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 ?v_4217) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4109 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4233 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4234 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_4126 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4129 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_4135 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4141 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_1108 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 ?v_4231)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4232) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4112 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_4115 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4233 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_4120 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4234 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4123 (=> ?v_945 (=> ?v_4124 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_4127 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4132 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_4134 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_1108 (=> ?v_1109 (=> ?v_4146 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4193 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.7) ?v_4235)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4236 (= call34683formal.ret.0 0))) (let ((?v_4242 (and (=> true (=> (not ?v_4236) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_4237))))))) (=> true (=> ?v_4236 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4237))))))))))))) (let ((?v_4243 (=> (= errorReached.21 errorReached.18) (=> true (=> true (=> true ?v_4242))))) (?v_4240 (= k.12 k.11)) (?v_4241 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 call34686formal.ret.0)) (?v_4238 (= k.11 0)) (?v_4239 (= k.11 1)) (?v_4056 (int_2_U call34629formal.new.0))) (let ((?v_4247 (and (=> true (=> ?v_4244 (=> true (and ?v_744 (=> ?v_744 (=> (> call34629formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call34629formal.new.0 ?x369) (< ?x369 (+ call34629formal.new.0 0))) (= (Base ?x369) call34629formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call34629formal.new.0) (= (MapType0Select alloc.8 ?x370) (MapType0Select alloc.11 ?x370)))) :pattern ((MapType0Select alloc.11 ?x370)) )) (=> (and (= (MapType0Select alloc.8 ?v_4056) UNALLOCATED) (= (MapType0Select alloc.11 ?v_4056) ALLOCATED)) (and (=> true (=> ?v_26 (=> true (=> (<= k.10 k.11) (=> (< k.11 2) (and (=> true (=> (=> ?v_4238 ?v_8) (=> (=> ?v_4239 ?v_9) (=> true (=> ?v_4240 (=> ?v_4241 (=> (= errorReached.21 1) ?v_4242))))))) (=> true (=> (=> ?v_4238 ?v_2) (=> (=> ?v_4239 ?v_3) (=> true (=> ?v_4240 (=> ?v_4241 ?v_4243)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.12 k.10) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) ?v_4243))))))))))))))) (=> true (=> (not ?v_4244) (=> true (=> ?v_724 (=> ?v_4104 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_4105 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_4107 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_4111 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> (= alloc.18 alloc.8) (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> (= errorReached.134 errorReached.18) (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_4119 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> (= k.133 k.10) (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_4125 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_4130 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_4138 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_4143 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_4147 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_4148 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_4149 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4151 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_4195 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.6) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_4201 ?v_4255)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4246 (= call34501formal.ret.0 0))) (let ((?v_4252 (and (=> true (=> (not ?v_4246) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) ?v_4247))))))) (=> true (=> ?v_4246 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_4247))))))))))))) (let ((?v_4253 (=> (= errorReached.18 errorReached.17) (=> true (=> true (=> true ?v_4252))))) (?v_4250 (= k.10 k.9)) (?v_4251 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 call34504formal.ret.0)) (?v_4248 (= k.9 0)) (?v_4249 (= k.9 1)) (?v_4055 (int_2_U call34447formal.new.0))) (let ((?v_4257 (and (=> true (=> ?v_4254 (=> true (and ?v_744 (=> ?v_744 (=> (> call34447formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call34447formal.new.0 ?x371) (< ?x371 (+ call34447formal.new.0 0))) (= (Base ?x371) call34447formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call34447formal.new.0) (= (MapType0Select alloc.6 ?x372) (MapType0Select alloc.8 ?x372)))) :pattern ((MapType0Select alloc.8 ?x372)) )) (=> (and (= (MapType0Select alloc.6 ?v_4055) UNALLOCATED) (= (MapType0Select alloc.8 ?v_4055) ALLOCATED)) (and (=> true (=> ?v_26 (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> (=> ?v_4248 ?v_8) (=> (=> ?v_4249 ?v_9) (=> true (=> ?v_4250 (=> ?v_4251 (=> (= errorReached.18 1) ?v_4252))))))) (=> true (=> (=> ?v_4248 ?v_2) (=> (=> ?v_4249 ?v_3) (=> true (=> ?v_4250 (=> ?v_4251 ?v_4253)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.10 k.8) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) ?v_4253))))))))))))))) (=> true (=> (not ?v_4254) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_3914 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> (= errorReached.134 errorReached.17) (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> (= k.133 k.8) (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_4144 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_4194 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_3932 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_4198 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 ?v_4255)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4256 (= call34307formal.ret.0 0))) (let ((?v_4262 (and (=> true (=> (not ?v_4256) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) ?v_4257))))))) (=> true (=> ?v_4256 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4257))))))))))))) (let ((?v_4263 (=> (= errorReached.17 errorReached.16) (=> true (=> true (=> true ?v_4262))))) (?v_4260 (= k.8 k.7)) (?v_4261 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 call34310formal.ret.0)) (?v_4258 (= k.7 0)) (?v_4259 (= k.7 1))) (let ((?v_4267 (and (=> true (=> ?v_4052 (and (=> true (=> ?v_4053 (and (=> true (=> ?v_742 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5) ?v_741))))))))))))))))))))))) (=> true (=> ?v_4054 (and (=> true (=> ?v_26 (=> true (=> (<= k.6 k.7) (=> (< k.7 2) (and (=> true (=> (=> ?v_4258 ?v_8) (=> (=> ?v_4259 ?v_9) (=> true (=> ?v_4260 (=> ?v_4261 (=> (= errorReached.17 1) ?v_4262))))))) (=> true (=> (=> ?v_4258 ?v_2) (=> (=> ?v_4259 ?v_3) (=> true (=> ?v_4260 (=> ?v_4261 ?v_4263)))))))))))) (=> true (=> ?v_453 (=> true (=> (= k.8 k.6) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.) ?v_4263))))))))))) ?v_4264))) ?v_4265)) (?v_4266 (= myNondetVar_0.0 2228238)) (?v_1379 (not (= call35810formal.ret.0 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)))) (let ((?v_3908 (and (=> true (=> ?v_3867 (and (=> true (=> ?v_1379 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_3868 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_3869 (=> ?v_762 (=> ?v_763 (=> ?v_3870 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3871 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3872 (=> ?v_808 (=> ?v_809 (=> ?v_3873 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3874 (=> ?v_821 (=> ?v_3875 (=> ?v_3876 (=> ?v_822 (=> ?v_823 (=> ?v_3877 (=> ?v_824 (=> ?v_825 (=> ?v_3878 (=> ?v_826 (=> ?v_827 (=> ?v_3879 (=> ?v_828 (=> ?v_829 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 call35810formal.ret.0) (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3881 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3882 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_3883 (=> ?v_3884 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3885 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3886 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3887 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3888 (=> ?v_3889 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3890 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_3891 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_3892 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3893 (=> ?v_3894 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3895 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3896 (=> ?v_1177 (=> ?v_1178 (=> ?v_3897 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3898 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3899 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3900 (=> ?v_1194 (=> ?v_1195 (=> ?v_3901 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 call35810formal.ret.0) (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 call35810formal.ret.0) (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3904 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 call35810formal.ret.0) ?v_3906))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1379) (=> true (=> (= errorReached.23 errorReached.20) (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> ?v_3962 (=> ?v_3963 (=> ?v_3964 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.10) (=> ?v_3965 (=> ?v_3966 (=> ?v_3967 (=> ?v_3968 (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call35679formal.new.0) (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 call35810formal.ret.0) (=> ?v_3974 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> ?v_3975 (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 call35810formal.ret.0) (=> ?v_3976 (=> ?v_3977 (=> ?v_3978 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_3979 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 call35501formal.ret.0) (=> ?v_3980 (=> ?v_3981 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_3982 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call35619formal.ret.0) (=> ?v_3983 (=> ?v_3984 (=> (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_3985 (=> ?v_3986 (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call35501formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> ?v_3990 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 call35679formal.new.0) (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> ?v_3998 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call35619formal.ret.0) (=> ?v_3999 (=> ?v_4000 (=> ?v_4001 (=> ?v_4002 (=> ?v_4003 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 call35810formal.ret.0) (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call35722formal.ret.0) (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> (= alloc.12 alloc.9) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call35722formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 call35619formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0) (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2) (=> ?v_4020 (=> ?v_4021 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call35365formal.ret.0) (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 call35810formal.ret.0) (=> ?v_4025 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16862formal.new.0) (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 call35365formal.ret.0) (=> ?v_4034 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call35619formal.ret.0) (=> ?v_4035 (=> ?v_4036 (=> ?v_4037 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 call35619formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_4038 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 ?v_4046))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3867) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_3868 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_3869 (=> ?v_762 (=> ?v_763 (=> ?v_3870 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3871 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3872 (=> ?v_808 (=> ?v_809 (=> ?v_3873 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3874 (=> ?v_821 (=> ?v_3875 (=> ?v_3876 (=> ?v_822 (=> ?v_823 (=> ?v_3877 (=> ?v_824 (=> ?v_825 (=> ?v_3878 (=> ?v_826 (=> ?v_827 (=> ?v_3879 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3881 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3882 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_3883 (=> ?v_3884 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3885 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3886 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3887 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3888 (=> ?v_3889 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3890 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_3891 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_3892 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3893 (=> ?v_3894 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3895 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3896 (=> ?v_1177 (=> ?v_1178 (=> ?v_3897 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3898 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3899 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3900 (=> ?v_1194 (=> ?v_1195 (=> ?v_3901 ?v_3926)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3907 (= call35722formal.ret.0 0))) (let ((?v_3910 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3908))) (?v_3909 (= call35722formal.ret.0 1)) (?v_745 (int_2_U call35679formal.new.0))) (let ((?v_3936 (and (=> true (=> ?v_3927 (and (=> true (=> (not ?v_3911) (=> true (and ?v_744 (=> ?v_744 (=> (> call35679formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call35679formal.new.0 ?x373) (< ?x373 (+ call35679formal.new.0 0))) (= (Base ?x373) call35679formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call35679formal.new.0) (= (MapType0Select alloc.6 ?x374) (MapType0Select alloc.9 ?x374)))) :pattern ((MapType0Select alloc.9 ?x374)) )) (=> (and (= (MapType0Select alloc.6 ?v_745) UNALLOCATED) (= (MapType0Select alloc.9 ?v_745) ALLOCATED)) (and (=> true (=> (not ?v_3907) (=> (not ?v_3909) ?v_3910))) (=> true (=> ?v_3907 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3908))))))))))))))) (=> true (=> ?v_3909 (=> true ?v_3910))))))))))))) (=> true (=> ?v_3911 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 ?v_4217) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_3868 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_3869 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3872 (=> ?v_808 (=> ?v_809 (=> ?v_3873 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3874 (=> ?v_821 (=> ?v_3875 (=> ?v_3914 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3881 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_3883 (=> ?v_3884 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3886 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3887 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3889 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3890 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_3891 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_3892 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3896 (=> ?v_1177 (=> ?v_1178 (=> ?v_3897 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3898 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.8) ?v_3926))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3927) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_3868 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_3869 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3872 (=> ?v_808 (=> ?v_809 (=> ?v_3873 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_3875 (=> ?v_3914 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3881 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_3883 (=> ?v_3884 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3886 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3889 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_3891 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_3892 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3896 (=> ?v_1177 (=> ?v_1178 (=> ?v_3897 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_3932 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 ?v_3934)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3935 (= call35501formal.ret.0 0))) (let ((?v_3937 (and (=> true (=> (not ?v_3935) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0) ?v_3936))))))) (=> true (=> ?v_3935 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_3936))))))))))))) (let ((?v_3938 (=> true (=> (= errorReached.20 errorReached.19) (=> true (=> true (=> true ?v_3937)))))) (?v_27 (= k.6 0))) (let ((?v_3949 (=> ?v_27 ?v_2)) (?v_31 (= k.6 1))) (let ((?v_3950 (=> ?v_31 ?v_3)) (?v_28 (=> ?v_27 ?v_8)) (?v_29 (=> ?v_31 ?v_9))) (let ((?v_3948 (and (=> true (=> ?v_3939 (and (=> true (=> ?v_26 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.20 1) ?v_3937))))) (=> true (=> ?v_3949 (=> ?v_3950 ?v_3938)))))) (=> true (=> ?v_453 ?v_3938))))) (=> true (=> (not ?v_3939) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_3869 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_3873 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_3875 (=> ?v_3914 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> (= errorReached.134 errorReached.19) (=> ?v_3884 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_3929 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_3891 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_3892 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_3897 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> ?v_3932 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_3905 (=> ?v_1331 (=> ?v_1332 (=> ?v_3945 ?v_3946)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3947 (= call35365formal.ret.0 0))) (let ((?v_3951 (and (=> true (=> (not ?v_3947) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) ?v_3948))))))) (=> true (=> ?v_3947 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_3948))))))))))))) (let ((?v_3952 (=> true (=> (= errorReached.19 errorReached.16) (=> true (=> true (=> true ?v_3951)))))) (?v_743 (= (BIT_BAND myNondetVar_1.0 1) 0))) (let ((?v_4050 (and (=> true (=> ?v_4052 (and (=> true (=> ?v_4053 (and (=> true (=> ?v_742 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2) ?v_741))))))))))))))))))))))) (=> true (=> ?v_4054 (and (=> true (=> (not ?v_743) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3) ?v_741))))))))))))))))))))))) (=> true (=> ?v_743 (=> true (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 (BINARY_BOTH_INT myNondetVar_1.0 1)) (and (=> true (=> ?v_26 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.19 1) ?v_3951))))) (=> true (=> ?v_3949 (=> ?v_3950 ?v_3952)))))) (=> true (=> ?v_453 ?v_3952))))))))))))) ?v_4264))) ?v_4265)) (?v_4049 (= myNondetVar_0.0 2228228)) (?v_723 (= myNondetVar_0.0 2228224))) (let ((?v_4321 (and (=> true (=> (not ?v_723) (=> (not ?v_4049) (=> ?v_4190 (=> (not ?v_4266) (=> (not ?v_4268) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1) ?v_741))))))))))))))))))))))))))) (=> true (=> ?v_723 ?v_4050)) (=> true (=> ?v_4049 (=> true ?v_4050))) (=> true (=> ?v_4051 ?v_4267)) (=> true (=> ?v_4266 (=> true ?v_4267))) (=> true (=> ?v_4268 (and (=> true (=> ?v_4052 (and (=> true (=> ?v_4053 (and (=> true (=> ?v_742 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4) ?v_741))))))))))))))))))))))) (=> true (=> ?v_4054 (=> true (and ?v_744 (=> ?v_744 (=> (> call32887formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call32887formal.new.0 ?x367) (< ?x367 (+ call32887formal.new.0 0))) (= (Base ?x367) call32887formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call32887formal.new.0) (= (MapType0Select alloc.6 ?x368) (MapType0Select alloc.7 ?x368)))) :pattern ((MapType0Select alloc.7 ?x368)) )) (=> (and (= (MapType0Select alloc.6 ?v_4269) UNALLOCATED) (= (MapType0Select alloc.7 ?v_4269) ALLOCATED)) (and (=> true (=> (not ?v_4307) (=> true (and ?v_744 (=> ?v_744 (=> (> call34029formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call34029formal.new.0 ?x365) (< ?x365 (+ call34029formal.new.0 0))) (= (Base ?x365) call34029formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call34029formal.new.0) (= (MapType0Select alloc.7 ?x366) (MapType0Select alloc.10 ?x366)))) :pattern ((MapType0Select alloc.10 ?x366)) )) (=> (and (= (MapType0Select alloc.7 ?v_4270) UNALLOCATED) (= (MapType0Select alloc.10 ?v_4270) ALLOCATED)) (and (=> true (=> (not ?v_4305) (and (=> true (=> (not ?v_4301) (=> (not ?v_4303) ?v_4304))) (=> true (=> ?v_4301 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4302))))))))))))))) (=> true (=> ?v_4303 (=> true ?v_4304)))))) (=> true (=> ?v_4305 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_4279 (=> ?v_754 (=> ?v_4280 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_4281 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_4282 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> ?v_4283 (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_4284 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4271 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_4285 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4288 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4289 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_4291 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_4293 (=> ?v_4294 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.11) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_4297 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 ?v_4306))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4307 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 ?v_36) (=> true (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7) (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_4279 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_4281 (=> ?v_4057 (=> ?v_762 (=> ?v_763 (=> ?v_3912 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_3913 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_3940 (=> ?v_808 (=> ?v_809 (=> ?v_4058 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_3928 (=> ?v_821 (=> ?v_4059 (=> (= alloc.18 alloc.7) (=> ?v_822 (=> ?v_823 (=> ?v_3915 (=> ?v_824 (=> ?v_825 (=> ?v_3916 (=> ?v_826 (=> ?v_827 (=> ?v_3917 (=> ?v_828 (=> ?v_829 (=> ?v_3880 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_3941 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_3918 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_4271 (=> ?v_4060 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_3919 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_3942 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4289 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_3920 (=> ?v_3943 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_3930 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4061 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_4062 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_3921 (=> ?v_3922 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_4291 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_3923 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_4293 (=> ?v_4294 (=> ?v_1175 (=> ?v_1176 (=> ?v_3944 (=> ?v_1177 (=> ?v_1178 (=> ?v_4063 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_3931 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_3924 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3925 (=> ?v_1194 (=> ?v_1195 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.5) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3902 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_3903 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_3933 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_4308 ?v_4309)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) ?v_4264))) ?v_4265)))))) (let ((?v_4314 (=> true (=> (= lockStatus_1.2 lockStatus_1.1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call18346formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= lockStatus_0.2 lockStatus_0.1) ?v_4321))))))))) (?v_4313 (= inline.AcquireDpcLock.0.myVar_0.2 hlock))) (let ((?v_4310 (=> true (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= lockStatus_0.1 lockStatus_0.0) ?v_4314)))) (?v_4311 (= lockStatus_1.0 lockStatus_1))) (let ((?v_4312 (=> (= lockStatus_0.0 lockStatus_0) (=> true ?v_4310))) (?v_4318 (not ?v_31)) (?v_4315 (not ?v_27)) (?v_34 (= lockStatus_0 0)) (?v_35 (= lockStatus_1 0))) (let ((?v_4317 (and (=> true (=> ?v_4313 (=> true (=> (=> ?v_27 ?v_34) (=> (=> ?v_31 ?v_35) (and (=> true (=> ?v_27 (=> true (=> ?v_4311 (=> (= lockStatus_0.0 1) ?v_4310))))) (=> true (=> ?v_4315 (and (=> true (=> ?v_31 (=> true (=> (= lockStatus_1.0 1) ?v_4312)))) (=> true (=> ?v_4318 (=> true (=> ?v_4311 ?v_4312))))))))))))) (=> true (=> (not ?v_4313) (=> true (=> (= lockStatus_1.1 lockStatus_1) (=> (= lockStatus_0.1 lockStatus_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4314)))))))))))))) (let ((?v_4319 (=> true (=> true (=> true (=> true ?v_4317))))) (?v_4316 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4320 (and (=> true (=> ?v_27 (=> (= inline.AcquireDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4316))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.0) ?v_4317))))) (=> true (=> ?v_4315 (and (=> true (=> ?v_31 (=> (= inline.AcquireDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4316))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.1) ?v_4319))))) (=> true (=> ?v_4318 (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0) ?v_4319)))))))))) (let ((?v_4324 (and (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.0) ?v_4320)))) (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_27 ?v_274) (=> (=> ?v_31 ?v_275) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.1) (=> true ?v_4320)))))) (=> true (=> (=> ?v_27 ?v_371) (=> (=> ?v_31 ?v_372) (=> true (=> (= lockStatus_1.2 lockStatus_1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.2 lockStatus_0) (=> true (=> true (=> true (=> true ?v_4321))))))))))))))))))))) (let ((?v_4326 (=> (= errorReached.16 errorReached.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4324))))))))))) (?v_4328 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hdevice)) (?v_4327 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hqueue)) (?v_4325 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 htimer)) (?v_4323 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hrequest)) (?v_4322 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.16 errorReached.15) ?v_4324))))) (let ((?v_4329 (and (=> true (=> ?v_4323 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.15 1) ?v_4322))))) (=> true (=> ?v_3949 (=> ?v_3950 (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_4322))))))))) (=> true (=> (not ?v_4323) (and (=> true (=> ?v_4325 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4326)))) (=> true (=> (not ?v_4325) (and (=> true (=> ?v_4327 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4326)))) (=> true (=> (not ?v_4327) (and (=> true (=> ?v_4328 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4326)))) (=> true (=> (not ?v_4328) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4326)))))))))))))))) (let ((?v_4330 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4329))))))))))))) (let ((?v_4332 (and (=> true (=> ?v_27 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.7 ?v_33) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.7) ?v_4329))))) (=> true (=> ?v_4315 (and (=> true (=> ?v_31 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.6 ?v_719) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.6) ?v_4330))))) (=> true (=> ?v_4318 (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.5) ?v_4330)))))))))) (let ((?v_4331 (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call17940formal.ret.0) ?v_4332)))) (let ((?v_4335 (and (=> true (=> (=> ?v_27 ?v_39) (=> (=> ?v_31 ?v_40) ?v_4331))) (=> true (=> (=> ?v_27 ?v_592) (=> (=> ?v_31 ?v_594) (and (=> true (=> (=> ?v_27 ?v_509) (=> (=> ?v_31 ?v_510) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4331)))))))))))) (=> true (=> (=> ?v_27 ?v_596) (=> (=> ?v_31 ?v_597) (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_4332))))))))))))))))) (let ((?v_4337 (=> (= errorReached.14 errorReached.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4335))))))))))) (?v_4339 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hdevice)) (?v_4338 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hqueue)) (?v_4336 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 htimer)) (?v_4334 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hrequest)) (?v_4333 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.14 errorReached.13) ?v_4335))))) (let ((?v_4340 (and (=> true (=> ?v_4334 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.13 1) ?v_4333))))) (=> true (=> ?v_3949 (=> ?v_3950 (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_4333))))))))) (=> true (=> (not ?v_4334) (and (=> true (=> ?v_4336 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4337)))) (=> true (=> (not ?v_4336) (and (=> true (=> ?v_4338 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4337)))) (=> true (=> (not ?v_4338) (and (=> true (=> ?v_4339 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4337)))) (=> true (=> (not ?v_4339) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4337)))))))))))))))) (let ((?v_4341 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4340))))))))))))) (let ((?v_4342 (and (=> true (=> ?v_27 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.4 ?v_33) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.4) ?v_4340))))) (=> true (=> ?v_4315 (and (=> true (=> ?v_31 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.3 ?v_719) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.3) ?v_4341))))) (=> true (=> ?v_4318 (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.2) ?v_4341)))))))))) (let ((?v_4343 (and (=> true (=> ?v_640 ?v_4342)) (=> true (=> (not ?v_640) (=> true (=> true ?v_4342))))))) (let ((?v_4344 (=> true (=> (= errorReached.12 errorReached.11) (=> true (=> true (=> true (=> true (=> true ?v_4343))))))))) (let ((?v_4345 (and (=> true (=> ?v_26 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.12 1) ?v_4343))))) (=> true (=> ?v_3949 (=> ?v_3950 ?v_4344)))))) (=> true (=> ?v_453 ?v_4344))))) (let ((?v_4349 (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.3) ?v_4345)))) (=> true (=> (not (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_4345)))))))))))) (?v_4350 (= k.6 k.4)) (?v_4351 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.))) (let ((?v_4352 (=> (= errorReached.11 errorReached.9) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4349)))))))))))))) (?v_4348 (=> true (=> (= k.6 k.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call17367formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.11 errorReached.10) ?v_4349)))))) (?v_4346 (= k.5 0)) (?v_4347 (= k.5 1))) (let ((?v_4356 (and (=> true (=> ?v_26 (=> true (=> (<= k.4 k.5) (=> (< k.5 2) (and (=> true (=> (=> ?v_4346 ?v_8) (=> (=> ?v_4347 ?v_9) (=> true (=> (= errorReached.10 1) ?v_4348))))) (=> true (=> (=> ?v_4346 ?v_2) (=> (=> ?v_4347 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_4348)))))))))))) (=> true (=> ?v_453 (and (=> true (=> ?v_455 (=> true (=> ?v_4350 (=> ?v_4351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4352)))))) (=> true (=> ?v_493 (and (=> true (=> ?v_459 (=> true (=> ?v_4350 (=> ?v_4351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4352)))))) (=> true (=> ?v_495 (and (=> true (=> ?v_460 (=> true (=> ?v_4350 (=> ?v_4351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4352)))))) (=> true (=> ?v_496 (=> true (=> ?v_4350 (=> ?v_4351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4352)))))))))))))))))) (let ((?v_4359 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4356)))))))))))))))) (?v_4358 (= errorReached.9 errorReached.7)) (?v_4361 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hdevice)) (?v_4360 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hqueue)) (?v_4357 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 htimer)) (?v_4355 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hrequest)) (?v_4354 (=> true (=> (= errorReached.9 errorReached.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4356)))) (?v_25 (= k.4 0)) (?v_4353 (= k.4 1))) (let ((?v_4363 (and (=> true (=> ?v_4355 (and (=> true (=> (=> ?v_25 ?v_8) (=> (=> ?v_4353 ?v_9) (=> true (=> (= errorReached.8 1) ?v_4354))))) (=> true (=> (=> ?v_25 ?v_2) (=> (=> ?v_4353 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_4354))))))))) (=> true (=> (not ?v_4355) (and (=> true (=> ?v_4357 (=> true (=> ?v_4358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4359))))) (=> true (=> (not ?v_4357) (and (=> true (=> ?v_4360 (=> true (=> ?v_4358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4359))))) (=> true (=> (not ?v_4360) (and (=> true (=> ?v_4361 (=> true (=> ?v_4358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4359))))) (=> true (=> (not ?v_4361) (=> true (=> ?v_4358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4359))))))))))))))))) (let ((?v_4364 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4363)))))))) (?v_4362 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4368 (=> true (=> (<= 0 k.4) (=> (< k.4 2) (and (=> true (=> ?v_25 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4362))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.0) ?v_4363))))) (=> true (=> (not ?v_25) (and (=> true (=> ?v_4353 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4362))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.1) ?v_4364))))) (=> true (=> (not ?v_4353) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0) ?v_4364))))))))))))) (let ((?v_4369 (=> (= errorReached.7 errorReached.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4368)))))))))) (?v_4367 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.7 errorReached.6) ?v_4368)))) (?v_4365 (=> ?v_0 ?v_2)) (?v_4366 (=> ?v_1 ?v_3)) (?v_16 (>= 4 0)) (?v_17 (int_2_U call16844formal.new.0)) (?v_18 (int_2_U call16847formal.new.0)) (?v_19 (int_2_U call16850formal.new.0)) (?v_20 (int_2_U call16853formal.new.0)) (?v_21 (int_2_U call16856formal.new.0)) (?v_22 (int_2_U call16859formal.new.0)) (?v_23 (int_2_U call16862formal.new.0)) (?v_13 (= k.3 0)) (?v_14 (= k.3 1)) (?v_12 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4374 (=> true (=> (=> ?v_13 (= (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> (=> ?v_14 (= (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> true (=> (=> ?v_13 ?v_274) (=> (=> ?v_14 ?v_275) (=> true (and ?v_16 (=> ?v_16 (=> (> call16844formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call16844formal.new.0 ?x375) (< ?x375 (+ call16844formal.new.0 4))) (= (Base ?x375) call16844formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call16844formal.new.0) (= (MapType0Select alloc ?x376) (MapType0Select alloc.0 ?x376)))) :pattern ((MapType0Select alloc.0 ?x376)) )) (=> (and (= (MapType0Select alloc ?v_17) UNALLOCATED) (= (MapType0Select alloc.0 ?v_17) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16847formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call16847formal.new.0 ?x377) (< ?x377 (+ call16847formal.new.0 4))) (= (Base ?x377) call16847formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call16847formal.new.0) (= (MapType0Select alloc.0 ?x378) (MapType0Select alloc.1 ?x378)))) :pattern ((MapType0Select alloc.1 ?x378)) )) (=> (and (= (MapType0Select alloc.0 ?v_18) UNALLOCATED) (= (MapType0Select alloc.1 ?v_18) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16850formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call16850formal.new.0 ?x379) (< ?x379 (+ call16850formal.new.0 4))) (= (Base ?x379) call16850formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call16850formal.new.0) (= (MapType0Select alloc.1 ?x380) (MapType0Select alloc.2 ?x380)))) :pattern ((MapType0Select alloc.2 ?x380)) )) (=> (and (= (MapType0Select alloc.1 ?v_19) UNALLOCATED) (= (MapType0Select alloc.2 ?v_19) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16853formal.new.0 0) (=> (forall ((?x381 Int)) (! (=> (and (<= call16853formal.new.0 ?x381) (< ?x381 (+ call16853formal.new.0 4))) (= (Base ?x381) call16853formal.new.0)) :pattern ((Base ?x381)) )) (=> (forall ((?x382 boogieU)) (! (=> (= (type ?x382) intType) (or (= (U_2_int ?x382) call16853formal.new.0) (= (MapType0Select alloc.2 ?x382) (MapType0Select alloc.3 ?x382)))) :pattern ((MapType0Select alloc.3 ?x382)) )) (=> (and (= (MapType0Select alloc.2 ?v_20) UNALLOCATED) (= (MapType0Select alloc.3 ?v_20) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16856formal.new.0 0) (=> (forall ((?x383 Int)) (! (=> (and (<= call16856formal.new.0 ?x383) (< ?x383 (+ call16856formal.new.0 4))) (= (Base ?x383) call16856formal.new.0)) :pattern ((Base ?x383)) )) (=> (forall ((?x384 boogieU)) (! (=> (= (type ?x384) intType) (or (= (U_2_int ?x384) call16856formal.new.0) (= (MapType0Select alloc.3 ?x384) (MapType0Select alloc.4 ?x384)))) :pattern ((MapType0Select alloc.4 ?x384)) )) (=> (and (= (MapType0Select alloc.3 ?v_21) UNALLOCATED) (= (MapType0Select alloc.4 ?v_21) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16859formal.new.0 0) (=> (forall ((?x385 Int)) (! (=> (and (<= call16859formal.new.0 ?x385) (< ?x385 (+ call16859formal.new.0 4))) (= (Base ?x385) call16859formal.new.0)) :pattern ((Base ?x385)) )) (=> (forall ((?x386 boogieU)) (! (=> (= (type ?x386) intType) (or (= (U_2_int ?x386) call16859formal.new.0) (= (MapType0Select alloc.4 ?x386) (MapType0Select alloc.5 ?x386)))) :pattern ((MapType0Select alloc.5 ?x386)) )) (=> (and (= (MapType0Select alloc.4 ?v_22) UNALLOCATED) (= (MapType0Select alloc.5 ?v_22) ALLOCATED)) (and ?v_16 (=> ?v_16 (=> (> call16862formal.new.0 0) (=> (forall ((?x387 Int)) (! (=> (and (<= call16862formal.new.0 ?x387) (< ?x387 (+ call16862formal.new.0 4))) (= (Base ?x387) call16862formal.new.0)) :pattern ((Base ?x387)) )) (=> (forall ((?x388 boogieU)) (! (=> (= (type ?x388) intType) (or (= (U_2_int ?x388) call16862formal.new.0) (= (MapType0Select alloc.5 ?x388) (MapType0Select alloc.6 ?x388)))) :pattern ((MapType0Select alloc.6 ?x388)) )) (=> (and (= (MapType0Select alloc.5 ?v_23) UNALLOCATED) (= (MapType0Select alloc.6 ?v_23) ALLOCATED)) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 ?v_36) (and (=> true (=> ?v_24 (and (=> true (=> (=> ?v_0 ?v_8) (=> (=> ?v_1 ?v_9) (=> true (=> (= errorReached.6 1) ?v_4367))))) (=> true (=> ?v_4365 (=> ?v_4366 (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_4367))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4369)))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4369)))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4369)))) (=> true (=> ?v_2414 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4369)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4376 (= k.3 k.1)) (?v_4377 (= errorReached.5 errorReached.3))) (let ((?v_4378 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4374)))))))))) (?v_4372 (=> true (=> (= k.3 k.2) (=> (= errorReached.5 errorReached.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call16643formal.ret.0) ?v_4374)))))) (?v_4370 (= k.2 0)) (?v_4371 (= k.2 1)) (?v_5 (= k.1 0)) (?v_11 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_6 (= k.1 1)) (?v_10 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4383 (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_11)) hlock)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_11)) hlock)) (and (=> true (=> ?v_46 (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_4370 ?v_8) (=> (=> ?v_4371 ?v_9) (=> true (=> (= errorReached.4 1) ?v_4372))))) (=> true (=> (=> ?v_4370 ?v_2) (=> (=> ?v_4371 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_4372)))))))))))) (=> true (=> ?v_4373 (and (=> true (=> ?v_422 (=> true (=> ?v_4376 (=> ?v_4377 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4378)))))) (=> true (=> ?v_4375 (and (=> true (=> ?v_424 (=> true (=> ?v_4376 (=> ?v_4377 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4378)))))) (=> true (=> ?v_4379 (and (=> true (=> ?v_425 (=> true (=> ?v_4376 (=> ?v_4377 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4378)))))) (=> true (=> ?v_4380 (=> true (=> ?v_4376 (=> ?v_4377 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4378)))))))))))))))))))))))) (let ((?v_4385 (=> (= errorReached.3 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4383)))))))))) (?v_4387 (= hdevice hdevice)) (?v_4386 (= hdevice hqueue)) (?v_4384 (= hdevice htimer)) (?v_4382 (= hdevice hrequest)) (?v_4381 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.3 errorReached.2) ?v_4383)))) (?v_7 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4391 (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (and (=> true (=> ?v_4382 (and (=> true (=> (=> ?v_5 ?v_8) (=> (=> ?v_6 ?v_9) (=> true (=> (= errorReached.2 1) ?v_4381))))) (=> true (=> (=> ?v_5 ?v_2) (=> (=> ?v_6 ?v_3) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_4381))))))))) (=> true (=> (not ?v_4382) (and (=> true (=> ?v_4384 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4385)))) (=> true (=> (not ?v_4384) (and (=> true (=> ?v_4386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4385)))) (=> true (=> (not ?v_4386) (and (=> true (=> ?v_4387 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4385)))) (=> true (=> (not ?v_4387) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4385)))))))))))))))))))))) (let ((?v_4392 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2.) (=> (= errorReached.1 0) (=> ?v_5 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4391)))))))))))) (?v_4390 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 call16205formal.ret.0) (=> (= errorReached.1 errorReached.0) (=> (= k.1 k.0) ?v_4391)))))) (?v_4388 (= k.0 0)) (?v_4389 (= k.0 1))) (not (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_1_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> ?v_4365 (=> ?v_4366 (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1386) (=> (=> ?v_1 ?v_1387) (=> true (=> (=> ?v_0 ?v_34) (=> (=> ?v_1 ?v_35) (=> true (=> (=> ?v_0 ?v_427) (=> (=> ?v_1 ?v_429) (=> true (=> (=> ?v_0 ?v_428) (=> (=> ?v_1 ?v_430) (and (=> true (=> ?v_24 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_4388 ?v_8) (=> (=> ?v_4389 ?v_9) (=> true (=> (= errorReached.0 1) ?v_4390))))) (=> true (=> (=> ?v_4388 ?v_2) (=> (=> ?v_4389 ?v_3) (=> true (=> (= errorReached.0 0) (=> true ?v_4390)))))))))))) (=> true (=> ?v_2409 (and (=> true (=> ?v_636 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4392)))) (=> true (=> ?v_2411 (and (=> true (=> ?v_637 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4392)))) (=> true (=> ?v_640 (and (=> true (=> ?v_641 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4392)))) (=> true (=> ?v_2414 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4392)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
