(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hln2 () Int)
(declare-fun hln3 () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun Mem_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.11 () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.8 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.5 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.226 () Int)
(declare-fun k.225 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.16 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.15 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun call36271formal.ret.0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqSent_0 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun errorReached.186 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun k.211 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun call38657formal.new.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun call38203formal.ret.0 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun errorReached.205 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun call38224formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun k.224 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun k.223 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call39209formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun k.221 () Int)
(declare-fun call39400formal.ret.0 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun k.222 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun k.219 () Int)
(declare-fun call39251formal.ret.0 () Int)
(declare-fun k.220 () Int)
(declare-fun call39672formal.ret.0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun k.216 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun k.212 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun call38722formal.ret.0 () Int)
(declare-fun k.215 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun k.218 () Int)
(declare-fun call39043formal.ret.0 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun call39068formal.ret.0 () Int)
(declare-fun k.217 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.TimerDpc.0.myVar_0.13 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.12 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun k.214 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.187 () Int)
(declare-fun k.213 () Int)
(declare-fun call38329formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1. () Int)
(declare-fun k.208 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.2 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.210 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun call37634formal.ret.0 () Int)
(declare-fun k.209 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.184 () Int)
(declare-fun k.206 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.185 () Int)
(declare-fun k.207 () Int)
(declare-fun call37393formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.10 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.9 () Int)
(declare-fun k.205 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun k.199 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun errorReached.179 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3. () Int)
(declare-fun call37893formal.ret.0 () Int)
(declare-fun k.203 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun k.204 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun k.201 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun call37933formal.ret.0 () Int)
(declare-fun k.202 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun errorReached.180 () Int)
(declare-fun k.200 () Int)
(declare-fun call37779formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun k.197 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun k.198 () Int)
(declare-fun call37227formal.ret.0 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun errorReached.177 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.195 () Int)
(declare-fun errorReached.178 () Int)
(declare-fun call36937formal.ret.0 () Int)
(declare-fun k.196 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.7 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.6 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.175 () Int)
(declare-fun k.192 () Int)
(declare-fun call36710formal.ret.0 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun k.193 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.3 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.4 () Int)
(declare-fun errorReached.173 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.190 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun call36432formal.ret.0 () Int)
(declare-fun k.191 () Int)
(declare-fun inline.TimerDpc.0.myVar_0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.0 () Int)
(declare-fun k.189 () Int)
(declare-fun errorReached.171 () Int)
(declare-fun k.187 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.172 () Int)
(declare-fun k.188 () Int)
(declare-fun call36089formal.ret.0 () Int)
(declare-fun call35986formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1. () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3. () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2. () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun k.186 () Int)
(declare-fun k.185 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun errorReached.168 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun k.183 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun errorReached.169 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun k.184 () Int)
(declare-fun call40122formal.ret.0 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.166 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.167 () Int)
(declare-fun k.182 () Int)
(declare-fun call39971formal.ret.0 () Int)
(declare-fun call35934formal.ret.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.14 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.8 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.15 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun k.181 () Int)
(declare-fun k.180 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun k.175 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun errorReached.160 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun errorReached.158 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.173 () Int)
(declare-fun errorReached.159 () Int)
(declare-fun call42487formal.ret.0 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun k.179 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun k.177 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun call42850formal.ret.0 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun errorReached.163 () Int)
(declare-fun k.178 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.161 () Int)
(declare-fun k.176 () Int)
(declare-fun call42699formal.ret.0 () Int)
(declare-fun errorReached.156 () Int)
(declare-fun k.171 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.157 () Int)
(declare-fun k.172 () Int)
(declare-fun call42197formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.12 () Int)
(declare-fun k.170 () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun k.166 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun k.167 () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun k.168 () Int)
(declare-fun call42050formal.ret.0 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.154 () Int)
(declare-fun k.164 () Int)
(declare-fun call41808formal.ret.0 () Int)
(declare-fun errorReached.155 () Int)
(declare-fun k.165 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.9 () Int)
(declare-fun k.163 () Int)
(declare-fun k.162 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun k.158 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.2 () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun call41609formal.ret.0 () Int)
(declare-fun k.161 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun k.159 () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun k.160 () Int)
(declare-fun call41557formal.ret.0 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.152 () Int)
(declare-fun errorReached.153 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.6 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call41200formal.ret.0 () Int)
(declare-fun errorReached.150 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.156 () Int)
(declare-fun errorReached.151 () Int)
(declare-fun call41003formal.ret.0 () Int)
(declare-fun k.157 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.3 () Int)
(declare-fun errorReached.148 () Int)
(declare-fun errorReached.149 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.146 () Int)
(declare-fun call40624formal.ret.0 () Int)
(declare-fun errorReached.147 () Int)
(declare-fun k.155 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.0 () Int)
(declare-fun errorReached.144 () Int)
(declare-fun errorReached.145 () Int)
(declare-fun errorReached.143 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun call35892formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun errorReached.138 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun k.154 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.136 () Int)
(declare-fun k.152 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.14 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun k.153 () Int)
(declare-fun call33428formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.11 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.12 () Int)
(declare-fun k.151 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun k.148 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.2 () Int)
(declare-fun k.150 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun call33281formal.ret.0 () Int)
(declare-fun k.149 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.146 () Int)
(declare-fun errorReached.134 () Int)
(declare-fun call33040formal.ret.0 () Int)
(declare-fun k.147 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.9 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.10 () Int)
(declare-fun k.145 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2. () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0 () Int)
(declare-fun k.13 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2. () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21. () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun call32897formal.new.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun call16854formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8. () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24. () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17. () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16. () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25. () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18. () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12. () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19. () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun call34037formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.6 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 () Int)
(declare-fun call16857formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.7 () Int)
(declare-fun call34100formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.1 () Int)
(declare-fun call34187formal.ret.0 () Int)
(declare-fun myNondetVar_1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun myNondetVar_2.0 () Int)
(declare-fun call34315formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 () Int)
(declare-fun k.15 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun call34509formal.ret.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0 () Int)
(declare-fun call34455formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.8 () Int)
(declare-fun call16860formal.new.0 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun call34689formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun k.17 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0 () Int)
(declare-fun call34635formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun call34809formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.13 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call34879formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun call34999formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.14 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 () Int)
(declare-fun call35070formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun call35174formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun call35135formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun call35371formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun call35507formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun call35625formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.9 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 () Int)
(declare-fun call35728formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call35685formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.11 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 () Int)
(declare-fun k.144 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun call32005formal.new.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.15 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.107 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.3 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun call27744formal.ret.0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.2 () Int)
(declare-fun call32734formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 () Int)
(declare-fun k.106 () Int)
(declare-fun call32327formal.ret.0 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun k.104 () Int)
(declare-fun call32130formal.ret.0 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun k.105 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun k.102 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun k.103 () Int)
(declare-fun call31803formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun k.99 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.100 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.97 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun k.98 () Int)
(declare-fun call31375formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 () Int)
(declare-fun k.96 () Int)
(declare-fun k.94 () Int)
(declare-fun k.95 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun k.91 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.2 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun k.93 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun call31205formal.ret.0 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun call31153formal.ret.0 () Int)
(declare-fun k.92 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 () Int)
(declare-fun k.90 () Int)
(declare-fun call30796formal.ret.0 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun k.88 () Int)
(declare-fun call30599formal.ret.0 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun k.89 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 () Int)
(declare-fun k.87 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun k.43 () Int)
(declare-fun call32768formal.ret.0 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun k.46 () Int)
(declare-fun call27768formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.5 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun k.86 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun k.85 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.81 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun call30019formal.ret.0 () Int)
(declare-fun k.82 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun k.84 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 () Int)
(declare-fun call30231formal.ret.0 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun k.83 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun k.79 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun k.80 () Int)
(declare-fun call29729formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.12 () Int)
(declare-fun k.78 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun k.74 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.77 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.2 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun k.75 () Int)
(declare-fun call29582formal.ret.0 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun k.76 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun k.72 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun call29340formal.ret.0 () Int)
(declare-fun k.73 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.9 () Int)
(declare-fun k.71 () Int)
(declare-fun k.70 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun call29141formal.ret.0 () Int)
(declare-fun k.69 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun call29089formal.ret.0 () Int)
(declare-fun k.68 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun k.51 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun k.66 () Int)
(declare-fun call28850formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.6 () Int)
(declare-fun call28731formal.ret.0 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.3 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun k.48 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun call28157formal.ret.0 () Int)
(declare-fun k.50 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.0 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun k.45 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun k.47 () Int)
(declare-fun call27949formal.ret.0 () Int)
(declare-fun call27838formal.ret.0 () Int)
(declare-fun k.44 () Int)
(declare-fun call27730formal.new.0 () Int)
(declare-fun k.41 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun call27615formal.ret.0 () Int)
(declare-fun k.42 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.39 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun k.40 () Int)
(declare-fun call27256formal.ret.0 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun k.31 () Int)
(declare-fun call26896formal.ret.0 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.2 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun k.29 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call19266formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun call21259formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun call25511formal.new.0 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.15 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun k.140 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun k.142 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.2 () Int)
(declare-fun call26241formal.ret.0 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun call26189formal.ret.0 () Int)
(declare-fun k.141 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 () Int)
(declare-fun k.139 () Int)
(declare-fun call25832formal.ret.0 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 () Int)
(declare-fun k.138 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun k.136 () Int)
(declare-fun call25309formal.ret.0 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun k.137 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 () Int)
(declare-fun k.135 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun k.132 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.2 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.134 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun k.133 () Int)
(declare-fun call25122formal.ret.0 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.128 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.2 () Int)
(declare-fun k.131 () Int)
(declare-fun call24714formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun k.129 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun k.130 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun call24662formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 () Int)
(declare-fun call24305formal.ret.0 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun k.126 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun call24108formal.ret.0 () Int)
(declare-fun k.127 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 () Int)
(declare-fun k.125 () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun k.62 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun call21283formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.11 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.14 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.3 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun k.124 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun k.123 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun k.121 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun k.122 () Int)
(declare-fun call23530formal.ret.0 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun k.119 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun k.120 () Int)
(declare-fun call23240formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.12 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun k.116 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun k.118 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun k.117 () Int)
(declare-fun call23094formal.ret.0 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun k.114 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun k.115 () Int)
(declare-fun call22853formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.9 () Int)
(declare-fun k.113 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.2 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun call22655formal.ret.0 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun k.111 () Int)
(declare-fun call22366formal.ret.0 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun k.112 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.6 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.7 () Int)
(declare-fun k.110 () Int)
(declare-fun call22246formal.ret.0 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun k.108 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun call22049formal.ret.0 () Int)
(declare-fun k.109 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.3 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun k.64 () Int)
(declare-fun call21670formal.ret.0 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun k.65 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun call21462formal.ret.0 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun k.63 () Int)
(declare-fun call21245formal.new.0 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun k.60 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun k.61 () Int)
(declare-fun call21130formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 () Int)
(declare-fun k.59 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun k.57 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun call20922formal.ret.0 () Int)
(declare-fun k.58 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun k.55 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun call20768formal.ret.0 () Int)
(declare-fun k.56 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun k.53 () Int)
(declare-fun k.54 () Int)
(declare-fun call20658formal.ret.0 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.38 () Int)
(declare-fun call20351formal.ret.0 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun k.52 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun k.36 () Int)
(declare-fun call20048formal.ret.0 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun k.37 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 () Int)
(declare-fun k.34 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.2 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun k.35 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 () Int)
(declare-fun k.33 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun k.26 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.24 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun k.25 () Int)
(declare-fun call18812formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.22 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun k.23 () Int)
(declare-fun call18605formal.ret.0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun k.20 () Int)
(declare-fun call18500formal.ret.0 () Int)
(declare-fun k.21 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun k.18 () Int)
(declare-fun call34882formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun call34692formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun k.14 () Int)
(declare-fun call34318formal.ret.0 () Int)
(declare-fun call35816formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.2 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun call18352formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun k.12 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.7 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.6 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call17945formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.12 () Int)
(declare-fun k.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call17748formal.ret.0 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun k.10 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.4 () Int)
(declare-fun k.8 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2. () Int)
(declare-fun k.6 () Int)
(declare-fun call17554formal.ret.0 () Int)
(declare-fun k.7 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.4 () Int)
(declare-fun call17367formal.ret.0 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun k.5 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.2 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun call17197formal.ret.0 () Int)
(declare-fun k.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.1 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call16842formal.new.0 () Int)
(declare-fun call16845formal.new.0 () Int)
(declare-fun call16848formal.new.0 () Int)
(declare-fun call16851formal.new.0 () Int)
(declare-fun k.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.2 () Int)
(declare-fun call16423formal.ret.0 () Int)
(declare-fun k.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hln2) (int_2_U hln3) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hln2 0)) (not (= hln3 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type alloc.21) ?v_1) (= (type alloc.18) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type alloc.20) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type alloc.19) ?v_1) (= (type Mem_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type alloc.17) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.16) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.14) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.15) ?v_1) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.13) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type alloc.11) ?v_1) (= (type alloc.9) ?v_1) (= (type alloc.8) ?v_1) (= (type alloc.7) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type alloc.1) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.5) ?v_1))))
(assert (let ((?v_13 (int_2_U G_SynchronizationScope)) (?v_2619 (int_2_U hrequest)) (?v_43 (not (not (= errorReached.207 0))))) (let ((?v_67 (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_0_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_0.28 reqCompleted_s_1) (=> (= lockStatus_0.59 lockStatus_s_1) (=> (= reqCancelSet_0.37 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_43 (=> ?v_43 true)))))))))))))))))) (let ((?v_102 (=> true (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.8) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.5) (=> (= k.226 k.225) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.3) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0.15) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.8) (=> (= alloc.21 alloc.20) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call36271formal.ret.0) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call36271formal.ret.0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.11) (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0.3) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call36271formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0.2) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= errorReached.207 errorReached.206) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.3) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) ?v_67)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_264 (=> true (=> true (=> true ?v_102)))) (?v_185 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_186 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_187 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_188 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_189 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_190 (= reqSent_0.5 reqSent_0)) (?v_191 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_192 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_193 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_194 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_195 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_196 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_197 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_198 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_199 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_200 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_201 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_202 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_203 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_204 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_205 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_206 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_207 (= reqSent_1.5 reqSent_1)) (?v_208 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_209 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_210 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext)) (?v_211 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_212 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_213 (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0)) (?v_214 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_215 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_216 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1)) (?v_217 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_218 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_219 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_220 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_221 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_222 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_223 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_224 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_225 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_226 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_227 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_228 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_229 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_230 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_231 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_232 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_233 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_234 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_235 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_236 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_237 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0)) (?v_238 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_239 (= alloc.20 alloc.18)) (?v_240 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_241 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_242 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_243 (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.11)) (?v_244 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_245 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_246 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_247 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_248 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0)) (?v_249 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_250 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_251 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_252 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_253 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_254 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_255 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_256 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_257 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_258 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_259 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_260 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_261 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_262 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0)) (?v_263 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion)) (?v_184 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_101 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call38203formal.ret.0))) (let ((?v_105 (=> true (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> ?v_186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= reqSent_0.5 reqSent_0.4) (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> ?v_191 (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> ?v_197 (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> ?v_200 (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> ?v_204 (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call38657formal.new.0) (=> ?v_209 (=> ?v_210 (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_101 (=> (= reqCancelSet_0.36 reqCancelSet_0.35) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> ?v_216 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= errorReached.206 errorReached.205) (=> ?v_218 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= reqCompleted_1.27 reqCompleted_1.26) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> ?v_222 (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_225 (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> ?v_236 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= alloc.20 alloc.19) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.14) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call38224formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_252 (=> ?v_253 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> ?v_262 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= k.225 k.224) ?v_264))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_118 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= k.224 k.223) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 call39209formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3) (=> (= reqCancelSet_0.35 reqCancelSet_0.34) (=> (= errorReached.205 errorReached.204) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 call39209formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.26 reqCompleted_0.25) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_1.35 reqCancelSet_1.34) (=> (= reqCompleted_1.26 reqCompleted_1.25) (=> true (=> true (=> true ?v_105))))))))))))))))))))))))))))))))) (?v_59 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hrequest))) (let ((?v_87 (not ?v_59)) (?v_107 (=> true (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= errorReached.204 errorReached.203) (=> (= reqCancelSet_1.34 reqCancelSet_1.33) (=> (= reqCancelSet_0.34 reqCancelSet_0.33) (=> (= reqCompleted_1.25 reqCompleted_1.24) ?v_118)))))))) (let ((?v_110 (=> true ?v_107)) (?v_108 (= reqCancelSet_0.33 reqCancelSet_0.30)) (?v_109 (= reqCancelSet_1.33 reqCancelSet_1.30)) (?v_106 (= k.223 1))) (let ((?v_113 (not ?v_106)) (?v_104 (= k.223 0))) (let ((?v_111 (not ?v_104))) (let ((?v_112 (and (=> true (=> ?v_104 (=> true (=> (= reqCancelSet_0.33 0) (=> ?v_109 ?v_107))))) (=> true (=> ?v_111 (and (=> true (=> ?v_106 (=> true (=> ?v_108 (=> (= reqCancelSet_1.33 0) ?v_110))))) (=> true (=> ?v_113 (=> true (=> ?v_108 (=> ?v_109 ?v_110))))))))))) (let ((?v_116 (=> true (=> true ?v_112))) (?v_114 (= reqCompleted_0.24 reqCompleted_0.21)) (?v_115 (= reqCompleted_1.24 reqCompleted_1.21))) (let ((?v_117 (and (=> true (=> ?v_104 (=> true (=> (= reqCompleted_0.24 1) (=> ?v_115 ?v_112))))) (=> true (=> ?v_111 (and (=> true (=> ?v_106 (=> true (=> ?v_114 (=> (= reqCompleted_1.24 1) ?v_116))))) (=> true (=> ?v_113 (=> true (=> ?v_114 (=> ?v_115 ?v_116)))))))))) (?v_79 (= reqCompleted_0.21 0)) (?v_80 (= reqCompleted_1.21 0))) (let ((?v_51 (not ?v_79)) (?v_52 (not ?v_80))) (let ((?v_119 (and (=> true (=> ?v_59 (and (=> true (=> (=> ?v_104 ?v_51) (=> (=> ?v_106 ?v_52) (=> true (=> (= errorReached.203 1) ?v_117))))) (=> true (=> (=> ?v_104 ?v_79) (=> (=> ?v_106 ?v_80) (=> true (=> (= errorReached.203 errorReached.202) (=> true ?v_117))))))))) (=> true (=> ?v_87 (=> true (=> (= reqCompleted_0.25 reqCompleted_0.21) (=> (= errorReached.204 errorReached.202) (=> (= reqCancelSet_1.34 reqCancelSet_1.30) (=> (= reqCancelSet_0.34 reqCancelSet_0.30) (=> (= reqCompleted_1.25 reqCompleted_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_118))))))))))))))))) (let ((?v_123 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2) ?v_119)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_119))))))))))))))))) (let ((?v_128 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_123)))))))))) (?v_125 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_126 (= errorReached.202 errorReached.200)) (?v_127 (= k.223 k.221)) (?v_95 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hdevice))) (let ((?v_130 (not ?v_95)) (?v_94 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hqueue))) (let ((?v_129 (not ?v_94)) (?v_89 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 htimer))) (let ((?v_124 (not ?v_89)) (?v_122 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call39400formal.ret.0) (=> (= errorReached.202 errorReached.201) (=> (= k.223 k.222) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_123)))))) (?v_120 (= k.222 0)) (?v_121 (= k.222 1))) (let ((?v_132 (and (=> true (=> ?v_59 (=> true (=> (<= k.221 k.222) (=> (< k.222 2) (and (=> true (=> (=> ?v_120 ?v_51) (=> (=> ?v_121 ?v_52) (=> true (=> (= errorReached.201 1) ?v_122))))) (=> true (=> (=> ?v_120 ?v_79) (=> (=> ?v_121 ?v_80) (=> true (=> (= errorReached.201 errorReached.200) (=> true ?v_122)))))))))))) (=> true (=> ?v_87 (and (=> true (=> ?v_89 (=> true (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_128))))))) (=> true (=> ?v_124 (and (=> true (=> ?v_94 (=> true (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_128))))))) (=> true (=> ?v_129 (and (=> true (=> ?v_95 (=> true (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_128))))))) (=> true (=> ?v_130 (=> true (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_128)))))))))))))))))) (?v_325 (- 0 1073741637)) (?v_131 (= call39209formal.ret.0 0))) (let ((?v_134 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_132))) (?v_133 (= call39209formal.ret.0 1))) (let ((?v_139 (and (=> true (=> (not ?v_131) (=> (not ?v_133) ?v_134))) (=> true (=> ?v_131 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_132))))))))))))))))))))))))))))))) (=> true (=> ?v_133 (=> true ?v_134)))))) (let ((?v_141 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_139)))))))) (?v_140 (= errorReached.200 errorReached.199)) (?v_137 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call39251formal.ret.0)) (?v_138 (= k.221 k.220)) (?v_135 (= k.220 0)) (?v_136 (= k.220 1)) (?v_103 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_164 (and (=> true (=> (not ?v_103) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= k.224 k.219) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= reqCancelSet_0.35 reqCancelSet_0.30) (=> (= errorReached.205 errorReached.199) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCompleted_0.26 reqCompleted_0.21) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= reqCancelSet_1.35 reqCancelSet_1.30) (=> (= reqCompleted_1.26 reqCompleted_1.21) ?v_105))))))))))))))))))))))))))))))) (=> true (=> ?v_103 (and (=> true (=> ?v_59 (=> true (=> (<= k.219 k.220) (=> (< k.220 2) (and (=> true (=> (=> ?v_135 ?v_51) (=> (=> ?v_136 ?v_52) (=> true (=> (= errorReached.200 1) (=> ?v_137 (=> ?v_138 ?v_139))))))) (=> true (=> (=> ?v_135 ?v_79) (=> (=> ?v_136 ?v_80) (=> true (=> ?v_140 (=> ?v_137 (=> ?v_138 ?v_141))))))))))))) (=> true (=> ?v_87 (=> true (=> ?v_140 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= k.221 k.219) ?v_141)))))))))))) (let ((?v_172 (=> true (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call39672formal.ret.0) (=> (= reqSent_1.4 reqSent_1.1) (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= k.219 k.216) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call39672formal.ret.0) (=> (= reqSent_0.4 reqSent_0.1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call39672formal.ret.0) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= errorReached.199 errorReached.196) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call39672formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call39672formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> true ?v_164)))))))))))))))))))))))))))))))))))))) (let ((?v_174 (=> (= reqSent_0.1 reqSent_0) (=> (= reqSent_1.1 reqSent_1) (=> true (=> true (=> true (=> true (=> true ?v_172)))))))) (?v_171 (= errorReached.196 errorReached.195)) (?v_170 (= call39672formal.ret.0 0))) (let ((?v_166 (=> true (=> ?v_171 (=> (= reqSent_0.1 reqSent_0.0) (=> (= reqSent_1.1 reqSent_1.0) ?v_172)))))) (let ((?v_169 (=> true ?v_166)) (?v_167 (= reqSent_0.0 reqSent_0)) (?v_168 (= reqSent_1.0 reqSent_1)) (?v_165 (= k.216 1)) (?v_163 (= k.216 0))) (let ((?v_173 (and (=> true (=> (not ?v_170) (and (=> true (=> ?v_163 (=> true (=> (= reqSent_0.0 1) (=> ?v_168 ?v_166))))) (=> true (=> (not ?v_163) (and (=> true (=> ?v_165 (=> true (=> ?v_167 (=> (= reqSent_1.0 1) ?v_169))))) (=> true (=> (not ?v_165) (=> true (=> ?v_167 (=> ?v_168 ?v_169))))))))))) (=> true (=> ?v_170 (=> true (=> ?v_171 ?v_174))))))) (let ((?v_180 (and (=> true (=> ?v_59 (and (=> true (=> (=> ?v_163 ?v_51) (=> (=> ?v_165 ?v_52) (=> true (=> (= errorReached.195 1) ?v_173))))) (=> true (=> (=> ?v_163 ?v_79) (=> (=> ?v_165 ?v_80) (=> true (=> (= errorReached.195 errorReached.194) (=> true ?v_173))))))))) (=> true (=> ?v_87 (=> true (=> (= errorReached.196 errorReached.194) ?v_174))))))) (let ((?v_176 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= errorReached.194 errorReached.191) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call38722formal.ret.0) (=> (= k.216 k.215) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) ?v_180))))))) (?v_177 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_178 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_176))) (?v_175 (= k.215 1)) (?v_162 (= k.215 0))) (let ((?v_179 (and (=> true (=> ?v_162 (=> true (=> ?v_177 (=> (= reqCompleteSet_0.0 1) ?v_176))))) (=> true (=> (not ?v_162) (and (=> true (=> ?v_175 (=> true (=> (= reqCompleteSet_1.0 1) ?v_178)))) (=> true (=> (not ?v_175) (=> true (=> ?v_177 ?v_178))))))))) (?v_161 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_151 (=> true (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= reqSent_1.4 reqSent_1.3) (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= k.219 k.218) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call39043formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= reqSent_0.4 reqSent_0.3) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call39043formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call39043formal.ret.0) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call39043formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3) (=> (= errorReached.199 errorReached.198) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call39043formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) ?v_164)))))))))))))))))))))))))))))))))))) (?v_153 (= reqSent_0.3 reqSent_0))) (let ((?v_154 (=> (= reqSent_1.3 reqSent_1) (=> true (=> true (=> true (=> true (=> true ?v_151))))))) (?v_148 (= errorReached.198 errorReached.197)) (?v_149 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call39068formal.ret.0)) (?v_150 (= k.218 k.217)) (?v_147 (= call39043formal.ret.0 0))) (let ((?v_143 (=> true (=> ?v_148 (=> (= reqSent_0.3 reqSent_0.2) (=> ?v_149 (=> ?v_150 (=> (= reqSent_1.3 reqSent_1.2) ?v_151)))))))) (let ((?v_146 (=> true ?v_143)) (?v_144 (= reqSent_0.2 reqSent_0)) (?v_145 (= reqSent_1.2 reqSent_1)) (?v_142 (= k.217 1)) (?v_100 (= k.217 0))) (let ((?v_152 (and (=> true (=> (not ?v_147) (and (=> true (=> ?v_100 (=> true (=> (= reqSent_0.2 1) (=> ?v_145 ?v_143))))) (=> true (=> (not ?v_100) (and (=> true (=> ?v_142 (=> true (=> ?v_144 (=> (= reqSent_1.2 1) ?v_146))))) (=> true (=> (not ?v_142) (=> true (=> ?v_144 (=> ?v_145 ?v_146))))))))))) (=> true (=> ?v_147 (=> true (=> ?v_148 (=> ?v_153 (=> ?v_149 (=> ?v_150 ?v_154)))))))))) (let ((?v_155 (and (=> true (=> ?v_59 (=> true (=> (<= k.212 k.217) (=> (< k.217 2) (and (=> true (=> (=> ?v_100 ?v_51) (=> (=> ?v_142 ?v_52) (=> true (=> (= errorReached.197 1) ?v_152))))) (=> true (=> (=> ?v_100 ?v_79) (=> (=> ?v_142 ?v_80) (=> true (=> (= errorReached.197 errorReached.193) (=> true ?v_152)))))))))))) (=> true (=> ?v_87 (=> true (=> (= errorReached.198 errorReached.193) (=> ?v_153 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= k.218 k.212) ?v_154)))))))))) (let ((?v_158 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2) ?v_155)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_155)))))))))))))))))))))))))))))))))) (let ((?v_160 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_158)))))))))) (?v_159 (= errorReached.193 errorReached.186)) (?v_157 (=> true (=> (= errorReached.193 errorReached.192) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_158)))) (?v_99 (= k.212 0)) (?v_156 (= k.212 1)) (?v_97 (>= 16 0)) (?v_98 (int_2_U call38657formal.new.0))) (let ((?v_182 (=> true (and ?v_97 (=> ?v_97 (=> (> call38657formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call38657formal.new.0 ?x355) (< ?x355 (+ call38657formal.new.0 16))) (= (Base ?x355) call38657formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call38657formal.new.0) (= (MapType0Select alloc.18 ?x356) (MapType0Select alloc.19 ?x356)))) :pattern ((MapType0Select alloc.19 ?x356)) )) (=> (and (= (MapType0Select alloc.18 ?v_98) UNALLOCATED) (= (MapType0Select alloc.19 ?v_98) ALLOCATED)) (and (=> true (=> (not ?v_161) (and (=> true (=> ?v_59 (and (=> true (=> (=> ?v_99 ?v_51) (=> (=> ?v_156 ?v_52) (=> true (=> (= errorReached.192 1) ?v_157))))) (=> true (=> (=> ?v_99 ?v_79) (=> (=> ?v_156 ?v_80) (=> true (=> (= errorReached.192 errorReached.186) (=> true ?v_157))))))))) (=> true (=> ?v_87 (and (=> true (=> ?v_89 (=> true (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_160))))) (=> true (=> ?v_124 (and (=> true (=> ?v_94 (=> true (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_160))))) (=> true (=> ?v_129 (and (=> true (=> ?v_95 (=> true (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_160))))) (=> true (=> ?v_130 (=> true (=> ?v_159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_160))))))))))))))))) (=> true (=> ?v_161 (and (=> true (=> ?v_59 (=> true (=> (<= k.212 k.215) (=> (< k.215 2) (and (=> true (=> (=> ?v_162 ?v_51) (=> (=> ?v_175 ?v_52) (=> true (=> (= errorReached.191 1) ?v_179))))) (=> true (=> (=> ?v_162 ?v_79) (=> (=> ?v_175 ?v_80) (=> true (=> (= errorReached.191 errorReached.186) (=> true ?v_179)))))))))))) (=> true (=> ?v_87 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= errorReached.194 errorReached.186) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= k.216 k.212) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_180))))))))))))))))))))))))))))))) (let ((?v_183 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_182))))))))))) (?v_181 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_292 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_181))) (?v_65 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_181))) (?v_96 (= (BINARY_BOTH_INT call38203formal.ret.0 13) 0)) (?v_82 (=> true (=> ?v_185 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0) (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> (= reqCompleted_0.27 reqCompleted_0.23) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_198 (=> ?v_199 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> ?v_208 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_211 (=> (= reqCancelSet_1.36 reqCancelSet_1.32) (=> ?v_212 (=> ?v_101 (=> (= reqCancelSet_0.36 reqCancelSet_0.32) (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_217 (=> (= errorReached.206 errorReached.190) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_219 (=> ?v_220 (=> (= reqCompleted_1.27 reqCompleted_1.23) (=> ?v_221 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_223 (=> ?v_224 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0) (=> ?v_263 (=> (= k.225 k.214) ?v_102))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_69 (=> true (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= errorReached.190 errorReached.189) (=> (= reqCancelSet_1.32 reqCancelSet_1.31) (=> (= reqCancelSet_0.32 reqCancelSet_0.31) (=> (= reqCompleted_1.23 reqCompleted_1.22) ?v_82)))))))) (let ((?v_72 (=> true ?v_69)) (?v_70 (= reqCancelSet_0.31 reqCancelSet_0.30)) (?v_71 (= reqCancelSet_1.31 reqCancelSet_1.30)) (?v_68 (= k.214 1))) (let ((?v_75 (not ?v_68)) (?v_66 (= k.214 0))) (let ((?v_73 (not ?v_66))) (let ((?v_74 (and (=> true (=> ?v_66 (=> true (=> (= reqCancelSet_0.31 0) (=> ?v_71 ?v_69))))) (=> true (=> ?v_73 (and (=> true (=> ?v_68 (=> true (=> ?v_70 (=> (= reqCancelSet_1.31 0) ?v_72))))) (=> true (=> ?v_75 (=> true (=> ?v_70 (=> ?v_71 ?v_72))))))))))) (let ((?v_78 (=> true (=> true ?v_74))) (?v_76 (= reqCompleted_0.22 reqCompleted_0.21)) (?v_77 (= reqCompleted_1.22 reqCompleted_1.21))) (let ((?v_81 (and (=> true (=> ?v_66 (=> true (=> (= reqCompleted_0.22 1) (=> ?v_77 ?v_74))))) (=> true (=> ?v_73 (and (=> true (=> ?v_68 (=> true (=> ?v_76 (=> (= reqCompleted_1.22 1) ?v_78))))) (=> true (=> ?v_75 (=> true (=> ?v_76 (=> ?v_77 ?v_78))))))))))) (let ((?v_83 (and (=> true (=> ?v_59 (and (=> true (=> (=> ?v_66 ?v_51) (=> (=> ?v_68 ?v_52) (=> true (=> (= errorReached.189 1) ?v_81))))) (=> true (=> (=> ?v_66 ?v_79) (=> (=> ?v_68 ?v_80) (=> true (=> (= errorReached.189 errorReached.188) (=> true ?v_81))))))))) (=> true (=> ?v_87 (=> true (=> (= reqCompleted_0.23 reqCompleted_0.21) (=> (= errorReached.190 errorReached.188) (=> (= reqCancelSet_1.32 reqCancelSet_1.30) (=> (= reqCancelSet_0.32 reqCancelSet_0.30) (=> (= reqCompleted_1.23 reqCompleted_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_82))))))))))))))))) (let ((?v_88 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1) ?v_83)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_83))))))))))))))))) (let ((?v_93 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_88)))))))))) (?v_90 (= errorReached.188 errorReached.186)) (?v_91 (= k.214 k.211)) (?v_92 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_86 (=> true (=> (= errorReached.188 errorReached.187) (=> (= k.214 k.213) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call38329formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_88)))))) (?v_84 (= k.213 0)) (?v_85 (= k.213 1))) (let ((?v_280 (and (=> true (=> (not ?v_184) (and (=> true (=> (not ?v_96) (and (=> true (=> ?v_59 (=> true (=> (<= k.211 k.213) (=> (< k.213 2) (and (=> true (=> (=> ?v_84 ?v_51) (=> (=> ?v_85 ?v_52) (=> true (=> (= errorReached.187 1) ?v_86))))) (=> true (=> (=> ?v_84 ?v_79) (=> (=> ?v_85 ?v_80) (=> true (=> (= errorReached.187 errorReached.186) (=> true ?v_86)))))))))))) (=> true (=> ?v_87 (and (=> true (=> ?v_89 (=> true (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_93))))))) (=> true (=> ?v_124 (and (=> true (=> ?v_94 (=> true (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_93))))))) (=> true (=> ?v_129 (and (=> true (=> ?v_95 (=> true (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_93))))))) (=> true (=> ?v_130 (=> true (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_93))))))))))))))))))) (=> true (=> ?v_96 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call38224formal.ret.0 2) 0))) (=> true (=> (<= k.211 k.212) (=> (< k.212 2) (and (=> true (=> ?v_99 (=> (= inline.TimerDpc.0.myVar_0.12 ?v_65) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.12) ?v_182))))) (=> true (=> (not ?v_99) (and (=> true (=> ?v_156 (=> (= inline.TimerDpc.0.myVar_0.13 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.13) ?v_183))))) (=> true (=> (not ?v_156) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.11) ?v_183)))))))))))))))))) (=> true (=> ?v_184 (=> true (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> (= reqCompleted_0.27 reqCompleted_0.21) (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> ?v_207 (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> (= reqCancelSet_1.36 reqCancelSet_1.30) (=> ?v_212 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= reqCancelSet_0.36 reqCancelSet_0.30) (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> (= errorReached.206 errorReached.186) (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> (= reqCompleted_1.27 reqCompleted_1.21) (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> (= k.225 k.211) ?v_264))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_272 (= k.208 0)) (?v_26 (U_2_int (MapType0Select Mem_0_T._WDF_SYNCHRONIZATION_SCOPE ?v_13)))) (let ((?v_277 (not (= ?v_26 2)))) (let ((?v_377 (not ?v_277)) (?v_275 (= k.208 1)) (?v_27 (U_2_int (MapType0Select Mem_1_T._WDF_SYNCHRONIZATION_SCOPE ?v_13)))) (let ((?v_278 (not (= ?v_27 2)))) (let ((?v_379 (not ?v_278)) (?v_271 (=> true (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= lockStatus_0.58 lockStatus_0.57) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0) (=> (= k.211 k.210) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= lockStatus_1.58 lockStatus_1.57) ?v_280)))))))))) (?v_270 (= inline.ReleaseDpcLock.7.myVar_0.2 hlock))) (let ((?v_266 (=> true (=> (= lockStatus_1.57 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 call37634formal.ret.0) (=> (= k.210 k.209) (=> (= lockStatus_0.57 lockStatus_0.56) ?v_271)))))) (?v_268 (= lockStatus_1.56 lockStatus_1.55))) (let ((?v_269 (=> (= lockStatus_0.56 lockStatus_0.55) (=> true ?v_266))) (?v_267 (= k.209 1)) (?v_265 (= k.209 0))) (let ((?v_274 (and (=> true (=> ?v_270 (=> true (=> (<= k.208 k.209) (=> (< k.209 2) (and (=> true (=> ?v_265 (=> true (=> ?v_268 (=> (= lockStatus_0.56 0) ?v_266))))) (=> true (=> (not ?v_265) (and (=> true (=> ?v_267 (=> true (=> (= lockStatus_1.56 0) ?v_269)))) (=> true (=> (not ?v_267) (=> true (=> ?v_268 ?v_269))))))))))))) (=> true (=> (not ?v_270) (=> true (=> (= lockStatus_1.57 lockStatus_1.55) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= k.210 k.208) (=> (= lockStatus_0.57 lockStatus_0.55) (=> true (=> true (=> true ?v_271))))))))))))) (let ((?v_276 (=> true (=> true (=> true (=> true ?v_274))))) (?v_273 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_279 (and (=> true (=> ?v_272 (=> (= inline.ReleaseDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_273))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.1) ?v_274))))) (=> true (=> (not ?v_272) (and (=> true (=> ?v_275 (=> (= inline.ReleaseDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_273))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.0) ?v_276))))) (=> true (=> (not ?v_275) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0) ?v_276)))))))))) (let ((?v_285 (and (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.1) ?v_279)))) (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_272 ?v_277) (=> (=> ?v_275 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> true (=> true (=> true ?v_279)))))))) (=> true (=> (=> ?v_272 ?v_377) (=> (=> ?v_275 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.58 lockStatus_0.55) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= k.211 k.208) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.3 inline.ReleaseDpcLock.7.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.58 lockStatus_1.55) (=> true (=> true (=> true (=> true ?v_280))))))))))))))))))))) (?v_287 (= errorReached.186 errorReached.184))) (let ((?v_288 (=> (= k.208 k.206) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_285)))))))))))) (?v_290 (= inline.TimerDpc.0.myVar_0.11 hdevice)) (?v_289 (= inline.TimerDpc.0.myVar_0.11 hqueue)) (?v_286 (= inline.TimerDpc.0.myVar_0.11 htimer)) (?v_284 (= inline.TimerDpc.0.myVar_0.11 hrequest)) (?v_283 (=> true (=> (= errorReached.186 errorReached.185) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.208 k.207) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call37393formal.ret.0) ?v_285)))))) (?v_281 (= k.207 0)) (?v_282 (= k.207 1))) (let ((?v_293 (and (=> true (=> ?v_284 (=> true (=> (<= k.206 k.207) (=> (< k.207 2) (and (=> true (=> (=> ?v_281 ?v_51) (=> (=> ?v_282 ?v_52) (=> true (=> (= errorReached.185 1) ?v_283))))) (=> true (=> (=> ?v_281 ?v_79) (=> (=> ?v_282 ?v_80) (=> true (=> (= errorReached.185 errorReached.184) (=> true ?v_283)))))))))))) (=> true (=> (not ?v_284) (and (=> true (=> ?v_286 (=> true (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_288))))) (=> true (=> (not ?v_286) (and (=> true (=> ?v_289 (=> true (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_288))))) (=> true (=> (not ?v_289) (and (=> true (=> ?v_290 (=> true (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_288))))) (=> true (=> (not ?v_290) (=> true (=> ?v_287 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_288))))))))))))))))) (let ((?v_295 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_293)))))))))))) (?v_294 (= k.206 1)) (?v_291 (= k.206 0))) (let ((?v_359 (=> true (=> (<= k.205 k.206) (=> (< k.206 2) (and (=> true (=> ?v_291 (=> (= inline.TimerDpc.0.myVar_0.9 ?v_65) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.9) ?v_293))))) (=> true (=> (not ?v_291) (and (=> true (=> ?v_294 (=> (= inline.TimerDpc.0.myVar_0.10 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.10) ?v_295))))) (=> true (=> (not ?v_294) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.8) ?v_295)))))))))))) (?v_354 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_355 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_356 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_357 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_358 (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0))) (let ((?v_361 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= k.205 k.199) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> ?v_354 (=> ?v_184 (=> ?v_355 (=> (= reqCancelSet_0.30 reqCancelSet_0.27) (=> (= reqCancelSet_1.30 reqCancelSet_1.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_356 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= errorReached.184 errorReached.179) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> ?v_357 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) (=> ?v_358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) ?v_359))))))))))))))))))))))))))) (?v_360 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 0)) (?v_57 (= k.199 0)) (?v_58 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_351 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_58)) 0)) (?v_352 (= k.199 1)) (?v_353 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_58)) 0)) (?v_309 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call37893formal.ret.0)) (?v_310 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_311 (= reqCancelSet_0.30 reqCancelSet_0.29)) (?v_312 (= reqCancelSet_1.30 reqCancelSet_1.29)) (?v_313 (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_314 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_315 (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0)) (?v_316 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_317 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_318 (= errorReached.184 errorReached.183)) (?v_319 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_320 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0)) (?v_321 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_322 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_323 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0) ?v_359)))) (?v_327 (- 0 1073741536))) (let ((?v_308 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_327))) (?v_297 (=> true (=> ?v_309 (=> (= k.205 k.204) (=> ?v_310 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> ?v_321 (=> ?v_322 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.0) (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0.0) ?v_323))))))))))))))))))))))))) (let ((?v_301 (=> true ?v_297)) (?v_299 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_300 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_298 (= k.204 1)) (?v_64 (int_2_U 0)) (?v_296 (= k.204 0))) (let ((?v_303 (=> true (=> (<= k.203 k.204) (=> (< k.204 2) (and (=> true (=> ?v_296 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_58 ?v_64)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> ?v_300 ?v_297)))))) (=> true (=> (not ?v_296) (and (=> true (=> ?v_298 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_58 ?v_64)) (=> true (=> ?v_299 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_301)))))) (=> true (=> (not ?v_298) (=> true (=> ?v_299 (=> ?v_300 ?v_301)))))))))))))) (let ((?v_307 (=> true (=> true (=> true ?v_303)))) (?v_305 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_306 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_304 (= k.203 1)) (?v_63 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_302 (= k.203 0))) (let ((?v_326 (and (=> true (=> ?v_308 (and (=> true (=> ?v_302 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_63 ?v_64)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) (=> ?v_306 ?v_303)))))) (=> true (=> (not ?v_302) (and (=> true (=> ?v_304 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_63 ?v_64)) (=> true (=> ?v_305 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_307)))))) (=> true (=> (not ?v_304) (=> true (=> ?v_305 (=> ?v_306 ?v_307))))))))))) (=> true (=> (not ?v_308) (=> true (=> ?v_309 (=> (= k.205 k.203) (=> ?v_310 (=> ?v_354 (=> ?v_184 (=> ?v_355 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_356 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_357 (=> ?v_321 (=> ?v_322 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) (=> ?v_358 ?v_323)))))))))))))))))))))))))))) (let ((?v_328 (=> true (=> true (=> true (=> true (=> true ?v_326)))))) (?v_62 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_324 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_336 (and (=> true (=> (not ?v_324) (=> (not ?v_62) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_326))))) (=> true (=> ?v_324 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_328)))))) (=> true (=> ?v_62 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_327) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_328))))))))) (let ((?v_342 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call37893formal.ret.0) (=> true ?v_336))) (?v_331 (= errorReached.183 errorReached.182)) (?v_332 (= reqCancelSet_1.29 reqCancelSet_1.28)) (?v_333 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 call37933formal.ret.0)) (?v_334 (= k.203 k.202)) (?v_335 (= reqCancelSet_0.29 reqCancelSet_0.28)) (?v_60 (= k.202 0)) (?v_329 (= reqCancelStarted_0.1 0)) (?v_61 (= k.202 1)) (?v_330 (= reqCancelStarted_1.1 0))) (let ((?v_337 (and (=> true (=> (=> ?v_60 (not ?v_329)) (=> (=> ?v_61 (not ?v_330)) (=> true (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_62 ?v_336)))))))))) (=> true (=> (=> ?v_60 ?v_329) (=> (=> ?v_61 ?v_330) (=> true (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 ?v_342)))))))))))) (let ((?v_340 (=> true (=> true ?v_337))) (?v_338 (= reqCancelSet_0.28 reqCancelSet_0.27)) (?v_339 (= reqCancelSet_1.28 reqCancelSet_1.27))) (let ((?v_341 (and (=> true (=> ?v_60 (=> true (=> (= reqCancelSet_0.28 0) (=> ?v_339 ?v_337))))) (=> true (=> (not ?v_60) (and (=> true (=> ?v_61 (=> true (=> ?v_338 (=> (= reqCancelSet_1.28 0) ?v_340))))) (=> true (=> (not ?v_61) (=> true (=> ?v_338 (=> ?v_339 ?v_340))))))))))) (let ((?v_346 (and (=> true (=> ?v_59 (=> true (=> (<= k.201 k.202) (=> (< k.202 2) (and (=> true (=> (=> ?v_60 ?v_51) (=> (=> ?v_61 ?v_52) (=> true (=> (= errorReached.182 1) ?v_341))))) (=> true (=> (=> ?v_60 ?v_79) (=> (=> ?v_61 ?v_80) (=> true (=> (= errorReached.182 errorReached.181) (=> true ?v_341)))))))))))) (=> true (=> ?v_87 (=> true (=> (= errorReached.183 errorReached.181) (=> (= reqCancelSet_1.29 reqCancelSet_1.27) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= k.203 k.201) (=> (= reqCancelSet_0.29 reqCancelSet_0.27) ?v_342))))))))))) (let ((?v_350 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_346)))))))))))))))) (?v_347 (= errorReached.181 errorReached.179)) (?v_348 (= k.201 k.199)) (?v_349 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.)) (?v_345 (=> true (=> (= errorReached.181 errorReached.180) (=> (= k.201 k.200) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 call37779formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_346)))))) (?v_343 (= k.200 0)) (?v_344 (= k.200 1))) (let ((?v_362 (and (=> true (=> (not ?v_360) (and (=> true (=> (=> ?v_57 (not ?v_351)) (=> (=> ?v_352 (not ?v_353)) (and (=> true (=> ?v_59 (=> true (=> (<= k.199 k.200) (=> (< k.200 2) (and (=> true (=> (=> ?v_343 ?v_51) (=> (=> ?v_344 ?v_52) (=> true (=> (= errorReached.180 1) ?v_345))))) (=> true (=> (=> ?v_343 ?v_79) (=> (=> ?v_344 ?v_80) (=> true (=> (= errorReached.180 errorReached.179) (=> true ?v_345)))))))))))) (=> true (=> ?v_87 (and (=> true (=> ?v_89 (=> true (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_350))))))) (=> true (=> ?v_124 (and (=> true (=> ?v_94 (=> true (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_350))))))) (=> true (=> ?v_129 (and (=> true (=> ?v_95 (=> true (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_350))))))) (=> true (=> ?v_130 (=> true (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_350)))))))))))))))))))) (=> true (=> (=> ?v_57 ?v_351) (=> (=> ?v_352 ?v_353) ?v_361)))))) (=> true (=> ?v_360 ?v_361))))) (let ((?v_363 (=> true (=> true ?v_362)))) (let ((?v_380 (and (=> true (=> ?v_57 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_63))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.1) ?v_362))))) (=> true (=> (not ?v_57) (and (=> true (=> ?v_352 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_63))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.0) ?v_363))))) (=> true (=> (not ?v_352) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc) ?v_363))))))))) (?v_376 (= k.197 0)) (?v_378 (= k.197 1))) (let ((?v_369 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0.2) (=> (= lockStatus_0.55 lockStatus_0.54) (=> (= k.199 k.198) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call37227formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= lockStatus_1.55 lockStatus_1.54) ?v_380)))))))))) (?v_368 (= inline.AcquireDpcLock.7.myVar_0.2 hlock))) (let ((?v_365 (=> true (=> (= lockStatus_1.54 lockStatus_1.53) (=> (= lockStatus_0.54 lockStatus_0.53) ?v_369)))) (?v_366 (= lockStatus_1.53 lockStatus_1.52))) (let ((?v_367 (=> (= lockStatus_0.53 lockStatus_0.52) (=> true ?v_365))) (?v_364 (= k.198 1))) (let ((?v_373 (not ?v_364)) (?v_56 (= k.198 0))) (let ((?v_370 (not ?v_56))) (let ((?v_372 (and (=> true (=> ?v_368 (=> true (=> (=> ?v_56 (= lockStatus_0.52 0)) (=> (=> ?v_364 (= lockStatus_1.52 0)) (and (=> true (=> ?v_56 (=> true (=> ?v_366 (=> (= lockStatus_0.53 1) ?v_365))))) (=> true (=> ?v_370 (and (=> true (=> ?v_364 (=> true (=> (= lockStatus_1.53 1) ?v_367)))) (=> true (=> ?v_373 (=> true (=> ?v_366 ?v_367))))))))))))) (=> true (=> (not ?v_368) (=> true (=> (= lockStatus_1.54 lockStatus_1.52) (=> (= lockStatus_0.54 lockStatus_0.52) (=> true (=> true (=> true (=> true (=> true (=> true ?v_369)))))))))))))) (let ((?v_374 (=> true (=> true (=> true (=> true ?v_372))))) (?v_371 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_375 (=> true (=> (<= k.197 k.198) (=> (< k.198 2) (and (=> true (=> ?v_56 (=> (= inline.AcquireDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_371))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.0) ?v_372))))) (=> true (=> ?v_370 (and (=> true (=> ?v_364 (=> (= inline.AcquireDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_371))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.1) ?v_374))))) (=> true (=> ?v_373 (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0) ?v_374))))))))))))) (let ((?v_385 (and (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.0) ?v_375)))) (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_376 ?v_277) (=> (=> ?v_378 ?v_278) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.2 inline.AcquireDpcLock.7.myNondetVar_0.1) ?v_375))))) (=> true (=> (=> ?v_376 ?v_377) (=> (=> ?v_378 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.3 inline.AcquireDpcLock.7.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0) (=> (= lockStatus_0.55 lockStatus_0.52) (=> (= k.199 k.197) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.55 lockStatus_1.52) (=> true (=> true (=> true (=> true ?v_380))))))))))))))))))))) (?v_387 (= errorReached.179 errorReached.177))) (let ((?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= k.197 k.195) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_385)))))))))))) (?v_390 (= inline.TimerDpc.0.myVar_0.8 hdevice)) (?v_389 (= inline.TimerDpc.0.myVar_0.8 hqueue)) (?v_386 (= inline.TimerDpc.0.myVar_0.8 htimer)) (?v_384 (= inline.TimerDpc.0.myVar_0.8 hrequest)) (?v_383 (=> true (=> (= errorReached.179 errorReached.178) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call36937formal.ret.0) (=> (= k.197 k.196) ?v_385)))))) (?v_381 (= k.196 0)) (?v_382 (= k.196 1))) (let ((?v_392 (and (=> true (=> ?v_384 (=> true (=> (<= k.195 k.196) (=> (< k.196 2) (and (=> true (=> (=> ?v_381 ?v_51) (=> (=> ?v_382 ?v_52) (=> true (=> (= errorReached.178 1) ?v_383))))) (=> true (=> (=> ?v_381 ?v_79) (=> (=> ?v_382 ?v_80) (=> true (=> (= errorReached.178 errorReached.177) (=> true ?v_383)))))))))))) (=> true (=> (not ?v_384) (and (=> true (=> ?v_386 (=> true (=> ?v_387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_388))))) (=> true (=> (not ?v_386) (and (=> true (=> ?v_389 (=> true (=> ?v_387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_388))))) (=> true (=> (not ?v_389) (and (=> true (=> ?v_390 (=> true (=> ?v_387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_388))))) (=> true (=> (not ?v_390) (=> true (=> ?v_387 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_388))))))))))))))))) (let ((?v_394 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_392)))))))))))) (?v_393 (= k.195 1)) (?v_391 (= k.195 0))) (let ((?v_399 (=> true (=> (<= k.194 k.195) (=> (< k.195 2) (and (=> true (=> ?v_391 (=> (= inline.TimerDpc.0.myVar_0.6 ?v_65) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.6) ?v_392))))) (=> true (=> (not ?v_391) (and (=> true (=> ?v_393 (=> (= inline.TimerDpc.0.myVar_0.7 ?v_292) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.7) ?v_394))))) (=> true (=> (not ?v_393) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.5) ?v_394)))))))))))) (?v_401 (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.)) (?v_402 (= errorReached.177 errorReached.175))) (let ((?v_403 (=> (= k.194 k.192) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_399))))))))))) (?v_405 (= inline.TimerDpc.0.myVar_0.5 hdevice)) (?v_404 (= inline.TimerDpc.0.myVar_0.5 hqueue)) (?v_400 (= inline.TimerDpc.0.myVar_0.5 htimer)) (?v_398 (= inline.TimerDpc.0.myVar_0.5 hrequest)) (?v_397 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 call36710formal.ret.0) (=> (= errorReached.177 errorReached.176) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.194 k.193) ?v_399)))))) (?v_395 (= k.193 0)) (?v_396 (= k.193 1))) (let ((?v_408 (and (=> true (=> ?v_398 (=> true (=> (<= k.192 k.193) (=> (< k.193 2) (and (=> true (=> (=> ?v_395 ?v_51) (=> (=> ?v_396 ?v_52) (=> true (=> (= errorReached.176 1) ?v_397))))) (=> true (=> (=> ?v_395 ?v_79) (=> (=> ?v_396 ?v_80) (=> true (=> (= errorReached.176 errorReached.175) (=> true ?v_397)))))))))))) (=> true (=> (not ?v_398) (and (=> true (=> ?v_400 (=> true (=> ?v_401 (=> ?v_402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_403)))))) (=> true (=> (not ?v_400) (and (=> true (=> ?v_404 (=> true (=> ?v_401 (=> ?v_402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_403)))))) (=> true (=> (not ?v_404) (and (=> true (=> ?v_405 (=> true (=> ?v_401 (=> ?v_402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_403)))))) (=> true (=> (not ?v_405) (=> true (=> ?v_401 (=> ?v_402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_403)))))))))))))))))) (let ((?v_409 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_408)))))))) (?v_406 (= k.192 1)) (?v_53 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_407 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_53))) (?v_54 (= k.192 0)) (?v_55 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_53)))) (let ((?v_412 (and (=> true (=> ?v_54 (=> (= inline.TimerDpc.0.myVar_0.4 ?v_55) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.4) ?v_408))))) (=> true (=> (not ?v_54) (and (=> true (=> ?v_406 (=> (= inline.TimerDpc.0.myVar_0.3 ?v_407) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.3) ?v_409))))) (=> true (=> (not ?v_406) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.2) ?v_409))))))))) (?v_410 (= ?v_55 0)) (?v_411 (= ?v_407 0))) (let ((?v_417 (and (=> true (=> (=> ?v_54 (not ?v_410)) (=> (=> ?v_406 (not ?v_411)) ?v_412))) (=> true (=> (=> ?v_54 ?v_410) (=> (=> ?v_406 ?v_411) (=> true ?v_412)))))) (?v_419 (= errorReached.175 errorReached.173)) (?v_420 (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.))) (let ((?v_421 (=> (= k.192 k.190) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_417))))))))))) (?v_423 (= inline.TimerDpc.0.myVar_0.2 hdevice)) (?v_422 (= inline.TimerDpc.0.myVar_0.2 hqueue)) (?v_418 (= inline.TimerDpc.0.myVar_0.2 htimer)) (?v_416 (= inline.TimerDpc.0.myVar_0.2 hrequest)) (?v_415 (=> true (=> (= errorReached.175 errorReached.174) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 call36432formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.192 k.191) ?v_417)))))) (?v_413 (= k.191 0)) (?v_414 (= k.191 1))) (let ((?v_425 (and (=> true (=> ?v_416 (=> true (=> (<= k.190 k.191) (=> (< k.191 2) (and (=> true (=> (=> ?v_413 ?v_51) (=> (=> ?v_414 ?v_52) (=> true (=> (= errorReached.174 1) ?v_415))))) (=> true (=> (=> ?v_413 ?v_79) (=> (=> ?v_414 ?v_80) (=> true (=> (= errorReached.174 errorReached.173) (=> true ?v_415)))))))))))) (=> true (=> (not ?v_416) (and (=> true (=> ?v_418 (=> true (=> ?v_419 (=> ?v_420 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_421)))))) (=> true (=> (not ?v_418) (and (=> true (=> ?v_422 (=> true (=> ?v_419 (=> ?v_420 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_421)))))) (=> true (=> (not ?v_422) (and (=> true (=> ?v_423 (=> true (=> ?v_419 (=> ?v_420 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_421)))))) (=> true (=> (not ?v_423) (=> true (=> ?v_419 (=> ?v_420 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_421)))))))))))))))))) (let ((?v_427 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_425)))))))) (?v_426 (= k.190 1)) (?v_46 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_50 (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_46))) (?v_424 (= k.190 0)) (?v_48 (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_46)))) (let ((?v_430 (=> true (=> (<= k.189 k.190) (=> (< k.190 2) (and (=> true (=> ?v_424 (=> (= inline.TimerDpc.0.myVar_0.0 ?v_48) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.0) ?v_425))))) (=> true (=> (not ?v_424) (and (=> true (=> ?v_426 (=> (= inline.TimerDpc.0.myVar_0.1 ?v_50) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.1) ?v_427))))) (=> true (=> (not ?v_426) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0) ?v_427)))))))))))) (?v_47 (= k.189 0)) (?v_428 (not (= ?v_48 call36271formal.ret.0))) (?v_49 (= k.189 1)) (?v_429 (not (= ?v_50 call36271formal.ret.0)))) (let ((?v_433 (and (=> true (=> (=> ?v_47 ?v_428) (=> (=> ?v_49 ?v_429) ?v_430))) (=> true (=> (=> ?v_47 (not ?v_428)) (=> (=> ?v_49 (not ?v_429)) ?v_430))))) (?v_431 (= ?v_48 0)) (?v_432 (= ?v_50 0))) (let ((?v_437 (and (=> true (=> (=> ?v_47 (not ?v_431)) (=> (=> ?v_49 (not ?v_432)) ?v_433))) (=> true (=> (=> ?v_47 ?v_431) (=> (=> ?v_49 ?v_432) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_433))))))))))))))) (let ((?v_439 (=> (= errorReached.173 errorReached.171) (=> (= k.189 k.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_437))))))))))))) (?v_441 (= htimer hdevice))) (let ((?v_4301 (not ?v_441)) (?v_440 (= htimer hqueue))) (let ((?v_4300 (not ?v_440)) (?v_438 (= htimer htimer))) (let ((?v_4298 (not ?v_438)) (?v_45 (= htimer hrequest))) (let ((?v_4296 (not ?v_45)) (?v_436 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.173 errorReached.172) (=> (= k.189 k.188) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 call36089formal.ret.0) ?v_437)))))) (?v_434 (= k.188 0)) (?v_435 (= k.188 1)) (?v_34 (- 0 1073741823)) (?v_44 (= call35986formal.ret.0 0))) (let ((?v_450 (=> true (=> (<= 0 k.187) (=> (< k.187 2) (and (=> true (=> (not ?v_44) (=> true (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_1.37 reqCancelSet_1.27) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1.) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= k.226 k.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= lockStatus_1.59 lockStatus_1.52) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleted_0.28 reqCompleted_0.21) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3.) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= alloc.21 alloc.18) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= lockStatus_0.59 lockStatus_0.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= errorReached.207 errorReached.171) (=> (= reqCancelSet_0.37 reqCancelSet_0.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.TimerDpc.0..result.GetDeviceContext.2073.36.4.) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= reqCompleted_1.28 reqCompleted_1.21) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1.) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) ?v_67)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_44 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_34) (and (=> true (=> ?v_45 (=> true (=> (<= k.187 k.188) (=> (< k.188 2) (and (=> true (=> (=> ?v_434 ?v_51) (=> (=> ?v_435 ?v_52) (=> true (=> (= errorReached.172 1) ?v_436))))) (=> true (=> (=> ?v_434 ?v_79) (=> (=> ?v_435 ?v_80) (=> true (=> (= errorReached.172 errorReached.171) (=> true ?v_436)))))))))))) (=> true (=> ?v_4296 (and (=> true (=> ?v_438 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_439)))) (=> true (=> ?v_4298 (and (=> true (=> ?v_440 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_439)))) (=> true (=> ?v_4300 (and (=> true (=> ?v_441 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_439)))) (=> true (=> ?v_4301 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_439)))))))))))))))))))))))) (let ((?v_465 (=> true (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= reqCompleted_1.21 reqCompleted_1.20) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= errorReached.171 errorReached.170) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= reqCancelSet_0.27 reqCancelSet_0.26) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= k.186 k.185) (=> (= reqCancelSet_1.27 reqCancelSet_1.26) (=> (= reqCompleted_0.21 reqCompleted_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> true (=> true ?v_450)))))))))))))))))))))))))))))) (?v_25 (= hrequest hrequest))) (let ((?v_470 (not ?v_25)) (?v_452 (=> true (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= errorReached.170 errorReached.169) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= k.185 k.184) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call40122formal.ret.0) (=> (= reqCompleted_1.20 reqCompleted_1.19) ?v_465)))))))))) (let ((?v_455 (=> true ?v_452)) (?v_453 (= reqCancelSet_0.25 reqCancelSet_0.24)) (?v_454 (= reqCancelSet_1.25 reqCancelSet_1.24)) (?v_451 (= k.184 1))) (let ((?v_458 (not ?v_451)) (?v_449 (= k.184 0))) (let ((?v_456 (not ?v_449))) (let ((?v_457 (and (=> true (=> ?v_449 (=> true (=> (= reqCancelSet_0.25 0) (=> ?v_454 ?v_452))))) (=> true (=> ?v_456 (and (=> true (=> ?v_451 (=> true (=> ?v_453 (=> (= reqCancelSet_1.25 0) ?v_455))))) (=> true (=> ?v_458 (=> true (=> ?v_453 (=> ?v_454 ?v_455))))))))))) (let ((?v_461 (=> true (=> true ?v_457))) (?v_459 (= reqCompleted_0.19 reqCompleted_0.18)) (?v_460 (= reqCompleted_1.19 reqCompleted_1.18))) (let ((?v_464 (and (=> true (=> ?v_449 (=> true (=> (= reqCompleted_0.19 1) (=> ?v_460 ?v_457))))) (=> true (=> ?v_456 (and (=> true (=> ?v_451 (=> true (=> ?v_459 (=> (= reqCompleted_1.19 1) ?v_461))))) (=> true (=> ?v_458 (=> true (=> ?v_459 (=> ?v_460 ?v_461)))))))))) (?v_462 (= reqCompleted_0.18 0)) (?v_463 (= reqCompleted_1.18 0))) (let ((?v_447 (not ?v_462)) (?v_448 (not ?v_463))) (let ((?v_466 (and (=> true (=> ?v_25 (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (and (=> true (=> (=> ?v_449 ?v_447) (=> (=> ?v_451 ?v_448) (=> true (=> (= errorReached.169 1) ?v_464))))) (=> true (=> (=> ?v_449 ?v_462) (=> (=> ?v_451 ?v_463) (=> true (=> (= errorReached.169 errorReached.168) (=> true ?v_464)))))))))))) (=> true (=> ?v_470 (=> true (=> (= reqCompleted_0.20 reqCompleted_0.18) (=> (= errorReached.170 errorReached.168) (=> (= reqCancelSet_1.26 reqCancelSet_1.24) (=> (= reqCancelSet_0.26 reqCancelSet_0.24) (=> (= k.185 k.183) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_1.20 reqCompleted_1.18) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_465)))))))))))))))))))))) (let ((?v_471 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2) ?v_466)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_466))))))))))))))))) (let ((?v_473 (=> (= errorReached.168 errorReached.166) (=> (= k.183 0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_471))))))))))))) (?v_475 (= hrequest hdevice))) (let ((?v_513 (not ?v_475)) (?v_474 (= hrequest hqueue))) (let ((?v_512 (not ?v_474)) (?v_472 (= hrequest htimer))) (let ((?v_509 (not ?v_472)) (?v_469 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.168 errorReached.167) (=> (= k.183 k.182) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call39971formal.ret.0) ?v_471)))))) (?v_467 (= k.182 0)) (?v_468 (= k.182 1)) (?v_0 (= 0 0)) (?v_443 (= reqCompleteSet_0 0)) (?v_444 (= reqSent_0 0)) (?v_1 (= 0 1)) (?v_445 (= reqCompleteSet_1 0)) (?v_446 (= reqSent_1 0)) (?v_442 (= call35934formal.ret.0 0))) (let ((?v_488 (and (=> true (=> (not ?v_442) (=> true (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= reqCompleted_1.21 reqCompleted_1.18) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= errorReached.171 errorReached.166) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= reqCancelSet_0.27 reqCancelSet_0.24) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= k.186 0) (=> (= reqCancelSet_1.27 reqCancelSet_1.24) (=> (= reqCompleted_0.21 reqCompleted_0.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) ?v_450))))))))))))))))))))))))))))) (=> true (=> ?v_442 (=> true (=> (=> ?v_0 (and (not ?v_443) (not ?v_444))) (=> (=> ?v_1 (and (not ?v_445) (not ?v_446))) (and (=> true (=> ?v_25 (=> true (=> (<= 0 k.182) (=> (< k.182 2) (and (=> true (=> (=> ?v_467 ?v_447) (=> (=> ?v_468 ?v_448) (=> true (=> (= errorReached.167 1) ?v_469))))) (=> true (=> (=> ?v_467 ?v_462) (=> (=> ?v_468 ?v_463) (=> true (=> (= errorReached.167 errorReached.166) (=> true ?v_469)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_473)))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_473)))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_473)))) (=> true (=> ?v_513 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_473)))))))))))))))))))))) (let ((?v_515 (=> true (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0.3) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.166 errorReached.165) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0.3) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= k.181 k.180) (=> true (=> true (=> true (=> true (=> true ?v_488)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_520 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= k.180 k.175) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= reqCompleted_1.17 reqCompleted_1.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.165 errorReached.160) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= reqCancelSet_0.23 reqCancelSet_0.20) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= reqCancelSet_1.23 reqCancelSet_1.20) (=> (= reqCompleted_0.17 reqCompleted_0.14) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> true (=> true (=> true ?v_515))))))))))))))))))))))))))))))))))))))) (let ((?v_522 (=> (= errorReached.160 errorReached.158) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= k.175 k.173) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_520)))))))))))))))))))))) (?v_524 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_523 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_521 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_519 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_518 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.160 errorReached.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 call42487formal.ret.0) (=> (= k.175 k.174) ?v_520)))))) (?v_516 (= k.174 0)) (?v_500 (= reqCompleted_0.14 0)) (?v_517 (= k.174 1)) (?v_501 (= reqCompleted_1.14 0))) (let ((?v_479 (not ?v_500)) (?v_480 (not ?v_501)) (?v_514 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_503 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= k.180 k.179) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= reqCompleted_1.17 reqCompleted_1.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.165 errorReached.164) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= reqCancelSet_0.23 reqCancelSet_0.22) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= reqCancelSet_1.23 reqCancelSet_1.22) (=> (= reqCompleted_0.17 reqCompleted_0.16) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) ?v_515)))))))))))))))))))))))))))))))))))) (let ((?v_490 (=> true (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call42850formal.ret.0) (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> (= errorReached.164 errorReached.163) (=> (= k.179 k.178) (=> (= reqCompleted_1.16 reqCompleted_1.15) ?v_503)))))))))) (let ((?v_493 (=> true ?v_490)) (?v_491 (= reqCancelSet_0.21 reqCancelSet_0.20)) (?v_492 (= reqCancelSet_1.21 reqCancelSet_1.20)) (?v_489 (= k.178 1))) (let ((?v_496 (not ?v_489)) (?v_487 (= k.178 0))) (let ((?v_494 (not ?v_487))) (let ((?v_495 (and (=> true (=> ?v_487 (=> true (=> (= reqCancelSet_0.21 0) (=> ?v_492 ?v_490))))) (=> true (=> ?v_494 (and (=> true (=> ?v_489 (=> true (=> ?v_491 (=> (= reqCancelSet_1.21 0) ?v_493))))) (=> true (=> ?v_496 (=> true (=> ?v_491 (=> ?v_492 ?v_493))))))))))) (let ((?v_499 (=> true (=> true ?v_495))) (?v_497 (= reqCompleted_0.15 reqCompleted_0.14)) (?v_498 (= reqCompleted_1.15 reqCompleted_1.14))) (let ((?v_502 (and (=> true (=> ?v_487 (=> true (=> (= reqCompleted_0.15 1) (=> ?v_498 ?v_495))))) (=> true (=> ?v_494 (and (=> true (=> ?v_489 (=> true (=> ?v_497 (=> (= reqCompleted_1.15 1) ?v_499))))) (=> true (=> ?v_496 (=> true (=> ?v_497 (=> ?v_498 ?v_499))))))))))) (let ((?v_504 (and (=> true (=> ?v_25 (=> true (=> (<= k.177 k.178) (=> (< k.178 2) (and (=> true (=> (=> ?v_487 ?v_479) (=> (=> ?v_489 ?v_480) (=> true (=> (= errorReached.163 1) ?v_502))))) (=> true (=> (=> ?v_487 ?v_500) (=> (=> ?v_489 ?v_501) (=> true (=> (= errorReached.163 errorReached.162) (=> true ?v_502)))))))))))) (=> true (=> ?v_470 (=> true (=> (= reqCompleted_0.16 reqCompleted_0.14) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.22 reqCancelSet_0.20) (=> (= reqCancelSet_1.22 reqCancelSet_1.20) (=> (= errorReached.164 errorReached.162) (=> (= k.179 k.177) (=> (= reqCompleted_1.16 reqCompleted_1.14) (=> true (=> true (=> true (=> true (=> true (=> true ?v_503))))))))))))))))))) (let ((?v_508 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2) ?v_504)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_504)))))))))))))))) (?v_510 (= errorReached.162 errorReached.158))) (let ((?v_511 (=> (= k.177 k.173) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_508)))))))))))) (?v_507 (=> true (=> (= errorReached.162 errorReached.161) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.177 k.176) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 call42699formal.ret.0) ?v_508)))))) (?v_505 (= k.176 0)) (?v_506 (= k.176 1))) (let ((?v_527 (and (=> true (=> (not ?v_514) (and (=> true (=> ?v_25 (=> true (=> (<= k.173 k.176) (=> (< k.176 2) (and (=> true (=> (=> ?v_505 ?v_479) (=> (=> ?v_506 ?v_480) (=> true (=> (= errorReached.161 1) ?v_507))))) (=> true (=> (=> ?v_505 ?v_500) (=> (=> ?v_506 ?v_501) (=> true (=> (= errorReached.161 errorReached.158) (=> true ?v_507)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_510 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_511))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_510 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_511))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_510 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_511))))) (=> true (=> ?v_513 (=> true (=> ?v_510 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_511))))))))))))))))) (=> true (=> ?v_514 (and (=> true (=> ?v_519 (=> true (=> (<= k.173 k.174) (=> (< k.174 2) (and (=> true (=> (=> ?v_516 ?v_479) (=> (=> ?v_517 ?v_480) (=> true (=> (= errorReached.159 1) ?v_518))))) (=> true (=> (=> ?v_516 ?v_500) (=> (=> ?v_517 ?v_501) (=> true (=> (= errorReached.159 errorReached.158) (=> true ?v_518)))))))))))) (=> true (=> (not ?v_519) (and (=> true (=> ?v_521 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_522)))) (=> true (=> (not ?v_521) (and (=> true (=> ?v_523 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_522)))) (=> true (=> (not ?v_523) (and (=> true (=> ?v_524 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_522)))) (=> true (=> (not ?v_524) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_522))))))))))))))))))) (let ((?v_530 (=> true (=> true (=> true (=> true (=> true (=> true ?v_527))))))) (?v_525 (= k.173 0)) (?v_528 (= ?v_26 4))) (let ((?v_616 (not ?v_528)) (?v_526 (= k.173 1)) (?v_529 (= ?v_27 4))) (let ((?v_617 (not ?v_529)) (?v_37 (= ?v_26 1))) (let ((?v_613 (not ?v_37)) (?v_38 (= ?v_27 1))) (let ((?v_614 (not ?v_38))) (let ((?v_535 (and (=> true (=> (=> ?v_525 ?v_37) (=> (=> ?v_526 ?v_38) ?v_527))) (=> true (=> (=> ?v_525 ?v_613) (=> (=> ?v_526 ?v_614) (and (=> true (=> (=> ?v_525 ?v_528) (=> (=> ?v_526 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_530)))))))))))) (=> true (=> (=> ?v_525 ?v_616) (=> (=> ?v_526 ?v_617) ?v_530)))))))))) (let ((?v_537 (=> (= errorReached.158 errorReached.156) (=> (= k.173 k.171) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_535))))))))))))) (?v_539 (= inline.EvtRequestChildCancel.2.myVar_0.14 hdevice)) (?v_538 (= inline.EvtRequestChildCancel.2.myVar_0.14 hqueue)) (?v_536 (= inline.EvtRequestChildCancel.2.myVar_0.14 htimer)) (?v_534 (= inline.EvtRequestChildCancel.2.myVar_0.14 hrequest)) (?v_533 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.158 errorReached.157) (=> (= k.173 k.172) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 call42197formal.ret.0) ?v_535)))))) (?v_531 (= k.172 0)) (?v_532 (= k.172 1))) (let ((?v_542 (and (=> true (=> ?v_534 (=> true (=> (<= k.171 k.172) (=> (< k.172 2) (and (=> true (=> (=> ?v_531 ?v_479) (=> (=> ?v_532 ?v_480) (=> true (=> (= errorReached.157 1) ?v_533))))) (=> true (=> (=> ?v_531 ?v_500) (=> (=> ?v_532 ?v_501) (=> true (=> (= errorReached.157 errorReached.156) (=> true ?v_533)))))))))))) (=> true (=> (not ?v_534) (and (=> true (=> ?v_536 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_537)))) (=> true (=> (not ?v_536) (and (=> true (=> ?v_538 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_537)))) (=> true (=> (not ?v_538) (and (=> true (=> ?v_539 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_537)))) (=> true (=> (not ?v_539) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_537)))))))))))))))) (let ((?v_544 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_542)))))))))))) (?v_543 (= k.171 1)) (?v_541 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_574 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_541))) (?v_540 (= k.171 0)) (?v_483 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_541)))) (let ((?v_560 (=> true (=> (<= k.170 k.171) (=> (< k.171 2) (and (=> true (=> ?v_540 (=> (= inline.EvtRequestChildCancel.2.myVar_0.12 ?v_483) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.12) ?v_542))))) (=> true (=> (not ?v_540) (and (=> true (=> ?v_543 (=> (= inline.EvtRequestChildCancel.2.myVar_0.13 ?v_574) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.13) ?v_544))))) (=> true (=> (not ?v_543) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.11) ?v_544)))))))))))) (?v_558 (= k.166 0)) (?v_559 (= k.166 1))) (let ((?v_551 (=> true (=> (= lockStatus_0.51 lockStatus_0.50) (=> (= k.170 k.169) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= lockStatus_1.51 lockStatus_1.50) ?v_560)))))))))) (?v_550 (= inline.ReleaseDpcLock.8.myVar_0.2 hlock))) (let ((?v_546 (=> true (=> (= lockStatus_1.50 lockStatus_1.49) (=> (= k.169 k.168) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 call42050formal.ret.0) (=> (= lockStatus_0.50 lockStatus_0.49) ?v_551)))))) (?v_548 (= lockStatus_1.49 lockStatus_1.48))) (let ((?v_549 (=> (= lockStatus_0.49 lockStatus_0.48) (=> true ?v_546))) (?v_547 (= k.168 1)) (?v_545 (= k.168 0))) (let ((?v_554 (and (=> true (=> ?v_550 (=> true (=> (<= k.167 k.168) (=> (< k.168 2) (and (=> true (=> ?v_545 (=> true (=> ?v_548 (=> (= lockStatus_0.49 0) ?v_546))))) (=> true (=> (not ?v_545) (and (=> true (=> ?v_547 (=> true (=> (= lockStatus_1.49 0) ?v_549)))) (=> true (=> (not ?v_547) (=> true (=> ?v_548 ?v_549))))))))))))) (=> true (=> (not ?v_550) (=> true (=> (= lockStatus_1.50 lockStatus_1.48) (=> (= k.169 k.167) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.50 lockStatus_0.48) (=> true (=> true (=> true ?v_551))))))))))))) (let ((?v_556 (=> true (=> true (=> true (=> true ?v_554))))) (?v_555 (= k.167 1)) (?v_553 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_552 (= k.167 0))) (let ((?v_557 (=> true (=> (<= k.166 k.167) (=> (< k.167 2) (and (=> true (=> ?v_552 (=> (= inline.ReleaseDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_553))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.0) ?v_554))))) (=> true (=> (not ?v_552) (and (=> true (=> ?v_555 (=> (= inline.ReleaseDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_553))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.1) ?v_556))))) (=> true (=> (not ?v_555) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0) ?v_556))))))))))))) (let ((?v_565 (and (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.0) ?v_557)))) (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_558 ?v_277) (=> (=> ?v_559 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.2 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> true (=> true ?v_557))))))) (=> true (=> (=> ?v_558 ?v_377) (=> (=> ?v_559 ?v_379) (=> true (=> (= lockStatus_0.51 lockStatus_0.48) (=> (= k.170 k.166) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.3 inline.ReleaseDpcLock.8.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.51 lockStatus_1.48) (=> true (=> true (=> true ?v_560))))))))))))))))))))) (let ((?v_570 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_565)))))))))) (?v_567 (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.)) (?v_568 (= errorReached.156 errorReached.154)) (?v_569 (= k.166 k.164)) (?v_572 (= inline.EvtRequestChildCancel.2.myVar_0.11 hdevice)) (?v_571 (= inline.EvtRequestChildCancel.2.myVar_0.11 hqueue)) (?v_566 (= inline.EvtRequestChildCancel.2.myVar_0.11 htimer)) (?v_564 (= inline.EvtRequestChildCancel.2.myVar_0.11 hrequest)) (?v_563 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 call41808formal.ret.0) (=> (= errorReached.156 errorReached.155) (=> (= k.166 k.165) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_565)))))) (?v_561 (= k.165 0)) (?v_562 (= k.165 1))) (let ((?v_575 (and (=> true (=> ?v_564 (=> true (=> (<= k.164 k.165) (=> (< k.165 2) (and (=> true (=> (=> ?v_561 ?v_479) (=> (=> ?v_562 ?v_480) (=> true (=> (= errorReached.155 1) ?v_563))))) (=> true (=> (=> ?v_561 ?v_500) (=> (=> ?v_562 ?v_501) (=> true (=> (= errorReached.155 errorReached.154) (=> true ?v_563)))))))))))) (=> true (=> (not ?v_564) (and (=> true (=> ?v_566 (=> true (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_570))))))) (=> true (=> (not ?v_566) (and (=> true (=> ?v_571 (=> true (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_570))))))) (=> true (=> (not ?v_571) (and (=> true (=> ?v_572 (=> true (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_570))))))) (=> true (=> (not ?v_572) (=> true (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_570))))))))))))))))))) (let ((?v_577 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_575)))))))))))) (?v_576 (= k.164 1)) (?v_573 (= k.164 0))) (let ((?v_579 (=> true (=> (<= k.163 k.164) (=> (< k.164 2) (and (=> true (=> ?v_573 (=> (= inline.EvtRequestChildCancel.2.myVar_0.9 ?v_483) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.9) ?v_575))))) (=> true (=> (not ?v_573) (and (=> true (=> ?v_576 (=> (= inline.EvtRequestChildCancel.2.myVar_0.10 ?v_574) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.10) ?v_577))))) (=> true (=> (not ?v_576) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.8) ?v_577))))))))))))) (let ((?v_583 (=> true (=> true ?v_579))) (?v_581 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_582 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_580 (= k.163 1))) (let ((?v_587 (not ?v_580)) (?v_578 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_486 (= k.163 0))) (let ((?v_584 (not ?v_486))) (let ((?v_586 (and (=> true (=> ?v_486 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_578 ?v_64)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> ?v_582 ?v_579)))))) (=> true (=> ?v_584 (and (=> true (=> ?v_580 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_578 ?v_64)) (=> true (=> ?v_581 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_583)))))) (=> true (=> ?v_587 (=> true (=> ?v_581 (=> ?v_582 ?v_583))))))))))) (let ((?v_590 (=> true (=> true ?v_586))) (?v_588 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_589 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11)) (?v_585 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_603 (=> true (=> (<= k.162 k.163) (=> (< k.163 2) (and (=> true (=> ?v_486 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_585 ?v_64)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) (=> ?v_589 ?v_586)))))) (=> true (=> ?v_584 (and (=> true (=> ?v_580 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_585 ?v_64)) (=> true (=> ?v_588 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_590)))))) (=> true (=> ?v_587 (=> true (=> ?v_588 (=> ?v_589 ?v_590))))))))))))) (?v_482 (= k.158 0)) (?v_484 (= k.158 1))) (let ((?v_596 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= lockStatus_0.48 lockStatus_0.47) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call41609formal.ret.0) (=> (= k.162 k.161) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.2) (=> (= lockStatus_1.48 lockStatus_1.47) ?v_603))))))))))) (?v_595 (= inline.AcquireDpcLock.8.myVar_0.2 hlock))) (let ((?v_592 (=> true (=> (= lockStatus_1.47 lockStatus_1.46) (=> (= k.161 k.160) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call41557formal.ret.0) (=> (= lockStatus_0.47 lockStatus_0.46) ?v_596)))))) (?v_593 (= lockStatus_1.46 lockStatus_1.45))) (let ((?v_594 (=> (= lockStatus_0.46 lockStatus_0.45) (=> true ?v_592))) (?v_591 (= k.160 1)) (?v_485 (= k.160 0))) (let ((?v_599 (and (=> true (=> ?v_595 (=> true (=> (<= k.159 k.160) (=> (< k.160 2) (=> true (=> (=> ?v_485 (= lockStatus_0.45 0)) (=> (=> ?v_591 (= lockStatus_1.45 0)) (and (=> true (=> ?v_485 (=> true (=> ?v_593 (=> (= lockStatus_0.46 1) ?v_592))))) (=> true (=> (not ?v_485) (and (=> true (=> ?v_591 (=> true (=> (= lockStatus_1.46 1) ?v_594)))) (=> true (=> (not ?v_591) (=> true (=> ?v_593 ?v_594)))))))))))))))) (=> true (=> (not ?v_595) (=> true (=> (= lockStatus_1.47 lockStatus_1.45) (=> (= k.161 k.159) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.47 lockStatus_0.45) (=> true (=> true (=> true (=> true (=> true (=> true ?v_596)))))))))))))))) (let ((?v_601 (=> true (=> true (=> true (=> true ?v_599))))) (?v_600 (= k.159 1)) (?v_598 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_597 (= k.159 0))) (let ((?v_602 (=> true (=> (<= k.158 k.159) (=> (< k.159 2) (and (=> true (=> ?v_597 (=> (= inline.AcquireDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_598))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.1) ?v_599))))) (=> true (=> (not ?v_597) (and (=> true (=> ?v_600 (=> (= inline.AcquireDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_598))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.0) ?v_601))))) (=> true (=> (not ?v_600) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0) ?v_601))))))))))))) (let ((?v_606 (and (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.1) ?v_602)))) (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_482 ?v_277) (=> (=> ?v_484 ?v_278) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.2 inline.AcquireDpcLock.8.myNondetVar_0.0) ?v_602))))) (=> true (=> (=> ?v_482 ?v_377) (=> (=> ?v_484 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_0.48 lockStatus_0.45) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= k.162 k.158) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.0) (=> (= lockStatus_1.48 lockStatus_1.45) (=> true (=> true (=> true ?v_603)))))))))))))))))))))) (let ((?v_608 (=> (= errorReached.154 errorReached.152) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_606))))))))))) (?v_610 (= inline.EvtRequestChildCancel.2.myVar_0.8 hdevice)) (?v_609 (= inline.EvtRequestChildCancel.2.myVar_0.8 hqueue)) (?v_607 (= inline.EvtRequestChildCancel.2.myVar_0.8 htimer)) (?v_605 (= inline.EvtRequestChildCancel.2.myVar_0.8 hrequest)) (?v_604 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.154 errorReached.153) ?v_606))))) (let ((?v_611 (and (=> true (=> ?v_605 (and (=> true (=> (=> ?v_482 ?v_479) (=> (=> ?v_484 ?v_480) (=> true (=> (= errorReached.153 1) ?v_604))))) (=> true (=> (=> ?v_482 ?v_500) (=> (=> ?v_484 ?v_501) (=> true (=> (= errorReached.153 errorReached.152) (=> true ?v_604))))))))) (=> true (=> (not ?v_605) (and (=> true (=> ?v_607 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_608)))) (=> true (=> (not ?v_607) (and (=> true (=> ?v_609 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_608)))) (=> true (=> (not ?v_609) (and (=> true (=> ?v_610 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_608)))) (=> true (=> (not ?v_610) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_608)))))))))))))))) (let ((?v_612 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_611))))))))))))) (let ((?v_618 (and (=> true (=> ?v_482 (=> (= inline.EvtRequestChildCancel.2.myVar_0.6 ?v_483) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.6) ?v_611))))) (=> true (=> (not ?v_482) (and (=> true (=> ?v_484 (=> (= inline.EvtRequestChildCancel.2.myVar_0.7 ?v_574) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.7) ?v_612))))) (=> true (=> (not ?v_484) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.5) ?v_612)))))))))) (let ((?v_615 (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call41200formal.ret.0) ?v_618)))) (let ((?v_623 (and (=> true (=> (=> ?v_482 ?v_37) (=> (=> ?v_484 ?v_38) ?v_615))) (=> true (=> (=> ?v_482 ?v_613) (=> (=> ?v_484 ?v_614) (and (=> true (=> (=> ?v_482 ?v_528) (=> (=> ?v_484 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_615)))))))))))) (=> true (=> (=> ?v_482 ?v_616) (=> (=> ?v_484 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_618)))))))))))))))) (?v_625 (= errorReached.152 errorReached.150)) (?v_626 (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.))) (let ((?v_627 (=> (= k.158 k.156) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_623))))))))))) (?v_629 (= inline.EvtRequestChildCancel.2.myVar_0.5 hdevice)) (?v_628 (= inline.EvtRequestChildCancel.2.myVar_0.5 hqueue)) (?v_624 (= inline.EvtRequestChildCancel.2.myVar_0.5 htimer)) (?v_622 (= inline.EvtRequestChildCancel.2.myVar_0.5 hrequest)) (?v_621 (=> true (=> (= errorReached.152 errorReached.151) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call41003formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.158 k.157) ?v_623)))))) (?v_619 (= k.157 0)) (?v_620 (= k.157 1))) (let ((?v_631 (and (=> true (=> ?v_622 (=> true (=> (<= k.156 k.157) (=> (< k.157 2) (and (=> true (=> (=> ?v_619 ?v_479) (=> (=> ?v_620 ?v_480) (=> true (=> (= errorReached.151 1) ?v_621))))) (=> true (=> (=> ?v_619 ?v_500) (=> (=> ?v_620 ?v_501) (=> true (=> (= errorReached.151 errorReached.150) (=> true ?v_621)))))))))))) (=> true (=> (not ?v_622) (and (=> true (=> ?v_624 (=> true (=> ?v_625 (=> ?v_626 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_627)))))) (=> true (=> (not ?v_624) (and (=> true (=> ?v_628 (=> true (=> ?v_625 (=> ?v_626 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_627)))))) (=> true (=> (not ?v_628) (and (=> true (=> ?v_629 (=> true (=> ?v_625 (=> ?v_626 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_627)))))) (=> true (=> (not ?v_629) (=> true (=> ?v_625 (=> ?v_626 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_627)))))))))))))))))) (let ((?v_632 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_631)))))))))))) (?v_630 (= k.156 1)) (?v_481 (= k.156 0))) (let ((?v_634 (and (=> true (=> ?v_481 (=> (= inline.EvtRequestChildCancel.2.myVar_0.3 ?v_483) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.3) ?v_631))))) (=> true (=> (not ?v_481) (and (=> true (=> ?v_630 (=> (= inline.EvtRequestChildCancel.2.myVar_0.4 ?v_574) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.4) ?v_632))))) (=> true (=> (not ?v_630) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.2) ?v_632)))))))))) (let ((?v_636 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_634))))))))))) (?v_635 (= errorReached.150 errorReached.148)) (?v_633 (=> true (=> (= errorReached.150 errorReached.149) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_634))))) (let ((?v_641 (and (=> true (=> ?v_25 (and (=> true (=> (=> ?v_481 ?v_479) (=> (=> ?v_630 ?v_480) (=> true (=> (= errorReached.149 1) ?v_633))))) (=> true (=> (=> ?v_481 ?v_500) (=> (=> ?v_630 ?v_501) (=> true (=> (= errorReached.149 errorReached.148) (=> true ?v_633))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_635 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_636))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_635 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_636))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_635 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_636))))) (=> true (=> ?v_513 (=> true (=> ?v_635 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_636)))))))))))))))) (?v_643 (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.)) (?v_644 (= errorReached.148 errorReached.146))) (let ((?v_645 (=> ?v_481 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_641)))))))))))))))))) (?v_647 (= inline.EvtRequestChildCancel.2.myVar_0.2 hdevice)) (?v_646 (= inline.EvtRequestChildCancel.2.myVar_0.2 hqueue)) (?v_642 (= inline.EvtRequestChildCancel.2.myVar_0.2 htimer)) (?v_640 (= inline.EvtRequestChildCancel.2.myVar_0.2 hrequest)) (?v_639 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call40624formal.ret.0) (=> (= errorReached.148 errorReached.147) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.156 k.155) ?v_641)))))) (?v_637 (= k.155 0)) (?v_638 (= k.155 1))) (let ((?v_649 (and (=> true (=> ?v_640 (=> true (=> (<= 0 k.155) (=> (< k.155 2) (and (=> true (=> (=> ?v_637 ?v_479) (=> (=> ?v_638 ?v_480) (=> true (=> (= errorReached.147 1) ?v_639))))) (=> true (=> (=> ?v_637 ?v_500) (=> (=> ?v_638 ?v_501) (=> true (=> (= errorReached.147 errorReached.146) (=> true ?v_639)))))))))))) (=> true (=> (not ?v_640) (and (=> true (=> ?v_642 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_645)))))) (=> true (=> (not ?v_642) (and (=> true (=> ?v_646 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_645)))))) (=> true (=> (not ?v_646) (and (=> true (=> ?v_647 (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_645)))))) (=> true (=> (not ?v_647) (=> true (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_645)))))))))))))))))) (let ((?v_650 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_649)))))))) (?v_665 (not ?v_1)) (?v_648 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_663 (not ?v_0))) (let ((?v_652 (and (=> true (=> ?v_0 (=> (= inline.EvtRequestChildCancel.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_648))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.0) ?v_649))))) (=> true (=> ?v_663 (and (=> true (=> ?v_1 (=> (= inline.EvtRequestChildCancel.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_648))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.1) ?v_650))))) (=> true (=> ?v_665 (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0) ?v_650)))))))))) (let ((?v_656 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_652))))))))))) (?v_655 (= errorReached.146 errorReached.144)) (?v_658 (= hqueue hdevice))) (let ((?v_2385 (not ?v_658)) (?v_654 (= hqueue hqueue))) (let ((?v_657 (not ?v_654)) (?v_653 (= hqueue htimer))) (let ((?v_2380 (not ?v_653)) (?v_22 (= hqueue hrequest))) (let ((?v_2378 (not ?v_22)) (?v_651 (=> true (=> (= errorReached.146 errorReached.145) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_652)))) (?v_659 (=> ?v_0 ?v_500)) (?v_660 (=> ?v_1 ?v_501)) (?v_477 (=> ?v_0 ?v_479)) (?v_478 (=> ?v_1 ?v_480))) (let ((?v_661 (and (=> true (=> ?v_22 (and (=> true (=> ?v_477 (=> ?v_478 (=> true (=> (= errorReached.145 1) ?v_651))))) (=> true (=> ?v_659 (=> ?v_660 (=> true (=> (= errorReached.145 errorReached.144) (=> true ?v_651))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_655 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_656))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_655 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_656))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_655 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_656))))) (=> true (=> ?v_2385 (=> true (=> ?v_655 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_656))))))))))))))))) (let ((?v_662 (=> true (=> (= errorReached.144 errorReached.143) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_661))))))))))))))))) (let ((?v_664 (and (=> true (=> ?v_25 (and (=> true (=> ?v_477 (=> ?v_478 (=> true (=> (= errorReached.144 1) ?v_661))))) (=> true (=> ?v_659 (=> ?v_660 ?v_662)))))) (=> true (=> ?v_470 ?v_662)))) (?v_666 (= reqCancelStarted_1.0 reqCancelStarted_1))) (let ((?v_667 (=> (= reqCancelStarted_0.0 reqCancelStarted_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_664))))))))))) (?v_476 (= call35892formal.ret.0 0))) (let ((?v_689 (and (=> true (=> (not ?v_476) (=> true (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= reqCompleted_0.18 reqCompleted_0.14) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2.) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1.) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= reqCancelSet_0.24 reqCancelSet_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3.) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.166 errorReached.143) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= reqCompleted_1.18 reqCompleted_1.14) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= lockStatus_1.52 lockStatus_1.45) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.4 inline.AcquireDpcLock.8.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= lockStatus_0.52 lockStatus_0.45) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= reqCancelSet_1.24 reqCancelSet_1.20) (=> (= k.181 0) ?v_488))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_476 (=> true (=> (=> ?v_0 (not (= reqCancelSet_0.20 0))) (=> (=> ?v_1 (not (= reqCancelSet_1.20 0))) (and (=> true (=> ?v_0 (=> true (=> ?v_666 (=> (= reqCancelStarted_0.0 1) ?v_664))))) (=> true (=> ?v_663 (and (=> true (=> ?v_1 (=> true (=> (= reqCancelStarted_1.0 1) ?v_667)))) (=> true (=> ?v_665 (=> true (=> ?v_666 ?v_667))))))))))))))) (?v_688 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 0))) (let ((?v_681 (=> true (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= reqCancelSet_0.20 reqCancelSet_0.19) (=> (= reqCancelSet_1.20 reqCancelSet_1.19) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= errorReached.143 errorReached.142) (=> (= reqCompleted_0.14 reqCompleted_0.13) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= reqCompleted_1.14 reqCompleted_1.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) ?v_689))))))))))))))))))))))) (let ((?v_668 (=> true (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> (= errorReached.142 errorReached.141) (=> (= reqCancelSet_1.19 reqCancelSet_1.18) (=> (= reqCancelSet_0.19 reqCancelSet_0.18) (=> (= reqCompleted_1.13 reqCompleted_1.12) ?v_681)))))))) (let ((?v_671 (=> true ?v_668)) (?v_669 (= reqCancelSet_0.18 reqCancelSet_0.17)) (?v_670 (= reqCancelSet_1.18 reqCancelSet_1.17)) (?v_40 (= k.154 1))) (let ((?v_674 (not ?v_40)) (?v_39 (= k.154 0))) (let ((?v_672 (not ?v_39))) (let ((?v_673 (and (=> true (=> ?v_39 (=> true (=> (= reqCancelSet_0.18 0) (=> ?v_670 ?v_668))))) (=> true (=> ?v_672 (and (=> true (=> ?v_40 (=> true (=> ?v_669 (=> (= reqCancelSet_1.18 0) ?v_671))))) (=> true (=> ?v_674 (=> true (=> ?v_669 (=> ?v_670 ?v_671))))))))))) (let ((?v_677 (=> true (=> true ?v_673))) (?v_675 (= reqCompleted_0.12 reqCompleted_0.11)) (?v_676 (= reqCompleted_1.12 reqCompleted_1.11))) (let ((?v_680 (and (=> true (=> ?v_39 (=> true (=> (= reqCompleted_0.12 1) (=> ?v_676 ?v_673))))) (=> true (=> ?v_672 (and (=> true (=> ?v_40 (=> true (=> ?v_675 (=> (= reqCompleted_1.12 1) ?v_677))))) (=> true (=> ?v_674 (=> true (=> ?v_675 (=> ?v_676 ?v_677)))))))))) (?v_678 (= reqCompleted_0.11 0))) (let ((?v_683 (=> ?v_39 ?v_678)) (?v_679 (= reqCompleted_1.11 0))) (let ((?v_684 (=> ?v_40 ?v_679)) (?v_35 (not ?v_678))) (let ((?v_41 (=> ?v_39 ?v_35)) (?v_36 (not ?v_679))) (let ((?v_42 (=> ?v_40 ?v_36))) (let ((?v_682 (and (=> true (=> ?v_25 (and (=> true (=> ?v_41 (=> ?v_42 (=> true (=> (= errorReached.141 1) ?v_680))))) (=> true (=> ?v_683 (=> ?v_684 (=> true (=> (= errorReached.141 errorReached.140) (=> true ?v_680))))))))) (=> true (=> ?v_470 (=> true (=> (= reqCompleted_0.13 reqCompleted_0.11) (=> (= errorReached.142 errorReached.140) (=> (= reqCancelSet_1.19 reqCancelSet_1.17) (=> (= reqCancelSet_0.19 reqCancelSet_0.17) (=> (= reqCompleted_1.13 reqCompleted_1.11) (=> true (=> true (=> true (=> true (=> true (=> true ?v_681))))))))))))))))) (let ((?v_686 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2) ?v_682)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_682))))))))))))))))) (let ((?v_687 (=> (= errorReached.140 errorReached.138) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_686))))))))))) (?v_685 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.140 errorReached.139) ?v_686))))) (let ((?v_690 (and (=> true (=> (not ?v_688) (and (=> true (=> ?v_25 (and (=> true (=> ?v_41 (=> ?v_42 (=> true (=> (= errorReached.139 1) ?v_685))))) (=> true (=> ?v_683 (=> ?v_684 (=> true (=> (= errorReached.139 errorReached.138) (=> true ?v_685))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_687)))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_687)))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_687)))) (=> true (=> ?v_513 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_687)))))))))))))))) (=> true (=> ?v_688 (=> true (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCancelSet_0.20 reqCancelSet_0.17) (=> (= reqCancelSet_1.20 reqCancelSet_1.17) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0) (=> (= errorReached.143 errorReached.138) (=> (= reqCompleted_0.14 reqCompleted_0.11) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCompleted_1.14 reqCompleted_1.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_689)))))))))))))))))))))))))))))))))) (let ((?v_691 (=> true (=> true (=> true (=> true ?v_690)))))) (let ((?v_696 (and (=> true (=> (=> ?v_39 ?v_37) (=> (=> ?v_40 ?v_38) ?v_690))) (=> true (=> (=> ?v_39 ?v_613) (=> (=> ?v_40 ?v_614) (and (=> true (=> (=> ?v_39 ?v_528) (=> (=> ?v_40 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_691)))))))))))) (=> true (=> (=> ?v_39 ?v_616) (=> (=> ?v_40 ?v_617) ?v_691)))))))))) (let ((?v_698 (=> (= errorReached.138 errorReached.136) (=> (= k.154 k.152) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_696))))))))))))) (?v_700 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hdevice)) (?v_699 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hqueue)) (?v_697 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 htimer)) (?v_695 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hrequest)) (?v_694 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.138 errorReached.137) (=> (= k.154 k.153) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call33428formal.ret.0) ?v_696)))))) (?v_692 (= k.153 0)) (?v_693 (= k.153 1))) (let ((?v_703 (and (=> true (=> ?v_695 (=> true (=> (<= k.152 k.153) (=> (< k.153 2) (and (=> true (=> (=> ?v_692 ?v_35) (=> (=> ?v_693 ?v_36) (=> true (=> (= errorReached.137 1) ?v_694))))) (=> true (=> (=> ?v_692 ?v_678) (=> (=> ?v_693 ?v_679) (=> true (=> (= errorReached.137 errorReached.136) (=> true ?v_694)))))))))))) (=> true (=> (not ?v_695) (and (=> true (=> ?v_697 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_698)))) (=> true (=> (not ?v_697) (and (=> true (=> ?v_699 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_698)))) (=> true (=> (not ?v_699) (and (=> true (=> ?v_700 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_698)))) (=> true (=> (not ?v_700) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_698)))))))))))))))) (let ((?v_705 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_703)))))))))))) (?v_704 (= k.152 1)) (?v_702 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_732 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_702))) (?v_701 (= k.152 0)) (?v_29 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_702)))) (let ((?v_719 (=> true (=> (<= k.151 k.152) (=> (< k.152 2) (and (=> true (=> ?v_701 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.12 ?v_29) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.12) ?v_703))))) (=> true (=> (not ?v_701) (and (=> true (=> ?v_704 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.13 ?v_732) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.13) ?v_705))))) (=> true (=> (not ?v_704) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.11) ?v_705)))))))))))) (?v_713 (= k.148 0)) (?v_716 (= k.148 1))) (let ((?v_712 (=> true (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= k.151 k.150) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.2) (=> (= lockStatus_1.45 lockStatus_1.44) ?v_719)))))))))) (?v_711 (= inline.ReleaseDpcLock.6.myVar_0.2 hlock))) (let ((?v_707 (=> true (=> (= lockStatus_1.44 lockStatus_1.43) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call33281formal.ret.0) (=> (= k.150 k.149) (=> (= lockStatus_0.44 lockStatus_0.43) ?v_712)))))) (?v_709 (= lockStatus_1.43 lockStatus_1.42))) (let ((?v_710 (=> (= lockStatus_0.43 lockStatus_0.42) (=> true ?v_707))) (?v_708 (= k.149 1)) (?v_706 (= k.149 0))) (let ((?v_715 (and (=> true (=> ?v_711 (=> true (=> (<= k.148 k.149) (=> (< k.149 2) (and (=> true (=> ?v_706 (=> true (=> ?v_709 (=> (= lockStatus_0.43 0) ?v_707))))) (=> true (=> (not ?v_706) (and (=> true (=> ?v_708 (=> true (=> (= lockStatus_1.43 0) ?v_710)))) (=> true (=> (not ?v_708) (=> true (=> ?v_709 ?v_710))))))))))))) (=> true (=> (not ?v_711) (=> true (=> (= lockStatus_1.44 lockStatus_1.42) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= k.150 k.148) (=> (= lockStatus_0.44 lockStatus_0.42) (=> true (=> true (=> true ?v_712))))))))))))) (let ((?v_717 (=> true (=> true (=> true (=> true ?v_715))))) (?v_714 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_718 (and (=> true (=> ?v_713 (=> (= inline.ReleaseDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_714))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.0) ?v_715))))) (=> true (=> (not ?v_713) (and (=> true (=> ?v_716 (=> (= inline.ReleaseDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_714))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.1) ?v_717))))) (=> true (=> (not ?v_716) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0) ?v_717)))))))))) (let ((?v_724 (and (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.0) ?v_718)))) (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_713 ?v_277) (=> (=> ?v_716 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.2 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> true (=> true (=> true ?v_718)))))))) (=> true (=> (=> ?v_713 ?v_377) (=> (=> ?v_716 ?v_379) (=> true (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= k.151 k.148) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.3 inline.ReleaseDpcLock.6.myNondetVar_0.1) (=> (= lockStatus_1.45 lockStatus_1.42) (=> true (=> true (=> true ?v_719)))))))))))))))))))) (?v_726 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_727 (= k.148 k.146))) (let ((?v_728 (=> (= errorReached.136 errorReached.134) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_724))))))))))) (?v_730 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hdevice)) (?v_729 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hqueue)) (?v_725 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 htimer)) (?v_723 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hrequest)) (?v_722 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call33040formal.ret.0) (=> (= k.148 k.147) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.136 errorReached.135) ?v_724)))))) (?v_720 (= k.147 0)) (?v_721 (= k.147 1))) (let ((?v_733 (and (=> true (=> ?v_723 (=> true (=> (<= k.146 k.147) (=> (< k.147 2) (and (=> true (=> (=> ?v_720 ?v_35) (=> (=> ?v_721 ?v_36) (=> true (=> (= errorReached.135 1) ?v_722))))) (=> true (=> (=> ?v_720 ?v_678) (=> (=> ?v_721 ?v_679) (=> true (=> (= errorReached.135 errorReached.134) (=> true ?v_722)))))))))))) (=> true (=> (not ?v_723) (and (=> true (=> ?v_725 (=> true (=> ?v_726 (=> ?v_727 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_728)))))) (=> true (=> (not ?v_725) (and (=> true (=> ?v_729 (=> true (=> ?v_726 (=> ?v_727 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_728)))))) (=> true (=> (not ?v_729) (and (=> true (=> ?v_730 (=> true (=> ?v_726 (=> ?v_727 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_728)))))) (=> true (=> (not ?v_730) (=> true (=> ?v_726 (=> ?v_727 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_728)))))))))))))))))) (let ((?v_735 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_733)))))))))))) (?v_734 (= k.146 1)) (?v_731 (= k.146 0))) (let ((?v_1524 (=> true (=> (<= k.145 k.146) (=> (< k.146 2) (and (=> true (=> ?v_731 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.10 ?v_29) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.10) ?v_733))))) (=> true (=> (not ?v_731) (and (=> true (=> ?v_734 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.9 ?v_732) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.9) ?v_735))))) (=> true (=> (not ?v_734) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.8) ?v_735)))))))))))) (?v_737 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_738 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_739 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_740 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_741 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_742 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_743 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_744 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_745 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_746 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_747 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_748 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_749 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_750 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_751 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_752 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_753 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_754 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_755 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_756 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_757 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_758 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_759 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_760 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_761 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_762 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_763 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_764 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_765 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_766 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_767 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_768 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_769 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0)) (?v_770 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_771 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_772 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_773 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_774 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_775 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0)) (?v_776 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_777 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_778 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_779 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_780 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_781 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_782 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_783 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_784 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_785 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_786 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_787 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_788 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_789 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_790 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_791 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_792 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_793 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_794 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_795 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_796 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0)) (?v_797 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_798 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_799 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_800 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_801 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_802 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_803 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_804 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_805 (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30.)) (?v_806 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_807 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_808 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_809 (= reqCompleted_0.11 reqCompleted_0)) (?v_810 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_811 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_812 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_813 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_814 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_815 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_816 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_817 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_818 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_819 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_820 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_821 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_822 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_823 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_824 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_825 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_826 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_827 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_828 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0)) (?v_829 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_830 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.)) (?v_831 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_832 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0)) (?v_833 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_834 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_835 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_836 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_838 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_839 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_840 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_841 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_842 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_843 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_844 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_845 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_846 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_847 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_848 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_849 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_850 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_851 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_852 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_853 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_854 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_855 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_856 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.)) (?v_857 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_858 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_859 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_860 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_861 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_862 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_863 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_864 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_865 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_866 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_867 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_868 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_869 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_870 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_871 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_872 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_873 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_874 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_875 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_876 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_877 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_878 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_879 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_880 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_881 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_882 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_883 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_884 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_885 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_886 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_887 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_888 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_889 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_890 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_891 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_892 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_893 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_894 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_895 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_896 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_897 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_898 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_899 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_900 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_901 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_902 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_903 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_904 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_905 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_906 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_907 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_908 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_909 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_910 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_911 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_912 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_913 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_914 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_4189 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_916 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_917 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_918 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_919 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_920 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_921 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_922 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_923 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_924 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_925 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_926 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_927 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_928 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_929 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_930 (= k.145 k.13)) (?v_931 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_932 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_933 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_934 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_935 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_936 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_937 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0)) (?v_938 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_939 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_940 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_941 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_942 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_943 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_944 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_945 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_946 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_947 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_948 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_949 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_950 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_951 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_952 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_953 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_954 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_955 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_956 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_957 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_958 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_959 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_960 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_961 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_962 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_963 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_964 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_965 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_966 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_967 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_968 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.)) (?v_969 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_970 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_971 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_972 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_973 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_974 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_975 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_976 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_977 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_978 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_979 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_980 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_981 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.)) (?v_982 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_983 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_984 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_985 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_986 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_987 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_988 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_989 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_990 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_991 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_992 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_993 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_994 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_995 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_996 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_997 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_998 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_999 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_1000 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_1001 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_1002 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_1003 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1004 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_1005 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_1006 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_1007 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_1008 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_1009 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_1010 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_1011 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_1012 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_1013 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_1014 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1015 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_1016 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1017 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_1018 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_1019 (= reqCompleted_1.11 reqCompleted_1)) (?v_1020 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0)) (?v_1021 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_1022 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1023 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1024 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1025 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 1)) (?v_1026 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_1027 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_1028 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1029 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1030 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_1031 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_1032 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_1033 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1034 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_1035 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_1036 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_4191 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1038 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_1039 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0)) (?v_1040 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1041 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1042 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1043 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1044 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_1045 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_1046 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_1047 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1048 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 0)) (?v_1049 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1050 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_1051 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1052 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1053 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1054 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1055 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0)) (?v_1056 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1057 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_1058 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1059 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_1060 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_1061 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1.)) (?v_1062 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1063 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_1064 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1065 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_1066 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1067 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_1068 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_1069 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_1070 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1071 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1072 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_1073 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_1074 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_1075 (= inline.ReleaseDpcLock.0.myNondetVar_0.5 inline.ReleaseDpcLock.0.myNondetVar_0)) (?v_1076 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1)) (?v_1077 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1078 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_1079 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_1080 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_1081 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_1082 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1083 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1084 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_1085 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_1086 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1087 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_1088 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1089 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1090 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1091 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1092 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_1093 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext)) (?v_1094 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_1095 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1096 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_1097 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_1098 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_1099 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1100 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1101 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1102 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_1103 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1104 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1105 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_1106 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_1107 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_1108 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_1109 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_4193 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1111 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_1112 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_1113 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1114 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_1115 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1116 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1117 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1118 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_1119 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_4194 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call32897formal.new.0)) (?v_1121 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_1122 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_1123 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1124 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_1125 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_1126 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_1127 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1128 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_1129 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1130 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1131 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_1132 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_1133 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_1134 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_1135 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1136 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1137 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_1138 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1139 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_1140 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_1141 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_1142 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1143 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_1144 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1145 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_1146 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_1147 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_1148 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_1149 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1150 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1151 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1152 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_1153 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_1154 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_1155 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_1156 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1157 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_1158 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_1160 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0)) (?v_1161 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_1162 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_1163 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1164 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1165 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1166 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1167 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_1168 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_1169 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_1170 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1171 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1172 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_1173 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1174 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_1175 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_1176 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1177 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1178 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1179 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1180 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_1181 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1182 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_1183 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1184 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1185 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_1186 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_1187 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1188 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_4200 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16854formal.new.0)) (?v_1190 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1191 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1192 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_1193 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1194 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_1195 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_1196 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1197 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_1198 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_1199 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_1200 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_1201 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.)) (?v_1202 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_1203 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_1204 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_1205 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0)) (?v_1206 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_1207 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1208 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_1209 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_1210 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_1211 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1212 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_1213 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1214 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_1215 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_1216 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_1217 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_1218 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1219 (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0)) (?v_1220 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_1221 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1222 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 0)) (?v_1223 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_1224 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1225 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_1226 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1227 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_1228 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1229 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1230 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_1231 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1232 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_1233 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_1234 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1235 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_1236 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1237 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1238 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1239 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0)) (?v_1240 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_1241 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_1242 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_1243 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1244 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1245 (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0)) (?v_1246 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1247 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_1248 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0)) (?v_1249 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1250 (= lockStatus_0.42 lockStatus_0.2)) (?v_1251 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_1252 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_1253 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.)) (?v_1254 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_1255 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_1256 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_1257 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1258 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_1259 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_1260 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1261 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0)) (?v_1262 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1263 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1264 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_1265 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1266 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_1267 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_1268 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1269 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_1270 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1271 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1272 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_1273 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0)) (?v_1274 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_1275 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_1276 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_1277 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_1278 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_1279 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_1280 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_1281 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1282 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1283 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_1284 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_1285 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1286 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_1287 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1288 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_1289 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0)) (?v_1290 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_1291 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0)) (?v_1292 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1293 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1294 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1295 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1296 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_1297 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_1298 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_1299 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1300 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_1301 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0)) (?v_1302 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_4202 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1304 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_1305 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_1306 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1314 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1315 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_1316 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_1317 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_4204 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call32897formal.new.0)) (?v_1319 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_1320 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1321 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_1322 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1323 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_1324 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_1325 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1326 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1327 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked)) (?v_1328 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1329 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1330 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_1331 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_1332 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_1333 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_1334 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_1335 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1336 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1337 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1338 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1339 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_1340 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_1341 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_1342 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_1343 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_1344 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_1345 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_1346 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1347 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_1348 (= reqCancelSet_1.17 reqCancelSet_1)) (?v_1349 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_1350 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_1351 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1352 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1353 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_1354 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_1355 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1356 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_1357 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_4005 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_1358 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_1359 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_1360 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1361 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1362 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1363 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1364 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1365 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1366 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_1367 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_1368 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0)) (?v_1369 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_1370 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked)) (?v_1371 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1372 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_1373 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1374 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_1375 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_1376 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_1377 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_1378 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_1379 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_1380 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1381 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_1382 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1383 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1384 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1385 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_1386 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_1387 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1388 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1389 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_1390 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0)) (?v_1391 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1392 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1393 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_1394 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_1395 (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_1396 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1397 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_1398 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_1399 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1400 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_1401 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_1402 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1403 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_1404 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1405 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1406 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_1407 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1408 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0)) (?v_1409 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_1410 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1411 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1412 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_1413 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_1414 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1415 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_1416 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_1417 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_1418 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1419 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1420 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_1421 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1422 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_1423 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1424 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_1425 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_1426 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_1427 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_1428 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_1429 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_1430 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1431 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_1432 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_1433 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_1434 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_1435 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1436 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1437 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_1438 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_1439 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0)) (?v_1440 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3878 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_1441 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_1442 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1443 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_1444 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_1445 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_1446 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0)) (?v_1447 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_1448 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_1449 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_1450 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_1451 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_1452 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_1453 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1454 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3885 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_1455 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1456 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_1457 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_1458 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0)) (?v_1459 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_1460 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_1461 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_1462 (= reqCancelSet_0.17 reqCancelSet_0)) (?v_1463 (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0)) (?v_1464 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1465 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1466 (= lockStatus_1.42 lockStatus_1.2)) (?v_1467 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1468 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_1469 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_1470 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_1471 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1472 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1473 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1474 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_1475 (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_1476 (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_1477 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_1478 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1479 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1480 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1481 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0)) (?v_4179 (= errorReached.134 errorReached.16)) (?v_4006 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_4007 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_4008 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_4009 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4127 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.))) (let ((?v_4010 (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) ?v_1524))))) (let ((?v_4180 (=> ?v_4008 (=> ?v_4009 (=> ?v_4127 (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 0) ?v_4010)))))) (let ((?v_1482 (=> ?v_4006 (=> ?v_4007 ?v_4180)))) (let ((?v_4210 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_4179 ?v_1482)))))))))))) (let ((?v_4218 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 ?v_4210)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4217 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_4187 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4188 (= alloc.18 alloc.8)) (?v_4192 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4196 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call34037formal.new.0)) (?v_4201 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4206 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34037formal.new.0)) (?v_4207 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4209 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16857formal.new.0))) (let ((?v_4216 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4209 ?v_4210)))))))) (?v_4215 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 0)) (?v_4186 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4190 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4195 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4197 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.7)) (?v_4198 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call34100formal.ret.0)) (?v_4199 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call34100formal.ret.0)) (?v_4203 (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4205 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1)) (?v_4208 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4185 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4181 (not (= call34187formal.ret.0 myNondetVar_1.0))) (?v_837 (= alloc.18 alloc.6)) (?v_915 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_1037 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_1110 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1120 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_1159 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4)) (?v_1189 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1303 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 0)) (?v_1318 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer))) (let ((?v_1307 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 ?v_4218)))))) (?v_1308 (not (= myNondetVar_1.0 myNondetVar_2.0))) (?v_4014 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 call34315formal.ret.0)) (?v_4015 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call34315formal.ret.0)) (?v_4024 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0)) (?v_4162 (= k.145 k.15)) (?v_4046 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2)) (?v_4048 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest)) (?v_4051 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4053 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4068 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_4161 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4022 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4030 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call34509formal.ret.0)) (?v_4032 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4037 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call34509formal.ret.0)) (?v_4042 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34455formal.new.0)) (?v_4045 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_4047 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_4054 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4056 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4059 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16860formal.new.0)) (?v_4060 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4064 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4067 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 call34455formal.new.0)) (?v_4113 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_4154 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4017 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call34689formal.ret.0)) (?v_4020 (= alloc.18 alloc.11)) (?v_4025 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4143 (= k.145 k.17)) (?v_4031 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4035 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest)) (?v_4036 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 call34635formal.new.0)) (?v_4043 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest)) (?v_4049 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4050 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0)) (?v_4061 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2)) (?v_4065 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call34689formal.ret.0)) (?v_4069 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16860formal.new.0)) (?v_4112 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call34635formal.new.0)) (?v_4114 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4118 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4120 (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) ?v_4010))) (let ((?v_4141 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4127 ?v_4120))))))) (let ((?v_4144 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_4112 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_4114 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_4118 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> (= errorReached.134 errorReached.21) ?v_4141)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4142 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4023 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34809formal.ret.0)) (?v_4033 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34809formal.ret.0)) (?v_4040 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 call34809formal.ret.0)) (?v_4140 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.13)) (?v_4062 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call34809formal.ret.0)) (?v_4070 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call34809formal.ret.0)) (?v_4126 (- 0 1073741670)) (?v_4139 (= call34809formal.ret.0 0)) (?v_4012 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4021 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call34879formal.ret.0)) (?v_4026 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_4028 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_4029 (= k.145 k.19)) (?v_4038 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4044 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_4115 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0)) (?v_4117 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call34879formal.ret.0)) (?v_4119 (= errorReached.134 errorReached.22))) (let ((?v_4129 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_4117 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_4118 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_4119 ?v_4141))))))))))))))))))))))))))))))))) (?v_4128 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4016 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call34999formal.ret.0)) (?v_4034 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 call34999formal.ret.0)) (?v_4041 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 call34999formal.ret.0)) (?v_4058 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 call34999formal.ret.0)) (?v_4116 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call34999formal.ret.0)) (?v_4125 (= call34999formal.ret.0 0)) (?v_4111 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4013 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0)) (?v_4018 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0)) (?v_4019 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_4027 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 call35135formal.ret.0)) (?v_4039 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_4052 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16)) (?v_4055 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 call35135formal.ret.0)) (?v_4057 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_4063 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 call35135formal.ret.0)) (?v_4066 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 call35135formal.ret.0))) (let ((?v_4071 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_4112 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_4114 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4115 (=> ?v_1450 (=> ?v_4116 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_4117 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_4118 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_4119 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0) ?v_4120)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4072 (not (= call35174formal.ret.0 myNondetVar_1.0))) (?v_4011 (not (= call35135formal.ret.0 myNondetVar_1.0))) (?v_3847 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest)) (?v_3857 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2)) (?v_3864 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3866 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 call35371formal.ret.0)) (?v_3868 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3869 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_3873 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call35371formal.ret.0)) (?v_3877 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)) (?v_3895 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_3845 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest)) (?v_3851 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3852 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 call35507formal.ret.0)) (?v_3854 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest)) (?v_3859 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3870 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2)) (?v_3875 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call35507formal.ret.0)) (?v_3886 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> (= errorReached.134 errorReached.19) ?v_1482)))))))))))))))))))))))))))))) (let ((?v_3888 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_3877 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 ?v_3886))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3887 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3844 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 call35625formal.ret.0)) (?v_3848 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 call35625formal.ret.0)) (?v_3849 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call35625formal.ret.0)) (?v_3861 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call35625formal.ret.0)) (?v_3876 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call35625formal.ret.0)) (?v_3884 (= call35625formal.ret.0 0)) (?v_3846 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 call35728formal.ret.0)) (?v_3850 (= alloc.18 alloc.10)) (?v_3853 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16860formal.new.0)) (?v_3855 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3856 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3858 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 call35685formal.new.0)) (?v_3860 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3862 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call35685formal.new.0)) (?v_3863 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3865 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.11)) (?v_3867 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3871 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3872 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_3874 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 call35728formal.ret.0)) (?v_3879 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3886)))))))))))))))) (?v_3843 (<= 0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1526 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1527 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1528 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1529 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1530 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0)) (?v_1531 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1532 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1533 (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.5)) (?v_1534 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1)) (?v_1535 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0)) (?v_1536 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0)) (?v_1537 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1)) (?v_1538 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1539 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1)) (?v_1540 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1541 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1542 (= inline.AcquireDpcLock.5.myNondetVar_0.5 inline.AcquireDpcLock.5.myNondetVar_0.4)) (?v_1543 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1)) (?v_1544 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1545 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1546 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1547 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6)) (?v_1548 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1549 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1550 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1551 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1)) (?v_1552 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1)) (?v_1553 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1554 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1555 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1556 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1557 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1558 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0.1)) (?v_1559 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0)) (?v_1560 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1561 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1562 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1563 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1564 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0.4)) (?v_1565 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1566 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1567 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1568 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1569 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1570 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0)) (?v_1571 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1572 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1573 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0.3)) (?v_1574 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1)) (?v_1575 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1576 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1577 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1578 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1579 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1580 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_1581 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1582 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0)) (?v_1583 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_1584 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4)) (?v_1585 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0.5)) (?v_1586 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_1587 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_1588 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0)) (?v_1589 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0)) (?v_1590 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0)) (?v_1591 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1592 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1593 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1594 (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1595 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0)) (?v_1596 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_1597 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1598 (= reqCompleted_0.11 reqCompleted_0.10)) (?v_1599 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1600 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1601 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1)) (?v_1602 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1603 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1604 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0)) (?v_1605 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1606 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_1607 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_1608 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1609 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1610 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1611 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1612 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2)) (?v_1613 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0)) (?v_1614 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1)) (?v_1615 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1616 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1617 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15)) (?v_1618 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1619 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1620 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1621 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0.4)) (?v_1622 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1623 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1624 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_1625 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1626 (= alloc.18 alloc.17)) (?v_1627 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0)) (?v_1628 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1629 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_1630 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1)) (?v_1631 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1632 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1633 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0)) (?v_1634 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1635 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0)) (?v_1636 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_1637 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1638 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1639 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1640 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1641 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0)) (?v_1642 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1)) (?v_1643 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1644 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0)) (?v_1645 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1646 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1647 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2)) (?v_1648 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1649 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1650 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0)) (?v_1651 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_1652 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1653 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1654 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1655 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1656 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1657 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1658 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0)) (?v_1659 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4)) (?v_1660 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1)) (?v_1661 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1)) (?v_1662 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1)) (?v_1663 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1664 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1)) (?v_1665 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1666 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1667 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_1668 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1669 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1670 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0)) (?v_1671 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2)) (?v_1672 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1673 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1674 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0)) (?v_1675 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue)) (?v_1676 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2)) (?v_1677 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1678 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1679 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1680 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0)) (?v_1681 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0)) (?v_1682 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1683 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6)) (?v_1684 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_1685 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3)) (?v_1686 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1687 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0.21)) (?v_1688 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2)) (?v_1689 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1690 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_1691 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1)) (?v_1692 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1)) (?v_1693 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1694 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3)) (?v_1695 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1)) (?v_1696 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1697 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1698 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_1699 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0)) (?v_1700 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1701 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1702 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0)) (?v_1703 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0)) (?v_1704 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1705 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1706 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3)) (?v_1707 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1708 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1709 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0)) (?v_1710 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1711 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0)) (?v_1712 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_1713 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2)) (?v_1714 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1715 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1716 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1717 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1718 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3)) (?v_1719 (= k.145 k.144)) (?v_1720 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1721 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1722 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2)) (?v_1723 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_1724 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0)) (?v_1725 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1726 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0.4)) (?v_1727 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1728 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1729 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_1730 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0)) (?v_1731 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1732 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1)) (?v_1733 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1734 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1735 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1736 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1737 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1738 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1)) (?v_1739 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1740 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1741 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1742 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_1743 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1744 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1745 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0)) (?v_1746 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1747 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1)) (?v_1748 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_1749 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0)) (?v_1750 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1751 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1)) (?v_1752 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1753 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1754 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1755 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0)) (?v_1756 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1)) (?v_1757 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0)) (?v_1758 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0)) (?v_1759 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1)) (?v_1760 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0)) (?v_1761 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1762 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0)) (?v_1763 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1764 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1765 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0)) (?v_1766 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1767 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1768 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1769 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1)) (?v_1770 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0)) (?v_1771 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1)) (?v_1772 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1773 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1774 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1775 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1776 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1777 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1778 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_1779 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2)) (?v_1780 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0)) (?v_1781 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1782 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1783 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_1784 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0)) (?v_1785 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_1786 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1)) (?v_1787 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0)) (?v_1788 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0)) (?v_1789 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_1790 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1)) (?v_1791 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0)) (?v_1792 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1793 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1)) (?v_1794 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_1795 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0)) (?v_1796 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2)) (?v_1797 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0)) (?v_1798 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_1799 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1800 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0)) (?v_1801 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0)) (?v_1802 (= inline.ReleaseDpcLock.3.myNondetVar_0.5 inline.ReleaseDpcLock.3.myNondetVar_0.4)) (?v_1803 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1804 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1)) (?v_1805 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1806 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 inline.ReleaseDpcLock.5.myNondetVar_0.4)) (?v_1807 (= inline.AcquireDpcLock.6.myNondetVar_0.5 inline.AcquireDpcLock.6.myNondetVar_0.4)) (?v_1808 (= reqCompleted_1.11 reqCompleted_1.10)) (?v_1809 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0.3)) (?v_1810 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0)) (?v_1811 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1812 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1813 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1814 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1815 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1)) (?v_1816 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1817 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_1818 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0)) (?v_1819 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2)) (?v_1820 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0)) (?v_1821 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_1822 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1823 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1824 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1825 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0)) (?v_1826 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1827 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_1828 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1829 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1830 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_1831 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1832 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_1833 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2)) (?v_1834 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0)) (?v_1835 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1836 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0)) (?v_1837 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1838 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2)) (?v_1839 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1840 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1841 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_1842 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1843 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0.5)) (?v_1844 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1845 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0)) (?v_1846 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1847 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1848 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1849 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1850 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1851 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0)) (?v_1852 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1853 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1)) (?v_1854 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1855 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue)) (?v_1856 (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.5)) (?v_1857 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1858 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1859 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1860 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1861 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_1862 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1)) (?v_1863 (= inline.ReleaseDpcLock.0.myNondetVar_0.5 inline.ReleaseDpcLock.0.myNondetVar_0.4)) (?v_1864 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1865 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1866 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3)) (?v_1867 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0)) (?v_1868 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1869 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0)) (?v_1870 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1871 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1872 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest)) (?v_1873 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2)) (?v_1874 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1875 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0)) (?v_1876 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_1877 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1878 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1879 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1880 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1)) (?v_1881 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1882 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0)) (?v_1883 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1884 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2)) (?v_1885 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2)) (?v_1886 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1)) (?v_1887 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1888 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_1889 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1890 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1)) (?v_1891 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1892 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1893 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1894 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0)) (?v_1895 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3)) (?v_1896 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1)) (?v_1897 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0)) (?v_1898 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1899 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0)) (?v_1900 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1)) (?v_1901 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1902 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1)) (?v_1903 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1904 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1905 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest)) (?v_1906 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1)) (?v_1907 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1)) (?v_1908 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_1909 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0)) (?v_1910 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0)) (?v_1911 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1912 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_1913 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1914 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1915 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1916 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_1917 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1918 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1919 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1920 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0)) (?v_1921 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_1922 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0)) (?v_1923 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1924 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1925 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1926 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1927 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1928 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1)) (?v_1929 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0)) (?v_1930 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1931 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1932 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1933 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1934 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1)) (?v_1935 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1936 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1)) (?v_1937 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1938 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1939 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1940 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2)) (?v_1941 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1942 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0)) (?v_1943 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2)) (?v_1944 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1945 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1)) (?v_1946 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2)) (?v_1947 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.17)) (?v_1948 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_1949 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_1950 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2)) (?v_1951 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1952 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1953 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1954 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1955 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1)) (?v_1956 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0)) (?v_1957 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_1958 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1959 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1960 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1)) (?v_1961 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1962 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2)) (?v_1963 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1964 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1965 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1966 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1967 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1968 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1)) (?v_1969 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1970 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1971 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1972 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1973 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1)) (?v_1974 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0)) (?v_1975 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1976 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0)) (?v_1977 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1978 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1979 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1980 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_1981 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_1982 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0)) (?v_1983 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1984 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1985 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0)) (?v_1986 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1)) (?v_1987 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0)) (?v_1988 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0)) (?v_1989 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1990 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0)) (?v_1991 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0)) (?v_1992 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3)) (?v_1993 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1994 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1)) (?v_1995 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1996 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_1997 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2)) (?v_1998 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2)) (?v_1999 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2000 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 inline.ReleaseDpcLock.2.myNondetVar_0.4)) (?v_2001 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2002 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0)) (?v_2003 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0)) (?v_2004 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0)) (?v_2005 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_2006 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2007 (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0.1)) (?v_2008 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1)) (?v_2009 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2010 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0)) (?v_2011 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1)) (?v_2012 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0)) (?v_2013 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1)) (?v_2014 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2015 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2)) (?v_2016 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2017 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_2018 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3)) (?v_2019 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_2020 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1)) (?v_2021 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0)) (?v_2022 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2023 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0)) (?v_2024 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2025 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_2026 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2027 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_2028 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0)) (?v_2029 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2)) (?v_2030 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_2031 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_2032 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2033 (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0.4)) (?v_2034 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2035 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_2036 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0.4)) (?v_2037 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2038 (= lockStatus_0.42 lockStatus_0.41)) (?v_2039 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2)) (?v_2040 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1)) (?v_2041 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0)) (?v_2042 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0)) (?v_2043 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_2044 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0)) (?v_2045 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_2046 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0.3)) (?v_2047 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0)) (?v_2048 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_2049 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0.4)) (?v_2050 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2051 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2052 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_2053 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2054 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_2055 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1)) (?v_2056 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2057 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0)) (?v_2058 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_2059 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_2060 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0)) (?v_2061 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1)) (?v_2062 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0)) (?v_2063 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1)) (?v_2064 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_2065 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1)) (?v_2066 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1)) (?v_2067 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0.21)) (?v_2068 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0)) (?v_2069 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_2070 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_2071 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1)) (?v_2072 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0)) (?v_2073 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_2074 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2)) (?v_2075 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_2076 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1)) (?v_2077 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_2078 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3)) (?v_2079 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0)) (?v_2080 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_2081 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_2082 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2083 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_2084 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0)) (?v_2085 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_2086 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1)) (?v_2087 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2088 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_2089 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0.16)) (?v_2090 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_2091 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0)) (?v_2092 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_2093 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1)) (?v_2094 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2095 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.2) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1) (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2) (=> (= reqCancelSet_1.17 reqCancelSet_1.16) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1) (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest) (=> (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0.4) (=> (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0) (=> (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0.4) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1) (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0) (=> (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2) (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2) (=> (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0.5) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0) (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0) (=> (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3) (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1) (=> (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0) (=> (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0.5) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2) (=> (= reqCancelSet_0.17 reqCancelSet_0.16) (=> (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> (= lockStatus_1.42 lockStatus_1.41) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.5 inline.AcquireDpcLock.2.myNondetVar_0.4) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.5 inline.AcquireDpcLock.3.myNondetVar_0.4) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1) (=> (= errorReached.134 errorReached.133) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2) (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1) (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) ?v_1524)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1525 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_2912 (and (=> true (=> (not ?v_1525) (=> true (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_688 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15) ?v_2095)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1525 (=> true (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1025 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 0) ?v_2095)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3266 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_2938 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2939 (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2940 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_2941 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2942 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2943 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2944 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2945 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_2946 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2947 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2948 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2949 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2950 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2951 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2952 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2953 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_2954 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_2955 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_2956 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_2957 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_2958 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0)) (?v_2959 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2961 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2962 (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_2963 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_2964 (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0)) (?v_2965 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_2966 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2967 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2968 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3267 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_2969 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2970 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_2971 (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0)) (?v_2972 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_2974 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_2975 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2976 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2977 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2978 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2979 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3268 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_2980 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2981 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_2982 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2983 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2984 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_2986 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2987 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2988 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_2989 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2990 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2991 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_2992 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2993 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2994 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_2995 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2996 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2997 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2998 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_2999 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3000 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3001 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3002 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3003 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3004 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_3005 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3006 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3007 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_3269 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3008 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_3009 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_3010 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3011 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3012 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3013 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3014 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3015 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3016 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3017 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3018 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3019 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_3020 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_3021 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3022 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3270 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3023 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3024 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3025 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_3026 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_3027 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3028 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_3029 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3030 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3031 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_3032 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_3033 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_3034 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3035 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3036 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3037 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3038 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_3039 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3041 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3042 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3043 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3044 (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0)) (?v_3045 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_3046 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3047 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3048 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3049 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3050 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3051 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3052 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3053 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3055 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_3056 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3057 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_3058 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3059 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3060 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3061 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_3062 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3063 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3064 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0)) (?v_3065 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3066 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3067 (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0)) (?v_3068 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3069 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3070 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_3072 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3073 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3074 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3075 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3076 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_3077 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3078 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3079 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3271 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3080 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_3081 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3082 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3083 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3084 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3085 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_3086 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3087 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_3088 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3089 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3090 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_3091 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3092 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_3093 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3094 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0)) (?v_3095 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_3096 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3097 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3098 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3099 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3272 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3100 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3101 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3102 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3103 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3104 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3105 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3106 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3107 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_3108 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_3109 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3110 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_3111 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3112 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3113 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3114 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_3115 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3116 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3117 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3118 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3119 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3120 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3121 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3122 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3273 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3123 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3124 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_3125 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3126 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3127 (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_3128 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3129 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3131 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3132 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3133 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3134 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3135 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3136 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3137 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3138 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_3139 (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0)) (?v_3140 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3141 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3143 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3144 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3145 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3146 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_3147 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3148 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3149 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3150 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3151 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3152 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3274 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_3153 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3154 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3155 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_3156 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3157 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_3158 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3159 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3160 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_3161 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3162 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3163 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3164 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_3165 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3166 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3167 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3168 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_3169 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3170 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3171 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3172 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3173 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3275 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3175 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3176 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3177 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3276 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_3178 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_3179 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3180 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3181 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3182 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3183 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3184 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3185 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_3186 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3187 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3188 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3189 (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0)) (?v_3190 (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3191 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3192 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3193 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3194 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_3195 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_3196 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3197 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3198 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_3199 (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0)) (?v_3200 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3201 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3202 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_3204 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3205 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3206 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3207 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3208 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3209 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_3210 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_3211 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3212 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3213 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3277 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3214 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3215 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3217 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_3218 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_3219 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3220 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3221 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3222 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3223 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_3278 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_3279 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3224 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3225 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3227 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3228 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3229 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3230 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3231 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3232 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_3233 (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_3234 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3235 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.))) (let ((?v_3280 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> true (=> true (=> true (=> true (=> true ?v_2912))))))))) (let ((?v_3292 (=> true (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3266 (=> ?v_2938 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_2939 (=> (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0.4) (=> ?v_2940 (=> ?v_2941 (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_2942 (=> ?v_2943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2944 (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2945 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_2946 (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_2947 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0) (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2966 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2967 (=> ?v_2968 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> ?v_3267 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2969 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2970 (=> ?v_2971 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2972 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= alloc.17 alloc.15) (=> ?v_2974 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1) (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2978 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_2979 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3268 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> ?v_2980 (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2986 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> ?v_2997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> ?v_2998 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2) (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2999 (=> ?v_3000 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_3001 (=> ?v_3002 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3006 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3007 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_3269 (=> ?v_3008 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1) (=> ?v_3009 (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call32005formal.new.0) (=> ?v_3010 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3011 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3012 (=> ?v_3013 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_3017 (=> ?v_3018 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> ?v_3019 (=> ?v_3020 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3021 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> ?v_3022 (=> ?v_3270 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3026 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= reqCancelSet_0.16 reqCancelSet_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3027 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0.3) (=> ?v_3038 (=> ?v_3039 (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.3) (=> (= reqCompleted_1.10 reqCompleted_1.5) (=> ?v_3041 (=> ?v_3042 (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3043 (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_3044 (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> ?v_3045 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3046 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> ?v_3055 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_3056 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3057 (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0.15) (=> ?v_3058 (=> ?v_3059 (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0.4) (=> ?v_3060 (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> ?v_3061 (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> ?v_3062 (=> ?v_3063 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_3064 (=> ?v_3065 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3069 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_3070 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_3075 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> ?v_3076 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_3077 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3078 (=> ?v_3079 (=> ?v_3271 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.3) (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3086 (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3087 (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> ?v_3088 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_3092 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3093 (=> ?v_3094 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3095 (=> (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3272 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1) (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2) (=> ?v_3105 (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3109 (=> ?v_3110 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3111 (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_3120 (=> ?v_3121 (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0) (=> ?v_3122 (=> ?v_3273 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3123 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3124 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1) (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3128 (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3129 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= k.144 k.107) (=> ?v_3131 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3132 (=> ?v_3133 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> ?v_3137 (=> ?v_3138 (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_3139 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3140 (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> ?v_3141 (=> (= lockStatus_0.41 lockStatus_0.24) (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3146 (=> ?v_3147 (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> ?v_3148 (=> ?v_3149 (=> (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3274 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_3156 (=> ?v_3157 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_3158 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3159 (=> (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1) (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_3163 (=> ?v_3164 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0.3) (=> ?v_3165 (=> ?v_3166 (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_3167 (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.3) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> ?v_3275 (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_0.10 reqCompleted_0.5) (=> ?v_3175 (=> ?v_3176 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_3177 (=> ?v_3276 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3178 (=> ?v_3179 (=> (= reqCancelSet_1.16 reqCancelSet_1.11) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_3184 (=> ?v_3185 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> ?v_3186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3187 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3198 (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3199 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call27744formal.ret.0) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3200 (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_3201 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_3202 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5) (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> ?v_3210 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_3211 (=> ?v_3212 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> ?v_3213 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3277 (=> ?v_3214 (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0) (=> ?v_3215 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3217 (=> (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1) (=> ?v_3218 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3219 (=> ?v_3220 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2) (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0.4) (=> ?v_3278 (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> ?v_3279 (=> ?v_3224 (=> ?v_3225 (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0) (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> (= errorReached.133 errorReached.101) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0.4) ?v_3280)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3264 (= k.107 0)) (?v_3265 (= k.107 1))) (let ((?v_3285 (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call32734formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myVar_0.2) ?v_3292))))))))) (?v_3284 (= inline.AcquireDpcLock.6.myVar_0.2 hlock))) (let ((?v_3281 (=> true (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= lockStatus_0.23 lockStatus_0.22) ?v_3285)))) (?v_3282 (= lockStatus_1.22 lockStatus_1.21))) (let ((?v_3283 (=> (= lockStatus_0.22 lockStatus_0.21) (=> true ?v_3281))) (?v_3289 (not ?v_3265)) (?v_3286 (not ?v_3264))) (let ((?v_3288 (and (=> true (=> ?v_3284 (=> true (=> (=> ?v_3264 (= lockStatus_0.21 0)) (=> (=> ?v_3265 (= lockStatus_1.21 0)) (and (=> true (=> ?v_3264 (=> true (=> ?v_3282 (=> (= lockStatus_0.22 1) ?v_3281))))) (=> true (=> ?v_3286 (and (=> true (=> ?v_3265 (=> true (=> (= lockStatus_1.22 1) ?v_3283)))) (=> true (=> ?v_3289 (=> true (=> ?v_3282 ?v_3283))))))))))))) (=> true (=> (not ?v_3284) (=> true (=> (= lockStatus_1.23 lockStatus_1.21) (=> (= lockStatus_0.23 lockStatus_0.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3285)))))))))))))) (let ((?v_3290 (=> true (=> true (=> true (=> true ?v_3288))))) (?v_3287 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3291 (and (=> true (=> ?v_3264 (=> (= inline.AcquireDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3287))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.0) ?v_3288))))) (=> true (=> ?v_3286 (and (=> true (=> ?v_3265 (=> (= inline.AcquireDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3287))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.1) ?v_3290))))) (=> true (=> ?v_3289 (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0) ?v_3290)))))))))) (let ((?v_3297 (and (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.0) ?v_3291)))) (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3264 ?v_277) (=> (=> ?v_3265 ?v_278) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.2 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> true ?v_3291)))))) (=> true (=> (=> ?v_3264 ?v_377) (=> (=> ?v_3265 ?v_379) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= lockStatus_0.24 lockStatus_0.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3292)))))))))))))))))))))))) (let ((?v_3300 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3297)))))))))) (?v_3299 (= errorReached.101 errorReached.99)) (?v_3302 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hdevice)) (?v_3301 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hqueue)) (?v_3298 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 htimer)) (?v_3296 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hrequest)) (?v_3295 (=> true (=> (= errorReached.101 errorReached.100) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3297)))) (?v_3293 (= reqCompleted_0.5 0)) (?v_3294 (= reqCompleted_1.5 0))) (let ((?v_3257 (not ?v_3293)) (?v_3258 (not ?v_3294))) (let ((?v_3304 (and (=> true (=> ?v_3296 (and (=> true (=> (=> ?v_3264 ?v_3257) (=> (=> ?v_3265 ?v_3258) (=> true (=> (= errorReached.100 1) ?v_3295))))) (=> true (=> (=> ?v_3264 ?v_3293) (=> (=> ?v_3265 ?v_3294) (=> true (=> (= errorReached.100 errorReached.99) (=> true ?v_3295))))))))) (=> true (=> (not ?v_3296) (and (=> true (=> ?v_3298 (=> true (=> ?v_3299 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3300))))) (=> true (=> (not ?v_3298) (and (=> true (=> ?v_3301 (=> true (=> ?v_3299 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3300))))) (=> true (=> (not ?v_3301) (and (=> true (=> ?v_3302 (=> true (=> ?v_3299 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3300))))) (=> true (=> (not ?v_3302) (=> true (=> ?v_3299 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3300))))))))))))))))) (let ((?v_3305 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3304)))))))))))) (?v_3303 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3320 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3303))) (?v_3255 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3303)))) (let ((?v_3309 (=> true (=> (<= k.106 k.107) (=> (< k.107 2) (and (=> true (=> ?v_3264 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.18) ?v_3304))))) (=> true (=> ?v_3286 (and (=> true (=> ?v_3265 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.19) ?v_3305))))) (=> true (=> ?v_3289 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) ?v_3305)))))))))))) (?v_3306 (= k.106 0)) (?v_3307 (= k.106 1))) (let ((?v_3308 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call32327formal.ret.0) ?v_3309)))) (let ((?v_3314 (and (=> true (=> (=> ?v_3306 ?v_37) (=> (=> ?v_3307 ?v_38) ?v_3308))) (=> true (=> (=> ?v_3306 ?v_613) (=> (=> ?v_3307 ?v_614) (and (=> true (=> (=> ?v_3306 ?v_528) (=> (=> ?v_3307 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3308)))))))))))) (=> true (=> (=> ?v_3306 ?v_616) (=> (=> ?v_3307 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3309)))))))))))))))) (let ((?v_3316 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.) (=> (= errorReached.99 errorReached.97) (=> (= k.106 k.104) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3314))))))))))))) (?v_3318 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hdevice)) (?v_3317 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hqueue)) (?v_3315 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 htimer)) (?v_3313 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hrequest)) (?v_3312 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call32130formal.ret.0) (=> (= errorReached.99 errorReached.98) (=> (= k.106 k.105) ?v_3314)))))) (?v_3310 (= k.105 0)) (?v_3311 (= k.105 1))) (let ((?v_3321 (and (=> true (=> ?v_3313 (=> true (=> (<= k.104 k.105) (=> (< k.105 2) (and (=> true (=> (=> ?v_3310 ?v_3257) (=> (=> ?v_3311 ?v_3258) (=> true (=> (= errorReached.98 1) ?v_3312))))) (=> true (=> (=> ?v_3310 ?v_3293) (=> (=> ?v_3311 ?v_3294) (=> true (=> (= errorReached.98 errorReached.97) (=> true ?v_3312)))))))))))) (=> true (=> (not ?v_3313) (and (=> true (=> ?v_3315 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3316)))) (=> true (=> (not ?v_3315) (and (=> true (=> ?v_3317 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3316)))) (=> true (=> (not ?v_3317) (and (=> true (=> ?v_3318 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3316)))) (=> true (=> (not ?v_3318) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3316)))))))))))))))) (let ((?v_3322 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3321)))))))))))) (?v_3319 (= k.104 1)) (?v_3263 (= k.104 0)) (?v_1501 (>= 1 0)) (?v_3262 (int_2_U call32005formal.new.0))) (let ((?v_3323 (=> true (and ?v_1501 (=> ?v_1501 (=> (> call32005formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call32005formal.new.0 ?x357) (< ?x357 (+ call32005formal.new.0 1))) (= (Base ?x357) call32005formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call32005formal.new.0) (= (MapType0Select alloc.13 ?x358) (MapType0Select alloc.15 ?x358)))) :pattern ((MapType0Select alloc.15 ?x358)) )) (=> (and (= (MapType0Select alloc.13 ?v_3262) UNALLOCATED) (= (MapType0Select alloc.15 ?v_3262) ALLOCATED)) (and (=> true (=> ?v_3263 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.15) ?v_3321))))) (=> true (=> (not ?v_3263) (and (=> true (=> ?v_3319 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.16) ?v_3322))))) (=> true (=> (not ?v_3319) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) ?v_3322))))))))))))))))) (let ((?v_3324 (=> true (=> true (=> true ?v_3323))))) (let ((?v_3329 (and (=> true (=> (=> ?v_3263 ?v_37) (=> (=> ?v_3319 ?v_38) ?v_3323))) (=> true (=> (=> ?v_3263 ?v_613) (=> (=> ?v_3319 ?v_614) (and (=> true (=> (=> ?v_3263 ?v_528) (=> (=> ?v_3319 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3324)))))))))))) (=> true (=> (=> ?v_3263 ?v_616) (=> (=> ?v_3319 ?v_617) ?v_3324))))))))) (?v_3331 (= errorReached.97 errorReached.95))) (let ((?v_3332 (=> (= k.104 k.102) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3329)))))))))))) (?v_3334 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hdevice)) (?v_3333 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hqueue)) (?v_3330 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 htimer)) (?v_3328 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hrequest)) (?v_3327 (=> true (=> (= errorReached.97 errorReached.96) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.104 k.103) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call31803formal.ret.0) ?v_3329)))))) (?v_3325 (= k.103 0)) (?v_3326 (= k.103 1))) (let ((?v_3336 (and (=> true (=> ?v_3328 (=> true (=> (<= k.102 k.103) (=> (< k.103 2) (and (=> true (=> (=> ?v_3325 ?v_3257) (=> (=> ?v_3326 ?v_3258) (=> true (=> (= errorReached.96 1) ?v_3327))))) (=> true (=> (=> ?v_3325 ?v_3293) (=> (=> ?v_3326 ?v_3294) (=> true (=> (= errorReached.96 errorReached.95) (=> true ?v_3327)))))))))))) (=> true (=> (not ?v_3328) (and (=> true (=> ?v_3330 (=> true (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3332))))) (=> true (=> (not ?v_3330) (and (=> true (=> ?v_3333 (=> true (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3332))))) (=> true (=> (not ?v_3333) (and (=> true (=> ?v_3334 (=> true (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3332))))) (=> true (=> (not ?v_3334) (=> true (=> ?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3332))))))))))))))))) (let ((?v_3338 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3336)))))))))))) (?v_3337 (= k.102 1)) (?v_3335 (= k.102 0))) (let ((?v_3353 (=> true (=> (<= k.101 k.102) (=> (< k.102 2) (and (=> true (=> ?v_3335 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.13) ?v_3336))))) (=> true (=> (not ?v_3335) (and (=> true (=> ?v_3337 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.12) ?v_3338))))) (=> true (=> (not ?v_3337) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) ?v_3338)))))))))))) (?v_3351 (= k.99 0)) (?v_3352 (= k.99 1))) (let ((?v_3344 (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.2) (=> (= k.101 k.100) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0.2) ?v_3353))))))))) (?v_3343 (= inline.ReleaseDpcLock.5.myVar_0.2 hlock))) (let ((?v_3339 (=> true (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= lockStatus_0.20 lockStatus_0.19) ?v_3344)))) (?v_3341 (= lockStatus_1.19 lockStatus_1.18))) (let ((?v_3342 (=> (= lockStatus_0.19 lockStatus_0.18) (=> true ?v_3339))) (?v_3340 (= k.100 1))) (let ((?v_3348 (not ?v_3340)) (?v_3261 (= k.100 0))) (let ((?v_3345 (not ?v_3261))) (let ((?v_3347 (and (=> true (=> ?v_3343 (and (=> true (=> ?v_3261 (=> true (=> ?v_3341 (=> (= lockStatus_0.19 0) ?v_3339))))) (=> true (=> ?v_3345 (and (=> true (=> ?v_3340 (=> true (=> (= lockStatus_1.19 0) ?v_3342)))) (=> true (=> ?v_3348 (=> true (=> ?v_3341 ?v_3342)))))))))) (=> true (=> (not ?v_3343) (=> true (=> (= lockStatus_1.20 lockStatus_1.18) (=> (= lockStatus_0.20 lockStatus_0.18) (=> true (=> true (=> true ?v_3344))))))))))) (let ((?v_3349 (=> true (=> true (=> true (=> true ?v_3347))))) (?v_3346 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3350 (=> true (=> (<= k.99 k.100) (=> (< k.100 2) (and (=> true (=> ?v_3261 (=> (= inline.ReleaseDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3346))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.0) ?v_3347))))) (=> true (=> ?v_3345 (and (=> true (=> ?v_3340 (=> (= inline.ReleaseDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3346))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.1) ?v_3349))))) (=> true (=> ?v_3348 (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0) ?v_3349))))))))))))) (let ((?v_3358 (and (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.0) ?v_3350)))) (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3351 ?v_277) (=> (=> ?v_3352 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.2 inline.ReleaseDpcLock.5.myNondetVar_0.1) (=> true (=> true ?v_3350))))))) (=> true (=> (=> ?v_3351 ?v_377) (=> (=> ?v_3352 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.3 inline.ReleaseDpcLock.5.myNondetVar_0.1) (=> (= k.101 k.99) (=> (= lockStatus_1.21 lockStatus_1.18) (=> (= lockStatus_0.21 lockStatus_0.18) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0) (=> true (=> true (=> true ?v_3353))))))))))))))))))) (?v_3360 (= errorReached.95 errorReached.93))) (let ((?v_3361 (=> (= k.99 k.97) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3358)))))))))))) (?v_3363 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hdevice)) (?v_3362 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hqueue)) (?v_3359 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 htimer)) (?v_3357 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hrequest)) (?v_3356 (=> true (=> (= errorReached.95 errorReached.94) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.99 k.98) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 call31375formal.ret.0) ?v_3358)))))) (?v_3354 (= k.98 0)) (?v_3355 (= k.98 1))) (let ((?v_3365 (and (=> true (=> ?v_3357 (=> true (=> (<= k.97 k.98) (=> (< k.98 2) (and (=> true (=> (=> ?v_3354 ?v_3257) (=> (=> ?v_3355 ?v_3258) (=> true (=> (= errorReached.94 1) ?v_3356))))) (=> true (=> (=> ?v_3354 ?v_3293) (=> (=> ?v_3355 ?v_3294) (=> true (=> (= errorReached.94 errorReached.93) (=> true ?v_3356)))))))))))) (=> true (=> (not ?v_3357) (and (=> true (=> ?v_3359 (=> true (=> ?v_3360 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3361))))) (=> true (=> (not ?v_3359) (and (=> true (=> ?v_3362 (=> true (=> ?v_3360 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3361))))) (=> true (=> (not ?v_3362) (and (=> true (=> ?v_3363 (=> true (=> ?v_3360 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3361))))) (=> true (=> (not ?v_3363) (=> true (=> ?v_3360 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3361))))))))))))))))) (let ((?v_3367 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3365)))))))))))) (?v_3366 (= k.97 1)) (?v_3364 (= k.97 0))) (let ((?v_3379 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> ?v_3364 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.10) ?v_3365))))) (=> true (=> (not ?v_3364) (and (=> true (=> ?v_3366 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.9) ?v_3367))))) (=> true (=> (not ?v_3366) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) ?v_3367)))))))))))) (?v_3375 (= k.94 0)) (?v_3260 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3376 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3260)) hrequest)) (?v_3377 (= k.94 1)) (?v_3378 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3260)) hrequest)) (?v_3370 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= k.96 k.95) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_3379)))))) (let ((?v_3374 (=> true ?v_3370)) (?v_3372 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3373 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3371 (= k.95 1)) (?v_3369 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2179 (int_2_U 1)) (?v_3368 (= k.95 0))) (let ((?v_3391 (and (=> true (=> (=> ?v_3375 ?v_3376) (=> (=> ?v_3377 ?v_3378) (=> true (=> (<= k.94 k.95) (=> (< k.95 2) (and (=> true (=> ?v_3368 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3369 ?v_2179)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) (=> ?v_3373 ?v_3370)))))) (=> true (=> (not ?v_3368) (and (=> true (=> ?v_3371 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3369 ?v_2179)) (=> true (=> ?v_3372 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_3374)))))) (=> true (=> (not ?v_3371) (=> true (=> ?v_3372 (=> ?v_3373 ?v_3374))))))))))))))) (=> true (=> (=> ?v_3375 (not ?v_3376)) (=> (=> ?v_3377 (not ?v_3378)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> (= k.96 k.94) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_3379))))))))) (?v_3256 (= k.91 0)) (?v_3386 (= k.91 1))) (let ((?v_3385 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= k.94 k.93) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call31205formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_1.18 lockStatus_1.17) ?v_3391))))))))))) (?v_3384 (= inline.AcquireDpcLock.5.myVar_0.2 hlock))) (let ((?v_3381 (=> true (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call31153formal.ret.0) (=> (= k.93 k.92) (=> (= lockStatus_0.17 lockStatus_0.16) ?v_3385)))))) (?v_3382 (= lockStatus_1.16 lockStatus_1.15))) (let ((?v_3383 (=> (= lockStatus_0.16 lockStatus_0.15) (=> true ?v_3381))) (?v_3380 (= k.92 1)) (?v_3259 (= k.92 0))) (let ((?v_3388 (and (=> true (=> ?v_3384 (=> true (=> (<= k.91 k.92) (=> (< k.92 2) (=> true (=> (=> ?v_3259 (= lockStatus_0.15 0)) (=> (=> ?v_3380 (= lockStatus_1.15 0)) (and (=> true (=> ?v_3259 (=> true (=> ?v_3382 (=> (= lockStatus_0.16 1) ?v_3381))))) (=> true (=> (not ?v_3259) (and (=> true (=> ?v_3380 (=> true (=> (= lockStatus_1.16 1) ?v_3383)))) (=> true (=> (not ?v_3380) (=> true (=> ?v_3382 ?v_3383)))))))))))))))) (=> true (=> (not ?v_3384) (=> true (=> (= lockStatus_1.17 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= k.93 k.91) (=> (= lockStatus_0.17 lockStatus_0.15) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3385)))))))))))))))) (let ((?v_3389 (=> true (=> true (=> true (=> true ?v_3388))))) (?v_3402 (not ?v_3386)) (?v_3387 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3400 (not ?v_3256))) (let ((?v_3390 (and (=> true (=> ?v_3256 (=> (= inline.AcquireDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3387))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.0) ?v_3388))))) (=> true (=> ?v_3400 (and (=> true (=> ?v_3386 (=> (= inline.AcquireDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3387))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.1) ?v_3389))))) (=> true (=> ?v_3402 (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0) ?v_3389)))))))))) (let ((?v_3394 (and (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.1) ?v_3390)))) (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3256 ?v_277) (=> (=> ?v_3386 ?v_278) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.2 inline.AcquireDpcLock.5.myNondetVar_0.0) (=> true ?v_3390)))))) (=> true (=> (=> ?v_3256 ?v_377) (=> (=> ?v_3386 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_0.18 lockStatus_0.15) (=> (= k.94 k.91) (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.3 inline.AcquireDpcLock.5.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.18 lockStatus_1.15) (=> true (=> true (=> true (=> true ?v_3391))))))))))))))))))))))) (let ((?v_3397 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3394)))))))))) (?v_3396 (= errorReached.93 errorReached.91)) (?v_3399 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hdevice)) (?v_3398 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hqueue)) (?v_3395 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 htimer)) (?v_3393 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hrequest)) (?v_3392 (=> true (=> (= errorReached.93 errorReached.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3394))))) (let ((?v_3401 (and (=> true (=> ?v_3393 (and (=> true (=> (=> ?v_3256 ?v_3257) (=> (=> ?v_3386 ?v_3258) (=> true (=> (= errorReached.92 1) ?v_3392))))) (=> true (=> (=> ?v_3256 ?v_3293) (=> (=> ?v_3386 ?v_3294) (=> true (=> (= errorReached.92 errorReached.91) (=> true ?v_3392))))))))) (=> true (=> (not ?v_3393) (and (=> true (=> ?v_3395 (=> true (=> ?v_3396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3397))))) (=> true (=> (not ?v_3395) (and (=> true (=> ?v_3398 (=> true (=> ?v_3396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3397))))) (=> true (=> (not ?v_3398) (and (=> true (=> ?v_3399 (=> true (=> ?v_3396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3397))))) (=> true (=> (not ?v_3399) (=> true (=> ?v_3396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3397))))))))))))))))) (let ((?v_3403 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3401))))))))))))) (let ((?v_3407 (=> true (=> (<= k.90 k.91) (=> (< k.91 2) (and (=> true (=> ?v_3256 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.6) ?v_3401))))) (=> true (=> ?v_3400 (and (=> true (=> ?v_3386 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.7) ?v_3403))))) (=> true (=> ?v_3402 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3403)))))))))))) (?v_3404 (= k.90 0)) (?v_3405 (= k.90 1))) (let ((?v_3406 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call30796formal.ret.0) ?v_3407)))) (let ((?v_3412 (and (=> true (=> (=> ?v_3404 ?v_37) (=> (=> ?v_3405 ?v_38) ?v_3406))) (=> true (=> (=> ?v_3404 ?v_613) (=> (=> ?v_3405 ?v_614) (and (=> true (=> (=> ?v_3404 ?v_528) (=> (=> ?v_3405 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3406)))))))))))) (=> true (=> (=> ?v_3404 ?v_616) (=> (=> ?v_3405 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3407))))))))))))))) (?v_3414 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_3415 (= errorReached.91 errorReached.89))) (let ((?v_3416 (=> (= k.90 k.88) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3412))))))))))) (?v_3418 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hdevice)) (?v_3417 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hqueue)) (?v_3413 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 htimer)) (?v_3411 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hrequest)) (?v_3410 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call30599formal.ret.0) (=> (= errorReached.91 errorReached.90) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.90 k.89) ?v_3412)))))) (?v_3408 (= k.89 0)) (?v_3409 (= k.89 1))) (let ((?v_3420 (and (=> true (=> ?v_3411 (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (and (=> true (=> (=> ?v_3408 ?v_3257) (=> (=> ?v_3409 ?v_3258) (=> true (=> (= errorReached.90 1) ?v_3410))))) (=> true (=> (=> ?v_3408 ?v_3293) (=> (=> ?v_3409 ?v_3294) (=> true (=> (= errorReached.90 errorReached.89) (=> true ?v_3410)))))))))))) (=> true (=> (not ?v_3411) (and (=> true (=> ?v_3413 (=> true (=> ?v_3414 (=> ?v_3415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3416)))))) (=> true (=> (not ?v_3413) (and (=> true (=> ?v_3417 (=> true (=> ?v_3414 (=> ?v_3415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3416)))))) (=> true (=> (not ?v_3417) (and (=> true (=> ?v_3418 (=> true (=> ?v_3414 (=> ?v_3415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3416)))))) (=> true (=> (not ?v_3418) (=> true (=> ?v_3414 (=> ?v_3415 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3416)))))))))))))))))) (let ((?v_3422 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3420)))))))))))) (?v_3421 (= k.88 1)) (?v_3419 (= k.88 0))) (let ((?v_3595 (=> true (=> (<= k.87 k.88) (=> (< k.88 2) (and (=> true (=> ?v_3419 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 ?v_3255) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.4) ?v_3420))))) (=> true (=> (not ?v_3419) (and (=> true (=> ?v_3421 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 ?v_3320) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.3) ?v_3422))))) (=> true (=> (not ?v_3421) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) ?v_3422)))))))))))) (?v_3598 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3599 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3600 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3601 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_3602 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3603 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3604 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3605 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3606 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3607 (= reqCompleted_0.5 reqCompleted_0)) (?v_3608 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3609 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_3610 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3611 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3612 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3613 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3614 (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0)) (?v_3615 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3616 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3617 (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_3618 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_3619 (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0)) (?v_3620 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3621 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3622 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3623 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3624 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3625 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3626 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3627 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3628 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3629 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_3630 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3631 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3632 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3633 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_3634 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3635 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3636 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3637 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3638 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3639 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3640 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3641 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3642 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3643 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_3644 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3645 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3646 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3647 (= reqCompleted_1.5 reqCompleted_1)) (?v_3648 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3649 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3650 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3651 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3652 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3653 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3654 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3655 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_3656 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_3657 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3658 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3659 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3660 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3661 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3662 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3663 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3664 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_3665 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3666 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3667 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3668 (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3669 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3670 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3671 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_3672 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3673 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3674 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3675 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_3676 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3677 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3678 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3679 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3680 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3681 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_3682 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_3683 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3684 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3685 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3686 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3687 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3688 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_3689 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3690 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3691 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3692 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_3693 (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0)) (?v_3694 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3695 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_3696 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3697 (= lockStatus_1.15 lockStatus_1.5)) (?v_3698 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3699 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3700 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3701 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3702 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_3703 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3704 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3705 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_3706 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3707 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3708 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3709 (= lockStatus_0.15 lockStatus_0.5)) (?v_3710 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3711 (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0)) (?v_3712 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3713 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3714 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3715 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3716 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_3717 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3718 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3719 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3720 (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_3721 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3722 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3723 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3724 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3725 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1))) (let ((?v_3726 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> true ?v_3595)))) (let ((?v_3733 (=> true (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> (= reqCancelSet_1.11 reqCancelSet_1.3) (=> ?v_3642 (=> (= reqCancelSet_0.11 reqCancelSet_0.3) (=> ?v_3643 (=> (= errorReached.89 errorReached.52) (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0) (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= k.87 k.49) ?v_3726))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3728 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call32768formal.ret.0) (=> (= errorReached.52 errorReached.49) (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= k.49 k.46) ?v_3733)))))))) (let ((?v_3731 (=> true ?v_3728)) (?v_3729 (= reqCancelSet_0.2 reqCancelSet_0)) (?v_3730 (= reqCancelSet_1.2 reqCancelSet_1)) (?v_3727 (= k.46 1)) (?v_3597 (= k.46 0))) (let ((?v_3732 (and (=> true (=> ?v_3597 (=> true (=> (= reqCancelSet_0.2 1) (=> ?v_3730 ?v_3728))))) (=> true (=> (not ?v_3597) (and (=> true (=> ?v_3727 (=> true (=> ?v_3729 (=> (= reqCancelSet_1.2 1) ?v_3731))))) (=> true (=> (not ?v_3727) (=> true (=> ?v_3729 (=> ?v_3730 ?v_3731)))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_6 (not ?v_2)) (?v_7 (not ?v_3)) (?v_3596 (= (BINARY_BOTH_INT call27744formal.ret.0 2) 0)) (?v_3591 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call27768formal.ret.0)) (?v_3592 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3593 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3594 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3590 (= call27768formal.ret.0 ?v_327))) (let ((?v_3444 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.3) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0.3) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.89 errorReached.88) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_3591 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> ?v_3592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> (= lockStatus_1.15 lockStatus_1.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0.3) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> ?v_3594 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.3) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= k.87 k.86) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) ?v_3595)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3449 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= k.86 k.85) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= errorReached.88 errorReached.87) (=> (= reqCancelSet_0.10 reqCancelSet_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= reqCompleted_0.4 reqCompleted_0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= reqCancelSet_1.10 reqCancelSet_1) (=> (= reqCompleted_1.4 reqCompleted_1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> true (=> true (=> true ?v_3444))))))))))))))))))))))))))))))))))))) (?v_3451 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.))) (let ((?v_3452 (=> (= k.85 k.81) (=> (= errorReached.87 errorReached.81) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3449))))))))))))))))))))) (?v_3454 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_3453 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_3450 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_3448 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_3447 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call30019formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.85 k.82) (=> (= errorReached.87 errorReached.86) ?v_3449)))))) (?v_3445 (= k.82 0)) (?v_3446 (= k.82 1)) (?v_3443 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_3435 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= k.86 k.84) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= errorReached.88 errorReached.85) (=> (= reqCancelSet_0.10 reqCancelSet_0.9) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= reqCancelSet_1.10 reqCancelSet_1.9) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) ?v_3444))))))))))))))))))))))))))))))))))) (let ((?v_3424 (=> true (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= errorReached.85 errorReached.84) (=> (= reqCancelSet_1.9 reqCancelSet_1.8) (=> (= reqCancelSet_0.9 reqCancelSet_0.8) (=> (= reqCompleted_1.3 reqCompleted_1.2) ?v_3435)))))))) (let ((?v_3427 (=> true ?v_3424)) (?v_3425 (= reqCancelSet_0.8 reqCancelSet_0)) (?v_3426 (= reqCancelSet_1.8 reqCancelSet_1)) (?v_3423 (= k.84 1))) (let ((?v_3430 (not ?v_3423)) (?v_3254 (= k.84 0))) (let ((?v_3428 (not ?v_3254))) (let ((?v_3429 (and (=> true (=> ?v_3254 (=> true (=> (= reqCancelSet_0.8 0) (=> ?v_3426 ?v_3424))))) (=> true (=> ?v_3428 (and (=> true (=> ?v_3423 (=> true (=> ?v_3425 (=> (= reqCancelSet_1.8 0) ?v_3427))))) (=> true (=> ?v_3430 (=> true (=> ?v_3425 (=> ?v_3426 ?v_3427))))))))))) (let ((?v_3433 (=> true (=> true ?v_3429))) (?v_3431 (= reqCompleted_0.2 reqCompleted_0)) (?v_3432 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_3434 (and (=> true (=> ?v_3254 (=> true (=> (= reqCompleted_0.2 1) (=> ?v_3432 ?v_3429))))) (=> true (=> ?v_3428 (and (=> true (=> ?v_3423 (=> true (=> ?v_3431 (=> (= reqCompleted_1.2 1) ?v_3433))))) (=> true (=> ?v_3430 (=> true (=> ?v_3431 (=> ?v_3432 ?v_3433))))))))))) (let ((?v_3436 (and (=> true (=> ?v_25 (and (=> true (=> (=> ?v_3254 ?v_6) (=> (=> ?v_3423 ?v_7) (=> true (=> (= errorReached.84 1) ?v_3434))))) (=> true (=> (=> ?v_3254 ?v_2) (=> (=> ?v_3423 ?v_3) (=> true (=> (= errorReached.84 errorReached.83) (=> true ?v_3434))))))))) (=> true (=> ?v_470 (=> true (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= errorReached.85 errorReached.83) (=> (= reqCancelSet_1.9 reqCancelSet_1) (=> (= reqCancelSet_0.9 reqCancelSet_0) (=> (= reqCompleted_1.3 reqCompleted_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3435))))))))))))))))) (let ((?v_3440 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2) ?v_3436)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3436)))))))))))))))) (?v_3441 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.))) (let ((?v_3442 (=> (= errorReached.83 errorReached.81) (=> (= k.84 k.81) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3440)))))))))))) (?v_3439 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call30231formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.83 errorReached.82) (=> (= k.84 k.83) ?v_3440)))))) (?v_3437 (= k.83 0)) (?v_3438 (= k.83 1))) (let ((?v_3457 (and (=> true (=> (not ?v_3443) (and (=> true (=> ?v_25 (=> true (=> (<= k.81 k.83) (=> (< k.83 2) (and (=> true (=> (=> ?v_3437 ?v_6) (=> (=> ?v_3438 ?v_7) (=> true (=> (= errorReached.82 1) ?v_3439))))) (=> true (=> (=> ?v_3437 ?v_2) (=> (=> ?v_3438 ?v_3) (=> true (=> (= errorReached.82 errorReached.81) (=> true ?v_3439)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_3441 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3442))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_3441 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3442))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_3441 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3442))))) (=> true (=> ?v_513 (=> true (=> ?v_3441 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3442))))))))))))))))) (=> true (=> ?v_3443 (and (=> true (=> ?v_3448 (=> true (=> (<= k.81 k.82) (=> (< k.82 2) (and (=> true (=> (=> ?v_3445 ?v_6) (=> (=> ?v_3446 ?v_7) (=> true (=> (= errorReached.86 1) ?v_3447))))) (=> true (=> (=> ?v_3445 ?v_2) (=> (=> ?v_3446 ?v_3) (=> true (=> (= errorReached.86 errorReached.81) (=> true ?v_3447)))))))))))) (=> true (=> (not ?v_3448) (and (=> true (=> ?v_3450 (=> true (=> ?v_3451 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3452))))) (=> true (=> (not ?v_3450) (and (=> true (=> ?v_3453 (=> true (=> ?v_3451 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3452))))) (=> true (=> (not ?v_3453) (and (=> true (=> ?v_3454 (=> true (=> ?v_3451 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3452))))) (=> true (=> (not ?v_3454) (=> true (=> ?v_3451 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3452)))))))))))))))))))) (let ((?v_3458 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3457))))))) (?v_3455 (= k.81 0)) (?v_3456 (= k.81 1))) (let ((?v_3463 (and (=> true (=> (=> ?v_3455 ?v_37) (=> (=> ?v_3456 ?v_38) ?v_3457))) (=> true (=> (=> ?v_3455 ?v_613) (=> (=> ?v_3456 ?v_614) (and (=> true (=> (=> ?v_3455 ?v_528) (=> (=> ?v_3456 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3458)))))))))))) (=> true (=> (=> ?v_3455 ?v_616) (=> (=> ?v_3456 ?v_617) ?v_3458))))))))) (?v_3465 (= errorReached.81 errorReached.79))) (let ((?v_3466 (=> (= k.81 k.79) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3463)))))))))))) (?v_3468 (= inline.EvtRequestChildCancel.1.myVar_0.14 hdevice)) (?v_3467 (= inline.EvtRequestChildCancel.1.myVar_0.14 hqueue)) (?v_3464 (= inline.EvtRequestChildCancel.1.myVar_0.14 htimer)) (?v_3462 (= inline.EvtRequestChildCancel.1.myVar_0.14 hrequest)) (?v_3461 (=> true (=> (= errorReached.81 errorReached.80) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.81 k.80) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call29729formal.ret.0) ?v_3463)))))) (?v_3459 (= k.80 0)) (?v_3460 (= k.80 1))) (let ((?v_3471 (and (=> true (=> ?v_3462 (=> true (=> (<= k.79 k.80) (=> (< k.80 2) (and (=> true (=> (=> ?v_3459 ?v_6) (=> (=> ?v_3460 ?v_7) (=> true (=> (= errorReached.80 1) ?v_3461))))) (=> true (=> (=> ?v_3459 ?v_2) (=> (=> ?v_3460 ?v_3) (=> true (=> (= errorReached.80 errorReached.79) (=> true ?v_3461)))))))))))) (=> true (=> (not ?v_3462) (and (=> true (=> ?v_3464 (=> true (=> ?v_3465 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3466))))) (=> true (=> (not ?v_3464) (and (=> true (=> ?v_3467 (=> true (=> ?v_3465 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3466))))) (=> true (=> (not ?v_3467) (and (=> true (=> ?v_3468 (=> true (=> ?v_3465 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3466))))) (=> true (=> (not ?v_3468) (=> true (=> ?v_3465 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3466))))))))))))))))) (let ((?v_3473 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3471)))))))))))) (?v_3472 (= k.79 1)) (?v_3470 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3499 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3470))) (?v_3469 (= k.79 0)) (?v_3251 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3470)))) (let ((?v_3489 (=> true (=> (<= k.78 k.79) (=> (< k.79 2) (and (=> true (=> ?v_3469 (=> (= inline.EvtRequestChildCancel.1.myVar_0.12 ?v_3251) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.12) ?v_3471))))) (=> true (=> (not ?v_3469) (and (=> true (=> ?v_3472 (=> (= inline.EvtRequestChildCancel.1.myVar_0.13 ?v_3499) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.13) ?v_3473))))) (=> true (=> (not ?v_3472) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.11) ?v_3473)))))))))))) (?v_3487 (= k.74 0)) (?v_3488 (= k.74 1))) (let ((?v_3480 (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.2) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= k.78 k.77) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= lockStatus_1.14 lockStatus_1.13) ?v_3489)))))))))) (?v_3479 (= inline.ReleaseDpcLock.4.myVar_0.2 hlock))) (let ((?v_3475 (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call29582formal.ret.0) (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= k.77 k.76) (=> (= lockStatus_0.13 lockStatus_0.12) ?v_3480)))))) (?v_3477 (= lockStatus_1.12 lockStatus_1.11))) (let ((?v_3478 (=> (= lockStatus_0.12 lockStatus_0.11) (=> true ?v_3475))) (?v_3476 (= k.76 1)) (?v_3474 (= k.76 0))) (let ((?v_3483 (and (=> true (=> ?v_3479 (=> true (=> (<= k.75 k.76) (=> (< k.76 2) (and (=> true (=> ?v_3474 (=> true (=> ?v_3477 (=> (= lockStatus_0.12 0) ?v_3475))))) (=> true (=> (not ?v_3474) (and (=> true (=> ?v_3476 (=> true (=> (= lockStatus_1.12 0) ?v_3478)))) (=> true (=> (not ?v_3476) (=> true (=> ?v_3477 ?v_3478))))))))))))) (=> true (=> (not ?v_3479) (=> true (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.13 lockStatus_1.11) (=> (= k.77 k.75) (=> (= lockStatus_0.13 lockStatus_0.11) (=> true (=> true (=> true ?v_3480))))))))))))) (let ((?v_3485 (=> true (=> true (=> true (=> true ?v_3483))))) (?v_3484 (= k.75 1)) (?v_3482 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3481 (= k.75 0))) (let ((?v_3486 (=> true (=> (<= k.74 k.75) (=> (< k.75 2) (and (=> true (=> ?v_3481 (=> (= inline.ReleaseDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3482))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.0) ?v_3483))))) (=> true (=> (not ?v_3481) (and (=> true (=> ?v_3484 (=> (= inline.ReleaseDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3482))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.1) ?v_3485))))) (=> true (=> (not ?v_3484) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0) ?v_3485))))))))))))) (let ((?v_3494 (and (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.0) ?v_3486)))) (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3487 ?v_277) (=> (=> ?v_3488 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> true (=> true ?v_3486))))))) (=> true (=> (=> ?v_3487 ?v_377) (=> (=> ?v_3488 ?v_379) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.3 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> (= lockStatus_0.14 lockStatus_0.11) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= k.78 k.74) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.14 lockStatus_1.11) (=> true (=> true (=> true ?v_3489))))))))))))))))))))) (let ((?v_3496 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> (= k.74 k.72) (=> (= errorReached.79 errorReached.77) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3494))))))))))))) (?v_3498 (= inline.EvtRequestChildCancel.1.myVar_0.11 hdevice)) (?v_3497 (= inline.EvtRequestChildCancel.1.myVar_0.11 hqueue)) (?v_3495 (= inline.EvtRequestChildCancel.1.myVar_0.11 htimer)) (?v_3493 (= inline.EvtRequestChildCancel.1.myVar_0.11 hrequest)) (?v_3492 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 call29340formal.ret.0) (=> (= k.74 k.73) (=> (= errorReached.79 errorReached.78) ?v_3494)))))) (?v_3490 (= k.73 0)) (?v_3491 (= k.73 1))) (let ((?v_3500 (and (=> true (=> ?v_3493 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> (=> ?v_3490 ?v_6) (=> (=> ?v_3491 ?v_7) (=> true (=> (= errorReached.78 1) ?v_3492))))) (=> true (=> (=> ?v_3490 ?v_2) (=> (=> ?v_3491 ?v_3) (=> true (=> (= errorReached.78 errorReached.77) (=> true ?v_3492)))))))))))) (=> true (=> (not ?v_3493) (and (=> true (=> ?v_3495 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3496)))) (=> true (=> (not ?v_3495) (and (=> true (=> ?v_3497 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3496)))) (=> true (=> (not ?v_3497) (and (=> true (=> ?v_3498 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3496)))) (=> true (=> (not ?v_3498) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3496)))))))))))))))) (let ((?v_3502 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3500)))))))))))) (?v_3501 (= k.72 1))) (let ((?v_3506 (not ?v_3501)) (?v_3253 (= k.72 0))) (let ((?v_3503 (not ?v_3253))) (let ((?v_3505 (and (=> true (=> ?v_3253 (=> (= inline.EvtRequestChildCancel.1.myVar_0.9 ?v_3251) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.9) ?v_3500))))) (=> true (=> ?v_3503 (and (=> true (=> ?v_3501 (=> (= inline.EvtRequestChildCancel.1.myVar_0.10 ?v_3499) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.10) ?v_3502))))) (=> true (=> ?v_3506 (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.8) ?v_3502)))))))))) (let ((?v_3509 (=> true (=> true (=> true ?v_3505)))) (?v_3507 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3508 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3504 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3512 (=> true (=> (<= k.71 k.72) (=> (< k.72 2) (and (=> true (=> ?v_3253 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3504 ?v_64)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> ?v_3508 ?v_3505)))))) (=> true (=> ?v_3503 (and (=> true (=> ?v_3501 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3504 ?v_64)) (=> true (=> ?v_3507 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_3509)))))) (=> true (=> ?v_3506 (=> true (=> ?v_3507 (=> ?v_3508 ?v_3509)))))))))))))) (let ((?v_3516 (=> true ?v_3512)) (?v_3514 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3515 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3513 (= k.71 1)) (?v_3511 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3510 (= k.71 0))) (let ((?v_3529 (=> true (=> (<= k.70 k.71) (=> (< k.71 2) (and (=> true (=> ?v_3510 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3511 ?v_64)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) (=> ?v_3515 ?v_3512)))))) (=> true (=> (not ?v_3510) (and (=> true (=> ?v_3513 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3511 ?v_64)) (=> true (=> ?v_3514 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3516)))))) (=> true (=> (not ?v_3513) (=> true (=> ?v_3514 (=> ?v_3515 ?v_3516))))))))))))) (?v_3523 (= k.67 0)) (?v_3526 (= k.67 1))) (let ((?v_3522 (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call29141formal.ret.0) (=> (= k.70 k.69) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= lockStatus_1.11 lockStatus_1.10) ?v_3529))))))))))) (?v_3521 (= inline.AcquireDpcLock.4.myVar_0.2 hlock))) (let ((?v_3518 (=> true (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 call29089formal.ret.0) (=> (= k.69 k.68) (=> (= lockStatus_0.10 lockStatus_0.9) ?v_3522)))))) (?v_3519 (= lockStatus_1.9 lockStatus_1.5))) (let ((?v_3520 (=> (= lockStatus_0.9 lockStatus_0.5) (=> true ?v_3518))) (?v_3517 (= k.68 1)) (?v_3252 (= k.68 0))) (let ((?v_3525 (and (=> true (=> ?v_3521 (=> true (=> (<= k.67 k.68) (=> (< k.68 2) (=> true (=> (=> ?v_3252 (= lockStatus_0.5 0)) (=> (=> ?v_3517 (= lockStatus_1.5 0)) (and (=> true (=> ?v_3252 (=> true (=> ?v_3519 (=> (= lockStatus_0.9 1) ?v_3518))))) (=> true (=> (not ?v_3252) (and (=> true (=> ?v_3517 (=> true (=> (= lockStatus_1.9 1) ?v_3520)))) (=> true (=> (not ?v_3517) (=> true (=> ?v_3519 ?v_3520)))))))))))))))) (=> true (=> (not ?v_3521) (=> true (=> (= lockStatus_1.10 lockStatus_1.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= k.69 k.67) (=> (= lockStatus_0.10 lockStatus_0.5) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3522)))))))))))))))) (let ((?v_3527 (=> true (=> true (=> true (=> true ?v_3525))))) (?v_3524 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3528 (and (=> true (=> ?v_3523 (=> (= inline.AcquireDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3524))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.1) ?v_3525))))) (=> true (=> (not ?v_3523) (and (=> true (=> ?v_3526 (=> (= inline.AcquireDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3524))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.0) ?v_3527))))) (=> true (=> (not ?v_3526) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0) ?v_3527)))))))))) (let ((?v_3534 (and (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.0) ?v_3528)))) (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_3523 ?v_277) (=> (=> ?v_3526 ?v_278) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.2 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> true ?v_3528)))))) (=> true (=> (=> ?v_3523 ?v_377) (=> (=> ?v_3526 ?v_379) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= k.70 k.67) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.11 lockStatus_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.11 lockStatus_1.5) (=> true (=> true (=> true ?v_3529))))))))))))))))))))) (?v_3536 (= errorReached.77 errorReached.75)) (?v_3537 (= k.67 k.51))) (let ((?v_3538 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3534))))))))))) (?v_3540 (= inline.EvtRequestChildCancel.1.myVar_0.8 hdevice)) (?v_3539 (= inline.EvtRequestChildCancel.1.myVar_0.8 hqueue)) (?v_3535 (= inline.EvtRequestChildCancel.1.myVar_0.8 htimer)) (?v_3533 (= inline.EvtRequestChildCancel.1.myVar_0.8 hrequest)) (?v_3532 (=> true (=> (= errorReached.77 errorReached.76) (=> (= k.67 k.66) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 call28850formal.ret.0) ?v_3534)))))) (?v_3530 (= k.66 0)) (?v_3531 (= k.66 1))) (let ((?v_3541 (and (=> true (=> ?v_3533 (=> true (=> (<= k.51 k.66) (=> (< k.66 2) (and (=> true (=> (=> ?v_3530 ?v_6) (=> (=> ?v_3531 ?v_7) (=> true (=> (= errorReached.76 1) ?v_3532))))) (=> true (=> (=> ?v_3530 ?v_2) (=> (=> ?v_3531 ?v_3) (=> true (=> (= errorReached.76 errorReached.75) (=> true ?v_3532)))))))))))) (=> true (=> (not ?v_3533) (and (=> true (=> ?v_3535 (=> true (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3538)))))) (=> true (=> (not ?v_3535) (and (=> true (=> ?v_3539 (=> true (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3538)))))) (=> true (=> (not ?v_3539) (and (=> true (=> ?v_3540 (=> true (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3538)))))) (=> true (=> (not ?v_3540) (=> true (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3538)))))))))))))))))) (let ((?v_3542 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3541)))))))))))) (?v_3250 (= k.51 1))) (let ((?v_3554 (not ?v_3250)) (?v_3247 (= k.51 0))) (let ((?v_3552 (not ?v_3247))) (let ((?v_3544 (and (=> true (=> ?v_3247 (=> (= inline.EvtRequestChildCancel.1.myVar_0.6 ?v_3251) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.6) ?v_3541))))) (=> true (=> ?v_3552 (and (=> true (=> ?v_3250 (=> (= inline.EvtRequestChildCancel.1.myVar_0.7 ?v_3499) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.7) ?v_3542))))) (=> true (=> ?v_3554 (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.5) ?v_3542)))))))))) (let ((?v_3543 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call28731formal.ret.0) ?v_3544)))) (let ((?v_3547 (and (=> true (=> (=> ?v_3247 ?v_37) (=> (=> ?v_3250 ?v_38) ?v_3543))) (=> true (=> (=> ?v_3247 ?v_613) (=> (=> ?v_3250 ?v_614) (and (=> true (=> (=> ?v_3247 ?v_528) (=> (=> ?v_3250 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3543)))))))))))) (=> true (=> (=> ?v_3247 ?v_616) (=> (=> ?v_3250 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_3544))))))))))))))))) (let ((?v_3549 (=> (= errorReached.75 errorReached.73) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3547))))))))))) (?v_3551 (= inline.EvtRequestChildCancel.1.myVar_0.5 hdevice)) (?v_3550 (= inline.EvtRequestChildCancel.1.myVar_0.5 hqueue)) (?v_3548 (= inline.EvtRequestChildCancel.1.myVar_0.5 htimer)) (?v_3546 (= inline.EvtRequestChildCancel.1.myVar_0.5 hrequest)) (?v_3545 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.75 errorReached.74) ?v_3547)))) (?v_3556 (=> ?v_3247 ?v_2)) (?v_3557 (=> ?v_3250 ?v_3)) (?v_3248 (=> ?v_3247 ?v_6)) (?v_3249 (=> ?v_3250 ?v_7))) (let ((?v_3553 (and (=> true (=> ?v_3546 (and (=> true (=> ?v_3248 (=> ?v_3249 (=> true (=> (= errorReached.74 1) ?v_3545))))) (=> true (=> ?v_3556 (=> ?v_3557 (=> true (=> (= errorReached.74 errorReached.73) (=> true ?v_3545))))))))) (=> true (=> (not ?v_3546) (and (=> true (=> ?v_3548 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3549)))) (=> true (=> (not ?v_3548) (and (=> true (=> ?v_3550 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3549)))) (=> true (=> (not ?v_3550) (and (=> true (=> ?v_3551 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3549)))) (=> true (=> (not ?v_3551) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3549)))))))))))))))) (let ((?v_3555 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3553))))))))))))) (let ((?v_3559 (and (=> true (=> ?v_3247 (=> (= inline.EvtRequestChildCancel.1.myVar_0.3 ?v_3251) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.3) ?v_3553))))) (=> true (=> ?v_3552 (and (=> true (=> ?v_3250 (=> (= inline.EvtRequestChildCancel.1.myVar_0.4 ?v_3499) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.4) ?v_3555))))) (=> true (=> ?v_3554 (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3555)))))))))) (let ((?v_3561 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3559))))))))))) (?v_3560 (= errorReached.73 errorReached.54)) (?v_3558 (=> true (=> (= errorReached.73 errorReached.72) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3559))))) (let ((?v_3566 (and (=> true (=> ?v_25 (and (=> true (=> ?v_3248 (=> ?v_3249 (=> true (=> (= errorReached.72 1) ?v_3558))))) (=> true (=> ?v_3556 (=> ?v_3557 (=> true (=> (= errorReached.72 errorReached.54) (=> true ?v_3558))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_3560 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3561))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_3560 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3561))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_3560 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3561))))) (=> true (=> ?v_513 (=> true (=> ?v_3560 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3561)))))))))))))))) (?v_3568 (= errorReached.54 errorReached.51)) (?v_3569 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.))) (let ((?v_3570 (=> (= k.51 k.48) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3566)))))))))))))))))) (?v_3572 (= inline.EvtRequestChildCancel.1.myVar_0.2 hdevice)) (?v_3571 (= inline.EvtRequestChildCancel.1.myVar_0.2 hqueue)) (?v_3567 (= inline.EvtRequestChildCancel.1.myVar_0.2 htimer)) (?v_3565 (= inline.EvtRequestChildCancel.1.myVar_0.2 hrequest)) (?v_3564 (=> true (=> (= errorReached.54 errorReached.53) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 call28157formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.51 k.50) ?v_3566)))))) (?v_3562 (= k.50 0)) (?v_3563 (= k.50 1))) (let ((?v_3575 (and (=> true (=> ?v_3565 (=> true (=> (<= k.48 k.50) (=> (< k.50 2) (and (=> true (=> (=> ?v_3562 ?v_6) (=> (=> ?v_3563 ?v_7) (=> true (=> (= errorReached.53 1) ?v_3564))))) (=> true (=> (=> ?v_3562 ?v_2) (=> (=> ?v_3563 ?v_3) (=> true (=> (= errorReached.53 errorReached.51) (=> true ?v_3564)))))))))))) (=> true (=> (not ?v_3565) (and (=> true (=> ?v_3567 (=> true (=> ?v_3568 (=> ?v_3569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3570)))))) (=> true (=> (not ?v_3567) (and (=> true (=> ?v_3571 (=> true (=> ?v_3568 (=> ?v_3569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3570)))))) (=> true (=> (not ?v_3571) (and (=> true (=> ?v_3572 (=> true (=> ?v_3568 (=> ?v_3569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3570)))))) (=> true (=> (not ?v_3572) (=> true (=> ?v_3568 (=> ?v_3569 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3570)))))))))))))))))) (let ((?v_3577 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3575)))))))) (?v_3576 (= k.48 1)) (?v_3574 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3573 (= k.48 0))) (let ((?v_3581 (and (=> true (=> ?v_3573 (=> (= inline.EvtRequestChildCancel.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3574))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.0) ?v_3575))))) (=> true (=> (not ?v_3573) (and (=> true (=> ?v_3576 (=> (= inline.EvtRequestChildCancel.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3574))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.1) ?v_3577))))) (=> true (=> (not ?v_3576) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0) ?v_3577)))))))))) (let ((?v_3582 (=> (= errorReached.51 errorReached.48) (=> (= k.48 k.45) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3581)))))))))))))) (?v_3580 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.51 errorReached.50) (=> (= k.48 k.47) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 call27949formal.ret.0) ?v_3581)))))) (?v_3578 (= k.47 0)) (?v_3579 (= k.47 1))) (let ((?v_3587 (and (=> true (=> ?v_22 (=> true (=> (<= k.45 k.47) (=> (< k.47 2) (and (=> true (=> (=> ?v_3578 ?v_6) (=> (=> ?v_3579 ?v_7) (=> true (=> (= errorReached.50 1) ?v_3580))))) (=> true (=> (=> ?v_3578 ?v_2) (=> (=> ?v_3579 ?v_3) (=> true (=> (= errorReached.50 errorReached.48) (=> true ?v_3580)))))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3582)))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3582)))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3582)))) (=> true (=> ?v_2385 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3582)))))))))))))))) (let ((?v_3589 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3587)))))))))))))) (?v_3588 (= errorReached.48 errorReached.47)) (?v_3585 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call27838formal.ret.0)) (?v_3586 (= k.45 k.44)) (?v_3583 (= k.44 0)) (?v_3584 (= k.44 1)) (?v_3246 (int_2_U call27730formal.new.0))) (let ((?v_3738 (=> true (and ?v_1501 (=> ?v_1501 (=> (> call27730formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call27730formal.new.0 ?x359) (< ?x359 (+ call27730formal.new.0 1))) (= (Base ?x359) call27730formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call27730formal.new.0) (= (MapType0Select alloc.12 ?x360) (MapType0Select alloc.13 ?x360)))) :pattern ((MapType0Select alloc.13 ?x360)) )) (=> (and (= (MapType0Select alloc.12 ?v_3246) UNALLOCATED) (= (MapType0Select alloc.13 ?v_3246) ALLOCATED)) (and (=> true (=> (not ?v_3596) (and (=> true (=> ?v_3590 (and (=> true (=> ?v_25 (=> true (=> (<= k.43 k.44) (=> (< k.44 2) (and (=> true (=> (=> ?v_3583 ?v_6) (=> (=> ?v_3584 ?v_7) (=> true (=> (= errorReached.48 1) (=> ?v_3585 (=> ?v_3586 ?v_3587))))))) (=> true (=> (=> ?v_3583 ?v_2) (=> (=> ?v_3584 ?v_3) (=> true (=> ?v_3588 (=> ?v_3585 (=> ?v_3586 ?v_3589))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_3588 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= k.45 k.43) ?v_3589))))))))) (=> true (=> (not ?v_3590) (=> true (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> (= reqCancelSet_1.11 reqCancelSet_1) (=> ?v_3642 (=> (= reqCancelSet_0.11 reqCancelSet_0) (=> ?v_3643 (=> (= errorReached.89 errorReached.47) (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3591 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3592 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3593 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3594 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= k.87 k.43) ?v_3726)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3596 (and (=> true (=> ?v_25 (=> true (=> (<= k.43 k.46) (=> (< k.46 2) (and (=> true (=> (=> ?v_3597 ?v_6) (=> (=> ?v_3727 ?v_7) (=> true (=> (= errorReached.49 1) ?v_3732))))) (=> true (=> (=> ?v_3597 ?v_2) (=> (=> ?v_3727 ?v_3) (=> true (=> (= errorReached.49 errorReached.47) (=> true ?v_3732)))))))))))) (=> true (=> ?v_470 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= errorReached.52 errorReached.47) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= k.49 k.43) (=> true (=> true (=> true ?v_3733))))))))))))))))))))))) (?v_3740 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.))) (let ((?v_3741 (=> (= k.43 k.41) (=> (= errorReached.47 errorReached.45) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3738))))))))))) (?v_3743 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hdevice)) (?v_3742 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hqueue)) (?v_3739 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 htimer)) (?v_3737 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hrequest)) (?v_3736 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 call27615formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.43 k.42) (=> (= errorReached.47 errorReached.46) ?v_3738)))))) (?v_3734 (= k.42 0)) (?v_3735 (= k.42 1))) (let ((?v_3746 (and (=> true (=> ?v_3737 (=> true (=> (<= k.41 k.42) (=> (< k.42 2) (and (=> true (=> (=> ?v_3734 ?v_6) (=> (=> ?v_3735 ?v_7) (=> true (=> (= errorReached.46 1) ?v_3736))))) (=> true (=> (=> ?v_3734 ?v_2) (=> (=> ?v_3735 ?v_3) (=> true (=> (= errorReached.46 errorReached.45) (=> true ?v_3736)))))))))))) (=> true (=> (not ?v_3737) (and (=> true (=> ?v_3739 (=> true (=> ?v_3740 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3741))))) (=> true (=> (not ?v_3739) (and (=> true (=> ?v_3742 (=> true (=> ?v_3740 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3741))))) (=> true (=> (not ?v_3742) (and (=> true (=> ?v_3743 (=> true (=> ?v_3740 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3741))))) (=> true (=> (not ?v_3743) (=> true (=> ?v_3740 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3741))))))))))))))))) (let ((?v_3747 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3746)))))))) (?v_3744 (= k.41 1)) (?v_3745 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3245 (= k.41 0))) (let ((?v_3749 (and (=> true (=> ?v_3245 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3745))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.1) ?v_3746))))) (=> true (=> (not ?v_3245) (and (=> true (=> ?v_3744 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3745))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.0) ?v_3747))))) (=> true (=> (not ?v_3744) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0) ?v_3747)))))))))) (let ((?v_3751 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3749)))))))))) (?v_3750 (= errorReached.45 errorReached.43)) (?v_3748 (=> true (=> (= errorReached.45 errorReached.44) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3749))))) (let ((?v_3755 (and (=> true (=> ?v_22 (and (=> true (=> (=> ?v_3245 ?v_6) (=> (=> ?v_3744 ?v_7) (=> true (=> (= errorReached.44 1) ?v_3748))))) (=> true (=> (=> ?v_3245 ?v_2) (=> (=> ?v_3744 ?v_3) (=> true (=> (= errorReached.44 errorReached.43) (=> true ?v_3748))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_3750 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3751))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_3750 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3751))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_3750 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3751))))) (=> true (=> ?v_2385 (=> true (=> ?v_3750 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3751))))))))))))))))) (let ((?v_3756 (=> (= errorReached.43 errorReached.41) (=> (= k.41 k.39) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3755))))))))))))))))))) (?v_3754 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.43 errorReached.42) (=> (= k.41 k.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call27256formal.ret.0) ?v_3755)))))) (?v_3752 (= k.40 0)) (?v_3753 (= k.40 1))) (let ((?v_3757 (and (=> true (=> ?v_25 (=> true (=> (<= k.39 k.40) (=> (< k.40 2) (and (=> true (=> (=> ?v_3752 ?v_6) (=> (=> ?v_3753 ?v_7) (=> true (=> (= errorReached.42 1) ?v_3754))))) (=> true (=> (=> ?v_3752 ?v_2) (=> (=> ?v_3753 ?v_3) (=> true (=> (= errorReached.42 errorReached.41) (=> true ?v_3754)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3756)))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3756)))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3756)))) (=> true (=> ?v_513 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3756)))))))))))))))) (let ((?v_3758 (=> true (=> (= errorReached.41 errorReached.40) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3757))))))))))))))) (?v_3243 (= k.39 0)) (?v_3244 (= k.39 1))) (let ((?v_3759 (and (=> true (=> ?v_25 (and (=> true (=> (=> ?v_3243 ?v_6) (=> (=> ?v_3244 ?v_7) (=> true (=> (= errorReached.41 1) ?v_3757))))) (=> true (=> (=> ?v_3243 ?v_2) (=> (=> ?v_3244 ?v_3) ?v_3758)))))) (=> true (=> ?v_470 ?v_3758))))) (let ((?v_3760 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3759)))))))))))))))) (let ((?v_3765 (and (=> true (=> (=> ?v_3243 ?v_37) (=> (=> ?v_3244 ?v_38) ?v_3759))) (=> true (=> (=> ?v_3243 ?v_613) (=> (=> ?v_3244 ?v_614) (and (=> true (=> (=> ?v_3243 ?v_528) (=> (=> ?v_3244 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3760)))))))))))) (=> true (=> (=> ?v_3243 ?v_616) (=> (=> ?v_3244 ?v_617) ?v_3760))))))))) (?v_3767 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_3768 (= errorReached.40 errorReached.31))) (let ((?v_3769 (=> (= k.39 k.31) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3765))))))))))) (?v_3771 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hdevice)) (?v_3770 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hqueue)) (?v_3766 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 htimer)) (?v_3764 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hrequest)) (?v_3763 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 call26896formal.ret.0) (=> (= errorReached.40 errorReached.39) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.39 k.32) ?v_3765)))))) (?v_3761 (= k.32 0)) (?v_3762 (= k.32 1))) (let ((?v_3773 (and (=> true (=> ?v_3764 (=> true (=> (<= k.31 k.32) (=> (< k.32 2) (and (=> true (=> (=> ?v_3761 ?v_6) (=> (=> ?v_3762 ?v_7) (=> true (=> (= errorReached.39 1) ?v_3763))))) (=> true (=> (=> ?v_3761 ?v_2) (=> (=> ?v_3762 ?v_3) (=> true (=> (= errorReached.39 errorReached.31) (=> true ?v_3763)))))))))))) (=> true (=> (not ?v_3764) (and (=> true (=> ?v_3766 (=> true (=> ?v_3767 (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3769)))))) (=> true (=> (not ?v_3766) (and (=> true (=> ?v_3770 (=> true (=> ?v_3767 (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3769)))))) (=> true (=> (not ?v_3770) (and (=> true (=> ?v_3771 (=> true (=> ?v_3767 (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3769)))))) (=> true (=> (not ?v_3771) (=> true (=> ?v_3767 (=> ?v_3768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3769)))))))))))))))))) (let ((?v_3775 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3773)))))))))))) (?v_3774 (= k.31 1)) (?v_2584 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2610 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2584))) (?v_3772 (= k.31 0)) (?v_1497 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2584)))) (let ((?v_3789 (=> true (=> (<= k.30 k.31) (=> (< k.31 2) (and (=> true (=> ?v_3772 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 ?v_1497) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6) ?v_3773))))) (=> true (=> (not ?v_3772) (and (=> true (=> ?v_3774 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 ?v_2610) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7) ?v_3775))))) (=> true (=> (not ?v_3774) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) ?v_3775)))))))))))) (?v_3241 (= k.28 0)) (?v_3787 (= k.28 1))) (let ((?v_3781 (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.2) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= k.30 k.29) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0.2) ?v_3789))))))))) (?v_3780 (= inline.ReleaseDpcLock.3.myVar_0.2 hlock))) (let ((?v_3776 (=> true (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= lockStatus_0.4 lockStatus_0.3) ?v_3781)))) (?v_3778 (= lockStatus_1.3 lockStatus_1.2))) (let ((?v_3779 (=> (= lockStatus_0.3 lockStatus_0.2) (=> true ?v_3776))) (?v_3777 (= k.29 1))) (let ((?v_3785 (not ?v_3777)) (?v_3242 (= k.29 0))) (let ((?v_3782 (not ?v_3242))) (let ((?v_3784 (and (=> true (=> ?v_3780 (and (=> true (=> ?v_3242 (=> true (=> ?v_3778 (=> (= lockStatus_0.3 0) ?v_3776))))) (=> true (=> ?v_3782 (and (=> true (=> ?v_3777 (=> true (=> (= lockStatus_1.3 0) ?v_3779)))) (=> true (=> ?v_3785 (=> true (=> ?v_3778 ?v_3779)))))))))) (=> true (=> (not ?v_3780) (=> true (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= lockStatus_0.4 lockStatus_0.2) (=> true (=> true (=> true ?v_3781))))))))))) (let ((?v_3786 (=> true (=> true (=> true (=> true ?v_3784))))) (?v_3783 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3788 (=> true (=> (<= k.28 k.29) (=> (< k.29 2) (and (=> true (=> ?v_3242 (=> (= inline.ReleaseDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3783))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.0) ?v_3784))))) (=> true (=> ?v_3782 (and (=> true (=> ?v_3777 (=> (= inline.ReleaseDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3783))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.1) ?v_3786))))) (=> true (=> ?v_3785 (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0) ?v_3786))))))))))))) (let ((?v_3792 (and (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.1) ?v_3788)))) (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_3241 ?v_277) (=> (=> ?v_3787 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.2 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> true (=> true ?v_3788))))))) (=> true (=> (=> ?v_3241 ?v_377) (=> (=> ?v_3787 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.5 lockStatus_0.2) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.0) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= k.30 k.28) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0) (=> true (=> true (=> true ?v_3789)))))))))))))))))))) (let ((?v_3795 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3792)))))))))) (?v_3794 (= errorReached.31 errorReached.28)) (?v_3797 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hdevice)) (?v_3796 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hqueue)) (?v_3793 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 htimer)) (?v_3791 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hrequest)) (?v_3790 (=> true (=> (= errorReached.31 errorReached.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3792))))) (let ((?v_3798 (and (=> true (=> ?v_3791 (and (=> true (=> (=> ?v_3241 ?v_6) (=> (=> ?v_3787 ?v_7) (=> true (=> (= errorReached.30 1) ?v_3790))))) (=> true (=> (=> ?v_3241 ?v_2) (=> (=> ?v_3787 ?v_3) (=> true (=> (= errorReached.30 errorReached.28) (=> true ?v_3790))))))))) (=> true (=> (not ?v_3791) (and (=> true (=> ?v_3793 (=> true (=> ?v_3794 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3795))))) (=> true (=> (not ?v_3793) (and (=> true (=> ?v_3796 (=> true (=> ?v_3794 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3795))))) (=> true (=> (not ?v_3796) (and (=> true (=> ?v_3797 (=> true (=> ?v_3794 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3795))))) (=> true (=> (not ?v_3797) (=> true (=> ?v_3794 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3795))))))))))))))))) (let ((?v_3799 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3798)))))))))))) (?v_3803 (not ?v_3787)) (?v_3800 (not ?v_3241))) (let ((?v_3802 (and (=> true (=> ?v_3241 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 ?v_1497) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3) ?v_3798))))) (=> true (=> ?v_3800 (and (=> true (=> ?v_3787 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 ?v_2610) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4) ?v_3799))))) (=> true (=> ?v_3803 (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_3799)))))))))) (let ((?v_3806 (=> true (=> true ?v_3802))) (?v_3804 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3805 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1485 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3801 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1485 ?v_64)) (?v_3240 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1485 ?v_64))) (let ((?v_3809 (=> true (=> (<= k.27 k.28) (=> (< k.28 2) (and (=> true (=> ?v_3241 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3240) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) (=> ?v_3805 ?v_3802)))))) (=> true (=> ?v_3800 (and (=> true (=> ?v_3787 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3801) (=> true (=> ?v_3804 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_3806)))))) (=> true (=> ?v_3803 (=> true (=> ?v_3804 (=> ?v_3805 ?v_3806)))))))))))))) (let ((?v_3813 (=> true (=> true ?v_3809))) (?v_3811 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_3812 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1486 (= k.27 1))) (let ((?v_3810 (not ?v_1486)) (?v_1493 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3808 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1493 ?v_2619)) (?v_1484 (= k.27 0))) (let ((?v_3807 (not ?v_1484)) (?v_3239 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1493 ?v_2619)) (?v_3238 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 0)) (?v_2626 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_2627 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2628 (= inline.AcquireDpcLock.4.myNondetVar_0.5 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2629 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2630 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_2631 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2632 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2633 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2634 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2635 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2636 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2637 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2638 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2639 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_2640 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2641 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2642 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2643 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2644 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2645 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2646 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_2647 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2648 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_2649 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_2960 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2650 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2651 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_2652 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2653 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_2654 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_2655 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2656 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2657 (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0)) (?v_2659 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2660 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2661 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2662 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2663 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2973 (= alloc.17 alloc.12)) (?v_2664 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_2665 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2666 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2667 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_2669 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_2670 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_2671 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2672 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2673 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2674 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_2675 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2985 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2)) (?v_2676 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_2677 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_2678 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2679 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2680 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2681 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2682 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2683 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2684 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_2685 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_2686 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2687 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2688 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2689 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_2690 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0)) (?v_2691 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2692 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_2693 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2694 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_2695 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2696 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2697 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2699 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_2700 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_2701 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2702 (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0)) (?v_2703 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2704 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_2705 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2706 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2707 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_2708 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2709 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_2710 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_2711 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2712 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2713 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2714 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2716 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_2717 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2718 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2719 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_2720 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_2721 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2722 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2723 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2724 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_2725 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2726 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2727 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2728 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2729 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_2730 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_2731 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2732 (= inline.ReleaseDpcLock.3.myNondetVar_0.4 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_2733 (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_3040 (= reqCompleted_1.10 reqCompleted_1)) (?v_2734 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2735 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2736 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2737 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_2738 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2739 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2740 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2741 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_3054 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2742 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_2743 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2744 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2745 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2746 (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0)) (?v_2747 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2748 (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0)) (?v_2749 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_2750 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2751 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2752 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_2753 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2754 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_2755 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2756 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2757 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2758 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2759 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_2760 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2761 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2762 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2763 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3071 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2764 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_2765 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_2766 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2767 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2768 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2769 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2770 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2772 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2773 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_2774 (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_2775 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_2776 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_2777 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2778 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_2779 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2780 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2781 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_2782 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2783 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_2784 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2785 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_2786 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2787 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2789 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2790 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_2791 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2792 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_2793 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2794 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_2795 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2796 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_2797 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2798 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_2799 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2800 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2801 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_2802 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_2804 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2805 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2806 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_2807 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2808 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_2809 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2810 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_2811 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_2812 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3130 (= k.144 k.27)) (?v_2813 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2814 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2815 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_2816 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2817 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2818 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2819 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2820 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2821 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_2822 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_3142 (= lockStatus_0.41 lockStatus_0.2)) (?v_2823 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_2824 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2825 (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0)) (?v_2826 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2827 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2828 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_2829 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_2830 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2831 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2833 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2834 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2835 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_2836 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2837 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2838 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2839 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2840 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2841 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2842 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2843 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2844 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_2845 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2846 (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0)) (?v_2847 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2848 (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_2849 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2850 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2851 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2853 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2854 (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0)) (?v_2855 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3174 (= reqCompleted_0.10 reqCompleted_0)) (?v_2856 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2858 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2859 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2860 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2861 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2862 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2863 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2864 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2865 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_2866 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_2867 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2868 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_2869 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2870 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2871 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_2872 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_2873 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_2874 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2875 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_2876 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_2877 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2878 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3203 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2879 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_2880 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2881 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2882 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_2883 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2884 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_2885 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_2886 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_2887 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2888 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2889 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2890 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2891 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2892 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2893 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2894 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2896 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_3216 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2897 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_2898 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2899 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_2900 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0)) (?v_2902 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_2903 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2905 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3226 (= lockStatus_1.41 lockStatus_1.2)) (?v_2906 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2907 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_2908 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2909 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2910 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2911 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 inline.ReleaseDpcLock.4.myNondetVar_0))) (let ((?v_3236 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 ?v_3280))))) (?v_2936 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1485)) 0)) (?v_2937 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1485)) 0)) (?v_2658 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2668 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2698 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2715 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2771 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2788 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2803 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call19266formal.ret.0)) (?v_2832 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0)) (?v_2852 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2857 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2895 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2901 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2904 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2625 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_327)))) (let ((?v_2107 (=> true (=> ?v_2626 (=> ?v_3266 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2627 (=> (= inline.AcquireDpcLock.1.myNondetVar_0.5 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> ?v_2628 (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2629 (=> ?v_2630 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2634 (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2635 (=> ?v_2636 (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2637 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2643 (=> ?v_2644 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3) (=> (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> ?v_2650 (=> ?v_2651 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.3) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0.4) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5) (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_2655 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_2660 (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0.3) (=> ?v_2661 (=> ?v_2662 (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> ?v_2663 (=> (= alloc.17 alloc.16) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_2664 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2665 (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2666 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call21259formal.ret.0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1) (=> ?v_2683 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2684 (=> ?v_2685 (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2686 (=> ?v_2687 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0) (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2692 (=> ?v_2693 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2694 (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0) (=> ?v_2695 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_2696 (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2697 (=> ?v_2698 (=> (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2699 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2700 (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2704 (=> ?v_2705 (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2706 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2710 (=> ?v_2711 (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2712 (=> ?v_2713 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2714 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2715 (=> ?v_2716 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2717 (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call25511formal.new.0) (=> ?v_2718 (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2722 (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2732 (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2733 (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_2737 (=> (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0.15) (=> ?v_2738 (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0) (=> ?v_2739 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2740 (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_2741 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0) (=> ?v_2742 (=> ?v_2743 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2744 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> ?v_2745 (=> ?v_2746 (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> ?v_2747 (=> ?v_2748 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> ?v_2754 (=> ?v_2755 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2756 (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0) (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> ?v_2757 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.4 inline.ReleaseDpcLock.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2758 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> ?v_2764 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2765 (=> ?v_2766 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2767 (=> ?v_2768 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_2769 (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> ?v_2770 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_2771 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0) (=> ?v_2775 (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2776 (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2777 (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> ?v_2778 (=> (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0) (=> ?v_2782 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2) (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_2786 (=> ?v_2787 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2788 (=> ?v_2789 (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1) (=> ?v_2790 (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> ?v_2791 (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0) (=> ?v_2792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1) (=> ?v_2793 (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> ?v_2794 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2795 (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2796 (=> ?v_2797 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_2803 (=> ?v_2804 (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2805 (=> (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0) (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.3) (=> ?v_2809 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2810 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2811 (=> ?v_2812 (=> (= k.144 k.143) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2813 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2817 (=> ?v_2818 (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1) (=> ?v_2819 (=> ?v_2820 (=> (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0.3) (=> ?v_2821 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_2822 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> ?v_2823 (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2824 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_2835 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2836 (=> ?v_2837 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2) (=> ?v_2838 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1) (=> ?v_2839 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2840 (=> (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2844 (=> ?v_2845 (=> ?v_2846 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2847 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2856 (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_2857 (=> ?v_2858 (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> ?v_2859 (=> (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> ?v_2860 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0) (=> ?v_2861 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> ?v_2862 (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2863 (=> ?v_2864 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0.3) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> ?v_2865 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2866 (=> ?v_2867 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2868 (=> ?v_2869 (=> (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0.3) (=> ?v_2870 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2878 (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.5 inline.ReleaseDpcLock.1.myNondetVar_0.4) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> ?v_2879 (=> ?v_2880 (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_2881 (=> ?v_2882 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0) (=> ?v_2886 (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2887 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_2888 (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0) (=> ?v_2896 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2897 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1) (=> ?v_2898 (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2899 (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2905 (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2906 (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.3) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2907 (=> (= errorReached.133 errorReached.132) (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) ?v_2912)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1522 (= k.140 0)) (?v_2102 (= k.140 1))) (let ((?v_2101 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.2) (=> (= k.143 k.142) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call26241formal.ret.0) (=> (= lockStatus_1.40 lockStatus_1.39) ?v_2107))))))))))) (?v_2100 (= inline.AcquireDpcLock.3.myVar_0.2 hlock))) (let ((?v_2097 (=> true (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call26189formal.ret.0) (=> (= k.142 k.141) (=> (= lockStatus_0.39 lockStatus_0.38) ?v_2101)))))) (?v_2098 (= lockStatus_1.38 lockStatus_1.37))) (let ((?v_2099 (=> (= lockStatus_0.38 lockStatus_0.37) (=> true ?v_2097))) (?v_2096 (= k.141 1)) (?v_1523 (= k.141 0))) (let ((?v_2104 (and (=> true (=> ?v_2100 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (=> true (=> (=> ?v_1523 (= lockStatus_0.37 0)) (=> (=> ?v_2096 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1523 (=> true (=> ?v_2098 (=> (= lockStatus_0.38 1) ?v_2097))))) (=> true (=> (not ?v_1523) (and (=> true (=> ?v_2096 (=> true (=> (= lockStatus_1.38 1) ?v_2099)))) (=> true (=> (not ?v_2096) (=> true (=> ?v_2098 ?v_2099)))))))))))))))) (=> true (=> (not ?v_2100) (=> true (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= k.142 k.140) (=> (= lockStatus_0.39 lockStatus_0.37) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2101)))))))))))))))) (let ((?v_2105 (=> true (=> true (=> true (=> true ?v_2104))))) (?v_2121 (not ?v_2102)) (?v_2103 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2118 (not ?v_1522))) (let ((?v_2106 (and (=> true (=> ?v_1522 (=> (= inline.AcquireDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2103))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.1) ?v_2104))))) (=> true (=> ?v_2118 (and (=> true (=> ?v_2102 (=> (= inline.AcquireDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2103))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.0) ?v_2105))))) (=> true (=> ?v_2121 (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0) ?v_2105)))))))))) (let ((?v_2112 (and (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.1) ?v_2106)))) (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1522 ?v_277) (=> (=> ?v_2102 ?v_278) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.2 inline.AcquireDpcLock.3.myNondetVar_0.0) (=> true ?v_2106)))))) (=> true (=> (=> ?v_1522 ?v_377) (=> (=> ?v_2102 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.3 inline.AcquireDpcLock.3.myNondetVar_0.0) (=> (= k.143 k.140) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_1.40 lockStatus_1.37) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2107)))))))))))))))))))))))))) (let ((?v_2115 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2112)))))))))) (?v_2114 (= errorReached.132 errorReached.130)) (?v_2117 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hdevice)) (?v_2116 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hqueue)) (?v_2113 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 htimer)) (?v_2111 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hrequest)) (?v_2110 (=> true (=> (= errorReached.132 errorReached.131) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2112)))) (?v_2108 (= reqCompleted_0.9 0)) (?v_2109 (= reqCompleted_1.9 0))) (let ((?v_1512 (not ?v_2108)) (?v_1514 (not ?v_2109))) (let ((?v_2120 (and (=> true (=> ?v_2111 (and (=> true (=> (=> ?v_1522 ?v_1512) (=> (=> ?v_2102 ?v_1514) (=> true (=> (= errorReached.131 1) ?v_2110))))) (=> true (=> (=> ?v_1522 ?v_2108) (=> (=> ?v_2102 ?v_2109) (=> true (=> (= errorReached.131 errorReached.130) (=> true ?v_2110))))))))) (=> true (=> (not ?v_2111) (and (=> true (=> ?v_2113 (=> true (=> ?v_2114 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2115))))) (=> true (=> (not ?v_2113) (and (=> true (=> ?v_2116 (=> true (=> ?v_2114 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2115))))) (=> true (=> (not ?v_2116) (and (=> true (=> ?v_2117 (=> true (=> ?v_2114 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2115))))) (=> true (=> (not ?v_2117) (=> true (=> ?v_2114 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2115))))))))))))))))) (let ((?v_2122 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2120)))))))))))) (?v_2119 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2132 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2119))) (?v_1511 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2119)))) (let ((?v_2124 (=> true (=> (<= k.139 k.140) (=> (< k.140 2) (and (=> true (=> ?v_1522 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.19) ?v_2120))))) (=> true (=> ?v_2118 (and (=> true (=> ?v_2102 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.18) ?v_2122))))) (=> true (=> ?v_2121 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) ?v_2122)))))))))))) (?v_1520 (= k.139 0)) (?v_1521 (= k.139 1))) (let ((?v_2123 (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call25832formal.ret.0) ?v_2124)))) (let ((?v_2127 (and (=> true (=> (=> ?v_1520 ?v_37) (=> (=> ?v_1521 ?v_38) ?v_2123))) (=> true (=> (=> ?v_1520 ?v_613) (=> (=> ?v_1521 ?v_614) (and (=> true (=> (=> ?v_1520 ?v_528) (=> (=> ?v_1521 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2123)))))))))))) (=> true (=> (=> ?v_1520 ?v_616) (=> (=> ?v_1521 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2124)))))))))))))))) (let ((?v_2129 (=> (= errorReached.130 errorReached.128) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2127))))))))))) (?v_2131 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hdevice)) (?v_2130 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hqueue)) (?v_2128 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 htimer)) (?v_2126 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hrequest)) (?v_2125 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.130 errorReached.129) ?v_2127))))) (let ((?v_2133 (and (=> true (=> ?v_2126 (and (=> true (=> (=> ?v_1520 ?v_1512) (=> (=> ?v_1521 ?v_1514) (=> true (=> (= errorReached.129 1) ?v_2125))))) (=> true (=> (=> ?v_1520 ?v_2108) (=> (=> ?v_1521 ?v_2109) (=> true (=> (= errorReached.129 errorReached.128) (=> true ?v_2125))))))))) (=> true (=> (not ?v_2126) (and (=> true (=> ?v_2128 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2129)))) (=> true (=> (not ?v_2128) (and (=> true (=> ?v_2130 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2129)))) (=> true (=> (not ?v_2130) (and (=> true (=> ?v_2131 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2129)))) (=> true (=> (not ?v_2131) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2129)))))))))))))))) (let ((?v_2134 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2133)))))))))))) (?v_1519 (int_2_U call25511formal.new.0))) (let ((?v_2137 (=> true (and ?v_1501 (=> ?v_1501 (=> (> call25511formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call25511formal.new.0 ?x361) (< ?x361 (+ call25511formal.new.0 1))) (= (Base ?x361) call25511formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call25511formal.new.0) (= (MapType0Select alloc.14 ?x362) (MapType0Select alloc.16 ?x362)))) :pattern ((MapType0Select alloc.16 ?x362)) )) (=> (and (= (MapType0Select alloc.14 ?v_1519) UNALLOCATED) (= (MapType0Select alloc.16 ?v_1519) ALLOCATED)) (=> true (=> (<= k.138 k.139) (=> (< k.139 2) (and (=> true (=> ?v_1520 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.15) ?v_2133))))) (=> true (=> (not ?v_1520) (and (=> true (=> ?v_1521 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.16) ?v_2134))))) (=> true (=> (not ?v_1521) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) ?v_2134)))))))))))))))))))) (let ((?v_2138 (=> true (=> true (=> true ?v_2137)))) (?v_2135 (= k.138 0)) (?v_2136 (= k.138 1))) (let ((?v_2143 (and (=> true (=> (=> ?v_2135 ?v_37) (=> (=> ?v_2136 ?v_38) ?v_2137))) (=> true (=> (=> ?v_2135 ?v_613) (=> (=> ?v_2136 ?v_614) (and (=> true (=> (=> ?v_2135 ?v_528) (=> (=> ?v_2136 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2138)))))))))))) (=> true (=> (=> ?v_2135 ?v_616) (=> (=> ?v_2136 ?v_617) ?v_2138))))))))) (?v_2145 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_2146 (= errorReached.128 errorReached.126))) (let ((?v_2147 (=> (= k.138 k.136) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2143))))))))))) (?v_2149 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hdevice)) (?v_2148 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hqueue)) (?v_2144 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 htimer)) (?v_2142 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hrequest)) (?v_2141 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 call25309formal.ret.0) (=> (= errorReached.128 errorReached.127) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.138 k.137) ?v_2143)))))) (?v_2139 (= k.137 0)) (?v_2140 (= k.137 1))) (let ((?v_2151 (and (=> true (=> ?v_2142 (=> true (=> (<= k.136 k.137) (=> (< k.137 2) (and (=> true (=> (=> ?v_2139 ?v_1512) (=> (=> ?v_2140 ?v_1514) (=> true (=> (= errorReached.127 1) ?v_2141))))) (=> true (=> (=> ?v_2139 ?v_2108) (=> (=> ?v_2140 ?v_2109) (=> true (=> (= errorReached.127 errorReached.126) (=> true ?v_2141)))))))))))) (=> true (=> (not ?v_2142) (and (=> true (=> ?v_2144 (=> true (=> ?v_2145 (=> ?v_2146 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2147)))))) (=> true (=> (not ?v_2144) (and (=> true (=> ?v_2148 (=> true (=> ?v_2145 (=> ?v_2146 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2147)))))) (=> true (=> (not ?v_2148) (and (=> true (=> ?v_2149 (=> true (=> ?v_2145 (=> ?v_2146 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2147)))))) (=> true (=> (not ?v_2149) (=> true (=> ?v_2145 (=> ?v_2146 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2147)))))))))))))))))) (let ((?v_2153 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2151)))))))))))) (?v_2152 (= k.136 1)) (?v_2150 (= k.136 0))) (let ((?v_2165 (=> true (=> (<= k.135 k.136) (=> (< k.136 2) (and (=> true (=> ?v_2150 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.12) ?v_2151))))) (=> true (=> (not ?v_2150) (and (=> true (=> ?v_2152 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.13) ?v_2153))))) (=> true (=> (not ?v_2152) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) ?v_2153)))))))))))) (?v_1517 (= k.132 0)) (?v_1518 (= k.132 1))) (let ((?v_2160 (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.2) (=> (= k.135 k.134) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= lockStatus_1.37 lockStatus_1.36) ?v_2165)))))))))) (?v_2159 (= inline.ReleaseDpcLock.2.myVar_0.2 hlock))) (let ((?v_2155 (=> true (=> (= lockStatus_1.36 lockStatus_1.35) (=> (= k.134 k.133) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call25122formal.ret.0) (=> (= lockStatus_0.36 lockStatus_0.35) ?v_2160)))))) (?v_2157 (= lockStatus_1.35 lockStatus_1.34))) (let ((?v_2158 (=> (= lockStatus_0.35 lockStatus_0.34) (=> true ?v_2155))) (?v_2156 (= k.133 1)) (?v_2154 (= k.133 0))) (let ((?v_2162 (and (=> true (=> ?v_2159 (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (and (=> true (=> ?v_2154 (=> true (=> ?v_2157 (=> (= lockStatus_0.35 0) ?v_2155))))) (=> true (=> (not ?v_2154) (and (=> true (=> ?v_2156 (=> true (=> (= lockStatus_1.35 0) ?v_2158)))) (=> true (=> (not ?v_2156) (=> true (=> ?v_2157 ?v_2158))))))))))))) (=> true (=> (not ?v_2159) (=> true (=> (= lockStatus_1.36 lockStatus_1.34) (=> (= k.134 k.132) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.36 lockStatus_0.34) (=> true (=> true (=> true ?v_2160))))))))))))) (let ((?v_2163 (=> true (=> true (=> true (=> true ?v_2162))))) (?v_2176 (not ?v_1518)) (?v_2161 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2174 (not ?v_1517))) (let ((?v_2164 (and (=> true (=> ?v_1517 (=> (= inline.ReleaseDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2161))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.0) ?v_2162))))) (=> true (=> ?v_2174 (and (=> true (=> ?v_1518 (=> (= inline.ReleaseDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2161))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.1) ?v_2163))))) (=> true (=> ?v_2176 (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0) ?v_2163)))))))))) (let ((?v_2168 (and (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.1) ?v_2164)))) (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1517 ?v_277) (=> (=> ?v_1518 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.2 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> true (=> true (=> true ?v_2164)))))))) (=> true (=> (=> ?v_1517 ?v_377) (=> (=> ?v_1518 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.3 inline.ReleaseDpcLock.2.myNondetVar_0.0) (=> (= k.135 k.132) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0) (=> (= lockStatus_1.37 lockStatus_1.34) (=> true (=> true (=> true ?v_2165))))))))))))))))))))) (let ((?v_2171 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2168)))))))))) (?v_2170 (= errorReached.126 errorReached.124)) (?v_2173 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hdevice)) (?v_2172 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hqueue)) (?v_2169 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 htimer)) (?v_2167 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hrequest)) (?v_2166 (=> true (=> (= errorReached.126 errorReached.125) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2168))))) (let ((?v_2175 (and (=> true (=> ?v_2167 (and (=> true (=> (=> ?v_1517 ?v_1512) (=> (=> ?v_1518 ?v_1514) (=> true (=> (= errorReached.125 1) ?v_2166))))) (=> true (=> (=> ?v_1517 ?v_2108) (=> (=> ?v_1518 ?v_2109) (=> true (=> (= errorReached.125 errorReached.124) (=> true ?v_2166))))))))) (=> true (=> (not ?v_2167) (and (=> true (=> ?v_2169 (=> true (=> ?v_2170 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2171))))) (=> true (=> (not ?v_2169) (and (=> true (=> ?v_2172 (=> true (=> ?v_2170 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2171))))) (=> true (=> (not ?v_2172) (and (=> true (=> ?v_2173 (=> true (=> ?v_2170 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2171))))) (=> true (=> (not ?v_2173) (=> true (=> ?v_2170 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2171))))))))))))))))) (let ((?v_2177 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2175))))))))))))) (let ((?v_2186 (and (=> true (=> ?v_1517 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.9) ?v_2175))))) (=> true (=> ?v_2174 (and (=> true (=> ?v_1518 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.10) ?v_2177))))) (=> true (=> ?v_2176 (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) ?v_2177))))))))) (?v_1516 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2184 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1516)) hrequest)) (?v_2185 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1516)) hrequest)) (?v_2180 (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_2186))))) (let ((?v_2183 (=> true ?v_2180)) (?v_2181 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2182 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2178 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2199 (and (=> true (=> (=> ?v_1517 ?v_2184) (=> (=> ?v_1518 ?v_2185) (and (=> true (=> ?v_1517 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2178 ?v_2179)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) (=> ?v_2182 ?v_2180)))))) (=> true (=> ?v_2174 (and (=> true (=> ?v_1518 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2178 ?v_2179)) (=> true (=> ?v_2181 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_2183)))))) (=> true (=> ?v_2176 (=> true (=> ?v_2181 (=> ?v_2182 ?v_2183)))))))))))) (=> true (=> (=> ?v_1517 (not ?v_2184)) (=> (=> ?v_1518 (not ?v_2185)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> true ?v_2186))))))))) (?v_1510 (= k.128 0)) (?v_1513 (= k.128 1))) (let ((?v_2192 (=> true (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0.2) (=> (= k.132 k.131) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call24714formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_1.34 lockStatus_1.33) ?v_2199))))))))))) (?v_2191 (= inline.AcquireDpcLock.2.myVar_0.2 hlock))) (let ((?v_2188 (=> true (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= k.131 k.130) (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call24662formal.ret.0) ?v_2192)))))) (?v_2189 (= lockStatus_1.32 lockStatus_1.31))) (let ((?v_2190 (=> (= lockStatus_0.32 lockStatus_0.31) (=> true ?v_2188))) (?v_2187 (= k.130 1)) (?v_1515 (= k.130 0))) (let ((?v_2195 (and (=> true (=> ?v_2191 (=> true (=> (<= k.129 k.130) (=> (< k.130 2) (=> true (=> (=> ?v_1515 (= lockStatus_0.31 0)) (=> (=> ?v_2187 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1515 (=> true (=> ?v_2189 (=> (= lockStatus_0.32 1) ?v_2188))))) (=> true (=> (not ?v_1515) (and (=> true (=> ?v_2187 (=> true (=> (= lockStatus_1.32 1) ?v_2190)))) (=> true (=> (not ?v_2187) (=> true (=> ?v_2189 ?v_2190)))))))))))))))) (=> true (=> (not ?v_2191) (=> true (=> (= lockStatus_1.33 lockStatus_1.31) (=> (= k.131 k.129) (=> (= lockStatus_0.33 lockStatus_0.31) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2192)))))))))))))))) (let ((?v_2197 (=> true (=> true (=> true (=> true ?v_2195))))) (?v_2196 (= k.129 1)) (?v_2194 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2193 (= k.129 0))) (let ((?v_2198 (=> true (=> (<= k.128 k.129) (=> (< k.129 2) (and (=> true (=> ?v_2193 (=> (= inline.AcquireDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2194))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.1) ?v_2195))))) (=> true (=> (not ?v_2193) (and (=> true (=> ?v_2196 (=> (= inline.AcquireDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2194))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.0) ?v_2197))))) (=> true (=> (not ?v_2196) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0) ?v_2197))))))))))))) (let ((?v_2202 (and (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.0) ?v_2198)))) (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_1510 ?v_277) (=> (=> ?v_1513 ?v_278) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.2 inline.AcquireDpcLock.2.myNondetVar_0.1) ?v_2198))))) (=> true (=> (=> ?v_1510 ?v_377) (=> (=> ?v_1513 ?v_379) (=> true (=> (= lockStatus_0.34 lockStatus_0.31) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.3 inline.AcquireDpcLock.2.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0) (=> (= k.132 k.128) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.34 lockStatus_1.31) (=> true (=> true (=> true (=> true ?v_2199))))))))))))))))))))))) (let ((?v_2205 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2202)))))))))) (?v_2204 (= errorReached.124 errorReached.122)) (?v_2207 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hdevice)) (?v_2206 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hqueue)) (?v_2203 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 htimer)) (?v_2201 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hrequest)) (?v_2200 (=> true (=> (= errorReached.124 errorReached.123) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2202))))) (let ((?v_2208 (and (=> true (=> ?v_2201 (and (=> true (=> (=> ?v_1510 ?v_1512) (=> (=> ?v_1513 ?v_1514) (=> true (=> (= errorReached.123 1) ?v_2200))))) (=> true (=> (=> ?v_1510 ?v_2108) (=> (=> ?v_1513 ?v_2109) (=> true (=> (= errorReached.123 errorReached.122) (=> true ?v_2200))))))))) (=> true (=> (not ?v_2201) (and (=> true (=> ?v_2203 (=> true (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2205))))) (=> true (=> (not ?v_2203) (and (=> true (=> ?v_2206 (=> true (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2205))))) (=> true (=> (not ?v_2206) (and (=> true (=> ?v_2207 (=> true (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2205))))) (=> true (=> (not ?v_2207) (=> true (=> ?v_2204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2205))))))))))))))))) (let ((?v_2209 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2208))))))))))))) (let ((?v_2211 (and (=> true (=> ?v_1510 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.6) ?v_2208))))) (=> true (=> (not ?v_1510) (and (=> true (=> ?v_1513 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.7) ?v_2209))))) (=> true (=> (not ?v_1513) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) ?v_2209)))))))))) (let ((?v_2210 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call24305formal.ret.0) ?v_2211)))) (let ((?v_2216 (and (=> true (=> (=> ?v_1510 ?v_37) (=> (=> ?v_1513 ?v_38) ?v_2210))) (=> true (=> (=> ?v_1510 ?v_613) (=> (=> ?v_1513 ?v_614) (and (=> true (=> (=> ?v_1510 ?v_528) (=> (=> ?v_1513 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2210)))))))))))) (=> true (=> (=> ?v_1510 ?v_616) (=> (=> ?v_1513 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_2211))))))))))))))))) (let ((?v_2218 (=> (= errorReached.122 errorReached.120) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> (= k.128 k.126) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2216))))))))))))) (?v_2220 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hdevice)) (?v_2219 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hqueue)) (?v_2217 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 htimer)) (?v_2215 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hrequest)) (?v_2214 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.122 errorReached.121) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 call24108formal.ret.0) (=> (= k.128 k.127) ?v_2216)))))) (?v_2212 (= k.127 0)) (?v_2213 (= k.127 1))) (let ((?v_2222 (and (=> true (=> ?v_2215 (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> (=> ?v_2212 ?v_1512) (=> (=> ?v_2213 ?v_1514) (=> true (=> (= errorReached.121 1) ?v_2214))))) (=> true (=> (=> ?v_2212 ?v_2108) (=> (=> ?v_2213 ?v_2109) (=> true (=> (= errorReached.121 errorReached.120) (=> true ?v_2214)))))))))))) (=> true (=> (not ?v_2215) (and (=> true (=> ?v_2217 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2218)))) (=> true (=> (not ?v_2217) (and (=> true (=> ?v_2219 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2218)))) (=> true (=> (not ?v_2219) (and (=> true (=> ?v_2220 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2218)))) (=> true (=> (not ?v_2220) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2218)))))))))))))))) (let ((?v_2224 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2222)))))))))))) (?v_2223 (= k.126 1)) (?v_2221 (= k.126 0))) (let ((?v_2394 (=> true (=> (<= k.125 k.126) (=> (< k.126 2) (and (=> true (=> ?v_2221 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 ?v_1511) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.3) ?v_2222))))) (=> true (=> (not ?v_2221) (and (=> true (=> ?v_2223 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 ?v_2132) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.4) ?v_2224))))) (=> true (=> (not ?v_2223) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) ?v_2224)))))))))))) (?v_2398 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2399 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2400 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2401 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2402 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2403 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_2404 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_2405 (= reqCompleted_0.9 reqCompleted_0.1)) (?v_2406 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2407 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2408 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_2409 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2410 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_2411 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2412 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_2413 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2414 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2415 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_2416 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_2417 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_2418 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2419 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_2420 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2421 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2422 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2423 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2424 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2425 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_2426 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_2427 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2428 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2429 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2430 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2431 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2432 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_2433 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2434 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2435 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2436 (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0)) (?v_2437 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2438 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2439 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2440 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2441 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2442 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2443 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2444 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2445 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2446 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2447 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_2448 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_2449 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2450 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2451 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2452 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_2453 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2454 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2455 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2456 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2457 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2458 (= reqCompleted_1.9 reqCompleted_1.1)) (?v_2459 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_2460 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2461 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_2462 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_2463 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_2464 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2465 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2466 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_2467 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2468 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_2469 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2470 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_2471 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2472 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_2473 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2474 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2475 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2476 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2477 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_2478 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2479 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2480 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2481 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2482 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2483 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2484 (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0)) (?v_2485 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_2486 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2487 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2488 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_2489 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2490 (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2491 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2492 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2493 (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0))) (let ((?v_2494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= lockStatus_1.31 lockStatus_1.8) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= lockStatus_0.31 lockStatus_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0) (=> (= k.125 k.62) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> true ?v_2394))))))))))))))))))))))))))))))))))) (let ((?v_2502 (=> true (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= reqCancelSet_1.15 reqCancelSet_1.7) (=> ?v_2437 (=> (= reqCancelSet_0.15 reqCancelSet_0.7) (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= errorReached.120 errorReached.71) (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) ?v_2494))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2495 (=> true (=> (= errorReached.71 errorReached.66) (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) ?v_2502)))))) (let ((?v_2498 (=> true ?v_2495)) (?v_2496 (= reqCancelSet_0.6 reqCancelSet_0.5)) (?v_2497 (= reqCancelSet_1.6 reqCancelSet_1.5)) (?v_2387 (= k.62 1)) (?v_2386 (= k.62 0))) (let ((?v_2501 (and (=> true (=> ?v_2386 (=> true (=> (= reqCancelSet_0.6 1) (=> ?v_2497 ?v_2495))))) (=> true (=> (not ?v_2386) (and (=> true (=> ?v_2387 (=> true (=> ?v_2496 (=> (= reqCancelSet_1.6 1) ?v_2498))))) (=> true (=> (not ?v_2387) (=> true (=> ?v_2496 (=> ?v_2497 ?v_2498)))))))))) (?v_2235 (= reqCompleted_0.1 0))) (let ((?v_2499 (=> ?v_2386 ?v_2235)) (?v_2236 (= reqCompleted_1.1 0))) (let ((?v_2500 (=> ?v_2387 ?v_2236)) (?v_1499 (not ?v_2235))) (let ((?v_2396 (=> ?v_2386 ?v_1499)) (?v_1500 (not ?v_2236))) (let ((?v_2397 (=> ?v_2387 ?v_1500)) (?v_2395 (= (BINARY_BOTH_INT call21259formal.ret.0 2) 0)) (?v_2391 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call21283formal.ret.0)) (?v_2392 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2393 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2390 (= call21283formal.ret.0 ?v_327))) (let ((?v_2247 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0.3) (=> ?v_2391 (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> ?v_2392 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.120 errorReached.119) (=> (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.4 inline.AcquireDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> ?v_2393 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= k.125 k.124) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) ?v_2394))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2252 (=> true (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= k.124 k.123) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= reqCancelSet_0.14 reqCancelSet_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= errorReached.119 errorReached.114) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= reqCompleted_0.8 reqCompleted_0.1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= reqCancelSet_1.14 reqCancelSet_1.5) (=> (= reqCompleted_1.8 reqCompleted_1.1) (=> true (=> true (=> true ?v_2247)))))))))))))))))))))))))))))))))))) (?v_2254 (= errorReached.114 errorReached.112))) (let ((?v_2255 (=> (= k.123 k.121) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2252))))))))))))))))))))) (?v_2257 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_2256 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_2253 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_2251 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_2250 (=> true (=> (= errorReached.114 errorReached.113) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.123 k.122) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 call23530formal.ret.0) ?v_2252)))))) (?v_2248 (= k.122 0)) (?v_2249 (= k.122 1)) (?v_2246 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2238 (=> true (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= k.124 k.121) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= reqCancelSet_0.14 reqCancelSet_0.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= errorReached.119 errorReached.118) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= reqCompleted_0.8 reqCompleted_0.7) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= reqCancelSet_1.14 reqCancelSet_1.13) (=> (= reqCompleted_1.8 reqCompleted_1.7) ?v_2247)))))))))))))))))))))))))))))))))) (let ((?v_2225 (=> true (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= errorReached.118 errorReached.117) (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= reqCompleted_1.7 reqCompleted_1.6) ?v_2238)))))))) (let ((?v_2228 (=> true ?v_2225)) (?v_2226 (= reqCancelSet_0.12 reqCancelSet_0.5)) (?v_2227 (= reqCancelSet_1.12 reqCancelSet_1.5)) (?v_1507 (= k.121 1))) (let ((?v_2231 (not ?v_1507)) (?v_1506 (= k.121 0))) (let ((?v_2229 (not ?v_1506))) (let ((?v_2230 (and (=> true (=> ?v_1506 (=> true (=> (= reqCancelSet_0.12 0) (=> ?v_2227 ?v_2225))))) (=> true (=> ?v_2229 (and (=> true (=> ?v_1507 (=> true (=> ?v_2226 (=> (= reqCancelSet_1.12 0) ?v_2228))))) (=> true (=> ?v_2231 (=> true (=> ?v_2226 (=> ?v_2227 ?v_2228))))))))))) (let ((?v_2234 (=> true (=> true ?v_2230))) (?v_2232 (= reqCompleted_0.6 reqCompleted_0.1)) (?v_2233 (= reqCompleted_1.6 reqCompleted_1.1))) (let ((?v_2237 (and (=> true (=> ?v_1506 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2233 ?v_2230))))) (=> true (=> ?v_2229 (and (=> true (=> ?v_1507 (=> true (=> ?v_2232 (=> (= reqCompleted_1.6 1) ?v_2234))))) (=> true (=> ?v_2231 (=> true (=> ?v_2232 (=> ?v_2233 ?v_2234)))))))))) (?v_2240 (=> ?v_1506 ?v_2235)) (?v_2241 (=> ?v_1507 ?v_2236)) (?v_1508 (=> ?v_1506 ?v_1499)) (?v_1509 (=> ?v_1507 ?v_1500))) (let ((?v_2239 (and (=> true (=> ?v_25 (and (=> true (=> ?v_1508 (=> ?v_1509 (=> true (=> (= errorReached.117 1) ?v_2237))))) (=> true (=> ?v_2240 (=> ?v_2241 (=> true (=> (= errorReached.117 errorReached.116) (=> true ?v_2237))))))))) (=> true (=> ?v_470 (=> true (=> (= reqCompleted_0.7 reqCompleted_0.1) (=> (= errorReached.118 errorReached.116) (=> (= reqCancelSet_1.13 reqCancelSet_1.5) (=> (= reqCancelSet_0.13 reqCancelSet_0.5) (=> (= reqCompleted_1.7 reqCompleted_1.1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2238))))))))))))))))) (let ((?v_2243 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2) ?v_2239)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2239))))))))))))))))) (let ((?v_2245 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2243)))))))))) (?v_2244 (= errorReached.116 errorReached.112)) (?v_2242 (=> true (=> (= errorReached.116 errorReached.115) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2243))))) (let ((?v_2258 (and (=> true (=> (not ?v_2246) (and (=> true (=> ?v_25 (and (=> true (=> ?v_1508 (=> ?v_1509 (=> true (=> (= errorReached.115 1) ?v_2242))))) (=> true (=> ?v_2240 (=> ?v_2241 (=> true (=> (= errorReached.115 errorReached.112) (=> true ?v_2242))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_2244 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2245))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_2244 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2245))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_2244 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2245))))) (=> true (=> ?v_513 (=> true (=> ?v_2244 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2245))))))))))))))))) (=> true (=> ?v_2246 (and (=> true (=> ?v_2251 (=> true (=> (<= k.121 k.122) (=> (< k.122 2) (and (=> true (=> (=> ?v_2248 ?v_1499) (=> (=> ?v_2249 ?v_1500) (=> true (=> (= errorReached.113 1) ?v_2250))))) (=> true (=> (=> ?v_2248 ?v_2235) (=> (=> ?v_2249 ?v_2236) (=> true (=> (= errorReached.113 errorReached.112) (=> true ?v_2250)))))))))))) (=> true (=> (not ?v_2251) (and (=> true (=> ?v_2253 (=> true (=> ?v_2254 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2255))))) (=> true (=> (not ?v_2253) (and (=> true (=> ?v_2256 (=> true (=> ?v_2254 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2255))))) (=> true (=> (not ?v_2256) (and (=> true (=> ?v_2257 (=> true (=> ?v_2254 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2255))))) (=> true (=> (not ?v_2257) (=> true (=> ?v_2254 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2255)))))))))))))))))))) (let ((?v_2259 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2258)))))))) (let ((?v_2264 (and (=> true (=> (=> ?v_1506 ?v_37) (=> (=> ?v_1507 ?v_38) ?v_2258))) (=> true (=> (=> ?v_1506 ?v_613) (=> (=> ?v_1507 ?v_614) (and (=> true (=> (=> ?v_1506 ?v_528) (=> (=> ?v_1507 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2259)))))))))))) (=> true (=> (=> ?v_1506 ?v_616) (=> (=> ?v_1507 ?v_617) ?v_2259)))))))))) (let ((?v_2266 (=> (= errorReached.112 errorReached.110) (=> (= k.121 k.119) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2264))))))))))))) (?v_2268 (= inline.EvtRequestChildCancel.0.myVar_0.14 hdevice)) (?v_2267 (= inline.EvtRequestChildCancel.0.myVar_0.14 hqueue)) (?v_2265 (= inline.EvtRequestChildCancel.0.myVar_0.14 htimer)) (?v_2263 (= inline.EvtRequestChildCancel.0.myVar_0.14 hrequest)) (?v_2262 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.112 errorReached.111) (=> (= k.121 k.120) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call23240formal.ret.0) ?v_2264)))))) (?v_2260 (= k.120 0)) (?v_2261 (= k.120 1))) (let ((?v_2271 (and (=> true (=> ?v_2263 (=> true (=> (<= k.119 k.120) (=> (< k.120 2) (and (=> true (=> (=> ?v_2260 ?v_1499) (=> (=> ?v_2261 ?v_1500) (=> true (=> (= errorReached.111 1) ?v_2262))))) (=> true (=> (=> ?v_2260 ?v_2235) (=> (=> ?v_2261 ?v_2236) (=> true (=> (= errorReached.111 errorReached.110) (=> true ?v_2262)))))))))))) (=> true (=> (not ?v_2263) (and (=> true (=> ?v_2265 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2266)))) (=> true (=> (not ?v_2265) (and (=> true (=> ?v_2267 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2266)))) (=> true (=> (not ?v_2267) (and (=> true (=> ?v_2268 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2266)))) (=> true (=> (not ?v_2268) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2266)))))))))))))))) (let ((?v_2273 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2271)))))))))))) (?v_2272 (= k.119 1)) (?v_2270 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2299 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2270))) (?v_2269 (= k.119 0)) (?v_1504 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2270)))) (let ((?v_2287 (and (=> true (=> ?v_2269 (=> (= inline.EvtRequestChildCancel.0.myVar_0.12 ?v_1504) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.12) ?v_2271))))) (=> true (=> (not ?v_2269) (and (=> true (=> ?v_2272 (=> (= inline.EvtRequestChildCancel.0.myVar_0.13 ?v_2299) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.13) ?v_2273))))) (=> true (=> (not ?v_2272) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.11) ?v_2273))))))))) (?v_2281 (= k.116 0)) (?v_2284 (= k.116 1))) (let ((?v_2280 (=> true (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= k.119 k.118) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= lockStatus_1.30 lockStatus_1.29) ?v_2287)))))))))) (?v_2279 (= inline.ReleaseDpcLock.1.myVar_0.2 hlock))) (let ((?v_2275 (=> true (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= k.118 k.117) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call23094formal.ret.0) (=> (= lockStatus_0.29 lockStatus_0.28) ?v_2280)))))) (?v_2277 (= lockStatus_1.28 lockStatus_1.27))) (let ((?v_2278 (=> (= lockStatus_0.28 lockStatus_0.27) (=> true ?v_2275))) (?v_2276 (= k.117 1)) (?v_2274 (= k.117 0))) (let ((?v_2283 (and (=> true (=> ?v_2279 (=> true (=> (<= k.116 k.117) (=> (< k.117 2) (and (=> true (=> ?v_2274 (=> true (=> ?v_2277 (=> (= lockStatus_0.28 0) ?v_2275))))) (=> true (=> (not ?v_2274) (and (=> true (=> ?v_2276 (=> true (=> (= lockStatus_1.28 0) ?v_2278)))) (=> true (=> (not ?v_2276) (=> true (=> ?v_2277 ?v_2278))))))))))))) (=> true (=> (not ?v_2279) (=> true (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= k.118 k.116) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.29 lockStatus_0.27) (=> true (=> true (=> true ?v_2280))))))))))))) (let ((?v_2285 (=> true (=> true (=> true (=> true ?v_2283))))) (?v_2282 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2286 (and (=> true (=> ?v_2281 (=> (= inline.ReleaseDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2282))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.0) ?v_2283))))) (=> true (=> (not ?v_2281) (and (=> true (=> ?v_2284 (=> (= inline.ReleaseDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2282))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.1) ?v_2285))))) (=> true (=> (not ?v_2284) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0) ?v_2285)))))))))) (let ((?v_2292 (and (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.1) ?v_2286)))) (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_2281 ?v_277) (=> (=> ?v_2284 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.2 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> true (=> true (=> true ?v_2286)))))))) (=> true (=> (=> ?v_2281 ?v_377) (=> (=> ?v_2284 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= k.119 k.116) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.3 inline.ReleaseDpcLock.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.30 lockStatus_1.27) (=> true (=> true (=> true (=> true ?v_2287))))))))))))))))))))) (?v_2294 (= errorReached.110 errorReached.108))) (let ((?v_2295 (=> (= k.116 k.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2292)))))))))))) (?v_2297 (= inline.EvtRequestChildCancel.0.myVar_0.11 hdevice)) (?v_2296 (= inline.EvtRequestChildCancel.0.myVar_0.11 hqueue)) (?v_2293 (= inline.EvtRequestChildCancel.0.myVar_0.11 htimer)) (?v_2291 (= inline.EvtRequestChildCancel.0.myVar_0.11 hrequest)) (?v_2290 (=> true (=> (= errorReached.110 errorReached.109) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.116 k.115) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call22853formal.ret.0) ?v_2292)))))) (?v_2288 (= k.115 0)) (?v_2289 (= k.115 1))) (let ((?v_2300 (and (=> true (=> ?v_2291 (=> true (=> (<= k.114 k.115) (=> (< k.115 2) (and (=> true (=> (=> ?v_2288 ?v_1499) (=> (=> ?v_2289 ?v_1500) (=> true (=> (= errorReached.109 1) ?v_2290))))) (=> true (=> (=> ?v_2288 ?v_2235) (=> (=> ?v_2289 ?v_2236) (=> true (=> (= errorReached.109 errorReached.108) (=> true ?v_2290)))))))))))) (=> true (=> (not ?v_2291) (and (=> true (=> ?v_2293 (=> true (=> ?v_2294 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2295))))) (=> true (=> (not ?v_2293) (and (=> true (=> ?v_2296 (=> true (=> ?v_2294 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2295))))) (=> true (=> (not ?v_2296) (and (=> true (=> ?v_2297 (=> true (=> ?v_2294 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2295))))) (=> true (=> (not ?v_2297) (=> true (=> ?v_2294 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2295))))))))))))))))) (let ((?v_2302 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2300)))))))))))) (?v_2301 (= k.114 1)) (?v_2298 (= k.114 0))) (let ((?v_2305 (=> true (=> (<= k.113 k.114) (=> (< k.114 2) (and (=> true (=> ?v_2298 (=> (= inline.EvtRequestChildCancel.0.myVar_0.9 ?v_1504) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.9) ?v_2300))))) (=> true (=> (not ?v_2298) (and (=> true (=> ?v_2301 (=> (= inline.EvtRequestChildCancel.0.myVar_0.10 ?v_2299) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.10) ?v_2302))))) (=> true (=> (not ?v_2301) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.8) ?v_2302))))))))))))) (let ((?v_2308 (=> true (=> true ?v_2305))) (?v_2306 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2307 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2303 (= k.113 1))) (let ((?v_2312 (not ?v_2303)) (?v_2304 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_1505 (= k.113 0))) (let ((?v_2309 (not ?v_1505))) (let ((?v_2311 (and (=> true (=> ?v_1505 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2304 ?v_64)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) (=> ?v_2307 ?v_2305)))))) (=> true (=> ?v_2309 (and (=> true (=> ?v_2303 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2304 ?v_64)) (=> true (=> ?v_2306 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_2308)))))) (=> true (=> ?v_2312 (=> true (=> ?v_2306 (=> ?v_2307 ?v_2308))))))))))) (let ((?v_2315 (=> true (=> true ?v_2311))) (?v_2313 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2314 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2310 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2325 (and (=> true (=> ?v_1505 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2310 ?v_64)) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) (=> ?v_2314 ?v_2311)))))) (=> true (=> ?v_2309 (and (=> true (=> ?v_2303 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2310 ?v_64)) (=> true (=> ?v_2313 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2315)))))) (=> true (=> ?v_2312 (=> true (=> ?v_2313 (=> ?v_2314 ?v_2315))))))))))) (let ((?v_2320 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0.2) (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call22655formal.ret.0) ?v_2325))))))))) (?v_2319 (= inline.AcquireDpcLock.1.myVar_0.2 hlock))) (let ((?v_2316 (=> true (=> (= lockStatus_1.26 lockStatus_1.25) (=> (= lockStatus_0.26 lockStatus_0.25) ?v_2320)))) (?v_2317 (= lockStatus_1.25 lockStatus_1.8))) (let ((?v_2318 (=> (= lockStatus_0.25 lockStatus_0.8) (=> true ?v_2316)))) (let ((?v_2322 (and (=> true (=> ?v_2319 (=> true (=> (=> ?v_1505 (= lockStatus_0.8 0)) (=> (=> ?v_2303 (= lockStatus_1.8 0)) (and (=> true (=> ?v_1505 (=> true (=> ?v_2317 (=> (= lockStatus_0.25 1) ?v_2316))))) (=> true (=> ?v_2309 (and (=> true (=> ?v_2303 (=> true (=> (= lockStatus_1.25 1) ?v_2318)))) (=> true (=> ?v_2312 (=> true (=> ?v_2317 ?v_2318))))))))))))) (=> true (=> (not ?v_2319) (=> true (=> (= lockStatus_1.26 lockStatus_1.8) (=> (= lockStatus_0.26 lockStatus_0.8) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2320)))))))))))))) (let ((?v_2323 (=> true (=> true (=> true (=> true ?v_2322))))) (?v_2321 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2324 (and (=> true (=> ?v_1505 (=> (= inline.AcquireDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2321))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.1) ?v_2322))))) (=> true (=> ?v_2309 (and (=> true (=> ?v_2303 (=> (= inline.AcquireDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2321))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.0) ?v_2323))))) (=> true (=> ?v_2312 (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0) ?v_2323)))))))))) (let ((?v_2330 (and (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.1) ?v_2324)))) (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (=> ?v_1505 ?v_277) (=> (=> ?v_2303 ?v_278) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.2 inline.AcquireDpcLock.1.myNondetVar_0.0) (=> true ?v_2324)))))) (=> true (=> (=> ?v_1505 ?v_377) (=> (=> ?v_2303 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.27 lockStatus_1.8) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0) (=> (= lockStatus_0.27 lockStatus_0.8) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true (=> true ?v_2325))))))))))))))))))))) (let ((?v_2332 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> (= errorReached.108 errorReached.106) (=> (= k.113 k.111) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2330))))))))))))) (?v_2334 (= inline.EvtRequestChildCancel.0.myVar_0.8 hdevice)) (?v_2333 (= inline.EvtRequestChildCancel.0.myVar_0.8 hqueue)) (?v_2331 (= inline.EvtRequestChildCancel.0.myVar_0.8 htimer)) (?v_2329 (= inline.EvtRequestChildCancel.0.myVar_0.8 hrequest)) (?v_2328 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 call22366formal.ret.0) (=> (= errorReached.108 errorReached.107) (=> (= k.113 k.112) ?v_2330)))))) (?v_2326 (= k.112 0)) (?v_2327 (= k.112 1))) (let ((?v_2336 (and (=> true (=> ?v_2329 (=> true (=> (<= k.111 k.112) (=> (< k.112 2) (and (=> true (=> (=> ?v_2326 ?v_1499) (=> (=> ?v_2327 ?v_1500) (=> true (=> (= errorReached.107 1) ?v_2328))))) (=> true (=> (=> ?v_2326 ?v_2235) (=> (=> ?v_2327 ?v_2236) (=> true (=> (= errorReached.107 errorReached.106) (=> true ?v_2328)))))))))))) (=> true (=> (not ?v_2329) (and (=> true (=> ?v_2331 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2332)))) (=> true (=> (not ?v_2331) (and (=> true (=> ?v_2333 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2332)))) (=> true (=> (not ?v_2333) (and (=> true (=> ?v_2334 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2332)))) (=> true (=> (not ?v_2334) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2332)))))))))))))))) (let ((?v_2338 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2336)))))))))))) (?v_2337 (= k.111 1)) (?v_2335 (= k.111 0))) (let ((?v_2342 (=> true (=> (<= k.110 k.111) (=> (< k.111 2) (and (=> true (=> ?v_2335 (=> (= inline.EvtRequestChildCancel.0.myVar_0.7 ?v_1504) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.7) ?v_2336))))) (=> true (=> (not ?v_2335) (and (=> true (=> ?v_2337 (=> (= inline.EvtRequestChildCancel.0.myVar_0.6 ?v_2299) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.6) ?v_2338))))) (=> true (=> (not ?v_2337) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.5) ?v_2338)))))))))))) (?v_2339 (= k.110 0)) (?v_2340 (= k.110 1))) (let ((?v_2341 (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call22246formal.ret.0) ?v_2342)))) (let ((?v_2347 (and (=> true (=> (=> ?v_2339 ?v_37) (=> (=> ?v_2340 ?v_38) ?v_2341))) (=> true (=> (=> ?v_2339 ?v_613) (=> (=> ?v_2340 ?v_614) (and (=> true (=> (=> ?v_2339 ?v_528) (=> (=> ?v_2340 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2341)))))))))))) (=> true (=> (=> ?v_2339 ?v_616) (=> (=> ?v_2340 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2342))))))))))))))) (?v_2349 (= errorReached.106 errorReached.104))) (let ((?v_2350 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.) (=> (= k.110 k.108) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2347)))))))))))) (?v_2352 (= inline.EvtRequestChildCancel.0.myVar_0.5 hdevice)) (?v_2351 (= inline.EvtRequestChildCancel.0.myVar_0.5 hqueue)) (?v_2348 (= inline.EvtRequestChildCancel.0.myVar_0.5 htimer)) (?v_2346 (= inline.EvtRequestChildCancel.0.myVar_0.5 hrequest)) (?v_2345 (=> true (=> (= errorReached.106 errorReached.105) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 call22049formal.ret.0) (=> (= k.110 k.109) ?v_2347)))))) (?v_2343 (= k.109 0)) (?v_2344 (= k.109 1))) (let ((?v_2354 (and (=> true (=> ?v_2346 (=> true (=> (<= k.108 k.109) (=> (< k.109 2) (and (=> true (=> (=> ?v_2343 ?v_1499) (=> (=> ?v_2344 ?v_1500) (=> true (=> (= errorReached.105 1) ?v_2345))))) (=> true (=> (=> ?v_2343 ?v_2235) (=> (=> ?v_2344 ?v_2236) (=> true (=> (= errorReached.105 errorReached.104) (=> true ?v_2345)))))))))))) (=> true (=> (not ?v_2346) (and (=> true (=> ?v_2348 (=> true (=> ?v_2349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2350))))) (=> true (=> (not ?v_2348) (and (=> true (=> ?v_2351 (=> true (=> ?v_2349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2350))))) (=> true (=> (not ?v_2351) (and (=> true (=> ?v_2352 (=> true (=> ?v_2349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2350))))) (=> true (=> (not ?v_2352) (=> true (=> ?v_2349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2350))))))))))))))))) (let ((?v_2355 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2354)))))))))))) (?v_2353 (= k.108 1)) (?v_1503 (= k.108 0))) (let ((?v_2357 (and (=> true (=> ?v_1503 (=> (= inline.EvtRequestChildCancel.0.myVar_0.3 ?v_1504) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.3) ?v_2354))))) (=> true (=> (not ?v_1503) (and (=> true (=> ?v_2353 (=> (= inline.EvtRequestChildCancel.0.myVar_0.4 ?v_2299) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.4) ?v_2355))))) (=> true (=> (not ?v_2353) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.2) ?v_2355)))))))))) (let ((?v_2359 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2357))))))))))) (?v_2358 (= errorReached.104 errorReached.102)) (?v_2356 (=> true (=> (= errorReached.104 errorReached.103) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2357))))) (let ((?v_2364 (and (=> true (=> ?v_25 (and (=> true (=> (=> ?v_1503 ?v_1499) (=> (=> ?v_2353 ?v_1500) (=> true (=> (= errorReached.103 1) ?v_2356))))) (=> true (=> (=> ?v_1503 ?v_2235) (=> (=> ?v_2353 ?v_2236) (=> true (=> (= errorReached.103 errorReached.102) (=> true ?v_2356))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_2358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2359))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_2358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2359))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_2358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2359))))) (=> true (=> ?v_513 (=> true (=> ?v_2358 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2359)))))))))))))))) (?v_2366 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.))) (let ((?v_2367 (=> (= errorReached.102 errorReached.69) (=> (= k.108 k.64) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2364))))))))))))))))))) (?v_2369 (= inline.EvtRequestChildCancel.0.myVar_0.2 hdevice)) (?v_2368 (= inline.EvtRequestChildCancel.0.myVar_0.2 hqueue)) (?v_2365 (= inline.EvtRequestChildCancel.0.myVar_0.2 htimer)) (?v_2363 (= inline.EvtRequestChildCancel.0.myVar_0.2 hrequest)) (?v_2362 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call21670formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.102 errorReached.70) (=> (= k.108 k.65) ?v_2364)))))) (?v_2360 (= k.65 0)) (?v_2361 (= k.65 1))) (let ((?v_2372 (and (=> true (=> ?v_2363 (=> true (=> (<= k.64 k.65) (=> (< k.65 2) (and (=> true (=> (=> ?v_2360 ?v_1499) (=> (=> ?v_2361 ?v_1500) (=> true (=> (= errorReached.70 1) ?v_2362))))) (=> true (=> (=> ?v_2360 ?v_2235) (=> (=> ?v_2361 ?v_2236) (=> true (=> (= errorReached.70 errorReached.69) (=> true ?v_2362)))))))))))) (=> true (=> (not ?v_2363) (and (=> true (=> ?v_2365 (=> true (=> ?v_2366 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2367))))) (=> true (=> (not ?v_2365) (and (=> true (=> ?v_2368 (=> true (=> ?v_2366 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2367))))) (=> true (=> (not ?v_2368) (and (=> true (=> ?v_2369 (=> true (=> ?v_2366 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2367))))) (=> true (=> (not ?v_2369) (=> true (=> ?v_2366 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2367))))))))))))))))) (let ((?v_2374 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2372)))))))) (?v_2373 (= k.64 1)) (?v_2371 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2370 (= k.64 0))) (let ((?v_2379 (and (=> true (=> ?v_2370 (=> (= inline.EvtRequestChildCancel.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2371))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.0) ?v_2372))))) (=> true (=> (not ?v_2370) (and (=> true (=> ?v_2373 (=> (= inline.EvtRequestChildCancel.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2371))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.1) ?v_2374))))) (=> true (=> (not ?v_2373) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0) ?v_2374)))))))))) (let ((?v_2384 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2379))))))))))) (?v_2381 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_2382 (= errorReached.69 errorReached.67)) (?v_2383 (= k.64 k.62)) (?v_2377 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 call21462formal.ret.0) (=> (= errorReached.69 errorReached.68) (=> (= k.64 k.63) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2379)))))) (?v_2375 (= k.63 0)) (?v_2376 (= k.63 1))) (let ((?v_2388 (and (=> true (=> ?v_22 (=> true (=> (<= k.62 k.63) (=> (< k.63 2) (and (=> true (=> (=> ?v_2375 ?v_1499) (=> (=> ?v_2376 ?v_1500) (=> true (=> (= errorReached.68 1) ?v_2377))))) (=> true (=> (=> ?v_2375 ?v_2235) (=> (=> ?v_2376 ?v_2236) (=> true (=> (= errorReached.68 errorReached.67) (=> true ?v_2377)))))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2384))))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2384))))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2384))))))) (=> true (=> ?v_2385 (=> true (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2384))))))))))))))))))) (let ((?v_2389 (=> true (=> (= errorReached.67 errorReached.65) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2388)))))))))))))))) (?v_1502 (int_2_U call21245formal.new.0))) (let ((?v_2507 (=> true (and ?v_1501 (=> ?v_1501 (=> (> call21245formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call21245formal.new.0 ?x363) (< ?x363 (+ call21245formal.new.0 1))) (= (Base ?x363) call21245formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call21245formal.new.0) (= (MapType0Select alloc.12 ?x364) (MapType0Select alloc.14 ?x364)))) :pattern ((MapType0Select alloc.14 ?x364)) )) (=> (and (= (MapType0Select alloc.12 ?v_1502) UNALLOCATED) (= (MapType0Select alloc.14 ?v_1502) ALLOCATED)) (and (=> true (=> (not ?v_2395) (and (=> true (=> ?v_2390 (and (=> true (=> ?v_25 (and (=> true (=> ?v_2396 (=> ?v_2397 (=> true (=> (= errorReached.67 1) ?v_2388))))) (=> true (=> ?v_2499 (=> ?v_2500 ?v_2389)))))) (=> true (=> ?v_470 ?v_2389))))) (=> true (=> (not ?v_2390) (=> true (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2391 (=> (= reqCancelSet_1.15 reqCancelSet_1.5) (=> ?v_2437 (=> (= reqCancelSet_0.15 reqCancelSet_0.5) (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2392 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> (= errorReached.120 errorReached.65) (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2393 ?v_2494)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2395 (and (=> true (=> ?v_25 (and (=> true (=> ?v_2396 (=> ?v_2397 (=> true (=> (= errorReached.66 1) ?v_2501))))) (=> true (=> ?v_2499 (=> ?v_2500 (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_2501))))))))) (=> true (=> ?v_470 (=> true (=> (= errorReached.71 errorReached.65) (=> (= reqCancelSet_1.7 reqCancelSet_1.5) (=> (= reqCancelSet_0.7 reqCancelSet_0.5) (=> true (=> true (=> true ?v_2502))))))))))))))))))))) (?v_2509 (= errorReached.65 errorReached.63))) (let ((?v_2510 (=> (= k.62 k.60) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2507))))))))))) (?v_2512 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hdevice)) (?v_2511 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hqueue)) (?v_2508 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 htimer)) (?v_2506 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hrequest)) (?v_2505 (=> true (=> (= errorReached.65 errorReached.64) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.62 k.61) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call21130formal.ret.0) ?v_2507)))))) (?v_2503 (= k.61 0)) (?v_2504 (= k.61 1))) (let ((?v_2515 (and (=> true (=> ?v_2506 (=> true (=> (<= k.60 k.61) (=> (< k.61 2) (and (=> true (=> (=> ?v_2503 ?v_1499) (=> (=> ?v_2504 ?v_1500) (=> true (=> (= errorReached.64 1) ?v_2505))))) (=> true (=> (=> ?v_2503 ?v_2235) (=> (=> ?v_2504 ?v_2236) (=> true (=> (= errorReached.64 errorReached.63) (=> true ?v_2505)))))))))))) (=> true (=> (not ?v_2506) (and (=> true (=> ?v_2508 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2510))))) (=> true (=> (not ?v_2508) (and (=> true (=> ?v_2511 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2510))))) (=> true (=> (not ?v_2511) (and (=> true (=> ?v_2512 (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2510))))) (=> true (=> (not ?v_2512) (=> true (=> ?v_2509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2510))))))))))))))))) (let ((?v_2517 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2515)))))))) (?v_2516 (= k.60 1)) (?v_2514 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2513 (= k.60 0))) (let ((?v_2521 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> ?v_2513 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2514))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.0) ?v_2515))))) (=> true (=> (not ?v_2513) (and (=> true (=> ?v_2516 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2514))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.1) ?v_2517))))) (=> true (=> (not ?v_2516) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0) ?v_2517))))))))))))) (let ((?v_2525 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2521))))))))) (?v_2522 (= errorReached.63 errorReached.61)) (?v_2523 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2524 (= k.59 k.57)) (?v_2520 (=> true (=> (= errorReached.63 errorReached.62) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call20922formal.ret.0) (=> (= k.59 k.58) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2521)))))) (?v_2518 (= k.58 0)) (?v_2519 (= k.58 1))) (let ((?v_2529 (and (=> true (=> ?v_22 (=> true (=> (<= k.57 k.58) (=> (< k.58 2) (and (=> true (=> (=> ?v_2518 ?v_1499) (=> (=> ?v_2519 ?v_1500) (=> true (=> (= errorReached.62 1) ?v_2520))))) (=> true (=> (=> ?v_2518 ?v_2235) (=> (=> ?v_2519 ?v_2236) (=> true (=> (= errorReached.62 errorReached.61) (=> true ?v_2520)))))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2525))))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2525))))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2525))))))) (=> true (=> ?v_2385 (=> true (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2525))))))))))))))))))) (let ((?v_2533 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2529)))))))))))))))) (?v_2530 (= errorReached.61 errorReached.59)) (?v_2531 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_2532 (= k.57 k.55)) (?v_2528 (=> true (=> (= errorReached.61 errorReached.60) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call20768formal.ret.0) (=> (= k.57 k.56) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2529)))))) (?v_2526 (= k.56 0)) (?v_2527 (= k.56 1))) (let ((?v_2538 (and (=> true (=> ?v_25 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> (=> ?v_2526 ?v_1499) (=> (=> ?v_2527 ?v_1500) (=> true (=> (= errorReached.60 1) ?v_2528))))) (=> true (=> (=> ?v_2526 ?v_2235) (=> (=> ?v_2527 ?v_2236) (=> true (=> (= errorReached.60 errorReached.59) (=> true ?v_2528)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2533))))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2533))))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2533))))))) (=> true (=> ?v_513 (=> true (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2533))))))))))))))))))) (let ((?v_2540 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2538))))))))))))) (?v_2539 (= errorReached.59 errorReached.58)) (?v_2536 (= k.55 k.54)) (?v_2537 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 call20658formal.ret.0)) (?v_2534 (= k.54 0)) (?v_2535 (= k.54 1))) (let ((?v_2553 (and (=> true (=> ?v_25 (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> (=> ?v_2534 ?v_1499) (=> (=> ?v_2535 ?v_1500) (=> true (=> (= errorReached.59 1) (=> ?v_2536 (=> ?v_2537 ?v_2538))))))) (=> true (=> (=> ?v_2534 ?v_2235) (=> (=> ?v_2535 ?v_2236) (=> true (=> ?v_2539 (=> ?v_2536 (=> ?v_2537 ?v_2540))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_2539 (=> (= k.55 k.53) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) ?v_2540)))))))) (?v_1487 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hrequest))) (let ((?v_2558 (not ?v_1487)) (?v_2542 (=> true (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= errorReached.58 errorReached.57) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= reqCompleted_1.1 reqCompleted_1.0) ?v_2553)))))))) (let ((?v_2545 (=> true ?v_2542)) (?v_2543 (= reqCancelSet_0.4 reqCancelSet_0.1)) (?v_2544 (= reqCancelSet_1.4 reqCancelSet_1.1)) (?v_2541 (= k.53 1))) (let ((?v_2548 (not ?v_2541)) (?v_1498 (= k.53 0))) (let ((?v_2546 (not ?v_1498))) (let ((?v_2547 (and (=> true (=> ?v_1498 (=> true (=> (= reqCancelSet_0.4 0) (=> ?v_2544 ?v_2542))))) (=> true (=> ?v_2546 (and (=> true (=> ?v_2541 (=> true (=> ?v_2543 (=> (= reqCancelSet_1.4 0) ?v_2545))))) (=> true (=> ?v_2548 (=> true (=> ?v_2543 (=> ?v_2544 ?v_2545))))))))))) (let ((?v_2551 (=> true (=> true ?v_2547))) (?v_2549 (= reqCompleted_0.0 reqCompleted_0)) (?v_2550 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_2552 (and (=> true (=> ?v_1498 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_2550 ?v_2547))))) (=> true (=> ?v_2546 (and (=> true (=> ?v_2541 (=> true (=> ?v_2549 (=> (= reqCompleted_1.0 1) ?v_2551))))) (=> true (=> ?v_2548 (=> true (=> ?v_2549 (=> ?v_2550 ?v_2551))))))))))) (let ((?v_2554 (and (=> true (=> ?v_1487 (and (=> true (=> (=> ?v_1498 ?v_6) (=> (=> ?v_2541 ?v_7) (=> true (=> (= errorReached.57 1) ?v_2552))))) (=> true (=> (=> ?v_1498 ?v_2) (=> (=> ?v_2541 ?v_3) (=> true (=> (= errorReached.57 errorReached.56) (=> true ?v_2552))))))))) (=> true (=> ?v_2558 (=> true (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= errorReached.58 errorReached.56) (=> (= reqCancelSet_1.5 reqCancelSet_1.1) (=> (= reqCancelSet_0.5 reqCancelSet_0.1) (=> (= reqCompleted_1.1 reqCompleted_1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2553)))))))))))))))))))))))))))) (let ((?v_2559 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1) ?v_2554)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2554))))))))))))))))) (let ((?v_2564 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2559)))))))))) (?v_2561 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_2562 (= errorReached.56 errorReached.38)) (?v_2563 (= k.53 k.38)) (?v_2566 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hdevice))) (let ((?v_2935 (not ?v_2566)) (?v_2565 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hqueue))) (let ((?v_2934 (not ?v_2565)) (?v_2560 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 htimer))) (let ((?v_2931 (not ?v_2560)) (?v_2557 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call20351formal.ret.0) (=> (= errorReached.56 errorReached.55) (=> (= k.53 k.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2559)))))) (?v_2555 (= k.52 0)) (?v_2556 (= k.52 1))) (let ((?v_2569 (and (=> true (=> ?v_1487 (=> true (=> (<= k.38 k.52) (=> (< k.52 2) (and (=> true (=> (=> ?v_2555 ?v_6) (=> (=> ?v_2556 ?v_7) (=> true (=> (= errorReached.55 1) ?v_2557))))) (=> true (=> (=> ?v_2555 ?v_2) (=> (=> ?v_2556 ?v_3) (=> true (=> (= errorReached.55 errorReached.38) (=> true ?v_2557)))))))))))) (=> true (=> ?v_2558 (and (=> true (=> ?v_2560 (=> true (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2564))))))) (=> true (=> ?v_2931 (and (=> true (=> ?v_2565 (=> true (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2564))))))) (=> true (=> ?v_2934 (and (=> true (=> ?v_2566 (=> true (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2564))))))) (=> true (=> ?v_2935 (=> true (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2564))))))))))))))))))) (let ((?v_2570 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2569))))))))))))))))))))) (?v_2567 (= k.38 0)) (?v_2568 (= k.38 1))) (let ((?v_2575 (and (=> true (=> (=> ?v_2567 ?v_37) (=> (=> ?v_2568 ?v_38) ?v_2569))) (=> true (=> (=> ?v_2567 ?v_613) (=> (=> ?v_2568 ?v_614) (and (=> true (=> (=> ?v_2567 ?v_528) (=> (=> ?v_2568 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2570)))))))))))) (=> true (=> (=> ?v_2567 ?v_616) (=> (=> ?v_2568 ?v_617) ?v_2570)))))))))) (let ((?v_2580 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2575)))))))))) (?v_2577 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_2578 (= errorReached.38 errorReached.36)) (?v_2579 (= k.38 k.36)) (?v_2582 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hdevice)) (?v_2581 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hqueue)) (?v_2576 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 htimer)) (?v_2574 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hrequest)) (?v_2573 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 call20048formal.ret.0) (=> (= errorReached.38 errorReached.37) (=> (= k.38 k.37) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2575)))))) (?v_2571 (= k.37 0)) (?v_2572 (= k.37 1))) (let ((?v_2585 (and (=> true (=> ?v_2574 (=> true (=> (<= k.36 k.37) (=> (< k.37 2) (and (=> true (=> (=> ?v_2571 ?v_6) (=> (=> ?v_2572 ?v_7) (=> true (=> (= errorReached.37 1) ?v_2573))))) (=> true (=> (=> ?v_2571 ?v_2) (=> (=> ?v_2572 ?v_3) (=> true (=> (= errorReached.37 errorReached.36) (=> true ?v_2573)))))))))))) (=> true (=> (not ?v_2574) (and (=> true (=> ?v_2576 (=> true (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2580))))))) (=> true (=> (not ?v_2576) (and (=> true (=> ?v_2581 (=> true (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2580))))))) (=> true (=> (not ?v_2581) (and (=> true (=> ?v_2582 (=> true (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2580))))))) (=> true (=> (not ?v_2582) (=> true (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2580))))))))))))))))))) (let ((?v_2587 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2585)))))))))))) (?v_2586 (= k.36 1)) (?v_2583 (= k.36 0))) (let ((?v_2601 (and (=> true (=> ?v_2583 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 ?v_1497) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12) ?v_2585))))) (=> true (=> (not ?v_2583) (and (=> true (=> ?v_2586 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 ?v_2610) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13) ?v_2587))))) (=> true (=> (not ?v_2586) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) ?v_2587))))))))) (?v_1495 (= k.34 0)) (?v_2599 (= k.34 1))) (let ((?v_2593 (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= k.36 k.35) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= lockStatus_0.8 lockStatus_0.7) ?v_2601))))))))) (?v_2592 (= inline.ReleaseDpcLock.0.myVar_0.2 hlock))) (let ((?v_2588 (=> true (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= lockStatus_0.7 lockStatus_0.6) ?v_2593)))) (?v_2590 (= lockStatus_1.6 lockStatus_1.2))) (let ((?v_2591 (=> (= lockStatus_0.6 lockStatus_0.2) (=> true ?v_2588))) (?v_2589 (= k.35 1))) (let ((?v_2597 (not ?v_2589)) (?v_1496 (= k.35 0))) (let ((?v_2594 (not ?v_1496))) (let ((?v_2596 (and (=> true (=> ?v_2592 (and (=> true (=> ?v_1496 (=> true (=> ?v_2590 (=> (= lockStatus_0.6 0) ?v_2588))))) (=> true (=> ?v_2594 (and (=> true (=> ?v_2589 (=> true (=> (= lockStatus_1.6 0) ?v_2591)))) (=> true (=> ?v_2597 (=> true (=> ?v_2590 ?v_2591)))))))))) (=> true (=> (not ?v_2592) (=> true (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= lockStatus_0.7 lockStatus_0.2) (=> true (=> true (=> true ?v_2593))))))))))) (let ((?v_2598 (=> true (=> true (=> true (=> true ?v_2596))))) (?v_2595 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2600 (=> true (=> (<= k.34 k.35) (=> (< k.35 2) (and (=> true (=> ?v_1496 (=> (= inline.ReleaseDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2595))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.0) ?v_2596))))) (=> true (=> ?v_2594 (and (=> true (=> ?v_2589 (=> (= inline.ReleaseDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2595))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.1) ?v_2598))))) (=> true (=> ?v_2597 (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0) ?v_2598))))))))))))) (let ((?v_2604 (and (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.0) ?v_2600)))) (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_1495 ?v_277) (=> (=> ?v_2599 ?v_278) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.2 inline.ReleaseDpcLock.0.myNondetVar_0.1) (=> true (=> true ?v_2600))))))) (=> true (=> (=> ?v_1495 ?v_377) (=> (=> ?v_2599 ?v_379) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= k.36 k.34) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_0.8 lockStatus_0.2) (=> true (=> true (=> true (=> true ?v_2601))))))))))))))))))))) (let ((?v_2607 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2604)))))))))) (?v_2606 (= errorReached.36 errorReached.34)) (?v_2609 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hdevice)) (?v_2608 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hqueue)) (?v_2605 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 htimer)) (?v_2603 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hrequest)) (?v_2602 (=> true (=> (= errorReached.36 errorReached.35) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2604))))) (let ((?v_2611 (and (=> true (=> ?v_2603 (and (=> true (=> (=> ?v_1495 ?v_6) (=> (=> ?v_2599 ?v_7) (=> true (=> (= errorReached.35 1) ?v_2602))))) (=> true (=> (=> ?v_1495 ?v_2) (=> (=> ?v_2599 ?v_3) (=> true (=> (= errorReached.35 errorReached.34) (=> true ?v_2602))))))))) (=> true (=> (not ?v_2603) (and (=> true (=> ?v_2605 (=> true (=> ?v_2606 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2607))))) (=> true (=> (not ?v_2605) (and (=> true (=> ?v_2608 (=> true (=> ?v_2606 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2607))))) (=> true (=> (not ?v_2608) (and (=> true (=> ?v_2609 (=> true (=> ?v_2606 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2607))))) (=> true (=> (not ?v_2609) (=> true (=> ?v_2606 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2607))))))))))))))))) (let ((?v_2612 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2611))))))))))))) (let ((?v_2613 (=> true (=> (<= k.33 k.34) (=> (< k.34 2) (and (=> true (=> ?v_1495 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 ?v_1497) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10) ?v_2611))))) (=> true (=> (not ?v_1495) (and (=> true (=> ?v_2599 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 ?v_2610) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9) ?v_2612))))) (=> true (=> (not ?v_2599) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_2612))))))))))))) (let ((?v_2617 (=> true ?v_2613)) (?v_2615 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2616 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2614 (= k.33 1))) (let ((?v_2621 (not ?v_2614)) (?v_1494 (= k.33 0))) (let ((?v_2618 (not ?v_1494))) (let ((?v_2620 (and (=> true (=> ?v_1494 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3240) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) (=> ?v_2616 ?v_2613)))))) (=> true (=> ?v_2618 (and (=> true (=> ?v_2614 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3801) (=> true (=> ?v_2615 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_2617)))))) (=> true (=> ?v_2621 (=> true (=> ?v_2615 (=> ?v_2616 ?v_2617))))))))))) (let ((?v_2624 (=> true (=> true (=> true ?v_2620)))) (?v_2622 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2623 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_2914 (and (=> true (=> ?v_2625 (=> true (=> (<= k.27 k.33) (=> (< k.33 2) (and (=> true (=> ?v_1494 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3239) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) (=> ?v_2623 ?v_2620)))))) (=> true (=> ?v_2618 (and (=> true (=> ?v_2614 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3808) (=> true (=> ?v_2622 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2624)))))) (=> true (=> ?v_2621 (=> true (=> ?v_2622 (=> ?v_2623 ?v_2624)))))))))))))) (=> true (=> (not ?v_2625) (=> true (=> ?v_2626 (=> ?v_1525 (=> ?v_2938 (=> ?v_2627 (=> ?v_2939 (=> ?v_2628 (=> ?v_2940 (=> ?v_2941 (=> ?v_2629 (=> ?v_2630 (=> ?v_2942 (=> ?v_2943 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2944 (=> ?v_2634 (=> ?v_2945 (=> ?v_2635 (=> ?v_2636 (=> ?v_2946 (=> ?v_2637 (=> ?v_2947 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2643 (=> ?v_2644 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2650 (=> ?v_2651 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2966 (=> ?v_2655 (=> ?v_2967 (=> ?v_2968 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2969 (=> ?v_2660 (=> ?v_2970 (=> ?v_2971 (=> ?v_2661 (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2973 (=> ?v_2974 (=> ?v_2664 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2665 (=> ?v_2978 (=> ?v_2666 (=> ?v_2979 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2980 (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2986 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2683 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2684 (=> ?v_2685 (=> ?v_2997 (=> ?v_2686 (=> ?v_2687 (=> ?v_2998 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2999 (=> ?v_3000 (=> ?v_2692 (=> ?v_2693 (=> ?v_3001 (=> ?v_3002 (=> ?v_2694 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_2695 (=> ?v_3006 (=> ?v_2696 (=> ?v_3007 (=> ?v_2697 (=> ?v_2698 (=> ?v_3008 (=> ?v_2699 (=> ?v_3009 (=> ?v_2700 (=> ?v_3010 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_3011 (=> ?v_2704 (=> ?v_2705 (=> ?v_3012 (=> ?v_3013 (=> ?v_2706 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_3017 (=> ?v_3018 (=> ?v_2710 (=> ?v_2711 (=> ?v_3019 (=> ?v_3020 (=> ?v_2712 (=> ?v_2713 (=> ?v_3021 (=> ?v_2714 (=> ?v_3022 (=> ?v_2715 (=> ?v_2716 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_2717 (=> ?v_3026 (=> ?v_2718 (=> (= reqCancelSet_0.16 reqCancelSet_0.1) (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_3027 (=> ?v_2722 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_3032 (=> ?v_3033 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_2732 (=> ?v_3038 (=> ?v_3039 (=> ?v_2733 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_3043 (=> ?v_2737 (=> ?v_3044 (=> ?v_2738 (=> ?v_3045 (=> ?v_2739 (=> ?v_3046 (=> ?v_2740 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_2741 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_2742 (=> ?v_2743 (=> ?v_3056 (=> ?v_2744 (=> ?v_3057 (=> ?v_2745 (=> ?v_2746 (=> ?v_3058 (=> ?v_3059 (=> ?v_2747 (=> ?v_2748 (=> ?v_3060 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_3061 (=> ?v_2754 (=> ?v_2755 (=> ?v_3062 (=> ?v_3063 (=> ?v_2756 (=> ?v_3064 (=> ?v_3065 (=> ?v_2757 (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> ?v_2758 (=> ?v_3069 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_3070 (=> ?v_3071 (=> ?v_2764 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_2765 (=> ?v_2766 (=> ?v_3075 (=> ?v_2767 (=> ?v_2768 (=> ?v_3076 (=> ?v_2769 (=> ?v_3077 (=> ?v_2770 (=> ?v_3078 (=> ?v_3079 (=> ?v_2771 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_2775 (=> ?v_3086 (=> ?v_2776 (=> ?v_3087 (=> ?v_2777 (=> ?v_3088 (=> ?v_2778 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_3092 (=> ?v_2782 (=> ?v_3093 (=> ?v_3094 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_3095 (=> ?v_2786 (=> ?v_2787 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_2788 (=> ?v_2789 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_2790 (=> ?v_3105 (=> ?v_2791 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_2792 (=> ?v_3109 (=> ?v_3110 (=> ?v_2793 (=> ?v_3111 (=> ?v_2794 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_2795 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_2796 (=> ?v_2797 (=> ?v_3120 (=> ?v_3121 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_3122 (=> ?v_2803 (=> ?v_2804 (=> ?v_3123 (=> ?v_2805 (=> ?v_3124 (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_2809 (=> ?v_3128 (=> ?v_2810 (=> ?v_3129 (=> ?v_2811 (=> ?v_2812 (=> ?v_3130 (=> ?v_3131 (=> ?v_2813 (=> ?v_3132 (=> ?v_3133 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_2817 (=> ?v_2818 (=> ?v_3137 (=> ?v_3138 (=> ?v_2819 (=> ?v_2820 (=> ?v_3139 (=> ?v_2821 (=> ?v_3140 (=> ?v_2822 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_2823 (=> ?v_3146 (=> ?v_3147 (=> ?v_2824 (=> ?v_3148 (=> ?v_3149 (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_2835 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_2836 (=> ?v_2837 (=> ?v_3156 (=> ?v_3157 (=> ?v_2838 (=> ?v_3158 (=> ?v_2839 (=> ?v_3159 (=> ?v_2840 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_3163 (=> ?v_3164 (=> ?v_2844 (=> ?v_2845 (=> ?v_2846 (=> ?v_3165 (=> ?v_3166 (=> ?v_2847 (=> ?v_3167 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_2856 (=> ?v_3177 (=> ?v_2857 (=> ?v_2858 (=> ?v_3178 (=> ?v_3179 (=> (= reqCancelSet_1.16 reqCancelSet_1.1) (=> ?v_2859 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_2860 (=> ?v_3184 (=> ?v_3185 (=> ?v_2861 (=> ?v_3186 (=> ?v_2862 (=> ?v_3187 (=> ?v_2863 (=> ?v_2864 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_2865 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_2866 (=> ?v_2867 (=> ?v_3198 (=> ?v_2868 (=> ?v_2869 (=> ?v_3199 (=> ?v_2870 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_3200 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3201 (=> ?v_2878 (=> ?v_3202 (=> ?v_3203 (=> ?v_2879 (=> ?v_2880 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_2881 (=> ?v_2882 (=> ?v_3208 (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_3209 (=> ?v_2886 (=> ?v_3210 (=> ?v_2887 (=> ?v_3211 (=> ?v_3212 (=> ?v_2888 (=> ?v_3213 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_3214 (=> ?v_2896 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_2897 (=> ?v_3218 (=> ?v_2898 (=> ?v_3219 (=> ?v_3220 (=> ?v_2899 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_3224 (=> ?v_3225 (=> ?v_2905 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_2906 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_2907 (=> (= errorReached.133 errorReached.34) ?v_3236)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2915 (=> true (=> true (=> true (=> true (=> true ?v_2914)))))) (?v_1492 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_2913 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_2919 (and (=> true (=> (not ?v_2913) (=> (not ?v_1492) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_2914))))) (=> true (=> ?v_2913 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_2915)))))) (=> true (=> ?v_1492 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_327) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_2915))))))))) (let ((?v_2926 (=> true ?v_2919)) (?v_2925 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call19266formal.ret.0)) (?v_2916 (= reqCancelSet_0.1 reqCancelSet_0.0)) (?v_2917 (= reqCancelSet_1.1 reqCancelSet_1.0)) (?v_2918 (= errorReached.34 errorReached.33)) (?v_1490 (= reqCancelStarted_0 0)) (?v_1491 (= reqCancelStarted_1 0))) (let ((?v_2920 (and (=> true (=> (=> ?v_1484 (not ?v_1490)) (=> (=> ?v_1486 (not ?v_1491)) (=> true (=> ?v_1492 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 ?v_2919)))))))) (=> true (=> (=> ?v_1484 ?v_1490) (=> (=> ?v_1486 ?v_1491) (=> true (=> ?v_2925 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 ?v_2926))))))))))) (let ((?v_2923 (=> true (=> true ?v_2920))) (?v_2921 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_2922 (= reqCancelSet_1.0 reqCancelSet_1))) (let ((?v_2924 (and (=> true (=> ?v_1484 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_2922 ?v_2920))))) (=> true (=> ?v_3807 (and (=> true (=> ?v_1486 (=> true (=> ?v_2921 (=> (= reqCancelSet_1.0 0) ?v_2923))))) (=> true (=> ?v_3810 (=> true (=> ?v_2921 (=> ?v_2922 ?v_2923)))))))))) (?v_2927 (=> ?v_1484 ?v_2)) (?v_2928 (=> ?v_1486 ?v_3)) (?v_1488 (=> ?v_1484 ?v_6)) (?v_1489 (=> ?v_1486 ?v_7))) (let ((?v_2930 (and (=> true (=> ?v_1487 (and (=> true (=> ?v_1488 (=> ?v_1489 (=> true (=> (= errorReached.33 1) ?v_2924))))) (=> true (=> ?v_2927 (=> ?v_2928 (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_2924))))))))) (=> true (=> ?v_2558 (=> true (=> ?v_2925 (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= errorReached.34 errorReached.32) ?v_2926)))))))))) (let ((?v_2933 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2930)))))))))))))))) (?v_2932 (= errorReached.32 errorReached.28)) (?v_2929 (=> true (=> (= errorReached.32 errorReached.29) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2930))))) (let ((?v_3237 (and (=> true (=> (=> ?v_1484 (not ?v_2936)) (=> (=> ?v_1486 (not ?v_2937)) (and (=> true (=> ?v_1487 (and (=> true (=> ?v_1488 (=> ?v_1489 (=> true (=> (= errorReached.29 1) ?v_2929))))) (=> true (=> ?v_2927 (=> ?v_2928 (=> true (=> (= errorReached.29 errorReached.28) (=> true ?v_2929))))))))) (=> true (=> ?v_2558 (and (=> true (=> ?v_2560 (=> true (=> ?v_2932 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2933))))) (=> true (=> ?v_2931 (and (=> true (=> ?v_2565 (=> true (=> ?v_2932 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2933))))) (=> true (=> ?v_2934 (and (=> true (=> ?v_2566 (=> true (=> ?v_2932 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2933))))) (=> true (=> ?v_2935 (=> true (=> ?v_2932 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2933)))))))))))))))))) (=> true (=> (=> ?v_1484 ?v_2936) (=> (=> ?v_1486 ?v_2937) (=> true (=> ?v_2626 (=> ?v_1525 (=> ?v_2938 (=> ?v_2627 (=> ?v_2939 (=> ?v_2628 (=> ?v_2940 (=> ?v_2941 (=> ?v_2629 (=> ?v_2630 (=> ?v_2942 (=> ?v_2943 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2944 (=> ?v_2634 (=> ?v_2945 (=> ?v_2635 (=> ?v_2636 (=> ?v_2946 (=> ?v_2637 (=> ?v_2947 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2643 (=> ?v_2644 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2650 (=> ?v_2651 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2966 (=> ?v_2655 (=> ?v_2967 (=> ?v_2968 (=> ?v_2656 (=> ?v_2657 (=> ?v_3267 (=> ?v_2659 (=> ?v_2969 (=> ?v_2660 (=> ?v_2970 (=> ?v_2971 (=> ?v_2661 (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2973 (=> ?v_2974 (=> ?v_2664 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2665 (=> ?v_2978 (=> ?v_2666 (=> ?v_2979 (=> ?v_2667 (=> ?v_3268 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2980 (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2986 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2683 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2684 (=> ?v_2685 (=> ?v_2997 (=> ?v_2686 (=> ?v_2687 (=> ?v_2998 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2999 (=> ?v_3000 (=> ?v_2692 (=> ?v_2693 (=> ?v_3001 (=> ?v_3002 (=> ?v_2694 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_2695 (=> ?v_3006 (=> ?v_2696 (=> ?v_3007 (=> ?v_2697 (=> ?v_3269 (=> ?v_3008 (=> ?v_2699 (=> ?v_3009 (=> ?v_2700 (=> ?v_3010 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_3011 (=> ?v_2704 (=> ?v_2705 (=> ?v_3012 (=> ?v_3013 (=> ?v_2706 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_3017 (=> ?v_3018 (=> ?v_2710 (=> ?v_2711 (=> ?v_3019 (=> ?v_3020 (=> ?v_2712 (=> ?v_2713 (=> ?v_3021 (=> ?v_2714 (=> ?v_3022 (=> ?v_3270 (=> ?v_2716 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_2717 (=> ?v_3026 (=> ?v_2718 (=> (= reqCancelSet_0.16 reqCancelSet_0) (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_3027 (=> ?v_2722 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_3032 (=> ?v_3033 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_2732 (=> ?v_3038 (=> ?v_3039 (=> ?v_2733 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_3043 (=> ?v_2737 (=> ?v_3044 (=> ?v_2738 (=> ?v_3045 (=> ?v_2739 (=> ?v_3046 (=> ?v_2740 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_2741 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_2742 (=> ?v_2743 (=> ?v_3056 (=> ?v_2744 (=> ?v_3057 (=> ?v_2745 (=> ?v_2746 (=> ?v_3058 (=> ?v_3059 (=> ?v_2747 (=> ?v_2748 (=> ?v_3060 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_3061 (=> ?v_2754 (=> ?v_2755 (=> ?v_3062 (=> ?v_3063 (=> ?v_2756 (=> ?v_3064 (=> ?v_3065 (=> ?v_2757 (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> ?v_2758 (=> ?v_3069 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_3070 (=> ?v_3071 (=> ?v_2764 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_2765 (=> ?v_2766 (=> ?v_3075 (=> ?v_2767 (=> ?v_2768 (=> ?v_3076 (=> ?v_2769 (=> ?v_3077 (=> ?v_2770 (=> ?v_3078 (=> ?v_3079 (=> ?v_3271 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_2775 (=> ?v_3086 (=> ?v_2776 (=> ?v_3087 (=> ?v_2777 (=> ?v_3088 (=> ?v_2778 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_3092 (=> ?v_2782 (=> ?v_3093 (=> ?v_3094 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_3095 (=> ?v_2786 (=> ?v_2787 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3272 (=> ?v_2789 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_2790 (=> ?v_3105 (=> ?v_2791 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_2792 (=> ?v_3109 (=> ?v_3110 (=> ?v_2793 (=> ?v_3111 (=> ?v_2794 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_2795 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_2796 (=> ?v_2797 (=> ?v_3120 (=> ?v_3121 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_3122 (=> ?v_3273 (=> ?v_2804 (=> ?v_3123 (=> ?v_2805 (=> ?v_3124 (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_2809 (=> ?v_3128 (=> ?v_2810 (=> ?v_3129 (=> ?v_2811 (=> ?v_2812 (=> ?v_3130 (=> ?v_3131 (=> ?v_2813 (=> ?v_3132 (=> ?v_3133 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_2817 (=> ?v_2818 (=> ?v_3137 (=> ?v_3138 (=> ?v_2819 (=> ?v_2820 (=> ?v_3139 (=> ?v_2821 (=> ?v_3140 (=> ?v_2822 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_2823 (=> ?v_3146 (=> ?v_3147 (=> ?v_2824 (=> ?v_3148 (=> ?v_3149 (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_2829 (=> ?v_2830 (=> ?v_2831 (=> ?v_3274 (=> ?v_2833 (=> ?v_2834 (=> ?v_2835 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_2836 (=> ?v_2837 (=> ?v_3156 (=> ?v_3157 (=> ?v_2838 (=> ?v_3158 (=> ?v_2839 (=> ?v_3159 (=> ?v_2840 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_3163 (=> ?v_3164 (=> ?v_2844 (=> ?v_2845 (=> ?v_2846 (=> ?v_3165 (=> ?v_3166 (=> ?v_2847 (=> ?v_3167 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_2851 (=> ?v_3275 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_2856 (=> ?v_3177 (=> ?v_3276 (=> ?v_2858 (=> ?v_3178 (=> ?v_3179 (=> (= reqCancelSet_1.16 reqCancelSet_1) (=> ?v_2859 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_2860 (=> ?v_3184 (=> ?v_3185 (=> ?v_2861 (=> ?v_3186 (=> ?v_2862 (=> ?v_3187 (=> ?v_2863 (=> ?v_2864 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_2865 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_2866 (=> ?v_2867 (=> ?v_3198 (=> ?v_2868 (=> ?v_2869 (=> ?v_3199 (=> ?v_2870 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_3200 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_3201 (=> ?v_2878 (=> ?v_3202 (=> ?v_3203 (=> ?v_2879 (=> ?v_2880 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_2881 (=> ?v_2882 (=> ?v_3208 (=> ?v_2883 (=> ?v_2884 (=> ?v_2885 (=> ?v_3209 (=> ?v_2886 (=> ?v_3210 (=> ?v_2887 (=> ?v_3211 (=> ?v_3212 (=> ?v_2888 (=> ?v_3213 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_3277 (=> ?v_3214 (=> ?v_2896 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_2897 (=> ?v_3218 (=> ?v_2898 (=> ?v_3219 (=> ?v_3220 (=> ?v_2899 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_2900 (=> ?v_3278 (=> ?v_2902 (=> ?v_2903 (=> ?v_3279 (=> ?v_3224 (=> ?v_3225 (=> ?v_2905 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_2906 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_2907 (=> (= errorReached.133 errorReached.28) ?v_3236))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3814 (and (=> true (=> (not ?v_3238) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) ?v_3237)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) (=> true ?v_3237)))))))) (=> true (=> ?v_3238 (and (=> true (=> ?v_1484 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3239) (=> true (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) (=> ?v_3812 ?v_3809)))))) (=> true (=> ?v_3807 (and (=> true (=> ?v_1486 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3808) (=> true (=> ?v_3811 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_3813)))))) (=> true (=> ?v_3810 (=> true (=> ?v_3811 (=> ?v_3812 ?v_3813)))))))))))))) (let ((?v_3815 (=> true (=> true ?v_3814)))) (let ((?v_3820 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> ?v_1484 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1493))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1) ?v_3814))))) (=> true (=> ?v_3807 (and (=> true (=> ?v_1486 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1493))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0) ?v_3815))))) (=> true (=> ?v_3810 (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) ?v_3815))))))))))))) (let ((?v_3822 (=> (= errorReached.28 errorReached.26) (=> (= k.26 k.24) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3820)))))))))))) (?v_3824 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hdevice)) (?v_3823 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hqueue)) (?v_3821 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 htimer)) (?v_3819 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hrequest)) (?v_3818 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.28 errorReached.27) (=> (= k.26 k.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call18812formal.ret.0) ?v_3820)))))) (?v_3816 (= k.25 0)) (?v_3817 (= k.25 1))) (let ((?v_3827 (and (=> true (=> ?v_3819 (=> true (=> (<= k.24 k.25) (=> (< k.25 2) (and (=> true (=> (=> ?v_3816 ?v_6) (=> (=> ?v_3817 ?v_7) (=> true (=> (= errorReached.27 1) ?v_3818))))) (=> true (=> (=> ?v_3816 ?v_2) (=> (=> ?v_3817 ?v_3) (=> true (=> (= errorReached.27 errorReached.26) (=> true ?v_3818)))))))))))) (=> true (=> (not ?v_3819) (and (=> true (=> ?v_3821 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3822)))) (=> true (=> (not ?v_3821) (and (=> true (=> ?v_3823 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3822)))) (=> true (=> (not ?v_3823) (and (=> true (=> ?v_3824 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3822)))) (=> true (=> (not ?v_3824) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3822)))))))))))))))) (let ((?v_3829 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3827)))))))) (?v_3828 (= k.24 1)) (?v_3826 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3825 (= k.24 0))) (let ((?v_3833 (and (=> true (=> ?v_3825 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3826))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0) ?v_3827))))) (=> true (=> (not ?v_3825) (and (=> true (=> ?v_3828 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3826))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1) ?v_3829))))) (=> true (=> (not ?v_3828) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) ?v_3829))))))))) (?v_3834 (= errorReached.26 errorReached.24))) (let ((?v_3835 (=> (= k.24 k.22) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3833)))))))))))) (?v_3832 (=> true (=> (= errorReached.26 errorReached.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.24 k.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call18605formal.ret.0) ?v_3833)))))) (?v_3830 (= k.23 0)) (?v_3831 (= k.23 1))) (let ((?v_3840 (and (=> true (=> ?v_22 (=> true (=> (<= k.22 k.23) (=> (< k.23 2) (and (=> true (=> (=> ?v_3830 ?v_6) (=> (=> ?v_3831 ?v_7) (=> true (=> (= errorReached.25 1) ?v_3832))))) (=> true (=> (=> ?v_3830 ?v_2) (=> (=> ?v_3831 ?v_3) (=> true (=> (= errorReached.25 errorReached.24) (=> true ?v_3832)))))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_3834 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3835))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_3834 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3835))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_3834 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3835))))) (=> true (=> ?v_2385 (=> true (=> ?v_3834 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3835))))))))))))))))) (let ((?v_3842 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3840)))))))))))) (?v_3841 (= errorReached.24 errorReached.23)) (?v_3838 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call18500formal.ret.0)) (?v_3839 (= k.22 k.21)) (?v_3836 (= k.21 0)) (?v_3837 (= k.21 1))) (let ((?v_3994 (and (=> true (=> ?v_25 (=> true (=> (<= k.20 k.21) (=> (< k.21 2) (and (=> true (=> (=> ?v_3836 ?v_6) (=> (=> ?v_3837 ?v_7) (=> true (=> ?v_3838 (=> (= errorReached.24 1) (=> ?v_3839 ?v_3840))))))) (=> true (=> (=> ?v_3836 ?v_2) (=> (=> ?v_3837 ?v_3) (=> true (=> ?v_3838 (=> ?v_3841 (=> ?v_3839 ?v_3842))))))))))))) (=> true (=> ?v_470 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> ?v_3841 (=> (= k.22 k.20) ?v_3842))))))))) (let ((?v_4108 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3994))))))))))))))) (?v_3903 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_3904 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_4073 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_3905 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_3906 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.)) (?v_3907 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_3908 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4182 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 0)) (?v_3909 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_4074 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4075 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_3910 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_3911 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4076 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_4077 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3912 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_3913 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_4078 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3914 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4079 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_3915 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3916 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_4080 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3917 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_3918 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_3919 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_4081 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_3920 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 0)) (?v_4082 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_3921 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_3922 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_3923 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3924 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_4083 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3925 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_3926 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3927 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_3928 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_3929 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_3930 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3931 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3932 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4084 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_4085 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_3933 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_3934 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3935 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4183 (= errorReached.23 errorReached.16)) (?v_3936 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3937 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_3938 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_3939 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_3940 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_4086 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_3941 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_4087 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_3942 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3943 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3944 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_4088 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_3945 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_3946 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_4089 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_3947 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_3948 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_4090 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4091 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_3949 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_4092 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_4093 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_3950 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_3951 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_3952 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_3953 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_4094 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3954 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_3955 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3956 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_4095 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_3957 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_3958 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3959 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_3960 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_4096 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3961 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_3962 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3963 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4097 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_4098 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_3964 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3965 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3966 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4099 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_3967 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_3968 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.)) (?v_3969 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3970 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_4100 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4101 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3971 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_3972 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_3973 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3974 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_3975 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_3976 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3977 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_3978 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_3979 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_3980 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_3981 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3982 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3983 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_4102 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3984 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3985 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_3986 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_4103 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_3987 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4104 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_3988 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_4105 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_3989 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 0)) (?v_3990 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_3991 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_4106 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_4107 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_3992 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_3993 (= k.20 k.13))) (let ((?v_4184 (=> ?v_3990 (=> ?v_3991 (=> ?v_4106 (=> ?v_4107 (=> ?v_3992 (=> ?v_3993 ?v_4108)))))))) (let ((?v_3996 (=> true (=> ?v_3903 (=> ?v_3904 (=> ?v_4073 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_4182 (=> ?v_3909 (=> ?v_4074 (=> ?v_4075 (=> ?v_3910 (=> ?v_3911 (=> ?v_4076 (=> ?v_4077 (=> ?v_3912 (=> ?v_3913 (=> ?v_4078 (=> ?v_3914 (=> ?v_4079 (=> ?v_3915 (=> ?v_3916 (=> ?v_4080 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_4081 (=> ?v_3920 (=> ?v_4082 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_4083 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_4084 (=> ?v_4085 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_4183 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4) (=> ?v_4086 (=> ?v_3941 (=> ?v_4087 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0) (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_4088 (=> ?v_3945 (=> ?v_3946 (=> ?v_4089 (=> ?v_3947 (=> ?v_3948 (=> ?v_4090 (=> ?v_4091 (=> ?v_3949 (=> ?v_4092 (=> ?v_4093 (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> ?v_4094 (=> ?v_3954 (=> ?v_3955 (=> (= alloc.12 alloc.6) (=> ?v_3956 (=> ?v_4095 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_4096 (=> ?v_3961 (=> ?v_3962 (=> ?v_3963 (=> ?v_4097 (=> ?v_4098 (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> ?v_4099 (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_4100 (=> ?v_4101 (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3976 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 0) (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> ?v_4102 (=> ?v_3984 (=> ?v_3985 (=> ?v_3986 (=> ?v_4103 (=> ?v_3987 (=> ?v_4104 (=> ?v_3988 (=> ?v_4105 (=> ?v_3989 ?v_4184)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3995 (= myNondetVar_1.0 0))) (let ((?v_4173 (=> true (=> ?v_3995 ?v_3996))) (?v_3902 (= myNondetVar_2.0 0))) (let ((?v_4172 (=> true (=> ?v_3902 ?v_3996))) (?v_4212 (and (=> true (=> ?v_4185 (and (=> true (=> ?v_4181 (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_4186 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_4187 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 call34187formal.ret.0) (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4188 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_4189 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4190 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 call34187formal.ret.0) (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_4191 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_4192 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_4193 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_4194 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4195 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_4196 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4197 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_4198 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_4199 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_4200 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4201 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4202 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_4203 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4204 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_4205 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_4206 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 call34187formal.ret.0) (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_4207 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_4208 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4209 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_4179 (=> ?v_4006 (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 call34187formal.ret.0) ?v_4180)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4181) (=> true (=> ?v_3903 (=> ?v_3904 (=> ?v_4073 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_4182 (=> ?v_3909 (=> ?v_4074 (=> ?v_4075 (=> ?v_3910 (=> ?v_3911 (=> ?v_4076 (=> ?v_4077 (=> ?v_3912 (=> ?v_3913 (=> ?v_4078 (=> ?v_3914 (=> ?v_4079 (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34037formal.new.0) (=> ?v_3916 (=> ?v_4080 (=> ?v_3917 (=> ?v_3918 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 call34187formal.ret.0) (=> ?v_4081 (=> ?v_3920 (=> ?v_4082 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_4083 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_3929 (=> ?v_3930 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call34100formal.ret.0) (=> ?v_3932 (=> ?v_4084 (=> ?v_4085 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call34100formal.ret.0) (=> ?v_3934 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call32897formal.new.0) (=> ?v_4183 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call34187formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.7) (=> ?v_4086 (=> ?v_3941 (=> ?v_4087 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3942 (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_3944 (=> ?v_4088 (=> ?v_3945 (=> ?v_3946 (=> ?v_4089 (=> ?v_3947 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_4090 (=> ?v_4091 (=> ?v_3949 (=> ?v_4092 (=> ?v_4093 (=> ?v_3950 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3953 (=> ?v_4094 (=> ?v_3954 (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16857formal.new.0) (=> (= alloc.12 alloc.8) (=> ?v_3956 (=> ?v_4095 (=> ?v_3957 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call34187formal.ret.0) (=> ?v_3960 (=> ?v_4096 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call34187formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call32897formal.new.0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4097 (=> ?v_4098 (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> ?v_4099 (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_4100 (=> ?v_4101 (=> ?v_3971 (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call34037formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_3975 (=> ?v_3976 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> ?v_4102 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16854formal.new.0) (=> ?v_3985 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1) (=> ?v_4103 (=> ?v_3987 (=> ?v_4104 (=> ?v_3988 (=> ?v_4105 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) ?v_4184)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4185) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_4186 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_4187 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4188 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_4189 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_4190 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_4191 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_4192 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_4193 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_4194 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4195 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_4196 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4197 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_4198 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_4199 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_4200 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4201 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4202 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_4203 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4204 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_4205 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_4206 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_4207 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_4208 ?v_4216))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4211 (= call34100formal.ret.0 0))) (let ((?v_4214 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4212))) (?v_4213 (= call34100formal.ret.0 1)) (?v_1312 (>= 0 0)) (?v_4178 (int_2_U call34037formal.new.0)) (?v_4177 (int_2_U call32897formal.new.0)) (?v_4002 (not ?v_1308)) (?v_4001 (not ?v_3902)) (?v_4000 (not ?v_3995)) (?v_4176 (= myNondetVar_0.0 2228243)) (?v_4110 (and (=> true (=> ?v_4011 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_4012 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_4013 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_4016 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_4018 (=> ?v_4019 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_4021 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_4026 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_4027 (=> ?v_927 (=> ?v_4028 (=> ?v_929 (=> ?v_4029 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4034 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_4038 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4039 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_4041 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_4044 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4052 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_4055 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_4057 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_4058 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_4063 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_4066 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 ?v_4071)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4011) (and (=> true (=> ?v_4072 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_4012 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_4013 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 call35174formal.ret.0) (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_4016 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_4018 (=> ?v_4019 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_4021 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_4026 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_4027 (=> ?v_927 (=> ?v_4028 (=> ?v_929 (=> ?v_4029 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4034 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_4038 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4039 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_4041 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_4044 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4052 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_4055 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 call35174formal.ret.0) (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_4057 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_4058 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_4063 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 call35174formal.ret.0) (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_4066 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 call35174formal.ret.0) ?v_4071)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4072) (=> true (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 call35135formal.ret.0) (=> ?v_4073 (=> (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 call35135formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 call34999formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 call34455formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 call35174formal.ret.0) (=> ?v_4074 (=> ?v_4075 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0) (=> ?v_4076 (=> ?v_4077 (=> (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 call35135formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_4078 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> ?v_4079 (=> ?v_3915 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0) (=> ?v_4080 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34999formal.ret.0) (=> ?v_3919 (=> ?v_4081 (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> ?v_4082 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call34315formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34809formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_4083 (=> (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_3928 (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 call35135formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_3931 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> ?v_4084 (=> ?v_4085 (=> ?v_3933 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call34879formal.ret.0) (=> ?v_3935 (=> (= errorReached.23 errorReached.22) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16860formal.new.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call34809formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call34689formal.ret.0) (=> ?v_3939 (=> ?v_3940 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16) (=> ?v_4086 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> ?v_4087 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call34689formal.ret.0) (=> ?v_3943 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_4088 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2) (=> ?v_4089 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_3948 (=> ?v_4090 (=> ?v_4091 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call34509formal.ret.0) (=> ?v_4092 (=> ?v_4093 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 call35174formal.ret.0) (=> ?v_3951 (=> ?v_3952 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> ?v_4094 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call34879formal.ret.0) (=> ?v_3955 (=> (= alloc.12 alloc.11) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0) (=> ?v_4095 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call34509formal.ret.0) (=> ?v_3958 (=> ?v_3959 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4096 (=> ?v_3961 (=> ?v_3962 (=> ?v_3963 (=> ?v_4097 (=> ?v_4098 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call34999formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34455formal.new.0) (=> ?v_4099 (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 call35174formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 call34999formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 call34809formal.ret.0) (=> ?v_4100 (=> ?v_4101 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 call35174formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16860formal.new.0) (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call34809formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 call34315formal.ret.0) (=> ?v_4102 (=> ?v_3984 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call34809formal.ret.0) (=> ?v_3986 (=> ?v_4103 (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call34635formal.new.0) (=> ?v_4104 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> ?v_4105 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 call34999formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 call34635formal.new.0) (=> ?v_4106 (=> ?v_4107 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> (= k.20 k.19) ?v_4108))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4122 (and (=> true (=> ?v_4111 (=> true (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call35070formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 inline.EvtIoChildDeviceControl.0.myNondetVar_0.15) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call35070formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4110)))))))))))))))))))))) (=> true (=> (not ?v_4111) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_4012 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 call35070formal.ret.0) (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_4016 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 call35070formal.ret.0) (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_4021 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_4026 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4028 (=> ?v_929 (=> ?v_4029 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4034 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_4038 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_4041 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_4044 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.15) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_4058 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_4112 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_4114 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4115 (=> ?v_1450 (=> ?v_4116 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_4117 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_4118 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_4119 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) ?v_4120))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4121 (= call35070formal.ret.0 0))) (let ((?v_4124 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4122))) (?v_4123 (= call35070formal.ret.0 1)) (?v_3999 (= myNondetVar_0.0 2228233))) (let ((?v_4109 (not ?v_3999))) (let ((?v_4131 (and (=> true (=> ?v_4128 (and (=> true (=> (not ?v_4125) (and (=> true (=> ?v_3999 (=> true (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 inline.EvtIoChildDeviceControl.0.myNondetVar_0.14) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) ?v_4110))))))))))) (=> true (=> ?v_4109 (and (=> true (=> (not ?v_4121) (=> (not ?v_4123) ?v_4124))) (=> true (=> ?v_4121 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4122))))))))))))))) (=> true (=> ?v_4123 (=> true ?v_4124))))))))) (=> true (=> ?v_4125 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 ?v_4126) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_4012 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_4016 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_4021 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_4026 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4028 (=> ?v_929 (=> ?v_4029 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4034 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_4038 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_4041 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_4044 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.14) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_4058 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_4112 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_4114 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4115 (=> ?v_1450 (=> ?v_4116 ?v_4129))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4128) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_4012 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_4021 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_4026 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_4028 (=> ?v_929 (=> ?v_4029 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_4038 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_4044 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4140 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_4112 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_4114 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4115 (=> ?v_1450 (=> ?v_1451 ?v_4129)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4130 (= call34879formal.ret.0 0))) (let ((?v_4136 (and (=> true (=> (not ?v_4130) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_4131))))))) (=> true (=> ?v_4130 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4131))))))))))))) (let ((?v_4138 (=> true (=> true (=> true ?v_4136)))) (?v_4137 (= errorReached.22 errorReached.21)) (?v_4134 (= k.19 k.18)) (?v_4135 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call34882formal.ret.0)) (?v_4132 (= k.18 0)) (?v_4133 (= k.18 1))) (let ((?v_4146 (and (=> true (=> ?v_4142 (and (=> true (=> (not ?v_4139) (and (=> true (=> ?v_25 (=> true (=> (<= k.17 k.18) (=> (< k.18 2) (and (=> true (=> (=> ?v_4132 ?v_6) (=> (=> ?v_4133 ?v_7) (=> true (=> (= errorReached.22 1) (=> ?v_4134 (=> ?v_4135 ?v_4136))))))) (=> true (=> (=> ?v_4132 ?v_2) (=> (=> ?v_4133 ?v_3) (=> true (=> ?v_4137 (=> ?v_4134 (=> ?v_4135 ?v_4138))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_4137 (=> (= k.19 k.17) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) ?v_4138))))))))) (=> true (=> ?v_4139 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 ?v_4126) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_4023 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_4143 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_4033 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_4040 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_4140 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4062 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4070 ?v_4144)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4142) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_4017 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4020 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_4025 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_4143 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_4031 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_4035 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_4036 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_4043 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_4049 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_4050 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.12) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_4061 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_4065 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_4069 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 ?v_4144))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4145 (= call34689formal.ret.0 0))) (let ((?v_4151 (and (=> true (=> (not ?v_4145) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) ?v_4146))))))) (=> true (=> ?v_4145 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_4146))))))))))))) (let ((?v_4153 (=> true (=> true (=> true ?v_4151)))) (?v_4152 (= errorReached.21 errorReached.20)) (?v_4149 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 call34692formal.ret.0)) (?v_4150 (= k.17 k.16)) (?v_4147 (= k.16 0)) (?v_4148 (= k.16 1)) (?v_4004 (int_2_U call34635formal.new.0))) (let ((?v_4156 (and (=> true (=> ?v_4154 (=> true (and ?v_1312 (=> ?v_1312 (=> (> call34635formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call34635formal.new.0 ?x369) (< ?x369 (+ call34635formal.new.0 0))) (= (Base ?x369) call34635formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call34635formal.new.0) (= (MapType0Select alloc.9 ?x370) (MapType0Select alloc.11 ?x370)))) :pattern ((MapType0Select alloc.11 ?x370)) )) (=> (and (= (MapType0Select alloc.9 ?v_4004) UNALLOCATED) (= (MapType0Select alloc.11 ?v_4004) ALLOCATED)) (and (=> true (=> ?v_25 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_4147 ?v_6) (=> (=> ?v_4148 ?v_7) (=> true (=> (= errorReached.21 1) (=> ?v_4149 (=> ?v_4150 ?v_4151))))))) (=> true (=> (=> ?v_4147 ?v_2) (=> (=> ?v_4148 ?v_3) (=> true (=> ?v_4152 (=> ?v_4149 (=> ?v_4150 ?v_4153))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_4152 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) (=> (= k.17 k.15) ?v_4153)))))))))))))))) (=> true (=> (not ?v_4154) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> (= alloc.18 alloc.9) (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_4022 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_4162 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_4030 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_4032 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_4037 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4042 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_4045 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_4047 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.8) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4054 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_4056 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_4059 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_4060 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_4064 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_4067 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> (= errorReached.134 errorReached.20) ?v_1482)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4155 (= call34509formal.ret.0 0))) (let ((?v_4159 (and (=> true (=> (not ?v_4155) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) ?v_4156))))))) (=> true (=> ?v_4155 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4156))))))))))))) (let ((?v_4160 (=> true (=> (= errorReached.20 errorReached.17) (=> true (=> true (=> true ?v_4159)))))) (?v_4157 (= k.15 0)) (?v_4158 (= k.15 1)) (?v_4003 (int_2_U call34455formal.new.0))) (let ((?v_4164 (and (=> true (=> ?v_4161 (=> true (and ?v_1312 (=> ?v_1312 (=> (> call34455formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call34455formal.new.0 ?x371) (< ?x371 (+ call34455formal.new.0 0))) (= (Base ?x371) call34455formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call34455formal.new.0) (= (MapType0Select alloc.6 ?x372) (MapType0Select alloc.9 ?x372)))) :pattern ((MapType0Select alloc.9 ?x372)) )) (=> (and (= (MapType0Select alloc.6 ?v_4003) UNALLOCATED) (= (MapType0Select alloc.9 ?v_4003) ALLOCATED)) (and (=> true (=> ?v_25 (and (=> true (=> (=> ?v_4157 ?v_6) (=> (=> ?v_4158 ?v_7) (=> true (=> (= errorReached.20 1) ?v_4159))))) (=> true (=> (=> ?v_4157 ?v_2) (=> (=> ?v_4158 ?v_3) ?v_4160)))))) (=> true (=> ?v_470 ?v_4160)))))))))))) (=> true (=> (not ?v_4161) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_4014 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_4015 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_4024 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_4162 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_4046 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_4048 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_4051 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4053 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_4068 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> (= errorReached.134 errorReached.17) ?v_1482)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4163 (= call34315formal.ret.0 0))) (let ((?v_4169 (and (=> true (=> (not ?v_4163) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) ?v_4164))))))) (=> true (=> ?v_4163 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4164))))))))))))) (let ((?v_4171 (=> true (=> true (=> true ?v_4169)))) (?v_4170 (= errorReached.17 errorReached.16)) (?v_4167 (= k.15 k.14)) (?v_4168 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 call34318formal.ret.0)) (?v_4165 (= k.14 0)) (?v_4166 (= k.14 1))) (let ((?v_4175 (and (=> true (=> ?v_4000 (and (=> true (=> ?v_4001 (and (=> true (=> ?v_1308 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4002 (and (=> true (=> ?v_25 (=> true (=> (<= k.13 k.14) (=> (< k.14 2) (and (=> true (=> (=> ?v_4165 ?v_6) (=> (=> ?v_4166 ?v_7) (=> true (=> (= errorReached.17 1) (=> ?v_4167 (=> ?v_4168 ?v_4169))))))) (=> true (=> (=> ?v_4165 ?v_2) (=> (=> ?v_4166 ?v_3) (=> true (=> ?v_4170 (=> ?v_4167 (=> ?v_4168 ?v_4171))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_4170 (=> (= k.15 k.13) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.) ?v_4171)))))))))))) ?v_4172))) ?v_4173)) (?v_4174 (= myNondetVar_0.0 2228238)) (?v_1483 (not (= call35816formal.ret.0 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)))) (let ((?v_3881 (and (=> true (=> ?v_3843 (and (=> true (=> ?v_1483 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_3844 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_3845 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_3846 (=> ?v_3847 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_3848 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_3849 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_3850 (=> ?v_838 (=> ?v_839 (=> ?v_3851 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_3852 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_3853 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_3854 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_3855 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_3856 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_3857 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_3858 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_3859 (=> ?v_974 (=> ?v_975 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 call35816formal.ret.0) (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_3860 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_3861 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_3862 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_3863 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 call35816formal.ret.0) (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_3864 (=> ?v_3865 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_3866 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_3867 (=> ?v_1192 (=> ?v_1193 (=> ?v_3868 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_3869 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3870 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_3871 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_3872 (=> ?v_1233 (=> ?v_1234 (=> ?v_3873 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_3874 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_3875 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 call35816formal.ret.0) (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_3876 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_3877 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 call35816formal.ret.0) ?v_3879))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1483) (=> true (=> ?v_3903 (=> ?v_3904 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_3909 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call35625formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 call35816formal.ret.0) (=> ?v_3910 (=> ?v_3911 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 call35816formal.ret.0) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call35728formal.ret.0) (=> ?v_3912 (=> ?v_3913 (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_3914 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call35371formal.ret.0) (=> ?v_3915 (=> ?v_3916 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call35625formal.ret.0) (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2) (=> ?v_3920 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> (= errorReached.23 errorReached.19) (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.11) (=> (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_3941 (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 call35685formal.new.0) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 call35371formal.ret.0) (=> ?v_3945 (=> ?v_3946 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 call35816formal.ret.0) (=> ?v_3947 (=> ?v_3948 (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16860formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> ?v_3949 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 call35625formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 call35625formal.ret.0) (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3954 (=> ?v_3955 (=> (= alloc.12 alloc.10) (=> ?v_3956 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_3961 (=> ?v_3962 (=> ?v_3963 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 call35507formal.ret.0) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call35728formal.ret.0) (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 call35816formal.ret.0) (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call35685formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3976 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call35625formal.ret.0) (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call35507formal.ret.0) (=> ?v_3984 (=> ?v_3985 (=> ?v_3986 (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0) (=> ?v_3987 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> ?v_3988 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3989 (=> ?v_3990 (=> ?v_3991 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3992 (=> ?v_3993 ?v_3994)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3843) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_3844 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_3845 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_3846 (=> ?v_3847 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_3848 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_3849 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_3850 (=> ?v_838 (=> ?v_839 (=> ?v_3851 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_3852 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_3853 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_3854 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_3855 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_3856 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_3857 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_3858 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_3859 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_3860 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_3861 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_3862 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_3863 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_3864 (=> ?v_3865 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_3866 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_3867 (=> ?v_1192 (=> ?v_1193 (=> ?v_3868 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_3869 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3870 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_3871 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_3872 (=> ?v_1233 (=> ?v_1234 (=> ?v_3873 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_3874 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_3875 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_3876 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_3877 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 ?v_3879))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3880 (= call35728formal.ret.0 0))) (let ((?v_3883 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3881))) (?v_3882 (= call35728formal.ret.0 1)) (?v_1313 (int_2_U call35685formal.new.0))) (let ((?v_3890 (and (=> true (=> ?v_3887 (and (=> true (=> (not ?v_3884) (=> true (and ?v_1312 (=> ?v_1312 (=> (> call35685formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call35685formal.new.0 ?x373) (< ?x373 (+ call35685formal.new.0 0))) (= (Base ?x373) call35685formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call35685formal.new.0) (= (MapType0Select alloc.6 ?x374) (MapType0Select alloc.10 ?x374)))) :pattern ((MapType0Select alloc.10 ?x374)) )) (=> (and (= (MapType0Select alloc.6 ?v_1313) UNALLOCATED) (= (MapType0Select alloc.10 ?v_1313) ALLOCATED)) (and (=> true (=> (not ?v_3880) (=> (not ?v_3882) ?v_3883))) (=> true (=> ?v_3880 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3881))))))))))))))) (=> true (=> ?v_3882 (=> true ?v_3883))))))))))))) (=> true (=> ?v_3884 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 ?v_4126) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_3844 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_3845 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_3847 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_3848 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_3849 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_3851 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_3852 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_3854 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_3857 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_3859 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_3861 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_3864 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.9) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_3866 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3868 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_3869 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3870 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_3873 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_3875 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_3876 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8) ?v_3888))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3887) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_3845 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_3847 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_3851 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_3852 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_3854 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_3857 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_3859 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_3864 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_3866 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3868 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_3869 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_3870 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_3873 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_3875 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) ?v_3888)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3889 (= call35507formal.ret.0 0))) (let ((?v_3893 (and (=> true (=> (not ?v_3889) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0) ?v_3890))))))) (=> true (=> ?v_3889 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_3890))))))))))))) (let ((?v_3894 (=> true (=> (= errorReached.19 errorReached.18) (=> true (=> true (=> true ?v_3893)))))) (?v_3891 (= k.13 0))) (let ((?v_3898 (=> ?v_3891 ?v_2)) (?v_3892 (= k.13 1))) (let ((?v_3899 (=> ?v_3892 ?v_3)) (?v_1310 (=> ?v_3891 ?v_6)) (?v_1311 (=> ?v_3892 ?v_7))) (let ((?v_3897 (and (=> true (=> ?v_3895 (and (=> true (=> ?v_25 (and (=> true (=> ?v_1310 (=> ?v_1311 (=> true (=> (= errorReached.19 1) ?v_3893))))) (=> true (=> ?v_3898 (=> ?v_3899 ?v_3894)))))) (=> true (=> ?v_470 ?v_3894))))) (=> true (=> (not ?v_3895) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_3847 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_3857 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_3864 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_3866 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_3868 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_3869 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_3873 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_3877 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> (= errorReached.134 errorReached.18) ?v_1482)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3896 (= call35371formal.ret.0 0))) (let ((?v_3900 (and (=> true (=> (not ?v_3896) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_325) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1) ?v_3897))))))) (=> true (=> ?v_3896 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_3897))))))))))))) (let ((?v_3901 (=> true (=> (= errorReached.18 errorReached.16) (=> true (=> true (=> true ?v_3900)))))) (?v_1309 (= (BIT_BAND myNondetVar_1.0 1) 0))) (let ((?v_3998 (and (=> true (=> ?v_4000 (and (=> true (=> ?v_4001 (and (=> true (=> ?v_1308 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4002 (and (=> true (=> (not ?v_1309) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1309 (=> true (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 (BINARY_BOTH_INT myNondetVar_1.0 1)) (and (=> true (=> ?v_25 (and (=> true (=> ?v_1310 (=> ?v_1311 (=> true (=> (= errorReached.18 1) ?v_3900))))) (=> true (=> ?v_3898 (=> ?v_3899 ?v_3901)))))) (=> true (=> ?v_470 ?v_3901))))))))))))) ?v_4172))) ?v_4173)) (?v_3997 (= myNondetVar_0.0 2228228)) (?v_736 (= myNondetVar_0.0 2228224))) (let ((?v_4231 (and (=> true (=> (not ?v_736) (=> (not ?v_3997) (=> ?v_4109 (=> (not ?v_4174) (=> (not ?v_4176) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_736 ?v_3998)) (=> true (=> ?v_3997 (=> true ?v_3998))) (=> true (=> ?v_3999 ?v_4175)) (=> true (=> ?v_4174 (=> true ?v_4175))) (=> true (=> ?v_4176 (and (=> true (=> ?v_4000 (and (=> true (=> ?v_4001 (and (=> true (=> ?v_1308 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4002 (=> true (and ?v_1312 (=> ?v_1312 (=> (> call32897formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call32897formal.new.0 ?x367) (< ?x367 (+ call32897formal.new.0 0))) (= (Base ?x367) call32897formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call32897formal.new.0) (= (MapType0Select alloc.6 ?x368) (MapType0Select alloc.7 ?x368)))) :pattern ((MapType0Select alloc.7 ?x368)) )) (=> (and (= (MapType0Select alloc.6 ?v_4177) UNALLOCATED) (= (MapType0Select alloc.7 ?v_4177) ALLOCATED)) (and (=> true (=> (not ?v_4217) (=> true (and ?v_1312 (=> ?v_1312 (=> (> call34037formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call34037formal.new.0 ?x365) (< ?x365 (+ call34037formal.new.0 0))) (= (Base ?x365) call34037formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call34037formal.new.0) (= (MapType0Select alloc.7 ?x366) (MapType0Select alloc.8 ?x366)))) :pattern ((MapType0Select alloc.8 ?x366)) )) (=> (and (= (MapType0Select alloc.7 ?v_4178) UNALLOCATED) (= (MapType0Select alloc.8 ?v_4178) ALLOCATED)) (and (=> true (=> (not ?v_4215) (and (=> true (=> (not ?v_4211) (=> (not ?v_4213) ?v_4214))) (=> true (=> ?v_4211 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_325) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4212))))))))))))))) (=> true (=> ?v_4213 (=> true ?v_4214)))))) (=> true (=> ?v_4215 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_4187 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_4188 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_4189 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_4191 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_4192 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_4193 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_4194 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_4196 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.6) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_4200 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4201 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4202 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4204 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_4005 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_4206 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_3878 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_4207 (=> ?v_1453 (=> ?v_1454 (=> ?v_3885 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 ?v_4216))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4217 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 ?v_34) (=> true (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> (= alloc.18 alloc.7) (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_4189 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_4191 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_4193 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_4194 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.5) (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_4200 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_4202 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4204 ?v_4218)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) ?v_4172))) ?v_4173))))) (?v_28 (= k.11 0)) (?v_30 (= k.11 1))) (let ((?v_4224 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0.2) (=> (= lockStatus_0.2 lockStatus_0.1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call18352formal.ret.0) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.2) (=> (= k.13 k.12) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= lockStatus_1.2 lockStatus_1.1) ?v_4231)))))))))) (?v_4223 (= inline.AcquireDpcLock.0.myVar_0.2 hlock))) (let ((?v_4220 (=> true (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= lockStatus_0.1 lockStatus_0.0) ?v_4224)))) (?v_4221 (= lockStatus_1.0 lockStatus_1))) (let ((?v_4222 (=> (= lockStatus_0.0 lockStatus_0) (=> true ?v_4220))) (?v_4219 (= k.12 1))) (let ((?v_4228 (not ?v_4219)) (?v_31 (= k.12 0))) (let ((?v_4225 (not ?v_31)) (?v_32 (= lockStatus_0 0)) (?v_33 (= lockStatus_1 0))) (let ((?v_4227 (and (=> true (=> ?v_4223 (=> true (=> (=> ?v_31 ?v_32) (=> (=> ?v_4219 ?v_33) (and (=> true (=> ?v_31 (=> true (=> ?v_4221 (=> (= lockStatus_0.0 1) ?v_4220))))) (=> true (=> ?v_4225 (and (=> true (=> ?v_4219 (=> true (=> (= lockStatus_1.0 1) ?v_4222)))) (=> true (=> ?v_4228 (=> true (=> ?v_4221 ?v_4222))))))))))))) (=> true (=> (not ?v_4223) (=> true (=> (= lockStatus_1.1 lockStatus_1) (=> (= lockStatus_0.1 lockStatus_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4224)))))))))))))) (let ((?v_4229 (=> true (=> true (=> true (=> true ?v_4227))))) (?v_4226 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4230 (=> true (=> (<= k.11 k.12) (=> (< k.12 2) (and (=> true (=> ?v_31 (=> (= inline.AcquireDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4226))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.0) ?v_4227))))) (=> true (=> ?v_4225 (and (=> true (=> ?v_4219 (=> (= inline.AcquireDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4226))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.1) ?v_4229))))) (=> true (=> ?v_4228 (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0) ?v_4229))))))))))))) (let ((?v_4234 (and (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.0) ?v_4230)))) (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (=> ?v_28 ?v_277) (=> (=> ?v_30 ?v_278) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.2 inline.AcquireDpcLock.0.myNondetVar_0.1) ?v_4230))))) (=> true (=> (=> ?v_28 ?v_377) (=> (=> ?v_30 ?v_379) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0) (=> (= lockStatus_0.2 lockStatus_0) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.1) (=> (= k.13 k.11) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.2 lockStatus_1) (=> true (=> true (=> true (=> true ?v_4231)))))))))))))))))))))) (let ((?v_4237 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4234)))))))))) (?v_4236 (= errorReached.16 errorReached.14)) (?v_4239 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hdevice)) (?v_4238 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hqueue)) (?v_4235 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 htimer)) (?v_4233 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hrequest)) (?v_4232 (=> true (=> (= errorReached.16 errorReached.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4234))))) (let ((?v_4240 (and (=> true (=> ?v_4233 (and (=> true (=> (=> ?v_28 ?v_6) (=> (=> ?v_30 ?v_7) (=> true (=> (= errorReached.15 1) ?v_4232))))) (=> true (=> (=> ?v_28 ?v_2) (=> (=> ?v_30 ?v_3) (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_4232))))))))) (=> true (=> (not ?v_4233) (and (=> true (=> ?v_4235 (=> true (=> ?v_4236 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4237))))) (=> true (=> (not ?v_4235) (and (=> true (=> ?v_4238 (=> true (=> ?v_4236 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4237))))) (=> true (=> (not ?v_4238) (and (=> true (=> ?v_4239 (=> true (=> ?v_4236 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4237))))) (=> true (=> (not ?v_4239) (=> true (=> ?v_4236 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4237))))))))))))))))) (let ((?v_4241 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4240))))))))))))) (let ((?v_4243 (and (=> true (=> ?v_28 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.6 ?v_29) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.6) ?v_4240))))) (=> true (=> (not ?v_28) (and (=> true (=> ?v_30 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.7 ?v_732) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.7) ?v_4241))))) (=> true (=> (not ?v_30) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.5) ?v_4241)))))))))) (let ((?v_4242 (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call17945formal.ret.0) ?v_4243)))) (let ((?v_4248 (and (=> true (=> (=> ?v_28 ?v_37) (=> (=> ?v_30 ?v_38) ?v_4242))) (=> true (=> (=> ?v_28 ?v_613) (=> (=> ?v_30 ?v_614) (and (=> true (=> (=> ?v_28 ?v_528) (=> (=> ?v_30 ?v_529) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4242)))))))))))) (=> true (=> (=> ?v_28 ?v_616) (=> (=> ?v_30 ?v_617) (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true ?v_4243))))))))))))))))) (let ((?v_4253 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4248)))))))))) (?v_4250 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_4251 (= errorReached.14 errorReached.12)) (?v_4252 (= k.11 k.9)) (?v_4255 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hdevice)) (?v_4254 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hqueue)) (?v_4249 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 htimer)) (?v_4247 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hrequest)) (?v_4246 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call17748formal.ret.0) (=> (= errorReached.14 errorReached.13) (=> (= k.11 k.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4248)))))) (?v_4244 (= k.10 0)) (?v_4245 (= k.10 1))) (let ((?v_4257 (and (=> true (=> ?v_4247 (=> true (=> (<= k.9 k.10) (=> (< k.10 2) (and (=> true (=> (=> ?v_4244 ?v_6) (=> (=> ?v_4245 ?v_7) (=> true (=> (= errorReached.13 1) ?v_4246))))) (=> true (=> (=> ?v_4244 ?v_2) (=> (=> ?v_4245 ?v_3) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_4246)))))))))))) (=> true (=> (not ?v_4247) (and (=> true (=> ?v_4249 (=> true (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4253))))))) (=> true (=> (not ?v_4249) (and (=> true (=> ?v_4254 (=> true (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4253))))))) (=> true (=> (not ?v_4254) (and (=> true (=> ?v_4255 (=> true (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4253))))))) (=> true (=> (not ?v_4255) (=> true (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4253))))))))))))))))))) (let ((?v_4259 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4257)))))))))))) (?v_4258 (= k.9 1)) (?v_4256 (= k.9 0))) (let ((?v_4260 (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> ?v_4256 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.4 ?v_29) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.4) ?v_4257))))) (=> true (=> (not ?v_4256) (and (=> true (=> ?v_4258 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.3 ?v_732) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.3) ?v_4259))))) (=> true (=> (not ?v_4258) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.2) ?v_4259))))))))))))) (let ((?v_4265 (and (=> true (=> ?v_657 ?v_4260)) (=> true (=> (not ?v_657) (=> true ?v_4260)))))) (let ((?v_4267 (=> true (=> true (=> true (=> true (=> true ?v_4265)))))) (?v_4266 (= errorReached.12 errorReached.11)) (?v_4263 (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 call17554formal.ret.0)) (?v_4264 (= k.8 k.7)) (?v_4261 (= k.7 0)) (?v_4262 (= k.7 1))) (let ((?v_4268 (and (=> true (=> ?v_25 (=> true (=> (<= k.6 k.7) (=> (< k.7 2) (and (=> true (=> (=> ?v_4261 ?v_6) (=> (=> ?v_4262 ?v_7) (=> true (=> (= errorReached.12 1) (=> ?v_4263 (=> ?v_4264 ?v_4265))))))) (=> true (=> (=> ?v_4261 ?v_2) (=> (=> ?v_4262 ?v_3) (=> true (=> ?v_4266 (=> ?v_4263 (=> ?v_4264 ?v_4267))))))))))))) (=> true (=> ?v_470 (=> true (=> ?v_4266 (=> (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2.) (=> (= k.8 k.6) ?v_4267))))))))) (let ((?v_4272 (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.3) ?v_4268)))) (=> true (=> (not (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_4268)))))))))))) (?v_4273 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.)) (?v_4274 (= errorReached.11 errorReached.9))) (let ((?v_4275 (=> (= k.6 k.4) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4272)))))))))))))) (?v_4271 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call17367formal.ret.0) (=> (= errorReached.11 errorReached.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.6 k.5) ?v_4272)))))) (?v_4269 (= k.5 0)) (?v_4270 (= k.5 1))) (let ((?v_4280 (and (=> true (=> ?v_25 (=> true (=> (<= k.4 k.5) (=> (< k.5 2) (and (=> true (=> (=> ?v_4269 ?v_6) (=> (=> ?v_4270 ?v_7) (=> true (=> (= errorReached.10 1) ?v_4271))))) (=> true (=> (=> ?v_4269 ?v_2) (=> (=> ?v_4270 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_4271)))))))))))) (=> true (=> ?v_470 (and (=> true (=> ?v_472 (=> true (=> ?v_4273 (=> ?v_4274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4275)))))) (=> true (=> ?v_509 (and (=> true (=> ?v_474 (=> true (=> ?v_4273 (=> ?v_4274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4275)))))) (=> true (=> ?v_512 (and (=> true (=> ?v_475 (=> true (=> ?v_4273 (=> ?v_4274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4275)))))) (=> true (=> ?v_513 (=> true (=> ?v_4273 (=> ?v_4274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4275)))))))))))))))))) (let ((?v_4282 (=> (= errorReached.9 errorReached.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= k.4 k.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4280))))))))))))))))))) (?v_4284 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hdevice)) (?v_4283 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hqueue)) (?v_4281 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 htimer)) (?v_4279 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hrequest)) (?v_4278 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.9 errorReached.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call17197formal.ret.0) (=> (= k.4 k.3) ?v_4280)))))) (?v_4276 (= k.3 0)) (?v_4277 (= k.3 1))) (let ((?v_4287 (and (=> true (=> ?v_4279 (=> true (=> (<= k.2 k.3) (=> (< k.3 2) (and (=> true (=> (=> ?v_4276 ?v_6) (=> (=> ?v_4277 ?v_7) (=> true (=> (= errorReached.8 1) ?v_4278))))) (=> true (=> (=> ?v_4276 ?v_2) (=> (=> ?v_4277 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_4278)))))))))))) (=> true (=> (not ?v_4279) (and (=> true (=> ?v_4281 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4282)))) (=> true (=> (not ?v_4281) (and (=> true (=> ?v_4283 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4282)))) (=> true (=> (not ?v_4283) (and (=> true (=> ?v_4284 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4282)))) (=> true (=> (not ?v_4284) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4282)))))))))))))))) (let ((?v_4289 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4287)))))))) (?v_4288 (= k.2 1)) (?v_4286 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4285 (= k.2 0))) (let ((?v_4293 (=> true (=> (<= 0 k.2) (=> (< k.2 2) (and (=> true (=> ?v_4285 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4286))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.1) ?v_4287))))) (=> true (=> (not ?v_4285) (and (=> true (=> ?v_4288 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4286))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.0) ?v_4289))))) (=> true (=> (not ?v_4288) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0) ?v_4289))))))))))))) (let ((?v_4294 (=> (= errorReached.7 errorReached.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4293)))))))))) (?v_4292 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.7 errorReached.6) ?v_4293)))) (?v_4290 (=> ?v_0 ?v_2)) (?v_4291 (=> ?v_1 ?v_3)) (?v_23 (=> ?v_0 ?v_6)) (?v_24 (=> ?v_1 ?v_7)) (?v_14 (>= 4 0)) (?v_15 (int_2_U call16842formal.new.0)) (?v_16 (int_2_U call16845formal.new.0)) (?v_17 (int_2_U call16848formal.new.0)) (?v_18 (int_2_U call16851formal.new.0)) (?v_19 (int_2_U call16854formal.new.0)) (?v_20 (int_2_U call16857formal.new.0)) (?v_21 (int_2_U call16860formal.new.0)) (?v_9 (= k.1 0)) (?v_10 (= k.1 1)) (?v_12 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4297 (=> true (=> (=> ?v_9 (= (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> (=> ?v_10 (= (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_12)) hqueue)) (=> true (=> (=> ?v_9 ?v_277) (=> (=> ?v_10 ?v_278) (=> true (and ?v_14 (=> ?v_14 (=> (> call16842formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call16842formal.new.0 ?x375) (< ?x375 (+ call16842formal.new.0 4))) (= (Base ?x375) call16842formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call16842formal.new.0) (= (MapType0Select alloc ?x376) (MapType0Select alloc.0 ?x376)))) :pattern ((MapType0Select alloc.0 ?x376)) )) (=> (and (= (MapType0Select alloc ?v_15) UNALLOCATED) (= (MapType0Select alloc.0 ?v_15) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16845formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call16845formal.new.0 ?x377) (< ?x377 (+ call16845formal.new.0 4))) (= (Base ?x377) call16845formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call16845formal.new.0) (= (MapType0Select alloc.0 ?x378) (MapType0Select alloc.1 ?x378)))) :pattern ((MapType0Select alloc.1 ?x378)) )) (=> (and (= (MapType0Select alloc.0 ?v_16) UNALLOCATED) (= (MapType0Select alloc.1 ?v_16) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16848formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call16848formal.new.0 ?x379) (< ?x379 (+ call16848formal.new.0 4))) (= (Base ?x379) call16848formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call16848formal.new.0) (= (MapType0Select alloc.1 ?x380) (MapType0Select alloc.2 ?x380)))) :pattern ((MapType0Select alloc.2 ?x380)) )) (=> (and (= (MapType0Select alloc.1 ?v_17) UNALLOCATED) (= (MapType0Select alloc.2 ?v_17) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16851formal.new.0 0) (=> (forall ((?x381 Int)) (! (=> (and (<= call16851formal.new.0 ?x381) (< ?x381 (+ call16851formal.new.0 4))) (= (Base ?x381) call16851formal.new.0)) :pattern ((Base ?x381)) )) (=> (forall ((?x382 boogieU)) (! (=> (= (type ?x382) intType) (or (= (U_2_int ?x382) call16851formal.new.0) (= (MapType0Select alloc.2 ?x382) (MapType0Select alloc.3 ?x382)))) :pattern ((MapType0Select alloc.3 ?x382)) )) (=> (and (= (MapType0Select alloc.2 ?v_18) UNALLOCATED) (= (MapType0Select alloc.3 ?v_18) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16854formal.new.0 0) (=> (forall ((?x383 Int)) (! (=> (and (<= call16854formal.new.0 ?x383) (< ?x383 (+ call16854formal.new.0 4))) (= (Base ?x383) call16854formal.new.0)) :pattern ((Base ?x383)) )) (=> (forall ((?x384 boogieU)) (! (=> (= (type ?x384) intType) (or (= (U_2_int ?x384) call16854formal.new.0) (= (MapType0Select alloc.3 ?x384) (MapType0Select alloc.4 ?x384)))) :pattern ((MapType0Select alloc.4 ?x384)) )) (=> (and (= (MapType0Select alloc.3 ?v_19) UNALLOCATED) (= (MapType0Select alloc.4 ?v_19) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16857formal.new.0 0) (=> (forall ((?x385 Int)) (! (=> (and (<= call16857formal.new.0 ?x385) (< ?x385 (+ call16857formal.new.0 4))) (= (Base ?x385) call16857formal.new.0)) :pattern ((Base ?x385)) )) (=> (forall ((?x386 boogieU)) (! (=> (= (type ?x386) intType) (or (= (U_2_int ?x386) call16857formal.new.0) (= (MapType0Select alloc.4 ?x386) (MapType0Select alloc.5 ?x386)))) :pattern ((MapType0Select alloc.5 ?x386)) )) (=> (and (= (MapType0Select alloc.4 ?v_20) UNALLOCATED) (= (MapType0Select alloc.5 ?v_20) ALLOCATED)) (and ?v_14 (=> ?v_14 (=> (> call16860formal.new.0 0) (=> (forall ((?x387 Int)) (! (=> (and (<= call16860formal.new.0 ?x387) (< ?x387 (+ call16860formal.new.0 4))) (= (Base ?x387) call16860formal.new.0)) :pattern ((Base ?x387)) )) (=> (forall ((?x388 boogieU)) (! (=> (= (type ?x388) intType) (or (= (U_2_int ?x388) call16860formal.new.0) (= (MapType0Select alloc.5 ?x388) (MapType0Select alloc.6 ?x388)))) :pattern ((MapType0Select alloc.6 ?x388)) )) (=> (and (= (MapType0Select alloc.5 ?v_21) UNALLOCATED) (= (MapType0Select alloc.6 ?v_21) ALLOCATED)) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 ?v_34) (and (=> true (=> ?v_22 (and (=> true (=> ?v_23 (=> ?v_24 (=> true (=> (= errorReached.6 1) ?v_4292))))) (=> true (=> ?v_4290 (=> ?v_4291 (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_4292))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4294)))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4294)))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4294)))) (=> true (=> ?v_2385 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4294))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4299 (=> (= errorReached.5 errorReached.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4297)))))))))) (?v_4295 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.5 errorReached.4) ?v_4297)))) (?v_11 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_8 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4306 (=> true (=> (=> ?v_9 (= (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_8)) hdevice)) (=> (=> ?v_10 (= (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_8)) hdevice)) (=> true (=> (=> ?v_9 (= (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_11)) hlock)) (=> (=> ?v_10 (= (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_11)) hlock)) (and (=> true (=> ?v_45 (and (=> true (=> (=> ?v_9 ?v_6) (=> (=> ?v_10 ?v_7) (=> true (=> (= errorReached.4 1) ?v_4295))))) (=> true (=> (=> ?v_9 ?v_2) (=> (=> ?v_10 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_4295))))))))) (=> true (=> ?v_4296 (and (=> true (=> ?v_438 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4299)))) (=> true (=> ?v_4298 (and (=> true (=> ?v_440 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4299)))) (=> true (=> ?v_4300 (and (=> true (=> ?v_441 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4299)))) (=> true (=> ?v_4301 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4299)))))))))))))))))))))) (let ((?v_4308 (=> (= errorReached.3 errorReached.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.) (=> ?v_9 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4306)))))))))))) (?v_4310 (= hdevice hdevice)) (?v_4309 (= hdevice hqueue)) (?v_4307 (= hdevice htimer)) (?v_4305 (= hdevice hrequest)) (?v_4304 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.3 errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 call16423formal.ret.0) (=> (= k.1 k.0) ?v_4306)))))) (?v_4302 (= k.0 0)) (?v_4303 (= k.0 1)) (?v_5 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4312 (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_5)) notused_hrequest)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_5)) notused_hrequest)) (and (=> true (=> ?v_4305 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_4302 ?v_6) (=> (=> ?v_4303 ?v_7) (=> true (=> (= errorReached.2 1) ?v_4304))))) (=> true (=> (=> ?v_4302 ?v_2) (=> (=> ?v_4303 ?v_3) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_4304)))))))))))) (=> true (=> (not ?v_4305) (and (=> true (=> ?v_4307 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4308)))) (=> true (=> (not ?v_4307) (and (=> true (=> ?v_4309 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4308)))) (=> true (=> (not ?v_4309) (and (=> true (=> ?v_4310 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4308)))) (=> true (=> (not ?v_4310) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4308)))))))))))))))))))))) (let ((?v_4314 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4312))))))))) (?v_4313 (= errorReached.1 0)) (?v_4311 (=> true (=> (= errorReached.1 errorReached.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4312))))) (not (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_1_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> ?v_4290 (=> ?v_4291 (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1490) (=> (=> ?v_1 ?v_1491) (=> true (=> (=> ?v_0 ?v_32) (=> (=> ?v_1 ?v_33) (=> true (=> (=> ?v_0 ?v_443) (=> (=> ?v_1 ?v_445) (=> true (=> (=> ?v_0 ?v_444) (=> (=> ?v_1 ?v_446) (and (=> true (=> ?v_22 (and (=> true (=> ?v_23 (=> ?v_24 (=> true (=> (= errorReached.0 1) ?v_4311))))) (=> true (=> ?v_4290 (=> ?v_4291 (=> true (=> (= errorReached.0 0) (=> true ?v_4311))))))))) (=> true (=> ?v_2378 (and (=> true (=> ?v_653 (=> true (=> ?v_4313 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4314))))) (=> true (=> ?v_2380 (and (=> true (=> ?v_654 (=> true (=> ?v_4313 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4314))))) (=> true (=> ?v_657 (and (=> true (=> ?v_658 (=> true (=> ?v_4313 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4314))))) (=> true (=> ?v_2385 (=> true (=> ?v_4313 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4314))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
